#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2418
#define LARGE_STATE_COUNT 660
#define SYMBOL_COUNT 407
#define ALIAS_COUNT 3
#define TOKEN_COUNT 203
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 41
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 146

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_subroutine = 42,
  anon_sym_invariant = 43,
  anon_sym_precise = 44,
  anon_sym_SEMI = 45,
  anon_sym_in = 46,
  anon_sym_out = 47,
  anon_sym_inout = 48,
  anon_sym_uniform = 49,
  anon_sym_shared = 50,
  anon_sym_attribute = 51,
  anon_sym_varying = 52,
  anon_sym_buffer = 53,
  anon_sym_coherent = 54,
  anon_sym_readonly = 55,
  anon_sym_writeonly = 56,
  anon_sym_precision = 57,
  anon_sym_highp = 58,
  anon_sym_mediump = 59,
  anon_sym_lowp = 60,
  anon_sym_centroid = 61,
  anon_sym_sample = 62,
  anon_sym_patch = 63,
  anon_sym_smooth = 64,
  anon_sym_flat = 65,
  anon_sym_noperspective = 66,
  anon_sym___extension__ = 67,
  anon_sym_typedef = 68,
  anon_sym_extern = 69,
  anon_sym___attribute__ = 70,
  anon_sym___attribute = 71,
  anon_sym_COLON_COLON = 72,
  anon_sym_LBRACK_LBRACK = 73,
  anon_sym_RBRACK_RBRACK = 74,
  anon_sym___declspec = 75,
  anon_sym___based = 76,
  anon_sym___cdecl = 77,
  anon_sym___clrcall = 78,
  anon_sym___stdcall = 79,
  anon_sym___fastcall = 80,
  anon_sym___thiscall = 81,
  anon_sym___vectorcall = 82,
  sym_ms_restrict_modifier = 83,
  sym_ms_unsigned_ptr_modifier = 84,
  sym_ms_signed_ptr_modifier = 85,
  anon_sym__unaligned = 86,
  anon_sym___unaligned = 87,
  anon_sym_LBRACE = 88,
  anon_sym_RBRACE = 89,
  anon_sym_signed = 90,
  anon_sym_unsigned = 91,
  anon_sym_long = 92,
  anon_sym_short = 93,
  anon_sym_LBRACK = 94,
  anon_sym_static = 95,
  anon_sym_RBRACK = 96,
  anon_sym_EQ = 97,
  anon_sym_auto = 98,
  anon_sym_register = 99,
  anon_sym_inline = 100,
  anon_sym___inline = 101,
  anon_sym___inline__ = 102,
  anon_sym___forceinline = 103,
  anon_sym_thread_local = 104,
  anon_sym___thread = 105,
  anon_sym_const = 106,
  anon_sym_constexpr = 107,
  anon_sym_volatile = 108,
  anon_sym_restrict = 109,
  anon_sym___restrict__ = 110,
  anon_sym__Atomic = 111,
  anon_sym__Noreturn = 112,
  anon_sym_noreturn = 113,
  anon_sym__Nonnull = 114,
  anon_sym_alignas = 115,
  anon_sym__Alignas = 116,
  sym_primitive_type = 117,
  anon_sym_enum = 118,
  anon_sym_COLON = 119,
  anon_sym_struct = 120,
  anon_sym_union = 121,
  anon_sym_if = 122,
  anon_sym_else = 123,
  anon_sym_switch = 124,
  anon_sym_case = 125,
  anon_sym_default = 126,
  anon_sym_while = 127,
  anon_sym_do = 128,
  anon_sym_for = 129,
  anon_sym_return = 130,
  anon_sym_break = 131,
  anon_sym_continue = 132,
  anon_sym_goto = 133,
  anon_sym___try = 134,
  anon_sym___except = 135,
  anon_sym___finally = 136,
  anon_sym___leave = 137,
  anon_sym_QMARK = 138,
  anon_sym_STAR_EQ = 139,
  anon_sym_SLASH_EQ = 140,
  anon_sym_PERCENT_EQ = 141,
  anon_sym_PLUS_EQ = 142,
  anon_sym_DASH_EQ = 143,
  anon_sym_LT_LT_EQ = 144,
  anon_sym_GT_GT_EQ = 145,
  anon_sym_AMP_EQ = 146,
  anon_sym_CARET_EQ = 147,
  anon_sym_PIPE_EQ = 148,
  anon_sym_DASH_DASH = 149,
  anon_sym_PLUS_PLUS = 150,
  anon_sym_sizeof = 151,
  anon_sym___alignof__ = 152,
  anon_sym___alignof = 153,
  anon_sym__alignof = 154,
  anon_sym_alignof = 155,
  anon_sym__Alignof = 156,
  anon_sym_offsetof = 157,
  anon_sym__Generic = 158,
  anon_sym_asm = 159,
  anon_sym___asm__ = 160,
  anon_sym___asm = 161,
  anon_sym___volatile__ = 162,
  anon_sym_DOT = 163,
  anon_sym_DASH_GT = 164,
  sym_number_literal = 165,
  anon_sym_L_SQUOTE = 166,
  anon_sym_u_SQUOTE = 167,
  anon_sym_U_SQUOTE = 168,
  anon_sym_u8_SQUOTE = 169,
  anon_sym_SQUOTE = 170,
  aux_sym_char_literal_token1 = 171,
  anon_sym_L_DQUOTE = 172,
  anon_sym_u_DQUOTE = 173,
  anon_sym_U_DQUOTE = 174,
  anon_sym_u8_DQUOTE = 175,
  anon_sym_DQUOTE = 176,
  aux_sym_string_literal_token1 = 177,
  sym_escape_sequence = 178,
  sym_system_lib_string = 179,
  sym_true = 180,
  sym_false = 181,
  anon_sym_NULL = 182,
  anon_sym_nullptr = 183,
  sym_comment = 184,
  aux_sym_preproc_extension_token1 = 185,
  anon_sym_require = 186,
  anon_sym_enable = 187,
  anon_sym_warn = 188,
  anon_sym_disable = 189,
  anon_sym_rayPayloadEXT = 190,
  anon_sym_rayPayloadInEXT = 191,
  anon_sym_hitAttributeEXT = 192,
  anon_sym_callableDataEXT = 193,
  anon_sym_callableDataInEXT = 194,
  anon_sym_shaderRecordEXT = 195,
  anon_sym_rayPayloadNV = 196,
  anon_sym_rayPayloadInNV = 197,
  anon_sym_hitAttributeNV = 198,
  anon_sym_callableDataNV = 199,
  anon_sym_callableDataInNV = 200,
  anon_sym_shaderRecordNV = 201,
  anon_sym_layout = 202,
  sym_translation_unit = 203,
  sym__top_level_item = 204,
  sym__block_item = 205,
  sym_preproc_include = 206,
  sym_preproc_def = 207,
  sym_preproc_function_def = 208,
  sym_preproc_params = 209,
  sym_preproc_call = 210,
  sym_preproc_if = 211,
  sym_preproc_ifdef = 212,
  sym_preproc_else = 213,
  sym_preproc_elif = 214,
  sym_preproc_elifdef = 215,
  sym_preproc_if_in_field_declaration_list = 216,
  sym_preproc_ifdef_in_field_declaration_list = 217,
  sym_preproc_else_in_field_declaration_list = 218,
  sym_preproc_elif_in_field_declaration_list = 219,
  sym_preproc_elifdef_in_field_declaration_list = 220,
  sym_preproc_if_in_enumerator_list = 221,
  sym_preproc_ifdef_in_enumerator_list = 222,
  sym_preproc_else_in_enumerator_list = 223,
  sym_preproc_elif_in_enumerator_list = 224,
  sym_preproc_elifdef_in_enumerator_list = 225,
  sym_preproc_if_in_enumerator_list_no_comma = 226,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 227,
  sym_preproc_else_in_enumerator_list_no_comma = 228,
  sym_preproc_elif_in_enumerator_list_no_comma = 229,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 230,
  sym__preproc_expression = 231,
  sym_preproc_parenthesized_expression = 232,
  sym_preproc_defined = 233,
  sym_preproc_unary_expression = 234,
  sym_preproc_call_expression = 235,
  sym_preproc_argument_list = 236,
  sym_preproc_binary_expression = 237,
  sym_function_definition = 238,
  sym_declaration = 239,
  sym_type_definition = 240,
  sym__type_definition_type = 241,
  sym__type_definition_declarators = 242,
  sym__declaration_modifiers = 243,
  sym__declaration_specifiers = 244,
  sym_linkage_specification = 245,
  sym_attribute_specifier = 246,
  sym_attribute = 247,
  sym_attribute_declaration = 248,
  sym_ms_declspec_modifier = 249,
  sym_ms_based_modifier = 250,
  sym_ms_call_modifier = 251,
  sym_ms_unaligned_ptr_modifier = 252,
  sym_ms_pointer_modifier = 253,
  sym_declaration_list = 254,
  sym__declarator = 255,
  sym__declaration_declarator = 256,
  sym__field_declarator = 257,
  sym__type_declarator = 258,
  sym__abstract_declarator = 259,
  sym_parenthesized_declarator = 260,
  sym_parenthesized_field_declarator = 261,
  sym_parenthesized_type_declarator = 262,
  sym_abstract_parenthesized_declarator = 263,
  sym_attributed_declarator = 264,
  sym_attributed_field_declarator = 265,
  sym_attributed_type_declarator = 266,
  sym_pointer_declarator = 267,
  sym_pointer_field_declarator = 268,
  sym_pointer_type_declarator = 269,
  sym_abstract_pointer_declarator = 270,
  sym_function_declarator = 271,
  sym__function_declaration_declarator = 272,
  sym_function_field_declarator = 273,
  sym_function_type_declarator = 274,
  sym_abstract_function_declarator = 275,
  sym_array_declarator = 276,
  sym_array_field_declarator = 277,
  sym_array_type_declarator = 278,
  sym_abstract_array_declarator = 279,
  sym_init_declarator = 280,
  sym_compound_statement = 281,
  sym_storage_class_specifier = 282,
  sym_type_qualifier = 283,
  sym_alignas_qualifier = 284,
  sym_type_specifier = 285,
  sym_sized_type_specifier = 286,
  sym_enum_specifier = 287,
  sym_enumerator_list = 288,
  sym_struct_specifier = 289,
  sym_union_specifier = 290,
  sym_field_declaration_list = 291,
  sym__field_declaration_list_item = 292,
  sym_field_declaration = 293,
  sym__field_declaration_declarator = 294,
  sym_bitfield_clause = 295,
  sym_enumerator = 296,
  sym_variadic_parameter = 297,
  sym_parameter_list = 298,
  sym_parameter_declaration = 299,
  sym_attributed_statement = 300,
  sym_statement = 301,
  sym__top_level_statement = 302,
  sym_labeled_statement = 303,
  sym__top_level_expression_statement = 304,
  sym_expression_statement = 305,
  sym_if_statement = 306,
  sym_else_clause = 307,
  sym_switch_statement = 308,
  sym_case_statement = 309,
  sym_while_statement = 310,
  sym_do_statement = 311,
  sym_for_statement = 312,
  sym__for_statement_body = 313,
  sym_return_statement = 314,
  sym_break_statement = 315,
  sym_continue_statement = 316,
  sym_goto_statement = 317,
  sym_seh_try_statement = 318,
  sym_seh_except_clause = 319,
  sym_seh_finally_clause = 320,
  sym_seh_leave_statement = 321,
  sym_expression = 322,
  sym__string = 323,
  sym_comma_expression = 324,
  sym_conditional_expression = 325,
  sym_assignment_expression = 326,
  sym_pointer_expression = 327,
  sym_unary_expression = 328,
  sym_binary_expression = 329,
  sym_update_expression = 330,
  sym_cast_expression = 331,
  sym_type_descriptor = 332,
  sym_sizeof_expression = 333,
  sym_alignof_expression = 334,
  sym_offsetof_expression = 335,
  sym_generic_expression = 336,
  sym_subscript_expression = 337,
  sym_call_expression = 338,
  sym_gnu_asm_expression = 339,
  sym_gnu_asm_qualifier = 340,
  sym_gnu_asm_output_operand_list = 341,
  sym_gnu_asm_output_operand = 342,
  sym_gnu_asm_input_operand_list = 343,
  sym_gnu_asm_input_operand = 344,
  sym_gnu_asm_clobber_list = 345,
  sym_gnu_asm_goto_list = 346,
  sym_extension_expression = 347,
  sym_argument_list = 348,
  sym_field_expression = 349,
  sym_compound_literal_expression = 350,
  sym_parenthesized_expression = 351,
  sym_initializer_list = 352,
  sym_initializer_pair = 353,
  sym_subscript_designator = 354,
  sym_subscript_range_designator = 355,
  sym_field_designator = 356,
  sym_char_literal = 357,
  sym_concatenated_string = 358,
  sym_string_literal = 359,
  sym_null = 360,
  sym__empty_declaration = 361,
  sym_macro_type_specifier = 362,
  sym_preproc_extension = 363,
  sym_extension_behavior = 364,
  sym_extension_storage_class = 365,
  sym_layout_specification = 366,
  sym_layout_qualifiers = 367,
  sym_qualifier = 368,
  aux_sym_translation_unit_repeat1 = 369,
  aux_sym_preproc_params_repeat1 = 370,
  aux_sym_preproc_if_repeat1 = 371,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 372,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 373,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 374,
  aux_sym_preproc_argument_list_repeat1 = 375,
  aux_sym_function_definition_repeat1 = 376,
  aux_sym_declaration_repeat1 = 377,
  aux_sym_declaration_repeat2 = 378,
  aux_sym_type_definition_repeat1 = 379,
  aux_sym__type_definition_type_repeat1 = 380,
  aux_sym__type_definition_declarators_repeat1 = 381,
  aux_sym__declaration_specifiers_repeat1 = 382,
  aux_sym_attribute_declaration_repeat1 = 383,
  aux_sym_attributed_declarator_repeat1 = 384,
  aux_sym_pointer_declarator_repeat1 = 385,
  aux_sym_function_declarator_repeat1 = 386,
  aux_sym_array_declarator_repeat1 = 387,
  aux_sym_sized_type_specifier_repeat1 = 388,
  aux_sym_enumerator_list_repeat1 = 389,
  aux_sym__field_declaration_declarator_repeat1 = 390,
  aux_sym_parameter_list_repeat1 = 391,
  aux_sym_parameter_declaration_repeat1 = 392,
  aux_sym_case_statement_repeat1 = 393,
  aux_sym_generic_expression_repeat1 = 394,
  aux_sym_gnu_asm_expression_repeat1 = 395,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 396,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 397,
  aux_sym_gnu_asm_clobber_list_repeat1 = 398,
  aux_sym_gnu_asm_goto_list_repeat1 = 399,
  aux_sym_argument_list_repeat1 = 400,
  aux_sym_initializer_list_repeat1 = 401,
  aux_sym_initializer_pair_repeat1 = 402,
  aux_sym_char_literal_repeat1 = 403,
  aux_sym_concatenated_string_repeat1 = 404,
  aux_sym_string_literal_repeat1 = 405,
  aux_sym_layout_qualifiers_repeat1 = 406,
  alias_sym_field_identifier = 407,
  alias_sym_statement_identifier = 408,
  alias_sym_type_identifier = 409,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_subroutine] = "subroutine",
  [anon_sym_invariant] = "invariant",
  [anon_sym_precise] = "precise",
  [anon_sym_SEMI] = ";",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_inout] = "inout",
  [anon_sym_uniform] = "uniform",
  [anon_sym_shared] = "shared",
  [anon_sym_attribute] = "attribute",
  [anon_sym_varying] = "varying",
  [anon_sym_buffer] = "buffer",
  [anon_sym_coherent] = "coherent",
  [anon_sym_readonly] = "readonly",
  [anon_sym_writeonly] = "writeonly",
  [anon_sym_precision] = "precision",
  [anon_sym_highp] = "highp",
  [anon_sym_mediump] = "mediump",
  [anon_sym_lowp] = "lowp",
  [anon_sym_centroid] = "centroid",
  [anon_sym_sample] = "sample",
  [anon_sym_patch] = "patch",
  [anon_sym_smooth] = "smooth",
  [anon_sym_flat] = "flat",
  [anon_sym_noperspective] = "noperspective",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym___attribute] = "__attribute",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [aux_sym_preproc_extension_token1] = "preproc_extension_token1",
  [anon_sym_require] = "require",
  [anon_sym_enable] = "enable",
  [anon_sym_warn] = "warn",
  [anon_sym_disable] = "disable",
  [anon_sym_rayPayloadEXT] = "rayPayloadEXT",
  [anon_sym_rayPayloadInEXT] = "rayPayloadInEXT",
  [anon_sym_hitAttributeEXT] = "hitAttributeEXT",
  [anon_sym_callableDataEXT] = "callableDataEXT",
  [anon_sym_callableDataInEXT] = "callableDataInEXT",
  [anon_sym_shaderRecordEXT] = "shaderRecordEXT",
  [anon_sym_rayPayloadNV] = "rayPayloadNV",
  [anon_sym_rayPayloadInNV] = "rayPayloadInNV",
  [anon_sym_hitAttributeNV] = "hitAttributeNV",
  [anon_sym_callableDataNV] = "callableDataNV",
  [anon_sym_callableDataInNV] = "callableDataInNV",
  [anon_sym_shaderRecordNV] = "shaderRecordNV",
  [anon_sym_layout] = "layout",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym__function_declaration_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [sym_preproc_extension] = "preproc_extension",
  [sym_extension_behavior] = "extension_behavior",
  [sym_extension_storage_class] = "extension_storage_class",
  [sym_layout_specification] = "layout_specification",
  [sym_layout_qualifiers] = "layout_qualifiers",
  [sym_qualifier] = "qualifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_declaration_repeat2] = "declaration_repeat2",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_parameter_declaration_repeat1] = "parameter_declaration_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_layout_qualifiers_repeat1] = "layout_qualifiers_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_subroutine] = anon_sym_subroutine,
  [anon_sym_invariant] = anon_sym_invariant,
  [anon_sym_precise] = anon_sym_precise,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_uniform] = anon_sym_uniform,
  [anon_sym_shared] = anon_sym_shared,
  [anon_sym_attribute] = anon_sym_attribute,
  [anon_sym_varying] = anon_sym_varying,
  [anon_sym_buffer] = anon_sym_buffer,
  [anon_sym_coherent] = anon_sym_coherent,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_writeonly] = anon_sym_writeonly,
  [anon_sym_precision] = anon_sym_precision,
  [anon_sym_highp] = anon_sym_highp,
  [anon_sym_mediump] = anon_sym_mediump,
  [anon_sym_lowp] = anon_sym_lowp,
  [anon_sym_centroid] = anon_sym_centroid,
  [anon_sym_sample] = anon_sym_sample,
  [anon_sym_patch] = anon_sym_patch,
  [anon_sym_smooth] = anon_sym_smooth,
  [anon_sym_flat] = anon_sym_flat,
  [anon_sym_noperspective] = anon_sym_noperspective,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym___attribute] = anon_sym___attribute,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [aux_sym_preproc_extension_token1] = aux_sym_preproc_extension_token1,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_enable] = anon_sym_enable,
  [anon_sym_warn] = anon_sym_warn,
  [anon_sym_disable] = anon_sym_disable,
  [anon_sym_rayPayloadEXT] = anon_sym_rayPayloadEXT,
  [anon_sym_rayPayloadInEXT] = anon_sym_rayPayloadInEXT,
  [anon_sym_hitAttributeEXT] = anon_sym_hitAttributeEXT,
  [anon_sym_callableDataEXT] = anon_sym_callableDataEXT,
  [anon_sym_callableDataInEXT] = anon_sym_callableDataInEXT,
  [anon_sym_shaderRecordEXT] = anon_sym_shaderRecordEXT,
  [anon_sym_rayPayloadNV] = anon_sym_rayPayloadNV,
  [anon_sym_rayPayloadInNV] = anon_sym_rayPayloadInNV,
  [anon_sym_hitAttributeNV] = anon_sym_hitAttributeNV,
  [anon_sym_callableDataNV] = anon_sym_callableDataNV,
  [anon_sym_callableDataInNV] = anon_sym_callableDataInNV,
  [anon_sym_shaderRecordNV] = anon_sym_shaderRecordNV,
  [anon_sym_layout] = anon_sym_layout,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym__function_declaration_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [sym_preproc_extension] = sym_preproc_extension,
  [sym_extension_behavior] = sym_extension_behavior,
  [sym_extension_storage_class] = sym_extension_storage_class,
  [sym_layout_specification] = sym_layout_specification,
  [sym_layout_qualifiers] = sym_layout_qualifiers,
  [sym_qualifier] = sym_qualifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_declaration_repeat2] = aux_sym_declaration_repeat2,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_parameter_declaration_repeat1] = aux_sym_parameter_declaration_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_layout_qualifiers_repeat1] = aux_sym_layout_qualifiers_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_subroutine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_invariant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uniform] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_varying] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_buffer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_coherent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_writeonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precision] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_highp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mediump] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lowp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_centroid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sample] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_patch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smooth] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_flat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noperspective] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_warn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_disable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadInEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hitAttributeEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataInEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shaderRecordEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadInNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hitAttributeNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataInNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shaderRecordNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_layout] = {
    .visible = true,
    .named = false,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_behavior] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_storage_class] = {
    .visible = true,
    .named = true,
  },
  [sym_layout_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_layout_qualifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_layout_qualifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_behavior = 5,
  field_body = 6,
  field_clobbers = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_declarator = 11,
  field_designator = 12,
  field_directive = 13,
  field_end = 14,
  field_extension = 15,
  field_field = 16,
  field_filter = 17,
  field_function = 18,
  field_goto_labels = 19,
  field_index = 20,
  field_initializer = 21,
  field_input_operands = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_operand = 27,
  field_operator = 28,
  field_output_operands = 29,
  field_parameters = 30,
  field_path = 31,
  field_prefix = 32,
  field_register = 33,
  field_right = 34,
  field_size = 35,
  field_start = 36,
  field_symbol = 37,
  field_type = 38,
  field_underlying_type = 39,
  field_update = 40,
  field_value = 41,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_behavior] = "behavior",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_extension] = "extension",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 0, .length = 1},
  [10] = {.index = 8, .length = 2},
  [11] = {.index = 10, .length = 2},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 1},
  [16] = {.index = 5, .length = 1},
  [17] = {.index = 16, .length = 2},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 1},
  [21] = {.index = 21, .length = 1},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 24, .length = 2},
  [24] = {.index = 26, .length = 1},
  [25] = {.index = 27, .length = 1},
  [26] = {.index = 28, .length = 2},
  [27] = {.index = 30, .length = 2},
  [28] = {.index = 32, .length = 1},
  [29] = {.index = 33, .length = 3},
  [30] = {.index = 36, .length = 1},
  [31] = {.index = 37, .length = 1},
  [32] = {.index = 38, .length = 3},
  [33] = {.index = 41, .length = 2},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 3},
  [36] = {.index = 48, .length = 1},
  [37] = {.index = 48, .length = 1},
  [38] = {.index = 49, .length = 2},
  [39] = {.index = 51, .length = 2},
  [40] = {.index = 53, .length = 1},
  [41] = {.index = 54, .length = 2},
  [42] = {.index = 56, .length = 1},
  [43] = {.index = 57, .length = 2},
  [44] = {.index = 59, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 2},
  [47] = {.index = 65, .length = 3},
  [48] = {.index = 68, .length = 2},
  [49] = {.index = 70, .length = 2},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [53] = {.index = 76, .length = 2},
  [54] = {.index = 78, .length = 1},
  [55] = {.index = 79, .length = 1},
  [56] = {.index = 80, .length = 3},
  [57] = {.index = 83, .length = 1},
  [58] = {.index = 84, .length = 1},
  [59] = {.index = 85, .length = 2},
  [60] = {.index = 87, .length = 1},
  [61] = {.index = 88, .length = 3},
  [62] = {.index = 91, .length = 3},
  [63] = {.index = 94, .length = 2},
  [64] = {.index = 96, .length = 3},
  [65] = {.index = 99, .length = 2},
  [66] = {.index = 101, .length = 2},
  [67] = {.index = 103, .length = 2},
  [68] = {.index = 105, .length = 2},
  [69] = {.index = 107, .length = 3},
  [70] = {.index = 110, .length = 2},
  [71] = {.index = 112, .length = 2},
  [72] = {.index = 114, .length = 3},
  [73] = {.index = 117, .length = 1},
  [74] = {.index = 118, .length = 1},
  [75] = {.index = 119, .length = 2},
  [76] = {.index = 121, .length = 3},
  [77] = {.index = 124, .length = 3},
  [78] = {.index = 127, .length = 2},
  [79] = {.index = 129, .length = 2},
  [80] = {.index = 131, .length = 3},
  [81] = {.index = 134, .length = 2},
  [82] = {.index = 136, .length = 2},
  [83] = {.index = 138, .length = 2},
  [84] = {.index = 140, .length = 1},
  [85] = {.index = 141, .length = 2},
  [86] = {.index = 143, .length = 2},
  [87] = {.index = 145, .length = 4},
  [88] = {.index = 149, .length = 1},
  [89] = {.index = 150, .length = 2},
  [90] = {.index = 152, .length = 1},
  [91] = {.index = 153, .length = 1},
  [92] = {.index = 154, .length = 4},
  [93] = {.index = 158, .length = 4},
  [94] = {.index = 162, .length = 2},
  [95] = {.index = 164, .length = 2},
  [96] = {.index = 166, .length = 3},
  [97] = {.index = 169, .length = 3},
  [98] = {.index = 172, .length = 3},
  [99] = {.index = 175, .length = 2},
  [100] = {.index = 177, .length = 1},
  [102] = {.index = 178, .length = 3},
  [103] = {.index = 181, .length = 3},
  [104] = {.index = 184, .length = 2},
  [105] = {.index = 186, .length = 2},
  [106] = {.index = 188, .length = 2},
  [107] = {.index = 190, .length = 3},
  [108] = {.index = 193, .length = 2},
  [109] = {.index = 195, .length = 2},
  [110] = {.index = 197, .length = 2},
  [111] = {.index = 199, .length = 2},
  [112] = {.index = 201, .length = 3},
  [113] = {.index = 204, .length = 2},
  [114] = {.index = 206, .length = 1},
  [115] = {.index = 207, .length = 5},
  [116] = {.index = 212, .length = 2},
  [117] = {.index = 214, .length = 3},
  [118] = {.index = 217, .length = 4},
  [119] = {.index = 221, .length = 4},
  [120] = {.index = 225, .length = 2},
  [121] = {.index = 225, .length = 2},
  [122] = {.index = 227, .length = 3},
  [123] = {.index = 230, .length = 3},
  [124] = {.index = 233, .length = 3},
  [125] = {.index = 236, .length = 2},
  [126] = {.index = 238, .length = 1},
  [127] = {.index = 239, .length = 4},
  [128] = {.index = 243, .length = 3},
  [129] = {.index = 246, .length = 5},
  [130] = {.index = 251, .length = 3},
  [131] = {.index = 254, .length = 3},
  [132] = {.index = 257, .length = 2},
  [133] = {.index = 259, .length = 2},
  [134] = {.index = 32, .length = 1},
  [135] = {.index = 261, .length = 5},
  [136] = {.index = 266, .length = 4},
  [137] = {.index = 270, .length = 2},
  [138] = {.index = 272, .length = 3},
  [139] = {.index = 275, .length = 3},
  [140] = {.index = 278, .length = 2},
  [141] = {.index = 280, .length = 2},
  [142] = {.index = 282, .length = 5},
  [143] = {.index = 287, .length = 3},
  [144] = {.index = 290, .length = 2},
  [145] = {.index = 292, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_value, 1},
  [8] =
    {field_declarator, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
  [10] =
    {field_argument, 0},
    {field_operator, 1},
  [12] =
    {field_arguments, 1},
    {field_function, 0},
  [14] =
    {field_type, 1},
  [15] =
    {field_path, 1},
  [16] =
    {field_argument, 1},
    {field_directive, 0},
  [18] =
    {field_declarator, 1},
    {field_type, 0},
  [20] =
    {field_parameters, 0},
  [21] =
    {field_declarator, 0},
  [22] =
    {field_body, 2},
    {field_value, 1},
  [24] =
    {field_body, 2},
    {field_name, 1},
  [26] =
    {field_name, 2},
  [27] =
    {field_body, 2},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_condition, 1},
  [32] =
    {field_label, 1},
  [33] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [36] =
    {field_label, 0},
  [37] =
    {field_declarator, 1},
  [38] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [41] =
    {field_declarator, 0},
    {field_parameters, 1},
  [43] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [45] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [48] =
    {field_type, 2},
  [49] =
    {field_name, 1},
    {field_value, 2},
  [51] =
    {field_name, 1},
    {field_parameters, 2},
  [53] =
    {field_condition, 1},
  [54] =
    {field_alternative, 2},
    {field_name, 1},
  [56] =
    {field_type, 0, .inherited = true},
  [57] =
    {field_declarator, 2},
    {field_type, 0},
  [59] =
    {field_left, 0},
    {field_right, 2},
  [61] =
    {field_type, 1},
    {field_value, 3},
  [63] =
    {field_declarator, 2},
    {field_type, 1},
  [65] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [68] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [70] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [72] =
    {field_name, 2},
    {field_prefix, 0},
  [74] =
    {field_name, 1},
    {field_underlying_type, 3},
  [76] =
    {field_body, 3},
    {field_name, 2},
  [78] =
    {field_name, 3},
  [79] =
    {field_body, 3},
  [80] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [83] =
    {field_initializer, 0},
  [84] =
    {field_assembly_code, 2},
  [85] =
    {field_name, 0},
    {field_type, 2},
  [87] =
    {field_declarator, 2},
  [88] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [91] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [94] =
    {field_declarator, 0},
    {field_value, 2},
  [96] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [99] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [101] =
    {field_argument, 0},
    {field_index, 2},
  [103] =
    {field_alternative, 3},
    {field_condition, 0},
  [105] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [110] =
    {field_alternative, 3},
    {field_condition, 1},
  [112] =
    {field_alternative, 3},
    {field_name, 1},
  [114] =
    {field_behavior, 3},
    {field_directive, 0},
    {field_extension, 1},
  [117] =
    {field_type, 1, .inherited = true},
  [118] =
    {field_size, 1},
  [119] =
    {field_declarator, 3},
    {field_type, 1},
  [121] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [124] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 2, .inherited = true},
  [127] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [129] =
    {field_name, 0},
    {field_value, 2},
  [131] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [134] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [136] =
    {field_body, 4},
    {field_name, 3},
  [138] =
    {field_body, 1},
    {field_condition, 3},
  [140] =
    {field_update, 2},
  [141] =
    {field_initializer, 0},
    {field_update, 2},
  [143] =
    {field_condition, 1},
    {field_initializer, 0},
  [145] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [149] =
    {field_operand, 1},
  [150] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [152] =
    {field_assembly_code, 3},
  [153] =
    {field_declarator, 3},
  [154] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [158] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [162] =
    {field_declarator, 0},
    {field_size, 2},
  [164] =
    {field_declarator, 1},
    {field_declarator, 2},
  [166] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [169] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [172] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 1, .inherited = true},
  [175] =
    {field_alternative, 4},
    {field_condition, 1},
  [177] =
    {field_size, 2},
  [178] =
    {field_body, 5},
    {field_declarator, 4},
    {field_type, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_declarator, 4},
    {field_type, 2, .inherited = true},
  [184] =
    {field_body, 2},
    {field_filter, 1},
  [186] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [188] =
    {field_condition, 1},
    {field_update, 3},
  [190] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [193] =
    {field_initializer, 0},
    {field_update, 3},
  [195] =
    {field_condition, 2},
    {field_initializer, 0},
  [197] =
    {field_member, 4},
    {field_type, 2},
  [199] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [201] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [204] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [206] =
    {field_declarator, 4},
  [207] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [212] =
    {field_declarator, 0},
    {field_size, 3},
  [214] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [217] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4},
    {field_type, 1, .inherited = true},
  [221] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 1, .inherited = true},
  [225] =
    {field_designator, 0},
    {field_value, 2},
  [227] =
    {field_body, 6},
    {field_declarator, 5},
    {field_type, 3, .inherited = true},
  [230] =
    {field_body, 6},
    {field_declarator, 5},
    {field_type, 4, .inherited = true},
  [233] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [236] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [238] =
    {field_register, 1},
  [239] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [243] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [246] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4},
    {field_declarator, 5, .inherited = true},
    {field_type, 1, .inherited = true},
  [251] =
    {field_body, 7},
    {field_declarator, 6},
    {field_type, 4, .inherited = true},
  [254] =
    {field_body, 7},
    {field_declarator, 6},
    {field_type, 5, .inherited = true},
  [257] =
    {field_constraint, 0},
    {field_value, 2},
  [259] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [261] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [266] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [270] =
    {field_end, 3},
    {field_start, 1},
  [272] =
    {field_body, 8},
    {field_declarator, 7},
    {field_type, 5, .inherited = true},
  [275] =
    {field_body, 8},
    {field_declarator, 7},
    {field_type, 6, .inherited = true},
  [278] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [280] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [282] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [287] =
    {field_body, 9},
    {field_declarator, 8},
    {field_type, 6, .inherited = true},
  [290] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [292] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [6] = {
    [1] = alias_sym_type_identifier,
  },
  [9] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [1] = alias_sym_type_identifier,
  },
  [20] = {
    [0] = sym_primitive_type,
  },
  [23] = {
    [1] = alias_sym_type_identifier,
  },
  [24] = {
    [2] = alias_sym_type_identifier,
  },
  [28] = {
    [1] = alias_sym_statement_identifier,
  },
  [30] = {
    [0] = alias_sym_statement_identifier,
  },
  [35] = {
    [2] = alias_sym_field_identifier,
  },
  [37] = {
    [2] = alias_sym_type_identifier,
  },
  [51] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [0] = alias_sym_field_identifier,
  },
  [53] = {
    [2] = alias_sym_type_identifier,
  },
  [54] = {
    [3] = alias_sym_type_identifier,
  },
  [80] = {
    [1] = alias_sym_type_identifier,
  },
  [82] = {
    [3] = alias_sym_type_identifier,
  },
  [101] = {
    [1] = alias_sym_field_identifier,
  },
  [110] = {
    [4] = alias_sym_field_identifier,
  },
  [120] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 2,
  [11] = 4,
  [12] = 3,
  [13] = 5,
  [14] = 2,
  [15] = 4,
  [16] = 3,
  [17] = 5,
  [18] = 2,
  [19] = 4,
  [20] = 3,
  [21] = 5,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 23,
  [27] = 24,
  [28] = 23,
  [29] = 25,
  [30] = 30,
  [31] = 22,
  [32] = 32,
  [33] = 25,
  [34] = 22,
  [35] = 24,
  [36] = 23,
  [37] = 24,
  [38] = 30,
  [39] = 39,
  [40] = 30,
  [41] = 25,
  [42] = 30,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 46,
  [51] = 47,
  [52] = 48,
  [53] = 49,
  [54] = 45,
  [55] = 45,
  [56] = 46,
  [57] = 47,
  [58] = 48,
  [59] = 49,
  [60] = 45,
  [61] = 46,
  [62] = 47,
  [63] = 48,
  [64] = 49,
  [65] = 65,
  [66] = 65,
  [67] = 48,
  [68] = 47,
  [69] = 65,
  [70] = 65,
  [71] = 65,
  [72] = 45,
  [73] = 46,
  [74] = 49,
  [75] = 75,
  [76] = 75,
  [77] = 75,
  [78] = 75,
  [79] = 75,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 118,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 126,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 80,
  [174] = 80,
  [175] = 80,
  [176] = 95,
  [177] = 89,
  [178] = 90,
  [179] = 91,
  [180] = 92,
  [181] = 93,
  [182] = 94,
  [183] = 95,
  [184] = 96,
  [185] = 97,
  [186] = 98,
  [187] = 99,
  [188] = 81,
  [189] = 101,
  [190] = 102,
  [191] = 103,
  [192] = 104,
  [193] = 131,
  [194] = 106,
  [195] = 107,
  [196] = 108,
  [197] = 109,
  [198] = 110,
  [199] = 111,
  [200] = 112,
  [201] = 113,
  [202] = 114,
  [203] = 115,
  [204] = 116,
  [205] = 128,
  [206] = 119,
  [207] = 86,
  [208] = 87,
  [209] = 88,
  [210] = 130,
  [211] = 105,
  [212] = 89,
  [213] = 90,
  [214] = 91,
  [215] = 92,
  [216] = 93,
  [217] = 94,
  [218] = 95,
  [219] = 96,
  [220] = 97,
  [221] = 98,
  [222] = 99,
  [223] = 81,
  [224] = 101,
  [225] = 102,
  [226] = 103,
  [227] = 104,
  [228] = 131,
  [229] = 106,
  [230] = 107,
  [231] = 108,
  [232] = 109,
  [233] = 110,
  [234] = 111,
  [235] = 112,
  [236] = 113,
  [237] = 114,
  [238] = 115,
  [239] = 116,
  [240] = 117,
  [241] = 118,
  [242] = 119,
  [243] = 82,
  [244] = 83,
  [245] = 121,
  [246] = 122,
  [247] = 100,
  [248] = 127,
  [249] = 123,
  [250] = 124,
  [251] = 125,
  [252] = 126,
  [253] = 84,
  [254] = 117,
  [255] = 118,
  [256] = 117,
  [257] = 85,
  [258] = 121,
  [259] = 122,
  [260] = 100,
  [261] = 127,
  [262] = 124,
  [263] = 125,
  [264] = 126,
  [265] = 128,
  [266] = 128,
  [267] = 130,
  [268] = 105,
  [269] = 82,
  [270] = 83,
  [271] = 86,
  [272] = 87,
  [273] = 88,
  [274] = 130,
  [275] = 105,
  [276] = 96,
  [277] = 97,
  [278] = 98,
  [279] = 99,
  [280] = 81,
  [281] = 101,
  [282] = 110,
  [283] = 111,
  [284] = 123,
  [285] = 84,
  [286] = 85,
  [287] = 89,
  [288] = 90,
  [289] = 91,
  [290] = 92,
  [291] = 93,
  [292] = 94,
  [293] = 82,
  [294] = 102,
  [295] = 103,
  [296] = 104,
  [297] = 131,
  [298] = 106,
  [299] = 107,
  [300] = 108,
  [301] = 109,
  [302] = 112,
  [303] = 113,
  [304] = 114,
  [305] = 115,
  [306] = 116,
  [307] = 83,
  [308] = 121,
  [309] = 122,
  [310] = 100,
  [311] = 84,
  [312] = 85,
  [313] = 127,
  [314] = 86,
  [315] = 123,
  [316] = 124,
  [317] = 125,
  [318] = 87,
  [319] = 88,
  [320] = 119,
  [321] = 140,
  [322] = 165,
  [323] = 141,
  [324] = 142,
  [325] = 163,
  [326] = 143,
  [327] = 157,
  [328] = 159,
  [329] = 132,
  [330] = 155,
  [331] = 144,
  [332] = 145,
  [333] = 146,
  [334] = 147,
  [335] = 148,
  [336] = 164,
  [337] = 154,
  [338] = 156,
  [339] = 161,
  [340] = 162,
  [341] = 149,
  [342] = 167,
  [343] = 150,
  [344] = 172,
  [345] = 166,
  [346] = 155,
  [347] = 166,
  [348] = 171,
  [349] = 135,
  [350] = 136,
  [351] = 137,
  [352] = 138,
  [353] = 139,
  [354] = 152,
  [355] = 152,
  [356] = 165,
  [357] = 151,
  [358] = 133,
  [359] = 134,
  [360] = 170,
  [361] = 141,
  [362] = 142,
  [363] = 143,
  [364] = 144,
  [365] = 132,
  [366] = 146,
  [367] = 147,
  [368] = 148,
  [369] = 149,
  [370] = 150,
  [371] = 172,
  [372] = 153,
  [373] = 158,
  [374] = 160,
  [375] = 169,
  [376] = 168,
  [377] = 140,
  [378] = 170,
  [379] = 169,
  [380] = 171,
  [381] = 153,
  [382] = 151,
  [383] = 133,
  [384] = 134,
  [385] = 135,
  [386] = 164,
  [387] = 136,
  [388] = 137,
  [389] = 168,
  [390] = 154,
  [391] = 156,
  [392] = 161,
  [393] = 162,
  [394] = 163,
  [395] = 160,
  [396] = 138,
  [397] = 139,
  [398] = 153,
  [399] = 157,
  [400] = 158,
  [401] = 167,
  [402] = 159,
  [403] = 160,
  [404] = 145,
  [405] = 405,
  [406] = 142,
  [407] = 169,
  [408] = 144,
  [409] = 145,
  [410] = 146,
  [411] = 147,
  [412] = 148,
  [413] = 149,
  [414] = 150,
  [415] = 172,
  [416] = 171,
  [417] = 135,
  [418] = 136,
  [419] = 137,
  [420] = 152,
  [421] = 138,
  [422] = 155,
  [423] = 423,
  [424] = 163,
  [425] = 156,
  [426] = 154,
  [427] = 139,
  [428] = 151,
  [429] = 133,
  [430] = 134,
  [431] = 164,
  [432] = 157,
  [433] = 161,
  [434] = 158,
  [435] = 435,
  [436] = 159,
  [437] = 162,
  [438] = 165,
  [439] = 168,
  [440] = 132,
  [441] = 140,
  [442] = 167,
  [443] = 166,
  [444] = 141,
  [445] = 143,
  [446] = 80,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 448,
  [454] = 454,
  [455] = 455,
  [456] = 451,
  [457] = 448,
  [458] = 450,
  [459] = 452,
  [460] = 450,
  [461] = 451,
  [462] = 452,
  [463] = 463,
  [464] = 463,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 463,
  [470] = 470,
  [471] = 470,
  [472] = 472,
  [473] = 470,
  [474] = 470,
  [475] = 475,
  [476] = 475,
  [477] = 477,
  [478] = 478,
  [479] = 477,
  [480] = 480,
  [481] = 481,
  [482] = 477,
  [483] = 480,
  [484] = 477,
  [485] = 485,
  [486] = 478,
  [487] = 481,
  [488] = 488,
  [489] = 489,
  [490] = 489,
  [491] = 477,
  [492] = 485,
  [493] = 488,
  [494] = 478,
  [495] = 488,
  [496] = 481,
  [497] = 480,
  [498] = 478,
  [499] = 488,
  [500] = 489,
  [501] = 488,
  [502] = 489,
  [503] = 478,
  [504] = 489,
  [505] = 481,
  [506] = 481,
  [507] = 480,
  [508] = 485,
  [509] = 485,
  [510] = 480,
  [511] = 511,
  [512] = 511,
  [513] = 511,
  [514] = 511,
  [515] = 515,
  [516] = 515,
  [517] = 515,
  [518] = 515,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 519,
  [523] = 523,
  [524] = 475,
  [525] = 523,
  [526] = 519,
  [527] = 523,
  [528] = 519,
  [529] = 519,
  [530] = 523,
  [531] = 523,
  [532] = 519,
  [533] = 523,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 535,
  [538] = 534,
  [539] = 534,
  [540] = 536,
  [541] = 536,
  [542] = 536,
  [543] = 536,
  [544] = 544,
  [545] = 545,
  [546] = 475,
  [547] = 475,
  [548] = 548,
  [549] = 548,
  [550] = 548,
  [551] = 548,
  [552] = 548,
  [553] = 548,
  [554] = 548,
  [555] = 548,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 475,
  [560] = 158,
  [561] = 561,
  [562] = 160,
  [563] = 168,
  [564] = 140,
  [565] = 169,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 153,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 567,
  [585] = 153,
  [586] = 158,
  [587] = 160,
  [588] = 168,
  [589] = 140,
  [590] = 169,
  [591] = 571,
  [592] = 573,
  [593] = 574,
  [594] = 575,
  [595] = 576,
  [596] = 573,
  [597] = 153,
  [598] = 158,
  [599] = 160,
  [600] = 168,
  [601] = 140,
  [602] = 169,
  [603] = 574,
  [604] = 575,
  [605] = 576,
  [606] = 571,
  [607] = 577,
  [608] = 577,
  [609] = 578,
  [610] = 579,
  [611] = 561,
  [612] = 569,
  [613] = 578,
  [614] = 566,
  [615] = 580,
  [616] = 579,
  [617] = 580,
  [618] = 581,
  [619] = 572,
  [620] = 561,
  [621] = 581,
  [622] = 569,
  [623] = 572,
  [624] = 624,
  [625] = 566,
  [626] = 567,
  [627] = 568,
  [628] = 568,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 521,
  [642] = 642,
  [643] = 642,
  [644] = 644,
  [645] = 645,
  [646] = 642,
  [647] = 647,
  [648] = 642,
  [649] = 649,
  [650] = 650,
  [651] = 642,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 656,
  [658] = 658,
  [659] = 658,
  [660] = 660,
  [661] = 660,
  [662] = 662,
  [663] = 662,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 664,
  [675] = 675,
  [676] = 660,
  [677] = 662,
  [678] = 662,
  [679] = 664,
  [680] = 680,
  [681] = 681,
  [682] = 660,
  [683] = 662,
  [684] = 660,
  [685] = 664,
  [686] = 660,
  [687] = 662,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 702,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 701,
  [714] = 714,
  [715] = 704,
  [716] = 716,
  [717] = 707,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 714,
  [730] = 730,
  [731] = 731,
  [732] = 702,
  [733] = 718,
  [734] = 719,
  [735] = 720,
  [736] = 721,
  [737] = 722,
  [738] = 723,
  [739] = 718,
  [740] = 719,
  [741] = 720,
  [742] = 721,
  [743] = 722,
  [744] = 723,
  [745] = 724,
  [746] = 725,
  [747] = 726,
  [748] = 727,
  [749] = 724,
  [750] = 714,
  [751] = 702,
  [752] = 710,
  [753] = 710,
  [754] = 712,
  [755] = 701,
  [756] = 704,
  [757] = 725,
  [758] = 726,
  [759] = 727,
  [760] = 760,
  [761] = 714,
  [762] = 719,
  [763] = 710,
  [764] = 764,
  [765] = 712,
  [766] = 701,
  [767] = 704,
  [768] = 768,
  [769] = 711,
  [770] = 770,
  [771] = 707,
  [772] = 718,
  [773] = 719,
  [774] = 720,
  [775] = 721,
  [776] = 722,
  [777] = 723,
  [778] = 724,
  [779] = 725,
  [780] = 726,
  [781] = 727,
  [782] = 782,
  [783] = 714,
  [784] = 702,
  [785] = 718,
  [786] = 720,
  [787] = 721,
  [788] = 722,
  [789] = 723,
  [790] = 724,
  [791] = 725,
  [792] = 726,
  [793] = 727,
  [794] = 714,
  [795] = 702,
  [796] = 710,
  [797] = 712,
  [798] = 701,
  [799] = 704,
  [800] = 768,
  [801] = 718,
  [802] = 719,
  [803] = 720,
  [804] = 768,
  [805] = 721,
  [806] = 768,
  [807] = 722,
  [808] = 710,
  [809] = 711,
  [810] = 712,
  [811] = 701,
  [812] = 723,
  [813] = 704,
  [814] = 724,
  [815] = 768,
  [816] = 816,
  [817] = 725,
  [818] = 726,
  [819] = 730,
  [820] = 727,
  [821] = 712,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 822,
  [829] = 823,
  [830] = 826,
  [831] = 822,
  [832] = 823,
  [833] = 826,
  [834] = 822,
  [835] = 823,
  [836] = 826,
  [837] = 837,
  [838] = 838,
  [839] = 582,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 583,
  [850] = 850,
  [851] = 851,
  [852] = 652,
  [853] = 853,
  [854] = 649,
  [855] = 647,
  [856] = 856,
  [857] = 545,
  [858] = 858,
  [859] = 544,
  [860] = 858,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 875,
  [882] = 872,
  [883] = 870,
  [884] = 884,
  [885] = 880,
  [886] = 884,
  [887] = 875,
  [888] = 872,
  [889] = 889,
  [890] = 870,
  [891] = 884,
  [892] = 880,
  [893] = 875,
  [894] = 872,
  [895] = 870,
  [896] = 880,
  [897] = 897,
  [898] = 898,
  [899] = 884,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 837,
  [915] = 904,
  [916] = 837,
  [917] = 917,
  [918] = 918,
  [919] = 903,
  [920] = 920,
  [921] = 862,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 545,
  [928] = 928,
  [929] = 544,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 984,
  [986] = 986,
  [987] = 987,
  [988] = 986,
  [989] = 984,
  [990] = 984,
  [991] = 991,
  [992] = 984,
  [993] = 986,
  [994] = 994,
  [995] = 986,
  [996] = 996,
  [997] = 997,
  [998] = 997,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 999,
  [1006] = 1002,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1003,
  [1011] = 1007,
  [1012] = 1008,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1009,
  [1016] = 1013,
  [1017] = 1017,
  [1018] = 837,
  [1019] = 1014,
  [1020] = 996,
  [1021] = 1000,
  [1022] = 1004,
  [1023] = 1001,
  [1024] = 1024,
  [1025] = 867,
  [1026] = 1024,
  [1027] = 1027,
  [1028] = 1024,
  [1029] = 1027,
  [1030] = 1027,
  [1031] = 1024,
  [1032] = 867,
  [1033] = 1027,
  [1034] = 1034,
  [1035] = 1027,
  [1036] = 994,
  [1037] = 987,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1040,
  [1042] = 1040,
  [1043] = 1043,
  [1044] = 1040,
  [1045] = 1045,
  [1046] = 999,
  [1047] = 1001,
  [1048] = 1002,
  [1049] = 1003,
  [1050] = 1007,
  [1051] = 1008,
  [1052] = 1009,
  [1053] = 1013,
  [1054] = 1014,
  [1055] = 996,
  [1056] = 1000,
  [1057] = 1004,
  [1058] = 997,
  [1059] = 1059,
  [1060] = 911,
  [1061] = 900,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 901,
  [1065] = 909,
  [1066] = 906,
  [1067] = 1067,
  [1068] = 907,
  [1069] = 85,
  [1070] = 123,
  [1071] = 113,
  [1072] = 92,
  [1073] = 93,
  [1074] = 114,
  [1075] = 94,
  [1076] = 95,
  [1077] = 84,
  [1078] = 89,
  [1079] = 905,
  [1080] = 908,
  [1081] = 1081,
  [1082] = 112,
  [1083] = 116,
  [1084] = 90,
  [1085] = 102,
  [1086] = 910,
  [1087] = 103,
  [1088] = 104,
  [1089] = 91,
  [1090] = 131,
  [1091] = 106,
  [1092] = 867,
  [1093] = 107,
  [1094] = 108,
  [1095] = 109,
  [1096] = 115,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1098,
  [1109] = 1107,
  [1110] = 1103,
  [1111] = 1111,
  [1112] = 1099,
  [1113] = 1111,
  [1114] = 1114,
  [1115] = 1114,
  [1116] = 1116,
  [1117] = 1000,
  [1118] = 1013,
  [1119] = 1014,
  [1120] = 999,
  [1121] = 1004,
  [1122] = 997,
  [1123] = 996,
  [1124] = 1001,
  [1125] = 1002,
  [1126] = 1003,
  [1127] = 1000,
  [1128] = 997,
  [1129] = 1007,
  [1130] = 1008,
  [1131] = 999,
  [1132] = 1009,
  [1133] = 1001,
  [1134] = 1013,
  [1135] = 1004,
  [1136] = 1014,
  [1137] = 996,
  [1138] = 1138,
  [1139] = 1002,
  [1140] = 1009,
  [1141] = 1003,
  [1142] = 1007,
  [1143] = 1008,
  [1144] = 1144,
  [1145] = 1144,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1146,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1146,
  [1157] = 1144,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1146,
  [1161] = 1161,
  [1162] = 1144,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1164,
  [1169] = 1169,
  [1170] = 1017,
  [1171] = 1171,
  [1172] = 1034,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1174,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1043,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1177,
  [1182] = 1180,
  [1183] = 1183,
  [1184] = 1179,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1177,
  [1188] = 920,
  [1189] = 1138,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1179,
  [1193] = 1177,
  [1194] = 1194,
  [1195] = 1038,
  [1196] = 999,
  [1197] = 997,
  [1198] = 1001,
  [1199] = 1002,
  [1200] = 1003,
  [1201] = 1007,
  [1202] = 1008,
  [1203] = 1009,
  [1204] = 1013,
  [1205] = 1014,
  [1206] = 996,
  [1207] = 1179,
  [1208] = 1185,
  [1209] = 1185,
  [1210] = 1210,
  [1211] = 1000,
  [1212] = 1212,
  [1213] = 1004,
  [1214] = 1039,
  [1215] = 1185,
  [1216] = 1185,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1185,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 918,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1230,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1230,
  [1245] = 1245,
  [1246] = 1230,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1232,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1230,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1262,
  [1268] = 1266,
  [1269] = 1269,
  [1270] = 1264,
  [1271] = 920,
  [1272] = 957,
  [1273] = 918,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 957,
  [1282] = 953,
  [1283] = 961,
  [1284] = 983,
  [1285] = 963,
  [1286] = 964,
  [1287] = 965,
  [1288] = 960,
  [1289] = 947,
  [1290] = 968,
  [1291] = 946,
  [1292] = 958,
  [1293] = 978,
  [1294] = 1294,
  [1295] = 972,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1296,
  [1300] = 1297,
  [1301] = 1294,
  [1302] = 1302,
  [1303] = 1302,
  [1304] = 1304,
  [1305] = 1296,
  [1306] = 1298,
  [1307] = 1307,
  [1308] = 1307,
  [1309] = 1017,
  [1310] = 1302,
  [1311] = 1302,
  [1312] = 1298,
  [1313] = 1298,
  [1314] = 1302,
  [1315] = 1297,
  [1316] = 1296,
  [1317] = 1307,
  [1318] = 1298,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 865,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1324,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1322,
  [1331] = 1320,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1335,
  [1337] = 1337,
  [1338] = 1337,
  [1339] = 1328,
  [1340] = 1340,
  [1341] = 1329,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1319,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1329,
  [1355] = 1355,
  [1356] = 1321,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1319,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1333,
  [1364] = 1325,
  [1365] = 1329,
  [1366] = 1366,
  [1367] = 1327,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1371,
  [1373] = 1344,
  [1374] = 1374,
  [1375] = 1349,
  [1376] = 1376,
  [1377] = 1374,
  [1378] = 1151,
  [1379] = 1343,
  [1380] = 1380,
  [1381] = 1340,
  [1382] = 1149,
  [1383] = 1350,
  [1384] = 1353,
  [1385] = 1361,
  [1386] = 1374,
  [1387] = 1380,
  [1388] = 1159,
  [1389] = 1389,
  [1390] = 1360,
  [1391] = 1391,
  [1392] = 1351,
  [1393] = 1393,
  [1394] = 865,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1352,
  [1398] = 1358,
  [1399] = 1342,
  [1400] = 1374,
  [1401] = 1346,
  [1402] = 1395,
  [1403] = 1395,
  [1404] = 1404,
  [1405] = 1154,
  [1406] = 1355,
  [1407] = 1347,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1410,
  [1415] = 1415,
  [1416] = 1411,
  [1417] = 1417,
  [1418] = 1415,
  [1419] = 1417,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1410,
  [1424] = 1424,
  [1425] = 1415,
  [1426] = 1417,
  [1427] = 1427,
  [1428] = 1413,
  [1429] = 1411,
  [1430] = 1421,
  [1431] = 1413,
  [1432] = 1413,
  [1433] = 1422,
  [1434] = 1424,
  [1435] = 1424,
  [1436] = 1427,
  [1437] = 1437,
  [1438] = 1422,
  [1439] = 1427,
  [1440] = 1415,
  [1441] = 1410,
  [1442] = 1417,
  [1443] = 1411,
  [1444] = 1421,
  [1445] = 1421,
  [1446] = 1446,
  [1447] = 1422,
  [1448] = 1427,
  [1449] = 1424,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1452,
  [1457] = 1452,
  [1458] = 1458,
  [1459] = 1450,
  [1460] = 1450,
  [1461] = 1452,
  [1462] = 1450,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1463,
  [1466] = 1466,
  [1467] = 1466,
  [1468] = 1463,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1466,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1420,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1488,
  [1499] = 1488,
  [1500] = 1486,
  [1501] = 1497,
  [1502] = 1488,
  [1503] = 1497,
  [1504] = 1488,
  [1505] = 1486,
  [1506] = 1486,
  [1507] = 1497,
  [1508] = 1497,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1514,
  [1516] = 1514,
  [1517] = 1517,
  [1518] = 1513,
  [1519] = 1519,
  [1520] = 1514,
  [1521] = 1513,
  [1522] = 1522,
  [1523] = 1514,
  [1524] = 1513,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1513,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1454,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1458,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1534,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1555,
  [1557] = 1533,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1549,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1558,
  [1565] = 1554,
  [1566] = 1559,
  [1567] = 1567,
  [1568] = 1534,
  [1569] = 1554,
  [1570] = 1555,
  [1571] = 1533,
  [1572] = 1572,
  [1573] = 1558,
  [1574] = 1559,
  [1575] = 1575,
  [1576] = 1549,
  [1577] = 1531,
  [1578] = 1562,
  [1579] = 1562,
  [1580] = 1534,
  [1581] = 1451,
  [1582] = 1554,
  [1583] = 1555,
  [1584] = 1533,
  [1585] = 1558,
  [1586] = 1559,
  [1587] = 1549,
  [1588] = 1531,
  [1589] = 1562,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1531,
  [1593] = 1593,
  [1594] = 1482,
  [1595] = 1595,
  [1596] = 1485,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1484,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1483,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1606,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1605,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1606,
  [1619] = 1619,
  [1620] = 1606,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1605,
  [1624] = 1605,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1641,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1644,
  [1647] = 1631,
  [1648] = 1635,
  [1649] = 1634,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1634,
  [1654] = 1631,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1650,
  [1658] = 1630,
  [1659] = 1659,
  [1660] = 1632,
  [1661] = 1652,
  [1662] = 1628,
  [1663] = 1631,
  [1664] = 1637,
  [1665] = 1650,
  [1666] = 1640,
  [1667] = 1667,
  [1668] = 1640,
  [1669] = 1669,
  [1670] = 1645,
  [1671] = 1644,
  [1672] = 1645,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1650,
  [1677] = 1677,
  [1678] = 1677,
  [1679] = 1633,
  [1680] = 1635,
  [1681] = 1659,
  [1682] = 1629,
  [1683] = 1677,
  [1684] = 1630,
  [1685] = 1632,
  [1686] = 1637,
  [1687] = 1641,
  [1688] = 1644,
  [1689] = 1689,
  [1690] = 1634,
  [1691] = 1633,
  [1692] = 1659,
  [1693] = 1693,
  [1694] = 1652,
  [1695] = 1628,
  [1696] = 1677,
  [1697] = 1629,
  [1698] = 1689,
  [1699] = 1675,
  [1700] = 1675,
  [1701] = 1629,
  [1702] = 1702,
  [1703] = 1652,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1675,
  [1707] = 1689,
  [1708] = 1640,
  [1709] = 1641,
  [1710] = 1710,
  [1711] = 1630,
  [1712] = 1645,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1633,
  [1716] = 1632,
  [1717] = 1717,
  [1718] = 1659,
  [1719] = 1635,
  [1720] = 1637,
  [1721] = 1689,
  [1722] = 1628,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1726,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1724,
  [1731] = 1731,
  [1732] = 1728,
  [1733] = 1724,
  [1734] = 1734,
  [1735] = 1726,
  [1736] = 1726,
  [1737] = 1731,
  [1738] = 1728,
  [1739] = 1724,
  [1740] = 1726,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1728,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1724,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1731,
  [1763] = 1731,
  [1764] = 1764,
  [1765] = 1731,
  [1766] = 1766,
  [1767] = 1728,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1800,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1801,
  [1806] = 1806,
  [1807] = 1800,
  [1808] = 1803,
  [1809] = 1806,
  [1810] = 1800,
  [1811] = 1801,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1803,
  [1815] = 1806,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1803,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1799,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1799,
  [1826] = 1801,
  [1827] = 1799,
  [1828] = 1806,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1833,
  [1837] = 1837,
  [1838] = 1834,
  [1839] = 1835,
  [1840] = 1835,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1837,
  [1844] = 1844,
  [1845] = 1830,
  [1846] = 1846,
  [1847] = 1833,
  [1848] = 1848,
  [1849] = 1835,
  [1850] = 1850,
  [1851] = 1830,
  [1852] = 1837,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1835,
  [1856] = 1835,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1848,
  [1860] = 1860,
  [1861] = 1842,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1830,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1833,
  [1868] = 1834,
  [1869] = 1869,
  [1870] = 1848,
  [1871] = 1835,
  [1872] = 1872,
  [1873] = 1858,
  [1874] = 1860,
  [1875] = 1842,
  [1876] = 1834,
  [1877] = 1877,
  [1878] = 1834,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1877,
  [1883] = 1830,
  [1884] = 1884,
  [1885] = 1860,
  [1886] = 1833,
  [1887] = 1858,
  [1888] = 1858,
  [1889] = 1877,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1638,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1900,
  [1910] = 1910,
  [1911] = 1901,
  [1912] = 1903,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1902,
  [1916] = 1916,
  [1917] = 1900,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1896,
  [1923] = 1891,
  [1924] = 1924,
  [1925] = 1906,
  [1926] = 1893,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1910,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1898,
  [1936] = 1901,
  [1937] = 1937,
  [1938] = 1921,
  [1939] = 1939,
  [1940] = 1916,
  [1941] = 1898,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1908,
  [1947] = 1930,
  [1948] = 1948,
  [1949] = 1942,
  [1950] = 1895,
  [1951] = 1939,
  [1952] = 1952,
  [1953] = 1903,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1930,
  [1957] = 1957,
  [1958] = 1943,
  [1959] = 1959,
  [1960] = 1921,
  [1961] = 1961,
  [1962] = 1891,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1898,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1942,
  [1970] = 1970,
  [1971] = 1961,
  [1972] = 1920,
  [1973] = 1973,
  [1974] = 1902,
  [1975] = 1975,
  [1976] = 1961,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1918,
  [1980] = 1980,
  [1981] = 1908,
  [1982] = 1920,
  [1983] = 1983,
  [1984] = 1894,
  [1985] = 1985,
  [1986] = 1908,
  [1987] = 1985,
  [1988] = 1942,
  [1989] = 1919,
  [1990] = 1916,
  [1991] = 1991,
  [1992] = 1920,
  [1993] = 1921,
  [1994] = 1896,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1902,
  [1998] = 1891,
  [1999] = 1898,
  [2000] = 1930,
  [2001] = 1900,
  [2002] = 2002,
  [2003] = 1901,
  [2004] = 1918,
  [2005] = 1924,
  [2006] = 2006,
  [2007] = 1927,
  [2008] = 1939,
  [2009] = 1903,
  [2010] = 1894,
  [2011] = 1961,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 1893,
  [2015] = 2015,
  [2016] = 1937,
  [2017] = 2017,
  [2018] = 1904,
  [2019] = 1894,
  [2020] = 1914,
  [2021] = 1891,
  [2022] = 1919,
  [2023] = 1942,
  [2024] = 1893,
  [2025] = 1961,
  [2026] = 1918,
  [2027] = 1927,
  [2028] = 2028,
  [2029] = 1894,
  [2030] = 1896,
  [2031] = 2031,
  [2032] = 1937,
  [2033] = 1943,
  [2034] = 1906,
  [2035] = 1918,
  [2036] = 1900,
  [2037] = 1902,
  [2038] = 1901,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 1916,
  [2042] = 1903,
  [2043] = 1893,
  [2044] = 2044,
  [2045] = 1916,
  [2046] = 1920,
  [2047] = 1896,
  [2048] = 2048,
  [2049] = 1957,
  [2050] = 1973,
  [2051] = 1904,
  [2052] = 2052,
  [2053] = 1927,
  [2054] = 1957,
  [2055] = 1973,
  [2056] = 1904,
  [2057] = 1921,
  [2058] = 1957,
  [2059] = 1973,
  [2060] = 1927,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2063,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2070,
  [2072] = 2063,
  [2073] = 2063,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2066,
  [2078] = 2078,
  [2079] = 2061,
  [2080] = 2063,
  [2081] = 2061,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2075,
  [2086] = 2076,
  [2087] = 2068,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2078,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2070,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2083,
  [2103] = 2083,
  [2104] = 2083,
  [2105] = 2078,
  [2106] = 2076,
  [2107] = 2066,
  [2108] = 2078,
  [2109] = 2061,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2093,
  [2113] = 2113,
  [2114] = 2094,
  [2115] = 2115,
  [2116] = 2066,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2093,
  [2120] = 2063,
  [2121] = 2094,
  [2122] = 2122,
  [2123] = 2100,
  [2124] = 2076,
  [2125] = 2094,
  [2126] = 2068,
  [2127] = 2094,
  [2128] = 2078,
  [2129] = 2117,
  [2130] = 2117,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2061,
  [2134] = 2095,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2068,
  [2138] = 2068,
  [2139] = 2076,
  [2140] = 2093,
  [2141] = 2141,
  [2142] = 2063,
  [2143] = 2143,
  [2144] = 2070,
  [2145] = 2070,
  [2146] = 2117,
  [2147] = 2147,
  [2148] = 2075,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2149,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 1151,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2149,
  [2174] = 2156,
  [2175] = 2175,
  [2176] = 2158,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2149,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2166,
  [2188] = 2156,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2172,
  [2192] = 2175,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2160,
  [2208] = 2200,
  [2209] = 2167,
  [2210] = 2168,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2171,
  [2215] = 2170,
  [2216] = 2165,
  [2217] = 582,
  [2218] = 2185,
  [2219] = 2182,
  [2220] = 2171,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2182,
  [2224] = 2171,
  [2225] = 2225,
  [2226] = 2184,
  [2227] = 2206,
  [2228] = 2228,
  [2229] = 2150,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2193,
  [2234] = 2234,
  [2235] = 2171,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2196,
  [2239] = 2239,
  [2240] = 2197,
  [2241] = 2177,
  [2242] = 2242,
  [2243] = 2150,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2172,
  [2249] = 1159,
  [2250] = 2250,
  [2251] = 583,
  [2252] = 2252,
  [2253] = 2228,
  [2254] = 2170,
  [2255] = 2232,
  [2256] = 2156,
  [2257] = 2184,
  [2258] = 2165,
  [2259] = 2177,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2206,
  [2263] = 2263,
  [2264] = 2169,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2200,
  [2268] = 2182,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2171,
  [2272] = 2234,
  [2273] = 2273,
  [2274] = 2172,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2184,
  [2279] = 2206,
  [2280] = 2280,
  [2281] = 2276,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2236,
  [2286] = 2196,
  [2287] = 2287,
  [2288] = 2150,
  [2289] = 2289,
  [2290] = 2162,
  [2291] = 2291,
  [2292] = 2277,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2232,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2151,
  [2303] = 2150,
  [2304] = 2156,
  [2305] = 2197,
  [2306] = 2306,
  [2307] = 2169,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2242,
  [2311] = 2311,
  [2312] = 2246,
  [2313] = 2236,
  [2314] = 2276,
  [2315] = 1149,
  [2316] = 2156,
  [2317] = 2184,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2160,
  [2322] = 2322,
  [2323] = 2228,
  [2324] = 2193,
  [2325] = 2184,
  [2326] = 2184,
  [2327] = 2327,
  [2328] = 2225,
  [2329] = 2329,
  [2330] = 2182,
  [2331] = 2234,
  [2332] = 2167,
  [2333] = 2327,
  [2334] = 2194,
  [2335] = 2335,
  [2336] = 2165,
  [2337] = 2177,
  [2338] = 2338,
  [2339] = 2252,
  [2340] = 2150,
  [2341] = 2234,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2232,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2151,
  [2349] = 2277,
  [2350] = 2232,
  [2351] = 2273,
  [2352] = 2242,
  [2353] = 2234,
  [2354] = 2354,
  [2355] = 2347,
  [2356] = 2182,
  [2357] = 2168,
  [2358] = 2246,
  [2359] = 2151,
  [2360] = 2360,
  [2361] = 1154,
  [2362] = 2362,
  [2363] = 2200,
  [2364] = 2364,
  [2365] = 2194,
  [2366] = 2155,
  [2367] = 2367,
  [2368] = 2252,
  [2369] = 2296,
  [2370] = 2370,
  [2371] = 2347,
  [2372] = 2372,
  [2373] = 2166,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2163,
  [2377] = 2377,
  [2378] = 2171,
  [2379] = 2234,
  [2380] = 2155,
  [2381] = 2242,
  [2382] = 2172,
  [2383] = 2383,
  [2384] = 2246,
  [2385] = 2252,
  [2386] = 2295,
  [2387] = 2387,
  [2388] = 2347,
  [2389] = 2236,
  [2390] = 2277,
  [2391] = 2232,
  [2392] = 2150,
  [2393] = 2393,
  [2394] = 2228,
  [2395] = 2166,
  [2396] = 2276,
  [2397] = 2169,
  [2398] = 2149,
  [2399] = 2194,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2296,
  [2404] = 2163,
  [2405] = 2295,
  [2406] = 2194,
  [2407] = 2407,
  [2408] = 2163,
  [2409] = 2295,
  [2410] = 2296,
  [2411] = 2232,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2228,
  [2415] = 2301,
  [2416] = 2185,
  [2417] = 2417,
};

static TSCharacterRange sym_number_literal_character_set_13[] = {
  {'0', '9'}, {'B', 'B'}, {'D', 'D'}, {'F', 'F'}, {'L', 'L'}, {'U', 'U'}, {'W', 'W'}, {'b', 'b'},
  {'d', 'd'}, {'f', 'f'}, {'l', 'l'}, {'u', 'u'}, {'w', 'w'},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(125);
      ADVANCE_MAP(
        '!', 203,
        '"', 302,
        '#', 79,
        '%', 220,
        '&', 229,
        '\'', 293,
        '(', 129,
        ')', 132,
        '*', 216,
        '+', 211,
        ',', 131,
        '-', 206,
        '.', 269,
        '/', 218,
        '0', 275,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        'L', 317,
        'U', 319,
        '[', 249,
        '\\', 2,
        ']', 250,
        '^', 226,
        'u', 321,
        '{', 246,
        '|', 223,
        '}', 247,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(123);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(45);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(48);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(47);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(47);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(50);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(56);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(55);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(55);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(60);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(60);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(52);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(52);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(54);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(54);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(51);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(23);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(23);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '\n', 134,
        '!', 72,
        '%', 219,
        '&', 228,
        '(', 201,
        '*', 215,
        '+', 210,
        '-', 205,
        '/', 217,
        '<', 237,
        '=', 73,
        '>', 233,
      );
      if (lookahead == '\\') SKIP(22);
      if (lookahead == '^') ADVANCE(225);
      if (lookahead == '|') ADVANCE(224);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(59);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(59);
      if (lookahead == '\r') SKIP(24);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(26);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\r') ADVANCE(33);
      if (lookahead == '(') ADVANCE(129);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(69);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\r') ADVANCE(33);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(69);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 30:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\r') ADVANCE(34);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(152);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(70);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(330);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\r') ADVANCE(32);
      if (lookahead == '(') ADVANCE(201);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(62);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '(') ADVANCE(201);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 34:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(330);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '"') ADVANCE(302);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(306);
      if (lookahead != 0) ADVANCE(307);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(309);
      if (lookahead == '\r') ADVANCE(308);
      if (lookahead == 'U') ADVANCE(121);
      if (lookahead == 'u') ADVANCE(113);
      if (lookahead == 'x') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(311);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(61);
      if (lookahead == '\'') ADVANCE(293);
      if (lookahead == '/') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(295);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(297);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(62);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(62);
      if (lookahead == '\r') SKIP(38);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(46);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(46);
      if (lookahead == '\r') SKIP(40);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(53);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(53);
      if (lookahead == '\r') SKIP(42);
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 44:
      if (lookahead == '\r') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(333);
      if (lookahead != 0) ADVANCE(338);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 203,
        '"', 302,
        '#', 79,
        '%', 220,
        '&', 229,
        '\'', 293,
        '(', 201,
        ')', 132,
        '*', 216,
        '+', 211,
        ',', 131,
        '-', 206,
        '.', 269,
        '/', 218,
        '0', 275,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        'L', 317,
        'U', 319,
        '[', 249,
        '\\', 2,
        ']', 250,
        '^', 226,
        'u', 321,
        '{', 246,
        '|', 223,
        '}', 247,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 203,
        '"', 302,
        '#', 87,
        '%', 220,
        '&', 229,
        '\'', 293,
        '(', 201,
        ')', 132,
        '*', 216,
        '+', 211,
        ',', 131,
        '-', 206,
        '.', 269,
        '/', 218,
        '0', 275,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        'L', 317,
        'U', 319,
        '[', 248,
        '\\', 41,
        ']', 250,
        '^', 226,
        'u', 321,
        '{', 246,
        '|', 223,
        '}', 247,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 202,
        '"', 302,
        '#', 79,
        '&', 227,
        '\'', 293,
        '(', 201,
        '*', 215,
        '+', 212,
        ',', 131,
        '-', 207,
        '.', 100,
        '/', 63,
        '0', 275,
        ':', 71,
        ';', 242,
        'L', 317,
        'U', 319,
        '[', 77,
        '\\', 6,
        ']', 78,
        'u', 321,
        '{', 246,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 202,
        '"', 302,
        '#', 83,
        '&', 227,
        '\'', 293,
        '(', 201,
        ')', 132,
        '*', 215,
        '+', 212,
        ',', 131,
        '-', 207,
        '.', 270,
        '/', 63,
        '0', 275,
        ':', 253,
        ';', 242,
        '=', 251,
        'L', 317,
        'U', 319,
        '[', 249,
        '\\', 4,
        ']', 250,
        'u', 321,
        '{', 246,
        '}', 247,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 202,
        '"', 302,
        '#', 81,
        '&', 227,
        '\'', 293,
        '(', 201,
        '*', 215,
        '+', 212,
        '-', 207,
        '.', 100,
        '/', 63,
        '0', 275,
        ':', 340,
        ';', 242,
        'L', 317,
        'U', 319,
        '[', 77,
        '\\', 8,
        'u', 321,
        '{', 246,
        '~', 204,
        '\t', 49,
        ' ', 49,
      );
      if (('\n' <= lookahead && lookahead <= '\r')) SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 202,
        '"', 302,
        '#', 81,
        '&', 227,
        '\'', 293,
        '(', 201,
        '*', 215,
        '+', 212,
        '-', 207,
        '.', 100,
        '/', 63,
        '0', 275,
        ';', 242,
        'L', 317,
        'U', 319,
        '[', 77,
        '\\', 8,
        'u', 321,
        '{', 246,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 202,
        '\'', 293,
        '(', 201,
        ')', 132,
        '+', 214,
        '-', 209,
        '.', 100,
        '/', 63,
        '0', 275,
        'L', 325,
        'U', 326,
        '\\', 20,
        'u', 327,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 72,
        '"', 302,
        '#', 87,
        '%', 220,
        '&', 229,
        '(', 201,
        ')', 132,
        '*', 216,
        '+', 213,
        ',', 131,
        '-', 208,
        '.', 268,
        '/', 218,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        'L', 318,
        'U', 320,
        '[', 249,
        '\\', 16,
        ']', 250,
        '^', 226,
        'u', 322,
        '{', 246,
        '|', 223,
        '}', 247,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 72,
        '#', 87,
        '%', 220,
        '&', 229,
        '(', 201,
        ')', 132,
        '*', 216,
        '+', 213,
        ',', 131,
        '-', 208,
        '.', 268,
        '/', 218,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        '[', 249,
        '\\', 43,
        ']', 250,
        '^', 226,
        '{', 246,
        '|', 223,
        '}', 247,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 72,
        '#', 87,
        '%', 220,
        '&', 229,
        '(', 201,
        ')', 132,
        '*', 216,
        '+', 213,
        ',', 131,
        '-', 208,
        '.', 267,
        '/', 218,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        '[', 248,
        '\\', 18,
        ']', 78,
        '^', 226,
        '|', 223,
        '}', 247,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 72,
        '#', 84,
        '%', 219,
        '&', 228,
        '(', 201,
        ')', 132,
        '*', 215,
        '+', 210,
        ',', 131,
        '-', 205,
        '/', 217,
        ';', 242,
        '<', 237,
        '=', 252,
        '>', 233,
        '[', 249,
        '\\', 12,
        '^', 225,
        '{', 246,
        '|', 224,
        '}', 247,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 72,
        '#', 80,
        '%', 220,
        '&', 229,
        '(', 201,
        ')', 132,
        '*', 216,
        '+', 213,
        ',', 131,
        '-', 208,
        '.', 268,
        '/', 218,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        '[', 249,
        '\\', 10,
        ']', 250,
        '^', 226,
        '{', 246,
        '|', 223,
        '}', 247,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 57:
      if (lookahead == '"') ADVANCE(302);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '<') ADVANCE(74);
      if (lookahead == 'L') ADVANCE(318);
      if (lookahead == 'U') ADVANCE(320);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(322);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 58:
      if (lookahead == '"') ADVANCE(302);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      END_STATE();
    case 59:
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(25);
      if (lookahead == '}') ADVANCE(247);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 60:
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '[') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(14);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 61:
      if (lookahead == '\'') ADVANCE(293);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      END_STATE();
    case 62:
      if (lookahead == '(') ADVANCE(201);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      END_STATE();
    case 63:
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(338);
      END_STATE();
    case 64:
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '/') ADVANCE(331);
      if (lookahead != 0) ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == '*') ADVANCE(64);
      if (lookahead != 0) ADVANCE(65);
      END_STATE();
    case 66:
      if (lookahead == '*') ADVANCE(64);
      if (lookahead != 0) ADVANCE(148);
      END_STATE();
    case 67:
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(273);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(274);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(283);
      END_STATE();
    case 68:
      if (lookahead == '.') ADVANCE(130);
      END_STATE();
    case 69:
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 70:
      if (lookahead == '/') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(330);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 71:
      if (lookahead == ':') ADVANCE(243);
      END_STATE();
    case 72:
      if (lookahead == '=') ADVANCE(231);
      END_STATE();
    case 73:
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 74:
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(74);
      END_STATE();
    case 75:
      if (lookahead == '>') ADVANCE(316);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == 'U') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 77:
      if (lookahead == '[') ADVANCE(244);
      END_STATE();
    case 78:
      if (lookahead == ']') ADVANCE(245);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(175);
      if (lookahead == 'e') ADVANCE(195);
      if (lookahead == 'i') ADVANCE(183);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(175);
      if (lookahead == 'e') ADVANCE(195);
      if (lookahead == 'i') ADVANCE(184);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 81:
      if (lookahead == 'd') ADVANCE(175);
      if (lookahead == 'e') ADVANCE(197);
      if (lookahead == 'i') ADVANCE(183);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(175);
      if (lookahead == 'e') ADVANCE(197);
      if (lookahead == 'i') ADVANCE(184);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 83:
      if (lookahead == 'd') ADVANCE(175);
      if (lookahead == 'i') ADVANCE(183);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 84:
      if (lookahead == 'd') ADVANCE(175);
      if (lookahead == 'i') ADVANCE(184);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 85:
      if (lookahead == 'd') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(90);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(98);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(87);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 91:
      if (lookahead == 'f') ADVANCE(141);
      END_STATE();
    case 92:
      if (lookahead == 'f') ADVANCE(135);
      END_STATE();
    case 93:
      if (lookahead == 'f') ADVANCE(143);
      END_STATE();
    case 94:
      if (lookahead == 'f') ADVANCE(145);
      END_STATE();
    case 95:
      if (lookahead == 'i') ADVANCE(91);
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 96:
      if (lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(184);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(95);
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(272);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(274);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(283);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(280);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(283);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(278);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 109:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 111:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 112:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 113:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 114:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      END_STATE();
    case 122:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(168);
      END_STATE();
    case 123:
      if (eof) ADVANCE(125);
      ADVANCE_MAP(
        '!', 203,
        '"', 302,
        '#', 79,
        '%', 220,
        '&', 229,
        '\'', 293,
        '(', 201,
        ')', 132,
        '*', 216,
        '+', 211,
        ',', 131,
        '-', 206,
        '.', 269,
        '/', 218,
        '0', 275,
        ':', 253,
        ';', 242,
        '<', 236,
        '=', 252,
        '>', 232,
        '?', 254,
        'L', 317,
        'U', 319,
        '[', 249,
        '\\', 2,
        ']', 250,
        '^', 226,
        'u', 321,
        '{', 246,
        '|', 223,
        '}', 247,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(123);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 124:
      if (eof) ADVANCE(125);
      ADVANCE_MAP(
        '!', 202,
        '"', 302,
        '#', 83,
        '&', 227,
        '\'', 293,
        '(', 201,
        ')', 132,
        '*', 215,
        '+', 212,
        ',', 131,
        '-', 207,
        '.', 270,
        '/', 63,
        '0', 275,
        ':', 253,
        ';', 242,
        '=', 251,
        'L', 317,
        'U', 319,
        '[', 249,
        '\\', 4,
        ']', 250,
        'u', 321,
        '{', 246,
        '}', 247,
        '~', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(329);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(179);
      if (lookahead == 'n') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(89);
      if (lookahead == 'n') ADVANCE(86);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(181);
      if (lookahead == 'n') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(65);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead == '/') ADVANCE(331);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead != 0) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(65);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead == '/') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead != 0) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(332);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(334);
      if (lookahead != 0) ADVANCE(336);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(69);
      if (lookahead == '\r') ADVANCE(151);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(69);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(70);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == 'U') ADVANCE(167);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'u') ADVANCE(163);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(70);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(169);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == 'U') ADVANCE(167);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'u') ADVANCE(163);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(169);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(159);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead == '/') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead != 0) ADVANCE(148);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(337);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(334);
      if (lookahead != 0) ADVANCE(336);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(148);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead == '/') ADVANCE(66);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead != 0) ADVANCE(148);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead != 0) ADVANCE(168);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(133);
      if (lookahead == 'n') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(186);
      if (lookahead == 's') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(193);
      if (lookahead == 'n') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(231);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(265);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(275);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == '>') ADVANCE(271);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(265);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(275);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(265);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == '>') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(275);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(266);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(275);
      if (lookahead == '=') ADVANCE(258);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(266);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(275);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(266);
      if (lookahead == '=') ADVANCE(258);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(275);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(255);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(338);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(338);
      if (lookahead == '=') ADVANCE(256);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(264);
      if (lookahead == '|') ADVANCE(221);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(221);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(263);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(222);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(222);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(234);
      if (lookahead == '>') ADVANCE(241);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(234);
      if (lookahead == '>') ADVANCE(240);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(239);
      if (lookahead == '=') ADVANCE(235);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(238);
      if (lookahead == '=') ADVANCE(235);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(244);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(68);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(272);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(272);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(100);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(272);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(288);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 101,
        '.', 286,
        'B', 282,
        'b', 282,
        'E', 281,
        'e', 281,
        'P', 285,
        'p', 285,
        'X', 104,
        'x', 104,
        'A', 283,
        'C', 283,
        'a', 283,
        'c', 283,
        'D', 283,
        'F', 283,
        'd', 283,
        'f', 283,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(274);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 101,
        '.', 286,
        'E', 281,
        'e', 281,
        'P', 285,
        'p', 285,
        'A', 283,
        'C', 283,
        'a', 283,
        'c', 283,
        'B', 283,
        'D', 283,
        'F', 283,
        'b', 283,
        'd', 283,
        'f', 283,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(274);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        '.', 286,
        'B', 284,
        'b', 284,
        'X', 67,
        'x', 67,
        'E', 285,
        'P', 285,
        'e', 285,
        'p', 285,
        'D', 288,
        'F', 288,
        'L', 288,
        'U', 288,
        'W', 288,
        'd', 288,
        'f', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        '.', 286,
        'B', 287,
        'b', 287,
        'X', 104,
        'x', 104,
        'E', 285,
        'P', 285,
        'e', 285,
        'p', 285,
        'D', 288,
        'F', 288,
        'L', 288,
        'U', 288,
        'W', 288,
        'd', 288,
        'f', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(99);
      if (lookahead == '.') ADVANCE(286);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(288);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 105,
        'B', 278,
        'D', 278,
        'F', 278,
        'b', 278,
        'd', 278,
        'f', 278,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(278);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 103,
        '+', 105,
        '-', 105,
        'E', 279,
        'e', 279,
        'P', 285,
        'p', 285,
        'B', 280,
        'D', 280,
        'F', 280,
        'b', 280,
        'd', 280,
        'f', 280,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(280);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 103,
        'E', 279,
        'e', 279,
        'P', 285,
        'p', 285,
        'B', 280,
        'D', 280,
        'F', 280,
        'b', 280,
        'd', 280,
        'f', 280,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 104,
        '.', 286,
        '+', 105,
        '-', 105,
        'E', 281,
        'e', 281,
        'P', 285,
        'p', 285,
        'B', 283,
        'D', 283,
        'F', 283,
        'b', 283,
        'd', 283,
        'f', 283,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(283);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 104,
        '.', 286,
        'E', 281,
        'e', 281,
        'P', 285,
        'p', 285,
        'A', 283,
        'C', 283,
        'a', 283,
        'c', 283,
        'B', 283,
        'D', 283,
        'F', 283,
        'b', 283,
        'd', 283,
        'f', 283,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(274);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 104,
        '.', 286,
        'E', 281,
        'e', 281,
        'P', 285,
        'p', 285,
        'B', 283,
        'D', 283,
        'F', 283,
        'b', 283,
        'd', 283,
        'f', 283,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(283);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '0') ADVANCE(276);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(288);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '+', 105,
        '-', 105,
        'B', 278,
        'D', 278,
        'F', 278,
        'b', 278,
        'd', 278,
        'f', 278,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(278);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'E', 279,
        'e', 279,
        'P', 285,
        'p', 285,
        'B', 280,
        'D', 280,
        'F', 280,
        'b', 280,
        'd', 280,
        'f', 280,
        'L', 288,
        'U', 288,
        'W', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(280);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(288);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 288,
        'D', 288,
        'F', 288,
        'L', 288,
        'U', 288,
        'W', 288,
        'b', 288,
        'd', 288,
        'f', 288,
        'l', 288,
        'u', 288,
        'w', 288,
      );
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(309);
      if (lookahead == '\r') ADVANCE(308);
      if (lookahead == 'U') ADVANCE(121);
      if (lookahead == 'u') ADVANCE(113);
      if (lookahead == 'x') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(311);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(338);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(36);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(305);
      if (lookahead == '/') ADVANCE(307);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(307);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(304);
      if (lookahead == '/') ADVANCE(307);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(305);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(304);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(306);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(307);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(307);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(36);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(308);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(310);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(312);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(313);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(74);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(298);
      if (lookahead == '\'') ADVANCE(289);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(298);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(300);
      if (lookahead == '\'') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(300);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(299);
      if (lookahead == '\'') ADVANCE(290);
      if (lookahead == '8') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(299);
      if (lookahead == '8') ADVANCE(324);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(301);
      if (lookahead == '\'') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(289);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(290);
      if (lookahead == '8') ADVANCE(328);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(329);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(154);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(330);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead != 0) ADVANCE(336);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(333);
      if (lookahead != 0) ADVANCE(338);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(337);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(334);
      if (lookahead != 0) ADVANCE(336);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(338);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(336);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(336);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead != 0) ADVANCE(336);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(338);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead != 0) ADVANCE(338);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(aux_sym_preproc_extension_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(340);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'h') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(14);
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'm') ADVANCE(16);
      if (lookahead == 'n') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'p') ADVANCE(19);
      if (lookahead == 'r') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 't') ADVANCE(22);
      if (lookahead == 'u') ADVANCE(23);
      if (lookahead == 'v') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(28);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(30);
      if (lookahead == 'G') ADVANCE(31);
      if (lookahead == 'N') ADVANCE(32);
      if (lookahead == '_') ADVANCE(33);
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 's') ADVANCE(37);
      if (lookahead == 't') ADVANCE(38);
      if (lookahead == 'u') ADVANCE(39);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(43);
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'h') ADVANCE(45);
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(47);
      if (lookahead == 'i') ADVANCE(48);
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      if (lookahead == 'x') ADVANCE(52);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(53);
      if (lookahead == 'l') ADVANCE(54);
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 14:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(62);
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 18:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(67);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        'a', 73,
        'h', 74,
        'i', 75,
        'm', 76,
        's', 77,
        't', 78,
        'u', 79,
        'w', 80,
      );
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 23:
      if (lookahead == 'i') ADVANCE(84);
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(88);
      if (lookahead == 'h') ADVANCE(89);
      if (lookahead == 'r') ADVANCE(90);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(91);
      END_STATE();
    case 27:
      if (lookahead == 'L') ADVANCE(92);
      END_STATE();
    case 28:
      if (lookahead == 'U') ADVANCE(93);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(94);
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        'a', 98,
        'b', 99,
        'c', 100,
        'd', 101,
        'e', 102,
        'f', 103,
        'i', 104,
        'l', 105,
        'r', 106,
        's', 107,
        't', 108,
        'u', 109,
        'v', 110,
      );
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 35:
      if (lookahead == 'n') ADVANCE(112);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(113);
      END_STATE();
    case 37:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 42:
      if (lookahead == 'f') ADVANCE(119);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(122);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(123);
      END_STATE();
    case 46:
      if (lookahead == 'h') ADVANCE(124);
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 47:
      if (lookahead == 'f') ADVANCE(126);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(128);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(130);
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(133);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(134);
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 57:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 't') ADVANCE(139);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(141);
      if (lookahead == 't') ADVANCE(142);
      if (lookahead == 'v') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'y') ADVANCE(144);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(145);
      if (lookahead == 'w') ADVANCE(146);
      END_STATE();
    case 62:
      if (lookahead == 'x') ADVANCE(147);
      END_STATE();
    case 63:
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 66:
      if (lookahead == 'f') ADVANCE(152);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 70:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(158);
      if (lookahead == 'g') ADVANCE(159);
      if (lookahead == 'q') ADVANCE(160);
      if (lookahead == 's') ADVANCE(161);
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(163);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(164);
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 75:
      if (lookahead == 'g') ADVANCE(166);
      if (lookahead == 'z') ADVANCE(167);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(170);
      if (lookahead == 'r') ADVANCE(171);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(172);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 82:
      if (lookahead == 'u') ADVANCE(175);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(176);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(178);
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(180);
      END_STATE();
    case 87:
      if (lookahead == 'i') ADVANCE(181);
      if (lookahead == 'l') ADVANCE(182);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(185);
      END_STATE();
    case 91:
      if (lookahead == 'S') ADVANCE(186);
      END_STATE();
    case 92:
      if (lookahead == 'L') ADVANCE(187);
      END_STATE();
    case 93:
      if (lookahead == 'E') ADVANCE(188);
      END_STATE();
    case 94:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(191);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(192);
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(194);
      if (lookahead == 's') ADVANCE(195);
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(197);
      END_STATE();
    case 100:
      if (lookahead == 'd') ADVANCE(198);
      if (lookahead == 'l') ADVANCE(199);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 102:
      if (lookahead == 'x') ADVANCE(201);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(202);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 'o') ADVANCE(204);
      END_STATE();
    case 104:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 107:
      if (lookahead == 'p') ADVANCE(208);
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 108:
      if (lookahead == 'h') ADVANCE(210);
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(212);
      if (lookahead == 'p') ADVANCE(213);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(214);
      if (lookahead == 'o') ADVANCE(215);
      END_STATE();
    case 111:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 113:
      if (lookahead == 'g') ADVANCE(218);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 115:
      if (lookahead == 'r') ADVANCE(219);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 119:
      if (lookahead == 'f') ADVANCE(223);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 125:
      if (lookahead == 's') ADVANCE(229);
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(231);
      if (lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 128:
      if (lookahead == 'b') ADVANCE(234);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 130:
      if (lookahead == 'b') ADVANCE(236);
      END_STATE();
    case 131:
      if (lookahead == 'm') ADVANCE(237);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(238);
      END_STATE();
    case 133:
      if (lookahead == 's') ADVANCE(239);
      END_STATE();
    case 134:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 135:
      if (lookahead == 'a') ADVANCE(241);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 137:
      if (lookahead == 'o') ADVANCE(242);
      END_STATE();
    case 138:
      if (lookahead == 'h') ADVANCE(243);
      END_STATE();
    case 139:
      if (lookahead == 'A') ADVANCE(244);
      END_STATE();
    case 140:
      if (lookahead == 'i') ADVANCE(245);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(246);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(247);
      if (lookahead == '3') ADVANCE(248);
      if (lookahead == '6') ADVANCE(249);
      if (lookahead == '8') ADVANCE(250);
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(252);
      END_STATE();
    case 144:
      if (lookahead == 'o') ADVANCE(253);
      END_STATE();
    case 145:
      if (lookahead == 'g') ADVANCE(254);
      END_STATE();
    case 146:
      if (lookahead == 'p') ADVANCE(255);
      END_STATE();
    case 147:
      if (lookahead == '_') ADVANCE(256);
      END_STATE();
    case 148:
      if (lookahead == 'i') ADVANCE(257);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(260);
      END_STATE();
    case 152:
      if (lookahead == 's') ADVANCE(261);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 155:
      if (lookahead == 'c') ADVANCE(263);
      END_STATE();
    case 156:
      if (lookahead == 'd') ADVANCE(264);
      END_STATE();
    case 157:
      if (lookahead == 'P') ADVANCE(265);
      END_STATE();
    case 158:
      if (lookahead == 'd') ADVANCE(266);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(267);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(268);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 162:
      if (lookahead == 'u') ADVANCE(270);
      END_STATE();
    case 163:
      if (lookahead == 'p') ADVANCE(271);
      END_STATE();
    case 164:
      if (lookahead == 'd') ADVANCE(272);
      if (lookahead == 'r') ADVANCE(273);
      END_STATE();
    case 165:
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 167:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 168:
      if (lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 169:
      if (lookahead == 'z') ADVANCE(278);
      END_STATE();
    case 170:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 171:
      if (lookahead == 'u') ADVANCE(280);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(281);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 174:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 177:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 178:
      if (lookahead == 'f') ADVANCE(286);
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(288);
      END_STATE();
    case 180:
      if (lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(221);
      END_STATE();
    case 182:
      if (lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(292);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 186:
      if (lookahead == 'E') ADVANCE(294);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 189:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 190:
      if (lookahead == 'm') ADVANCE(296);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 192:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(300);
      END_STATE();
    case 195:
      if (lookahead == 'm') ADVANCE(301);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(302);
      END_STATE();
    case 197:
      if (lookahead == 's') ADVANCE(303);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 200:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(307);
      if (lookahead == 't') ADVANCE(308);
      END_STATE();
    case 202:
      if (lookahead == 's') ADVANCE(309);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(310);
      END_STATE();
    case 204:
      if (lookahead == 'r') ADVANCE(311);
      END_STATE();
    case 205:
      if (lookahead == 'l') ADVANCE(312);
      END_STATE();
    case 206:
      if (lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 207:
      if (lookahead == 's') ADVANCE(314);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(316);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(317);
      if (lookahead == 'r') ADVANCE(318);
      END_STATE();
    case 211:
      if (lookahead == 'y') ADVANCE(319);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(320);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 214:
      if (lookahead == 'c') ADVANCE(322);
      END_STATE();
    case 215:
      if (lookahead == 'l') ADVANCE(323);
      END_STATE();
    case 216:
      if (lookahead == 'g') ADVANCE(324);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(325);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(327);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 222:
      if (lookahead == 'k') ADVANCE(328);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(330);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(332);
      if (lookahead == '3') ADVANCE(333);
      if (lookahead == '6') ADVANCE(334);
      if (lookahead == '8') ADVANCE(335);
      if (lookahead == 'p') ADVANCE(336);
      END_STATE();
    case 228:
      if (lookahead == 'r') ADVANCE(337);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 230:
      if (lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 231:
      if (lookahead == 'u') ADVANCE(340);
      END_STATE();
    case 232:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 233:
      if (lookahead == 'b') ADVANCE(342);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(343);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 238:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_flat);
      END_STATE();
    case 241:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 243:
      if (lookahead == 'p') ADVANCE(346);
      END_STATE();
    case 244:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(348);
      END_STATE();
    case 246:
      if (lookahead == 't') ADVANCE(349);
      END_STATE();
    case 247:
      if (lookahead == '6') ADVANCE(350);
      END_STATE();
    case 248:
      if (lookahead == '2') ADVANCE(351);
      END_STATE();
    case 249:
      if (lookahead == '4') ADVANCE(352);
      END_STATE();
    case 250:
      if (lookahead == '_') ADVANCE(353);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 252:
      if (lookahead == 'r') ADVANCE(355);
      END_STATE();
    case 253:
      if (lookahead == 'u') ADVANCE(356);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_lowp);
      END_STATE();
    case 256:
      if (lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 257:
      if (lookahead == 'u') ADVANCE(358);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(359);
      END_STATE();
    case 259:
      if (lookahead == 't') ADVANCE(360);
      END_STATE();
    case 260:
      if (lookahead == 'p') ADVANCE(361);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(362);
      END_STATE();
    case 262:
      if (lookahead == 'h') ADVANCE(363);
      END_STATE();
    case 263:
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 264:
      if (lookahead == 'i') ADVANCE(365);
      END_STATE();
    case 265:
      if (lookahead == 'a') ADVANCE(366);
      END_STATE();
    case 266:
      if (lookahead == 'o') ADVANCE(367);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(368);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(369);
      END_STATE();
    case 269:
      if (lookahead == 'r') ADVANCE(370);
      END_STATE();
    case 270:
      if (lookahead == 'r') ADVANCE(371);
      END_STATE();
    case 271:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 273:
      if (lookahead == 'e') ADVANCE(374);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 275:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 276:
      if (lookahead == '_') ADVANCE(377);
      if (lookahead == 'o') ADVANCE(378);
      END_STATE();
    case 277:
      if (lookahead == 't') ADVANCE(379);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 280:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 281:
      if (lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 282:
      if (lookahead == 'c') ADVANCE(384);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(385);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(386);
      END_STATE();
    case 285:
      if (lookahead == '1') ADVANCE(387);
      if (lookahead == '3') ADVANCE(388);
      if (lookahead == '6') ADVANCE(389);
      if (lookahead == '8') ADVANCE(390);
      if (lookahead == 'p') ADVANCE(391);
      END_STATE();
    case 286:
      if (lookahead == 'o') ADVANCE(392);
      END_STATE();
    case 287:
      if (lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 288:
      if (lookahead == 'g') ADVANCE(394);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(395);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(396);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_warn);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 296:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 297:
      if (lookahead == 'r') ADVANCE(401);
      END_STATE();
    case 298:
      if (lookahead == 'u') ADVANCE(402);
      END_STATE();
    case 299:
      if (lookahead == 't') ADVANCE(403);
      END_STATE();
    case 300:
      if (lookahead == 'g') ADVANCE(404);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(405);
      END_STATE();
    case 302:
      if (lookahead == 'r') ADVANCE(406);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(408);
      END_STATE();
    case 305:
      if (lookahead == 'c') ADVANCE(409);
      END_STATE();
    case 306:
      if (lookahead == 'l') ADVANCE(410);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(411);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(412);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(413);
      END_STATE();
    case 310:
      if (lookahead == 'a') ADVANCE(414);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(415);
      END_STATE();
    case 312:
      if (lookahead == 'i') ADVANCE(416);
      END_STATE();
    case 313:
      if (lookahead == 'v') ADVANCE(417);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(418);
      END_STATE();
    case 315:
      if (lookahead == 'r') ADVANCE(419);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(420);
      END_STATE();
    case 317:
      if (lookahead == 's') ADVANCE(421);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 320:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 321:
      if (lookahead == 'r') ADVANCE(424);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(425);
      END_STATE();
    case 323:
      if (lookahead == 'a') ADVANCE(426);
      END_STATE();
    case 324:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 325:
      if (lookahead == 'i') ADVANCE(428);
      END_STATE();
    case 326:
      if (lookahead == 'a') ADVANCE(429);
      if (lookahead == 'o') ADVANCE(430);
      END_STATE();
    case 327:
      if (lookahead == 'b') ADVANCE(431);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(432);
      END_STATE();
    case 330:
      if (lookahead == 'b') ADVANCE(433);
      END_STATE();
    case 331:
      if (lookahead == 'o') ADVANCE(434);
      END_STATE();
    case 332:
      if (lookahead == '6') ADVANCE(435);
      END_STATE();
    case 333:
      if (lookahead == '2') ADVANCE(436);
      END_STATE();
    case 334:
      if (lookahead == '4') ADVANCE(437);
      END_STATE();
    case 335:
      if (lookahead == '_') ADVANCE(438);
      END_STATE();
    case 336:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(440);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(441);
      END_STATE();
    case 339:
      if (lookahead == 'n') ADVANCE(442);
      END_STATE();
    case 340:
      if (lookahead == 'l') ADVANCE(443);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(444);
      END_STATE();
    case 342:
      if (lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 343:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(446);
      END_STATE();
    case 345:
      if (lookahead == 'n') ADVANCE(447);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_highp);
      END_STATE();
    case 347:
      if (lookahead == 't') ADVANCE(448);
      END_STATE();
    case 348:
      if (lookahead == 'e') ADVANCE(449);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 350:
      if (lookahead == '_') ADVANCE(450);
      END_STATE();
    case 351:
      if (lookahead == '_') ADVANCE(451);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(452);
      END_STATE();
    case 353:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 354:
      if (lookahead == 'r') ADVANCE(453);
      END_STATE();
    case 355:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 356:
      if (lookahead == 't') ADVANCE(455);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 358:
      if (lookahead == 'm') ADVANCE(457);
      END_STATE();
    case 359:
      if (lookahead == 's') ADVANCE(458);
      END_STATE();
    case 360:
      if (lookahead == 'u') ADVANCE(459);
      END_STATE();
    case 361:
      if (lookahead == 't') ADVANCE(460);
      END_STATE();
    case 362:
      if (lookahead == 't') ADVANCE(461);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_patch);
      END_STATE();
    case 364:
      if (lookahead == 's') ADVANCE(462);
      END_STATE();
    case 365:
      if (lookahead == 'f') ADVANCE(463);
      END_STATE();
    case 366:
      if (lookahead == 'y') ADVANCE(464);
      END_STATE();
    case 367:
      if (lookahead == 'n') ADVANCE(465);
      END_STATE();
    case 368:
      if (lookahead == 't') ADVANCE(466);
      END_STATE();
    case 369:
      if (lookahead == 'r') ADVANCE(467);
      END_STATE();
    case 370:
      if (lookahead == 'i') ADVANCE(468);
      END_STATE();
    case 371:
      if (lookahead == 'n') ADVANCE(469);
      END_STATE();
    case 372:
      if (lookahead == 'e') ADVANCE(470);
      END_STATE();
    case 373:
      if (lookahead == 'r') ADVANCE(471);
      END_STATE();
    case 374:
      if (lookahead == 'd') ADVANCE(472);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 376:
      if (lookahead == 'd') ADVANCE(473);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 378:
      if (lookahead == 'f') ADVANCE(474);
      END_STATE();
    case 379:
      if (lookahead == 'h') ADVANCE(475);
      END_STATE();
    case 380:
      if (lookahead == '_') ADVANCE(476);
      END_STATE();
    case 381:
      if (lookahead == 'c') ADVANCE(477);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(478);
      END_STATE();
    case 383:
      if (lookahead == 'u') ADVANCE(479);
      END_STATE();
    case 384:
      if (lookahead == 'h') ADVANCE(480);
      END_STATE();
    case 385:
      if (lookahead == 'd') ADVANCE(481);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 387:
      if (lookahead == '6') ADVANCE(483);
      END_STATE();
    case 388:
      if (lookahead == '2') ADVANCE(484);
      END_STATE();
    case 389:
      if (lookahead == '4') ADVANCE(485);
      END_STATE();
    case 390:
      if (lookahead == '_') ADVANCE(486);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(487);
      END_STATE();
    case 392:
      if (lookahead == 'r') ADVANCE(488);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 394:
      if (lookahead == 'n') ADVANCE(489);
      END_STATE();
    case 395:
      if (lookahead == 'n') ADVANCE(490);
      END_STATE();
    case 396:
      if (lookahead == 'i') ADVANCE(491);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 398:
      if (lookahead == 'o') ADVANCE(492);
      END_STATE();
    case 399:
      if (lookahead == 'a') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(494);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(495);
      END_STATE();
    case 401:
      if (lookahead == 'i') ADVANCE(496);
      END_STATE();
    case 402:
      if (lookahead == 'l') ADVANCE(497);
      END_STATE();
    case 403:
      if (lookahead == 'u') ADVANCE(498);
      END_STATE();
    case 404:
      if (lookahead == 'n') ADVANCE(499);
      END_STATE();
    case 405:
      if (lookahead == '_') ADVANCE(500);
      END_STATE();
    case 406:
      if (lookahead == 'i') ADVANCE(501);
      END_STATE();
    case 407:
      if (lookahead == 'd') ADVANCE(502);
      END_STATE();
    case 408:
      if (lookahead == 'l') ADVANCE(503);
      END_STATE();
    case 409:
      if (lookahead == 'a') ADVANCE(504);
      END_STATE();
    case 410:
      if (lookahead == 's') ADVANCE(505);
      END_STATE();
    case 411:
      if (lookahead == 'p') ADVANCE(506);
      END_STATE();
    case 412:
      if (lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 413:
      if (lookahead == 'c') ADVANCE(508);
      END_STATE();
    case 414:
      if (lookahead == 'l') ADVANCE(509);
      END_STATE();
    case 415:
      if (lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 416:
      if (lookahead == 'n') ADVANCE(511);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 418:
      if (lookahead == 'r') ADVANCE(513);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 420:
      if (lookahead == 'a') ADVANCE(514);
      END_STATE();
    case 421:
      if (lookahead == 'c') ADVANCE(515);
      END_STATE();
    case 422:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 423:
      if (lookahead == 'i') ADVANCE(517);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 425:
      if (lookahead == 'o') ADVANCE(518);
      END_STATE();
    case 426:
      if (lookahead == 't') ADVANCE(519);
      END_STATE();
    case 427:
      if (lookahead == 'o') ADVANCE(520);
      END_STATE();
    case 428:
      if (lookahead == 'g') ADVANCE(521);
      END_STATE();
    case 429:
      if (lookahead == 's') ADVANCE(522);
      END_STATE();
    case 430:
      if (lookahead == 'f') ADVANCE(523);
      END_STATE();
    case 431:
      if (lookahead == 'u') ADVANCE(524);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_buffer);
      END_STATE();
    case 433:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 434:
      if (lookahead == 'i') ADVANCE(526);
      END_STATE();
    case 435:
      if (lookahead == '_') ADVANCE(527);
      END_STATE();
    case 436:
      if (lookahead == '_') ADVANCE(528);
      END_STATE();
    case 437:
      if (lookahead == '_') ADVANCE(529);
      END_STATE();
    case 438:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 439:
      if (lookahead == 'r') ADVANCE(530);
      END_STATE();
    case 440:
      if (lookahead == 'n') ADVANCE(531);
      END_STATE();
    case 441:
      if (lookahead == 'x') ADVANCE(532);
      END_STATE();
    case 442:
      if (lookahead == 'u') ADVANCE(533);
      END_STATE();
    case 443:
      if (lookahead == 't') ADVANCE(534);
      END_STATE();
    case 444:
      if (lookahead == 'd') ADVANCE(535);
      END_STATE();
    case 445:
      if (lookahead == 'e') ADVANCE(536);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_enable);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 448:
      if (lookahead == 'r') ADVANCE(537);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 450:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 451:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 452:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 453:
      if (lookahead == '_') ADVANCE(538);
      END_STATE();
    case 454:
      if (lookahead == 'a') ADVANCE(539);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_layout);
      END_STATE();
    case 456:
      if (lookahead == 'i') ADVANCE(540);
      END_STATE();
    case 457:
      if (lookahead == 'p') ADVANCE(541);
      END_STATE();
    case 458:
      if (lookahead == 'p') ADVANCE(542);
      END_STATE();
    case 459:
      if (lookahead == 'r') ADVANCE(543);
      END_STATE();
    case 460:
      if (lookahead == 'r') ADVANCE(544);
      END_STATE();
    case 461:
      if (lookahead == 'o') ADVANCE(545);
      END_STATE();
    case 462:
      if (lookahead == 'e') ADVANCE(546);
      if (lookahead == 'i') ADVANCE(547);
      END_STATE();
    case 463:
      if (lookahead == 'f') ADVANCE(548);
      END_STATE();
    case 464:
      if (lookahead == 'l') ADVANCE(549);
      END_STATE();
    case 465:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 466:
      if (lookahead == 'e') ADVANCE(551);
      END_STATE();
    case 467:
      if (lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 468:
      if (lookahead == 'c') ADVANCE(553);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_sample);
      END_STATE();
    case 471:
      if (lookahead == 'R') ADVANCE(554);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_shared);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_smooth);
      END_STATE();
    case 476:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 479:
      if (lookahead == 't') ADVANCE(555);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 481:
      if (lookahead == '_') ADVANCE(556);
      END_STATE();
    case 482:
      if (lookahead == 'f') ADVANCE(557);
      END_STATE();
    case 483:
      if (lookahead == '_') ADVANCE(558);
      END_STATE();
    case 484:
      if (lookahead == '_') ADVANCE(559);
      END_STATE();
    case 485:
      if (lookahead == '_') ADVANCE(560);
      END_STATE();
    case 486:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 487:
      if (lookahead == 'r') ADVANCE(561);
      END_STATE();
    case 488:
      if (lookahead == 'm') ADVANCE(562);
      END_STATE();
    case 489:
      if (lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 490:
      if (lookahead == 'g') ADVANCE(564);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(565);
      END_STATE();
    case 492:
      if (lookahead == 'n') ADVANCE(566);
      END_STATE();
    case 493:
      if (lookahead == 's') ADVANCE(567);
      END_STATE();
    case 494:
      if (lookahead == 'f') ADVANCE(568);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 496:
      if (lookahead == 'c') ADVANCE(569);
      END_STATE();
    case 497:
      if (lookahead == 'l') ADVANCE(570);
      END_STATE();
    case 498:
      if (lookahead == 'r') ADVANCE(571);
      END_STATE();
    case 499:
      if (lookahead == 'o') ADVANCE(572);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 501:
      if (lookahead == 'b') ADVANCE(573);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 504:
      if (lookahead == 'l') ADVANCE(574);
      END_STATE();
    case 505:
      if (lookahead == 'p') ADVANCE(575);
      END_STATE();
    case 506:
      if (lookahead == 't') ADVANCE(576);
      END_STATE();
    case 507:
      if (lookahead == 's') ADVANCE(577);
      END_STATE();
    case 508:
      if (lookahead == 'a') ADVANCE(578);
      END_STATE();
    case 509:
      if (lookahead == 'l') ADVANCE(579);
      END_STATE();
    case 510:
      if (lookahead == 'i') ADVANCE(580);
      END_STATE();
    case 511:
      if (lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 513:
      if (lookahead == 'i') ADVANCE(582);
      END_STATE();
    case 514:
      if (lookahead == 'l') ADVANCE(583);
      END_STATE();
    case 515:
      if (lookahead == 'a') ADVANCE(584);
      END_STATE();
    case 516:
      if (lookahead == 'd') ADVANCE(585);
      END_STATE();
    case 517:
      if (lookahead == 'g') ADVANCE(586);
      END_STATE();
    case 518:
      if (lookahead == 'r') ADVANCE(587);
      END_STATE();
    case 519:
      if (lookahead == 'i') ADVANCE(588);
      END_STATE();
    case 520:
      if (lookahead == 'f') ADVANCE(589);
      END_STATE();
    case 521:
      if (lookahead == 'n') ADVANCE(590);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(591);
      END_STATE();
    case 525:
      if (lookahead == 'e') ADVANCE(592);
      END_STATE();
    case 526:
      if (lookahead == 'd') ADVANCE(593);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 528:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 529:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 530:
      if (lookahead == '_') ADVANCE(594);
      END_STATE();
    case 531:
      if (lookahead == 't') ADVANCE(595);
      END_STATE();
    case 532:
      if (lookahead == 'p') ADVANCE(596);
      END_STATE();
    case 533:
      if (lookahead == 'e') ADVANCE(597);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_disable);
      END_STATE();
    case 537:
      if (lookahead == 'i') ADVANCE(598);
      END_STATE();
    case 538:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 539:
      if (lookahead == 'n') ADVANCE(599);
      END_STATE();
    case 540:
      if (lookahead == 'g') ADVANCE(600);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_mediump);
      END_STATE();
    case 542:
      if (lookahead == 'e') ADVANCE(601);
      END_STATE();
    case 543:
      if (lookahead == 'n') ADVANCE(602);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(603);
      END_STATE();
    case 545:
      if (lookahead == 'f') ADVANCE(604);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_precise);
      END_STATE();
    case 547:
      if (lookahead == 'o') ADVANCE(605);
      END_STATE();
    case 548:
      if (lookahead == '_') ADVANCE(606);
      END_STATE();
    case 549:
      if (lookahead == 'o') ADVANCE(607);
      END_STATE();
    case 550:
      if (lookahead == 'y') ADVANCE(608);
      END_STATE();
    case 551:
      if (lookahead == 'r') ADVANCE(609);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 553:
      if (lookahead == 't') ADVANCE(610);
      END_STATE();
    case 554:
      if (lookahead == 'e') ADVANCE(611);
      END_STATE();
    case 555:
      if (lookahead == 'i') ADVANCE(612);
      END_STATE();
    case 556:
      if (lookahead == 'l') ADVANCE(613);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 558:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 559:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 560:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 561:
      if (lookahead == '_') ADVANCE(614);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_uniform);
      END_STATE();
    case 563:
      if (lookahead == 'd') ADVANCE(615);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_varying);
      END_STATE();
    case 565:
      if (lookahead == 'e') ADVANCE(616);
      END_STATE();
    case 566:
      if (lookahead == 'l') ADVANCE(617);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 571:
      if (lookahead == 'n') ADVANCE(618);
      END_STATE();
    case 572:
      if (lookahead == 'f') ADVANCE(619);
      END_STATE();
    case 573:
      if (lookahead == 'u') ADVANCE(620);
      END_STATE();
    case 574:
      if (lookahead == 'l') ADVANCE(621);
      END_STATE();
    case 575:
      if (lookahead == 'e') ADVANCE(622);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 577:
      if (lookahead == 'i') ADVANCE(623);
      END_STATE();
    case 578:
      if (lookahead == 'l') ADVANCE(624);
      END_STATE();
    case 579:
      if (lookahead == 'y') ADVANCE(625);
      END_STATE();
    case 580:
      if (lookahead == 'n') ADVANCE(626);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(627);
      END_STATE();
    case 582:
      if (lookahead == 'c') ADVANCE(628);
      END_STATE();
    case 583:
      if (lookahead == 'l') ADVANCE(629);
      END_STATE();
    case 584:
      if (lookahead == 'l') ADVANCE(630);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 586:
      if (lookahead == 'n') ADVANCE(631);
      END_STATE();
    case 587:
      if (lookahead == 'c') ADVANCE(632);
      END_STATE();
    case 588:
      if (lookahead == 'l') ADVANCE(633);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 590:
      if (lookahead == 'e') ADVANCE(634);
      END_STATE();
    case 591:
      if (lookahead == 'e') ADVANCE(635);
      END_STATE();
    case 592:
      if (lookahead == 'D') ADVANCE(636);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_centroid);
      END_STATE();
    case 594:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_coherent);
      END_STATE();
    case 596:
      if (lookahead == 'r') ADVANCE(637);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 598:
      if (lookahead == 'b') ADVANCE(638);
      END_STATE();
    case 599:
      if (lookahead == 't') ADVANCE(639);
      END_STATE();
    case 600:
      if (lookahead == 'n') ADVANCE(640);
      END_STATE();
    case 601:
      if (lookahead == 'c') ADVANCE(641);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 603:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 605:
      if (lookahead == 'n') ADVANCE(642);
      END_STATE();
    case 606:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 607:
      if (lookahead == 'a') ADVANCE(643);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 611:
      if (lookahead == 'c') ADVANCE(644);
      END_STATE();
    case 612:
      if (lookahead == 'n') ADVANCE(645);
      END_STATE();
    case 613:
      if (lookahead == 'o') ADVANCE(646);
      END_STATE();
    case 614:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 617:
      if (lookahead == 'y') ADVANCE(647);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(648);
      END_STATE();
    case 620:
      if (lookahead == 't') ADVANCE(649);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 622:
      if (lookahead == 'c') ADVANCE(650);
      END_STATE();
    case 623:
      if (lookahead == 'o') ADVANCE(651);
      END_STATE();
    case 624:
      if (lookahead == 'l') ADVANCE(652);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 626:
      if (lookahead == 'l') ADVANCE(653);
      END_STATE();
    case 627:
      if (lookahead == '_') ADVANCE(654);
      END_STATE();
    case 628:
      if (lookahead == 't') ADVANCE(655);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 630:
      if (lookahead == 'l') ADVANCE(656);
      END_STATE();
    case 631:
      if (lookahead == 'e') ADVANCE(657);
      END_STATE();
    case 632:
      if (lookahead == 'a') ADVANCE(658);
      END_STATE();
    case 633:
      if (lookahead == 'e') ADVANCE(659);
      END_STATE();
    case 634:
      if (lookahead == 'd') ADVANCE(660);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_attribute);
      END_STATE();
    case 636:
      if (lookahead == 'a') ADVANCE(661);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 638:
      if (lookahead == 'u') ADVANCE(662);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_invariant);
      END_STATE();
    case 640:
      if (lookahead == '_') ADVANCE(663);
      END_STATE();
    case 641:
      if (lookahead == 't') ADVANCE(664);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_precision);
      END_STATE();
    case 643:
      if (lookahead == 'd') ADVANCE(665);
      END_STATE();
    case 644:
      if (lookahead == 'o') ADVANCE(666);
      END_STATE();
    case 645:
      if (lookahead == 'e') ADVANCE(667);
      END_STATE();
    case 646:
      if (lookahead == 'c') ADVANCE(668);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_writeonly);
      END_STATE();
    case 648:
      if (lookahead == '_') ADVANCE(669);
      END_STATE();
    case 649:
      if (lookahead == 'e') ADVANCE(670);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 651:
      if (lookahead == 'n') ADVANCE(671);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 653:
      if (lookahead == 'i') ADVANCE(672);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(673);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 657:
      if (lookahead == 'd') ADVANCE(674);
      END_STATE();
    case 658:
      if (lookahead == 'l') ADVANCE(675);
      END_STATE();
    case 659:
      if (lookahead == '_') ADVANCE(676);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 661:
      if (lookahead == 't') ADVANCE(677);
      END_STATE();
    case 662:
      if (lookahead == 't') ADVANCE(678);
      END_STATE();
    case 663:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 664:
      if (lookahead == 'i') ADVANCE(679);
      END_STATE();
    case 665:
      if (lookahead == 'E') ADVANCE(680);
      if (lookahead == 'I') ADVANCE(681);
      if (lookahead == 'N') ADVANCE(682);
      END_STATE();
    case 666:
      if (lookahead == 'r') ADVANCE(683);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(anon_sym_subroutine);
      END_STATE();
    case 668:
      if (lookahead == 'a') ADVANCE(684);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(anon_sym___attribute);
      if (lookahead == '_') ADVANCE(685);
      END_STATE();
    case 671:
      if (lookahead == '_') ADVANCE(686);
      END_STATE();
    case 672:
      if (lookahead == 'n') ADVANCE(687);
      END_STATE();
    case 673:
      if (lookahead == '_') ADVANCE(688);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 675:
      if (lookahead == 'l') ADVANCE(689);
      END_STATE();
    case 676:
      if (lookahead == '_') ADVANCE(690);
      END_STATE();
    case 677:
      if (lookahead == 'a') ADVANCE(691);
      END_STATE();
    case 678:
      if (lookahead == 'e') ADVANCE(692);
      END_STATE();
    case 679:
      if (lookahead == 'v') ADVANCE(693);
      END_STATE();
    case 680:
      if (lookahead == 'X') ADVANCE(694);
      END_STATE();
    case 681:
      if (lookahead == 'n') ADVANCE(695);
      END_STATE();
    case 682:
      if (lookahead == 'V') ADVANCE(696);
      END_STATE();
    case 683:
      if (lookahead == 'd') ADVANCE(697);
      END_STATE();
    case 684:
      if (lookahead == 'l') ADVANCE(698);
      END_STATE();
    case 685:
      if (lookahead == '_') ADVANCE(699);
      END_STATE();
    case 686:
      if (lookahead == '_') ADVANCE(700);
      END_STATE();
    case 687:
      if (lookahead == 'e') ADVANCE(701);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 691:
      if (lookahead == 'E') ADVANCE(702);
      if (lookahead == 'I') ADVANCE(703);
      if (lookahead == 'N') ADVANCE(704);
      END_STATE();
    case 692:
      if (lookahead == 'E') ADVANCE(705);
      if (lookahead == 'N') ADVANCE(706);
      END_STATE();
    case 693:
      if (lookahead == 'e') ADVANCE(707);
      END_STATE();
    case 694:
      if (lookahead == 'T') ADVANCE(708);
      END_STATE();
    case 695:
      if (lookahead == 'E') ADVANCE(709);
      if (lookahead == 'N') ADVANCE(710);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_rayPayloadNV);
      END_STATE();
    case 697:
      if (lookahead == 'E') ADVANCE(711);
      if (lookahead == 'N') ADVANCE(712);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 702:
      if (lookahead == 'X') ADVANCE(713);
      END_STATE();
    case 703:
      if (lookahead == 'n') ADVANCE(714);
      END_STATE();
    case 704:
      if (lookahead == 'V') ADVANCE(715);
      END_STATE();
    case 705:
      if (lookahead == 'X') ADVANCE(716);
      END_STATE();
    case 706:
      if (lookahead == 'V') ADVANCE(717);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_noperspective);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_rayPayloadEXT);
      END_STATE();
    case 709:
      if (lookahead == 'X') ADVANCE(718);
      END_STATE();
    case 710:
      if (lookahead == 'V') ADVANCE(719);
      END_STATE();
    case 711:
      if (lookahead == 'X') ADVANCE(720);
      END_STATE();
    case 712:
      if (lookahead == 'V') ADVANCE(721);
      END_STATE();
    case 713:
      if (lookahead == 'T') ADVANCE(722);
      END_STATE();
    case 714:
      if (lookahead == 'E') ADVANCE(723);
      if (lookahead == 'N') ADVANCE(724);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(anon_sym_callableDataNV);
      END_STATE();
    case 716:
      if (lookahead == 'T') ADVANCE(725);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(anon_sym_hitAttributeNV);
      END_STATE();
    case 718:
      if (lookahead == 'T') ADVANCE(726);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_rayPayloadInNV);
      END_STATE();
    case 720:
      if (lookahead == 'T') ADVANCE(727);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_shaderRecordNV);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym_callableDataEXT);
      END_STATE();
    case 723:
      if (lookahead == 'X') ADVANCE(728);
      END_STATE();
    case 724:
      if (lookahead == 'V') ADVANCE(729);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_hitAttributeEXT);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_rayPayloadInEXT);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_shaderRecordEXT);
      END_STATE();
    case 728:
      if (lookahead == 'T') ADVANCE(730);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_callableDataInNV);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_callableDataInEXT);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 124},
  [2] = {.lex_state = 47},
  [3] = {.lex_state = 47},
  [4] = {.lex_state = 47},
  [5] = {.lex_state = 47},
  [6] = {.lex_state = 47},
  [7] = {.lex_state = 47},
  [8] = {.lex_state = 47},
  [9] = {.lex_state = 47},
  [10] = {.lex_state = 47},
  [11] = {.lex_state = 47},
  [12] = {.lex_state = 47},
  [13] = {.lex_state = 47},
  [14] = {.lex_state = 47},
  [15] = {.lex_state = 47},
  [16] = {.lex_state = 47},
  [17] = {.lex_state = 47},
  [18] = {.lex_state = 47},
  [19] = {.lex_state = 47},
  [20] = {.lex_state = 47},
  [21] = {.lex_state = 47},
  [22] = {.lex_state = 47},
  [23] = {.lex_state = 124},
  [24] = {.lex_state = 124},
  [25] = {.lex_state = 124},
  [26] = {.lex_state = 124},
  [27] = {.lex_state = 124},
  [28] = {.lex_state = 124},
  [29] = {.lex_state = 124},
  [30] = {.lex_state = 124},
  [31] = {.lex_state = 124},
  [32] = {.lex_state = 49},
  [33] = {.lex_state = 124},
  [34] = {.lex_state = 49},
  [35] = {.lex_state = 124},
  [36] = {.lex_state = 124},
  [37] = {.lex_state = 124},
  [38] = {.lex_state = 124},
  [39] = {.lex_state = 49},
  [40] = {.lex_state = 124},
  [41] = {.lex_state = 124},
  [42] = {.lex_state = 124},
  [43] = {.lex_state = 124},
  [44] = {.lex_state = 124},
  [45] = {.lex_state = 47},
  [46] = {.lex_state = 47},
  [47] = {.lex_state = 47},
  [48] = {.lex_state = 47},
  [49] = {.lex_state = 47},
  [50] = {.lex_state = 124},
  [51] = {.lex_state = 124},
  [52] = {.lex_state = 124},
  [53] = {.lex_state = 124},
  [54] = {.lex_state = 124},
  [55] = {.lex_state = 124},
  [56] = {.lex_state = 124},
  [57] = {.lex_state = 124},
  [58] = {.lex_state = 124},
  [59] = {.lex_state = 124},
  [60] = {.lex_state = 49},
  [61] = {.lex_state = 49},
  [62] = {.lex_state = 49},
  [63] = {.lex_state = 49},
  [64] = {.lex_state = 49},
  [65] = {.lex_state = 124},
  [66] = {.lex_state = 124},
  [67] = {.lex_state = 124},
  [68] = {.lex_state = 124},
  [69] = {.lex_state = 124},
  [70] = {.lex_state = 124},
  [71] = {.lex_state = 124},
  [72] = {.lex_state = 124},
  [73] = {.lex_state = 124},
  [74] = {.lex_state = 124},
  [75] = {.lex_state = 124},
  [76] = {.lex_state = 124},
  [77] = {.lex_state = 124},
  [78] = {.lex_state = 124},
  [79] = {.lex_state = 124},
  [80] = {.lex_state = 47},
  [81] = {.lex_state = 47},
  [82] = {.lex_state = 47},
  [83] = {.lex_state = 47},
  [84] = {.lex_state = 47},
  [85] = {.lex_state = 47},
  [86] = {.lex_state = 47},
  [87] = {.lex_state = 47},
  [88] = {.lex_state = 47},
  [89] = {.lex_state = 47},
  [90] = {.lex_state = 47},
  [91] = {.lex_state = 47},
  [92] = {.lex_state = 47},
  [93] = {.lex_state = 47},
  [94] = {.lex_state = 47},
  [95] = {.lex_state = 47},
  [96] = {.lex_state = 47},
  [97] = {.lex_state = 47},
  [98] = {.lex_state = 47},
  [99] = {.lex_state = 47},
  [100] = {.lex_state = 47},
  [101] = {.lex_state = 47},
  [102] = {.lex_state = 47},
  [103] = {.lex_state = 47},
  [104] = {.lex_state = 47},
  [105] = {.lex_state = 47},
  [106] = {.lex_state = 47},
  [107] = {.lex_state = 47},
  [108] = {.lex_state = 47},
  [109] = {.lex_state = 47},
  [110] = {.lex_state = 47},
  [111] = {.lex_state = 47},
  [112] = {.lex_state = 47},
  [113] = {.lex_state = 47},
  [114] = {.lex_state = 47},
  [115] = {.lex_state = 47},
  [116] = {.lex_state = 47},
  [117] = {.lex_state = 47},
  [118] = {.lex_state = 47},
  [119] = {.lex_state = 47},
  [120] = {.lex_state = 124},
  [121] = {.lex_state = 47},
  [122] = {.lex_state = 47},
  [123] = {.lex_state = 47},
  [124] = {.lex_state = 47},
  [125] = {.lex_state = 47},
  [126] = {.lex_state = 47},
  [127] = {.lex_state = 47},
  [128] = {.lex_state = 47},
  [129] = {.lex_state = 124},
  [130] = {.lex_state = 47},
  [131] = {.lex_state = 47},
  [132] = {.lex_state = 47},
  [133] = {.lex_state = 47},
  [134] = {.lex_state = 47},
  [135] = {.lex_state = 47},
  [136] = {.lex_state = 47},
  [137] = {.lex_state = 47},
  [138] = {.lex_state = 47},
  [139] = {.lex_state = 47},
  [140] = {.lex_state = 47},
  [141] = {.lex_state = 47},
  [142] = {.lex_state = 47},
  [143] = {.lex_state = 47},
  [144] = {.lex_state = 47},
  [145] = {.lex_state = 47},
  [146] = {.lex_state = 47},
  [147] = {.lex_state = 47},
  [148] = {.lex_state = 47},
  [149] = {.lex_state = 47},
  [150] = {.lex_state = 47},
  [151] = {.lex_state = 47},
  [152] = {.lex_state = 47},
  [153] = {.lex_state = 47},
  [154] = {.lex_state = 47},
  [155] = {.lex_state = 47},
  [156] = {.lex_state = 47},
  [157] = {.lex_state = 47},
  [158] = {.lex_state = 47},
  [159] = {.lex_state = 47},
  [160] = {.lex_state = 47},
  [161] = {.lex_state = 47},
  [162] = {.lex_state = 47},
  [163] = {.lex_state = 47},
  [164] = {.lex_state = 47},
  [165] = {.lex_state = 47},
  [166] = {.lex_state = 47},
  [167] = {.lex_state = 47},
  [168] = {.lex_state = 47},
  [169] = {.lex_state = 47},
  [170] = {.lex_state = 47},
  [171] = {.lex_state = 47},
  [172] = {.lex_state = 47},
  [173] = {.lex_state = 124},
  [174] = {.lex_state = 49},
  [175] = {.lex_state = 124},
  [176] = {.lex_state = 49},
  [177] = {.lex_state = 124},
  [178] = {.lex_state = 124},
  [179] = {.lex_state = 124},
  [180] = {.lex_state = 124},
  [181] = {.lex_state = 124},
  [182] = {.lex_state = 124},
  [183] = {.lex_state = 124},
  [184] = {.lex_state = 124},
  [185] = {.lex_state = 124},
  [186] = {.lex_state = 124},
  [187] = {.lex_state = 124},
  [188] = {.lex_state = 124},
  [189] = {.lex_state = 124},
  [190] = {.lex_state = 124},
  [191] = {.lex_state = 124},
  [192] = {.lex_state = 124},
  [193] = {.lex_state = 124},
  [194] = {.lex_state = 124},
  [195] = {.lex_state = 124},
  [196] = {.lex_state = 124},
  [197] = {.lex_state = 124},
  [198] = {.lex_state = 124},
  [199] = {.lex_state = 124},
  [200] = {.lex_state = 124},
  [201] = {.lex_state = 124},
  [202] = {.lex_state = 124},
  [203] = {.lex_state = 124},
  [204] = {.lex_state = 124},
  [205] = {.lex_state = 124},
  [206] = {.lex_state = 124},
  [207] = {.lex_state = 124},
  [208] = {.lex_state = 124},
  [209] = {.lex_state = 124},
  [210] = {.lex_state = 124},
  [211] = {.lex_state = 124},
  [212] = {.lex_state = 124},
  [213] = {.lex_state = 124},
  [214] = {.lex_state = 124},
  [215] = {.lex_state = 124},
  [216] = {.lex_state = 124},
  [217] = {.lex_state = 124},
  [218] = {.lex_state = 124},
  [219] = {.lex_state = 124},
  [220] = {.lex_state = 124},
  [221] = {.lex_state = 124},
  [222] = {.lex_state = 124},
  [223] = {.lex_state = 124},
  [224] = {.lex_state = 124},
  [225] = {.lex_state = 124},
  [226] = {.lex_state = 124},
  [227] = {.lex_state = 124},
  [228] = {.lex_state = 124},
  [229] = {.lex_state = 124},
  [230] = {.lex_state = 124},
  [231] = {.lex_state = 124},
  [232] = {.lex_state = 124},
  [233] = {.lex_state = 124},
  [234] = {.lex_state = 124},
  [235] = {.lex_state = 124},
  [236] = {.lex_state = 124},
  [237] = {.lex_state = 124},
  [238] = {.lex_state = 124},
  [239] = {.lex_state = 124},
  [240] = {.lex_state = 124},
  [241] = {.lex_state = 124},
  [242] = {.lex_state = 124},
  [243] = {.lex_state = 124},
  [244] = {.lex_state = 124},
  [245] = {.lex_state = 124},
  [246] = {.lex_state = 124},
  [247] = {.lex_state = 124},
  [248] = {.lex_state = 124},
  [249] = {.lex_state = 124},
  [250] = {.lex_state = 124},
  [251] = {.lex_state = 124},
  [252] = {.lex_state = 124},
  [253] = {.lex_state = 124},
  [254] = {.lex_state = 49},
  [255] = {.lex_state = 49},
  [256] = {.lex_state = 124},
  [257] = {.lex_state = 124},
  [258] = {.lex_state = 49},
  [259] = {.lex_state = 49},
  [260] = {.lex_state = 49},
  [261] = {.lex_state = 49},
  [262] = {.lex_state = 49},
  [263] = {.lex_state = 49},
  [264] = {.lex_state = 49},
  [265] = {.lex_state = 124},
  [266] = {.lex_state = 49},
  [267] = {.lex_state = 49},
  [268] = {.lex_state = 49},
  [269] = {.lex_state = 49},
  [270] = {.lex_state = 49},
  [271] = {.lex_state = 49},
  [272] = {.lex_state = 49},
  [273] = {.lex_state = 49},
  [274] = {.lex_state = 124},
  [275] = {.lex_state = 124},
  [276] = {.lex_state = 49},
  [277] = {.lex_state = 49},
  [278] = {.lex_state = 49},
  [279] = {.lex_state = 49},
  [280] = {.lex_state = 49},
  [281] = {.lex_state = 49},
  [282] = {.lex_state = 49},
  [283] = {.lex_state = 49},
  [284] = {.lex_state = 49},
  [285] = {.lex_state = 49},
  [286] = {.lex_state = 49},
  [287] = {.lex_state = 49},
  [288] = {.lex_state = 49},
  [289] = {.lex_state = 49},
  [290] = {.lex_state = 49},
  [291] = {.lex_state = 49},
  [292] = {.lex_state = 49},
  [293] = {.lex_state = 124},
  [294] = {.lex_state = 49},
  [295] = {.lex_state = 49},
  [296] = {.lex_state = 49},
  [297] = {.lex_state = 49},
  [298] = {.lex_state = 49},
  [299] = {.lex_state = 49},
  [300] = {.lex_state = 49},
  [301] = {.lex_state = 49},
  [302] = {.lex_state = 49},
  [303] = {.lex_state = 49},
  [304] = {.lex_state = 49},
  [305] = {.lex_state = 49},
  [306] = {.lex_state = 49},
  [307] = {.lex_state = 124},
  [308] = {.lex_state = 124},
  [309] = {.lex_state = 124},
  [310] = {.lex_state = 124},
  [311] = {.lex_state = 124},
  [312] = {.lex_state = 124},
  [313] = {.lex_state = 124},
  [314] = {.lex_state = 124},
  [315] = {.lex_state = 124},
  [316] = {.lex_state = 124},
  [317] = {.lex_state = 124},
  [318] = {.lex_state = 124},
  [319] = {.lex_state = 124},
  [320] = {.lex_state = 49},
  [321] = {.lex_state = 124},
  [322] = {.lex_state = 124},
  [323] = {.lex_state = 124},
  [324] = {.lex_state = 124},
  [325] = {.lex_state = 49},
  [326] = {.lex_state = 124},
  [327] = {.lex_state = 49},
  [328] = {.lex_state = 49},
  [329] = {.lex_state = 49},
  [330] = {.lex_state = 124},
  [331] = {.lex_state = 124},
  [332] = {.lex_state = 124},
  [333] = {.lex_state = 124},
  [334] = {.lex_state = 124},
  [335] = {.lex_state = 124},
  [336] = {.lex_state = 49},
  [337] = {.lex_state = 49},
  [338] = {.lex_state = 49},
  [339] = {.lex_state = 49},
  [340] = {.lex_state = 49},
  [341] = {.lex_state = 124},
  [342] = {.lex_state = 49},
  [343] = {.lex_state = 124},
  [344] = {.lex_state = 124},
  [345] = {.lex_state = 124},
  [346] = {.lex_state = 49},
  [347] = {.lex_state = 49},
  [348] = {.lex_state = 49},
  [349] = {.lex_state = 49},
  [350] = {.lex_state = 49},
  [351] = {.lex_state = 49},
  [352] = {.lex_state = 49},
  [353] = {.lex_state = 49},
  [354] = {.lex_state = 124},
  [355] = {.lex_state = 49},
  [356] = {.lex_state = 49},
  [357] = {.lex_state = 49},
  [358] = {.lex_state = 49},
  [359] = {.lex_state = 49},
  [360] = {.lex_state = 49},
  [361] = {.lex_state = 49},
  [362] = {.lex_state = 49},
  [363] = {.lex_state = 49},
  [364] = {.lex_state = 49},
  [365] = {.lex_state = 124},
  [366] = {.lex_state = 49},
  [367] = {.lex_state = 49},
  [368] = {.lex_state = 49},
  [369] = {.lex_state = 49},
  [370] = {.lex_state = 49},
  [371] = {.lex_state = 49},
  [372] = {.lex_state = 49},
  [373] = {.lex_state = 49},
  [374] = {.lex_state = 49},
  [375] = {.lex_state = 124},
  [376] = {.lex_state = 49},
  [377] = {.lex_state = 49},
  [378] = {.lex_state = 124},
  [379] = {.lex_state = 49},
  [380] = {.lex_state = 124},
  [381] = {.lex_state = 124},
  [382] = {.lex_state = 124},
  [383] = {.lex_state = 124},
  [384] = {.lex_state = 124},
  [385] = {.lex_state = 124},
  [386] = {.lex_state = 124},
  [387] = {.lex_state = 124},
  [388] = {.lex_state = 124},
  [389] = {.lex_state = 124},
  [390] = {.lex_state = 124},
  [391] = {.lex_state = 124},
  [392] = {.lex_state = 124},
  [393] = {.lex_state = 124},
  [394] = {.lex_state = 124},
  [395] = {.lex_state = 124},
  [396] = {.lex_state = 124},
  [397] = {.lex_state = 124},
  [398] = {.lex_state = 124},
  [399] = {.lex_state = 124},
  [400] = {.lex_state = 124},
  [401] = {.lex_state = 124},
  [402] = {.lex_state = 124},
  [403] = {.lex_state = 124},
  [404] = {.lex_state = 49},
  [405] = {.lex_state = 124},
  [406] = {.lex_state = 124},
  [407] = {.lex_state = 124},
  [408] = {.lex_state = 124},
  [409] = {.lex_state = 124},
  [410] = {.lex_state = 124},
  [411] = {.lex_state = 124},
  [412] = {.lex_state = 124},
  [413] = {.lex_state = 124},
  [414] = {.lex_state = 124},
  [415] = {.lex_state = 124},
  [416] = {.lex_state = 124},
  [417] = {.lex_state = 124},
  [418] = {.lex_state = 124},
  [419] = {.lex_state = 124},
  [420] = {.lex_state = 124},
  [421] = {.lex_state = 124},
  [422] = {.lex_state = 124},
  [423] = {.lex_state = 124},
  [424] = {.lex_state = 124},
  [425] = {.lex_state = 124},
  [426] = {.lex_state = 124},
  [427] = {.lex_state = 124},
  [428] = {.lex_state = 124},
  [429] = {.lex_state = 124},
  [430] = {.lex_state = 124},
  [431] = {.lex_state = 124},
  [432] = {.lex_state = 124},
  [433] = {.lex_state = 124},
  [434] = {.lex_state = 124},
  [435] = {.lex_state = 124},
  [436] = {.lex_state = 124},
  [437] = {.lex_state = 124},
  [438] = {.lex_state = 124},
  [439] = {.lex_state = 124},
  [440] = {.lex_state = 124},
  [441] = {.lex_state = 124},
  [442] = {.lex_state = 124},
  [443] = {.lex_state = 124},
  [444] = {.lex_state = 124},
  [445] = {.lex_state = 124},
  [446] = {.lex_state = 124},
  [447] = {.lex_state = 56},
  [448] = {.lex_state = 56},
  [449] = {.lex_state = 56},
  [450] = {.lex_state = 56},
  [451] = {.lex_state = 56},
  [452] = {.lex_state = 56},
  [453] = {.lex_state = 56},
  [454] = {.lex_state = 56},
  [455] = {.lex_state = 56},
  [456] = {.lex_state = 56},
  [457] = {.lex_state = 56},
  [458] = {.lex_state = 56},
  [459] = {.lex_state = 56},
  [460] = {.lex_state = 56},
  [461] = {.lex_state = 56},
  [462] = {.lex_state = 56},
  [463] = {.lex_state = 56},
  [464] = {.lex_state = 55},
  [465] = {.lex_state = 55},
  [466] = {.lex_state = 60},
  [467] = {.lex_state = 55},
  [468] = {.lex_state = 60},
  [469] = {.lex_state = 60},
  [470] = {.lex_state = 56},
  [471] = {.lex_state = 56},
  [472] = {.lex_state = 56},
  [473] = {.lex_state = 56},
  [474] = {.lex_state = 56},
  [475] = {.lex_state = 46},
  [476] = {.lex_state = 46},
  [477] = {.lex_state = 124},
  [478] = {.lex_state = 124},
  [479] = {.lex_state = 124},
  [480] = {.lex_state = 124},
  [481] = {.lex_state = 124},
  [482] = {.lex_state = 124},
  [483] = {.lex_state = 124},
  [484] = {.lex_state = 124},
  [485] = {.lex_state = 124},
  [486] = {.lex_state = 124},
  [487] = {.lex_state = 124},
  [488] = {.lex_state = 124},
  [489] = {.lex_state = 124},
  [490] = {.lex_state = 124},
  [491] = {.lex_state = 124},
  [492] = {.lex_state = 124},
  [493] = {.lex_state = 124},
  [494] = {.lex_state = 124},
  [495] = {.lex_state = 124},
  [496] = {.lex_state = 124},
  [497] = {.lex_state = 124},
  [498] = {.lex_state = 124},
  [499] = {.lex_state = 124},
  [500] = {.lex_state = 124},
  [501] = {.lex_state = 124},
  [502] = {.lex_state = 124},
  [503] = {.lex_state = 124},
  [504] = {.lex_state = 124},
  [505] = {.lex_state = 124},
  [506] = {.lex_state = 124},
  [507] = {.lex_state = 124},
  [508] = {.lex_state = 124},
  [509] = {.lex_state = 124},
  [510] = {.lex_state = 124},
  [511] = {.lex_state = 56},
  [512] = {.lex_state = 56},
  [513] = {.lex_state = 56},
  [514] = {.lex_state = 56},
  [515] = {.lex_state = 124},
  [516] = {.lex_state = 124},
  [517] = {.lex_state = 124},
  [518] = {.lex_state = 124},
  [519] = {.lex_state = 124},
  [520] = {.lex_state = 56},
  [521] = {.lex_state = 124},
  [522] = {.lex_state = 124},
  [523] = {.lex_state = 124},
  [524] = {.lex_state = 46},
  [525] = {.lex_state = 124},
  [526] = {.lex_state = 124},
  [527] = {.lex_state = 124},
  [528] = {.lex_state = 124},
  [529] = {.lex_state = 124},
  [530] = {.lex_state = 124},
  [531] = {.lex_state = 124},
  [532] = {.lex_state = 124},
  [533] = {.lex_state = 124},
  [534] = {.lex_state = 56},
  [535] = {.lex_state = 124},
  [536] = {.lex_state = 56},
  [537] = {.lex_state = 124},
  [538] = {.lex_state = 56},
  [539] = {.lex_state = 56},
  [540] = {.lex_state = 56},
  [541] = {.lex_state = 56},
  [542] = {.lex_state = 56},
  [543] = {.lex_state = 56},
  [544] = {.lex_state = 124},
  [545] = {.lex_state = 124},
  [546] = {.lex_state = 46},
  [547] = {.lex_state = 46},
  [548] = {.lex_state = 52},
  [549] = {.lex_state = 52},
  [550] = {.lex_state = 52},
  [551] = {.lex_state = 52},
  [552] = {.lex_state = 52},
  [553] = {.lex_state = 52},
  [554] = {.lex_state = 52},
  [555] = {.lex_state = 52},
  [556] = {.lex_state = 52},
  [557] = {.lex_state = 52},
  [558] = {.lex_state = 124},
  [559] = {.lex_state = 46},
  [560] = {.lex_state = 56},
  [561] = {.lex_state = 56},
  [562] = {.lex_state = 56},
  [563] = {.lex_state = 56},
  [564] = {.lex_state = 56},
  [565] = {.lex_state = 56},
  [566] = {.lex_state = 56},
  [567] = {.lex_state = 56},
  [568] = {.lex_state = 56},
  [569] = {.lex_state = 56},
  [570] = {.lex_state = 56},
  [571] = {.lex_state = 56},
  [572] = {.lex_state = 56},
  [573] = {.lex_state = 56},
  [574] = {.lex_state = 56},
  [575] = {.lex_state = 56},
  [576] = {.lex_state = 56},
  [577] = {.lex_state = 56},
  [578] = {.lex_state = 56},
  [579] = {.lex_state = 56},
  [580] = {.lex_state = 56},
  [581] = {.lex_state = 56},
  [582] = {.lex_state = 56},
  [583] = {.lex_state = 56},
  [584] = {.lex_state = 55},
  [585] = {.lex_state = 55},
  [586] = {.lex_state = 55},
  [587] = {.lex_state = 55},
  [588] = {.lex_state = 55},
  [589] = {.lex_state = 55},
  [590] = {.lex_state = 55},
  [591] = {.lex_state = 60},
  [592] = {.lex_state = 55},
  [593] = {.lex_state = 55},
  [594] = {.lex_state = 55},
  [595] = {.lex_state = 55},
  [596] = {.lex_state = 60},
  [597] = {.lex_state = 60},
  [598] = {.lex_state = 60},
  [599] = {.lex_state = 60},
  [600] = {.lex_state = 60},
  [601] = {.lex_state = 60},
  [602] = {.lex_state = 60},
  [603] = {.lex_state = 60},
  [604] = {.lex_state = 60},
  [605] = {.lex_state = 60},
  [606] = {.lex_state = 55},
  [607] = {.lex_state = 55},
  [608] = {.lex_state = 60},
  [609] = {.lex_state = 55},
  [610] = {.lex_state = 55},
  [611] = {.lex_state = 55},
  [612] = {.lex_state = 55},
  [613] = {.lex_state = 60},
  [614] = {.lex_state = 55},
  [615] = {.lex_state = 55},
  [616] = {.lex_state = 60},
  [617] = {.lex_state = 60},
  [618] = {.lex_state = 60},
  [619] = {.lex_state = 60},
  [620] = {.lex_state = 60},
  [621] = {.lex_state = 55},
  [622] = {.lex_state = 60},
  [623] = {.lex_state = 55},
  [624] = {.lex_state = 56},
  [625] = {.lex_state = 60},
  [626] = {.lex_state = 60},
  [627] = {.lex_state = 60},
  [628] = {.lex_state = 55},
  [629] = {.lex_state = 124},
  [630] = {.lex_state = 124},
  [631] = {.lex_state = 124},
  [632] = {.lex_state = 124},
  [633] = {.lex_state = 124},
  [634] = {.lex_state = 124},
  [635] = {.lex_state = 124},
  [636] = {.lex_state = 124},
  [637] = {.lex_state = 124},
  [638] = {.lex_state = 124},
  [639] = {.lex_state = 56},
  [640] = {.lex_state = 56},
  [641] = {.lex_state = 124},
  [642] = {.lex_state = 56},
  [643] = {.lex_state = 56},
  [644] = {.lex_state = 124},
  [645] = {.lex_state = 56},
  [646] = {.lex_state = 56},
  [647] = {.lex_state = 56},
  [648] = {.lex_state = 56},
  [649] = {.lex_state = 56},
  [650] = {.lex_state = 56},
  [651] = {.lex_state = 56},
  [652] = {.lex_state = 56},
  [653] = {.lex_state = 124},
  [654] = {.lex_state = 124},
  [655] = {.lex_state = 124},
  [656] = {.lex_state = 124},
  [657] = {.lex_state = 124},
  [658] = {.lex_state = 124},
  [659] = {.lex_state = 124},
  [660] = {.lex_state = 124},
  [661] = {.lex_state = 124},
  [662] = {.lex_state = 124},
  [663] = {.lex_state = 124},
  [664] = {.lex_state = 124},
  [665] = {.lex_state = 124},
  [666] = {.lex_state = 124},
  [667] = {.lex_state = 124},
  [668] = {.lex_state = 124},
  [669] = {.lex_state = 124},
  [670] = {.lex_state = 124},
  [671] = {.lex_state = 124},
  [672] = {.lex_state = 124},
  [673] = {.lex_state = 124},
  [674] = {.lex_state = 124},
  [675] = {.lex_state = 124},
  [676] = {.lex_state = 124},
  [677] = {.lex_state = 124},
  [678] = {.lex_state = 124},
  [679] = {.lex_state = 124},
  [680] = {.lex_state = 124},
  [681] = {.lex_state = 124},
  [682] = {.lex_state = 124},
  [683] = {.lex_state = 124},
  [684] = {.lex_state = 124},
  [685] = {.lex_state = 124},
  [686] = {.lex_state = 124},
  [687] = {.lex_state = 124},
  [688] = {.lex_state = 124},
  [689] = {.lex_state = 124},
  [690] = {.lex_state = 124},
  [691] = {.lex_state = 124},
  [692] = {.lex_state = 124},
  [693] = {.lex_state = 124},
  [694] = {.lex_state = 124},
  [695] = {.lex_state = 124},
  [696] = {.lex_state = 124},
  [697] = {.lex_state = 124},
  [698] = {.lex_state = 124},
  [699] = {.lex_state = 124},
  [700] = {.lex_state = 124},
  [701] = {.lex_state = 124},
  [702] = {.lex_state = 124},
  [703] = {.lex_state = 124},
  [704] = {.lex_state = 124},
  [705] = {.lex_state = 124},
  [706] = {.lex_state = 124},
  [707] = {.lex_state = 124},
  [708] = {.lex_state = 124},
  [709] = {.lex_state = 124},
  [710] = {.lex_state = 124},
  [711] = {.lex_state = 124},
  [712] = {.lex_state = 124},
  [713] = {.lex_state = 124},
  [714] = {.lex_state = 124},
  [715] = {.lex_state = 124},
  [716] = {.lex_state = 124},
  [717] = {.lex_state = 124},
  [718] = {.lex_state = 124},
  [719] = {.lex_state = 124},
  [720] = {.lex_state = 124},
  [721] = {.lex_state = 124},
  [722] = {.lex_state = 124},
  [723] = {.lex_state = 124},
  [724] = {.lex_state = 124},
  [725] = {.lex_state = 124},
  [726] = {.lex_state = 124},
  [727] = {.lex_state = 124},
  [728] = {.lex_state = 124},
  [729] = {.lex_state = 124},
  [730] = {.lex_state = 124},
  [731] = {.lex_state = 124},
  [732] = {.lex_state = 124},
  [733] = {.lex_state = 124},
  [734] = {.lex_state = 124},
  [735] = {.lex_state = 124},
  [736] = {.lex_state = 124},
  [737] = {.lex_state = 124},
  [738] = {.lex_state = 124},
  [739] = {.lex_state = 124},
  [740] = {.lex_state = 124},
  [741] = {.lex_state = 124},
  [742] = {.lex_state = 124},
  [743] = {.lex_state = 124},
  [744] = {.lex_state = 124},
  [745] = {.lex_state = 124},
  [746] = {.lex_state = 124},
  [747] = {.lex_state = 124},
  [748] = {.lex_state = 124},
  [749] = {.lex_state = 124},
  [750] = {.lex_state = 124},
  [751] = {.lex_state = 124},
  [752] = {.lex_state = 124},
  [753] = {.lex_state = 124},
  [754] = {.lex_state = 124},
  [755] = {.lex_state = 124},
  [756] = {.lex_state = 124},
  [757] = {.lex_state = 124},
  [758] = {.lex_state = 124},
  [759] = {.lex_state = 124},
  [760] = {.lex_state = 124},
  [761] = {.lex_state = 124},
  [762] = {.lex_state = 124},
  [763] = {.lex_state = 124},
  [764] = {.lex_state = 124},
  [765] = {.lex_state = 124},
  [766] = {.lex_state = 124},
  [767] = {.lex_state = 124},
  [768] = {.lex_state = 124},
  [769] = {.lex_state = 124},
  [770] = {.lex_state = 124},
  [771] = {.lex_state = 124},
  [772] = {.lex_state = 124},
  [773] = {.lex_state = 124},
  [774] = {.lex_state = 124},
  [775] = {.lex_state = 124},
  [776] = {.lex_state = 124},
  [777] = {.lex_state = 124},
  [778] = {.lex_state = 124},
  [779] = {.lex_state = 124},
  [780] = {.lex_state = 124},
  [781] = {.lex_state = 124},
  [782] = {.lex_state = 52},
  [783] = {.lex_state = 124},
  [784] = {.lex_state = 124},
  [785] = {.lex_state = 124},
  [786] = {.lex_state = 124},
  [787] = {.lex_state = 124},
  [788] = {.lex_state = 124},
  [789] = {.lex_state = 124},
  [790] = {.lex_state = 124},
  [791] = {.lex_state = 124},
  [792] = {.lex_state = 124},
  [793] = {.lex_state = 124},
  [794] = {.lex_state = 124},
  [795] = {.lex_state = 124},
  [796] = {.lex_state = 124},
  [797] = {.lex_state = 124},
  [798] = {.lex_state = 124},
  [799] = {.lex_state = 124},
  [800] = {.lex_state = 124},
  [801] = {.lex_state = 124},
  [802] = {.lex_state = 124},
  [803] = {.lex_state = 124},
  [804] = {.lex_state = 124},
  [805] = {.lex_state = 124},
  [806] = {.lex_state = 124},
  [807] = {.lex_state = 124},
  [808] = {.lex_state = 124},
  [809] = {.lex_state = 124},
  [810] = {.lex_state = 124},
  [811] = {.lex_state = 124},
  [812] = {.lex_state = 124},
  [813] = {.lex_state = 124},
  [814] = {.lex_state = 124},
  [815] = {.lex_state = 124},
  [816] = {.lex_state = 124},
  [817] = {.lex_state = 124},
  [818] = {.lex_state = 124},
  [819] = {.lex_state = 124},
  [820] = {.lex_state = 124},
  [821] = {.lex_state = 124},
  [822] = {.lex_state = 56},
  [823] = {.lex_state = 56},
  [824] = {.lex_state = 52},
  [825] = {.lex_state = 52},
  [826] = {.lex_state = 56},
  [827] = {.lex_state = 52},
  [828] = {.lex_state = 56},
  [829] = {.lex_state = 56},
  [830] = {.lex_state = 56},
  [831] = {.lex_state = 56},
  [832] = {.lex_state = 56},
  [833] = {.lex_state = 56},
  [834] = {.lex_state = 56},
  [835] = {.lex_state = 56},
  [836] = {.lex_state = 56},
  [837] = {.lex_state = 52},
  [838] = {.lex_state = 53},
  [839] = {.lex_state = 52},
  [840] = {.lex_state = 53},
  [841] = {.lex_state = 53},
  [842] = {.lex_state = 56},
  [843] = {.lex_state = 53},
  [844] = {.lex_state = 53},
  [845] = {.lex_state = 53},
  [846] = {.lex_state = 53},
  [847] = {.lex_state = 56},
  [848] = {.lex_state = 53},
  [849] = {.lex_state = 52},
  [850] = {.lex_state = 53},
  [851] = {.lex_state = 53},
  [852] = {.lex_state = 56},
  [853] = {.lex_state = 56},
  [854] = {.lex_state = 56},
  [855] = {.lex_state = 56},
  [856] = {.lex_state = 124},
  [857] = {.lex_state = 124},
  [858] = {.lex_state = 124},
  [859] = {.lex_state = 124},
  [860] = {.lex_state = 53},
  [861] = {.lex_state = 56},
  [862] = {.lex_state = 52},
  [863] = {.lex_state = 53},
  [864] = {.lex_state = 53},
  [865] = {.lex_state = 53},
  [866] = {.lex_state = 53},
  [867] = {.lex_state = 53},
  [868] = {.lex_state = 53},
  [869] = {.lex_state = 53},
  [870] = {.lex_state = 56},
  [871] = {.lex_state = 53},
  [872] = {.lex_state = 56},
  [873] = {.lex_state = 53},
  [874] = {.lex_state = 53},
  [875] = {.lex_state = 56},
  [876] = {.lex_state = 53},
  [877] = {.lex_state = 53},
  [878] = {.lex_state = 53},
  [879] = {.lex_state = 53},
  [880] = {.lex_state = 56},
  [881] = {.lex_state = 56},
  [882] = {.lex_state = 56},
  [883] = {.lex_state = 56},
  [884] = {.lex_state = 56},
  [885] = {.lex_state = 56},
  [886] = {.lex_state = 56},
  [887] = {.lex_state = 56},
  [888] = {.lex_state = 56},
  [889] = {.lex_state = 53},
  [890] = {.lex_state = 56},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 56},
  [893] = {.lex_state = 56},
  [894] = {.lex_state = 56},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 56},
  [897] = {.lex_state = 53},
  [898] = {.lex_state = 53},
  [899] = {.lex_state = 56},
  [900] = {.lex_state = 53},
  [901] = {.lex_state = 53},
  [902] = {.lex_state = 56},
  [903] = {.lex_state = 124},
  [904] = {.lex_state = 124},
  [905] = {.lex_state = 54},
  [906] = {.lex_state = 53},
  [907] = {.lex_state = 53},
  [908] = {.lex_state = 54},
  [909] = {.lex_state = 53},
  [910] = {.lex_state = 54},
  [911] = {.lex_state = 53},
  [912] = {.lex_state = 56},
  [913] = {.lex_state = 56},
  [914] = {.lex_state = 52},
  [915] = {.lex_state = 56},
  [916] = {.lex_state = 52},
  [917] = {.lex_state = 56},
  [918] = {.lex_state = 56},
  [919] = {.lex_state = 56},
  [920] = {.lex_state = 56},
  [921] = {.lex_state = 52},
  [922] = {.lex_state = 56},
  [923] = {.lex_state = 56},
  [924] = {.lex_state = 56},
  [925] = {.lex_state = 56},
  [926] = {.lex_state = 56},
  [927] = {.lex_state = 56},
  [928] = {.lex_state = 56},
  [929] = {.lex_state = 56},
  [930] = {.lex_state = 56},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 56},
  [933] = {.lex_state = 56},
  [934] = {.lex_state = 56},
  [935] = {.lex_state = 56},
  [936] = {.lex_state = 56},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 56},
  [939] = {.lex_state = 56},
  [940] = {.lex_state = 56},
  [941] = {.lex_state = 56},
  [942] = {.lex_state = 56},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 56},
  [945] = {.lex_state = 56},
  [946] = {.lex_state = 56},
  [947] = {.lex_state = 56},
  [948] = {.lex_state = 56},
  [949] = {.lex_state = 56},
  [950] = {.lex_state = 56},
  [951] = {.lex_state = 56},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 56},
  [954] = {.lex_state = 56},
  [955] = {.lex_state = 56},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 56},
  [958] = {.lex_state = 56},
  [959] = {.lex_state = 56},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 56},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 56},
  [964] = {.lex_state = 56},
  [965] = {.lex_state = 56},
  [966] = {.lex_state = 56},
  [967] = {.lex_state = 56},
  [968] = {.lex_state = 56},
  [969] = {.lex_state = 56},
  [970] = {.lex_state = 56},
  [971] = {.lex_state = 56},
  [972] = {.lex_state = 56},
  [973] = {.lex_state = 56},
  [974] = {.lex_state = 56},
  [975] = {.lex_state = 56},
  [976] = {.lex_state = 56},
  [977] = {.lex_state = 56},
  [978] = {.lex_state = 56},
  [979] = {.lex_state = 56},
  [980] = {.lex_state = 56},
  [981] = {.lex_state = 56},
  [982] = {.lex_state = 56},
  [983] = {.lex_state = 56},
  [984] = {.lex_state = 52},
  [985] = {.lex_state = 52},
  [986] = {.lex_state = 56},
  [987] = {.lex_state = 56},
  [988] = {.lex_state = 56},
  [989] = {.lex_state = 52},
  [990] = {.lex_state = 52},
  [991] = {.lex_state = 52},
  [992] = {.lex_state = 52},
  [993] = {.lex_state = 56},
  [994] = {.lex_state = 56},
  [995] = {.lex_state = 56},
  [996] = {.lex_state = 56},
  [997] = {.lex_state = 53},
  [998] = {.lex_state = 56},
  [999] = {.lex_state = 56},
  [1000] = {.lex_state = 56},
  [1001] = {.lex_state = 56},
  [1002] = {.lex_state = 56},
  [1003] = {.lex_state = 56},
  [1004] = {.lex_state = 56},
  [1005] = {.lex_state = 53},
  [1006] = {.lex_state = 53},
  [1007] = {.lex_state = 56},
  [1008] = {.lex_state = 56},
  [1009] = {.lex_state = 56},
  [1010] = {.lex_state = 53},
  [1011] = {.lex_state = 53},
  [1012] = {.lex_state = 53},
  [1013] = {.lex_state = 56},
  [1014] = {.lex_state = 56},
  [1015] = {.lex_state = 53},
  [1016] = {.lex_state = 53},
  [1017] = {.lex_state = 56},
  [1018] = {.lex_state = 52},
  [1019] = {.lex_state = 53},
  [1020] = {.lex_state = 53},
  [1021] = {.lex_state = 53},
  [1022] = {.lex_state = 53},
  [1023] = {.lex_state = 53},
  [1024] = {.lex_state = 56},
  [1025] = {.lex_state = 56},
  [1026] = {.lex_state = 56},
  [1027] = {.lex_state = 56},
  [1028] = {.lex_state = 56},
  [1029] = {.lex_state = 56},
  [1030] = {.lex_state = 56},
  [1031] = {.lex_state = 56},
  [1032] = {.lex_state = 53},
  [1033] = {.lex_state = 56},
  [1034] = {.lex_state = 56},
  [1035] = {.lex_state = 56},
  [1036] = {.lex_state = 56},
  [1037] = {.lex_state = 56},
  [1038] = {.lex_state = 56},
  [1039] = {.lex_state = 56},
  [1040] = {.lex_state = 52},
  [1041] = {.lex_state = 52},
  [1042] = {.lex_state = 52},
  [1043] = {.lex_state = 56},
  [1044] = {.lex_state = 52},
  [1045] = {.lex_state = 56},
  [1046] = {.lex_state = 56},
  [1047] = {.lex_state = 56},
  [1048] = {.lex_state = 56},
  [1049] = {.lex_state = 56},
  [1050] = {.lex_state = 56},
  [1051] = {.lex_state = 56},
  [1052] = {.lex_state = 56},
  [1053] = {.lex_state = 56},
  [1054] = {.lex_state = 56},
  [1055] = {.lex_state = 56},
  [1056] = {.lex_state = 56},
  [1057] = {.lex_state = 56},
  [1058] = {.lex_state = 56},
  [1059] = {.lex_state = 56},
  [1060] = {.lex_state = 56},
  [1061] = {.lex_state = 56},
  [1062] = {.lex_state = 56},
  [1063] = {.lex_state = 56},
  [1064] = {.lex_state = 56},
  [1065] = {.lex_state = 56},
  [1066] = {.lex_state = 56},
  [1067] = {.lex_state = 56},
  [1068] = {.lex_state = 56},
  [1069] = {.lex_state = 124},
  [1070] = {.lex_state = 124},
  [1071] = {.lex_state = 124},
  [1072] = {.lex_state = 124},
  [1073] = {.lex_state = 124},
  [1074] = {.lex_state = 124},
  [1075] = {.lex_state = 124},
  [1076] = {.lex_state = 124},
  [1077] = {.lex_state = 124},
  [1078] = {.lex_state = 124},
  [1079] = {.lex_state = 56},
  [1080] = {.lex_state = 56},
  [1081] = {.lex_state = 56},
  [1082] = {.lex_state = 124},
  [1083] = {.lex_state = 124},
  [1084] = {.lex_state = 124},
  [1085] = {.lex_state = 124},
  [1086] = {.lex_state = 56},
  [1087] = {.lex_state = 124},
  [1088] = {.lex_state = 124},
  [1089] = {.lex_state = 124},
  [1090] = {.lex_state = 124},
  [1091] = {.lex_state = 124},
  [1092] = {.lex_state = 56},
  [1093] = {.lex_state = 124},
  [1094] = {.lex_state = 124},
  [1095] = {.lex_state = 124},
  [1096] = {.lex_state = 124},
  [1097] = {.lex_state = 56},
  [1098] = {.lex_state = 56},
  [1099] = {.lex_state = 56},
  [1100] = {.lex_state = 56},
  [1101] = {.lex_state = 56},
  [1102] = {.lex_state = 56},
  [1103] = {.lex_state = 56},
  [1104] = {.lex_state = 56},
  [1105] = {.lex_state = 56},
  [1106] = {.lex_state = 56},
  [1107] = {.lex_state = 56},
  [1108] = {.lex_state = 56},
  [1109] = {.lex_state = 56},
  [1110] = {.lex_state = 56},
  [1111] = {.lex_state = 56},
  [1112] = {.lex_state = 56},
  [1113] = {.lex_state = 56},
  [1114] = {.lex_state = 56},
  [1115] = {.lex_state = 56},
  [1116] = {.lex_state = 56},
  [1117] = {.lex_state = 53},
  [1118] = {.lex_state = 53},
  [1119] = {.lex_state = 53},
  [1120] = {.lex_state = 56},
  [1121] = {.lex_state = 53},
  [1122] = {.lex_state = 56},
  [1123] = {.lex_state = 53},
  [1124] = {.lex_state = 56},
  [1125] = {.lex_state = 56},
  [1126] = {.lex_state = 56},
  [1127] = {.lex_state = 56},
  [1128] = {.lex_state = 53},
  [1129] = {.lex_state = 56},
  [1130] = {.lex_state = 56},
  [1131] = {.lex_state = 53},
  [1132] = {.lex_state = 56},
  [1133] = {.lex_state = 53},
  [1134] = {.lex_state = 56},
  [1135] = {.lex_state = 56},
  [1136] = {.lex_state = 56},
  [1137] = {.lex_state = 56},
  [1138] = {.lex_state = 53},
  [1139] = {.lex_state = 53},
  [1140] = {.lex_state = 53},
  [1141] = {.lex_state = 53},
  [1142] = {.lex_state = 53},
  [1143] = {.lex_state = 53},
  [1144] = {.lex_state = 56},
  [1145] = {.lex_state = 56},
  [1146] = {.lex_state = 56},
  [1147] = {.lex_state = 56},
  [1148] = {.lex_state = 56},
  [1149] = {.lex_state = 55},
  [1150] = {.lex_state = 56},
  [1151] = {.lex_state = 55},
  [1152] = {.lex_state = 56},
  [1153] = {.lex_state = 56},
  [1154] = {.lex_state = 55},
  [1155] = {.lex_state = 56},
  [1156] = {.lex_state = 56},
  [1157] = {.lex_state = 56},
  [1158] = {.lex_state = 56},
  [1159] = {.lex_state = 55},
  [1160] = {.lex_state = 56},
  [1161] = {.lex_state = 56},
  [1162] = {.lex_state = 56},
  [1163] = {.lex_state = 56},
  [1164] = {.lex_state = 56},
  [1165] = {.lex_state = 56},
  [1166] = {.lex_state = 56},
  [1167] = {.lex_state = 56},
  [1168] = {.lex_state = 56},
  [1169] = {.lex_state = 56},
  [1170] = {.lex_state = 56},
  [1171] = {.lex_state = 56},
  [1172] = {.lex_state = 56},
  [1173] = {.lex_state = 56},
  [1174] = {.lex_state = 56},
  [1175] = {.lex_state = 56},
  [1176] = {.lex_state = 56},
  [1177] = {.lex_state = 56},
  [1178] = {.lex_state = 56},
  [1179] = {.lex_state = 56},
  [1180] = {.lex_state = 56},
  [1181] = {.lex_state = 56},
  [1182] = {.lex_state = 56},
  [1183] = {.lex_state = 56},
  [1184] = {.lex_state = 56},
  [1185] = {.lex_state = 56},
  [1186] = {.lex_state = 56},
  [1187] = {.lex_state = 56},
  [1188] = {.lex_state = 56},
  [1189] = {.lex_state = 56},
  [1190] = {.lex_state = 56},
  [1191] = {.lex_state = 56},
  [1192] = {.lex_state = 56},
  [1193] = {.lex_state = 56},
  [1194] = {.lex_state = 56},
  [1195] = {.lex_state = 56},
  [1196] = {.lex_state = 56},
  [1197] = {.lex_state = 56},
  [1198] = {.lex_state = 56},
  [1199] = {.lex_state = 56},
  [1200] = {.lex_state = 56},
  [1201] = {.lex_state = 56},
  [1202] = {.lex_state = 56},
  [1203] = {.lex_state = 56},
  [1204] = {.lex_state = 56},
  [1205] = {.lex_state = 56},
  [1206] = {.lex_state = 56},
  [1207] = {.lex_state = 56},
  [1208] = {.lex_state = 56},
  [1209] = {.lex_state = 56},
  [1210] = {.lex_state = 56},
  [1211] = {.lex_state = 56},
  [1212] = {.lex_state = 56},
  [1213] = {.lex_state = 56},
  [1214] = {.lex_state = 56},
  [1215] = {.lex_state = 56},
  [1216] = {.lex_state = 56},
  [1217] = {.lex_state = 56},
  [1218] = {.lex_state = 56},
  [1219] = {.lex_state = 56},
  [1220] = {.lex_state = 56},
  [1221] = {.lex_state = 56},
  [1222] = {.lex_state = 56},
  [1223] = {.lex_state = 56},
  [1224] = {.lex_state = 56},
  [1225] = {.lex_state = 56},
  [1226] = {.lex_state = 56},
  [1227] = {.lex_state = 56},
  [1228] = {.lex_state = 56},
  [1229] = {.lex_state = 56},
  [1230] = {.lex_state = 56},
  [1231] = {.lex_state = 56},
  [1232] = {.lex_state = 56},
  [1233] = {.lex_state = 56},
  [1234] = {.lex_state = 56},
  [1235] = {.lex_state = 56},
  [1236] = {.lex_state = 56},
  [1237] = {.lex_state = 56},
  [1238] = {.lex_state = 56},
  [1239] = {.lex_state = 56},
  [1240] = {.lex_state = 56},
  [1241] = {.lex_state = 56},
  [1242] = {.lex_state = 56},
  [1243] = {.lex_state = 56},
  [1244] = {.lex_state = 56},
  [1245] = {.lex_state = 56},
  [1246] = {.lex_state = 56},
  [1247] = {.lex_state = 56},
  [1248] = {.lex_state = 56},
  [1249] = {.lex_state = 56},
  [1250] = {.lex_state = 56},
  [1251] = {.lex_state = 56},
  [1252] = {.lex_state = 56},
  [1253] = {.lex_state = 56},
  [1254] = {.lex_state = 56},
  [1255] = {.lex_state = 56},
  [1256] = {.lex_state = 56},
  [1257] = {.lex_state = 56},
  [1258] = {.lex_state = 56},
  [1259] = {.lex_state = 56},
  [1260] = {.lex_state = 56},
  [1261] = {.lex_state = 56},
  [1262] = {.lex_state = 56},
  [1263] = {.lex_state = 56},
  [1264] = {.lex_state = 56},
  [1265] = {.lex_state = 56},
  [1266] = {.lex_state = 56},
  [1267] = {.lex_state = 56},
  [1268] = {.lex_state = 56},
  [1269] = {.lex_state = 56},
  [1270] = {.lex_state = 56},
  [1271] = {.lex_state = 56},
  [1272] = {.lex_state = 56},
  [1273] = {.lex_state = 56},
  [1274] = {.lex_state = 56},
  [1275] = {.lex_state = 56},
  [1276] = {.lex_state = 56},
  [1277] = {.lex_state = 56},
  [1278] = {.lex_state = 56},
  [1279] = {.lex_state = 56},
  [1280] = {.lex_state = 56},
  [1281] = {.lex_state = 56},
  [1282] = {.lex_state = 56},
  [1283] = {.lex_state = 56},
  [1284] = {.lex_state = 56},
  [1285] = {.lex_state = 56},
  [1286] = {.lex_state = 56},
  [1287] = {.lex_state = 56},
  [1288] = {.lex_state = 56},
  [1289] = {.lex_state = 56},
  [1290] = {.lex_state = 56},
  [1291] = {.lex_state = 56},
  [1292] = {.lex_state = 56},
  [1293] = {.lex_state = 56},
  [1294] = {.lex_state = 55},
  [1295] = {.lex_state = 56},
  [1296] = {.lex_state = 56},
  [1297] = {.lex_state = 51},
  [1298] = {.lex_state = 56},
  [1299] = {.lex_state = 56},
  [1300] = {.lex_state = 51},
  [1301] = {.lex_state = 23},
  [1302] = {.lex_state = 56},
  [1303] = {.lex_state = 56},
  [1304] = {.lex_state = 56},
  [1305] = {.lex_state = 56},
  [1306] = {.lex_state = 56},
  [1307] = {.lex_state = 55},
  [1308] = {.lex_state = 55},
  [1309] = {.lex_state = 56},
  [1310] = {.lex_state = 56},
  [1311] = {.lex_state = 56},
  [1312] = {.lex_state = 56},
  [1313] = {.lex_state = 56},
  [1314] = {.lex_state = 56},
  [1315] = {.lex_state = 51},
  [1316] = {.lex_state = 56},
  [1317] = {.lex_state = 55},
  [1318] = {.lex_state = 56},
  [1319] = {.lex_state = 51},
  [1320] = {.lex_state = 51},
  [1321] = {.lex_state = 51},
  [1322] = {.lex_state = 51},
  [1323] = {.lex_state = 55},
  [1324] = {.lex_state = 51},
  [1325] = {.lex_state = 51},
  [1326] = {.lex_state = 51},
  [1327] = {.lex_state = 51},
  [1328] = {.lex_state = 51},
  [1329] = {.lex_state = 51},
  [1330] = {.lex_state = 51},
  [1331] = {.lex_state = 51},
  [1332] = {.lex_state = 55},
  [1333] = {.lex_state = 51},
  [1334] = {.lex_state = 51},
  [1335] = {.lex_state = 51},
  [1336] = {.lex_state = 51},
  [1337] = {.lex_state = 51},
  [1338] = {.lex_state = 51},
  [1339] = {.lex_state = 51},
  [1340] = {.lex_state = 55},
  [1341] = {.lex_state = 51},
  [1342] = {.lex_state = 55},
  [1343] = {.lex_state = 55},
  [1344] = {.lex_state = 51},
  [1345] = {.lex_state = 51},
  [1346] = {.lex_state = 55},
  [1347] = {.lex_state = 55},
  [1348] = {.lex_state = 51},
  [1349] = {.lex_state = 55},
  [1350] = {.lex_state = 55},
  [1351] = {.lex_state = 55},
  [1352] = {.lex_state = 55},
  [1353] = {.lex_state = 55},
  [1354] = {.lex_state = 51},
  [1355] = {.lex_state = 55},
  [1356] = {.lex_state = 51},
  [1357] = {.lex_state = 51},
  [1358] = {.lex_state = 55},
  [1359] = {.lex_state = 51},
  [1360] = {.lex_state = 55},
  [1361] = {.lex_state = 55},
  [1362] = {.lex_state = 51},
  [1363] = {.lex_state = 51},
  [1364] = {.lex_state = 51},
  [1365] = {.lex_state = 51},
  [1366] = {.lex_state = 51},
  [1367] = {.lex_state = 51},
  [1368] = {.lex_state = 51},
  [1369] = {.lex_state = 51},
  [1370] = {.lex_state = 51},
  [1371] = {.lex_state = 51},
  [1372] = {.lex_state = 51},
  [1373] = {.lex_state = 51},
  [1374] = {.lex_state = 23},
  [1375] = {.lex_state = 23},
  [1376] = {.lex_state = 23},
  [1377] = {.lex_state = 23},
  [1378] = {.lex_state = 23},
  [1379] = {.lex_state = 23},
  [1380] = {.lex_state = 55},
  [1381] = {.lex_state = 23},
  [1382] = {.lex_state = 23},
  [1383] = {.lex_state = 23},
  [1384] = {.lex_state = 23},
  [1385] = {.lex_state = 23},
  [1386] = {.lex_state = 23},
  [1387] = {.lex_state = 55},
  [1388] = {.lex_state = 23},
  [1389] = {.lex_state = 23},
  [1390] = {.lex_state = 23},
  [1391] = {.lex_state = 23},
  [1392] = {.lex_state = 23},
  [1393] = {.lex_state = 23},
  [1394] = {.lex_state = 23},
  [1395] = {.lex_state = 23},
  [1396] = {.lex_state = 23},
  [1397] = {.lex_state = 23},
  [1398] = {.lex_state = 23},
  [1399] = {.lex_state = 23},
  [1400] = {.lex_state = 23},
  [1401] = {.lex_state = 23},
  [1402] = {.lex_state = 23},
  [1403] = {.lex_state = 23},
  [1404] = {.lex_state = 23},
  [1405] = {.lex_state = 23},
  [1406] = {.lex_state = 23},
  [1407] = {.lex_state = 23},
  [1408] = {.lex_state = 23},
  [1409] = {.lex_state = 56},
  [1410] = {.lex_state = 56},
  [1411] = {.lex_state = 56},
  [1412] = {.lex_state = 56},
  [1413] = {.lex_state = 56},
  [1414] = {.lex_state = 56},
  [1415] = {.lex_state = 56},
  [1416] = {.lex_state = 56},
  [1417] = {.lex_state = 56},
  [1418] = {.lex_state = 56},
  [1419] = {.lex_state = 56},
  [1420] = {.lex_state = 56},
  [1421] = {.lex_state = 56},
  [1422] = {.lex_state = 56},
  [1423] = {.lex_state = 56},
  [1424] = {.lex_state = 56},
  [1425] = {.lex_state = 56},
  [1426] = {.lex_state = 56},
  [1427] = {.lex_state = 56},
  [1428] = {.lex_state = 56},
  [1429] = {.lex_state = 56},
  [1430] = {.lex_state = 56},
  [1431] = {.lex_state = 56},
  [1432] = {.lex_state = 56},
  [1433] = {.lex_state = 56},
  [1434] = {.lex_state = 56},
  [1435] = {.lex_state = 56},
  [1436] = {.lex_state = 56},
  [1437] = {.lex_state = 56},
  [1438] = {.lex_state = 56},
  [1439] = {.lex_state = 56},
  [1440] = {.lex_state = 56},
  [1441] = {.lex_state = 56},
  [1442] = {.lex_state = 56},
  [1443] = {.lex_state = 56},
  [1444] = {.lex_state = 56},
  [1445] = {.lex_state = 56},
  [1446] = {.lex_state = 56},
  [1447] = {.lex_state = 56},
  [1448] = {.lex_state = 56},
  [1449] = {.lex_state = 56},
  [1450] = {.lex_state = 56},
  [1451] = {.lex_state = 56},
  [1452] = {.lex_state = 56},
  [1453] = {.lex_state = 56},
  [1454] = {.lex_state = 56},
  [1455] = {.lex_state = 56},
  [1456] = {.lex_state = 56},
  [1457] = {.lex_state = 56},
  [1458] = {.lex_state = 56},
  [1459] = {.lex_state = 56},
  [1460] = {.lex_state = 56},
  [1461] = {.lex_state = 56},
  [1462] = {.lex_state = 56},
  [1463] = {.lex_state = 56},
  [1464] = {.lex_state = 56},
  [1465] = {.lex_state = 56},
  [1466] = {.lex_state = 56},
  [1467] = {.lex_state = 56},
  [1468] = {.lex_state = 56},
  [1469] = {.lex_state = 56},
  [1470] = {.lex_state = 56},
  [1471] = {.lex_state = 56},
  [1472] = {.lex_state = 56},
  [1473] = {.lex_state = 56},
  [1474] = {.lex_state = 56},
  [1475] = {.lex_state = 56},
  [1476] = {.lex_state = 53},
  [1477] = {.lex_state = 53},
  [1478] = {.lex_state = 56},
  [1479] = {.lex_state = 56},
  [1480] = {.lex_state = 53},
  [1481] = {.lex_state = 53},
  [1482] = {.lex_state = 56},
  [1483] = {.lex_state = 56},
  [1484] = {.lex_state = 56},
  [1485] = {.lex_state = 56},
  [1486] = {.lex_state = 56},
  [1487] = {.lex_state = 56},
  [1488] = {.lex_state = 56},
  [1489] = {.lex_state = 56},
  [1490] = {.lex_state = 56},
  [1491] = {.lex_state = 56},
  [1492] = {.lex_state = 56},
  [1493] = {.lex_state = 56},
  [1494] = {.lex_state = 56},
  [1495] = {.lex_state = 59},
  [1496] = {.lex_state = 59},
  [1497] = {.lex_state = 56},
  [1498] = {.lex_state = 56},
  [1499] = {.lex_state = 56},
  [1500] = {.lex_state = 56},
  [1501] = {.lex_state = 56},
  [1502] = {.lex_state = 56},
  [1503] = {.lex_state = 56},
  [1504] = {.lex_state = 56},
  [1505] = {.lex_state = 56},
  [1506] = {.lex_state = 56},
  [1507] = {.lex_state = 56},
  [1508] = {.lex_state = 56},
  [1509] = {.lex_state = 56},
  [1510] = {.lex_state = 56},
  [1511] = {.lex_state = 56},
  [1512] = {.lex_state = 56},
  [1513] = {.lex_state = 56},
  [1514] = {.lex_state = 56},
  [1515] = {.lex_state = 56},
  [1516] = {.lex_state = 56},
  [1517] = {.lex_state = 56},
  [1518] = {.lex_state = 56},
  [1519] = {.lex_state = 56},
  [1520] = {.lex_state = 56},
  [1521] = {.lex_state = 56},
  [1522] = {.lex_state = 56},
  [1523] = {.lex_state = 56},
  [1524] = {.lex_state = 56},
  [1525] = {.lex_state = 56},
  [1526] = {.lex_state = 56},
  [1527] = {.lex_state = 56},
  [1528] = {.lex_state = 56},
  [1529] = {.lex_state = 53},
  [1530] = {.lex_state = 52},
  [1531] = {.lex_state = 56},
  [1532] = {.lex_state = 53},
  [1533] = {.lex_state = 56},
  [1534] = {.lex_state = 56},
  [1535] = {.lex_state = 53},
  [1536] = {.lex_state = 56},
  [1537] = {.lex_state = 56},
  [1538] = {.lex_state = 53},
  [1539] = {.lex_state = 53},
  [1540] = {.lex_state = 56},
  [1541] = {.lex_state = 56},
  [1542] = {.lex_state = 56},
  [1543] = {.lex_state = 56},
  [1544] = {.lex_state = 56},
  [1545] = {.lex_state = 56},
  [1546] = {.lex_state = 53},
  [1547] = {.lex_state = 53},
  [1548] = {.lex_state = 56},
  [1549] = {.lex_state = 56},
  [1550] = {.lex_state = 53},
  [1551] = {.lex_state = 53},
  [1552] = {.lex_state = 53},
  [1553] = {.lex_state = 56},
  [1554] = {.lex_state = 56},
  [1555] = {.lex_state = 56},
  [1556] = {.lex_state = 56},
  [1557] = {.lex_state = 56},
  [1558] = {.lex_state = 56},
  [1559] = {.lex_state = 56},
  [1560] = {.lex_state = 56},
  [1561] = {.lex_state = 53},
  [1562] = {.lex_state = 56},
  [1563] = {.lex_state = 56},
  [1564] = {.lex_state = 56},
  [1565] = {.lex_state = 56},
  [1566] = {.lex_state = 56},
  [1567] = {.lex_state = 56},
  [1568] = {.lex_state = 56},
  [1569] = {.lex_state = 56},
  [1570] = {.lex_state = 56},
  [1571] = {.lex_state = 56},
  [1572] = {.lex_state = 53},
  [1573] = {.lex_state = 56},
  [1574] = {.lex_state = 56},
  [1575] = {.lex_state = 53},
  [1576] = {.lex_state = 56},
  [1577] = {.lex_state = 56},
  [1578] = {.lex_state = 56},
  [1579] = {.lex_state = 56},
  [1580] = {.lex_state = 56},
  [1581] = {.lex_state = 56},
  [1582] = {.lex_state = 56},
  [1583] = {.lex_state = 56},
  [1584] = {.lex_state = 56},
  [1585] = {.lex_state = 56},
  [1586] = {.lex_state = 56},
  [1587] = {.lex_state = 56},
  [1588] = {.lex_state = 56},
  [1589] = {.lex_state = 56},
  [1590] = {.lex_state = 53},
  [1591] = {.lex_state = 59},
  [1592] = {.lex_state = 56},
  [1593] = {.lex_state = 56},
  [1594] = {.lex_state = 56},
  [1595] = {.lex_state = 56},
  [1596] = {.lex_state = 56},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 56},
  [1599] = {.lex_state = 56},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 56},
  [1602] = {.lex_state = 56},
  [1603] = {.lex_state = 56},
  [1604] = {.lex_state = 56},
  [1605] = {.lex_state = 124},
  [1606] = {.lex_state = 57},
  [1607] = {.lex_state = 56},
  [1608] = {.lex_state = 56},
  [1609] = {.lex_state = 52},
  [1610] = {.lex_state = 56},
  [1611] = {.lex_state = 56},
  [1612] = {.lex_state = 57},
  [1613] = {.lex_state = 56},
  [1614] = {.lex_state = 56},
  [1615] = {.lex_state = 124},
  [1616] = {.lex_state = 56},
  [1617] = {.lex_state = 52},
  [1618] = {.lex_state = 57},
  [1619] = {.lex_state = 52},
  [1620] = {.lex_state = 57},
  [1621] = {.lex_state = 56},
  [1622] = {.lex_state = 124},
  [1623] = {.lex_state = 124},
  [1624] = {.lex_state = 124},
  [1625] = {.lex_state = 56},
  [1626] = {.lex_state = 56},
  [1627] = {.lex_state = 56},
  [1628] = {.lex_state = 124},
  [1629] = {.lex_state = 124},
  [1630] = {.lex_state = 124},
  [1631] = {.lex_state = 124},
  [1632] = {.lex_state = 124},
  [1633] = {.lex_state = 124},
  [1634] = {.lex_state = 124},
  [1635] = {.lex_state = 124},
  [1636] = {.lex_state = 56},
  [1637] = {.lex_state = 124},
  [1638] = {.lex_state = 53},
  [1639] = {.lex_state = 56},
  [1640] = {.lex_state = 124},
  [1641] = {.lex_state = 124},
  [1642] = {.lex_state = 124},
  [1643] = {.lex_state = 56},
  [1644] = {.lex_state = 124},
  [1645] = {.lex_state = 124},
  [1646] = {.lex_state = 124},
  [1647] = {.lex_state = 124},
  [1648] = {.lex_state = 124},
  [1649] = {.lex_state = 124},
  [1650] = {.lex_state = 124},
  [1651] = {.lex_state = 56},
  [1652] = {.lex_state = 124},
  [1653] = {.lex_state = 124},
  [1654] = {.lex_state = 124},
  [1655] = {.lex_state = 56},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 124},
  [1658] = {.lex_state = 124},
  [1659] = {.lex_state = 124},
  [1660] = {.lex_state = 124},
  [1661] = {.lex_state = 124},
  [1662] = {.lex_state = 124},
  [1663] = {.lex_state = 124},
  [1664] = {.lex_state = 124},
  [1665] = {.lex_state = 124},
  [1666] = {.lex_state = 124},
  [1667] = {.lex_state = 56},
  [1668] = {.lex_state = 124},
  [1669] = {.lex_state = 56},
  [1670] = {.lex_state = 124},
  [1671] = {.lex_state = 124},
  [1672] = {.lex_state = 124},
  [1673] = {.lex_state = 56},
  [1674] = {.lex_state = 56},
  [1675] = {.lex_state = 124},
  [1676] = {.lex_state = 124},
  [1677] = {.lex_state = 124},
  [1678] = {.lex_state = 124},
  [1679] = {.lex_state = 124},
  [1680] = {.lex_state = 124},
  [1681] = {.lex_state = 124},
  [1682] = {.lex_state = 124},
  [1683] = {.lex_state = 124},
  [1684] = {.lex_state = 124},
  [1685] = {.lex_state = 124},
  [1686] = {.lex_state = 124},
  [1687] = {.lex_state = 124},
  [1688] = {.lex_state = 124},
  [1689] = {.lex_state = 124},
  [1690] = {.lex_state = 124},
  [1691] = {.lex_state = 124},
  [1692] = {.lex_state = 124},
  [1693] = {.lex_state = 53},
  [1694] = {.lex_state = 124},
  [1695] = {.lex_state = 124},
  [1696] = {.lex_state = 124},
  [1697] = {.lex_state = 124},
  [1698] = {.lex_state = 124},
  [1699] = {.lex_state = 124},
  [1700] = {.lex_state = 124},
  [1701] = {.lex_state = 124},
  [1702] = {.lex_state = 53},
  [1703] = {.lex_state = 124},
  [1704] = {.lex_state = 56},
  [1705] = {.lex_state = 56},
  [1706] = {.lex_state = 124},
  [1707] = {.lex_state = 124},
  [1708] = {.lex_state = 124},
  [1709] = {.lex_state = 124},
  [1710] = {.lex_state = 56},
  [1711] = {.lex_state = 124},
  [1712] = {.lex_state = 124},
  [1713] = {.lex_state = 56},
  [1714] = {.lex_state = 56},
  [1715] = {.lex_state = 124},
  [1716] = {.lex_state = 124},
  [1717] = {.lex_state = 0},
  [1718] = {.lex_state = 124},
  [1719] = {.lex_state = 124},
  [1720] = {.lex_state = 124},
  [1721] = {.lex_state = 124},
  [1722] = {.lex_state = 124},
  [1723] = {.lex_state = 124},
  [1724] = {.lex_state = 56},
  [1725] = {.lex_state = 124},
  [1726] = {.lex_state = 56},
  [1727] = {.lex_state = 56},
  [1728] = {.lex_state = 56},
  [1729] = {.lex_state = 124},
  [1730] = {.lex_state = 56},
  [1731] = {.lex_state = 56},
  [1732] = {.lex_state = 56},
  [1733] = {.lex_state = 56},
  [1734] = {.lex_state = 56},
  [1735] = {.lex_state = 56},
  [1736] = {.lex_state = 56},
  [1737] = {.lex_state = 56},
  [1738] = {.lex_state = 56},
  [1739] = {.lex_state = 56},
  [1740] = {.lex_state = 56},
  [1741] = {.lex_state = 56},
  [1742] = {.lex_state = 124},
  [1743] = {.lex_state = 56},
  [1744] = {.lex_state = 56},
  [1745] = {.lex_state = 56},
  [1746] = {.lex_state = 56},
  [1747] = {.lex_state = 56},
  [1748] = {.lex_state = 56},
  [1749] = {.lex_state = 56},
  [1750] = {.lex_state = 56},
  [1751] = {.lex_state = 124},
  [1752] = {.lex_state = 56},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 56},
  [1755] = {.lex_state = 56},
  [1756] = {.lex_state = 56},
  [1757] = {.lex_state = 56},
  [1758] = {.lex_state = 124},
  [1759] = {.lex_state = 56},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 124},
  [1762] = {.lex_state = 56},
  [1763] = {.lex_state = 56},
  [1764] = {.lex_state = 56},
  [1765] = {.lex_state = 56},
  [1766] = {.lex_state = 53},
  [1767] = {.lex_state = 56},
  [1768] = {.lex_state = 56},
  [1769] = {.lex_state = 59},
  [1770] = {.lex_state = 124},
  [1771] = {.lex_state = 56},
  [1772] = {.lex_state = 124},
  [1773] = {.lex_state = 56},
  [1774] = {.lex_state = 56},
  [1775] = {.lex_state = 56},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 59},
  [1779] = {.lex_state = 124},
  [1780] = {.lex_state = 59},
  [1781] = {.lex_state = 124},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 124},
  [1784] = {.lex_state = 59},
  [1785] = {.lex_state = 53},
  [1786] = {.lex_state = 59},
  [1787] = {.lex_state = 59},
  [1788] = {.lex_state = 59},
  [1789] = {.lex_state = 56},
  [1790] = {.lex_state = 59},
  [1791] = {.lex_state = 59},
  [1792] = {.lex_state = 59},
  [1793] = {.lex_state = 124},
  [1794] = {.lex_state = 59},
  [1795] = {.lex_state = 56},
  [1796] = {.lex_state = 56},
  [1797] = {.lex_state = 56},
  [1798] = {.lex_state = 56},
  [1799] = {.lex_state = 56},
  [1800] = {.lex_state = 56},
  [1801] = {.lex_state = 56},
  [1802] = {.lex_state = 56},
  [1803] = {.lex_state = 56},
  [1804] = {.lex_state = 56},
  [1805] = {.lex_state = 56},
  [1806] = {.lex_state = 56},
  [1807] = {.lex_state = 56},
  [1808] = {.lex_state = 56},
  [1809] = {.lex_state = 56},
  [1810] = {.lex_state = 56},
  [1811] = {.lex_state = 56},
  [1812] = {.lex_state = 56},
  [1813] = {.lex_state = 56},
  [1814] = {.lex_state = 56},
  [1815] = {.lex_state = 56},
  [1816] = {.lex_state = 53},
  [1817] = {.lex_state = 47},
  [1818] = {.lex_state = 56},
  [1819] = {.lex_state = 56},
  [1820] = {.lex_state = 56},
  [1821] = {.lex_state = 56},
  [1822] = {.lex_state = 56},
  [1823] = {.lex_state = 56},
  [1824] = {.lex_state = 56},
  [1825] = {.lex_state = 56},
  [1826] = {.lex_state = 56},
  [1827] = {.lex_state = 56},
  [1828] = {.lex_state = 56},
  [1829] = {.lex_state = 56},
  [1830] = {.lex_state = 56},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 124},
  [1834] = {.lex_state = 124},
  [1835] = {.lex_state = 28},
  [1836] = {.lex_state = 124},
  [1837] = {.lex_state = 56},
  [1838] = {.lex_state = 124},
  [1839] = {.lex_state = 28},
  [1840] = {.lex_state = 28},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 35},
  [1843] = {.lex_state = 56},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 56},
  [1846] = {.lex_state = 124},
  [1847] = {.lex_state = 124},
  [1848] = {.lex_state = 35},
  [1849] = {.lex_state = 28},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 56},
  [1852] = {.lex_state = 56},
  [1853] = {.lex_state = 35},
  [1854] = {.lex_state = 124},
  [1855] = {.lex_state = 28},
  [1856] = {.lex_state = 28},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 56},
  [1859] = {.lex_state = 35},
  [1860] = {.lex_state = 37},
  [1861] = {.lex_state = 35},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 53},
  [1864] = {.lex_state = 56},
  [1865] = {.lex_state = 53},
  [1866] = {.lex_state = 47},
  [1867] = {.lex_state = 124},
  [1868] = {.lex_state = 124},
  [1869] = {.lex_state = 53},
  [1870] = {.lex_state = 35},
  [1871] = {.lex_state = 28},
  [1872] = {.lex_state = 53},
  [1873] = {.lex_state = 56},
  [1874] = {.lex_state = 37},
  [1875] = {.lex_state = 35},
  [1876] = {.lex_state = 124},
  [1877] = {.lex_state = 56},
  [1878] = {.lex_state = 124},
  [1879] = {.lex_state = 37},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 56},
  [1883] = {.lex_state = 56},
  [1884] = {.lex_state = 56},
  [1885] = {.lex_state = 37},
  [1886] = {.lex_state = 124},
  [1887] = {.lex_state = 56},
  [1888] = {.lex_state = 56},
  [1889] = {.lex_state = 56},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 0},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 56},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 47},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 30},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 0},
  [1919] = {.lex_state = 56},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 0},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 0},
  [1925] = {.lex_state = 47},
  [1926] = {.lex_state = 0},
  [1927] = {.lex_state = 0},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 31},
  [1931] = {.lex_state = 0},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 0},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 47},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 37},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 30},
  [1947] = {.lex_state = 31},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 56},
  [1951] = {.lex_state = 47},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 0},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 31},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 37},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 0},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 0},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 56},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 0},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 0},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 0},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 30},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 0},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 30},
  [1987] = {.lex_state = 0},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 56},
  [1990] = {.lex_state = 0},
  [1991] = {.lex_state = 0},
  [1992] = {.lex_state = 0},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 0},
  [1995] = {.lex_state = 0},
  [1996] = {.lex_state = 0},
  [1997] = {.lex_state = 0},
  [1998] = {.lex_state = 0},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 31},
  [2001] = {.lex_state = 0},
  [2002] = {.lex_state = 56},
  [2003] = {.lex_state = 0},
  [2004] = {.lex_state = 0},
  [2005] = {.lex_state = 0},
  [2006] = {.lex_state = 56},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 47},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 0},
  [2011] = {.lex_state = 0},
  [2012] = {.lex_state = 47},
  [2013] = {.lex_state = 0},
  [2014] = {.lex_state = 0},
  [2015] = {.lex_state = 56},
  [2016] = {.lex_state = 0},
  [2017] = {.lex_state = 0},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 0},
  [2020] = {.lex_state = 0},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 56},
  [2023] = {.lex_state = 0},
  [2024] = {.lex_state = 0},
  [2025] = {.lex_state = 0},
  [2026] = {.lex_state = 0},
  [2027] = {.lex_state = 0},
  [2028] = {.lex_state = 0},
  [2029] = {.lex_state = 0},
  [2030] = {.lex_state = 0},
  [2031] = {.lex_state = 0},
  [2032] = {.lex_state = 0},
  [2033] = {.lex_state = 37},
  [2034] = {.lex_state = 47},
  [2035] = {.lex_state = 0},
  [2036] = {.lex_state = 0},
  [2037] = {.lex_state = 0},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 0},
  [2040] = {.lex_state = 0},
  [2041] = {.lex_state = 0},
  [2042] = {.lex_state = 0},
  [2043] = {.lex_state = 0},
  [2044] = {.lex_state = 56},
  [2045] = {.lex_state = 0},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 0},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 0},
  [2050] = {.lex_state = 0},
  [2051] = {.lex_state = 0},
  [2052] = {.lex_state = 0},
  [2053] = {.lex_state = 0},
  [2054] = {.lex_state = 0},
  [2055] = {.lex_state = 0},
  [2056] = {.lex_state = 0},
  [2057] = {.lex_state = 0},
  [2058] = {.lex_state = 0},
  [2059] = {.lex_state = 0},
  [2060] = {.lex_state = 0},
  [2061] = {.lex_state = 0},
  [2062] = {.lex_state = 56},
  [2063] = {.lex_state = 29},
  [2064] = {.lex_state = 29},
  [2065] = {.lex_state = 124},
  [2066] = {.lex_state = 124},
  [2067] = {.lex_state = 0},
  [2068] = {.lex_state = 0},
  [2069] = {.lex_state = 0},
  [2070] = {.lex_state = 0},
  [2071] = {.lex_state = 0},
  [2072] = {.lex_state = 29},
  [2073] = {.lex_state = 29},
  [2074] = {.lex_state = 0},
  [2075] = {.lex_state = 56},
  [2076] = {.lex_state = 124},
  [2077] = {.lex_state = 124},
  [2078] = {.lex_state = 124},
  [2079] = {.lex_state = 0},
  [2080] = {.lex_state = 29},
  [2081] = {.lex_state = 0},
  [2082] = {.lex_state = 0},
  [2083] = {.lex_state = 29},
  [2084] = {.lex_state = 0},
  [2085] = {.lex_state = 56},
  [2086] = {.lex_state = 124},
  [2087] = {.lex_state = 0},
  [2088] = {.lex_state = 0},
  [2089] = {.lex_state = 0},
  [2090] = {.lex_state = 124},
  [2091] = {.lex_state = 0},
  [2092] = {.lex_state = 29},
  [2093] = {.lex_state = 124},
  [2094] = {.lex_state = 124},
  [2095] = {.lex_state = 124},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 47},
  [2098] = {.lex_state = 0},
  [2099] = {.lex_state = 56},
  [2100] = {.lex_state = 56},
  [2101] = {.lex_state = 124},
  [2102] = {.lex_state = 29},
  [2103] = {.lex_state = 29},
  [2104] = {.lex_state = 29},
  [2105] = {.lex_state = 124},
  [2106] = {.lex_state = 124},
  [2107] = {.lex_state = 124},
  [2108] = {.lex_state = 124},
  [2109] = {.lex_state = 0},
  [2110] = {.lex_state = 0},
  [2111] = {.lex_state = 56},
  [2112] = {.lex_state = 124},
  [2113] = {.lex_state = 0},
  [2114] = {.lex_state = 124},
  [2115] = {.lex_state = 29},
  [2116] = {.lex_state = 124},
  [2117] = {.lex_state = 0},
  [2118] = {.lex_state = 47},
  [2119] = {.lex_state = 124},
  [2120] = {.lex_state = 29},
  [2121] = {.lex_state = 124},
  [2122] = {.lex_state = 0},
  [2123] = {.lex_state = 56},
  [2124] = {.lex_state = 124},
  [2125] = {.lex_state = 124},
  [2126] = {.lex_state = 0},
  [2127] = {.lex_state = 124},
  [2128] = {.lex_state = 124},
  [2129] = {.lex_state = 0},
  [2130] = {.lex_state = 0},
  [2131] = {.lex_state = 0},
  [2132] = {.lex_state = 0},
  [2133] = {.lex_state = 0},
  [2134] = {.lex_state = 124},
  [2135] = {.lex_state = 0},
  [2136] = {.lex_state = 29},
  [2137] = {.lex_state = 0},
  [2138] = {.lex_state = 0},
  [2139] = {.lex_state = 124},
  [2140] = {.lex_state = 124},
  [2141] = {.lex_state = 0},
  [2142] = {.lex_state = 29},
  [2143] = {.lex_state = 47},
  [2144] = {.lex_state = 0},
  [2145] = {.lex_state = 0},
  [2146] = {.lex_state = 0},
  [2147] = {.lex_state = 0},
  [2148] = {.lex_state = 56},
  [2149] = {.lex_state = 0},
  [2150] = {.lex_state = 31},
  [2151] = {.lex_state = 46},
  [2152] = {.lex_state = 0},
  [2153] = {.lex_state = 0},
  [2154] = {.lex_state = 56},
  [2155] = {.lex_state = 0},
  [2156] = {.lex_state = 0},
  [2157] = {.lex_state = 46},
  [2158] = {.lex_state = 56},
  [2159] = {.lex_state = 0},
  [2160] = {.lex_state = 46},
  [2161] = {.lex_state = 31},
  [2162] = {.lex_state = 56},
  [2163] = {.lex_state = 0},
  [2164] = {.lex_state = 56},
  [2165] = {.lex_state = 0},
  [2166] = {.lex_state = 46},
  [2167] = {.lex_state = 46},
  [2168] = {.lex_state = 0},
  [2169] = {.lex_state = 46},
  [2170] = {.lex_state = 56},
  [2171] = {.lex_state = 31},
  [2172] = {.lex_state = 0},
  [2173] = {.lex_state = 0},
  [2174] = {.lex_state = 0},
  [2175] = {.lex_state = 0},
  [2176] = {.lex_state = 56},
  [2177] = {.lex_state = 0},
  [2178] = {.lex_state = 46},
  [2179] = {.lex_state = 46},
  [2180] = {.lex_state = 0},
  [2181] = {.lex_state = 46},
  [2182] = {.lex_state = 0},
  [2183] = {.lex_state = 0},
  [2184] = {.lex_state = 56},
  [2185] = {.lex_state = 46},
  [2186] = {.lex_state = 0},
  [2187] = {.lex_state = 46},
  [2188] = {.lex_state = 0},
  [2189] = {.lex_state = 0},
  [2190] = {.lex_state = 0},
  [2191] = {.lex_state = 0},
  [2192] = {.lex_state = 0},
  [2193] = {.lex_state = 46},
  [2194] = {.lex_state = 124},
  [2195] = {.lex_state = 0},
  [2196] = {.lex_state = 0},
  [2197] = {.lex_state = 0},
  [2198] = {.lex_state = 0},
  [2199] = {.lex_state = 0},
  [2200] = {.lex_state = 31},
  [2201] = {.lex_state = 46},
  [2202] = {.lex_state = 46},
  [2203] = {.lex_state = 56},
  [2204] = {.lex_state = 56},
  [2205] = {.lex_state = 0},
  [2206] = {.lex_state = 56},
  [2207] = {.lex_state = 46},
  [2208] = {.lex_state = 31},
  [2209] = {.lex_state = 46},
  [2210] = {.lex_state = 0},
  [2211] = {.lex_state = 124},
  [2212] = {.lex_state = 0},
  [2213] = {.lex_state = 56},
  [2214] = {.lex_state = 31},
  [2215] = {.lex_state = 56},
  [2216] = {.lex_state = 0},
  [2217] = {.lex_state = 31},
  [2218] = {.lex_state = 46},
  [2219] = {.lex_state = 0},
  [2220] = {.lex_state = 31},
  [2221] = {.lex_state = 0},
  [2222] = {.lex_state = 0},
  [2223] = {.lex_state = 0},
  [2224] = {.lex_state = 31},
  [2225] = {.lex_state = 0},
  [2226] = {.lex_state = 56},
  [2227] = {.lex_state = 56},
  [2228] = {.lex_state = 0},
  [2229] = {.lex_state = 31},
  [2230] = {.lex_state = 56},
  [2231] = {.lex_state = 124},
  [2232] = {.lex_state = 31},
  [2233] = {.lex_state = 46},
  [2234] = {.lex_state = 0},
  [2235] = {.lex_state = 31},
  [2236] = {.lex_state = 56},
  [2237] = {.lex_state = 0},
  [2238] = {.lex_state = 0},
  [2239] = {.lex_state = 46},
  [2240] = {.lex_state = 0},
  [2241] = {.lex_state = 0},
  [2242] = {.lex_state = 46},
  [2243] = {.lex_state = 31},
  [2244] = {.lex_state = 31},
  [2245] = {.lex_state = 56},
  [2246] = {.lex_state = 31},
  [2247] = {.lex_state = 0},
  [2248] = {.lex_state = 0},
  [2249] = {.lex_state = 31},
  [2250] = {.lex_state = 46},
  [2251] = {.lex_state = 31},
  [2252] = {.lex_state = 49},
  [2253] = {.lex_state = 0},
  [2254] = {.lex_state = 56},
  [2255] = {.lex_state = 31},
  [2256] = {.lex_state = 0},
  [2257] = {.lex_state = 56},
  [2258] = {.lex_state = 0},
  [2259] = {.lex_state = 0},
  [2260] = {.lex_state = 0},
  [2261] = {.lex_state = 0},
  [2262] = {.lex_state = 56},
  [2263] = {.lex_state = 46},
  [2264] = {.lex_state = 46},
  [2265] = {.lex_state = 46},
  [2266] = {.lex_state = 0},
  [2267] = {.lex_state = 31},
  [2268] = {.lex_state = 0},
  [2269] = {.lex_state = 56},
  [2270] = {.lex_state = 0},
  [2271] = {.lex_state = 31},
  [2272] = {.lex_state = 0},
  [2273] = {.lex_state = 0},
  [2274] = {.lex_state = 0},
  [2275] = {.lex_state = 124},
  [2276] = {.lex_state = 0},
  [2277] = {.lex_state = 0},
  [2278] = {.lex_state = 56},
  [2279] = {.lex_state = 56},
  [2280] = {.lex_state = 0},
  [2281] = {.lex_state = 0},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 124},
  [2284] = {.lex_state = 0},
  [2285] = {.lex_state = 56},
  [2286] = {.lex_state = 0},
  [2287] = {.lex_state = 0},
  [2288] = {.lex_state = 31},
  [2289] = {.lex_state = 56},
  [2290] = {.lex_state = 56},
  [2291] = {.lex_state = 56},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 46},
  [2294] = {.lex_state = 0},
  [2295] = {.lex_state = 0},
  [2296] = {.lex_state = 0},
  [2297] = {.lex_state = 46},
  [2298] = {.lex_state = 0},
  [2299] = {.lex_state = 31},
  [2300] = {.lex_state = 56},
  [2301] = {.lex_state = 0},
  [2302] = {.lex_state = 46},
  [2303] = {.lex_state = 31},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 46},
  [2307] = {.lex_state = 46},
  [2308] = {.lex_state = 56},
  [2309] = {.lex_state = 124},
  [2310] = {.lex_state = 46},
  [2311] = {.lex_state = 46},
  [2312] = {.lex_state = 31},
  [2313] = {.lex_state = 56},
  [2314] = {.lex_state = 0},
  [2315] = {.lex_state = 31},
  [2316] = {.lex_state = 0},
  [2317] = {.lex_state = 56},
  [2318] = {.lex_state = 56},
  [2319] = {.lex_state = 46},
  [2320] = {.lex_state = 56},
  [2321] = {.lex_state = 46},
  [2322] = {.lex_state = 124},
  [2323] = {.lex_state = 0},
  [2324] = {.lex_state = 46},
  [2325] = {.lex_state = 56},
  [2326] = {.lex_state = 56},
  [2327] = {.lex_state = 124},
  [2328] = {.lex_state = 0},
  [2329] = {.lex_state = 124},
  [2330] = {.lex_state = 0},
  [2331] = {.lex_state = 0},
  [2332] = {.lex_state = 46},
  [2333] = {.lex_state = 124},
  [2334] = {.lex_state = 124},
  [2335] = {.lex_state = 0},
  [2336] = {.lex_state = 0},
  [2337] = {.lex_state = 0},
  [2338] = {.lex_state = 46},
  [2339] = {.lex_state = 49},
  [2340] = {.lex_state = 31},
  [2341] = {.lex_state = 0},
  [2342] = {.lex_state = 0},
  [2343] = {.lex_state = 56},
  [2344] = {.lex_state = 31},
  [2345] = {.lex_state = 0},
  [2346] = {.lex_state = 0},
  [2347] = {.lex_state = 56},
  [2348] = {.lex_state = 46},
  [2349] = {.lex_state = 0},
  [2350] = {.lex_state = 31},
  [2351] = {.lex_state = 0},
  [2352] = {.lex_state = 46},
  [2353] = {.lex_state = 0},
  [2354] = {.lex_state = 0},
  [2355] = {.lex_state = 56},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 0},
  [2358] = {.lex_state = 31},
  [2359] = {.lex_state = 46},
  [2360] = {.lex_state = 0},
  [2361] = {.lex_state = 31},
  [2362] = {.lex_state = 0},
  [2363] = {.lex_state = 31},
  [2364] = {.lex_state = 0},
  [2365] = {.lex_state = 124},
  [2366] = {.lex_state = 0},
  [2367] = {.lex_state = 0},
  [2368] = {.lex_state = 49},
  [2369] = {.lex_state = 0},
  [2370] = {.lex_state = 0},
  [2371] = {.lex_state = 56},
  [2372] = {.lex_state = 0},
  [2373] = {.lex_state = 46},
  [2374] = {.lex_state = 46},
  [2375] = {.lex_state = 56},
  [2376] = {.lex_state = 0},
  [2377] = {.lex_state = 124},
  [2378] = {.lex_state = 31},
  [2379] = {.lex_state = 0},
  [2380] = {.lex_state = 0},
  [2381] = {.lex_state = 46},
  [2382] = {.lex_state = 0},
  [2383] = {.lex_state = 46},
  [2384] = {.lex_state = 31},
  [2385] = {.lex_state = 49},
  [2386] = {.lex_state = 0},
  [2387] = {.lex_state = 0},
  [2388] = {.lex_state = 56},
  [2389] = {.lex_state = 56},
  [2390] = {.lex_state = 0},
  [2391] = {.lex_state = 31},
  [2392] = {.lex_state = 31},
  [2393] = {.lex_state = 46},
  [2394] = {.lex_state = 0},
  [2395] = {.lex_state = 46},
  [2396] = {.lex_state = 0},
  [2397] = {.lex_state = 46},
  [2398] = {.lex_state = 0},
  [2399] = {.lex_state = 124},
  [2400] = {.lex_state = 124},
  [2401] = {.lex_state = 46},
  [2402] = {.lex_state = 46},
  [2403] = {.lex_state = 0},
  [2404] = {.lex_state = 0},
  [2405] = {.lex_state = 0},
  [2406] = {.lex_state = 124},
  [2407] = {.lex_state = 46},
  [2408] = {.lex_state = 0},
  [2409] = {.lex_state = 0},
  [2410] = {.lex_state = 0},
  [2411] = {.lex_state = 31},
  [2412] = {.lex_state = 0},
  [2413] = {.lex_state = 46},
  [2414] = {.lex_state = 0},
  [2415] = {.lex_state = 0},
  [2416] = {.lex_state = 46},
  [2417] = {.lex_state = 46},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_subroutine] = ACTIONS(1),
    [anon_sym_invariant] = ACTIONS(1),
    [anon_sym_precise] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_uniform] = ACTIONS(1),
    [anon_sym_shared] = ACTIONS(1),
    [anon_sym_attribute] = ACTIONS(1),
    [anon_sym_varying] = ACTIONS(1),
    [anon_sym_buffer] = ACTIONS(1),
    [anon_sym_coherent] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_writeonly] = ACTIONS(1),
    [anon_sym_precision] = ACTIONS(1),
    [anon_sym_highp] = ACTIONS(1),
    [anon_sym_mediump] = ACTIONS(1),
    [anon_sym_lowp] = ACTIONS(1),
    [anon_sym_centroid] = ACTIONS(1),
    [anon_sym_sample] = ACTIONS(1),
    [anon_sym_patch] = ACTIONS(1),
    [anon_sym_smooth] = ACTIONS(1),
    [anon_sym_flat] = ACTIONS(1),
    [anon_sym_noperspective] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym___attribute] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_enable] = ACTIONS(1),
    [anon_sym_warn] = ACTIONS(1),
    [anon_sym_disable] = ACTIONS(1),
    [anon_sym_rayPayloadEXT] = ACTIONS(1),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1),
    [anon_sym_hitAttributeEXT] = ACTIONS(1),
    [anon_sym_callableDataEXT] = ACTIONS(1),
    [anon_sym_callableDataInEXT] = ACTIONS(1),
    [anon_sym_shaderRecordEXT] = ACTIONS(1),
    [anon_sym_rayPayloadNV] = ACTIONS(1),
    [anon_sym_rayPayloadInNV] = ACTIONS(1),
    [anon_sym_hitAttributeNV] = ACTIONS(1),
    [anon_sym_callableDataNV] = ACTIONS(1),
    [anon_sym_callableDataInNV] = ACTIONS(1),
    [anon_sym_shaderRecordNV] = ACTIONS(1),
    [anon_sym_layout] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(2354),
    [sym__top_level_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1299),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(993),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(435),
    [sym__top_level_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym__top_level_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_expression] = STATE(1263),
    [sym__string] = STATE(1260),
    [sym_conditional_expression] = STATE(1260),
    [sym_assignment_expression] = STATE(1260),
    [sym_pointer_expression] = STATE(1097),
    [sym_unary_expression] = STATE(1260),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(1260),
    [sym_cast_expression] = STATE(1260),
    [sym_sizeof_expression] = STATE(1260),
    [sym_alignof_expression] = STATE(1260),
    [sym_offsetof_expression] = STATE(1260),
    [sym_generic_expression] = STATE(1260),
    [sym_subscript_expression] = STATE(1097),
    [sym_call_expression] = STATE(1097),
    [sym_gnu_asm_expression] = STATE(1260),
    [sym_extension_expression] = STATE(1260),
    [sym_field_expression] = STATE(1097),
    [sym_compound_literal_expression] = STATE(1260),
    [sym_parenthesized_expression] = STATE(1097),
    [sym_char_literal] = STATE(1260),
    [sym_concatenated_string] = STATE(1260),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(1260),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(43),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(27),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(31),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(101),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(107),
    [sym_false] = ACTIONS(107),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [2] = {
    [sym__block_item] = STATE(3),
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(2169),
    [sym_preproc_elif] = STATE(2169),
    [sym_preproc_elifdef] = STATE(2169),
    [sym_function_definition] = STATE(3),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(3),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(3),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [3] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2242),
    [sym_preproc_elif] = STATE(2242),
    [sym_preproc_elifdef] = STATE(2242),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [4] = {
    [sym__block_item] = STATE(5),
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(2151),
    [sym_preproc_elif] = STATE(2151),
    [sym_preproc_elifdef] = STATE(2151),
    [sym_function_definition] = STATE(5),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(5),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(5),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [5] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2373),
    [sym_preproc_elif] = STATE(2373),
    [sym_preproc_elifdef] = STATE(2373),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [6] = {
    [sym__block_item] = STATE(8),
    [sym_preproc_include] = STATE(8),
    [sym_preproc_def] = STATE(8),
    [sym_preproc_function_def] = STATE(8),
    [sym_preproc_call] = STATE(8),
    [sym_preproc_if] = STATE(8),
    [sym_preproc_ifdef] = STATE(8),
    [sym_preproc_else] = STATE(2407),
    [sym_preproc_elif] = STATE(2407),
    [sym_preproc_elifdef] = STATE(2407),
    [sym_function_definition] = STATE(8),
    [sym_declaration] = STATE(8),
    [sym_type_definition] = STATE(8),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(8),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(8),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(8),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(8),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(8),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [7] = {
    [sym__block_item] = STATE(9),
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(2178),
    [sym_preproc_elif] = STATE(2178),
    [sym_preproc_elifdef] = STATE(2178),
    [sym_function_definition] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(9),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(9),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [8] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2181),
    [sym_preproc_elif] = STATE(2181),
    [sym_preproc_elifdef] = STATE(2181),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [9] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2393),
    [sym_preproc_elif] = STATE(2393),
    [sym_preproc_elifdef] = STATE(2393),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [10] = {
    [sym__block_item] = STATE(12),
    [sym_preproc_include] = STATE(12),
    [sym_preproc_def] = STATE(12),
    [sym_preproc_function_def] = STATE(12),
    [sym_preproc_call] = STATE(12),
    [sym_preproc_if] = STATE(12),
    [sym_preproc_ifdef] = STATE(12),
    [sym_preproc_else] = STATE(2397),
    [sym_preproc_elif] = STATE(2397),
    [sym_preproc_elifdef] = STATE(2397),
    [sym_function_definition] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(12),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(12),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(12),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(12),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(12),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [11] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(2302),
    [sym_preproc_elif] = STATE(2302),
    [sym_preproc_elifdef] = STATE(2302),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(13),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(13),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [12] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2310),
    [sym_preproc_elif] = STATE(2310),
    [sym_preproc_elifdef] = STATE(2310),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [13] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2166),
    [sym_preproc_elif] = STATE(2166),
    [sym_preproc_elifdef] = STATE(2166),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [14] = {
    [sym__block_item] = STATE(16),
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(2264),
    [sym_preproc_elif] = STATE(2264),
    [sym_preproc_elifdef] = STATE(2264),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(16),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(16),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(16),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [15] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(2359),
    [sym_preproc_elif] = STATE(2359),
    [sym_preproc_elifdef] = STATE(2359),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(17),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [16] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2381),
    [sym_preproc_elif] = STATE(2381),
    [sym_preproc_elifdef] = STATE(2381),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [17] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2187),
    [sym_preproc_elif] = STATE(2187),
    [sym_preproc_elifdef] = STATE(2187),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [18] = {
    [sym__block_item] = STATE(20),
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(2307),
    [sym_preproc_elif] = STATE(2307),
    [sym_preproc_elifdef] = STATE(2307),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(20),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(20),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(20),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [19] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(2348),
    [sym_preproc_elif] = STATE(2348),
    [sym_preproc_elifdef] = STATE(2348),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(21),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [20] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2352),
    [sym_preproc_elif] = STATE(2352),
    [sym_preproc_elifdef] = STATE(2352),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [21] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2395),
    [sym_preproc_elif] = STATE(2395),
    [sym_preproc_elifdef] = STATE(2395),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(115),
    [aux_sym_preproc_include_token1] = ACTIONS(117),
    [aux_sym_preproc_def_token1] = ACTIONS(119),
    [aux_sym_preproc_if_token1] = ACTIONS(121),
    [aux_sym_preproc_if_token2] = ACTIONS(217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(125),
    [aux_sym_preproc_else_token1] = ACTIONS(127),
    [aux_sym_preproc_elif_token1] = ACTIONS(129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(131),
    [sym_preproc_directive] = ACTIONS(133),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [22] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(995),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(170),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(22),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(219),
    [aux_sym_preproc_include_token1] = ACTIONS(222),
    [aux_sym_preproc_def_token1] = ACTIONS(225),
    [aux_sym_preproc_if_token1] = ACTIONS(228),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(233),
    [aux_sym_preproc_else_token1] = ACTIONS(231),
    [aux_sym_preproc_elif_token1] = ACTIONS(231),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(231),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(231),
    [sym_preproc_directive] = ACTIONS(236),
    [anon_sym_LPAREN2] = ACTIONS(239),
    [anon_sym_BANG] = ACTIONS(242),
    [anon_sym_TILDE] = ACTIONS(242),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(248),
    [anon_sym_subroutine] = ACTIONS(251),
    [anon_sym_invariant] = ACTIONS(254),
    [anon_sym_precise] = ACTIONS(254),
    [anon_sym_SEMI] = ACTIONS(257),
    [anon_sym_in] = ACTIONS(260),
    [anon_sym_out] = ACTIONS(260),
    [anon_sym_inout] = ACTIONS(260),
    [anon_sym_uniform] = ACTIONS(260),
    [anon_sym_shared] = ACTIONS(260),
    [anon_sym_attribute] = ACTIONS(260),
    [anon_sym_varying] = ACTIONS(260),
    [anon_sym_buffer] = ACTIONS(260),
    [anon_sym_coherent] = ACTIONS(260),
    [anon_sym_readonly] = ACTIONS(260),
    [anon_sym_writeonly] = ACTIONS(260),
    [anon_sym_precision] = ACTIONS(260),
    [anon_sym_highp] = ACTIONS(260),
    [anon_sym_mediump] = ACTIONS(260),
    [anon_sym_lowp] = ACTIONS(260),
    [anon_sym_centroid] = ACTIONS(260),
    [anon_sym_sample] = ACTIONS(260),
    [anon_sym_patch] = ACTIONS(260),
    [anon_sym_smooth] = ACTIONS(260),
    [anon_sym_flat] = ACTIONS(260),
    [anon_sym_noperspective] = ACTIONS(260),
    [anon_sym___extension__] = ACTIONS(263),
    [anon_sym_typedef] = ACTIONS(266),
    [anon_sym_extern] = ACTIONS(269),
    [anon_sym___attribute__] = ACTIONS(272),
    [anon_sym___attribute] = ACTIONS(272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(275),
    [anon_sym___declspec] = ACTIONS(278),
    [anon_sym___cdecl] = ACTIONS(281),
    [anon_sym___clrcall] = ACTIONS(281),
    [anon_sym___stdcall] = ACTIONS(281),
    [anon_sym___fastcall] = ACTIONS(281),
    [anon_sym___thiscall] = ACTIONS(281),
    [anon_sym___vectorcall] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(284),
    [anon_sym_signed] = ACTIONS(287),
    [anon_sym_unsigned] = ACTIONS(287),
    [anon_sym_long] = ACTIONS(287),
    [anon_sym_short] = ACTIONS(287),
    [anon_sym_static] = ACTIONS(290),
    [anon_sym_auto] = ACTIONS(290),
    [anon_sym_register] = ACTIONS(290),
    [anon_sym_inline] = ACTIONS(290),
    [anon_sym___inline] = ACTIONS(290),
    [anon_sym___inline__] = ACTIONS(290),
    [anon_sym___forceinline] = ACTIONS(290),
    [anon_sym_thread_local] = ACTIONS(290),
    [anon_sym___thread] = ACTIONS(290),
    [anon_sym_const] = ACTIONS(293),
    [anon_sym_constexpr] = ACTIONS(293),
    [anon_sym_volatile] = ACTIONS(293),
    [anon_sym_restrict] = ACTIONS(293),
    [anon_sym___restrict__] = ACTIONS(293),
    [anon_sym__Atomic] = ACTIONS(293),
    [anon_sym__Noreturn] = ACTIONS(293),
    [anon_sym_noreturn] = ACTIONS(293),
    [anon_sym__Nonnull] = ACTIONS(293),
    [anon_sym_alignas] = ACTIONS(296),
    [anon_sym__Alignas] = ACTIONS(296),
    [sym_primitive_type] = ACTIONS(299),
    [anon_sym_enum] = ACTIONS(302),
    [anon_sym_struct] = ACTIONS(305),
    [anon_sym_union] = ACTIONS(308),
    [anon_sym_if] = ACTIONS(311),
    [anon_sym_switch] = ACTIONS(314),
    [anon_sym_case] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(320),
    [anon_sym_while] = ACTIONS(323),
    [anon_sym_do] = ACTIONS(326),
    [anon_sym_for] = ACTIONS(329),
    [anon_sym_return] = ACTIONS(332),
    [anon_sym_break] = ACTIONS(335),
    [anon_sym_continue] = ACTIONS(338),
    [anon_sym_goto] = ACTIONS(341),
    [anon_sym___try] = ACTIONS(344),
    [anon_sym___leave] = ACTIONS(347),
    [anon_sym_DASH_DASH] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(350),
    [anon_sym_sizeof] = ACTIONS(353),
    [anon_sym___alignof__] = ACTIONS(356),
    [anon_sym___alignof] = ACTIONS(356),
    [anon_sym__alignof] = ACTIONS(356),
    [anon_sym_alignof] = ACTIONS(356),
    [anon_sym__Alignof] = ACTIONS(356),
    [anon_sym_offsetof] = ACTIONS(359),
    [anon_sym__Generic] = ACTIONS(362),
    [anon_sym_asm] = ACTIONS(365),
    [anon_sym___asm__] = ACTIONS(365),
    [anon_sym___asm] = ACTIONS(365),
    [sym_number_literal] = ACTIONS(368),
    [anon_sym_L_SQUOTE] = ACTIONS(371),
    [anon_sym_u_SQUOTE] = ACTIONS(371),
    [anon_sym_U_SQUOTE] = ACTIONS(371),
    [anon_sym_u8_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_L_DQUOTE] = ACTIONS(374),
    [anon_sym_u_DQUOTE] = ACTIONS(374),
    [anon_sym_U_DQUOTE] = ACTIONS(374),
    [anon_sym_u8_DQUOTE] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(374),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [anon_sym_NULL] = ACTIONS(380),
    [anon_sym_nullptr] = ACTIONS(380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(383),
    [anon_sym_rayPayloadInEXT] = ACTIONS(383),
    [anon_sym_hitAttributeEXT] = ACTIONS(383),
    [anon_sym_callableDataEXT] = ACTIONS(383),
    [anon_sym_callableDataInEXT] = ACTIONS(383),
    [anon_sym_shaderRecordEXT] = ACTIONS(383),
    [anon_sym_rayPayloadNV] = ACTIONS(383),
    [anon_sym_rayPayloadInNV] = ACTIONS(383),
    [anon_sym_hitAttributeNV] = ACTIONS(383),
    [anon_sym_callableDataNV] = ACTIONS(383),
    [anon_sym_callableDataInNV] = ACTIONS(383),
    [anon_sym_shaderRecordNV] = ACTIONS(383),
    [anon_sym_layout] = ACTIONS(386),
  },
  [23] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(40),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [24] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [25] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [26] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(42),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(42),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [27] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [28] = {
    [sym__block_item] = STATE(30),
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(30),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(30),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(30),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [29] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(24),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [30] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [31] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(459),
    [aux_sym_preproc_include_token1] = ACTIONS(462),
    [aux_sym_preproc_def_token1] = ACTIONS(465),
    [aux_sym_preproc_if_token1] = ACTIONS(468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(471),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(471),
    [sym_preproc_directive] = ACTIONS(474),
    [anon_sym_LPAREN2] = ACTIONS(239),
    [anon_sym_BANG] = ACTIONS(242),
    [anon_sym_TILDE] = ACTIONS(242),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(248),
    [anon_sym_subroutine] = ACTIONS(477),
    [anon_sym_invariant] = ACTIONS(480),
    [anon_sym_precise] = ACTIONS(480),
    [anon_sym_SEMI] = ACTIONS(483),
    [anon_sym_in] = ACTIONS(486),
    [anon_sym_out] = ACTIONS(486),
    [anon_sym_inout] = ACTIONS(486),
    [anon_sym_uniform] = ACTIONS(486),
    [anon_sym_shared] = ACTIONS(486),
    [anon_sym_attribute] = ACTIONS(486),
    [anon_sym_varying] = ACTIONS(486),
    [anon_sym_buffer] = ACTIONS(486),
    [anon_sym_coherent] = ACTIONS(486),
    [anon_sym_readonly] = ACTIONS(486),
    [anon_sym_writeonly] = ACTIONS(486),
    [anon_sym_precision] = ACTIONS(486),
    [anon_sym_highp] = ACTIONS(486),
    [anon_sym_mediump] = ACTIONS(486),
    [anon_sym_lowp] = ACTIONS(486),
    [anon_sym_centroid] = ACTIONS(486),
    [anon_sym_sample] = ACTIONS(486),
    [anon_sym_patch] = ACTIONS(486),
    [anon_sym_smooth] = ACTIONS(486),
    [anon_sym_flat] = ACTIONS(486),
    [anon_sym_noperspective] = ACTIONS(486),
    [anon_sym___extension__] = ACTIONS(489),
    [anon_sym_typedef] = ACTIONS(492),
    [anon_sym_extern] = ACTIONS(495),
    [anon_sym___attribute__] = ACTIONS(272),
    [anon_sym___attribute] = ACTIONS(272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(275),
    [anon_sym___declspec] = ACTIONS(278),
    [anon_sym___cdecl] = ACTIONS(281),
    [anon_sym___clrcall] = ACTIONS(281),
    [anon_sym___stdcall] = ACTIONS(281),
    [anon_sym___fastcall] = ACTIONS(281),
    [anon_sym___thiscall] = ACTIONS(281),
    [anon_sym___vectorcall] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(498),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_signed] = ACTIONS(287),
    [anon_sym_unsigned] = ACTIONS(287),
    [anon_sym_long] = ACTIONS(287),
    [anon_sym_short] = ACTIONS(287),
    [anon_sym_static] = ACTIONS(290),
    [anon_sym_auto] = ACTIONS(290),
    [anon_sym_register] = ACTIONS(290),
    [anon_sym_inline] = ACTIONS(290),
    [anon_sym___inline] = ACTIONS(290),
    [anon_sym___inline__] = ACTIONS(290),
    [anon_sym___forceinline] = ACTIONS(290),
    [anon_sym_thread_local] = ACTIONS(290),
    [anon_sym___thread] = ACTIONS(290),
    [anon_sym_const] = ACTIONS(293),
    [anon_sym_constexpr] = ACTIONS(293),
    [anon_sym_volatile] = ACTIONS(293),
    [anon_sym_restrict] = ACTIONS(293),
    [anon_sym___restrict__] = ACTIONS(293),
    [anon_sym__Atomic] = ACTIONS(293),
    [anon_sym__Noreturn] = ACTIONS(293),
    [anon_sym_noreturn] = ACTIONS(293),
    [anon_sym__Nonnull] = ACTIONS(293),
    [anon_sym_alignas] = ACTIONS(296),
    [anon_sym__Alignas] = ACTIONS(296),
    [sym_primitive_type] = ACTIONS(299),
    [anon_sym_enum] = ACTIONS(302),
    [anon_sym_struct] = ACTIONS(305),
    [anon_sym_union] = ACTIONS(308),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(509),
    [anon_sym_default] = ACTIONS(512),
    [anon_sym_while] = ACTIONS(515),
    [anon_sym_do] = ACTIONS(518),
    [anon_sym_for] = ACTIONS(521),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(527),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_goto] = ACTIONS(533),
    [anon_sym___try] = ACTIONS(536),
    [anon_sym___leave] = ACTIONS(539),
    [anon_sym_DASH_DASH] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(350),
    [anon_sym_sizeof] = ACTIONS(353),
    [anon_sym___alignof__] = ACTIONS(356),
    [anon_sym___alignof] = ACTIONS(356),
    [anon_sym__alignof] = ACTIONS(356),
    [anon_sym_alignof] = ACTIONS(356),
    [anon_sym__Alignof] = ACTIONS(356),
    [anon_sym_offsetof] = ACTIONS(359),
    [anon_sym__Generic] = ACTIONS(362),
    [anon_sym_asm] = ACTIONS(365),
    [anon_sym___asm__] = ACTIONS(365),
    [anon_sym___asm] = ACTIONS(365),
    [sym_number_literal] = ACTIONS(368),
    [anon_sym_L_SQUOTE] = ACTIONS(371),
    [anon_sym_u_SQUOTE] = ACTIONS(371),
    [anon_sym_U_SQUOTE] = ACTIONS(371),
    [anon_sym_u8_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_L_DQUOTE] = ACTIONS(374),
    [anon_sym_u_DQUOTE] = ACTIONS(374),
    [anon_sym_U_DQUOTE] = ACTIONS(374),
    [anon_sym_u8_DQUOTE] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(374),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [anon_sym_NULL] = ACTIONS(380),
    [anon_sym_nullptr] = ACTIONS(380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(383),
    [anon_sym_rayPayloadInEXT] = ACTIONS(383),
    [anon_sym_hitAttributeEXT] = ACTIONS(383),
    [anon_sym_callableDataEXT] = ACTIONS(383),
    [anon_sym_callableDataInEXT] = ACTIONS(383),
    [anon_sym_shaderRecordEXT] = ACTIONS(383),
    [anon_sym_rayPayloadNV] = ACTIONS(383),
    [anon_sym_rayPayloadInNV] = ACTIONS(383),
    [anon_sym_hitAttributeNV] = ACTIONS(383),
    [anon_sym_callableDataNV] = ACTIONS(383),
    [anon_sym_callableDataInNV] = ACTIONS(383),
    [anon_sym_shaderRecordNV] = ACTIONS(383),
    [anon_sym_layout] = ACTIONS(386),
  },
  [32] = {
    [sym__block_item] = STATE(39),
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1316),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(891),
    [sym_compound_statement] = STATE(320),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(988),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(360),
    [sym_statement] = STATE(39),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(39),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(39),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(542),
    [aux_sym_preproc_include_token1] = ACTIONS(544),
    [aux_sym_preproc_def_token1] = ACTIONS(546),
    [aux_sym_preproc_if_token1] = ACTIONS(548),
    [aux_sym_preproc_if_token2] = ACTIONS(550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(552),
    [sym_preproc_directive] = ACTIONS(554),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(556),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(564),
    [anon_sym_typedef] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(568),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [33] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(35),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(35),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [34] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1316),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(891),
    [sym_compound_statement] = STATE(320),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(988),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(360),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(34),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(600),
    [aux_sym_preproc_include_token1] = ACTIONS(603),
    [aux_sym_preproc_def_token1] = ACTIONS(606),
    [aux_sym_preproc_if_token1] = ACTIONS(609),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(612),
    [sym_preproc_directive] = ACTIONS(615),
    [anon_sym_LPAREN2] = ACTIONS(239),
    [anon_sym_BANG] = ACTIONS(242),
    [anon_sym_TILDE] = ACTIONS(242),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(248),
    [anon_sym_subroutine] = ACTIONS(618),
    [anon_sym_invariant] = ACTIONS(621),
    [anon_sym_precise] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(624),
    [anon_sym_in] = ACTIONS(627),
    [anon_sym_out] = ACTIONS(627),
    [anon_sym_inout] = ACTIONS(627),
    [anon_sym_uniform] = ACTIONS(627),
    [anon_sym_shared] = ACTIONS(627),
    [anon_sym_attribute] = ACTIONS(627),
    [anon_sym_varying] = ACTIONS(627),
    [anon_sym_buffer] = ACTIONS(627),
    [anon_sym_coherent] = ACTIONS(627),
    [anon_sym_readonly] = ACTIONS(627),
    [anon_sym_writeonly] = ACTIONS(627),
    [anon_sym_precision] = ACTIONS(627),
    [anon_sym_highp] = ACTIONS(627),
    [anon_sym_mediump] = ACTIONS(627),
    [anon_sym_lowp] = ACTIONS(627),
    [anon_sym_centroid] = ACTIONS(627),
    [anon_sym_sample] = ACTIONS(627),
    [anon_sym_patch] = ACTIONS(627),
    [anon_sym_smooth] = ACTIONS(627),
    [anon_sym_flat] = ACTIONS(627),
    [anon_sym_noperspective] = ACTIONS(627),
    [anon_sym___extension__] = ACTIONS(630),
    [anon_sym_typedef] = ACTIONS(633),
    [anon_sym_extern] = ACTIONS(636),
    [anon_sym___attribute__] = ACTIONS(272),
    [anon_sym___attribute] = ACTIONS(272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(275),
    [anon_sym___declspec] = ACTIONS(278),
    [anon_sym___cdecl] = ACTIONS(281),
    [anon_sym___clrcall] = ACTIONS(281),
    [anon_sym___stdcall] = ACTIONS(281),
    [anon_sym___fastcall] = ACTIONS(281),
    [anon_sym___thiscall] = ACTIONS(281),
    [anon_sym___vectorcall] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(639),
    [anon_sym_signed] = ACTIONS(287),
    [anon_sym_unsigned] = ACTIONS(287),
    [anon_sym_long] = ACTIONS(287),
    [anon_sym_short] = ACTIONS(287),
    [anon_sym_static] = ACTIONS(290),
    [anon_sym_auto] = ACTIONS(290),
    [anon_sym_register] = ACTIONS(290),
    [anon_sym_inline] = ACTIONS(290),
    [anon_sym___inline] = ACTIONS(290),
    [anon_sym___inline__] = ACTIONS(290),
    [anon_sym___forceinline] = ACTIONS(290),
    [anon_sym_thread_local] = ACTIONS(290),
    [anon_sym___thread] = ACTIONS(290),
    [anon_sym_const] = ACTIONS(293),
    [anon_sym_constexpr] = ACTIONS(293),
    [anon_sym_volatile] = ACTIONS(293),
    [anon_sym_restrict] = ACTIONS(293),
    [anon_sym___restrict__] = ACTIONS(293),
    [anon_sym__Atomic] = ACTIONS(293),
    [anon_sym__Noreturn] = ACTIONS(293),
    [anon_sym_noreturn] = ACTIONS(293),
    [anon_sym__Nonnull] = ACTIONS(293),
    [anon_sym_alignas] = ACTIONS(296),
    [anon_sym__Alignas] = ACTIONS(296),
    [sym_primitive_type] = ACTIONS(299),
    [anon_sym_enum] = ACTIONS(302),
    [anon_sym_struct] = ACTIONS(305),
    [anon_sym_union] = ACTIONS(308),
    [anon_sym_if] = ACTIONS(642),
    [anon_sym_switch] = ACTIONS(645),
    [anon_sym_case] = ACTIONS(648),
    [anon_sym_default] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(654),
    [anon_sym_do] = ACTIONS(657),
    [anon_sym_for] = ACTIONS(660),
    [anon_sym_return] = ACTIONS(663),
    [anon_sym_break] = ACTIONS(666),
    [anon_sym_continue] = ACTIONS(669),
    [anon_sym_goto] = ACTIONS(672),
    [anon_sym___try] = ACTIONS(675),
    [anon_sym___leave] = ACTIONS(678),
    [anon_sym_DASH_DASH] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(350),
    [anon_sym_sizeof] = ACTIONS(353),
    [anon_sym___alignof__] = ACTIONS(356),
    [anon_sym___alignof] = ACTIONS(356),
    [anon_sym__alignof] = ACTIONS(356),
    [anon_sym_alignof] = ACTIONS(356),
    [anon_sym__Alignof] = ACTIONS(356),
    [anon_sym_offsetof] = ACTIONS(359),
    [anon_sym__Generic] = ACTIONS(362),
    [anon_sym_asm] = ACTIONS(365),
    [anon_sym___asm__] = ACTIONS(365),
    [anon_sym___asm] = ACTIONS(365),
    [sym_number_literal] = ACTIONS(368),
    [anon_sym_L_SQUOTE] = ACTIONS(371),
    [anon_sym_u_SQUOTE] = ACTIONS(371),
    [anon_sym_U_SQUOTE] = ACTIONS(371),
    [anon_sym_u8_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_L_DQUOTE] = ACTIONS(374),
    [anon_sym_u_DQUOTE] = ACTIONS(374),
    [anon_sym_U_DQUOTE] = ACTIONS(374),
    [anon_sym_u8_DQUOTE] = ACTIONS(374),
    [anon_sym_DQUOTE] = ACTIONS(374),
    [sym_true] = ACTIONS(377),
    [sym_false] = ACTIONS(377),
    [anon_sym_NULL] = ACTIONS(380),
    [anon_sym_nullptr] = ACTIONS(380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(383),
    [anon_sym_rayPayloadInEXT] = ACTIONS(383),
    [anon_sym_hitAttributeEXT] = ACTIONS(383),
    [anon_sym_callableDataEXT] = ACTIONS(383),
    [anon_sym_callableDataInEXT] = ACTIONS(383),
    [anon_sym_shaderRecordEXT] = ACTIONS(383),
    [anon_sym_rayPayloadNV] = ACTIONS(383),
    [anon_sym_rayPayloadInNV] = ACTIONS(383),
    [anon_sym_hitAttributeNV] = ACTIONS(383),
    [anon_sym_callableDataNV] = ACTIONS(383),
    [anon_sym_callableDataInNV] = ACTIONS(383),
    [anon_sym_shaderRecordNV] = ACTIONS(383),
    [anon_sym_layout] = ACTIONS(386),
  },
  [35] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [36] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(683),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [37] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [38] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(687),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [39] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1316),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(891),
    [sym_compound_statement] = STATE(320),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(988),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(360),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(34),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(542),
    [aux_sym_preproc_include_token1] = ACTIONS(544),
    [aux_sym_preproc_def_token1] = ACTIONS(546),
    [aux_sym_preproc_if_token1] = ACTIONS(548),
    [aux_sym_preproc_if_token2] = ACTIONS(689),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(552),
    [sym_preproc_directive] = ACTIONS(554),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(556),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(564),
    [anon_sym_typedef] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(568),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [40] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [41] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(37),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(693),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [42] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(986),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(378),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(31),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(389),
    [aux_sym_preproc_include_token1] = ACTIONS(391),
    [aux_sym_preproc_def_token1] = ACTIONS(393),
    [aux_sym_preproc_if_token1] = ACTIONS(395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(397),
    [sym_preproc_directive] = ACTIONS(399),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(413),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [43] = {
    [sym__top_level_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1299),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(993),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(435),
    [sym__top_level_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_expression] = STATE(1263),
    [sym__string] = STATE(1260),
    [sym_conditional_expression] = STATE(1260),
    [sym_assignment_expression] = STATE(1260),
    [sym_pointer_expression] = STATE(1097),
    [sym_unary_expression] = STATE(1260),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(1260),
    [sym_cast_expression] = STATE(1260),
    [sym_sizeof_expression] = STATE(1260),
    [sym_alignof_expression] = STATE(1260),
    [sym_offsetof_expression] = STATE(1260),
    [sym_generic_expression] = STATE(1260),
    [sym_subscript_expression] = STATE(1097),
    [sym_call_expression] = STATE(1097),
    [sym_gnu_asm_expression] = STATE(1260),
    [sym_extension_expression] = STATE(1260),
    [sym_field_expression] = STATE(1097),
    [sym_compound_literal_expression] = STATE(1260),
    [sym_parenthesized_expression] = STATE(1097),
    [sym_char_literal] = STATE(1260),
    [sym_concatenated_string] = STATE(1260),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(1260),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(44),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [ts_builtin_sym_end] = ACTIONS(697),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(27),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(31),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(101),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(107),
    [sym_false] = ACTIONS(107),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [44] = {
    [sym__top_level_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1299),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(993),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(435),
    [sym__top_level_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_expression] = STATE(1263),
    [sym__string] = STATE(1260),
    [sym_conditional_expression] = STATE(1260),
    [sym_assignment_expression] = STATE(1260),
    [sym_pointer_expression] = STATE(1097),
    [sym_unary_expression] = STATE(1260),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(1260),
    [sym_cast_expression] = STATE(1260),
    [sym_sizeof_expression] = STATE(1260),
    [sym_alignof_expression] = STATE(1260),
    [sym_offsetof_expression] = STATE(1260),
    [sym_generic_expression] = STATE(1260),
    [sym_subscript_expression] = STATE(1097),
    [sym_call_expression] = STATE(1097),
    [sym_gnu_asm_expression] = STATE(1260),
    [sym_extension_expression] = STATE(1260),
    [sym_field_expression] = STATE(1097),
    [sym_compound_literal_expression] = STATE(1260),
    [sym_parenthesized_expression] = STATE(1097),
    [sym_char_literal] = STATE(1260),
    [sym_concatenated_string] = STATE(1260),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(1260),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(959),
    [sym_preproc_extension] = STATE(44),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [ts_builtin_sym_end] = ACTIONS(699),
    [sym_identifier] = ACTIONS(701),
    [aux_sym_preproc_include_token1] = ACTIONS(704),
    [aux_sym_preproc_def_token1] = ACTIONS(707),
    [aux_sym_preproc_if_token1] = ACTIONS(710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(716),
    [anon_sym_LPAREN2] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(722),
    [anon_sym_TILDE] = ACTIONS(722),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_STAR] = ACTIONS(728),
    [anon_sym_AMP] = ACTIONS(728),
    [anon_sym_subroutine] = ACTIONS(731),
    [anon_sym_invariant] = ACTIONS(734),
    [anon_sym_precise] = ACTIONS(734),
    [anon_sym_SEMI] = ACTIONS(737),
    [anon_sym_in] = ACTIONS(740),
    [anon_sym_out] = ACTIONS(740),
    [anon_sym_inout] = ACTIONS(740),
    [anon_sym_uniform] = ACTIONS(740),
    [anon_sym_shared] = ACTIONS(740),
    [anon_sym_attribute] = ACTIONS(740),
    [anon_sym_varying] = ACTIONS(740),
    [anon_sym_buffer] = ACTIONS(740),
    [anon_sym_coherent] = ACTIONS(740),
    [anon_sym_readonly] = ACTIONS(740),
    [anon_sym_writeonly] = ACTIONS(740),
    [anon_sym_precision] = ACTIONS(740),
    [anon_sym_highp] = ACTIONS(740),
    [anon_sym_mediump] = ACTIONS(740),
    [anon_sym_lowp] = ACTIONS(740),
    [anon_sym_centroid] = ACTIONS(740),
    [anon_sym_sample] = ACTIONS(740),
    [anon_sym_patch] = ACTIONS(740),
    [anon_sym_smooth] = ACTIONS(740),
    [anon_sym_flat] = ACTIONS(740),
    [anon_sym_noperspective] = ACTIONS(740),
    [anon_sym___extension__] = ACTIONS(743),
    [anon_sym_typedef] = ACTIONS(746),
    [anon_sym_extern] = ACTIONS(749),
    [anon_sym___attribute__] = ACTIONS(752),
    [anon_sym___attribute] = ACTIONS(752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(755),
    [anon_sym___declspec] = ACTIONS(758),
    [anon_sym___cdecl] = ACTIONS(761),
    [anon_sym___clrcall] = ACTIONS(761),
    [anon_sym___stdcall] = ACTIONS(761),
    [anon_sym___fastcall] = ACTIONS(761),
    [anon_sym___thiscall] = ACTIONS(761),
    [anon_sym___vectorcall] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_signed] = ACTIONS(767),
    [anon_sym_unsigned] = ACTIONS(767),
    [anon_sym_long] = ACTIONS(767),
    [anon_sym_short] = ACTIONS(767),
    [anon_sym_static] = ACTIONS(770),
    [anon_sym_auto] = ACTIONS(770),
    [anon_sym_register] = ACTIONS(770),
    [anon_sym_inline] = ACTIONS(770),
    [anon_sym___inline] = ACTIONS(770),
    [anon_sym___inline__] = ACTIONS(770),
    [anon_sym___forceinline] = ACTIONS(770),
    [anon_sym_thread_local] = ACTIONS(770),
    [anon_sym___thread] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(773),
    [anon_sym_constexpr] = ACTIONS(773),
    [anon_sym_volatile] = ACTIONS(773),
    [anon_sym_restrict] = ACTIONS(773),
    [anon_sym___restrict__] = ACTIONS(773),
    [anon_sym__Atomic] = ACTIONS(773),
    [anon_sym__Noreturn] = ACTIONS(773),
    [anon_sym_noreturn] = ACTIONS(773),
    [anon_sym__Nonnull] = ACTIONS(773),
    [anon_sym_alignas] = ACTIONS(776),
    [anon_sym__Alignas] = ACTIONS(776),
    [sym_primitive_type] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(782),
    [anon_sym_struct] = ACTIONS(785),
    [anon_sym_union] = ACTIONS(788),
    [anon_sym_if] = ACTIONS(791),
    [anon_sym_switch] = ACTIONS(794),
    [anon_sym_case] = ACTIONS(797),
    [anon_sym_default] = ACTIONS(800),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_do] = ACTIONS(806),
    [anon_sym_for] = ACTIONS(809),
    [anon_sym_return] = ACTIONS(812),
    [anon_sym_break] = ACTIONS(815),
    [anon_sym_continue] = ACTIONS(818),
    [anon_sym_goto] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_sizeof] = ACTIONS(827),
    [anon_sym___alignof__] = ACTIONS(830),
    [anon_sym___alignof] = ACTIONS(830),
    [anon_sym__alignof] = ACTIONS(830),
    [anon_sym_alignof] = ACTIONS(830),
    [anon_sym__Alignof] = ACTIONS(830),
    [anon_sym_offsetof] = ACTIONS(833),
    [anon_sym__Generic] = ACTIONS(836),
    [anon_sym_asm] = ACTIONS(839),
    [anon_sym___asm__] = ACTIONS(839),
    [anon_sym___asm] = ACTIONS(839),
    [sym_number_literal] = ACTIONS(842),
    [anon_sym_L_SQUOTE] = ACTIONS(845),
    [anon_sym_u_SQUOTE] = ACTIONS(845),
    [anon_sym_U_SQUOTE] = ACTIONS(845),
    [anon_sym_u8_SQUOTE] = ACTIONS(845),
    [anon_sym_SQUOTE] = ACTIONS(845),
    [anon_sym_L_DQUOTE] = ACTIONS(848),
    [anon_sym_u_DQUOTE] = ACTIONS(848),
    [anon_sym_U_DQUOTE] = ACTIONS(848),
    [anon_sym_u8_DQUOTE] = ACTIONS(848),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [sym_true] = ACTIONS(851),
    [sym_false] = ACTIONS(851),
    [anon_sym_NULL] = ACTIONS(854),
    [anon_sym_nullptr] = ACTIONS(854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(857),
    [anon_sym_rayPayloadInEXT] = ACTIONS(857),
    [anon_sym_hitAttributeEXT] = ACTIONS(857),
    [anon_sym_callableDataEXT] = ACTIONS(857),
    [anon_sym_callableDataInEXT] = ACTIONS(857),
    [anon_sym_shaderRecordEXT] = ACTIONS(857),
    [anon_sym_rayPayloadNV] = ACTIONS(857),
    [anon_sym_rayPayloadInNV] = ACTIONS(857),
    [anon_sym_hitAttributeNV] = ACTIONS(857),
    [anon_sym_callableDataNV] = ACTIONS(857),
    [anon_sym_callableDataInNV] = ACTIONS(857),
    [anon_sym_shaderRecordNV] = ACTIONS(857),
    [anon_sym_layout] = ACTIONS(860),
  },
  [45] = {
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1302),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(47),
    [sym_identifier] = ACTIONS(863),
    [aux_sym_preproc_include_token1] = ACTIONS(865),
    [aux_sym_preproc_def_token1] = ACTIONS(865),
    [aux_sym_preproc_if_token1] = ACTIONS(865),
    [aux_sym_preproc_if_token2] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(865),
    [aux_sym_preproc_else_token1] = ACTIONS(865),
    [aux_sym_preproc_elif_token1] = ACTIONS(865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(865),
    [sym_preproc_directive] = ACTIONS(865),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(141),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(865),
    [anon_sym___clrcall] = ACTIONS(865),
    [anon_sym___stdcall] = ACTIONS(865),
    [anon_sym___fastcall] = ACTIONS(865),
    [anon_sym___thiscall] = ACTIONS(865),
    [anon_sym___vectorcall] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_else] = ACTIONS(865),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(865),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [46] = {
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1302),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(48),
    [sym_identifier] = ACTIONS(863),
    [aux_sym_preproc_include_token1] = ACTIONS(867),
    [aux_sym_preproc_def_token1] = ACTIONS(867),
    [aux_sym_preproc_if_token1] = ACTIONS(867),
    [aux_sym_preproc_if_token2] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(867),
    [aux_sym_preproc_else_token1] = ACTIONS(867),
    [aux_sym_preproc_elif_token1] = ACTIONS(867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(867),
    [sym_preproc_directive] = ACTIONS(867),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(141),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(867),
    [anon_sym___clrcall] = ACTIONS(867),
    [anon_sym___stdcall] = ACTIONS(867),
    [anon_sym___fastcall] = ACTIONS(867),
    [anon_sym___thiscall] = ACTIONS(867),
    [anon_sym___vectorcall] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_else] = ACTIONS(867),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [47] = {
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1302),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(49),
    [sym_identifier] = ACTIONS(863),
    [aux_sym_preproc_include_token1] = ACTIONS(869),
    [aux_sym_preproc_def_token1] = ACTIONS(869),
    [aux_sym_preproc_if_token1] = ACTIONS(869),
    [aux_sym_preproc_if_token2] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(869),
    [aux_sym_preproc_else_token1] = ACTIONS(869),
    [aux_sym_preproc_elif_token1] = ACTIONS(869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(869),
    [sym_preproc_directive] = ACTIONS(869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(141),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(869),
    [anon_sym___clrcall] = ACTIONS(869),
    [anon_sym___stdcall] = ACTIONS(869),
    [anon_sym___fastcall] = ACTIONS(869),
    [anon_sym___thiscall] = ACTIONS(869),
    [anon_sym___vectorcall] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(869),
    [anon_sym_default] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [48] = {
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1302),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(49),
    [sym_identifier] = ACTIONS(863),
    [aux_sym_preproc_include_token1] = ACTIONS(871),
    [aux_sym_preproc_def_token1] = ACTIONS(871),
    [aux_sym_preproc_if_token1] = ACTIONS(871),
    [aux_sym_preproc_if_token2] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(871),
    [aux_sym_preproc_else_token1] = ACTIONS(871),
    [aux_sym_preproc_elif_token1] = ACTIONS(871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(871),
    [sym_preproc_directive] = ACTIONS(871),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(141),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(871),
    [anon_sym___clrcall] = ACTIONS(871),
    [anon_sym___stdcall] = ACTIONS(871),
    [anon_sym___fastcall] = ACTIONS(871),
    [anon_sym___thiscall] = ACTIONS(871),
    [anon_sym___vectorcall] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_else] = ACTIONS(871),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(871),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [49] = {
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1302),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(49),
    [sym_identifier] = ACTIONS(873),
    [aux_sym_preproc_include_token1] = ACTIONS(876),
    [aux_sym_preproc_def_token1] = ACTIONS(876),
    [aux_sym_preproc_if_token1] = ACTIONS(876),
    [aux_sym_preproc_if_token2] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(876),
    [aux_sym_preproc_else_token1] = ACTIONS(876),
    [aux_sym_preproc_elif_token1] = ACTIONS(876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(876),
    [sym_preproc_directive] = ACTIONS(876),
    [anon_sym_LPAREN2] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_STAR] = ACTIONS(887),
    [anon_sym_AMP] = ACTIONS(887),
    [anon_sym_subroutine] = ACTIONS(890),
    [anon_sym_invariant] = ACTIONS(893),
    [anon_sym_precise] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(896),
    [anon_sym_in] = ACTIONS(890),
    [anon_sym_out] = ACTIONS(890),
    [anon_sym_inout] = ACTIONS(890),
    [anon_sym_uniform] = ACTIONS(890),
    [anon_sym_shared] = ACTIONS(890),
    [anon_sym_attribute] = ACTIONS(890),
    [anon_sym_varying] = ACTIONS(890),
    [anon_sym_buffer] = ACTIONS(890),
    [anon_sym_coherent] = ACTIONS(890),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_writeonly] = ACTIONS(890),
    [anon_sym_precision] = ACTIONS(890),
    [anon_sym_highp] = ACTIONS(890),
    [anon_sym_mediump] = ACTIONS(890),
    [anon_sym_lowp] = ACTIONS(890),
    [anon_sym_centroid] = ACTIONS(890),
    [anon_sym_sample] = ACTIONS(890),
    [anon_sym_patch] = ACTIONS(890),
    [anon_sym_smooth] = ACTIONS(890),
    [anon_sym_flat] = ACTIONS(890),
    [anon_sym_noperspective] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(899),
    [anon_sym_typedef] = ACTIONS(902),
    [anon_sym_extern] = ACTIONS(905),
    [anon_sym___attribute__] = ACTIONS(908),
    [anon_sym___attribute] = ACTIONS(908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(911),
    [anon_sym___declspec] = ACTIONS(914),
    [anon_sym___cdecl] = ACTIONS(876),
    [anon_sym___clrcall] = ACTIONS(876),
    [anon_sym___stdcall] = ACTIONS(876),
    [anon_sym___fastcall] = ACTIONS(876),
    [anon_sym___thiscall] = ACTIONS(876),
    [anon_sym___vectorcall] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_signed] = ACTIONS(920),
    [anon_sym_unsigned] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_auto] = ACTIONS(905),
    [anon_sym_register] = ACTIONS(905),
    [anon_sym_inline] = ACTIONS(905),
    [anon_sym___inline] = ACTIONS(905),
    [anon_sym___inline__] = ACTIONS(905),
    [anon_sym___forceinline] = ACTIONS(905),
    [anon_sym_thread_local] = ACTIONS(905),
    [anon_sym___thread] = ACTIONS(905),
    [anon_sym_const] = ACTIONS(923),
    [anon_sym_constexpr] = ACTIONS(923),
    [anon_sym_volatile] = ACTIONS(923),
    [anon_sym_restrict] = ACTIONS(923),
    [anon_sym___restrict__] = ACTIONS(923),
    [anon_sym__Atomic] = ACTIONS(923),
    [anon_sym__Noreturn] = ACTIONS(923),
    [anon_sym_noreturn] = ACTIONS(923),
    [anon_sym__Nonnull] = ACTIONS(923),
    [anon_sym_alignas] = ACTIONS(926),
    [anon_sym__Alignas] = ACTIONS(926),
    [sym_primitive_type] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_struct] = ACTIONS(935),
    [anon_sym_union] = ACTIONS(938),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(876),
    [anon_sym_switch] = ACTIONS(944),
    [anon_sym_case] = ACTIONS(876),
    [anon_sym_default] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(947),
    [anon_sym_do] = ACTIONS(950),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(956),
    [anon_sym_break] = ACTIONS(959),
    [anon_sym_continue] = ACTIONS(962),
    [anon_sym_goto] = ACTIONS(965),
    [anon_sym___try] = ACTIONS(968),
    [anon_sym___leave] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(977),
    [anon_sym___alignof__] = ACTIONS(980),
    [anon_sym___alignof] = ACTIONS(980),
    [anon_sym__alignof] = ACTIONS(980),
    [anon_sym_alignof] = ACTIONS(980),
    [anon_sym__Alignof] = ACTIONS(980),
    [anon_sym_offsetof] = ACTIONS(983),
    [anon_sym__Generic] = ACTIONS(986),
    [anon_sym_asm] = ACTIONS(989),
    [anon_sym___asm__] = ACTIONS(989),
    [anon_sym___asm] = ACTIONS(989),
    [sym_number_literal] = ACTIONS(992),
    [anon_sym_L_SQUOTE] = ACTIONS(995),
    [anon_sym_u_SQUOTE] = ACTIONS(995),
    [anon_sym_U_SQUOTE] = ACTIONS(995),
    [anon_sym_u8_SQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_L_DQUOTE] = ACTIONS(998),
    [anon_sym_u_DQUOTE] = ACTIONS(998),
    [anon_sym_U_DQUOTE] = ACTIONS(998),
    [anon_sym_u8_DQUOTE] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [anon_sym_NULL] = ACTIONS(1004),
    [anon_sym_nullptr] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1007),
    [anon_sym_hitAttributeEXT] = ACTIONS(1007),
    [anon_sym_callableDataEXT] = ACTIONS(1007),
    [anon_sym_callableDataInEXT] = ACTIONS(1007),
    [anon_sym_shaderRecordEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadNV] = ACTIONS(1007),
    [anon_sym_rayPayloadInNV] = ACTIONS(1007),
    [anon_sym_hitAttributeNV] = ACTIONS(1007),
    [anon_sym_callableDataNV] = ACTIONS(1007),
    [anon_sym_callableDataInNV] = ACTIONS(1007),
    [anon_sym_shaderRecordNV] = ACTIONS(1007),
    [anon_sym_layout] = ACTIONS(1010),
  },
  [50] = {
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym_seh_try_statement] = STATE(52),
    [sym_seh_leave_statement] = STATE(52),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(52),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_identifier] = ACTIONS(1015),
    [aux_sym_preproc_include_token1] = ACTIONS(867),
    [aux_sym_preproc_def_token1] = ACTIONS(867),
    [aux_sym_preproc_if_token1] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(867),
    [sym_preproc_directive] = ACTIONS(867),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(867),
    [anon_sym___clrcall] = ACTIONS(867),
    [anon_sym___stdcall] = ACTIONS(867),
    [anon_sym___fastcall] = ACTIONS(867),
    [anon_sym___thiscall] = ACTIONS(867),
    [anon_sym___vectorcall] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(867),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [51] = {
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(1015),
    [aux_sym_preproc_include_token1] = ACTIONS(869),
    [aux_sym_preproc_def_token1] = ACTIONS(869),
    [aux_sym_preproc_if_token1] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(869),
    [sym_preproc_directive] = ACTIONS(869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(869),
    [anon_sym___clrcall] = ACTIONS(869),
    [anon_sym___stdcall] = ACTIONS(869),
    [anon_sym___fastcall] = ACTIONS(869),
    [anon_sym___thiscall] = ACTIONS(869),
    [anon_sym___vectorcall] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(869),
    [anon_sym_default] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [52] = {
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(1015),
    [aux_sym_preproc_include_token1] = ACTIONS(871),
    [aux_sym_preproc_def_token1] = ACTIONS(871),
    [aux_sym_preproc_if_token1] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(871),
    [sym_preproc_directive] = ACTIONS(871),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(871),
    [anon_sym___clrcall] = ACTIONS(871),
    [anon_sym___stdcall] = ACTIONS(871),
    [anon_sym___fastcall] = ACTIONS(871),
    [anon_sym___thiscall] = ACTIONS(871),
    [anon_sym___vectorcall] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(871),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(871),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [53] = {
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_identifier] = ACTIONS(1029),
    [aux_sym_preproc_include_token1] = ACTIONS(876),
    [aux_sym_preproc_def_token1] = ACTIONS(876),
    [aux_sym_preproc_if_token1] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(876),
    [sym_preproc_directive] = ACTIONS(876),
    [anon_sym_LPAREN2] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_STAR] = ACTIONS(887),
    [anon_sym_AMP] = ACTIONS(887),
    [anon_sym_subroutine] = ACTIONS(1032),
    [anon_sym_invariant] = ACTIONS(1035),
    [anon_sym_precise] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1032),
    [anon_sym_out] = ACTIONS(1032),
    [anon_sym_inout] = ACTIONS(1032),
    [anon_sym_uniform] = ACTIONS(1032),
    [anon_sym_shared] = ACTIONS(1032),
    [anon_sym_attribute] = ACTIONS(1032),
    [anon_sym_varying] = ACTIONS(1032),
    [anon_sym_buffer] = ACTIONS(1032),
    [anon_sym_coherent] = ACTIONS(1032),
    [anon_sym_readonly] = ACTIONS(1032),
    [anon_sym_writeonly] = ACTIONS(1032),
    [anon_sym_precision] = ACTIONS(1032),
    [anon_sym_highp] = ACTIONS(1032),
    [anon_sym_mediump] = ACTIONS(1032),
    [anon_sym_lowp] = ACTIONS(1032),
    [anon_sym_centroid] = ACTIONS(1032),
    [anon_sym_sample] = ACTIONS(1032),
    [anon_sym_patch] = ACTIONS(1032),
    [anon_sym_smooth] = ACTIONS(1032),
    [anon_sym_flat] = ACTIONS(1032),
    [anon_sym_noperspective] = ACTIONS(1032),
    [anon_sym___extension__] = ACTIONS(1041),
    [anon_sym_typedef] = ACTIONS(1044),
    [anon_sym_extern] = ACTIONS(905),
    [anon_sym___attribute__] = ACTIONS(908),
    [anon_sym___attribute] = ACTIONS(908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(911),
    [anon_sym___declspec] = ACTIONS(914),
    [anon_sym___cdecl] = ACTIONS(876),
    [anon_sym___clrcall] = ACTIONS(876),
    [anon_sym___stdcall] = ACTIONS(876),
    [anon_sym___fastcall] = ACTIONS(876),
    [anon_sym___thiscall] = ACTIONS(876),
    [anon_sym___vectorcall] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_signed] = ACTIONS(920),
    [anon_sym_unsigned] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_auto] = ACTIONS(905),
    [anon_sym_register] = ACTIONS(905),
    [anon_sym_inline] = ACTIONS(905),
    [anon_sym___inline] = ACTIONS(905),
    [anon_sym___inline__] = ACTIONS(905),
    [anon_sym___forceinline] = ACTIONS(905),
    [anon_sym_thread_local] = ACTIONS(905),
    [anon_sym___thread] = ACTIONS(905),
    [anon_sym_const] = ACTIONS(923),
    [anon_sym_constexpr] = ACTIONS(923),
    [anon_sym_volatile] = ACTIONS(923),
    [anon_sym_restrict] = ACTIONS(923),
    [anon_sym___restrict__] = ACTIONS(923),
    [anon_sym__Atomic] = ACTIONS(923),
    [anon_sym__Noreturn] = ACTIONS(923),
    [anon_sym_noreturn] = ACTIONS(923),
    [anon_sym__Nonnull] = ACTIONS(923),
    [anon_sym_alignas] = ACTIONS(926),
    [anon_sym__Alignas] = ACTIONS(926),
    [sym_primitive_type] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_struct] = ACTIONS(935),
    [anon_sym_union] = ACTIONS(938),
    [anon_sym_if] = ACTIONS(1050),
    [anon_sym_else] = ACTIONS(876),
    [anon_sym_switch] = ACTIONS(1053),
    [anon_sym_case] = ACTIONS(876),
    [anon_sym_default] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(1056),
    [anon_sym_do] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1065),
    [anon_sym_break] = ACTIONS(1068),
    [anon_sym_continue] = ACTIONS(1071),
    [anon_sym_goto] = ACTIONS(1074),
    [anon_sym___try] = ACTIONS(1077),
    [anon_sym___leave] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(977),
    [anon_sym___alignof__] = ACTIONS(980),
    [anon_sym___alignof] = ACTIONS(980),
    [anon_sym__alignof] = ACTIONS(980),
    [anon_sym_alignof] = ACTIONS(980),
    [anon_sym__Alignof] = ACTIONS(980),
    [anon_sym_offsetof] = ACTIONS(983),
    [anon_sym__Generic] = ACTIONS(986),
    [anon_sym_asm] = ACTIONS(989),
    [anon_sym___asm__] = ACTIONS(989),
    [anon_sym___asm] = ACTIONS(989),
    [sym_number_literal] = ACTIONS(992),
    [anon_sym_L_SQUOTE] = ACTIONS(995),
    [anon_sym_u_SQUOTE] = ACTIONS(995),
    [anon_sym_U_SQUOTE] = ACTIONS(995),
    [anon_sym_u8_SQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_L_DQUOTE] = ACTIONS(998),
    [anon_sym_u_DQUOTE] = ACTIONS(998),
    [anon_sym_U_DQUOTE] = ACTIONS(998),
    [anon_sym_u8_DQUOTE] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [anon_sym_NULL] = ACTIONS(1004),
    [anon_sym_nullptr] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1007),
    [anon_sym_hitAttributeEXT] = ACTIONS(1007),
    [anon_sym_callableDataEXT] = ACTIONS(1007),
    [anon_sym_callableDataInEXT] = ACTIONS(1007),
    [anon_sym_shaderRecordEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadNV] = ACTIONS(1007),
    [anon_sym_rayPayloadInNV] = ACTIONS(1007),
    [anon_sym_hitAttributeNV] = ACTIONS(1007),
    [anon_sym_callableDataNV] = ACTIONS(1007),
    [anon_sym_callableDataInNV] = ACTIONS(1007),
    [anon_sym_shaderRecordNV] = ACTIONS(1007),
    [anon_sym_layout] = ACTIONS(1010),
  },
  [54] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1311),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(1083),
    [aux_sym_preproc_include_token1] = ACTIONS(865),
    [aux_sym_preproc_def_token1] = ACTIONS(865),
    [aux_sym_preproc_if_token1] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(865),
    [sym_preproc_directive] = ACTIONS(865),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(407),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(865),
    [anon_sym___clrcall] = ACTIONS(865),
    [anon_sym___stdcall] = ACTIONS(865),
    [anon_sym___fastcall] = ACTIONS(865),
    [anon_sym___thiscall] = ACTIONS(865),
    [anon_sym___vectorcall] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(865),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(865),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [55] = {
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(51),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_identifier] = ACTIONS(1015),
    [aux_sym_preproc_include_token1] = ACTIONS(865),
    [aux_sym_preproc_def_token1] = ACTIONS(865),
    [aux_sym_preproc_if_token1] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(865),
    [sym_preproc_directive] = ACTIONS(865),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(865),
    [anon_sym___clrcall] = ACTIONS(865),
    [anon_sym___stdcall] = ACTIONS(865),
    [anon_sym___fastcall] = ACTIONS(865),
    [anon_sym___thiscall] = ACTIONS(865),
    [anon_sym___vectorcall] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(865),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(865),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [56] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1311),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(1083),
    [aux_sym_preproc_include_token1] = ACTIONS(867),
    [aux_sym_preproc_def_token1] = ACTIONS(867),
    [aux_sym_preproc_if_token1] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(867),
    [sym_preproc_directive] = ACTIONS(867),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(407),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(867),
    [anon_sym___clrcall] = ACTIONS(867),
    [anon_sym___stdcall] = ACTIONS(867),
    [anon_sym___fastcall] = ACTIONS(867),
    [anon_sym___thiscall] = ACTIONS(867),
    [anon_sym___vectorcall] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(867),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [57] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1311),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(1083),
    [aux_sym_preproc_include_token1] = ACTIONS(869),
    [aux_sym_preproc_def_token1] = ACTIONS(869),
    [aux_sym_preproc_if_token1] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(869),
    [sym_preproc_directive] = ACTIONS(869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(407),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(869),
    [anon_sym___clrcall] = ACTIONS(869),
    [anon_sym___stdcall] = ACTIONS(869),
    [anon_sym___fastcall] = ACTIONS(869),
    [anon_sym___thiscall] = ACTIONS(869),
    [anon_sym___vectorcall] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(869),
    [anon_sym_default] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [58] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1311),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(1083),
    [aux_sym_preproc_include_token1] = ACTIONS(871),
    [aux_sym_preproc_def_token1] = ACTIONS(871),
    [aux_sym_preproc_if_token1] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(871),
    [sym_preproc_directive] = ACTIONS(871),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(407),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(409),
    [anon_sym_typedef] = ACTIONS(411),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(871),
    [anon_sym___clrcall] = ACTIONS(871),
    [anon_sym___stdcall] = ACTIONS(871),
    [anon_sym___fastcall] = ACTIONS(871),
    [anon_sym___thiscall] = ACTIONS(871),
    [anon_sym___vectorcall] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(871),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(871),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [59] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1311),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(1087),
    [aux_sym_preproc_include_token1] = ACTIONS(876),
    [aux_sym_preproc_def_token1] = ACTIONS(876),
    [aux_sym_preproc_if_token1] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(876),
    [sym_preproc_directive] = ACTIONS(876),
    [anon_sym_LPAREN2] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_STAR] = ACTIONS(887),
    [anon_sym_AMP] = ACTIONS(887),
    [anon_sym_subroutine] = ACTIONS(1090),
    [anon_sym_invariant] = ACTIONS(1093),
    [anon_sym_precise] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1096),
    [anon_sym_in] = ACTIONS(1090),
    [anon_sym_out] = ACTIONS(1090),
    [anon_sym_inout] = ACTIONS(1090),
    [anon_sym_uniform] = ACTIONS(1090),
    [anon_sym_shared] = ACTIONS(1090),
    [anon_sym_attribute] = ACTIONS(1090),
    [anon_sym_varying] = ACTIONS(1090),
    [anon_sym_buffer] = ACTIONS(1090),
    [anon_sym_coherent] = ACTIONS(1090),
    [anon_sym_readonly] = ACTIONS(1090),
    [anon_sym_writeonly] = ACTIONS(1090),
    [anon_sym_precision] = ACTIONS(1090),
    [anon_sym_highp] = ACTIONS(1090),
    [anon_sym_mediump] = ACTIONS(1090),
    [anon_sym_lowp] = ACTIONS(1090),
    [anon_sym_centroid] = ACTIONS(1090),
    [anon_sym_sample] = ACTIONS(1090),
    [anon_sym_patch] = ACTIONS(1090),
    [anon_sym_smooth] = ACTIONS(1090),
    [anon_sym_flat] = ACTIONS(1090),
    [anon_sym_noperspective] = ACTIONS(1090),
    [anon_sym___extension__] = ACTIONS(1099),
    [anon_sym_typedef] = ACTIONS(1102),
    [anon_sym_extern] = ACTIONS(905),
    [anon_sym___attribute__] = ACTIONS(908),
    [anon_sym___attribute] = ACTIONS(908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(911),
    [anon_sym___declspec] = ACTIONS(914),
    [anon_sym___cdecl] = ACTIONS(876),
    [anon_sym___clrcall] = ACTIONS(876),
    [anon_sym___stdcall] = ACTIONS(876),
    [anon_sym___fastcall] = ACTIONS(876),
    [anon_sym___thiscall] = ACTIONS(876),
    [anon_sym___vectorcall] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_signed] = ACTIONS(920),
    [anon_sym_unsigned] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_auto] = ACTIONS(905),
    [anon_sym_register] = ACTIONS(905),
    [anon_sym_inline] = ACTIONS(905),
    [anon_sym___inline] = ACTIONS(905),
    [anon_sym___inline__] = ACTIONS(905),
    [anon_sym___forceinline] = ACTIONS(905),
    [anon_sym_thread_local] = ACTIONS(905),
    [anon_sym___thread] = ACTIONS(905),
    [anon_sym_const] = ACTIONS(923),
    [anon_sym_constexpr] = ACTIONS(923),
    [anon_sym_volatile] = ACTIONS(923),
    [anon_sym_restrict] = ACTIONS(923),
    [anon_sym___restrict__] = ACTIONS(923),
    [anon_sym__Atomic] = ACTIONS(923),
    [anon_sym__Noreturn] = ACTIONS(923),
    [anon_sym_noreturn] = ACTIONS(923),
    [anon_sym__Nonnull] = ACTIONS(923),
    [anon_sym_alignas] = ACTIONS(926),
    [anon_sym__Alignas] = ACTIONS(926),
    [sym_primitive_type] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_struct] = ACTIONS(935),
    [anon_sym_union] = ACTIONS(938),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_else] = ACTIONS(876),
    [anon_sym_switch] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(876),
    [anon_sym_default] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(1114),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1123),
    [anon_sym_break] = ACTIONS(1126),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(977),
    [anon_sym___alignof__] = ACTIONS(980),
    [anon_sym___alignof] = ACTIONS(980),
    [anon_sym__alignof] = ACTIONS(980),
    [anon_sym_alignof] = ACTIONS(980),
    [anon_sym__Alignof] = ACTIONS(980),
    [anon_sym_offsetof] = ACTIONS(983),
    [anon_sym__Generic] = ACTIONS(986),
    [anon_sym_asm] = ACTIONS(989),
    [anon_sym___asm__] = ACTIONS(989),
    [anon_sym___asm] = ACTIONS(989),
    [sym_number_literal] = ACTIONS(992),
    [anon_sym_L_SQUOTE] = ACTIONS(995),
    [anon_sym_u_SQUOTE] = ACTIONS(995),
    [anon_sym_U_SQUOTE] = ACTIONS(995),
    [anon_sym_u8_SQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_L_DQUOTE] = ACTIONS(998),
    [anon_sym_u_DQUOTE] = ACTIONS(998),
    [anon_sym_U_DQUOTE] = ACTIONS(998),
    [anon_sym_u8_DQUOTE] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [anon_sym_NULL] = ACTIONS(1004),
    [anon_sym_nullptr] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1007),
    [anon_sym_hitAttributeEXT] = ACTIONS(1007),
    [anon_sym_callableDataEXT] = ACTIONS(1007),
    [anon_sym_callableDataInEXT] = ACTIONS(1007),
    [anon_sym_shaderRecordEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadNV] = ACTIONS(1007),
    [anon_sym_rayPayloadInNV] = ACTIONS(1007),
    [anon_sym_hitAttributeNV] = ACTIONS(1007),
    [anon_sym_callableDataNV] = ACTIONS(1007),
    [anon_sym_callableDataInNV] = ACTIONS(1007),
    [anon_sym_shaderRecordNV] = ACTIONS(1007),
    [anon_sym_layout] = ACTIONS(1010),
  },
  [60] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1314),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(1141),
    [aux_sym_preproc_include_token1] = ACTIONS(865),
    [aux_sym_preproc_def_token1] = ACTIONS(865),
    [aux_sym_preproc_if_token1] = ACTIONS(865),
    [aux_sym_preproc_if_token2] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(865),
    [sym_preproc_directive] = ACTIONS(865),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(562),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(564),
    [anon_sym_typedef] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(865),
    [anon_sym___clrcall] = ACTIONS(865),
    [anon_sym___stdcall] = ACTIONS(865),
    [anon_sym___fastcall] = ACTIONS(865),
    [anon_sym___thiscall] = ACTIONS(865),
    [anon_sym___vectorcall] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(865),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(865),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [61] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1314),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(1141),
    [aux_sym_preproc_include_token1] = ACTIONS(867),
    [aux_sym_preproc_def_token1] = ACTIONS(867),
    [aux_sym_preproc_if_token1] = ACTIONS(867),
    [aux_sym_preproc_if_token2] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(867),
    [sym_preproc_directive] = ACTIONS(867),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(562),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(564),
    [anon_sym_typedef] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(867),
    [anon_sym___clrcall] = ACTIONS(867),
    [anon_sym___stdcall] = ACTIONS(867),
    [anon_sym___fastcall] = ACTIONS(867),
    [anon_sym___thiscall] = ACTIONS(867),
    [anon_sym___vectorcall] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(867),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [62] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1314),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1141),
    [aux_sym_preproc_include_token1] = ACTIONS(869),
    [aux_sym_preproc_def_token1] = ACTIONS(869),
    [aux_sym_preproc_if_token1] = ACTIONS(869),
    [aux_sym_preproc_if_token2] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(869),
    [sym_preproc_directive] = ACTIONS(869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(562),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(564),
    [anon_sym_typedef] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(869),
    [anon_sym___clrcall] = ACTIONS(869),
    [anon_sym___stdcall] = ACTIONS(869),
    [anon_sym___fastcall] = ACTIONS(869),
    [anon_sym___thiscall] = ACTIONS(869),
    [anon_sym___vectorcall] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(869),
    [anon_sym_default] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [63] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1314),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1141),
    [aux_sym_preproc_include_token1] = ACTIONS(871),
    [aux_sym_preproc_def_token1] = ACTIONS(871),
    [aux_sym_preproc_if_token1] = ACTIONS(871),
    [aux_sym_preproc_if_token2] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(871),
    [sym_preproc_directive] = ACTIONS(871),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(562),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(564),
    [anon_sym_typedef] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(871),
    [anon_sym___clrcall] = ACTIONS(871),
    [anon_sym___stdcall] = ACTIONS(871),
    [anon_sym___fastcall] = ACTIONS(871),
    [anon_sym___thiscall] = ACTIONS(871),
    [anon_sym___vectorcall] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(871),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(871),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [64] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1314),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(876),
    [aux_sym_preproc_def_token1] = ACTIONS(876),
    [aux_sym_preproc_if_token1] = ACTIONS(876),
    [aux_sym_preproc_if_token2] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(876),
    [sym_preproc_directive] = ACTIONS(876),
    [anon_sym_LPAREN2] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_STAR] = ACTIONS(887),
    [anon_sym_AMP] = ACTIONS(887),
    [anon_sym_subroutine] = ACTIONS(1146),
    [anon_sym_invariant] = ACTIONS(1149),
    [anon_sym_precise] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1152),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_out] = ACTIONS(1146),
    [anon_sym_inout] = ACTIONS(1146),
    [anon_sym_uniform] = ACTIONS(1146),
    [anon_sym_shared] = ACTIONS(1146),
    [anon_sym_attribute] = ACTIONS(1146),
    [anon_sym_varying] = ACTIONS(1146),
    [anon_sym_buffer] = ACTIONS(1146),
    [anon_sym_coherent] = ACTIONS(1146),
    [anon_sym_readonly] = ACTIONS(1146),
    [anon_sym_writeonly] = ACTIONS(1146),
    [anon_sym_precision] = ACTIONS(1146),
    [anon_sym_highp] = ACTIONS(1146),
    [anon_sym_mediump] = ACTIONS(1146),
    [anon_sym_lowp] = ACTIONS(1146),
    [anon_sym_centroid] = ACTIONS(1146),
    [anon_sym_sample] = ACTIONS(1146),
    [anon_sym_patch] = ACTIONS(1146),
    [anon_sym_smooth] = ACTIONS(1146),
    [anon_sym_flat] = ACTIONS(1146),
    [anon_sym_noperspective] = ACTIONS(1146),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(905),
    [anon_sym___attribute__] = ACTIONS(908),
    [anon_sym___attribute] = ACTIONS(908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(911),
    [anon_sym___declspec] = ACTIONS(914),
    [anon_sym___cdecl] = ACTIONS(876),
    [anon_sym___clrcall] = ACTIONS(876),
    [anon_sym___stdcall] = ACTIONS(876),
    [anon_sym___fastcall] = ACTIONS(876),
    [anon_sym___thiscall] = ACTIONS(876),
    [anon_sym___vectorcall] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(920),
    [anon_sym_unsigned] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_auto] = ACTIONS(905),
    [anon_sym_register] = ACTIONS(905),
    [anon_sym_inline] = ACTIONS(905),
    [anon_sym___inline] = ACTIONS(905),
    [anon_sym___inline__] = ACTIONS(905),
    [anon_sym___forceinline] = ACTIONS(905),
    [anon_sym_thread_local] = ACTIONS(905),
    [anon_sym___thread] = ACTIONS(905),
    [anon_sym_const] = ACTIONS(923),
    [anon_sym_constexpr] = ACTIONS(923),
    [anon_sym_volatile] = ACTIONS(923),
    [anon_sym_restrict] = ACTIONS(923),
    [anon_sym___restrict__] = ACTIONS(923),
    [anon_sym__Atomic] = ACTIONS(923),
    [anon_sym__Noreturn] = ACTIONS(923),
    [anon_sym_noreturn] = ACTIONS(923),
    [anon_sym__Nonnull] = ACTIONS(923),
    [anon_sym_alignas] = ACTIONS(926),
    [anon_sym__Alignas] = ACTIONS(926),
    [sym_primitive_type] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_struct] = ACTIONS(935),
    [anon_sym_union] = ACTIONS(938),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(876),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(876),
    [anon_sym_default] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_do] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1185),
    [anon_sym_goto] = ACTIONS(1188),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(977),
    [anon_sym___alignof__] = ACTIONS(980),
    [anon_sym___alignof] = ACTIONS(980),
    [anon_sym__alignof] = ACTIONS(980),
    [anon_sym_alignof] = ACTIONS(980),
    [anon_sym__Alignof] = ACTIONS(980),
    [anon_sym_offsetof] = ACTIONS(983),
    [anon_sym__Generic] = ACTIONS(986),
    [anon_sym_asm] = ACTIONS(989),
    [anon_sym___asm__] = ACTIONS(989),
    [anon_sym___asm] = ACTIONS(989),
    [sym_number_literal] = ACTIONS(992),
    [anon_sym_L_SQUOTE] = ACTIONS(995),
    [anon_sym_u_SQUOTE] = ACTIONS(995),
    [anon_sym_U_SQUOTE] = ACTIONS(995),
    [anon_sym_u8_SQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_L_DQUOTE] = ACTIONS(998),
    [anon_sym_u_DQUOTE] = ACTIONS(998),
    [anon_sym_U_DQUOTE] = ACTIONS(998),
    [anon_sym_u8_DQUOTE] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [anon_sym_NULL] = ACTIONS(1004),
    [anon_sym_nullptr] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1007),
    [anon_sym_hitAttributeEXT] = ACTIONS(1007),
    [anon_sym_callableDataEXT] = ACTIONS(1007),
    [anon_sym_callableDataInEXT] = ACTIONS(1007),
    [anon_sym_shaderRecordEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadNV] = ACTIONS(1007),
    [anon_sym_rayPayloadInNV] = ACTIONS(1007),
    [anon_sym_hitAttributeNV] = ACTIONS(1007),
    [anon_sym_callableDataNV] = ACTIONS(1007),
    [anon_sym_callableDataInNV] = ACTIONS(1007),
    [anon_sym_shaderRecordNV] = ACTIONS(1007),
    [anon_sym_layout] = ACTIONS(1010),
  },
  [65] = {
    [sym_declaration] = STATE(307),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1311),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(307),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1083),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(407),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [66] = {
    [sym_declaration] = STATE(270),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1314),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(320),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(320),
    [sym_statement] = STATE(270),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(562),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [67] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(871),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [68] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [69] = {
    [sym_declaration] = STATE(244),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(206),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(244),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [70] = {
    [sym_declaration] = STATE(83),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1302),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(119),
    [sym_statement] = STATE(83),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(141),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [71] = {
    [sym_declaration] = STATE(244),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(242),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(244),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [72] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(865),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [73] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(33),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(867),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [74] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1310),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(558),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1213),
    [anon_sym_LPAREN2] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_STAR] = ACTIONS(887),
    [anon_sym_AMP] = ACTIONS(887),
    [anon_sym_subroutine] = ACTIONS(1032),
    [anon_sym_invariant] = ACTIONS(1035),
    [anon_sym_precise] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1096),
    [anon_sym_in] = ACTIONS(1032),
    [anon_sym_out] = ACTIONS(1032),
    [anon_sym_inout] = ACTIONS(1032),
    [anon_sym_uniform] = ACTIONS(1032),
    [anon_sym_shared] = ACTIONS(1032),
    [anon_sym_attribute] = ACTIONS(1032),
    [anon_sym_varying] = ACTIONS(1032),
    [anon_sym_buffer] = ACTIONS(1032),
    [anon_sym_coherent] = ACTIONS(1032),
    [anon_sym_readonly] = ACTIONS(1032),
    [anon_sym_writeonly] = ACTIONS(1032),
    [anon_sym_precision] = ACTIONS(1032),
    [anon_sym_highp] = ACTIONS(1032),
    [anon_sym_mediump] = ACTIONS(1032),
    [anon_sym_lowp] = ACTIONS(1032),
    [anon_sym_centroid] = ACTIONS(1032),
    [anon_sym_sample] = ACTIONS(1032),
    [anon_sym_patch] = ACTIONS(1032),
    [anon_sym_smooth] = ACTIONS(1032),
    [anon_sym_flat] = ACTIONS(1032),
    [anon_sym_noperspective] = ACTIONS(1032),
    [anon_sym___extension__] = ACTIONS(1041),
    [anon_sym_typedef] = ACTIONS(1044),
    [anon_sym_extern] = ACTIONS(905),
    [anon_sym___attribute__] = ACTIONS(908),
    [anon_sym___attribute] = ACTIONS(908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(911),
    [anon_sym___declspec] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_signed] = ACTIONS(920),
    [anon_sym_unsigned] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_auto] = ACTIONS(905),
    [anon_sym_register] = ACTIONS(905),
    [anon_sym_inline] = ACTIONS(905),
    [anon_sym___inline] = ACTIONS(905),
    [anon_sym___inline__] = ACTIONS(905),
    [anon_sym___forceinline] = ACTIONS(905),
    [anon_sym_thread_local] = ACTIONS(905),
    [anon_sym___thread] = ACTIONS(905),
    [anon_sym_const] = ACTIONS(923),
    [anon_sym_constexpr] = ACTIONS(923),
    [anon_sym_volatile] = ACTIONS(923),
    [anon_sym_restrict] = ACTIONS(923),
    [anon_sym___restrict__] = ACTIONS(923),
    [anon_sym__Atomic] = ACTIONS(923),
    [anon_sym__Noreturn] = ACTIONS(923),
    [anon_sym_noreturn] = ACTIONS(923),
    [anon_sym__Nonnull] = ACTIONS(923),
    [anon_sym_alignas] = ACTIONS(926),
    [anon_sym__Alignas] = ACTIONS(926),
    [sym_primitive_type] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_struct] = ACTIONS(935),
    [anon_sym_union] = ACTIONS(938),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(876),
    [anon_sym_switch] = ACTIONS(1053),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1065),
    [anon_sym_break] = ACTIONS(1068),
    [anon_sym_continue] = ACTIONS(1071),
    [anon_sym_goto] = ACTIONS(1074),
    [anon_sym___try] = ACTIONS(1225),
    [anon_sym___leave] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(977),
    [anon_sym___alignof__] = ACTIONS(980),
    [anon_sym___alignof] = ACTIONS(980),
    [anon_sym__alignof] = ACTIONS(980),
    [anon_sym_alignof] = ACTIONS(980),
    [anon_sym__Alignof] = ACTIONS(980),
    [anon_sym_offsetof] = ACTIONS(983),
    [anon_sym__Generic] = ACTIONS(986),
    [anon_sym_asm] = ACTIONS(989),
    [anon_sym___asm__] = ACTIONS(989),
    [anon_sym___asm] = ACTIONS(989),
    [sym_number_literal] = ACTIONS(992),
    [anon_sym_L_SQUOTE] = ACTIONS(995),
    [anon_sym_u_SQUOTE] = ACTIONS(995),
    [anon_sym_U_SQUOTE] = ACTIONS(995),
    [anon_sym_u8_SQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_L_DQUOTE] = ACTIONS(998),
    [anon_sym_u_DQUOTE] = ACTIONS(998),
    [anon_sym_U_DQUOTE] = ACTIONS(998),
    [anon_sym_u8_DQUOTE] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [anon_sym_NULL] = ACTIONS(1004),
    [anon_sym_nullptr] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1007),
    [anon_sym_hitAttributeEXT] = ACTIONS(1007),
    [anon_sym_callableDataEXT] = ACTIONS(1007),
    [anon_sym_callableDataInEXT] = ACTIONS(1007),
    [anon_sym_shaderRecordEXT] = ACTIONS(1007),
    [anon_sym_rayPayloadNV] = ACTIONS(1007),
    [anon_sym_rayPayloadInNV] = ACTIONS(1007),
    [anon_sym_hitAttributeNV] = ACTIONS(1007),
    [anon_sym_callableDataNV] = ACTIONS(1007),
    [anon_sym_callableDataInNV] = ACTIONS(1007),
    [anon_sym_shaderRecordNV] = ACTIONS(1007),
    [anon_sym_layout] = ACTIONS(1010),
  },
  [75] = {
    [sym_declaration] = STATE(670),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1303),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__for_statement_body] = STATE(2149),
    [sym_expression] = STATE(1212),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2412),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(541),
    [sym_layout_specification] = STATE(541),
    [aux_sym_declaration_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1230),
    [anon_sym_invariant] = ACTIONS(1232),
    [anon_sym_precise] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_in] = ACTIONS(1230),
    [anon_sym_out] = ACTIONS(1230),
    [anon_sym_inout] = ACTIONS(1230),
    [anon_sym_uniform] = ACTIONS(1230),
    [anon_sym_shared] = ACTIONS(1230),
    [anon_sym_attribute] = ACTIONS(1230),
    [anon_sym_varying] = ACTIONS(1230),
    [anon_sym_buffer] = ACTIONS(1230),
    [anon_sym_coherent] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_writeonly] = ACTIONS(1230),
    [anon_sym_precision] = ACTIONS(1230),
    [anon_sym_highp] = ACTIONS(1230),
    [anon_sym_mediump] = ACTIONS(1230),
    [anon_sym_lowp] = ACTIONS(1230),
    [anon_sym_centroid] = ACTIONS(1230),
    [anon_sym_sample] = ACTIONS(1230),
    [anon_sym_patch] = ACTIONS(1230),
    [anon_sym_smooth] = ACTIONS(1230),
    [anon_sym_flat] = ACTIONS(1230),
    [anon_sym_noperspective] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [76] = {
    [sym_declaration] = STATE(670),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1303),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__for_statement_body] = STATE(2173),
    [sym_expression] = STATE(1212),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2412),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(541),
    [sym_layout_specification] = STATE(541),
    [aux_sym_declaration_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1230),
    [anon_sym_invariant] = ACTIONS(1232),
    [anon_sym_precise] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_in] = ACTIONS(1230),
    [anon_sym_out] = ACTIONS(1230),
    [anon_sym_inout] = ACTIONS(1230),
    [anon_sym_uniform] = ACTIONS(1230),
    [anon_sym_shared] = ACTIONS(1230),
    [anon_sym_attribute] = ACTIONS(1230),
    [anon_sym_varying] = ACTIONS(1230),
    [anon_sym_buffer] = ACTIONS(1230),
    [anon_sym_coherent] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_writeonly] = ACTIONS(1230),
    [anon_sym_precision] = ACTIONS(1230),
    [anon_sym_highp] = ACTIONS(1230),
    [anon_sym_mediump] = ACTIONS(1230),
    [anon_sym_lowp] = ACTIONS(1230),
    [anon_sym_centroid] = ACTIONS(1230),
    [anon_sym_sample] = ACTIONS(1230),
    [anon_sym_patch] = ACTIONS(1230),
    [anon_sym_smooth] = ACTIONS(1230),
    [anon_sym_flat] = ACTIONS(1230),
    [anon_sym_noperspective] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [77] = {
    [sym_declaration] = STATE(670),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1303),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__for_statement_body] = STATE(2398),
    [sym_expression] = STATE(1212),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2412),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(541),
    [sym_layout_specification] = STATE(541),
    [aux_sym_declaration_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1230),
    [anon_sym_invariant] = ACTIONS(1232),
    [anon_sym_precise] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_in] = ACTIONS(1230),
    [anon_sym_out] = ACTIONS(1230),
    [anon_sym_inout] = ACTIONS(1230),
    [anon_sym_uniform] = ACTIONS(1230),
    [anon_sym_shared] = ACTIONS(1230),
    [anon_sym_attribute] = ACTIONS(1230),
    [anon_sym_varying] = ACTIONS(1230),
    [anon_sym_buffer] = ACTIONS(1230),
    [anon_sym_coherent] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_writeonly] = ACTIONS(1230),
    [anon_sym_precision] = ACTIONS(1230),
    [anon_sym_highp] = ACTIONS(1230),
    [anon_sym_mediump] = ACTIONS(1230),
    [anon_sym_lowp] = ACTIONS(1230),
    [anon_sym_centroid] = ACTIONS(1230),
    [anon_sym_sample] = ACTIONS(1230),
    [anon_sym_patch] = ACTIONS(1230),
    [anon_sym_smooth] = ACTIONS(1230),
    [anon_sym_flat] = ACTIONS(1230),
    [anon_sym_noperspective] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [78] = {
    [sym_declaration] = STATE(670),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1303),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__for_statement_body] = STATE(2183),
    [sym_expression] = STATE(1212),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2412),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(541),
    [sym_layout_specification] = STATE(541),
    [aux_sym_declaration_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1230),
    [anon_sym_invariant] = ACTIONS(1232),
    [anon_sym_precise] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_in] = ACTIONS(1230),
    [anon_sym_out] = ACTIONS(1230),
    [anon_sym_inout] = ACTIONS(1230),
    [anon_sym_uniform] = ACTIONS(1230),
    [anon_sym_shared] = ACTIONS(1230),
    [anon_sym_attribute] = ACTIONS(1230),
    [anon_sym_varying] = ACTIONS(1230),
    [anon_sym_buffer] = ACTIONS(1230),
    [anon_sym_coherent] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_writeonly] = ACTIONS(1230),
    [anon_sym_precision] = ACTIONS(1230),
    [anon_sym_highp] = ACTIONS(1230),
    [anon_sym_mediump] = ACTIONS(1230),
    [anon_sym_lowp] = ACTIONS(1230),
    [anon_sym_centroid] = ACTIONS(1230),
    [anon_sym_sample] = ACTIONS(1230),
    [anon_sym_patch] = ACTIONS(1230),
    [anon_sym_smooth] = ACTIONS(1230),
    [anon_sym_flat] = ACTIONS(1230),
    [anon_sym_noperspective] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [79] = {
    [sym_declaration] = STATE(670),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1303),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__for_statement_body] = STATE(2152),
    [sym_expression] = STATE(1212),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2412),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(541),
    [sym_layout_specification] = STATE(541),
    [aux_sym_declaration_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1230),
    [anon_sym_invariant] = ACTIONS(1232),
    [anon_sym_precise] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_in] = ACTIONS(1230),
    [anon_sym_out] = ACTIONS(1230),
    [anon_sym_inout] = ACTIONS(1230),
    [anon_sym_uniform] = ACTIONS(1230),
    [anon_sym_shared] = ACTIONS(1230),
    [anon_sym_attribute] = ACTIONS(1230),
    [anon_sym_varying] = ACTIONS(1230),
    [anon_sym_buffer] = ACTIONS(1230),
    [anon_sym_coherent] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_writeonly] = ACTIONS(1230),
    [anon_sym_precision] = ACTIONS(1230),
    [anon_sym_highp] = ACTIONS(1230),
    [anon_sym_mediump] = ACTIONS(1230),
    [anon_sym_lowp] = ACTIONS(1230),
    [anon_sym_centroid] = ACTIONS(1230),
    [anon_sym_sample] = ACTIONS(1230),
    [anon_sym_patch] = ACTIONS(1230),
    [anon_sym_smooth] = ACTIONS(1230),
    [anon_sym_flat] = ACTIONS(1230),
    [anon_sym_noperspective] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [80] = {
    [sym_else_clause] = STATE(88),
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token2] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [aux_sym_preproc_else_token1] = ACTIONS(1238),
    [aux_sym_preproc_elif_token1] = ACTIONS(1238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_subroutine] = ACTIONS(1238),
    [anon_sym_invariant] = ACTIONS(1238),
    [anon_sym_precise] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_out] = ACTIONS(1238),
    [anon_sym_inout] = ACTIONS(1238),
    [anon_sym_uniform] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_attribute] = ACTIONS(1238),
    [anon_sym_varying] = ACTIONS(1238),
    [anon_sym_buffer] = ACTIONS(1238),
    [anon_sym_coherent] = ACTIONS(1238),
    [anon_sym_readonly] = ACTIONS(1238),
    [anon_sym_writeonly] = ACTIONS(1238),
    [anon_sym_precision] = ACTIONS(1238),
    [anon_sym_highp] = ACTIONS(1238),
    [anon_sym_mediump] = ACTIONS(1238),
    [anon_sym_lowp] = ACTIONS(1238),
    [anon_sym_centroid] = ACTIONS(1238),
    [anon_sym_sample] = ACTIONS(1238),
    [anon_sym_patch] = ACTIONS(1238),
    [anon_sym_smooth] = ACTIONS(1238),
    [anon_sym_flat] = ACTIONS(1238),
    [anon_sym_noperspective] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1238),
    [anon_sym_hitAttributeEXT] = ACTIONS(1238),
    [anon_sym_callableDataEXT] = ACTIONS(1238),
    [anon_sym_callableDataInEXT] = ACTIONS(1238),
    [anon_sym_shaderRecordEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadNV] = ACTIONS(1238),
    [anon_sym_rayPayloadInNV] = ACTIONS(1238),
    [anon_sym_hitAttributeNV] = ACTIONS(1238),
    [anon_sym_callableDataNV] = ACTIONS(1238),
    [anon_sym_callableDataInNV] = ACTIONS(1238),
    [anon_sym_shaderRecordNV] = ACTIONS(1238),
    [anon_sym_layout] = ACTIONS(1238),
  },
  [81] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [aux_sym_preproc_else_token1] = ACTIONS(1244),
    [aux_sym_preproc_elif_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_subroutine] = ACTIONS(1244),
    [anon_sym_invariant] = ACTIONS(1244),
    [anon_sym_precise] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_out] = ACTIONS(1244),
    [anon_sym_inout] = ACTIONS(1244),
    [anon_sym_uniform] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_attribute] = ACTIONS(1244),
    [anon_sym_varying] = ACTIONS(1244),
    [anon_sym_buffer] = ACTIONS(1244),
    [anon_sym_coherent] = ACTIONS(1244),
    [anon_sym_readonly] = ACTIONS(1244),
    [anon_sym_writeonly] = ACTIONS(1244),
    [anon_sym_precision] = ACTIONS(1244),
    [anon_sym_highp] = ACTIONS(1244),
    [anon_sym_mediump] = ACTIONS(1244),
    [anon_sym_lowp] = ACTIONS(1244),
    [anon_sym_centroid] = ACTIONS(1244),
    [anon_sym_sample] = ACTIONS(1244),
    [anon_sym_patch] = ACTIONS(1244),
    [anon_sym_smooth] = ACTIONS(1244),
    [anon_sym_flat] = ACTIONS(1244),
    [anon_sym_noperspective] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym___attribute] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym__Nonnull] = ACTIONS(1244),
    [anon_sym_alignas] = ACTIONS(1244),
    [anon_sym__Alignas] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym___try] = ACTIONS(1244),
    [anon_sym___leave] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [anon_sym___asm] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1244),
    [anon_sym_hitAttributeEXT] = ACTIONS(1244),
    [anon_sym_callableDataEXT] = ACTIONS(1244),
    [anon_sym_callableDataInEXT] = ACTIONS(1244),
    [anon_sym_shaderRecordEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadNV] = ACTIONS(1244),
    [anon_sym_rayPayloadInNV] = ACTIONS(1244),
    [anon_sym_hitAttributeNV] = ACTIONS(1244),
    [anon_sym_callableDataNV] = ACTIONS(1244),
    [anon_sym_callableDataInNV] = ACTIONS(1244),
    [anon_sym_shaderRecordNV] = ACTIONS(1244),
    [anon_sym_layout] = ACTIONS(1244),
  },
  [82] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [aux_sym_preproc_else_token1] = ACTIONS(1248),
    [aux_sym_preproc_elif_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_subroutine] = ACTIONS(1248),
    [anon_sym_invariant] = ACTIONS(1248),
    [anon_sym_precise] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1248),
    [anon_sym_out] = ACTIONS(1248),
    [anon_sym_inout] = ACTIONS(1248),
    [anon_sym_uniform] = ACTIONS(1248),
    [anon_sym_shared] = ACTIONS(1248),
    [anon_sym_attribute] = ACTIONS(1248),
    [anon_sym_varying] = ACTIONS(1248),
    [anon_sym_buffer] = ACTIONS(1248),
    [anon_sym_coherent] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_writeonly] = ACTIONS(1248),
    [anon_sym_precision] = ACTIONS(1248),
    [anon_sym_highp] = ACTIONS(1248),
    [anon_sym_mediump] = ACTIONS(1248),
    [anon_sym_lowp] = ACTIONS(1248),
    [anon_sym_centroid] = ACTIONS(1248),
    [anon_sym_sample] = ACTIONS(1248),
    [anon_sym_patch] = ACTIONS(1248),
    [anon_sym_smooth] = ACTIONS(1248),
    [anon_sym_flat] = ACTIONS(1248),
    [anon_sym_noperspective] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym___attribute] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym__Nonnull] = ACTIONS(1248),
    [anon_sym_alignas] = ACTIONS(1248),
    [anon_sym__Alignas] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym___try] = ACTIONS(1248),
    [anon_sym___leave] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [anon_sym___asm] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1248),
    [anon_sym_hitAttributeEXT] = ACTIONS(1248),
    [anon_sym_callableDataEXT] = ACTIONS(1248),
    [anon_sym_callableDataInEXT] = ACTIONS(1248),
    [anon_sym_shaderRecordEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadNV] = ACTIONS(1248),
    [anon_sym_rayPayloadInNV] = ACTIONS(1248),
    [anon_sym_hitAttributeNV] = ACTIONS(1248),
    [anon_sym_callableDataNV] = ACTIONS(1248),
    [anon_sym_callableDataInNV] = ACTIONS(1248),
    [anon_sym_shaderRecordNV] = ACTIONS(1248),
    [anon_sym_layout] = ACTIONS(1248),
  },
  [83] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [aux_sym_preproc_else_token1] = ACTIONS(1252),
    [aux_sym_preproc_elif_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_subroutine] = ACTIONS(1252),
    [anon_sym_invariant] = ACTIONS(1252),
    [anon_sym_precise] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_in] = ACTIONS(1252),
    [anon_sym_out] = ACTIONS(1252),
    [anon_sym_inout] = ACTIONS(1252),
    [anon_sym_uniform] = ACTIONS(1252),
    [anon_sym_shared] = ACTIONS(1252),
    [anon_sym_attribute] = ACTIONS(1252),
    [anon_sym_varying] = ACTIONS(1252),
    [anon_sym_buffer] = ACTIONS(1252),
    [anon_sym_coherent] = ACTIONS(1252),
    [anon_sym_readonly] = ACTIONS(1252),
    [anon_sym_writeonly] = ACTIONS(1252),
    [anon_sym_precision] = ACTIONS(1252),
    [anon_sym_highp] = ACTIONS(1252),
    [anon_sym_mediump] = ACTIONS(1252),
    [anon_sym_lowp] = ACTIONS(1252),
    [anon_sym_centroid] = ACTIONS(1252),
    [anon_sym_sample] = ACTIONS(1252),
    [anon_sym_patch] = ACTIONS(1252),
    [anon_sym_smooth] = ACTIONS(1252),
    [anon_sym_flat] = ACTIONS(1252),
    [anon_sym_noperspective] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym___attribute] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym__Nonnull] = ACTIONS(1252),
    [anon_sym_alignas] = ACTIONS(1252),
    [anon_sym__Alignas] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1252),
    [anon_sym___leave] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [anon_sym___asm] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1252),
    [anon_sym_hitAttributeEXT] = ACTIONS(1252),
    [anon_sym_callableDataEXT] = ACTIONS(1252),
    [anon_sym_callableDataInEXT] = ACTIONS(1252),
    [anon_sym_shaderRecordEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadNV] = ACTIONS(1252),
    [anon_sym_rayPayloadInNV] = ACTIONS(1252),
    [anon_sym_hitAttributeNV] = ACTIONS(1252),
    [anon_sym_callableDataNV] = ACTIONS(1252),
    [anon_sym_callableDataInNV] = ACTIONS(1252),
    [anon_sym_shaderRecordNV] = ACTIONS(1252),
    [anon_sym_layout] = ACTIONS(1252),
  },
  [84] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [aux_sym_preproc_else_token1] = ACTIONS(1256),
    [aux_sym_preproc_elif_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [85] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [aux_sym_preproc_else_token1] = ACTIONS(1256),
    [aux_sym_preproc_elif_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [86] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [aux_sym_preproc_else_token1] = ACTIONS(1260),
    [aux_sym_preproc_elif_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_subroutine] = ACTIONS(1260),
    [anon_sym_invariant] = ACTIONS(1260),
    [anon_sym_precise] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1260),
    [anon_sym_out] = ACTIONS(1260),
    [anon_sym_inout] = ACTIONS(1260),
    [anon_sym_uniform] = ACTIONS(1260),
    [anon_sym_shared] = ACTIONS(1260),
    [anon_sym_attribute] = ACTIONS(1260),
    [anon_sym_varying] = ACTIONS(1260),
    [anon_sym_buffer] = ACTIONS(1260),
    [anon_sym_coherent] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_writeonly] = ACTIONS(1260),
    [anon_sym_precision] = ACTIONS(1260),
    [anon_sym_highp] = ACTIONS(1260),
    [anon_sym_mediump] = ACTIONS(1260),
    [anon_sym_lowp] = ACTIONS(1260),
    [anon_sym_centroid] = ACTIONS(1260),
    [anon_sym_sample] = ACTIONS(1260),
    [anon_sym_patch] = ACTIONS(1260),
    [anon_sym_smooth] = ACTIONS(1260),
    [anon_sym_flat] = ACTIONS(1260),
    [anon_sym_noperspective] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym___attribute] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym__Nonnull] = ACTIONS(1260),
    [anon_sym_alignas] = ACTIONS(1260),
    [anon_sym__Alignas] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym___try] = ACTIONS(1260),
    [anon_sym___leave] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [anon_sym___asm] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1260),
    [anon_sym_hitAttributeEXT] = ACTIONS(1260),
    [anon_sym_callableDataEXT] = ACTIONS(1260),
    [anon_sym_callableDataInEXT] = ACTIONS(1260),
    [anon_sym_shaderRecordEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadNV] = ACTIONS(1260),
    [anon_sym_rayPayloadInNV] = ACTIONS(1260),
    [anon_sym_hitAttributeNV] = ACTIONS(1260),
    [anon_sym_callableDataNV] = ACTIONS(1260),
    [anon_sym_callableDataInNV] = ACTIONS(1260),
    [anon_sym_shaderRecordNV] = ACTIONS(1260),
    [anon_sym_layout] = ACTIONS(1260),
  },
  [87] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [aux_sym_preproc_else_token1] = ACTIONS(1264),
    [aux_sym_preproc_elif_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_subroutine] = ACTIONS(1264),
    [anon_sym_invariant] = ACTIONS(1264),
    [anon_sym_precise] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_in] = ACTIONS(1264),
    [anon_sym_out] = ACTIONS(1264),
    [anon_sym_inout] = ACTIONS(1264),
    [anon_sym_uniform] = ACTIONS(1264),
    [anon_sym_shared] = ACTIONS(1264),
    [anon_sym_attribute] = ACTIONS(1264),
    [anon_sym_varying] = ACTIONS(1264),
    [anon_sym_buffer] = ACTIONS(1264),
    [anon_sym_coherent] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_writeonly] = ACTIONS(1264),
    [anon_sym_precision] = ACTIONS(1264),
    [anon_sym_highp] = ACTIONS(1264),
    [anon_sym_mediump] = ACTIONS(1264),
    [anon_sym_lowp] = ACTIONS(1264),
    [anon_sym_centroid] = ACTIONS(1264),
    [anon_sym_sample] = ACTIONS(1264),
    [anon_sym_patch] = ACTIONS(1264),
    [anon_sym_smooth] = ACTIONS(1264),
    [anon_sym_flat] = ACTIONS(1264),
    [anon_sym_noperspective] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym___attribute] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym__Nonnull] = ACTIONS(1264),
    [anon_sym_alignas] = ACTIONS(1264),
    [anon_sym__Alignas] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym___try] = ACTIONS(1264),
    [anon_sym___leave] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [anon_sym___asm] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1264),
    [anon_sym_hitAttributeEXT] = ACTIONS(1264),
    [anon_sym_callableDataEXT] = ACTIONS(1264),
    [anon_sym_callableDataInEXT] = ACTIONS(1264),
    [anon_sym_shaderRecordEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadNV] = ACTIONS(1264),
    [anon_sym_rayPayloadInNV] = ACTIONS(1264),
    [anon_sym_hitAttributeNV] = ACTIONS(1264),
    [anon_sym_callableDataNV] = ACTIONS(1264),
    [anon_sym_callableDataInNV] = ACTIONS(1264),
    [anon_sym_shaderRecordNV] = ACTIONS(1264),
    [anon_sym_layout] = ACTIONS(1264),
  },
  [88] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [aux_sym_preproc_else_token1] = ACTIONS(1268),
    [aux_sym_preproc_elif_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_subroutine] = ACTIONS(1268),
    [anon_sym_invariant] = ACTIONS(1268),
    [anon_sym_precise] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1268),
    [anon_sym_out] = ACTIONS(1268),
    [anon_sym_inout] = ACTIONS(1268),
    [anon_sym_uniform] = ACTIONS(1268),
    [anon_sym_shared] = ACTIONS(1268),
    [anon_sym_attribute] = ACTIONS(1268),
    [anon_sym_varying] = ACTIONS(1268),
    [anon_sym_buffer] = ACTIONS(1268),
    [anon_sym_coherent] = ACTIONS(1268),
    [anon_sym_readonly] = ACTIONS(1268),
    [anon_sym_writeonly] = ACTIONS(1268),
    [anon_sym_precision] = ACTIONS(1268),
    [anon_sym_highp] = ACTIONS(1268),
    [anon_sym_mediump] = ACTIONS(1268),
    [anon_sym_lowp] = ACTIONS(1268),
    [anon_sym_centroid] = ACTIONS(1268),
    [anon_sym_sample] = ACTIONS(1268),
    [anon_sym_patch] = ACTIONS(1268),
    [anon_sym_smooth] = ACTIONS(1268),
    [anon_sym_flat] = ACTIONS(1268),
    [anon_sym_noperspective] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym___attribute] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym__Nonnull] = ACTIONS(1268),
    [anon_sym_alignas] = ACTIONS(1268),
    [anon_sym__Alignas] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [anon_sym___asm] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1268),
    [anon_sym_hitAttributeEXT] = ACTIONS(1268),
    [anon_sym_callableDataEXT] = ACTIONS(1268),
    [anon_sym_callableDataInEXT] = ACTIONS(1268),
    [anon_sym_shaderRecordEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadNV] = ACTIONS(1268),
    [anon_sym_rayPayloadInNV] = ACTIONS(1268),
    [anon_sym_hitAttributeNV] = ACTIONS(1268),
    [anon_sym_callableDataNV] = ACTIONS(1268),
    [anon_sym_callableDataInNV] = ACTIONS(1268),
    [anon_sym_shaderRecordNV] = ACTIONS(1268),
    [anon_sym_layout] = ACTIONS(1268),
  },
  [89] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [aux_sym_preproc_else_token1] = ACTIONS(1272),
    [aux_sym_preproc_elif_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_subroutine] = ACTIONS(1272),
    [anon_sym_invariant] = ACTIONS(1272),
    [anon_sym_precise] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_out] = ACTIONS(1272),
    [anon_sym_inout] = ACTIONS(1272),
    [anon_sym_uniform] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_attribute] = ACTIONS(1272),
    [anon_sym_varying] = ACTIONS(1272),
    [anon_sym_buffer] = ACTIONS(1272),
    [anon_sym_coherent] = ACTIONS(1272),
    [anon_sym_readonly] = ACTIONS(1272),
    [anon_sym_writeonly] = ACTIONS(1272),
    [anon_sym_precision] = ACTIONS(1272),
    [anon_sym_highp] = ACTIONS(1272),
    [anon_sym_mediump] = ACTIONS(1272),
    [anon_sym_lowp] = ACTIONS(1272),
    [anon_sym_centroid] = ACTIONS(1272),
    [anon_sym_sample] = ACTIONS(1272),
    [anon_sym_patch] = ACTIONS(1272),
    [anon_sym_smooth] = ACTIONS(1272),
    [anon_sym_flat] = ACTIONS(1272),
    [anon_sym_noperspective] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym___attribute] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym__Nonnull] = ACTIONS(1272),
    [anon_sym_alignas] = ACTIONS(1272),
    [anon_sym__Alignas] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym___try] = ACTIONS(1272),
    [anon_sym___leave] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [anon_sym___asm] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1272),
    [anon_sym_hitAttributeEXT] = ACTIONS(1272),
    [anon_sym_callableDataEXT] = ACTIONS(1272),
    [anon_sym_callableDataInEXT] = ACTIONS(1272),
    [anon_sym_shaderRecordEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadNV] = ACTIONS(1272),
    [anon_sym_rayPayloadInNV] = ACTIONS(1272),
    [anon_sym_hitAttributeNV] = ACTIONS(1272),
    [anon_sym_callableDataNV] = ACTIONS(1272),
    [anon_sym_callableDataInNV] = ACTIONS(1272),
    [anon_sym_shaderRecordNV] = ACTIONS(1272),
    [anon_sym_layout] = ACTIONS(1272),
  },
  [90] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [aux_sym_preproc_else_token1] = ACTIONS(1276),
    [aux_sym_preproc_elif_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [aux_sym_preproc_else_token1] = ACTIONS(1276),
    [aux_sym_preproc_elif_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [aux_sym_preproc_else_token1] = ACTIONS(1280),
    [aux_sym_preproc_elif_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [aux_sym_preproc_else_token1] = ACTIONS(1280),
    [aux_sym_preproc_elif_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [aux_sym_preproc_else_token1] = ACTIONS(1288),
    [aux_sym_preproc_elif_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_subroutine] = ACTIONS(1288),
    [anon_sym_invariant] = ACTIONS(1288),
    [anon_sym_precise] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_out] = ACTIONS(1288),
    [anon_sym_inout] = ACTIONS(1288),
    [anon_sym_uniform] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_attribute] = ACTIONS(1288),
    [anon_sym_varying] = ACTIONS(1288),
    [anon_sym_buffer] = ACTIONS(1288),
    [anon_sym_coherent] = ACTIONS(1288),
    [anon_sym_readonly] = ACTIONS(1288),
    [anon_sym_writeonly] = ACTIONS(1288),
    [anon_sym_precision] = ACTIONS(1288),
    [anon_sym_highp] = ACTIONS(1288),
    [anon_sym_mediump] = ACTIONS(1288),
    [anon_sym_lowp] = ACTIONS(1288),
    [anon_sym_centroid] = ACTIONS(1288),
    [anon_sym_sample] = ACTIONS(1288),
    [anon_sym_patch] = ACTIONS(1288),
    [anon_sym_smooth] = ACTIONS(1288),
    [anon_sym_flat] = ACTIONS(1288),
    [anon_sym_noperspective] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym___attribute] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym__Nonnull] = ACTIONS(1288),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym___try] = ACTIONS(1288),
    [anon_sym___leave] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [anon_sym___asm] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1288),
    [anon_sym_hitAttributeEXT] = ACTIONS(1288),
    [anon_sym_callableDataEXT] = ACTIONS(1288),
    [anon_sym_callableDataInEXT] = ACTIONS(1288),
    [anon_sym_shaderRecordEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadNV] = ACTIONS(1288),
    [anon_sym_rayPayloadInNV] = ACTIONS(1288),
    [anon_sym_hitAttributeNV] = ACTIONS(1288),
    [anon_sym_callableDataNV] = ACTIONS(1288),
    [anon_sym_callableDataInNV] = ACTIONS(1288),
    [anon_sym_shaderRecordNV] = ACTIONS(1288),
    [anon_sym_layout] = ACTIONS(1288),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_subroutine] = ACTIONS(1292),
    [anon_sym_invariant] = ACTIONS(1292),
    [anon_sym_precise] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_out] = ACTIONS(1292),
    [anon_sym_inout] = ACTIONS(1292),
    [anon_sym_uniform] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_attribute] = ACTIONS(1292),
    [anon_sym_varying] = ACTIONS(1292),
    [anon_sym_buffer] = ACTIONS(1292),
    [anon_sym_coherent] = ACTIONS(1292),
    [anon_sym_readonly] = ACTIONS(1292),
    [anon_sym_writeonly] = ACTIONS(1292),
    [anon_sym_precision] = ACTIONS(1292),
    [anon_sym_highp] = ACTIONS(1292),
    [anon_sym_mediump] = ACTIONS(1292),
    [anon_sym_lowp] = ACTIONS(1292),
    [anon_sym_centroid] = ACTIONS(1292),
    [anon_sym_sample] = ACTIONS(1292),
    [anon_sym_patch] = ACTIONS(1292),
    [anon_sym_smooth] = ACTIONS(1292),
    [anon_sym_flat] = ACTIONS(1292),
    [anon_sym_noperspective] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym___attribute] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym__Nonnull] = ACTIONS(1292),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [anon_sym___asm] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1292),
    [anon_sym_hitAttributeEXT] = ACTIONS(1292),
    [anon_sym_callableDataEXT] = ACTIONS(1292),
    [anon_sym_callableDataInEXT] = ACTIONS(1292),
    [anon_sym_shaderRecordEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadNV] = ACTIONS(1292),
    [anon_sym_rayPayloadInNV] = ACTIONS(1292),
    [anon_sym_hitAttributeNV] = ACTIONS(1292),
    [anon_sym_callableDataNV] = ACTIONS(1292),
    [anon_sym_callableDataInNV] = ACTIONS(1292),
    [anon_sym_shaderRecordNV] = ACTIONS(1292),
    [anon_sym_layout] = ACTIONS(1292),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [aux_sym_preproc_else_token1] = ACTIONS(1296),
    [aux_sym_preproc_elif_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_subroutine] = ACTIONS(1296),
    [anon_sym_invariant] = ACTIONS(1296),
    [anon_sym_precise] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_out] = ACTIONS(1296),
    [anon_sym_inout] = ACTIONS(1296),
    [anon_sym_uniform] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_attribute] = ACTIONS(1296),
    [anon_sym_varying] = ACTIONS(1296),
    [anon_sym_buffer] = ACTIONS(1296),
    [anon_sym_coherent] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_writeonly] = ACTIONS(1296),
    [anon_sym_precision] = ACTIONS(1296),
    [anon_sym_highp] = ACTIONS(1296),
    [anon_sym_mediump] = ACTIONS(1296),
    [anon_sym_lowp] = ACTIONS(1296),
    [anon_sym_centroid] = ACTIONS(1296),
    [anon_sym_sample] = ACTIONS(1296),
    [anon_sym_patch] = ACTIONS(1296),
    [anon_sym_smooth] = ACTIONS(1296),
    [anon_sym_flat] = ACTIONS(1296),
    [anon_sym_noperspective] = ACTIONS(1296),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym___attribute] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym__Nonnull] = ACTIONS(1296),
    [anon_sym_alignas] = ACTIONS(1296),
    [anon_sym__Alignas] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym___try] = ACTIONS(1296),
    [anon_sym___leave] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [anon_sym___asm] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1296),
    [anon_sym_hitAttributeEXT] = ACTIONS(1296),
    [anon_sym_callableDataEXT] = ACTIONS(1296),
    [anon_sym_callableDataInEXT] = ACTIONS(1296),
    [anon_sym_shaderRecordEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadNV] = ACTIONS(1296),
    [anon_sym_rayPayloadInNV] = ACTIONS(1296),
    [anon_sym_hitAttributeNV] = ACTIONS(1296),
    [anon_sym_callableDataNV] = ACTIONS(1296),
    [anon_sym_callableDataInNV] = ACTIONS(1296),
    [anon_sym_shaderRecordNV] = ACTIONS(1296),
    [anon_sym_layout] = ACTIONS(1296),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1300),
    [aux_sym_preproc_elif_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_subroutine] = ACTIONS(1300),
    [anon_sym_invariant] = ACTIONS(1300),
    [anon_sym_precise] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_out] = ACTIONS(1300),
    [anon_sym_inout] = ACTIONS(1300),
    [anon_sym_uniform] = ACTIONS(1300),
    [anon_sym_shared] = ACTIONS(1300),
    [anon_sym_attribute] = ACTIONS(1300),
    [anon_sym_varying] = ACTIONS(1300),
    [anon_sym_buffer] = ACTIONS(1300),
    [anon_sym_coherent] = ACTIONS(1300),
    [anon_sym_readonly] = ACTIONS(1300),
    [anon_sym_writeonly] = ACTIONS(1300),
    [anon_sym_precision] = ACTIONS(1300),
    [anon_sym_highp] = ACTIONS(1300),
    [anon_sym_mediump] = ACTIONS(1300),
    [anon_sym_lowp] = ACTIONS(1300),
    [anon_sym_centroid] = ACTIONS(1300),
    [anon_sym_sample] = ACTIONS(1300),
    [anon_sym_patch] = ACTIONS(1300),
    [anon_sym_smooth] = ACTIONS(1300),
    [anon_sym_flat] = ACTIONS(1300),
    [anon_sym_noperspective] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1300),
    [anon_sym_hitAttributeEXT] = ACTIONS(1300),
    [anon_sym_callableDataEXT] = ACTIONS(1300),
    [anon_sym_callableDataInEXT] = ACTIONS(1300),
    [anon_sym_shaderRecordEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadNV] = ACTIONS(1300),
    [anon_sym_rayPayloadInNV] = ACTIONS(1300),
    [anon_sym_hitAttributeNV] = ACTIONS(1300),
    [anon_sym_callableDataNV] = ACTIONS(1300),
    [anon_sym_callableDataInNV] = ACTIONS(1300),
    [anon_sym_shaderRecordNV] = ACTIONS(1300),
    [anon_sym_layout] = ACTIONS(1300),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1304),
    [aux_sym_preproc_elif_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_subroutine] = ACTIONS(1304),
    [anon_sym_invariant] = ACTIONS(1304),
    [anon_sym_precise] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_in] = ACTIONS(1304),
    [anon_sym_out] = ACTIONS(1304),
    [anon_sym_inout] = ACTIONS(1304),
    [anon_sym_uniform] = ACTIONS(1304),
    [anon_sym_shared] = ACTIONS(1304),
    [anon_sym_attribute] = ACTIONS(1304),
    [anon_sym_varying] = ACTIONS(1304),
    [anon_sym_buffer] = ACTIONS(1304),
    [anon_sym_coherent] = ACTIONS(1304),
    [anon_sym_readonly] = ACTIONS(1304),
    [anon_sym_writeonly] = ACTIONS(1304),
    [anon_sym_precision] = ACTIONS(1304),
    [anon_sym_highp] = ACTIONS(1304),
    [anon_sym_mediump] = ACTIONS(1304),
    [anon_sym_lowp] = ACTIONS(1304),
    [anon_sym_centroid] = ACTIONS(1304),
    [anon_sym_sample] = ACTIONS(1304),
    [anon_sym_patch] = ACTIONS(1304),
    [anon_sym_smooth] = ACTIONS(1304),
    [anon_sym_flat] = ACTIONS(1304),
    [anon_sym_noperspective] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1304),
    [anon_sym_hitAttributeEXT] = ACTIONS(1304),
    [anon_sym_callableDataEXT] = ACTIONS(1304),
    [anon_sym_callableDataInEXT] = ACTIONS(1304),
    [anon_sym_shaderRecordEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadNV] = ACTIONS(1304),
    [anon_sym_rayPayloadInNV] = ACTIONS(1304),
    [anon_sym_hitAttributeNV] = ACTIONS(1304),
    [anon_sym_callableDataNV] = ACTIONS(1304),
    [anon_sym_callableDataInNV] = ACTIONS(1304),
    [anon_sym_shaderRecordNV] = ACTIONS(1304),
    [anon_sym_layout] = ACTIONS(1304),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_subroutine] = ACTIONS(1308),
    [anon_sym_invariant] = ACTIONS(1308),
    [anon_sym_precise] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_in] = ACTIONS(1308),
    [anon_sym_out] = ACTIONS(1308),
    [anon_sym_inout] = ACTIONS(1308),
    [anon_sym_uniform] = ACTIONS(1308),
    [anon_sym_shared] = ACTIONS(1308),
    [anon_sym_attribute] = ACTIONS(1308),
    [anon_sym_varying] = ACTIONS(1308),
    [anon_sym_buffer] = ACTIONS(1308),
    [anon_sym_coherent] = ACTIONS(1308),
    [anon_sym_readonly] = ACTIONS(1308),
    [anon_sym_writeonly] = ACTIONS(1308),
    [anon_sym_precision] = ACTIONS(1308),
    [anon_sym_highp] = ACTIONS(1308),
    [anon_sym_mediump] = ACTIONS(1308),
    [anon_sym_lowp] = ACTIONS(1308),
    [anon_sym_centroid] = ACTIONS(1308),
    [anon_sym_sample] = ACTIONS(1308),
    [anon_sym_patch] = ACTIONS(1308),
    [anon_sym_smooth] = ACTIONS(1308),
    [anon_sym_flat] = ACTIONS(1308),
    [anon_sym_noperspective] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1308),
    [anon_sym_hitAttributeEXT] = ACTIONS(1308),
    [anon_sym_callableDataEXT] = ACTIONS(1308),
    [anon_sym_callableDataInEXT] = ACTIONS(1308),
    [anon_sym_shaderRecordEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadNV] = ACTIONS(1308),
    [anon_sym_rayPayloadInNV] = ACTIONS(1308),
    [anon_sym_hitAttributeNV] = ACTIONS(1308),
    [anon_sym_callableDataNV] = ACTIONS(1308),
    [anon_sym_callableDataInNV] = ACTIONS(1308),
    [anon_sym_shaderRecordNV] = ACTIONS(1308),
    [anon_sym_layout] = ACTIONS(1308),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_subroutine] = ACTIONS(1312),
    [anon_sym_invariant] = ACTIONS(1312),
    [anon_sym_precise] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_in] = ACTIONS(1312),
    [anon_sym_out] = ACTIONS(1312),
    [anon_sym_inout] = ACTIONS(1312),
    [anon_sym_uniform] = ACTIONS(1312),
    [anon_sym_shared] = ACTIONS(1312),
    [anon_sym_attribute] = ACTIONS(1312),
    [anon_sym_varying] = ACTIONS(1312),
    [anon_sym_buffer] = ACTIONS(1312),
    [anon_sym_coherent] = ACTIONS(1312),
    [anon_sym_readonly] = ACTIONS(1312),
    [anon_sym_writeonly] = ACTIONS(1312),
    [anon_sym_precision] = ACTIONS(1312),
    [anon_sym_highp] = ACTIONS(1312),
    [anon_sym_mediump] = ACTIONS(1312),
    [anon_sym_lowp] = ACTIONS(1312),
    [anon_sym_centroid] = ACTIONS(1312),
    [anon_sym_sample] = ACTIONS(1312),
    [anon_sym_patch] = ACTIONS(1312),
    [anon_sym_smooth] = ACTIONS(1312),
    [anon_sym_flat] = ACTIONS(1312),
    [anon_sym_noperspective] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1312),
    [anon_sym_hitAttributeEXT] = ACTIONS(1312),
    [anon_sym_callableDataEXT] = ACTIONS(1312),
    [anon_sym_callableDataInEXT] = ACTIONS(1312),
    [anon_sym_shaderRecordEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadNV] = ACTIONS(1312),
    [anon_sym_rayPayloadInNV] = ACTIONS(1312),
    [anon_sym_hitAttributeNV] = ACTIONS(1312),
    [anon_sym_callableDataNV] = ACTIONS(1312),
    [anon_sym_callableDataInNV] = ACTIONS(1312),
    [anon_sym_shaderRecordNV] = ACTIONS(1312),
    [anon_sym_layout] = ACTIONS(1312),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1320),
    [aux_sym_preproc_elif_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_subroutine] = ACTIONS(1320),
    [anon_sym_invariant] = ACTIONS(1320),
    [anon_sym_precise] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_in] = ACTIONS(1320),
    [anon_sym_out] = ACTIONS(1320),
    [anon_sym_inout] = ACTIONS(1320),
    [anon_sym_uniform] = ACTIONS(1320),
    [anon_sym_shared] = ACTIONS(1320),
    [anon_sym_attribute] = ACTIONS(1320),
    [anon_sym_varying] = ACTIONS(1320),
    [anon_sym_buffer] = ACTIONS(1320),
    [anon_sym_coherent] = ACTIONS(1320),
    [anon_sym_readonly] = ACTIONS(1320),
    [anon_sym_writeonly] = ACTIONS(1320),
    [anon_sym_precision] = ACTIONS(1320),
    [anon_sym_highp] = ACTIONS(1320),
    [anon_sym_mediump] = ACTIONS(1320),
    [anon_sym_lowp] = ACTIONS(1320),
    [anon_sym_centroid] = ACTIONS(1320),
    [anon_sym_sample] = ACTIONS(1320),
    [anon_sym_patch] = ACTIONS(1320),
    [anon_sym_smooth] = ACTIONS(1320),
    [anon_sym_flat] = ACTIONS(1320),
    [anon_sym_noperspective] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1320),
    [anon_sym_hitAttributeEXT] = ACTIONS(1320),
    [anon_sym_callableDataEXT] = ACTIONS(1320),
    [anon_sym_callableDataInEXT] = ACTIONS(1320),
    [anon_sym_shaderRecordEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadNV] = ACTIONS(1320),
    [anon_sym_rayPayloadInNV] = ACTIONS(1320),
    [anon_sym_hitAttributeNV] = ACTIONS(1320),
    [anon_sym_callableDataNV] = ACTIONS(1320),
    [anon_sym_callableDataInNV] = ACTIONS(1320),
    [anon_sym_shaderRecordNV] = ACTIONS(1320),
    [anon_sym_layout] = ACTIONS(1320),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1332),
    [aux_sym_preproc_elif_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_subroutine] = ACTIONS(1332),
    [anon_sym_invariant] = ACTIONS(1332),
    [anon_sym_precise] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_out] = ACTIONS(1332),
    [anon_sym_inout] = ACTIONS(1332),
    [anon_sym_uniform] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_attribute] = ACTIONS(1332),
    [anon_sym_varying] = ACTIONS(1332),
    [anon_sym_buffer] = ACTIONS(1332),
    [anon_sym_coherent] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_writeonly] = ACTIONS(1332),
    [anon_sym_precision] = ACTIONS(1332),
    [anon_sym_highp] = ACTIONS(1332),
    [anon_sym_mediump] = ACTIONS(1332),
    [anon_sym_lowp] = ACTIONS(1332),
    [anon_sym_centroid] = ACTIONS(1332),
    [anon_sym_sample] = ACTIONS(1332),
    [anon_sym_patch] = ACTIONS(1332),
    [anon_sym_smooth] = ACTIONS(1332),
    [anon_sym_flat] = ACTIONS(1332),
    [anon_sym_noperspective] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1332),
    [anon_sym_hitAttributeEXT] = ACTIONS(1332),
    [anon_sym_callableDataEXT] = ACTIONS(1332),
    [anon_sym_callableDataInEXT] = ACTIONS(1332),
    [anon_sym_shaderRecordEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadNV] = ACTIONS(1332),
    [anon_sym_rayPayloadInNV] = ACTIONS(1332),
    [anon_sym_hitAttributeNV] = ACTIONS(1332),
    [anon_sym_callableDataNV] = ACTIONS(1332),
    [anon_sym_callableDataInNV] = ACTIONS(1332),
    [anon_sym_shaderRecordNV] = ACTIONS(1332),
    [anon_sym_layout] = ACTIONS(1332),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_subroutine] = ACTIONS(1336),
    [anon_sym_invariant] = ACTIONS(1336),
    [anon_sym_precise] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_out] = ACTIONS(1336),
    [anon_sym_inout] = ACTIONS(1336),
    [anon_sym_uniform] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_attribute] = ACTIONS(1336),
    [anon_sym_varying] = ACTIONS(1336),
    [anon_sym_buffer] = ACTIONS(1336),
    [anon_sym_coherent] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_writeonly] = ACTIONS(1336),
    [anon_sym_precision] = ACTIONS(1336),
    [anon_sym_highp] = ACTIONS(1336),
    [anon_sym_mediump] = ACTIONS(1336),
    [anon_sym_lowp] = ACTIONS(1336),
    [anon_sym_centroid] = ACTIONS(1336),
    [anon_sym_sample] = ACTIONS(1336),
    [anon_sym_patch] = ACTIONS(1336),
    [anon_sym_smooth] = ACTIONS(1336),
    [anon_sym_flat] = ACTIONS(1336),
    [anon_sym_noperspective] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1336),
    [anon_sym_hitAttributeEXT] = ACTIONS(1336),
    [anon_sym_callableDataEXT] = ACTIONS(1336),
    [anon_sym_callableDataInEXT] = ACTIONS(1336),
    [anon_sym_shaderRecordEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadNV] = ACTIONS(1336),
    [anon_sym_rayPayloadInNV] = ACTIONS(1336),
    [anon_sym_hitAttributeNV] = ACTIONS(1336),
    [anon_sym_callableDataNV] = ACTIONS(1336),
    [anon_sym_callableDataInNV] = ACTIONS(1336),
    [anon_sym_shaderRecordNV] = ACTIONS(1336),
    [anon_sym_layout] = ACTIONS(1336),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1340),
    [aux_sym_preproc_elif_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_subroutine] = ACTIONS(1340),
    [anon_sym_invariant] = ACTIONS(1340),
    [anon_sym_precise] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_in] = ACTIONS(1340),
    [anon_sym_out] = ACTIONS(1340),
    [anon_sym_inout] = ACTIONS(1340),
    [anon_sym_uniform] = ACTIONS(1340),
    [anon_sym_shared] = ACTIONS(1340),
    [anon_sym_attribute] = ACTIONS(1340),
    [anon_sym_varying] = ACTIONS(1340),
    [anon_sym_buffer] = ACTIONS(1340),
    [anon_sym_coherent] = ACTIONS(1340),
    [anon_sym_readonly] = ACTIONS(1340),
    [anon_sym_writeonly] = ACTIONS(1340),
    [anon_sym_precision] = ACTIONS(1340),
    [anon_sym_highp] = ACTIONS(1340),
    [anon_sym_mediump] = ACTIONS(1340),
    [anon_sym_lowp] = ACTIONS(1340),
    [anon_sym_centroid] = ACTIONS(1340),
    [anon_sym_sample] = ACTIONS(1340),
    [anon_sym_patch] = ACTIONS(1340),
    [anon_sym_smooth] = ACTIONS(1340),
    [anon_sym_flat] = ACTIONS(1340),
    [anon_sym_noperspective] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1340),
    [anon_sym_hitAttributeEXT] = ACTIONS(1340),
    [anon_sym_callableDataEXT] = ACTIONS(1340),
    [anon_sym_callableDataInEXT] = ACTIONS(1340),
    [anon_sym_shaderRecordEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadNV] = ACTIONS(1340),
    [anon_sym_rayPayloadInNV] = ACTIONS(1340),
    [anon_sym_hitAttributeNV] = ACTIONS(1340),
    [anon_sym_callableDataNV] = ACTIONS(1340),
    [anon_sym_callableDataInNV] = ACTIONS(1340),
    [anon_sym_shaderRecordNV] = ACTIONS(1340),
    [anon_sym_layout] = ACTIONS(1340),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_subroutine] = ACTIONS(1344),
    [anon_sym_invariant] = ACTIONS(1344),
    [anon_sym_precise] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_in] = ACTIONS(1344),
    [anon_sym_out] = ACTIONS(1344),
    [anon_sym_inout] = ACTIONS(1344),
    [anon_sym_uniform] = ACTIONS(1344),
    [anon_sym_shared] = ACTIONS(1344),
    [anon_sym_attribute] = ACTIONS(1344),
    [anon_sym_varying] = ACTIONS(1344),
    [anon_sym_buffer] = ACTIONS(1344),
    [anon_sym_coherent] = ACTIONS(1344),
    [anon_sym_readonly] = ACTIONS(1344),
    [anon_sym_writeonly] = ACTIONS(1344),
    [anon_sym_precision] = ACTIONS(1344),
    [anon_sym_highp] = ACTIONS(1344),
    [anon_sym_mediump] = ACTIONS(1344),
    [anon_sym_lowp] = ACTIONS(1344),
    [anon_sym_centroid] = ACTIONS(1344),
    [anon_sym_sample] = ACTIONS(1344),
    [anon_sym_patch] = ACTIONS(1344),
    [anon_sym_smooth] = ACTIONS(1344),
    [anon_sym_flat] = ACTIONS(1344),
    [anon_sym_noperspective] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1344),
    [anon_sym_hitAttributeEXT] = ACTIONS(1344),
    [anon_sym_callableDataEXT] = ACTIONS(1344),
    [anon_sym_callableDataInEXT] = ACTIONS(1344),
    [anon_sym_shaderRecordEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadNV] = ACTIONS(1344),
    [anon_sym_rayPayloadInNV] = ACTIONS(1344),
    [anon_sym_hitAttributeNV] = ACTIONS(1344),
    [anon_sym_callableDataNV] = ACTIONS(1344),
    [anon_sym_callableDataInNV] = ACTIONS(1344),
    [anon_sym_shaderRecordNV] = ACTIONS(1344),
    [anon_sym_layout] = ACTIONS(1344),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(1348),
    [aux_sym_preproc_elif_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(1348),
    [aux_sym_preproc_elif_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_subroutine] = ACTIONS(1352),
    [anon_sym_invariant] = ACTIONS(1352),
    [anon_sym_precise] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1352),
    [anon_sym_out] = ACTIONS(1352),
    [anon_sym_inout] = ACTIONS(1352),
    [anon_sym_uniform] = ACTIONS(1352),
    [anon_sym_shared] = ACTIONS(1352),
    [anon_sym_attribute] = ACTIONS(1352),
    [anon_sym_varying] = ACTIONS(1352),
    [anon_sym_buffer] = ACTIONS(1352),
    [anon_sym_coherent] = ACTIONS(1352),
    [anon_sym_readonly] = ACTIONS(1352),
    [anon_sym_writeonly] = ACTIONS(1352),
    [anon_sym_precision] = ACTIONS(1352),
    [anon_sym_highp] = ACTIONS(1352),
    [anon_sym_mediump] = ACTIONS(1352),
    [anon_sym_lowp] = ACTIONS(1352),
    [anon_sym_centroid] = ACTIONS(1352),
    [anon_sym_sample] = ACTIONS(1352),
    [anon_sym_patch] = ACTIONS(1352),
    [anon_sym_smooth] = ACTIONS(1352),
    [anon_sym_flat] = ACTIONS(1352),
    [anon_sym_noperspective] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1352),
    [anon_sym_hitAttributeEXT] = ACTIONS(1352),
    [anon_sym_callableDataEXT] = ACTIONS(1352),
    [anon_sym_callableDataInEXT] = ACTIONS(1352),
    [anon_sym_shaderRecordEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadNV] = ACTIONS(1352),
    [anon_sym_rayPayloadInNV] = ACTIONS(1352),
    [anon_sym_hitAttributeNV] = ACTIONS(1352),
    [anon_sym_callableDataNV] = ACTIONS(1352),
    [anon_sym_callableDataInNV] = ACTIONS(1352),
    [anon_sym_shaderRecordNV] = ACTIONS(1352),
    [anon_sym_layout] = ACTIONS(1352),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [aux_sym_preproc_else_token1] = ACTIONS(1356),
    [aux_sym_preproc_elif_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_subroutine] = ACTIONS(1356),
    [anon_sym_invariant] = ACTIONS(1356),
    [anon_sym_precise] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_in] = ACTIONS(1356),
    [anon_sym_out] = ACTIONS(1356),
    [anon_sym_inout] = ACTIONS(1356),
    [anon_sym_uniform] = ACTIONS(1356),
    [anon_sym_shared] = ACTIONS(1356),
    [anon_sym_attribute] = ACTIONS(1356),
    [anon_sym_varying] = ACTIONS(1356),
    [anon_sym_buffer] = ACTIONS(1356),
    [anon_sym_coherent] = ACTIONS(1356),
    [anon_sym_readonly] = ACTIONS(1356),
    [anon_sym_writeonly] = ACTIONS(1356),
    [anon_sym_precision] = ACTIONS(1356),
    [anon_sym_highp] = ACTIONS(1356),
    [anon_sym_mediump] = ACTIONS(1356),
    [anon_sym_lowp] = ACTIONS(1356),
    [anon_sym_centroid] = ACTIONS(1356),
    [anon_sym_sample] = ACTIONS(1356),
    [anon_sym_patch] = ACTIONS(1356),
    [anon_sym_smooth] = ACTIONS(1356),
    [anon_sym_flat] = ACTIONS(1356),
    [anon_sym_noperspective] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_else] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym___try] = ACTIONS(1356),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1356),
    [anon_sym_hitAttributeEXT] = ACTIONS(1356),
    [anon_sym_callableDataEXT] = ACTIONS(1356),
    [anon_sym_callableDataInEXT] = ACTIONS(1356),
    [anon_sym_shaderRecordEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadNV] = ACTIONS(1356),
    [anon_sym_rayPayloadInNV] = ACTIONS(1356),
    [anon_sym_hitAttributeNV] = ACTIONS(1356),
    [anon_sym_callableDataNV] = ACTIONS(1356),
    [anon_sym_callableDataInNV] = ACTIONS(1356),
    [anon_sym_shaderRecordNV] = ACTIONS(1356),
    [anon_sym_layout] = ACTIONS(1356),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [aux_sym_preproc_else_token1] = ACTIONS(1360),
    [aux_sym_preproc_elif_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_subroutine] = ACTIONS(1360),
    [anon_sym_invariant] = ACTIONS(1360),
    [anon_sym_precise] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_in] = ACTIONS(1360),
    [anon_sym_out] = ACTIONS(1360),
    [anon_sym_inout] = ACTIONS(1360),
    [anon_sym_uniform] = ACTIONS(1360),
    [anon_sym_shared] = ACTIONS(1360),
    [anon_sym_attribute] = ACTIONS(1360),
    [anon_sym_varying] = ACTIONS(1360),
    [anon_sym_buffer] = ACTIONS(1360),
    [anon_sym_coherent] = ACTIONS(1360),
    [anon_sym_readonly] = ACTIONS(1360),
    [anon_sym_writeonly] = ACTIONS(1360),
    [anon_sym_precision] = ACTIONS(1360),
    [anon_sym_highp] = ACTIONS(1360),
    [anon_sym_mediump] = ACTIONS(1360),
    [anon_sym_lowp] = ACTIONS(1360),
    [anon_sym_centroid] = ACTIONS(1360),
    [anon_sym_sample] = ACTIONS(1360),
    [anon_sym_patch] = ACTIONS(1360),
    [anon_sym_smooth] = ACTIONS(1360),
    [anon_sym_flat] = ACTIONS(1360),
    [anon_sym_noperspective] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_else] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym___try] = ACTIONS(1360),
    [anon_sym___leave] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1360),
    [anon_sym_hitAttributeEXT] = ACTIONS(1360),
    [anon_sym_callableDataEXT] = ACTIONS(1360),
    [anon_sym_callableDataInEXT] = ACTIONS(1360),
    [anon_sym_shaderRecordEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadNV] = ACTIONS(1360),
    [anon_sym_rayPayloadInNV] = ACTIONS(1360),
    [anon_sym_hitAttributeNV] = ACTIONS(1360),
    [anon_sym_callableDataNV] = ACTIONS(1360),
    [anon_sym_callableDataInNV] = ACTIONS(1360),
    [anon_sym_shaderRecordNV] = ACTIONS(1360),
    [anon_sym_layout] = ACTIONS(1360),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [aux_sym_preproc_else_token1] = ACTIONS(1364),
    [aux_sym_preproc_elif_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_subroutine] = ACTIONS(1364),
    [anon_sym_invariant] = ACTIONS(1364),
    [anon_sym_precise] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1364),
    [anon_sym_out] = ACTIONS(1364),
    [anon_sym_inout] = ACTIONS(1364),
    [anon_sym_uniform] = ACTIONS(1364),
    [anon_sym_shared] = ACTIONS(1364),
    [anon_sym_attribute] = ACTIONS(1364),
    [anon_sym_varying] = ACTIONS(1364),
    [anon_sym_buffer] = ACTIONS(1364),
    [anon_sym_coherent] = ACTIONS(1364),
    [anon_sym_readonly] = ACTIONS(1364),
    [anon_sym_writeonly] = ACTIONS(1364),
    [anon_sym_precision] = ACTIONS(1364),
    [anon_sym_highp] = ACTIONS(1364),
    [anon_sym_mediump] = ACTIONS(1364),
    [anon_sym_lowp] = ACTIONS(1364),
    [anon_sym_centroid] = ACTIONS(1364),
    [anon_sym_sample] = ACTIONS(1364),
    [anon_sym_patch] = ACTIONS(1364),
    [anon_sym_smooth] = ACTIONS(1364),
    [anon_sym_flat] = ACTIONS(1364),
    [anon_sym_noperspective] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_else] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym___try] = ACTIONS(1364),
    [anon_sym___leave] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1364),
    [anon_sym_hitAttributeEXT] = ACTIONS(1364),
    [anon_sym_callableDataEXT] = ACTIONS(1364),
    [anon_sym_callableDataInEXT] = ACTIONS(1364),
    [anon_sym_shaderRecordEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadNV] = ACTIONS(1364),
    [anon_sym_rayPayloadInNV] = ACTIONS(1364),
    [anon_sym_hitAttributeNV] = ACTIONS(1364),
    [anon_sym_callableDataNV] = ACTIONS(1364),
    [anon_sym_callableDataInNV] = ACTIONS(1364),
    [anon_sym_shaderRecordNV] = ACTIONS(1364),
    [anon_sym_layout] = ACTIONS(1364),
  },
  [120] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_RPAREN] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_subroutine] = ACTIONS(1360),
    [anon_sym_invariant] = ACTIONS(1360),
    [anon_sym_precise] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_in] = ACTIONS(1360),
    [anon_sym_out] = ACTIONS(1360),
    [anon_sym_inout] = ACTIONS(1360),
    [anon_sym_uniform] = ACTIONS(1360),
    [anon_sym_shared] = ACTIONS(1360),
    [anon_sym_attribute] = ACTIONS(1360),
    [anon_sym_varying] = ACTIONS(1360),
    [anon_sym_buffer] = ACTIONS(1360),
    [anon_sym_coherent] = ACTIONS(1360),
    [anon_sym_readonly] = ACTIONS(1360),
    [anon_sym_writeonly] = ACTIONS(1360),
    [anon_sym_precision] = ACTIONS(1360),
    [anon_sym_highp] = ACTIONS(1360),
    [anon_sym_mediump] = ACTIONS(1360),
    [anon_sym_lowp] = ACTIONS(1360),
    [anon_sym_centroid] = ACTIONS(1360),
    [anon_sym_sample] = ACTIONS(1360),
    [anon_sym_patch] = ACTIONS(1360),
    [anon_sym_smooth] = ACTIONS(1360),
    [anon_sym_flat] = ACTIONS(1360),
    [anon_sym_noperspective] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_else] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym___try] = ACTIONS(1360),
    [anon_sym___except] = ACTIONS(1360),
    [anon_sym___finally] = ACTIONS(1360),
    [anon_sym___leave] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1360),
    [anon_sym_hitAttributeEXT] = ACTIONS(1360),
    [anon_sym_callableDataEXT] = ACTIONS(1360),
    [anon_sym_callableDataInEXT] = ACTIONS(1360),
    [anon_sym_shaderRecordEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadNV] = ACTIONS(1360),
    [anon_sym_rayPayloadInNV] = ACTIONS(1360),
    [anon_sym_hitAttributeNV] = ACTIONS(1360),
    [anon_sym_callableDataNV] = ACTIONS(1360),
    [anon_sym_callableDataInNV] = ACTIONS(1360),
    [anon_sym_shaderRecordNV] = ACTIONS(1360),
    [anon_sym_layout] = ACTIONS(1360),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [aux_sym_preproc_else_token1] = ACTIONS(1368),
    [aux_sym_preproc_elif_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_subroutine] = ACTIONS(1368),
    [anon_sym_invariant] = ACTIONS(1368),
    [anon_sym_precise] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_out] = ACTIONS(1368),
    [anon_sym_inout] = ACTIONS(1368),
    [anon_sym_uniform] = ACTIONS(1368),
    [anon_sym_shared] = ACTIONS(1368),
    [anon_sym_attribute] = ACTIONS(1368),
    [anon_sym_varying] = ACTIONS(1368),
    [anon_sym_buffer] = ACTIONS(1368),
    [anon_sym_coherent] = ACTIONS(1368),
    [anon_sym_readonly] = ACTIONS(1368),
    [anon_sym_writeonly] = ACTIONS(1368),
    [anon_sym_precision] = ACTIONS(1368),
    [anon_sym_highp] = ACTIONS(1368),
    [anon_sym_mediump] = ACTIONS(1368),
    [anon_sym_lowp] = ACTIONS(1368),
    [anon_sym_centroid] = ACTIONS(1368),
    [anon_sym_sample] = ACTIONS(1368),
    [anon_sym_patch] = ACTIONS(1368),
    [anon_sym_smooth] = ACTIONS(1368),
    [anon_sym_flat] = ACTIONS(1368),
    [anon_sym_noperspective] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_else] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym___try] = ACTIONS(1368),
    [anon_sym___leave] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1368),
    [anon_sym_hitAttributeEXT] = ACTIONS(1368),
    [anon_sym_callableDataEXT] = ACTIONS(1368),
    [anon_sym_callableDataInEXT] = ACTIONS(1368),
    [anon_sym_shaderRecordEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadNV] = ACTIONS(1368),
    [anon_sym_rayPayloadInNV] = ACTIONS(1368),
    [anon_sym_hitAttributeNV] = ACTIONS(1368),
    [anon_sym_callableDataNV] = ACTIONS(1368),
    [anon_sym_callableDataInNV] = ACTIONS(1368),
    [anon_sym_shaderRecordNV] = ACTIONS(1368),
    [anon_sym_layout] = ACTIONS(1368),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [aux_sym_preproc_else_token1] = ACTIONS(1372),
    [aux_sym_preproc_elif_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_subroutine] = ACTIONS(1372),
    [anon_sym_invariant] = ACTIONS(1372),
    [anon_sym_precise] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1372),
    [anon_sym_out] = ACTIONS(1372),
    [anon_sym_inout] = ACTIONS(1372),
    [anon_sym_uniform] = ACTIONS(1372),
    [anon_sym_shared] = ACTIONS(1372),
    [anon_sym_attribute] = ACTIONS(1372),
    [anon_sym_varying] = ACTIONS(1372),
    [anon_sym_buffer] = ACTIONS(1372),
    [anon_sym_coherent] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_writeonly] = ACTIONS(1372),
    [anon_sym_precision] = ACTIONS(1372),
    [anon_sym_highp] = ACTIONS(1372),
    [anon_sym_mediump] = ACTIONS(1372),
    [anon_sym_lowp] = ACTIONS(1372),
    [anon_sym_centroid] = ACTIONS(1372),
    [anon_sym_sample] = ACTIONS(1372),
    [anon_sym_patch] = ACTIONS(1372),
    [anon_sym_smooth] = ACTIONS(1372),
    [anon_sym_flat] = ACTIONS(1372),
    [anon_sym_noperspective] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_else] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym___try] = ACTIONS(1372),
    [anon_sym___leave] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1372),
    [anon_sym_hitAttributeEXT] = ACTIONS(1372),
    [anon_sym_callableDataEXT] = ACTIONS(1372),
    [anon_sym_callableDataInEXT] = ACTIONS(1372),
    [anon_sym_shaderRecordEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadNV] = ACTIONS(1372),
    [anon_sym_rayPayloadInNV] = ACTIONS(1372),
    [anon_sym_hitAttributeNV] = ACTIONS(1372),
    [anon_sym_callableDataNV] = ACTIONS(1372),
    [anon_sym_callableDataInNV] = ACTIONS(1372),
    [anon_sym_shaderRecordNV] = ACTIONS(1372),
    [anon_sym_layout] = ACTIONS(1372),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [aux_sym_preproc_else_token1] = ACTIONS(1376),
    [aux_sym_preproc_elif_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_subroutine] = ACTIONS(1376),
    [anon_sym_invariant] = ACTIONS(1376),
    [anon_sym_precise] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1376),
    [anon_sym_out] = ACTIONS(1376),
    [anon_sym_inout] = ACTIONS(1376),
    [anon_sym_uniform] = ACTIONS(1376),
    [anon_sym_shared] = ACTIONS(1376),
    [anon_sym_attribute] = ACTIONS(1376),
    [anon_sym_varying] = ACTIONS(1376),
    [anon_sym_buffer] = ACTIONS(1376),
    [anon_sym_coherent] = ACTIONS(1376),
    [anon_sym_readonly] = ACTIONS(1376),
    [anon_sym_writeonly] = ACTIONS(1376),
    [anon_sym_precision] = ACTIONS(1376),
    [anon_sym_highp] = ACTIONS(1376),
    [anon_sym_mediump] = ACTIONS(1376),
    [anon_sym_lowp] = ACTIONS(1376),
    [anon_sym_centroid] = ACTIONS(1376),
    [anon_sym_sample] = ACTIONS(1376),
    [anon_sym_patch] = ACTIONS(1376),
    [anon_sym_smooth] = ACTIONS(1376),
    [anon_sym_flat] = ACTIONS(1376),
    [anon_sym_noperspective] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_else] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym___try] = ACTIONS(1376),
    [anon_sym___leave] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1376),
    [anon_sym_hitAttributeEXT] = ACTIONS(1376),
    [anon_sym_callableDataEXT] = ACTIONS(1376),
    [anon_sym_callableDataInEXT] = ACTIONS(1376),
    [anon_sym_shaderRecordEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadNV] = ACTIONS(1376),
    [anon_sym_rayPayloadInNV] = ACTIONS(1376),
    [anon_sym_hitAttributeNV] = ACTIONS(1376),
    [anon_sym_callableDataNV] = ACTIONS(1376),
    [anon_sym_callableDataInNV] = ACTIONS(1376),
    [anon_sym_shaderRecordNV] = ACTIONS(1376),
    [anon_sym_layout] = ACTIONS(1376),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [aux_sym_preproc_else_token1] = ACTIONS(1380),
    [aux_sym_preproc_elif_token1] = ACTIONS(1380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_subroutine] = ACTIONS(1380),
    [anon_sym_invariant] = ACTIONS(1380),
    [anon_sym_precise] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_in] = ACTIONS(1380),
    [anon_sym_out] = ACTIONS(1380),
    [anon_sym_inout] = ACTIONS(1380),
    [anon_sym_uniform] = ACTIONS(1380),
    [anon_sym_shared] = ACTIONS(1380),
    [anon_sym_attribute] = ACTIONS(1380),
    [anon_sym_varying] = ACTIONS(1380),
    [anon_sym_buffer] = ACTIONS(1380),
    [anon_sym_coherent] = ACTIONS(1380),
    [anon_sym_readonly] = ACTIONS(1380),
    [anon_sym_writeonly] = ACTIONS(1380),
    [anon_sym_precision] = ACTIONS(1380),
    [anon_sym_highp] = ACTIONS(1380),
    [anon_sym_mediump] = ACTIONS(1380),
    [anon_sym_lowp] = ACTIONS(1380),
    [anon_sym_centroid] = ACTIONS(1380),
    [anon_sym_sample] = ACTIONS(1380),
    [anon_sym_patch] = ACTIONS(1380),
    [anon_sym_smooth] = ACTIONS(1380),
    [anon_sym_flat] = ACTIONS(1380),
    [anon_sym_noperspective] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1380),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym___attribute] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym___inline] = ACTIONS(1380),
    [anon_sym___inline__] = ACTIONS(1380),
    [anon_sym___forceinline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym___thread] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym__Nonnull] = ACTIONS(1380),
    [anon_sym_alignas] = ACTIONS(1380),
    [anon_sym__Alignas] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_else] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym___try] = ACTIONS(1380),
    [anon_sym___leave] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym___alignof__] = ACTIONS(1380),
    [anon_sym___alignof] = ACTIONS(1380),
    [anon_sym__alignof] = ACTIONS(1380),
    [anon_sym_alignof] = ACTIONS(1380),
    [anon_sym__Alignof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [anon_sym___asm] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1380),
    [anon_sym_hitAttributeEXT] = ACTIONS(1380),
    [anon_sym_callableDataEXT] = ACTIONS(1380),
    [anon_sym_callableDataInEXT] = ACTIONS(1380),
    [anon_sym_shaderRecordEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadNV] = ACTIONS(1380),
    [anon_sym_rayPayloadInNV] = ACTIONS(1380),
    [anon_sym_hitAttributeNV] = ACTIONS(1380),
    [anon_sym_callableDataNV] = ACTIONS(1380),
    [anon_sym_callableDataInNV] = ACTIONS(1380),
    [anon_sym_shaderRecordNV] = ACTIONS(1380),
    [anon_sym_layout] = ACTIONS(1380),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [aux_sym_preproc_else_token1] = ACTIONS(1384),
    [aux_sym_preproc_elif_token1] = ACTIONS(1384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_subroutine] = ACTIONS(1384),
    [anon_sym_invariant] = ACTIONS(1384),
    [anon_sym_precise] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1384),
    [anon_sym_out] = ACTIONS(1384),
    [anon_sym_inout] = ACTIONS(1384),
    [anon_sym_uniform] = ACTIONS(1384),
    [anon_sym_shared] = ACTIONS(1384),
    [anon_sym_attribute] = ACTIONS(1384),
    [anon_sym_varying] = ACTIONS(1384),
    [anon_sym_buffer] = ACTIONS(1384),
    [anon_sym_coherent] = ACTIONS(1384),
    [anon_sym_readonly] = ACTIONS(1384),
    [anon_sym_writeonly] = ACTIONS(1384),
    [anon_sym_precision] = ACTIONS(1384),
    [anon_sym_highp] = ACTIONS(1384),
    [anon_sym_mediump] = ACTIONS(1384),
    [anon_sym_lowp] = ACTIONS(1384),
    [anon_sym_centroid] = ACTIONS(1384),
    [anon_sym_sample] = ACTIONS(1384),
    [anon_sym_patch] = ACTIONS(1384),
    [anon_sym_smooth] = ACTIONS(1384),
    [anon_sym_flat] = ACTIONS(1384),
    [anon_sym_noperspective] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1384),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym___attribute] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym___inline] = ACTIONS(1384),
    [anon_sym___inline__] = ACTIONS(1384),
    [anon_sym___forceinline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym___thread] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym__Nonnull] = ACTIONS(1384),
    [anon_sym_alignas] = ACTIONS(1384),
    [anon_sym__Alignas] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym___try] = ACTIONS(1384),
    [anon_sym___leave] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym___alignof__] = ACTIONS(1384),
    [anon_sym___alignof] = ACTIONS(1384),
    [anon_sym__alignof] = ACTIONS(1384),
    [anon_sym_alignof] = ACTIONS(1384),
    [anon_sym__Alignof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [anon_sym___asm] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1384),
    [anon_sym_hitAttributeEXT] = ACTIONS(1384),
    [anon_sym_callableDataEXT] = ACTIONS(1384),
    [anon_sym_callableDataInEXT] = ACTIONS(1384),
    [anon_sym_shaderRecordEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadNV] = ACTIONS(1384),
    [anon_sym_rayPayloadInNV] = ACTIONS(1384),
    [anon_sym_hitAttributeNV] = ACTIONS(1384),
    [anon_sym_callableDataNV] = ACTIONS(1384),
    [anon_sym_callableDataInNV] = ACTIONS(1384),
    [anon_sym_shaderRecordNV] = ACTIONS(1384),
    [anon_sym_layout] = ACTIONS(1384),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [aux_sym_preproc_else_token1] = ACTIONS(1388),
    [aux_sym_preproc_elif_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_subroutine] = ACTIONS(1388),
    [anon_sym_invariant] = ACTIONS(1388),
    [anon_sym_precise] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_out] = ACTIONS(1388),
    [anon_sym_inout] = ACTIONS(1388),
    [anon_sym_uniform] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_attribute] = ACTIONS(1388),
    [anon_sym_varying] = ACTIONS(1388),
    [anon_sym_buffer] = ACTIONS(1388),
    [anon_sym_coherent] = ACTIONS(1388),
    [anon_sym_readonly] = ACTIONS(1388),
    [anon_sym_writeonly] = ACTIONS(1388),
    [anon_sym_precision] = ACTIONS(1388),
    [anon_sym_highp] = ACTIONS(1388),
    [anon_sym_mediump] = ACTIONS(1388),
    [anon_sym_lowp] = ACTIONS(1388),
    [anon_sym_centroid] = ACTIONS(1388),
    [anon_sym_sample] = ACTIONS(1388),
    [anon_sym_patch] = ACTIONS(1388),
    [anon_sym_smooth] = ACTIONS(1388),
    [anon_sym_flat] = ACTIONS(1388),
    [anon_sym_noperspective] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1388),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym___attribute] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym___inline] = ACTIONS(1388),
    [anon_sym___inline__] = ACTIONS(1388),
    [anon_sym___forceinline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym___thread] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym__Nonnull] = ACTIONS(1388),
    [anon_sym_alignas] = ACTIONS(1388),
    [anon_sym__Alignas] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_else] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym___try] = ACTIONS(1388),
    [anon_sym___leave] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym___alignof__] = ACTIONS(1388),
    [anon_sym___alignof] = ACTIONS(1388),
    [anon_sym__alignof] = ACTIONS(1388),
    [anon_sym_alignof] = ACTIONS(1388),
    [anon_sym__Alignof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [anon_sym___asm] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1388),
    [anon_sym_hitAttributeEXT] = ACTIONS(1388),
    [anon_sym_callableDataEXT] = ACTIONS(1388),
    [anon_sym_callableDataInEXT] = ACTIONS(1388),
    [anon_sym_shaderRecordEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadNV] = ACTIONS(1388),
    [anon_sym_rayPayloadInNV] = ACTIONS(1388),
    [anon_sym_hitAttributeNV] = ACTIONS(1388),
    [anon_sym_callableDataNV] = ACTIONS(1388),
    [anon_sym_callableDataInNV] = ACTIONS(1388),
    [anon_sym_shaderRecordNV] = ACTIONS(1388),
    [anon_sym_layout] = ACTIONS(1388),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1392),
    [aux_sym_preproc_def_token1] = ACTIONS(1392),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_if_token2] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [aux_sym_preproc_else_token1] = ACTIONS(1392),
    [aux_sym_preproc_elif_token1] = ACTIONS(1392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_subroutine] = ACTIONS(1392),
    [anon_sym_invariant] = ACTIONS(1392),
    [anon_sym_precise] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_out] = ACTIONS(1392),
    [anon_sym_inout] = ACTIONS(1392),
    [anon_sym_uniform] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_attribute] = ACTIONS(1392),
    [anon_sym_varying] = ACTIONS(1392),
    [anon_sym_buffer] = ACTIONS(1392),
    [anon_sym_coherent] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_writeonly] = ACTIONS(1392),
    [anon_sym_precision] = ACTIONS(1392),
    [anon_sym_highp] = ACTIONS(1392),
    [anon_sym_mediump] = ACTIONS(1392),
    [anon_sym_lowp] = ACTIONS(1392),
    [anon_sym_centroid] = ACTIONS(1392),
    [anon_sym_sample] = ACTIONS(1392),
    [anon_sym_patch] = ACTIONS(1392),
    [anon_sym_smooth] = ACTIONS(1392),
    [anon_sym_flat] = ACTIONS(1392),
    [anon_sym_noperspective] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1392),
    [anon_sym_typedef] = ACTIONS(1392),
    [anon_sym_extern] = ACTIONS(1392),
    [anon_sym___attribute__] = ACTIONS(1392),
    [anon_sym___attribute] = ACTIONS(1392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1394),
    [anon_sym___declspec] = ACTIONS(1392),
    [anon_sym___cdecl] = ACTIONS(1392),
    [anon_sym___clrcall] = ACTIONS(1392),
    [anon_sym___stdcall] = ACTIONS(1392),
    [anon_sym___fastcall] = ACTIONS(1392),
    [anon_sym___thiscall] = ACTIONS(1392),
    [anon_sym___vectorcall] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1392),
    [anon_sym_unsigned] = ACTIONS(1392),
    [anon_sym_long] = ACTIONS(1392),
    [anon_sym_short] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_auto] = ACTIONS(1392),
    [anon_sym_register] = ACTIONS(1392),
    [anon_sym_inline] = ACTIONS(1392),
    [anon_sym___inline] = ACTIONS(1392),
    [anon_sym___inline__] = ACTIONS(1392),
    [anon_sym___forceinline] = ACTIONS(1392),
    [anon_sym_thread_local] = ACTIONS(1392),
    [anon_sym___thread] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_constexpr] = ACTIONS(1392),
    [anon_sym_volatile] = ACTIONS(1392),
    [anon_sym_restrict] = ACTIONS(1392),
    [anon_sym___restrict__] = ACTIONS(1392),
    [anon_sym__Atomic] = ACTIONS(1392),
    [anon_sym__Noreturn] = ACTIONS(1392),
    [anon_sym_noreturn] = ACTIONS(1392),
    [anon_sym__Nonnull] = ACTIONS(1392),
    [anon_sym_alignas] = ACTIONS(1392),
    [anon_sym__Alignas] = ACTIONS(1392),
    [sym_primitive_type] = ACTIONS(1392),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_struct] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym___try] = ACTIONS(1392),
    [anon_sym___leave] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_sizeof] = ACTIONS(1392),
    [anon_sym___alignof__] = ACTIONS(1392),
    [anon_sym___alignof] = ACTIONS(1392),
    [anon_sym__alignof] = ACTIONS(1392),
    [anon_sym_alignof] = ACTIONS(1392),
    [anon_sym__Alignof] = ACTIONS(1392),
    [anon_sym_offsetof] = ACTIONS(1392),
    [anon_sym__Generic] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym___asm__] = ACTIONS(1392),
    [anon_sym___asm] = ACTIONS(1392),
    [sym_number_literal] = ACTIONS(1394),
    [anon_sym_L_SQUOTE] = ACTIONS(1394),
    [anon_sym_u_SQUOTE] = ACTIONS(1394),
    [anon_sym_U_SQUOTE] = ACTIONS(1394),
    [anon_sym_u8_SQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_L_DQUOTE] = ACTIONS(1394),
    [anon_sym_u_DQUOTE] = ACTIONS(1394),
    [anon_sym_U_DQUOTE] = ACTIONS(1394),
    [anon_sym_u8_DQUOTE] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1392),
    [anon_sym_hitAttributeEXT] = ACTIONS(1392),
    [anon_sym_callableDataEXT] = ACTIONS(1392),
    [anon_sym_callableDataInEXT] = ACTIONS(1392),
    [anon_sym_shaderRecordEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadNV] = ACTIONS(1392),
    [anon_sym_rayPayloadInNV] = ACTIONS(1392),
    [anon_sym_hitAttributeNV] = ACTIONS(1392),
    [anon_sym_callableDataNV] = ACTIONS(1392),
    [anon_sym_callableDataInNV] = ACTIONS(1392),
    [anon_sym_shaderRecordNV] = ACTIONS(1392),
    [anon_sym_layout] = ACTIONS(1392),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1396),
    [aux_sym_preproc_include_token1] = ACTIONS(1396),
    [aux_sym_preproc_def_token1] = ACTIONS(1396),
    [aux_sym_preproc_if_token1] = ACTIONS(1396),
    [aux_sym_preproc_if_token2] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1396),
    [aux_sym_preproc_else_token1] = ACTIONS(1396),
    [aux_sym_preproc_elif_token1] = ACTIONS(1396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1396),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_subroutine] = ACTIONS(1396),
    [anon_sym_invariant] = ACTIONS(1396),
    [anon_sym_precise] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_out] = ACTIONS(1396),
    [anon_sym_inout] = ACTIONS(1396),
    [anon_sym_uniform] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_attribute] = ACTIONS(1396),
    [anon_sym_varying] = ACTIONS(1396),
    [anon_sym_buffer] = ACTIONS(1396),
    [anon_sym_coherent] = ACTIONS(1396),
    [anon_sym_readonly] = ACTIONS(1396),
    [anon_sym_writeonly] = ACTIONS(1396),
    [anon_sym_precision] = ACTIONS(1396),
    [anon_sym_highp] = ACTIONS(1396),
    [anon_sym_mediump] = ACTIONS(1396),
    [anon_sym_lowp] = ACTIONS(1396),
    [anon_sym_centroid] = ACTIONS(1396),
    [anon_sym_sample] = ACTIONS(1396),
    [anon_sym_patch] = ACTIONS(1396),
    [anon_sym_smooth] = ACTIONS(1396),
    [anon_sym_flat] = ACTIONS(1396),
    [anon_sym_noperspective] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1396),
    [anon_sym_extern] = ACTIONS(1396),
    [anon_sym___attribute__] = ACTIONS(1396),
    [anon_sym___attribute] = ACTIONS(1396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1398),
    [anon_sym___declspec] = ACTIONS(1396),
    [anon_sym___cdecl] = ACTIONS(1396),
    [anon_sym___clrcall] = ACTIONS(1396),
    [anon_sym___stdcall] = ACTIONS(1396),
    [anon_sym___fastcall] = ACTIONS(1396),
    [anon_sym___thiscall] = ACTIONS(1396),
    [anon_sym___vectorcall] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1396),
    [anon_sym_unsigned] = ACTIONS(1396),
    [anon_sym_long] = ACTIONS(1396),
    [anon_sym_short] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1396),
    [anon_sym_auto] = ACTIONS(1396),
    [anon_sym_register] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1396),
    [anon_sym___inline] = ACTIONS(1396),
    [anon_sym___inline__] = ACTIONS(1396),
    [anon_sym___forceinline] = ACTIONS(1396),
    [anon_sym_thread_local] = ACTIONS(1396),
    [anon_sym___thread] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_constexpr] = ACTIONS(1396),
    [anon_sym_volatile] = ACTIONS(1396),
    [anon_sym_restrict] = ACTIONS(1396),
    [anon_sym___restrict__] = ACTIONS(1396),
    [anon_sym__Atomic] = ACTIONS(1396),
    [anon_sym__Noreturn] = ACTIONS(1396),
    [anon_sym_noreturn] = ACTIONS(1396),
    [anon_sym__Nonnull] = ACTIONS(1396),
    [anon_sym_alignas] = ACTIONS(1396),
    [anon_sym__Alignas] = ACTIONS(1396),
    [sym_primitive_type] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_else] = ACTIONS(1396),
    [anon_sym_switch] = ACTIONS(1396),
    [anon_sym_case] = ACTIONS(1396),
    [anon_sym_default] = ACTIONS(1396),
    [anon_sym_while] = ACTIONS(1396),
    [anon_sym_do] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_sizeof] = ACTIONS(1396),
    [anon_sym___alignof__] = ACTIONS(1396),
    [anon_sym___alignof] = ACTIONS(1396),
    [anon_sym__alignof] = ACTIONS(1396),
    [anon_sym_alignof] = ACTIONS(1396),
    [anon_sym__Alignof] = ACTIONS(1396),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym___asm__] = ACTIONS(1396),
    [anon_sym___asm] = ACTIONS(1396),
    [sym_number_literal] = ACTIONS(1398),
    [anon_sym_L_SQUOTE] = ACTIONS(1398),
    [anon_sym_u_SQUOTE] = ACTIONS(1398),
    [anon_sym_U_SQUOTE] = ACTIONS(1398),
    [anon_sym_u8_SQUOTE] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_L_DQUOTE] = ACTIONS(1398),
    [anon_sym_u_DQUOTE] = ACTIONS(1398),
    [anon_sym_U_DQUOTE] = ACTIONS(1398),
    [anon_sym_u8_DQUOTE] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_NULL] = ACTIONS(1396),
    [anon_sym_nullptr] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1396),
    [anon_sym_hitAttributeEXT] = ACTIONS(1396),
    [anon_sym_callableDataEXT] = ACTIONS(1396),
    [anon_sym_callableDataInEXT] = ACTIONS(1396),
    [anon_sym_shaderRecordEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadNV] = ACTIONS(1396),
    [anon_sym_rayPayloadInNV] = ACTIONS(1396),
    [anon_sym_hitAttributeNV] = ACTIONS(1396),
    [anon_sym_callableDataNV] = ACTIONS(1396),
    [anon_sym_callableDataInNV] = ACTIONS(1396),
    [anon_sym_shaderRecordNV] = ACTIONS(1396),
    [anon_sym_layout] = ACTIONS(1396),
  },
  [129] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_RPAREN] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_subroutine] = ACTIONS(1388),
    [anon_sym_invariant] = ACTIONS(1388),
    [anon_sym_precise] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_out] = ACTIONS(1388),
    [anon_sym_inout] = ACTIONS(1388),
    [anon_sym_uniform] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_attribute] = ACTIONS(1388),
    [anon_sym_varying] = ACTIONS(1388),
    [anon_sym_buffer] = ACTIONS(1388),
    [anon_sym_coherent] = ACTIONS(1388),
    [anon_sym_readonly] = ACTIONS(1388),
    [anon_sym_writeonly] = ACTIONS(1388),
    [anon_sym_precision] = ACTIONS(1388),
    [anon_sym_highp] = ACTIONS(1388),
    [anon_sym_mediump] = ACTIONS(1388),
    [anon_sym_lowp] = ACTIONS(1388),
    [anon_sym_centroid] = ACTIONS(1388),
    [anon_sym_sample] = ACTIONS(1388),
    [anon_sym_patch] = ACTIONS(1388),
    [anon_sym_smooth] = ACTIONS(1388),
    [anon_sym_flat] = ACTIONS(1388),
    [anon_sym_noperspective] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1388),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym___attribute] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym___inline] = ACTIONS(1388),
    [anon_sym___inline__] = ACTIONS(1388),
    [anon_sym___forceinline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym___thread] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym__Nonnull] = ACTIONS(1388),
    [anon_sym_alignas] = ACTIONS(1388),
    [anon_sym__Alignas] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_else] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym___try] = ACTIONS(1388),
    [anon_sym___except] = ACTIONS(1388),
    [anon_sym___finally] = ACTIONS(1388),
    [anon_sym___leave] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym___alignof__] = ACTIONS(1388),
    [anon_sym___alignof] = ACTIONS(1388),
    [anon_sym__alignof] = ACTIONS(1388),
    [anon_sym_alignof] = ACTIONS(1388),
    [anon_sym__Alignof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [anon_sym___asm] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1388),
    [anon_sym_hitAttributeEXT] = ACTIONS(1388),
    [anon_sym_callableDataEXT] = ACTIONS(1388),
    [anon_sym_callableDataInEXT] = ACTIONS(1388),
    [anon_sym_shaderRecordEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadNV] = ACTIONS(1388),
    [anon_sym_rayPayloadInNV] = ACTIONS(1388),
    [anon_sym_hitAttributeNV] = ACTIONS(1388),
    [anon_sym_callableDataNV] = ACTIONS(1388),
    [anon_sym_callableDataInNV] = ACTIONS(1388),
    [anon_sym_shaderRecordNV] = ACTIONS(1388),
    [anon_sym_layout] = ACTIONS(1388),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1400),
    [aux_sym_preproc_include_token1] = ACTIONS(1400),
    [aux_sym_preproc_def_token1] = ACTIONS(1400),
    [aux_sym_preproc_if_token1] = ACTIONS(1400),
    [aux_sym_preproc_if_token2] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1400),
    [aux_sym_preproc_else_token1] = ACTIONS(1400),
    [aux_sym_preproc_elif_token1] = ACTIONS(1400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1400),
    [sym_preproc_directive] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_subroutine] = ACTIONS(1400),
    [anon_sym_invariant] = ACTIONS(1400),
    [anon_sym_precise] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_out] = ACTIONS(1400),
    [anon_sym_inout] = ACTIONS(1400),
    [anon_sym_uniform] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_attribute] = ACTIONS(1400),
    [anon_sym_varying] = ACTIONS(1400),
    [anon_sym_buffer] = ACTIONS(1400),
    [anon_sym_coherent] = ACTIONS(1400),
    [anon_sym_readonly] = ACTIONS(1400),
    [anon_sym_writeonly] = ACTIONS(1400),
    [anon_sym_precision] = ACTIONS(1400),
    [anon_sym_highp] = ACTIONS(1400),
    [anon_sym_mediump] = ACTIONS(1400),
    [anon_sym_lowp] = ACTIONS(1400),
    [anon_sym_centroid] = ACTIONS(1400),
    [anon_sym_sample] = ACTIONS(1400),
    [anon_sym_patch] = ACTIONS(1400),
    [anon_sym_smooth] = ACTIONS(1400),
    [anon_sym_flat] = ACTIONS(1400),
    [anon_sym_noperspective] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1400),
    [anon_sym_extern] = ACTIONS(1400),
    [anon_sym___attribute__] = ACTIONS(1400),
    [anon_sym___attribute] = ACTIONS(1400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1402),
    [anon_sym___declspec] = ACTIONS(1400),
    [anon_sym___cdecl] = ACTIONS(1400),
    [anon_sym___clrcall] = ACTIONS(1400),
    [anon_sym___stdcall] = ACTIONS(1400),
    [anon_sym___fastcall] = ACTIONS(1400),
    [anon_sym___thiscall] = ACTIONS(1400),
    [anon_sym___vectorcall] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1400),
    [anon_sym_unsigned] = ACTIONS(1400),
    [anon_sym_long] = ACTIONS(1400),
    [anon_sym_short] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1400),
    [anon_sym_auto] = ACTIONS(1400),
    [anon_sym_register] = ACTIONS(1400),
    [anon_sym_inline] = ACTIONS(1400),
    [anon_sym___inline] = ACTIONS(1400),
    [anon_sym___inline__] = ACTIONS(1400),
    [anon_sym___forceinline] = ACTIONS(1400),
    [anon_sym_thread_local] = ACTIONS(1400),
    [anon_sym___thread] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_constexpr] = ACTIONS(1400),
    [anon_sym_volatile] = ACTIONS(1400),
    [anon_sym_restrict] = ACTIONS(1400),
    [anon_sym___restrict__] = ACTIONS(1400),
    [anon_sym__Atomic] = ACTIONS(1400),
    [anon_sym__Noreturn] = ACTIONS(1400),
    [anon_sym_noreturn] = ACTIONS(1400),
    [anon_sym__Nonnull] = ACTIONS(1400),
    [anon_sym_alignas] = ACTIONS(1400),
    [anon_sym__Alignas] = ACTIONS(1400),
    [sym_primitive_type] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_switch] = ACTIONS(1400),
    [anon_sym_case] = ACTIONS(1400),
    [anon_sym_default] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_do] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym___try] = ACTIONS(1400),
    [anon_sym___leave] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_sizeof] = ACTIONS(1400),
    [anon_sym___alignof__] = ACTIONS(1400),
    [anon_sym___alignof] = ACTIONS(1400),
    [anon_sym__alignof] = ACTIONS(1400),
    [anon_sym_alignof] = ACTIONS(1400),
    [anon_sym__Alignof] = ACTIONS(1400),
    [anon_sym_offsetof] = ACTIONS(1400),
    [anon_sym__Generic] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym___asm__] = ACTIONS(1400),
    [anon_sym___asm] = ACTIONS(1400),
    [sym_number_literal] = ACTIONS(1402),
    [anon_sym_L_SQUOTE] = ACTIONS(1402),
    [anon_sym_u_SQUOTE] = ACTIONS(1402),
    [anon_sym_U_SQUOTE] = ACTIONS(1402),
    [anon_sym_u8_SQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_L_DQUOTE] = ACTIONS(1402),
    [anon_sym_u_DQUOTE] = ACTIONS(1402),
    [anon_sym_U_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8_DQUOTE] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_NULL] = ACTIONS(1400),
    [anon_sym_nullptr] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1400),
    [anon_sym_hitAttributeEXT] = ACTIONS(1400),
    [anon_sym_callableDataEXT] = ACTIONS(1400),
    [anon_sym_callableDataInEXT] = ACTIONS(1400),
    [anon_sym_shaderRecordEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadNV] = ACTIONS(1400),
    [anon_sym_rayPayloadInNV] = ACTIONS(1400),
    [anon_sym_hitAttributeNV] = ACTIONS(1400),
    [anon_sym_callableDataNV] = ACTIONS(1400),
    [anon_sym_callableDataInNV] = ACTIONS(1400),
    [anon_sym_shaderRecordNV] = ACTIONS(1400),
    [anon_sym_layout] = ACTIONS(1400),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1404),
    [aux_sym_preproc_include_token1] = ACTIONS(1404),
    [aux_sym_preproc_def_token1] = ACTIONS(1404),
    [aux_sym_preproc_if_token1] = ACTIONS(1404),
    [aux_sym_preproc_if_token2] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1404),
    [aux_sym_preproc_else_token1] = ACTIONS(1404),
    [aux_sym_preproc_elif_token1] = ACTIONS(1404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1404),
    [sym_preproc_directive] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_subroutine] = ACTIONS(1404),
    [anon_sym_invariant] = ACTIONS(1404),
    [anon_sym_precise] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1406),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_out] = ACTIONS(1404),
    [anon_sym_inout] = ACTIONS(1404),
    [anon_sym_uniform] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_attribute] = ACTIONS(1404),
    [anon_sym_varying] = ACTIONS(1404),
    [anon_sym_buffer] = ACTIONS(1404),
    [anon_sym_coherent] = ACTIONS(1404),
    [anon_sym_readonly] = ACTIONS(1404),
    [anon_sym_writeonly] = ACTIONS(1404),
    [anon_sym_precision] = ACTIONS(1404),
    [anon_sym_highp] = ACTIONS(1404),
    [anon_sym_mediump] = ACTIONS(1404),
    [anon_sym_lowp] = ACTIONS(1404),
    [anon_sym_centroid] = ACTIONS(1404),
    [anon_sym_sample] = ACTIONS(1404),
    [anon_sym_patch] = ACTIONS(1404),
    [anon_sym_smooth] = ACTIONS(1404),
    [anon_sym_flat] = ACTIONS(1404),
    [anon_sym_noperspective] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1404),
    [anon_sym_extern] = ACTIONS(1404),
    [anon_sym___attribute__] = ACTIONS(1404),
    [anon_sym___attribute] = ACTIONS(1404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1406),
    [anon_sym___declspec] = ACTIONS(1404),
    [anon_sym___cdecl] = ACTIONS(1404),
    [anon_sym___clrcall] = ACTIONS(1404),
    [anon_sym___stdcall] = ACTIONS(1404),
    [anon_sym___fastcall] = ACTIONS(1404),
    [anon_sym___thiscall] = ACTIONS(1404),
    [anon_sym___vectorcall] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1404),
    [anon_sym_unsigned] = ACTIONS(1404),
    [anon_sym_long] = ACTIONS(1404),
    [anon_sym_short] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_auto] = ACTIONS(1404),
    [anon_sym_register] = ACTIONS(1404),
    [anon_sym_inline] = ACTIONS(1404),
    [anon_sym___inline] = ACTIONS(1404),
    [anon_sym___inline__] = ACTIONS(1404),
    [anon_sym___forceinline] = ACTIONS(1404),
    [anon_sym_thread_local] = ACTIONS(1404),
    [anon_sym___thread] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_constexpr] = ACTIONS(1404),
    [anon_sym_volatile] = ACTIONS(1404),
    [anon_sym_restrict] = ACTIONS(1404),
    [anon_sym___restrict__] = ACTIONS(1404),
    [anon_sym__Atomic] = ACTIONS(1404),
    [anon_sym__Noreturn] = ACTIONS(1404),
    [anon_sym_noreturn] = ACTIONS(1404),
    [anon_sym__Nonnull] = ACTIONS(1404),
    [anon_sym_alignas] = ACTIONS(1404),
    [anon_sym__Alignas] = ACTIONS(1404),
    [sym_primitive_type] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_struct] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_else] = ACTIONS(1404),
    [anon_sym_switch] = ACTIONS(1404),
    [anon_sym_case] = ACTIONS(1404),
    [anon_sym_default] = ACTIONS(1404),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym___try] = ACTIONS(1404),
    [anon_sym___leave] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [anon_sym_sizeof] = ACTIONS(1404),
    [anon_sym___alignof__] = ACTIONS(1404),
    [anon_sym___alignof] = ACTIONS(1404),
    [anon_sym__alignof] = ACTIONS(1404),
    [anon_sym_alignof] = ACTIONS(1404),
    [anon_sym__Alignof] = ACTIONS(1404),
    [anon_sym_offsetof] = ACTIONS(1404),
    [anon_sym__Generic] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym___asm__] = ACTIONS(1404),
    [anon_sym___asm] = ACTIONS(1404),
    [sym_number_literal] = ACTIONS(1406),
    [anon_sym_L_SQUOTE] = ACTIONS(1406),
    [anon_sym_u_SQUOTE] = ACTIONS(1406),
    [anon_sym_U_SQUOTE] = ACTIONS(1406),
    [anon_sym_u8_SQUOTE] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_L_DQUOTE] = ACTIONS(1406),
    [anon_sym_u_DQUOTE] = ACTIONS(1406),
    [anon_sym_U_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8_DQUOTE] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_NULL] = ACTIONS(1404),
    [anon_sym_nullptr] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1404),
    [anon_sym_hitAttributeEXT] = ACTIONS(1404),
    [anon_sym_callableDataEXT] = ACTIONS(1404),
    [anon_sym_callableDataInEXT] = ACTIONS(1404),
    [anon_sym_shaderRecordEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadNV] = ACTIONS(1404),
    [anon_sym_rayPayloadInNV] = ACTIONS(1404),
    [anon_sym_hitAttributeNV] = ACTIONS(1404),
    [anon_sym_callableDataNV] = ACTIONS(1404),
    [anon_sym_callableDataInNV] = ACTIONS(1404),
    [anon_sym_shaderRecordNV] = ACTIONS(1404),
    [anon_sym_layout] = ACTIONS(1404),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token2] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [aux_sym_preproc_else_token1] = ACTIONS(1408),
    [aux_sym_preproc_elif_token1] = ACTIONS(1408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_subroutine] = ACTIONS(1408),
    [anon_sym_invariant] = ACTIONS(1408),
    [anon_sym_precise] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1408),
    [anon_sym_out] = ACTIONS(1408),
    [anon_sym_inout] = ACTIONS(1408),
    [anon_sym_uniform] = ACTIONS(1408),
    [anon_sym_shared] = ACTIONS(1408),
    [anon_sym_attribute] = ACTIONS(1408),
    [anon_sym_varying] = ACTIONS(1408),
    [anon_sym_buffer] = ACTIONS(1408),
    [anon_sym_coherent] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_writeonly] = ACTIONS(1408),
    [anon_sym_precision] = ACTIONS(1408),
    [anon_sym_highp] = ACTIONS(1408),
    [anon_sym_mediump] = ACTIONS(1408),
    [anon_sym_lowp] = ACTIONS(1408),
    [anon_sym_centroid] = ACTIONS(1408),
    [anon_sym_sample] = ACTIONS(1408),
    [anon_sym_patch] = ACTIONS(1408),
    [anon_sym_smooth] = ACTIONS(1408),
    [anon_sym_flat] = ACTIONS(1408),
    [anon_sym_noperspective] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym___attribute] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [anon_sym__Nonnull] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(1408),
    [anon_sym__Alignas] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym___try] = ACTIONS(1408),
    [anon_sym___leave] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [anon_sym___asm] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1408),
    [anon_sym_hitAttributeEXT] = ACTIONS(1408),
    [anon_sym_callableDataEXT] = ACTIONS(1408),
    [anon_sym_callableDataInEXT] = ACTIONS(1408),
    [anon_sym_shaderRecordEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadNV] = ACTIONS(1408),
    [anon_sym_rayPayloadInNV] = ACTIONS(1408),
    [anon_sym_hitAttributeNV] = ACTIONS(1408),
    [anon_sym_callableDataNV] = ACTIONS(1408),
    [anon_sym_callableDataInNV] = ACTIONS(1408),
    [anon_sym_shaderRecordNV] = ACTIONS(1408),
    [anon_sym_layout] = ACTIONS(1408),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token2] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [aux_sym_preproc_else_token1] = ACTIONS(1412),
    [aux_sym_preproc_elif_token1] = ACTIONS(1412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_subroutine] = ACTIONS(1412),
    [anon_sym_invariant] = ACTIONS(1412),
    [anon_sym_precise] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_out] = ACTIONS(1412),
    [anon_sym_inout] = ACTIONS(1412),
    [anon_sym_uniform] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_attribute] = ACTIONS(1412),
    [anon_sym_varying] = ACTIONS(1412),
    [anon_sym_buffer] = ACTIONS(1412),
    [anon_sym_coherent] = ACTIONS(1412),
    [anon_sym_readonly] = ACTIONS(1412),
    [anon_sym_writeonly] = ACTIONS(1412),
    [anon_sym_precision] = ACTIONS(1412),
    [anon_sym_highp] = ACTIONS(1412),
    [anon_sym_mediump] = ACTIONS(1412),
    [anon_sym_lowp] = ACTIONS(1412),
    [anon_sym_centroid] = ACTIONS(1412),
    [anon_sym_sample] = ACTIONS(1412),
    [anon_sym_patch] = ACTIONS(1412),
    [anon_sym_smooth] = ACTIONS(1412),
    [anon_sym_flat] = ACTIONS(1412),
    [anon_sym_noperspective] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym___attribute] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [anon_sym__Nonnull] = ACTIONS(1412),
    [anon_sym_alignas] = ACTIONS(1412),
    [anon_sym__Alignas] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym___try] = ACTIONS(1412),
    [anon_sym___leave] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [anon_sym___asm] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1412),
    [anon_sym_hitAttributeEXT] = ACTIONS(1412),
    [anon_sym_callableDataEXT] = ACTIONS(1412),
    [anon_sym_callableDataInEXT] = ACTIONS(1412),
    [anon_sym_shaderRecordEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadNV] = ACTIONS(1412),
    [anon_sym_rayPayloadInNV] = ACTIONS(1412),
    [anon_sym_hitAttributeNV] = ACTIONS(1412),
    [anon_sym_callableDataNV] = ACTIONS(1412),
    [anon_sym_callableDataInNV] = ACTIONS(1412),
    [anon_sym_shaderRecordNV] = ACTIONS(1412),
    [anon_sym_layout] = ACTIONS(1412),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [aux_sym_preproc_else_token1] = ACTIONS(1416),
    [aux_sym_preproc_elif_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_subroutine] = ACTIONS(1416),
    [anon_sym_invariant] = ACTIONS(1416),
    [anon_sym_precise] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_out] = ACTIONS(1416),
    [anon_sym_inout] = ACTIONS(1416),
    [anon_sym_uniform] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_attribute] = ACTIONS(1416),
    [anon_sym_varying] = ACTIONS(1416),
    [anon_sym_buffer] = ACTIONS(1416),
    [anon_sym_coherent] = ACTIONS(1416),
    [anon_sym_readonly] = ACTIONS(1416),
    [anon_sym_writeonly] = ACTIONS(1416),
    [anon_sym_precision] = ACTIONS(1416),
    [anon_sym_highp] = ACTIONS(1416),
    [anon_sym_mediump] = ACTIONS(1416),
    [anon_sym_lowp] = ACTIONS(1416),
    [anon_sym_centroid] = ACTIONS(1416),
    [anon_sym_sample] = ACTIONS(1416),
    [anon_sym_patch] = ACTIONS(1416),
    [anon_sym_smooth] = ACTIONS(1416),
    [anon_sym_flat] = ACTIONS(1416),
    [anon_sym_noperspective] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym___attribute] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [anon_sym__Nonnull] = ACTIONS(1416),
    [anon_sym_alignas] = ACTIONS(1416),
    [anon_sym__Alignas] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [anon_sym___asm] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1416),
    [anon_sym_hitAttributeEXT] = ACTIONS(1416),
    [anon_sym_callableDataEXT] = ACTIONS(1416),
    [anon_sym_callableDataInEXT] = ACTIONS(1416),
    [anon_sym_shaderRecordEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadNV] = ACTIONS(1416),
    [anon_sym_rayPayloadInNV] = ACTIONS(1416),
    [anon_sym_hitAttributeNV] = ACTIONS(1416),
    [anon_sym_callableDataNV] = ACTIONS(1416),
    [anon_sym_callableDataInNV] = ACTIONS(1416),
    [anon_sym_shaderRecordNV] = ACTIONS(1416),
    [anon_sym_layout] = ACTIONS(1416),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [aux_sym_preproc_else_token1] = ACTIONS(1420),
    [aux_sym_preproc_elif_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_subroutine] = ACTIONS(1420),
    [anon_sym_invariant] = ACTIONS(1420),
    [anon_sym_precise] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_out] = ACTIONS(1420),
    [anon_sym_inout] = ACTIONS(1420),
    [anon_sym_uniform] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_attribute] = ACTIONS(1420),
    [anon_sym_varying] = ACTIONS(1420),
    [anon_sym_buffer] = ACTIONS(1420),
    [anon_sym_coherent] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_writeonly] = ACTIONS(1420),
    [anon_sym_precision] = ACTIONS(1420),
    [anon_sym_highp] = ACTIONS(1420),
    [anon_sym_mediump] = ACTIONS(1420),
    [anon_sym_lowp] = ACTIONS(1420),
    [anon_sym_centroid] = ACTIONS(1420),
    [anon_sym_sample] = ACTIONS(1420),
    [anon_sym_patch] = ACTIONS(1420),
    [anon_sym_smooth] = ACTIONS(1420),
    [anon_sym_flat] = ACTIONS(1420),
    [anon_sym_noperspective] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym___attribute] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [anon_sym__Nonnull] = ACTIONS(1420),
    [anon_sym_alignas] = ACTIONS(1420),
    [anon_sym__Alignas] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [anon_sym___asm] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1420),
    [anon_sym_hitAttributeEXT] = ACTIONS(1420),
    [anon_sym_callableDataEXT] = ACTIONS(1420),
    [anon_sym_callableDataInEXT] = ACTIONS(1420),
    [anon_sym_shaderRecordEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadNV] = ACTIONS(1420),
    [anon_sym_rayPayloadInNV] = ACTIONS(1420),
    [anon_sym_hitAttributeNV] = ACTIONS(1420),
    [anon_sym_callableDataNV] = ACTIONS(1420),
    [anon_sym_callableDataInNV] = ACTIONS(1420),
    [anon_sym_shaderRecordNV] = ACTIONS(1420),
    [anon_sym_layout] = ACTIONS(1420),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [aux_sym_preproc_else_token1] = ACTIONS(1424),
    [aux_sym_preproc_elif_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_subroutine] = ACTIONS(1424),
    [anon_sym_invariant] = ACTIONS(1424),
    [anon_sym_precise] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_out] = ACTIONS(1424),
    [anon_sym_inout] = ACTIONS(1424),
    [anon_sym_uniform] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_attribute] = ACTIONS(1424),
    [anon_sym_varying] = ACTIONS(1424),
    [anon_sym_buffer] = ACTIONS(1424),
    [anon_sym_coherent] = ACTIONS(1424),
    [anon_sym_readonly] = ACTIONS(1424),
    [anon_sym_writeonly] = ACTIONS(1424),
    [anon_sym_precision] = ACTIONS(1424),
    [anon_sym_highp] = ACTIONS(1424),
    [anon_sym_mediump] = ACTIONS(1424),
    [anon_sym_lowp] = ACTIONS(1424),
    [anon_sym_centroid] = ACTIONS(1424),
    [anon_sym_sample] = ACTIONS(1424),
    [anon_sym_patch] = ACTIONS(1424),
    [anon_sym_smooth] = ACTIONS(1424),
    [anon_sym_flat] = ACTIONS(1424),
    [anon_sym_noperspective] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym___attribute] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [anon_sym__Nonnull] = ACTIONS(1424),
    [anon_sym_alignas] = ACTIONS(1424),
    [anon_sym__Alignas] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [anon_sym___asm] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1424),
    [anon_sym_hitAttributeEXT] = ACTIONS(1424),
    [anon_sym_callableDataEXT] = ACTIONS(1424),
    [anon_sym_callableDataInEXT] = ACTIONS(1424),
    [anon_sym_shaderRecordEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadNV] = ACTIONS(1424),
    [anon_sym_rayPayloadInNV] = ACTIONS(1424),
    [anon_sym_hitAttributeNV] = ACTIONS(1424),
    [anon_sym_callableDataNV] = ACTIONS(1424),
    [anon_sym_callableDataInNV] = ACTIONS(1424),
    [anon_sym_shaderRecordNV] = ACTIONS(1424),
    [anon_sym_layout] = ACTIONS(1424),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [aux_sym_preproc_else_token1] = ACTIONS(1428),
    [aux_sym_preproc_elif_token1] = ACTIONS(1428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_subroutine] = ACTIONS(1428),
    [anon_sym_invariant] = ACTIONS(1428),
    [anon_sym_precise] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_out] = ACTIONS(1428),
    [anon_sym_inout] = ACTIONS(1428),
    [anon_sym_uniform] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_attribute] = ACTIONS(1428),
    [anon_sym_varying] = ACTIONS(1428),
    [anon_sym_buffer] = ACTIONS(1428),
    [anon_sym_coherent] = ACTIONS(1428),
    [anon_sym_readonly] = ACTIONS(1428),
    [anon_sym_writeonly] = ACTIONS(1428),
    [anon_sym_precision] = ACTIONS(1428),
    [anon_sym_highp] = ACTIONS(1428),
    [anon_sym_mediump] = ACTIONS(1428),
    [anon_sym_lowp] = ACTIONS(1428),
    [anon_sym_centroid] = ACTIONS(1428),
    [anon_sym_sample] = ACTIONS(1428),
    [anon_sym_patch] = ACTIONS(1428),
    [anon_sym_smooth] = ACTIONS(1428),
    [anon_sym_flat] = ACTIONS(1428),
    [anon_sym_noperspective] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym___attribute] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [anon_sym__Nonnull] = ACTIONS(1428),
    [anon_sym_alignas] = ACTIONS(1428),
    [anon_sym__Alignas] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [anon_sym___asm] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1428),
    [anon_sym_hitAttributeEXT] = ACTIONS(1428),
    [anon_sym_callableDataEXT] = ACTIONS(1428),
    [anon_sym_callableDataInEXT] = ACTIONS(1428),
    [anon_sym_shaderRecordEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadNV] = ACTIONS(1428),
    [anon_sym_rayPayloadInNV] = ACTIONS(1428),
    [anon_sym_hitAttributeNV] = ACTIONS(1428),
    [anon_sym_callableDataNV] = ACTIONS(1428),
    [anon_sym_callableDataInNV] = ACTIONS(1428),
    [anon_sym_shaderRecordNV] = ACTIONS(1428),
    [anon_sym_layout] = ACTIONS(1428),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [aux_sym_preproc_else_token1] = ACTIONS(1432),
    [aux_sym_preproc_elif_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [aux_sym_preproc_else_token1] = ACTIONS(1436),
    [aux_sym_preproc_elif_token1] = ACTIONS(1436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_subroutine] = ACTIONS(1436),
    [anon_sym_invariant] = ACTIONS(1436),
    [anon_sym_precise] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_out] = ACTIONS(1436),
    [anon_sym_inout] = ACTIONS(1436),
    [anon_sym_uniform] = ACTIONS(1436),
    [anon_sym_shared] = ACTIONS(1436),
    [anon_sym_attribute] = ACTIONS(1436),
    [anon_sym_varying] = ACTIONS(1436),
    [anon_sym_buffer] = ACTIONS(1436),
    [anon_sym_coherent] = ACTIONS(1436),
    [anon_sym_readonly] = ACTIONS(1436),
    [anon_sym_writeonly] = ACTIONS(1436),
    [anon_sym_precision] = ACTIONS(1436),
    [anon_sym_highp] = ACTIONS(1436),
    [anon_sym_mediump] = ACTIONS(1436),
    [anon_sym_lowp] = ACTIONS(1436),
    [anon_sym_centroid] = ACTIONS(1436),
    [anon_sym_sample] = ACTIONS(1436),
    [anon_sym_patch] = ACTIONS(1436),
    [anon_sym_smooth] = ACTIONS(1436),
    [anon_sym_flat] = ACTIONS(1436),
    [anon_sym_noperspective] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym___attribute] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [anon_sym__Nonnull] = ACTIONS(1436),
    [anon_sym_alignas] = ACTIONS(1436),
    [anon_sym__Alignas] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [anon_sym___asm] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1436),
    [anon_sym_hitAttributeEXT] = ACTIONS(1436),
    [anon_sym_callableDataEXT] = ACTIONS(1436),
    [anon_sym_callableDataInEXT] = ACTIONS(1436),
    [anon_sym_shaderRecordEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadNV] = ACTIONS(1436),
    [anon_sym_rayPayloadInNV] = ACTIONS(1436),
    [anon_sym_hitAttributeNV] = ACTIONS(1436),
    [anon_sym_callableDataNV] = ACTIONS(1436),
    [anon_sym_callableDataInNV] = ACTIONS(1436),
    [anon_sym_shaderRecordNV] = ACTIONS(1436),
    [anon_sym_layout] = ACTIONS(1436),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [aux_sym_preproc_else_token1] = ACTIONS(1440),
    [aux_sym_preproc_elif_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_subroutine] = ACTIONS(1440),
    [anon_sym_invariant] = ACTIONS(1440),
    [anon_sym_precise] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_in] = ACTIONS(1440),
    [anon_sym_out] = ACTIONS(1440),
    [anon_sym_inout] = ACTIONS(1440),
    [anon_sym_uniform] = ACTIONS(1440),
    [anon_sym_shared] = ACTIONS(1440),
    [anon_sym_attribute] = ACTIONS(1440),
    [anon_sym_varying] = ACTIONS(1440),
    [anon_sym_buffer] = ACTIONS(1440),
    [anon_sym_coherent] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_writeonly] = ACTIONS(1440),
    [anon_sym_precision] = ACTIONS(1440),
    [anon_sym_highp] = ACTIONS(1440),
    [anon_sym_mediump] = ACTIONS(1440),
    [anon_sym_lowp] = ACTIONS(1440),
    [anon_sym_centroid] = ACTIONS(1440),
    [anon_sym_sample] = ACTIONS(1440),
    [anon_sym_patch] = ACTIONS(1440),
    [anon_sym_smooth] = ACTIONS(1440),
    [anon_sym_flat] = ACTIONS(1440),
    [anon_sym_noperspective] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym___attribute] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [anon_sym__Nonnull] = ACTIONS(1440),
    [anon_sym_alignas] = ACTIONS(1440),
    [anon_sym__Alignas] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [anon_sym___asm] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1440),
    [anon_sym_hitAttributeEXT] = ACTIONS(1440),
    [anon_sym_callableDataEXT] = ACTIONS(1440),
    [anon_sym_callableDataInEXT] = ACTIONS(1440),
    [anon_sym_shaderRecordEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadNV] = ACTIONS(1440),
    [anon_sym_rayPayloadInNV] = ACTIONS(1440),
    [anon_sym_hitAttributeNV] = ACTIONS(1440),
    [anon_sym_callableDataNV] = ACTIONS(1440),
    [anon_sym_callableDataInNV] = ACTIONS(1440),
    [anon_sym_shaderRecordNV] = ACTIONS(1440),
    [anon_sym_layout] = ACTIONS(1440),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [aux_sym_preproc_else_token1] = ACTIONS(1444),
    [aux_sym_preproc_elif_token1] = ACTIONS(1444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_subroutine] = ACTIONS(1444),
    [anon_sym_invariant] = ACTIONS(1444),
    [anon_sym_precise] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_in] = ACTIONS(1444),
    [anon_sym_out] = ACTIONS(1444),
    [anon_sym_inout] = ACTIONS(1444),
    [anon_sym_uniform] = ACTIONS(1444),
    [anon_sym_shared] = ACTIONS(1444),
    [anon_sym_attribute] = ACTIONS(1444),
    [anon_sym_varying] = ACTIONS(1444),
    [anon_sym_buffer] = ACTIONS(1444),
    [anon_sym_coherent] = ACTIONS(1444),
    [anon_sym_readonly] = ACTIONS(1444),
    [anon_sym_writeonly] = ACTIONS(1444),
    [anon_sym_precision] = ACTIONS(1444),
    [anon_sym_highp] = ACTIONS(1444),
    [anon_sym_mediump] = ACTIONS(1444),
    [anon_sym_lowp] = ACTIONS(1444),
    [anon_sym_centroid] = ACTIONS(1444),
    [anon_sym_sample] = ACTIONS(1444),
    [anon_sym_patch] = ACTIONS(1444),
    [anon_sym_smooth] = ACTIONS(1444),
    [anon_sym_flat] = ACTIONS(1444),
    [anon_sym_noperspective] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym___attribute] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [anon_sym__Nonnull] = ACTIONS(1444),
    [anon_sym_alignas] = ACTIONS(1444),
    [anon_sym__Alignas] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [anon_sym___asm] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1444),
    [anon_sym_hitAttributeEXT] = ACTIONS(1444),
    [anon_sym_callableDataEXT] = ACTIONS(1444),
    [anon_sym_callableDataInEXT] = ACTIONS(1444),
    [anon_sym_shaderRecordEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadNV] = ACTIONS(1444),
    [anon_sym_rayPayloadInNV] = ACTIONS(1444),
    [anon_sym_hitAttributeNV] = ACTIONS(1444),
    [anon_sym_callableDataNV] = ACTIONS(1444),
    [anon_sym_callableDataInNV] = ACTIONS(1444),
    [anon_sym_shaderRecordNV] = ACTIONS(1444),
    [anon_sym_layout] = ACTIONS(1444),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [aux_sym_preproc_else_token1] = ACTIONS(1448),
    [aux_sym_preproc_elif_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [aux_sym_preproc_else_token1] = ACTIONS(1448),
    [aux_sym_preproc_elif_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [aux_sym_preproc_else_token1] = ACTIONS(1452),
    [aux_sym_preproc_elif_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [aux_sym_preproc_else_token1] = ACTIONS(1452),
    [aux_sym_preproc_elif_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [aux_sym_preproc_else_token1] = ACTIONS(1456),
    [aux_sym_preproc_elif_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [aux_sym_preproc_else_token1] = ACTIONS(1456),
    [aux_sym_preproc_elif_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [aux_sym_preproc_else_token1] = ACTIONS(1460),
    [aux_sym_preproc_elif_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [aux_sym_preproc_else_token1] = ACTIONS(1460),
    [aux_sym_preproc_elif_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [aux_sym_preproc_else_token1] = ACTIONS(1464),
    [aux_sym_preproc_elif_token1] = ACTIONS(1464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_subroutine] = ACTIONS(1464),
    [anon_sym_invariant] = ACTIONS(1464),
    [anon_sym_precise] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym_in] = ACTIONS(1464),
    [anon_sym_out] = ACTIONS(1464),
    [anon_sym_inout] = ACTIONS(1464),
    [anon_sym_uniform] = ACTIONS(1464),
    [anon_sym_shared] = ACTIONS(1464),
    [anon_sym_attribute] = ACTIONS(1464),
    [anon_sym_varying] = ACTIONS(1464),
    [anon_sym_buffer] = ACTIONS(1464),
    [anon_sym_coherent] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_writeonly] = ACTIONS(1464),
    [anon_sym_precision] = ACTIONS(1464),
    [anon_sym_highp] = ACTIONS(1464),
    [anon_sym_mediump] = ACTIONS(1464),
    [anon_sym_lowp] = ACTIONS(1464),
    [anon_sym_centroid] = ACTIONS(1464),
    [anon_sym_sample] = ACTIONS(1464),
    [anon_sym_patch] = ACTIONS(1464),
    [anon_sym_smooth] = ACTIONS(1464),
    [anon_sym_flat] = ACTIONS(1464),
    [anon_sym_noperspective] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym___attribute] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [anon_sym__Nonnull] = ACTIONS(1464),
    [anon_sym_alignas] = ACTIONS(1464),
    [anon_sym__Alignas] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [anon_sym___asm] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1464),
    [anon_sym_hitAttributeEXT] = ACTIONS(1464),
    [anon_sym_callableDataEXT] = ACTIONS(1464),
    [anon_sym_callableDataInEXT] = ACTIONS(1464),
    [anon_sym_shaderRecordEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadNV] = ACTIONS(1464),
    [anon_sym_rayPayloadInNV] = ACTIONS(1464),
    [anon_sym_hitAttributeNV] = ACTIONS(1464),
    [anon_sym_callableDataNV] = ACTIONS(1464),
    [anon_sym_callableDataInNV] = ACTIONS(1464),
    [anon_sym_shaderRecordNV] = ACTIONS(1464),
    [anon_sym_layout] = ACTIONS(1464),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [aux_sym_preproc_else_token1] = ACTIONS(1468),
    [aux_sym_preproc_elif_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_subroutine] = ACTIONS(1468),
    [anon_sym_invariant] = ACTIONS(1468),
    [anon_sym_precise] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym_in] = ACTIONS(1468),
    [anon_sym_out] = ACTIONS(1468),
    [anon_sym_inout] = ACTIONS(1468),
    [anon_sym_uniform] = ACTIONS(1468),
    [anon_sym_shared] = ACTIONS(1468),
    [anon_sym_attribute] = ACTIONS(1468),
    [anon_sym_varying] = ACTIONS(1468),
    [anon_sym_buffer] = ACTIONS(1468),
    [anon_sym_coherent] = ACTIONS(1468),
    [anon_sym_readonly] = ACTIONS(1468),
    [anon_sym_writeonly] = ACTIONS(1468),
    [anon_sym_precision] = ACTIONS(1468),
    [anon_sym_highp] = ACTIONS(1468),
    [anon_sym_mediump] = ACTIONS(1468),
    [anon_sym_lowp] = ACTIONS(1468),
    [anon_sym_centroid] = ACTIONS(1468),
    [anon_sym_sample] = ACTIONS(1468),
    [anon_sym_patch] = ACTIONS(1468),
    [anon_sym_smooth] = ACTIONS(1468),
    [anon_sym_flat] = ACTIONS(1468),
    [anon_sym_noperspective] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym___attribute] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [anon_sym__Nonnull] = ACTIONS(1468),
    [anon_sym_alignas] = ACTIONS(1468),
    [anon_sym__Alignas] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [anon_sym___asm] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1468),
    [anon_sym_hitAttributeEXT] = ACTIONS(1468),
    [anon_sym_callableDataEXT] = ACTIONS(1468),
    [anon_sym_callableDataInEXT] = ACTIONS(1468),
    [anon_sym_shaderRecordEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadNV] = ACTIONS(1468),
    [anon_sym_rayPayloadInNV] = ACTIONS(1468),
    [anon_sym_hitAttributeNV] = ACTIONS(1468),
    [anon_sym_callableDataNV] = ACTIONS(1468),
    [anon_sym_callableDataInNV] = ACTIONS(1468),
    [anon_sym_shaderRecordNV] = ACTIONS(1468),
    [anon_sym_layout] = ACTIONS(1468),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [aux_sym_preproc_else_token1] = ACTIONS(1472),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_subroutine] = ACTIONS(1472),
    [anon_sym_invariant] = ACTIONS(1472),
    [anon_sym_precise] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_out] = ACTIONS(1472),
    [anon_sym_inout] = ACTIONS(1472),
    [anon_sym_uniform] = ACTIONS(1472),
    [anon_sym_shared] = ACTIONS(1472),
    [anon_sym_attribute] = ACTIONS(1472),
    [anon_sym_varying] = ACTIONS(1472),
    [anon_sym_buffer] = ACTIONS(1472),
    [anon_sym_coherent] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_writeonly] = ACTIONS(1472),
    [anon_sym_precision] = ACTIONS(1472),
    [anon_sym_highp] = ACTIONS(1472),
    [anon_sym_mediump] = ACTIONS(1472),
    [anon_sym_lowp] = ACTIONS(1472),
    [anon_sym_centroid] = ACTIONS(1472),
    [anon_sym_sample] = ACTIONS(1472),
    [anon_sym_patch] = ACTIONS(1472),
    [anon_sym_smooth] = ACTIONS(1472),
    [anon_sym_flat] = ACTIONS(1472),
    [anon_sym_noperspective] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym___attribute] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [anon_sym__Nonnull] = ACTIONS(1472),
    [anon_sym_alignas] = ACTIONS(1472),
    [anon_sym__Alignas] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [anon_sym___asm] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1472),
    [anon_sym_hitAttributeEXT] = ACTIONS(1472),
    [anon_sym_callableDataEXT] = ACTIONS(1472),
    [anon_sym_callableDataInEXT] = ACTIONS(1472),
    [anon_sym_shaderRecordEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadNV] = ACTIONS(1472),
    [anon_sym_rayPayloadInNV] = ACTIONS(1472),
    [anon_sym_hitAttributeNV] = ACTIONS(1472),
    [anon_sym_callableDataNV] = ACTIONS(1472),
    [anon_sym_callableDataInNV] = ACTIONS(1472),
    [anon_sym_shaderRecordNV] = ACTIONS(1472),
    [anon_sym_layout] = ACTIONS(1472),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [aux_sym_preproc_else_token1] = ACTIONS(1476),
    [aux_sym_preproc_elif_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_subroutine] = ACTIONS(1476),
    [anon_sym_invariant] = ACTIONS(1476),
    [anon_sym_precise] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_out] = ACTIONS(1476),
    [anon_sym_inout] = ACTIONS(1476),
    [anon_sym_uniform] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_attribute] = ACTIONS(1476),
    [anon_sym_varying] = ACTIONS(1476),
    [anon_sym_buffer] = ACTIONS(1476),
    [anon_sym_coherent] = ACTIONS(1476),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_writeonly] = ACTIONS(1476),
    [anon_sym_precision] = ACTIONS(1476),
    [anon_sym_highp] = ACTIONS(1476),
    [anon_sym_mediump] = ACTIONS(1476),
    [anon_sym_lowp] = ACTIONS(1476),
    [anon_sym_centroid] = ACTIONS(1476),
    [anon_sym_sample] = ACTIONS(1476),
    [anon_sym_patch] = ACTIONS(1476),
    [anon_sym_smooth] = ACTIONS(1476),
    [anon_sym_flat] = ACTIONS(1476),
    [anon_sym_noperspective] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym___attribute] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [anon_sym__Nonnull] = ACTIONS(1476),
    [anon_sym_alignas] = ACTIONS(1476),
    [anon_sym__Alignas] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [anon_sym___asm] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1476),
    [anon_sym_hitAttributeEXT] = ACTIONS(1476),
    [anon_sym_callableDataEXT] = ACTIONS(1476),
    [anon_sym_callableDataInEXT] = ACTIONS(1476),
    [anon_sym_shaderRecordEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadNV] = ACTIONS(1476),
    [anon_sym_rayPayloadInNV] = ACTIONS(1476),
    [anon_sym_hitAttributeNV] = ACTIONS(1476),
    [anon_sym_callableDataNV] = ACTIONS(1476),
    [anon_sym_callableDataInNV] = ACTIONS(1476),
    [anon_sym_shaderRecordNV] = ACTIONS(1476),
    [anon_sym_layout] = ACTIONS(1476),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [aux_sym_preproc_else_token1] = ACTIONS(1480),
    [aux_sym_preproc_elif_token1] = ACTIONS(1480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_subroutine] = ACTIONS(1480),
    [anon_sym_invariant] = ACTIONS(1480),
    [anon_sym_precise] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_uniform] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_attribute] = ACTIONS(1480),
    [anon_sym_varying] = ACTIONS(1480),
    [anon_sym_buffer] = ACTIONS(1480),
    [anon_sym_coherent] = ACTIONS(1480),
    [anon_sym_readonly] = ACTIONS(1480),
    [anon_sym_writeonly] = ACTIONS(1480),
    [anon_sym_precision] = ACTIONS(1480),
    [anon_sym_highp] = ACTIONS(1480),
    [anon_sym_mediump] = ACTIONS(1480),
    [anon_sym_lowp] = ACTIONS(1480),
    [anon_sym_centroid] = ACTIONS(1480),
    [anon_sym_sample] = ACTIONS(1480),
    [anon_sym_patch] = ACTIONS(1480),
    [anon_sym_smooth] = ACTIONS(1480),
    [anon_sym_flat] = ACTIONS(1480),
    [anon_sym_noperspective] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym___attribute] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [anon_sym__Nonnull] = ACTIONS(1480),
    [anon_sym_alignas] = ACTIONS(1480),
    [anon_sym__Alignas] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [anon_sym___asm] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1480),
    [anon_sym_hitAttributeEXT] = ACTIONS(1480),
    [anon_sym_callableDataEXT] = ACTIONS(1480),
    [anon_sym_callableDataInEXT] = ACTIONS(1480),
    [anon_sym_shaderRecordEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadNV] = ACTIONS(1480),
    [anon_sym_rayPayloadInNV] = ACTIONS(1480),
    [anon_sym_hitAttributeNV] = ACTIONS(1480),
    [anon_sym_callableDataNV] = ACTIONS(1480),
    [anon_sym_callableDataInNV] = ACTIONS(1480),
    [anon_sym_shaderRecordNV] = ACTIONS(1480),
    [anon_sym_layout] = ACTIONS(1480),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [aux_sym_preproc_else_token1] = ACTIONS(1484),
    [aux_sym_preproc_elif_token1] = ACTIONS(1484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_subroutine] = ACTIONS(1484),
    [anon_sym_invariant] = ACTIONS(1484),
    [anon_sym_precise] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_out] = ACTIONS(1484),
    [anon_sym_inout] = ACTIONS(1484),
    [anon_sym_uniform] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_attribute] = ACTIONS(1484),
    [anon_sym_varying] = ACTIONS(1484),
    [anon_sym_buffer] = ACTIONS(1484),
    [anon_sym_coherent] = ACTIONS(1484),
    [anon_sym_readonly] = ACTIONS(1484),
    [anon_sym_writeonly] = ACTIONS(1484),
    [anon_sym_precision] = ACTIONS(1484),
    [anon_sym_highp] = ACTIONS(1484),
    [anon_sym_mediump] = ACTIONS(1484),
    [anon_sym_lowp] = ACTIONS(1484),
    [anon_sym_centroid] = ACTIONS(1484),
    [anon_sym_sample] = ACTIONS(1484),
    [anon_sym_patch] = ACTIONS(1484),
    [anon_sym_smooth] = ACTIONS(1484),
    [anon_sym_flat] = ACTIONS(1484),
    [anon_sym_noperspective] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym___attribute] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [anon_sym__Nonnull] = ACTIONS(1484),
    [anon_sym_alignas] = ACTIONS(1484),
    [anon_sym__Alignas] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [anon_sym___asm] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1484),
    [anon_sym_hitAttributeEXT] = ACTIONS(1484),
    [anon_sym_callableDataEXT] = ACTIONS(1484),
    [anon_sym_callableDataInEXT] = ACTIONS(1484),
    [anon_sym_shaderRecordEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadNV] = ACTIONS(1484),
    [anon_sym_rayPayloadInNV] = ACTIONS(1484),
    [anon_sym_hitAttributeNV] = ACTIONS(1484),
    [anon_sym_callableDataNV] = ACTIONS(1484),
    [anon_sym_callableDataInNV] = ACTIONS(1484),
    [anon_sym_shaderRecordNV] = ACTIONS(1484),
    [anon_sym_layout] = ACTIONS(1484),
  },
  [156] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1488),
    [aux_sym_preproc_elif_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_subroutine] = ACTIONS(1488),
    [anon_sym_invariant] = ACTIONS(1488),
    [anon_sym_precise] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_in] = ACTIONS(1488),
    [anon_sym_out] = ACTIONS(1488),
    [anon_sym_inout] = ACTIONS(1488),
    [anon_sym_uniform] = ACTIONS(1488),
    [anon_sym_shared] = ACTIONS(1488),
    [anon_sym_attribute] = ACTIONS(1488),
    [anon_sym_varying] = ACTIONS(1488),
    [anon_sym_buffer] = ACTIONS(1488),
    [anon_sym_coherent] = ACTIONS(1488),
    [anon_sym_readonly] = ACTIONS(1488),
    [anon_sym_writeonly] = ACTIONS(1488),
    [anon_sym_precision] = ACTIONS(1488),
    [anon_sym_highp] = ACTIONS(1488),
    [anon_sym_mediump] = ACTIONS(1488),
    [anon_sym_lowp] = ACTIONS(1488),
    [anon_sym_centroid] = ACTIONS(1488),
    [anon_sym_sample] = ACTIONS(1488),
    [anon_sym_patch] = ACTIONS(1488),
    [anon_sym_smooth] = ACTIONS(1488),
    [anon_sym_flat] = ACTIONS(1488),
    [anon_sym_noperspective] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym___attribute] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [anon_sym__Nonnull] = ACTIONS(1488),
    [anon_sym_alignas] = ACTIONS(1488),
    [anon_sym__Alignas] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [anon_sym___asm] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1488),
    [anon_sym_hitAttributeEXT] = ACTIONS(1488),
    [anon_sym_callableDataEXT] = ACTIONS(1488),
    [anon_sym_callableDataInEXT] = ACTIONS(1488),
    [anon_sym_shaderRecordEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadNV] = ACTIONS(1488),
    [anon_sym_rayPayloadInNV] = ACTIONS(1488),
    [anon_sym_hitAttributeNV] = ACTIONS(1488),
    [anon_sym_callableDataNV] = ACTIONS(1488),
    [anon_sym_callableDataInNV] = ACTIONS(1488),
    [anon_sym_shaderRecordNV] = ACTIONS(1488),
    [anon_sym_layout] = ACTIONS(1488),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_subroutine] = ACTIONS(1492),
    [anon_sym_invariant] = ACTIONS(1492),
    [anon_sym_precise] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(1492),
    [anon_sym_out] = ACTIONS(1492),
    [anon_sym_inout] = ACTIONS(1492),
    [anon_sym_uniform] = ACTIONS(1492),
    [anon_sym_shared] = ACTIONS(1492),
    [anon_sym_attribute] = ACTIONS(1492),
    [anon_sym_varying] = ACTIONS(1492),
    [anon_sym_buffer] = ACTIONS(1492),
    [anon_sym_coherent] = ACTIONS(1492),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_writeonly] = ACTIONS(1492),
    [anon_sym_precision] = ACTIONS(1492),
    [anon_sym_highp] = ACTIONS(1492),
    [anon_sym_mediump] = ACTIONS(1492),
    [anon_sym_lowp] = ACTIONS(1492),
    [anon_sym_centroid] = ACTIONS(1492),
    [anon_sym_sample] = ACTIONS(1492),
    [anon_sym_patch] = ACTIONS(1492),
    [anon_sym_smooth] = ACTIONS(1492),
    [anon_sym_flat] = ACTIONS(1492),
    [anon_sym_noperspective] = ACTIONS(1492),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym___attribute] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [anon_sym__Nonnull] = ACTIONS(1492),
    [anon_sym_alignas] = ACTIONS(1492),
    [anon_sym__Alignas] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [anon_sym___asm] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1492),
    [anon_sym_hitAttributeEXT] = ACTIONS(1492),
    [anon_sym_callableDataEXT] = ACTIONS(1492),
    [anon_sym_callableDataInEXT] = ACTIONS(1492),
    [anon_sym_shaderRecordEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadNV] = ACTIONS(1492),
    [anon_sym_rayPayloadInNV] = ACTIONS(1492),
    [anon_sym_hitAttributeNV] = ACTIONS(1492),
    [anon_sym_callableDataNV] = ACTIONS(1492),
    [anon_sym_callableDataInNV] = ACTIONS(1492),
    [anon_sym_shaderRecordNV] = ACTIONS(1492),
    [anon_sym_layout] = ACTIONS(1492),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_subroutine] = ACTIONS(1496),
    [anon_sym_invariant] = ACTIONS(1496),
    [anon_sym_precise] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1496),
    [anon_sym_out] = ACTIONS(1496),
    [anon_sym_inout] = ACTIONS(1496),
    [anon_sym_uniform] = ACTIONS(1496),
    [anon_sym_shared] = ACTIONS(1496),
    [anon_sym_attribute] = ACTIONS(1496),
    [anon_sym_varying] = ACTIONS(1496),
    [anon_sym_buffer] = ACTIONS(1496),
    [anon_sym_coherent] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_writeonly] = ACTIONS(1496),
    [anon_sym_precision] = ACTIONS(1496),
    [anon_sym_highp] = ACTIONS(1496),
    [anon_sym_mediump] = ACTIONS(1496),
    [anon_sym_lowp] = ACTIONS(1496),
    [anon_sym_centroid] = ACTIONS(1496),
    [anon_sym_sample] = ACTIONS(1496),
    [anon_sym_patch] = ACTIONS(1496),
    [anon_sym_smooth] = ACTIONS(1496),
    [anon_sym_flat] = ACTIONS(1496),
    [anon_sym_noperspective] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym___attribute] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [anon_sym__Nonnull] = ACTIONS(1496),
    [anon_sym_alignas] = ACTIONS(1496),
    [anon_sym__Alignas] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [anon_sym___asm] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1496),
    [anon_sym_hitAttributeEXT] = ACTIONS(1496),
    [anon_sym_callableDataEXT] = ACTIONS(1496),
    [anon_sym_callableDataInEXT] = ACTIONS(1496),
    [anon_sym_shaderRecordEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadNV] = ACTIONS(1496),
    [anon_sym_rayPayloadInNV] = ACTIONS(1496),
    [anon_sym_hitAttributeNV] = ACTIONS(1496),
    [anon_sym_callableDataNV] = ACTIONS(1496),
    [anon_sym_callableDataInNV] = ACTIONS(1496),
    [anon_sym_shaderRecordNV] = ACTIONS(1496),
    [anon_sym_layout] = ACTIONS(1496),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [aux_sym_preproc_else_token1] = ACTIONS(1500),
    [aux_sym_preproc_elif_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_subroutine] = ACTIONS(1500),
    [anon_sym_invariant] = ACTIONS(1500),
    [anon_sym_precise] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1500),
    [anon_sym_out] = ACTIONS(1500),
    [anon_sym_inout] = ACTIONS(1500),
    [anon_sym_uniform] = ACTIONS(1500),
    [anon_sym_shared] = ACTIONS(1500),
    [anon_sym_attribute] = ACTIONS(1500),
    [anon_sym_varying] = ACTIONS(1500),
    [anon_sym_buffer] = ACTIONS(1500),
    [anon_sym_coherent] = ACTIONS(1500),
    [anon_sym_readonly] = ACTIONS(1500),
    [anon_sym_writeonly] = ACTIONS(1500),
    [anon_sym_precision] = ACTIONS(1500),
    [anon_sym_highp] = ACTIONS(1500),
    [anon_sym_mediump] = ACTIONS(1500),
    [anon_sym_lowp] = ACTIONS(1500),
    [anon_sym_centroid] = ACTIONS(1500),
    [anon_sym_sample] = ACTIONS(1500),
    [anon_sym_patch] = ACTIONS(1500),
    [anon_sym_smooth] = ACTIONS(1500),
    [anon_sym_flat] = ACTIONS(1500),
    [anon_sym_noperspective] = ACTIONS(1500),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym___attribute] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [anon_sym__Nonnull] = ACTIONS(1500),
    [anon_sym_alignas] = ACTIONS(1500),
    [anon_sym__Alignas] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [anon_sym___asm] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1500),
    [anon_sym_hitAttributeEXT] = ACTIONS(1500),
    [anon_sym_callableDataEXT] = ACTIONS(1500),
    [anon_sym_callableDataInEXT] = ACTIONS(1500),
    [anon_sym_shaderRecordEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadNV] = ACTIONS(1500),
    [anon_sym_rayPayloadInNV] = ACTIONS(1500),
    [anon_sym_hitAttributeNV] = ACTIONS(1500),
    [anon_sym_callableDataNV] = ACTIONS(1500),
    [anon_sym_callableDataInNV] = ACTIONS(1500),
    [anon_sym_shaderRecordNV] = ACTIONS(1500),
    [anon_sym_layout] = ACTIONS(1500),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_subroutine] = ACTIONS(1504),
    [anon_sym_invariant] = ACTIONS(1504),
    [anon_sym_precise] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1504),
    [anon_sym_out] = ACTIONS(1504),
    [anon_sym_inout] = ACTIONS(1504),
    [anon_sym_uniform] = ACTIONS(1504),
    [anon_sym_shared] = ACTIONS(1504),
    [anon_sym_attribute] = ACTIONS(1504),
    [anon_sym_varying] = ACTIONS(1504),
    [anon_sym_buffer] = ACTIONS(1504),
    [anon_sym_coherent] = ACTIONS(1504),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_writeonly] = ACTIONS(1504),
    [anon_sym_precision] = ACTIONS(1504),
    [anon_sym_highp] = ACTIONS(1504),
    [anon_sym_mediump] = ACTIONS(1504),
    [anon_sym_lowp] = ACTIONS(1504),
    [anon_sym_centroid] = ACTIONS(1504),
    [anon_sym_sample] = ACTIONS(1504),
    [anon_sym_patch] = ACTIONS(1504),
    [anon_sym_smooth] = ACTIONS(1504),
    [anon_sym_flat] = ACTIONS(1504),
    [anon_sym_noperspective] = ACTIONS(1504),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym___attribute] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [anon_sym__Nonnull] = ACTIONS(1504),
    [anon_sym_alignas] = ACTIONS(1504),
    [anon_sym__Alignas] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [anon_sym___asm] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1504),
    [anon_sym_hitAttributeEXT] = ACTIONS(1504),
    [anon_sym_callableDataEXT] = ACTIONS(1504),
    [anon_sym_callableDataInEXT] = ACTIONS(1504),
    [anon_sym_shaderRecordEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadNV] = ACTIONS(1504),
    [anon_sym_rayPayloadInNV] = ACTIONS(1504),
    [anon_sym_hitAttributeNV] = ACTIONS(1504),
    [anon_sym_callableDataNV] = ACTIONS(1504),
    [anon_sym_callableDataInNV] = ACTIONS(1504),
    [anon_sym_shaderRecordNV] = ACTIONS(1504),
    [anon_sym_layout] = ACTIONS(1504),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token2] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [aux_sym_preproc_else_token1] = ACTIONS(1508),
    [aux_sym_preproc_elif_token1] = ACTIONS(1508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_subroutine] = ACTIONS(1508),
    [anon_sym_invariant] = ACTIONS(1508),
    [anon_sym_precise] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1508),
    [anon_sym_out] = ACTIONS(1508),
    [anon_sym_inout] = ACTIONS(1508),
    [anon_sym_uniform] = ACTIONS(1508),
    [anon_sym_shared] = ACTIONS(1508),
    [anon_sym_attribute] = ACTIONS(1508),
    [anon_sym_varying] = ACTIONS(1508),
    [anon_sym_buffer] = ACTIONS(1508),
    [anon_sym_coherent] = ACTIONS(1508),
    [anon_sym_readonly] = ACTIONS(1508),
    [anon_sym_writeonly] = ACTIONS(1508),
    [anon_sym_precision] = ACTIONS(1508),
    [anon_sym_highp] = ACTIONS(1508),
    [anon_sym_mediump] = ACTIONS(1508),
    [anon_sym_lowp] = ACTIONS(1508),
    [anon_sym_centroid] = ACTIONS(1508),
    [anon_sym_sample] = ACTIONS(1508),
    [anon_sym_patch] = ACTIONS(1508),
    [anon_sym_smooth] = ACTIONS(1508),
    [anon_sym_flat] = ACTIONS(1508),
    [anon_sym_noperspective] = ACTIONS(1508),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym___attribute] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [anon_sym__Nonnull] = ACTIONS(1508),
    [anon_sym_alignas] = ACTIONS(1508),
    [anon_sym__Alignas] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym___try] = ACTIONS(1508),
    [anon_sym___leave] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [anon_sym___asm] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1508),
    [anon_sym_hitAttributeEXT] = ACTIONS(1508),
    [anon_sym_callableDataEXT] = ACTIONS(1508),
    [anon_sym_callableDataInEXT] = ACTIONS(1508),
    [anon_sym_shaderRecordEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadNV] = ACTIONS(1508),
    [anon_sym_rayPayloadInNV] = ACTIONS(1508),
    [anon_sym_hitAttributeNV] = ACTIONS(1508),
    [anon_sym_callableDataNV] = ACTIONS(1508),
    [anon_sym_callableDataInNV] = ACTIONS(1508),
    [anon_sym_shaderRecordNV] = ACTIONS(1508),
    [anon_sym_layout] = ACTIONS(1508),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token2] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [aux_sym_preproc_else_token1] = ACTIONS(1512),
    [aux_sym_preproc_elif_token1] = ACTIONS(1512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [aux_sym_preproc_else_token1] = ACTIONS(1516),
    [aux_sym_preproc_elif_token1] = ACTIONS(1516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_subroutine] = ACTIONS(1516),
    [anon_sym_invariant] = ACTIONS(1516),
    [anon_sym_precise] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_out] = ACTIONS(1516),
    [anon_sym_inout] = ACTIONS(1516),
    [anon_sym_uniform] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_attribute] = ACTIONS(1516),
    [anon_sym_varying] = ACTIONS(1516),
    [anon_sym_buffer] = ACTIONS(1516),
    [anon_sym_coherent] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_writeonly] = ACTIONS(1516),
    [anon_sym_precision] = ACTIONS(1516),
    [anon_sym_highp] = ACTIONS(1516),
    [anon_sym_mediump] = ACTIONS(1516),
    [anon_sym_lowp] = ACTIONS(1516),
    [anon_sym_centroid] = ACTIONS(1516),
    [anon_sym_sample] = ACTIONS(1516),
    [anon_sym_patch] = ACTIONS(1516),
    [anon_sym_smooth] = ACTIONS(1516),
    [anon_sym_flat] = ACTIONS(1516),
    [anon_sym_noperspective] = ACTIONS(1516),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym___attribute] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [anon_sym__Nonnull] = ACTIONS(1516),
    [anon_sym_alignas] = ACTIONS(1516),
    [anon_sym__Alignas] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym___try] = ACTIONS(1516),
    [anon_sym___leave] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [anon_sym___asm] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1516),
    [anon_sym_hitAttributeEXT] = ACTIONS(1516),
    [anon_sym_callableDataEXT] = ACTIONS(1516),
    [anon_sym_callableDataInEXT] = ACTIONS(1516),
    [anon_sym_shaderRecordEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadNV] = ACTIONS(1516),
    [anon_sym_rayPayloadInNV] = ACTIONS(1516),
    [anon_sym_hitAttributeNV] = ACTIONS(1516),
    [anon_sym_callableDataNV] = ACTIONS(1516),
    [anon_sym_callableDataInNV] = ACTIONS(1516),
    [anon_sym_shaderRecordNV] = ACTIONS(1516),
    [anon_sym_layout] = ACTIONS(1516),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1520),
    [aux_sym_preproc_include_token1] = ACTIONS(1520),
    [aux_sym_preproc_def_token1] = ACTIONS(1520),
    [aux_sym_preproc_if_token1] = ACTIONS(1520),
    [aux_sym_preproc_if_token2] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1520),
    [aux_sym_preproc_else_token1] = ACTIONS(1520),
    [aux_sym_preproc_elif_token1] = ACTIONS(1520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1520),
    [sym_preproc_directive] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_subroutine] = ACTIONS(1520),
    [anon_sym_invariant] = ACTIONS(1520),
    [anon_sym_precise] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_out] = ACTIONS(1520),
    [anon_sym_inout] = ACTIONS(1520),
    [anon_sym_uniform] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_attribute] = ACTIONS(1520),
    [anon_sym_varying] = ACTIONS(1520),
    [anon_sym_buffer] = ACTIONS(1520),
    [anon_sym_coherent] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_writeonly] = ACTIONS(1520),
    [anon_sym_precision] = ACTIONS(1520),
    [anon_sym_highp] = ACTIONS(1520),
    [anon_sym_mediump] = ACTIONS(1520),
    [anon_sym_lowp] = ACTIONS(1520),
    [anon_sym_centroid] = ACTIONS(1520),
    [anon_sym_sample] = ACTIONS(1520),
    [anon_sym_patch] = ACTIONS(1520),
    [anon_sym_smooth] = ACTIONS(1520),
    [anon_sym_flat] = ACTIONS(1520),
    [anon_sym_noperspective] = ACTIONS(1520),
    [anon_sym___extension__] = ACTIONS(1520),
    [anon_sym_typedef] = ACTIONS(1520),
    [anon_sym_extern] = ACTIONS(1520),
    [anon_sym___attribute__] = ACTIONS(1520),
    [anon_sym___attribute] = ACTIONS(1520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1522),
    [anon_sym___declspec] = ACTIONS(1520),
    [anon_sym___cdecl] = ACTIONS(1520),
    [anon_sym___clrcall] = ACTIONS(1520),
    [anon_sym___stdcall] = ACTIONS(1520),
    [anon_sym___fastcall] = ACTIONS(1520),
    [anon_sym___thiscall] = ACTIONS(1520),
    [anon_sym___vectorcall] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_signed] = ACTIONS(1520),
    [anon_sym_unsigned] = ACTIONS(1520),
    [anon_sym_long] = ACTIONS(1520),
    [anon_sym_short] = ACTIONS(1520),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_auto] = ACTIONS(1520),
    [anon_sym_register] = ACTIONS(1520),
    [anon_sym_inline] = ACTIONS(1520),
    [anon_sym___inline] = ACTIONS(1520),
    [anon_sym___inline__] = ACTIONS(1520),
    [anon_sym___forceinline] = ACTIONS(1520),
    [anon_sym_thread_local] = ACTIONS(1520),
    [anon_sym___thread] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_constexpr] = ACTIONS(1520),
    [anon_sym_volatile] = ACTIONS(1520),
    [anon_sym_restrict] = ACTIONS(1520),
    [anon_sym___restrict__] = ACTIONS(1520),
    [anon_sym__Atomic] = ACTIONS(1520),
    [anon_sym__Noreturn] = ACTIONS(1520),
    [anon_sym_noreturn] = ACTIONS(1520),
    [anon_sym__Nonnull] = ACTIONS(1520),
    [anon_sym_alignas] = ACTIONS(1520),
    [anon_sym__Alignas] = ACTIONS(1520),
    [sym_primitive_type] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_struct] = ACTIONS(1520),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym___try] = ACTIONS(1520),
    [anon_sym___leave] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1520),
    [anon_sym___alignof__] = ACTIONS(1520),
    [anon_sym___alignof] = ACTIONS(1520),
    [anon_sym__alignof] = ACTIONS(1520),
    [anon_sym_alignof] = ACTIONS(1520),
    [anon_sym__Alignof] = ACTIONS(1520),
    [anon_sym_offsetof] = ACTIONS(1520),
    [anon_sym__Generic] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym___asm__] = ACTIONS(1520),
    [anon_sym___asm] = ACTIONS(1520),
    [sym_number_literal] = ACTIONS(1522),
    [anon_sym_L_SQUOTE] = ACTIONS(1522),
    [anon_sym_u_SQUOTE] = ACTIONS(1522),
    [anon_sym_U_SQUOTE] = ACTIONS(1522),
    [anon_sym_u8_SQUOTE] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_L_DQUOTE] = ACTIONS(1522),
    [anon_sym_u_DQUOTE] = ACTIONS(1522),
    [anon_sym_U_DQUOTE] = ACTIONS(1522),
    [anon_sym_u8_DQUOTE] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_NULL] = ACTIONS(1520),
    [anon_sym_nullptr] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1520),
    [anon_sym_hitAttributeEXT] = ACTIONS(1520),
    [anon_sym_callableDataEXT] = ACTIONS(1520),
    [anon_sym_callableDataInEXT] = ACTIONS(1520),
    [anon_sym_shaderRecordEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadNV] = ACTIONS(1520),
    [anon_sym_rayPayloadInNV] = ACTIONS(1520),
    [anon_sym_hitAttributeNV] = ACTIONS(1520),
    [anon_sym_callableDataNV] = ACTIONS(1520),
    [anon_sym_callableDataInNV] = ACTIONS(1520),
    [anon_sym_shaderRecordNV] = ACTIONS(1520),
    [anon_sym_layout] = ACTIONS(1520),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [aux_sym_preproc_else_token1] = ACTIONS(1432),
    [aux_sym_preproc_elif_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token2] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [aux_sym_preproc_else_token1] = ACTIONS(1512),
    [aux_sym_preproc_elif_token1] = ACTIONS(1512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1524),
    [aux_sym_preproc_include_token1] = ACTIONS(1524),
    [aux_sym_preproc_def_token1] = ACTIONS(1524),
    [aux_sym_preproc_if_token1] = ACTIONS(1524),
    [aux_sym_preproc_if_token2] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1524),
    [aux_sym_preproc_else_token1] = ACTIONS(1524),
    [aux_sym_preproc_elif_token1] = ACTIONS(1524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1524),
    [sym_preproc_directive] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_subroutine] = ACTIONS(1524),
    [anon_sym_invariant] = ACTIONS(1524),
    [anon_sym_precise] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_out] = ACTIONS(1524),
    [anon_sym_inout] = ACTIONS(1524),
    [anon_sym_uniform] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_attribute] = ACTIONS(1524),
    [anon_sym_varying] = ACTIONS(1524),
    [anon_sym_buffer] = ACTIONS(1524),
    [anon_sym_coherent] = ACTIONS(1524),
    [anon_sym_readonly] = ACTIONS(1524),
    [anon_sym_writeonly] = ACTIONS(1524),
    [anon_sym_precision] = ACTIONS(1524),
    [anon_sym_highp] = ACTIONS(1524),
    [anon_sym_mediump] = ACTIONS(1524),
    [anon_sym_lowp] = ACTIONS(1524),
    [anon_sym_centroid] = ACTIONS(1524),
    [anon_sym_sample] = ACTIONS(1524),
    [anon_sym_patch] = ACTIONS(1524),
    [anon_sym_smooth] = ACTIONS(1524),
    [anon_sym_flat] = ACTIONS(1524),
    [anon_sym_noperspective] = ACTIONS(1524),
    [anon_sym___extension__] = ACTIONS(1524),
    [anon_sym_typedef] = ACTIONS(1524),
    [anon_sym_extern] = ACTIONS(1524),
    [anon_sym___attribute__] = ACTIONS(1524),
    [anon_sym___attribute] = ACTIONS(1524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1526),
    [anon_sym___declspec] = ACTIONS(1524),
    [anon_sym___cdecl] = ACTIONS(1524),
    [anon_sym___clrcall] = ACTIONS(1524),
    [anon_sym___stdcall] = ACTIONS(1524),
    [anon_sym___fastcall] = ACTIONS(1524),
    [anon_sym___thiscall] = ACTIONS(1524),
    [anon_sym___vectorcall] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_signed] = ACTIONS(1524),
    [anon_sym_unsigned] = ACTIONS(1524),
    [anon_sym_long] = ACTIONS(1524),
    [anon_sym_short] = ACTIONS(1524),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_auto] = ACTIONS(1524),
    [anon_sym_register] = ACTIONS(1524),
    [anon_sym_inline] = ACTIONS(1524),
    [anon_sym___inline] = ACTIONS(1524),
    [anon_sym___inline__] = ACTIONS(1524),
    [anon_sym___forceinline] = ACTIONS(1524),
    [anon_sym_thread_local] = ACTIONS(1524),
    [anon_sym___thread] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_constexpr] = ACTIONS(1524),
    [anon_sym_volatile] = ACTIONS(1524),
    [anon_sym_restrict] = ACTIONS(1524),
    [anon_sym___restrict__] = ACTIONS(1524),
    [anon_sym__Atomic] = ACTIONS(1524),
    [anon_sym__Noreturn] = ACTIONS(1524),
    [anon_sym_noreturn] = ACTIONS(1524),
    [anon_sym__Nonnull] = ACTIONS(1524),
    [anon_sym_alignas] = ACTIONS(1524),
    [anon_sym__Alignas] = ACTIONS(1524),
    [sym_primitive_type] = ACTIONS(1524),
    [anon_sym_enum] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(1524),
    [anon_sym_union] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1524),
    [anon_sym_default] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1524),
    [anon_sym_do] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym___try] = ACTIONS(1524),
    [anon_sym___leave] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_sizeof] = ACTIONS(1524),
    [anon_sym___alignof__] = ACTIONS(1524),
    [anon_sym___alignof] = ACTIONS(1524),
    [anon_sym__alignof] = ACTIONS(1524),
    [anon_sym_alignof] = ACTIONS(1524),
    [anon_sym__Alignof] = ACTIONS(1524),
    [anon_sym_offsetof] = ACTIONS(1524),
    [anon_sym__Generic] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym___asm__] = ACTIONS(1524),
    [anon_sym___asm] = ACTIONS(1524),
    [sym_number_literal] = ACTIONS(1526),
    [anon_sym_L_SQUOTE] = ACTIONS(1526),
    [anon_sym_u_SQUOTE] = ACTIONS(1526),
    [anon_sym_U_SQUOTE] = ACTIONS(1526),
    [anon_sym_u8_SQUOTE] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_L_DQUOTE] = ACTIONS(1526),
    [anon_sym_u_DQUOTE] = ACTIONS(1526),
    [anon_sym_U_DQUOTE] = ACTIONS(1526),
    [anon_sym_u8_DQUOTE] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_NULL] = ACTIONS(1524),
    [anon_sym_nullptr] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1524),
    [anon_sym_hitAttributeEXT] = ACTIONS(1524),
    [anon_sym_callableDataEXT] = ACTIONS(1524),
    [anon_sym_callableDataInEXT] = ACTIONS(1524),
    [anon_sym_shaderRecordEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadNV] = ACTIONS(1524),
    [anon_sym_rayPayloadInNV] = ACTIONS(1524),
    [anon_sym_hitAttributeNV] = ACTIONS(1524),
    [anon_sym_callableDataNV] = ACTIONS(1524),
    [anon_sym_callableDataInNV] = ACTIONS(1524),
    [anon_sym_shaderRecordNV] = ACTIONS(1524),
    [anon_sym_layout] = ACTIONS(1524),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1528),
    [aux_sym_preproc_include_token1] = ACTIONS(1528),
    [aux_sym_preproc_def_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token2] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1528),
    [aux_sym_preproc_else_token1] = ACTIONS(1528),
    [aux_sym_preproc_elif_token1] = ACTIONS(1528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1528),
    [sym_preproc_directive] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_subroutine] = ACTIONS(1528),
    [anon_sym_invariant] = ACTIONS(1528),
    [anon_sym_precise] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_out] = ACTIONS(1528),
    [anon_sym_inout] = ACTIONS(1528),
    [anon_sym_uniform] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_attribute] = ACTIONS(1528),
    [anon_sym_varying] = ACTIONS(1528),
    [anon_sym_buffer] = ACTIONS(1528),
    [anon_sym_coherent] = ACTIONS(1528),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_writeonly] = ACTIONS(1528),
    [anon_sym_precision] = ACTIONS(1528),
    [anon_sym_highp] = ACTIONS(1528),
    [anon_sym_mediump] = ACTIONS(1528),
    [anon_sym_lowp] = ACTIONS(1528),
    [anon_sym_centroid] = ACTIONS(1528),
    [anon_sym_sample] = ACTIONS(1528),
    [anon_sym_patch] = ACTIONS(1528),
    [anon_sym_smooth] = ACTIONS(1528),
    [anon_sym_flat] = ACTIONS(1528),
    [anon_sym_noperspective] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1528),
    [anon_sym_typedef] = ACTIONS(1528),
    [anon_sym_extern] = ACTIONS(1528),
    [anon_sym___attribute__] = ACTIONS(1528),
    [anon_sym___attribute] = ACTIONS(1528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1530),
    [anon_sym___declspec] = ACTIONS(1528),
    [anon_sym___cdecl] = ACTIONS(1528),
    [anon_sym___clrcall] = ACTIONS(1528),
    [anon_sym___stdcall] = ACTIONS(1528),
    [anon_sym___fastcall] = ACTIONS(1528),
    [anon_sym___thiscall] = ACTIONS(1528),
    [anon_sym___vectorcall] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_signed] = ACTIONS(1528),
    [anon_sym_unsigned] = ACTIONS(1528),
    [anon_sym_long] = ACTIONS(1528),
    [anon_sym_short] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_auto] = ACTIONS(1528),
    [anon_sym_register] = ACTIONS(1528),
    [anon_sym_inline] = ACTIONS(1528),
    [anon_sym___inline] = ACTIONS(1528),
    [anon_sym___inline__] = ACTIONS(1528),
    [anon_sym___forceinline] = ACTIONS(1528),
    [anon_sym_thread_local] = ACTIONS(1528),
    [anon_sym___thread] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_constexpr] = ACTIONS(1528),
    [anon_sym_volatile] = ACTIONS(1528),
    [anon_sym_restrict] = ACTIONS(1528),
    [anon_sym___restrict__] = ACTIONS(1528),
    [anon_sym__Atomic] = ACTIONS(1528),
    [anon_sym__Noreturn] = ACTIONS(1528),
    [anon_sym_noreturn] = ACTIONS(1528),
    [anon_sym__Nonnull] = ACTIONS(1528),
    [anon_sym_alignas] = ACTIONS(1528),
    [anon_sym__Alignas] = ACTIONS(1528),
    [sym_primitive_type] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym___try] = ACTIONS(1528),
    [anon_sym___leave] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym___alignof__] = ACTIONS(1528),
    [anon_sym___alignof] = ACTIONS(1528),
    [anon_sym__alignof] = ACTIONS(1528),
    [anon_sym_alignof] = ACTIONS(1528),
    [anon_sym__Alignof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1528),
    [anon_sym__Generic] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym___asm__] = ACTIONS(1528),
    [anon_sym___asm] = ACTIONS(1528),
    [sym_number_literal] = ACTIONS(1530),
    [anon_sym_L_SQUOTE] = ACTIONS(1530),
    [anon_sym_u_SQUOTE] = ACTIONS(1530),
    [anon_sym_U_SQUOTE] = ACTIONS(1530),
    [anon_sym_u8_SQUOTE] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_L_DQUOTE] = ACTIONS(1530),
    [anon_sym_u_DQUOTE] = ACTIONS(1530),
    [anon_sym_U_DQUOTE] = ACTIONS(1530),
    [anon_sym_u8_DQUOTE] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_NULL] = ACTIONS(1528),
    [anon_sym_nullptr] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1528),
    [anon_sym_hitAttributeEXT] = ACTIONS(1528),
    [anon_sym_callableDataEXT] = ACTIONS(1528),
    [anon_sym_callableDataInEXT] = ACTIONS(1528),
    [anon_sym_shaderRecordEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadNV] = ACTIONS(1528),
    [anon_sym_rayPayloadInNV] = ACTIONS(1528),
    [anon_sym_hitAttributeNV] = ACTIONS(1528),
    [anon_sym_callableDataNV] = ACTIONS(1528),
    [anon_sym_callableDataInNV] = ACTIONS(1528),
    [anon_sym_shaderRecordNV] = ACTIONS(1528),
    [anon_sym_layout] = ACTIONS(1528),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1532),
    [aux_sym_preproc_include_token1] = ACTIONS(1532),
    [aux_sym_preproc_def_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token2] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1532),
    [aux_sym_preproc_else_token1] = ACTIONS(1532),
    [aux_sym_preproc_elif_token1] = ACTIONS(1532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1532),
    [sym_preproc_directive] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_subroutine] = ACTIONS(1532),
    [anon_sym_invariant] = ACTIONS(1532),
    [anon_sym_precise] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_out] = ACTIONS(1532),
    [anon_sym_inout] = ACTIONS(1532),
    [anon_sym_uniform] = ACTIONS(1532),
    [anon_sym_shared] = ACTIONS(1532),
    [anon_sym_attribute] = ACTIONS(1532),
    [anon_sym_varying] = ACTIONS(1532),
    [anon_sym_buffer] = ACTIONS(1532),
    [anon_sym_coherent] = ACTIONS(1532),
    [anon_sym_readonly] = ACTIONS(1532),
    [anon_sym_writeonly] = ACTIONS(1532),
    [anon_sym_precision] = ACTIONS(1532),
    [anon_sym_highp] = ACTIONS(1532),
    [anon_sym_mediump] = ACTIONS(1532),
    [anon_sym_lowp] = ACTIONS(1532),
    [anon_sym_centroid] = ACTIONS(1532),
    [anon_sym_sample] = ACTIONS(1532),
    [anon_sym_patch] = ACTIONS(1532),
    [anon_sym_smooth] = ACTIONS(1532),
    [anon_sym_flat] = ACTIONS(1532),
    [anon_sym_noperspective] = ACTIONS(1532),
    [anon_sym___extension__] = ACTIONS(1532),
    [anon_sym_typedef] = ACTIONS(1532),
    [anon_sym_extern] = ACTIONS(1532),
    [anon_sym___attribute__] = ACTIONS(1532),
    [anon_sym___attribute] = ACTIONS(1532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1534),
    [anon_sym___declspec] = ACTIONS(1532),
    [anon_sym___cdecl] = ACTIONS(1532),
    [anon_sym___clrcall] = ACTIONS(1532),
    [anon_sym___stdcall] = ACTIONS(1532),
    [anon_sym___fastcall] = ACTIONS(1532),
    [anon_sym___thiscall] = ACTIONS(1532),
    [anon_sym___vectorcall] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_signed] = ACTIONS(1532),
    [anon_sym_unsigned] = ACTIONS(1532),
    [anon_sym_long] = ACTIONS(1532),
    [anon_sym_short] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_auto] = ACTIONS(1532),
    [anon_sym_register] = ACTIONS(1532),
    [anon_sym_inline] = ACTIONS(1532),
    [anon_sym___inline] = ACTIONS(1532),
    [anon_sym___inline__] = ACTIONS(1532),
    [anon_sym___forceinline] = ACTIONS(1532),
    [anon_sym_thread_local] = ACTIONS(1532),
    [anon_sym___thread] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_constexpr] = ACTIONS(1532),
    [anon_sym_volatile] = ACTIONS(1532),
    [anon_sym_restrict] = ACTIONS(1532),
    [anon_sym___restrict__] = ACTIONS(1532),
    [anon_sym__Atomic] = ACTIONS(1532),
    [anon_sym__Noreturn] = ACTIONS(1532),
    [anon_sym_noreturn] = ACTIONS(1532),
    [anon_sym__Nonnull] = ACTIONS(1532),
    [anon_sym_alignas] = ACTIONS(1532),
    [anon_sym__Alignas] = ACTIONS(1532),
    [sym_primitive_type] = ACTIONS(1532),
    [anon_sym_enum] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1532),
    [anon_sym_union] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_switch] = ACTIONS(1532),
    [anon_sym_case] = ACTIONS(1532),
    [anon_sym_default] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_do] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1532),
    [anon_sym_break] = ACTIONS(1532),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1532),
    [anon_sym___try] = ACTIONS(1532),
    [anon_sym___leave] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_sizeof] = ACTIONS(1532),
    [anon_sym___alignof__] = ACTIONS(1532),
    [anon_sym___alignof] = ACTIONS(1532),
    [anon_sym__alignof] = ACTIONS(1532),
    [anon_sym_alignof] = ACTIONS(1532),
    [anon_sym__Alignof] = ACTIONS(1532),
    [anon_sym_offsetof] = ACTIONS(1532),
    [anon_sym__Generic] = ACTIONS(1532),
    [anon_sym_asm] = ACTIONS(1532),
    [anon_sym___asm__] = ACTIONS(1532),
    [anon_sym___asm] = ACTIONS(1532),
    [sym_number_literal] = ACTIONS(1534),
    [anon_sym_L_SQUOTE] = ACTIONS(1534),
    [anon_sym_u_SQUOTE] = ACTIONS(1534),
    [anon_sym_U_SQUOTE] = ACTIONS(1534),
    [anon_sym_u8_SQUOTE] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_L_DQUOTE] = ACTIONS(1534),
    [anon_sym_u_DQUOTE] = ACTIONS(1534),
    [anon_sym_U_DQUOTE] = ACTIONS(1534),
    [anon_sym_u8_DQUOTE] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [sym_true] = ACTIONS(1532),
    [sym_false] = ACTIONS(1532),
    [anon_sym_NULL] = ACTIONS(1532),
    [anon_sym_nullptr] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1532),
    [anon_sym_hitAttributeEXT] = ACTIONS(1532),
    [anon_sym_callableDataEXT] = ACTIONS(1532),
    [anon_sym_callableDataInEXT] = ACTIONS(1532),
    [anon_sym_shaderRecordEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadNV] = ACTIONS(1532),
    [anon_sym_rayPayloadInNV] = ACTIONS(1532),
    [anon_sym_hitAttributeNV] = ACTIONS(1532),
    [anon_sym_callableDataNV] = ACTIONS(1532),
    [anon_sym_callableDataInNV] = ACTIONS(1532),
    [anon_sym_shaderRecordNV] = ACTIONS(1532),
    [anon_sym_layout] = ACTIONS(1532),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1536),
    [aux_sym_preproc_include_token1] = ACTIONS(1536),
    [aux_sym_preproc_def_token1] = ACTIONS(1536),
    [aux_sym_preproc_if_token1] = ACTIONS(1536),
    [aux_sym_preproc_if_token2] = ACTIONS(1536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1536),
    [aux_sym_preproc_else_token1] = ACTIONS(1536),
    [aux_sym_preproc_elif_token1] = ACTIONS(1536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1536),
    [sym_preproc_directive] = ACTIONS(1536),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1536),
    [anon_sym_invariant] = ACTIONS(1536),
    [anon_sym_precise] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1536),
    [anon_sym_out] = ACTIONS(1536),
    [anon_sym_inout] = ACTIONS(1536),
    [anon_sym_uniform] = ACTIONS(1536),
    [anon_sym_shared] = ACTIONS(1536),
    [anon_sym_attribute] = ACTIONS(1536),
    [anon_sym_varying] = ACTIONS(1536),
    [anon_sym_buffer] = ACTIONS(1536),
    [anon_sym_coherent] = ACTIONS(1536),
    [anon_sym_readonly] = ACTIONS(1536),
    [anon_sym_writeonly] = ACTIONS(1536),
    [anon_sym_precision] = ACTIONS(1536),
    [anon_sym_highp] = ACTIONS(1536),
    [anon_sym_mediump] = ACTIONS(1536),
    [anon_sym_lowp] = ACTIONS(1536),
    [anon_sym_centroid] = ACTIONS(1536),
    [anon_sym_sample] = ACTIONS(1536),
    [anon_sym_patch] = ACTIONS(1536),
    [anon_sym_smooth] = ACTIONS(1536),
    [anon_sym_flat] = ACTIONS(1536),
    [anon_sym_noperspective] = ACTIONS(1536),
    [anon_sym___extension__] = ACTIONS(1536),
    [anon_sym_typedef] = ACTIONS(1536),
    [anon_sym_extern] = ACTIONS(1536),
    [anon_sym___attribute__] = ACTIONS(1536),
    [anon_sym___attribute] = ACTIONS(1536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1536),
    [anon_sym___cdecl] = ACTIONS(1536),
    [anon_sym___clrcall] = ACTIONS(1536),
    [anon_sym___stdcall] = ACTIONS(1536),
    [anon_sym___fastcall] = ACTIONS(1536),
    [anon_sym___thiscall] = ACTIONS(1536),
    [anon_sym___vectorcall] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1536),
    [anon_sym_unsigned] = ACTIONS(1536),
    [anon_sym_long] = ACTIONS(1536),
    [anon_sym_short] = ACTIONS(1536),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_auto] = ACTIONS(1536),
    [anon_sym_register] = ACTIONS(1536),
    [anon_sym_inline] = ACTIONS(1536),
    [anon_sym___inline] = ACTIONS(1536),
    [anon_sym___inline__] = ACTIONS(1536),
    [anon_sym___forceinline] = ACTIONS(1536),
    [anon_sym_thread_local] = ACTIONS(1536),
    [anon_sym___thread] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1536),
    [anon_sym_constexpr] = ACTIONS(1536),
    [anon_sym_volatile] = ACTIONS(1536),
    [anon_sym_restrict] = ACTIONS(1536),
    [anon_sym___restrict__] = ACTIONS(1536),
    [anon_sym__Atomic] = ACTIONS(1536),
    [anon_sym__Noreturn] = ACTIONS(1536),
    [anon_sym_noreturn] = ACTIONS(1536),
    [anon_sym__Nonnull] = ACTIONS(1536),
    [anon_sym_alignas] = ACTIONS(1536),
    [anon_sym__Alignas] = ACTIONS(1536),
    [sym_primitive_type] = ACTIONS(1536),
    [anon_sym_enum] = ACTIONS(1536),
    [anon_sym_struct] = ACTIONS(1536),
    [anon_sym_union] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1536),
    [anon_sym_case] = ACTIONS(1536),
    [anon_sym_default] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_do] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1536),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_goto] = ACTIONS(1536),
    [anon_sym___try] = ACTIONS(1536),
    [anon_sym___leave] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1536),
    [anon_sym___alignof__] = ACTIONS(1536),
    [anon_sym___alignof] = ACTIONS(1536),
    [anon_sym__alignof] = ACTIONS(1536),
    [anon_sym_alignof] = ACTIONS(1536),
    [anon_sym__Alignof] = ACTIONS(1536),
    [anon_sym_offsetof] = ACTIONS(1536),
    [anon_sym__Generic] = ACTIONS(1536),
    [anon_sym_asm] = ACTIONS(1536),
    [anon_sym___asm__] = ACTIONS(1536),
    [anon_sym___asm] = ACTIONS(1536),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1536),
    [sym_false] = ACTIONS(1536),
    [anon_sym_NULL] = ACTIONS(1536),
    [anon_sym_nullptr] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1536),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1536),
    [anon_sym_hitAttributeEXT] = ACTIONS(1536),
    [anon_sym_callableDataEXT] = ACTIONS(1536),
    [anon_sym_callableDataInEXT] = ACTIONS(1536),
    [anon_sym_shaderRecordEXT] = ACTIONS(1536),
    [anon_sym_rayPayloadNV] = ACTIONS(1536),
    [anon_sym_rayPayloadInNV] = ACTIONS(1536),
    [anon_sym_hitAttributeNV] = ACTIONS(1536),
    [anon_sym_callableDataNV] = ACTIONS(1536),
    [anon_sym_callableDataInNV] = ACTIONS(1536),
    [anon_sym_shaderRecordNV] = ACTIONS(1536),
    [anon_sym_layout] = ACTIONS(1536),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1542),
    [aux_sym_preproc_include_token1] = ACTIONS(1542),
    [aux_sym_preproc_def_token1] = ACTIONS(1542),
    [aux_sym_preproc_if_token1] = ACTIONS(1542),
    [aux_sym_preproc_if_token2] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1542),
    [aux_sym_preproc_else_token1] = ACTIONS(1542),
    [aux_sym_preproc_elif_token1] = ACTIONS(1542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1542),
    [sym_preproc_directive] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_subroutine] = ACTIONS(1542),
    [anon_sym_invariant] = ACTIONS(1542),
    [anon_sym_precise] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_out] = ACTIONS(1542),
    [anon_sym_inout] = ACTIONS(1542),
    [anon_sym_uniform] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_attribute] = ACTIONS(1542),
    [anon_sym_varying] = ACTIONS(1542),
    [anon_sym_buffer] = ACTIONS(1542),
    [anon_sym_coherent] = ACTIONS(1542),
    [anon_sym_readonly] = ACTIONS(1542),
    [anon_sym_writeonly] = ACTIONS(1542),
    [anon_sym_precision] = ACTIONS(1542),
    [anon_sym_highp] = ACTIONS(1542),
    [anon_sym_mediump] = ACTIONS(1542),
    [anon_sym_lowp] = ACTIONS(1542),
    [anon_sym_centroid] = ACTIONS(1542),
    [anon_sym_sample] = ACTIONS(1542),
    [anon_sym_patch] = ACTIONS(1542),
    [anon_sym_smooth] = ACTIONS(1542),
    [anon_sym_flat] = ACTIONS(1542),
    [anon_sym_noperspective] = ACTIONS(1542),
    [anon_sym___extension__] = ACTIONS(1542),
    [anon_sym_typedef] = ACTIONS(1542),
    [anon_sym_extern] = ACTIONS(1542),
    [anon_sym___attribute__] = ACTIONS(1542),
    [anon_sym___attribute] = ACTIONS(1542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1544),
    [anon_sym___declspec] = ACTIONS(1542),
    [anon_sym___cdecl] = ACTIONS(1542),
    [anon_sym___clrcall] = ACTIONS(1542),
    [anon_sym___stdcall] = ACTIONS(1542),
    [anon_sym___fastcall] = ACTIONS(1542),
    [anon_sym___thiscall] = ACTIONS(1542),
    [anon_sym___vectorcall] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_signed] = ACTIONS(1542),
    [anon_sym_unsigned] = ACTIONS(1542),
    [anon_sym_long] = ACTIONS(1542),
    [anon_sym_short] = ACTIONS(1542),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_auto] = ACTIONS(1542),
    [anon_sym_register] = ACTIONS(1542),
    [anon_sym_inline] = ACTIONS(1542),
    [anon_sym___inline] = ACTIONS(1542),
    [anon_sym___inline__] = ACTIONS(1542),
    [anon_sym___forceinline] = ACTIONS(1542),
    [anon_sym_thread_local] = ACTIONS(1542),
    [anon_sym___thread] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_constexpr] = ACTIONS(1542),
    [anon_sym_volatile] = ACTIONS(1542),
    [anon_sym_restrict] = ACTIONS(1542),
    [anon_sym___restrict__] = ACTIONS(1542),
    [anon_sym__Atomic] = ACTIONS(1542),
    [anon_sym__Noreturn] = ACTIONS(1542),
    [anon_sym_noreturn] = ACTIONS(1542),
    [anon_sym__Nonnull] = ACTIONS(1542),
    [anon_sym_alignas] = ACTIONS(1542),
    [anon_sym__Alignas] = ACTIONS(1542),
    [sym_primitive_type] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_switch] = ACTIONS(1542),
    [anon_sym_case] = ACTIONS(1542),
    [anon_sym_default] = ACTIONS(1542),
    [anon_sym_while] = ACTIONS(1542),
    [anon_sym_do] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym___try] = ACTIONS(1542),
    [anon_sym___leave] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1542),
    [anon_sym___alignof__] = ACTIONS(1542),
    [anon_sym___alignof] = ACTIONS(1542),
    [anon_sym__alignof] = ACTIONS(1542),
    [anon_sym_alignof] = ACTIONS(1542),
    [anon_sym__Alignof] = ACTIONS(1542),
    [anon_sym_offsetof] = ACTIONS(1542),
    [anon_sym__Generic] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym___asm__] = ACTIONS(1542),
    [anon_sym___asm] = ACTIONS(1542),
    [sym_number_literal] = ACTIONS(1544),
    [anon_sym_L_SQUOTE] = ACTIONS(1544),
    [anon_sym_u_SQUOTE] = ACTIONS(1544),
    [anon_sym_U_SQUOTE] = ACTIONS(1544),
    [anon_sym_u8_SQUOTE] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_L_DQUOTE] = ACTIONS(1544),
    [anon_sym_u_DQUOTE] = ACTIONS(1544),
    [anon_sym_U_DQUOTE] = ACTIONS(1544),
    [anon_sym_u8_DQUOTE] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_NULL] = ACTIONS(1542),
    [anon_sym_nullptr] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1542),
    [anon_sym_hitAttributeEXT] = ACTIONS(1542),
    [anon_sym_callableDataEXT] = ACTIONS(1542),
    [anon_sym_callableDataInEXT] = ACTIONS(1542),
    [anon_sym_shaderRecordEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadNV] = ACTIONS(1542),
    [anon_sym_rayPayloadInNV] = ACTIONS(1542),
    [anon_sym_hitAttributeNV] = ACTIONS(1542),
    [anon_sym_callableDataNV] = ACTIONS(1542),
    [anon_sym_callableDataInNV] = ACTIONS(1542),
    [anon_sym_shaderRecordNV] = ACTIONS(1542),
    [anon_sym_layout] = ACTIONS(1542),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1546),
    [aux_sym_preproc_include_token1] = ACTIONS(1546),
    [aux_sym_preproc_def_token1] = ACTIONS(1546),
    [aux_sym_preproc_if_token1] = ACTIONS(1546),
    [aux_sym_preproc_if_token2] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1546),
    [aux_sym_preproc_else_token1] = ACTIONS(1546),
    [aux_sym_preproc_elif_token1] = ACTIONS(1546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1546),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1546),
    [sym_preproc_directive] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_subroutine] = ACTIONS(1546),
    [anon_sym_invariant] = ACTIONS(1546),
    [anon_sym_precise] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1546),
    [anon_sym_out] = ACTIONS(1546),
    [anon_sym_inout] = ACTIONS(1546),
    [anon_sym_uniform] = ACTIONS(1546),
    [anon_sym_shared] = ACTIONS(1546),
    [anon_sym_attribute] = ACTIONS(1546),
    [anon_sym_varying] = ACTIONS(1546),
    [anon_sym_buffer] = ACTIONS(1546),
    [anon_sym_coherent] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_writeonly] = ACTIONS(1546),
    [anon_sym_precision] = ACTIONS(1546),
    [anon_sym_highp] = ACTIONS(1546),
    [anon_sym_mediump] = ACTIONS(1546),
    [anon_sym_lowp] = ACTIONS(1546),
    [anon_sym_centroid] = ACTIONS(1546),
    [anon_sym_sample] = ACTIONS(1546),
    [anon_sym_patch] = ACTIONS(1546),
    [anon_sym_smooth] = ACTIONS(1546),
    [anon_sym_flat] = ACTIONS(1546),
    [anon_sym_noperspective] = ACTIONS(1546),
    [anon_sym___extension__] = ACTIONS(1546),
    [anon_sym_typedef] = ACTIONS(1546),
    [anon_sym_extern] = ACTIONS(1546),
    [anon_sym___attribute__] = ACTIONS(1546),
    [anon_sym___attribute] = ACTIONS(1546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___cdecl] = ACTIONS(1546),
    [anon_sym___clrcall] = ACTIONS(1546),
    [anon_sym___stdcall] = ACTIONS(1546),
    [anon_sym___fastcall] = ACTIONS(1546),
    [anon_sym___thiscall] = ACTIONS(1546),
    [anon_sym___vectorcall] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_signed] = ACTIONS(1546),
    [anon_sym_unsigned] = ACTIONS(1546),
    [anon_sym_long] = ACTIONS(1546),
    [anon_sym_short] = ACTIONS(1546),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_auto] = ACTIONS(1546),
    [anon_sym_register] = ACTIONS(1546),
    [anon_sym_inline] = ACTIONS(1546),
    [anon_sym___inline] = ACTIONS(1546),
    [anon_sym___inline__] = ACTIONS(1546),
    [anon_sym___forceinline] = ACTIONS(1546),
    [anon_sym_thread_local] = ACTIONS(1546),
    [anon_sym___thread] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_constexpr] = ACTIONS(1546),
    [anon_sym_volatile] = ACTIONS(1546),
    [anon_sym_restrict] = ACTIONS(1546),
    [anon_sym___restrict__] = ACTIONS(1546),
    [anon_sym__Atomic] = ACTIONS(1546),
    [anon_sym__Noreturn] = ACTIONS(1546),
    [anon_sym_noreturn] = ACTIONS(1546),
    [anon_sym__Nonnull] = ACTIONS(1546),
    [anon_sym_alignas] = ACTIONS(1546),
    [anon_sym__Alignas] = ACTIONS(1546),
    [sym_primitive_type] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [anon_sym_struct] = ACTIONS(1546),
    [anon_sym_union] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_goto] = ACTIONS(1546),
    [anon_sym___try] = ACTIONS(1546),
    [anon_sym___leave] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1546),
    [anon_sym___alignof__] = ACTIONS(1546),
    [anon_sym___alignof] = ACTIONS(1546),
    [anon_sym__alignof] = ACTIONS(1546),
    [anon_sym_alignof] = ACTIONS(1546),
    [anon_sym__Alignof] = ACTIONS(1546),
    [anon_sym_offsetof] = ACTIONS(1546),
    [anon_sym__Generic] = ACTIONS(1546),
    [anon_sym_asm] = ACTIONS(1546),
    [anon_sym___asm__] = ACTIONS(1546),
    [anon_sym___asm] = ACTIONS(1546),
    [sym_number_literal] = ACTIONS(1548),
    [anon_sym_L_SQUOTE] = ACTIONS(1548),
    [anon_sym_u_SQUOTE] = ACTIONS(1548),
    [anon_sym_U_SQUOTE] = ACTIONS(1548),
    [anon_sym_u8_SQUOTE] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_L_DQUOTE] = ACTIONS(1548),
    [anon_sym_u_DQUOTE] = ACTIONS(1548),
    [anon_sym_U_DQUOTE] = ACTIONS(1548),
    [anon_sym_u8_DQUOTE] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [anon_sym_NULL] = ACTIONS(1546),
    [anon_sym_nullptr] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1546),
    [anon_sym_hitAttributeEXT] = ACTIONS(1546),
    [anon_sym_callableDataEXT] = ACTIONS(1546),
    [anon_sym_callableDataInEXT] = ACTIONS(1546),
    [anon_sym_shaderRecordEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadNV] = ACTIONS(1546),
    [anon_sym_rayPayloadInNV] = ACTIONS(1546),
    [anon_sym_hitAttributeNV] = ACTIONS(1546),
    [anon_sym_callableDataNV] = ACTIONS(1546),
    [anon_sym_callableDataInNV] = ACTIONS(1546),
    [anon_sym_shaderRecordNV] = ACTIONS(1546),
    [anon_sym_layout] = ACTIONS(1546),
  },
  [173] = {
    [sym_else_clause] = STATE(209),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_subroutine] = ACTIONS(1238),
    [anon_sym_invariant] = ACTIONS(1238),
    [anon_sym_precise] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_out] = ACTIONS(1238),
    [anon_sym_inout] = ACTIONS(1238),
    [anon_sym_uniform] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_attribute] = ACTIONS(1238),
    [anon_sym_varying] = ACTIONS(1238),
    [anon_sym_buffer] = ACTIONS(1238),
    [anon_sym_coherent] = ACTIONS(1238),
    [anon_sym_readonly] = ACTIONS(1238),
    [anon_sym_writeonly] = ACTIONS(1238),
    [anon_sym_precision] = ACTIONS(1238),
    [anon_sym_highp] = ACTIONS(1238),
    [anon_sym_mediump] = ACTIONS(1238),
    [anon_sym_lowp] = ACTIONS(1238),
    [anon_sym_centroid] = ACTIONS(1238),
    [anon_sym_sample] = ACTIONS(1238),
    [anon_sym_patch] = ACTIONS(1238),
    [anon_sym_smooth] = ACTIONS(1238),
    [anon_sym_flat] = ACTIONS(1238),
    [anon_sym_noperspective] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1550),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1238),
    [anon_sym_hitAttributeEXT] = ACTIONS(1238),
    [anon_sym_callableDataEXT] = ACTIONS(1238),
    [anon_sym_callableDataInEXT] = ACTIONS(1238),
    [anon_sym_shaderRecordEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadNV] = ACTIONS(1238),
    [anon_sym_rayPayloadInNV] = ACTIONS(1238),
    [anon_sym_hitAttributeNV] = ACTIONS(1238),
    [anon_sym_callableDataNV] = ACTIONS(1238),
    [anon_sym_callableDataInNV] = ACTIONS(1238),
    [anon_sym_shaderRecordNV] = ACTIONS(1238),
    [anon_sym_layout] = ACTIONS(1238),
  },
  [174] = {
    [sym_else_clause] = STATE(273),
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token2] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_subroutine] = ACTIONS(1238),
    [anon_sym_invariant] = ACTIONS(1238),
    [anon_sym_precise] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_out] = ACTIONS(1238),
    [anon_sym_inout] = ACTIONS(1238),
    [anon_sym_uniform] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_attribute] = ACTIONS(1238),
    [anon_sym_varying] = ACTIONS(1238),
    [anon_sym_buffer] = ACTIONS(1238),
    [anon_sym_coherent] = ACTIONS(1238),
    [anon_sym_readonly] = ACTIONS(1238),
    [anon_sym_writeonly] = ACTIONS(1238),
    [anon_sym_precision] = ACTIONS(1238),
    [anon_sym_highp] = ACTIONS(1238),
    [anon_sym_mediump] = ACTIONS(1238),
    [anon_sym_lowp] = ACTIONS(1238),
    [anon_sym_centroid] = ACTIONS(1238),
    [anon_sym_sample] = ACTIONS(1238),
    [anon_sym_patch] = ACTIONS(1238),
    [anon_sym_smooth] = ACTIONS(1238),
    [anon_sym_flat] = ACTIONS(1238),
    [anon_sym_noperspective] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1552),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1238),
    [anon_sym_hitAttributeEXT] = ACTIONS(1238),
    [anon_sym_callableDataEXT] = ACTIONS(1238),
    [anon_sym_callableDataInEXT] = ACTIONS(1238),
    [anon_sym_shaderRecordEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadNV] = ACTIONS(1238),
    [anon_sym_rayPayloadInNV] = ACTIONS(1238),
    [anon_sym_hitAttributeNV] = ACTIONS(1238),
    [anon_sym_callableDataNV] = ACTIONS(1238),
    [anon_sym_callableDataInNV] = ACTIONS(1238),
    [anon_sym_shaderRecordNV] = ACTIONS(1238),
    [anon_sym_layout] = ACTIONS(1238),
  },
  [175] = {
    [sym_else_clause] = STATE(319),
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_subroutine] = ACTIONS(1238),
    [anon_sym_invariant] = ACTIONS(1238),
    [anon_sym_precise] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_out] = ACTIONS(1238),
    [anon_sym_inout] = ACTIONS(1238),
    [anon_sym_uniform] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_attribute] = ACTIONS(1238),
    [anon_sym_varying] = ACTIONS(1238),
    [anon_sym_buffer] = ACTIONS(1238),
    [anon_sym_coherent] = ACTIONS(1238),
    [anon_sym_readonly] = ACTIONS(1238),
    [anon_sym_writeonly] = ACTIONS(1238),
    [anon_sym_precision] = ACTIONS(1238),
    [anon_sym_highp] = ACTIONS(1238),
    [anon_sym_mediump] = ACTIONS(1238),
    [anon_sym_lowp] = ACTIONS(1238),
    [anon_sym_centroid] = ACTIONS(1238),
    [anon_sym_sample] = ACTIONS(1238),
    [anon_sym_patch] = ACTIONS(1238),
    [anon_sym_smooth] = ACTIONS(1238),
    [anon_sym_flat] = ACTIONS(1238),
    [anon_sym_noperspective] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1554),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1238),
    [anon_sym_hitAttributeEXT] = ACTIONS(1238),
    [anon_sym_callableDataEXT] = ACTIONS(1238),
    [anon_sym_callableDataInEXT] = ACTIONS(1238),
    [anon_sym_shaderRecordEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadNV] = ACTIONS(1238),
    [anon_sym_rayPayloadInNV] = ACTIONS(1238),
    [anon_sym_hitAttributeNV] = ACTIONS(1238),
    [anon_sym_callableDataNV] = ACTIONS(1238),
    [anon_sym_callableDataInNV] = ACTIONS(1238),
    [anon_sym_shaderRecordNV] = ACTIONS(1238),
    [anon_sym_layout] = ACTIONS(1238),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_subroutine] = ACTIONS(1272),
    [anon_sym_invariant] = ACTIONS(1272),
    [anon_sym_precise] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_out] = ACTIONS(1272),
    [anon_sym_inout] = ACTIONS(1272),
    [anon_sym_uniform] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_attribute] = ACTIONS(1272),
    [anon_sym_varying] = ACTIONS(1272),
    [anon_sym_buffer] = ACTIONS(1272),
    [anon_sym_coherent] = ACTIONS(1272),
    [anon_sym_readonly] = ACTIONS(1272),
    [anon_sym_writeonly] = ACTIONS(1272),
    [anon_sym_precision] = ACTIONS(1272),
    [anon_sym_highp] = ACTIONS(1272),
    [anon_sym_mediump] = ACTIONS(1272),
    [anon_sym_lowp] = ACTIONS(1272),
    [anon_sym_centroid] = ACTIONS(1272),
    [anon_sym_sample] = ACTIONS(1272),
    [anon_sym_patch] = ACTIONS(1272),
    [anon_sym_smooth] = ACTIONS(1272),
    [anon_sym_flat] = ACTIONS(1272),
    [anon_sym_noperspective] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym___attribute] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym__Nonnull] = ACTIONS(1272),
    [anon_sym_alignas] = ACTIONS(1272),
    [anon_sym__Alignas] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym___try] = ACTIONS(1272),
    [anon_sym___leave] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [anon_sym___asm] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1272),
    [anon_sym_hitAttributeEXT] = ACTIONS(1272),
    [anon_sym_callableDataEXT] = ACTIONS(1272),
    [anon_sym_callableDataInEXT] = ACTIONS(1272),
    [anon_sym_shaderRecordEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadNV] = ACTIONS(1272),
    [anon_sym_rayPayloadInNV] = ACTIONS(1272),
    [anon_sym_hitAttributeNV] = ACTIONS(1272),
    [anon_sym_callableDataNV] = ACTIONS(1272),
    [anon_sym_callableDataInNV] = ACTIONS(1272),
    [anon_sym_shaderRecordNV] = ACTIONS(1272),
    [anon_sym_layout] = ACTIONS(1272),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_subroutine] = ACTIONS(1288),
    [anon_sym_invariant] = ACTIONS(1288),
    [anon_sym_precise] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_out] = ACTIONS(1288),
    [anon_sym_inout] = ACTIONS(1288),
    [anon_sym_uniform] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_attribute] = ACTIONS(1288),
    [anon_sym_varying] = ACTIONS(1288),
    [anon_sym_buffer] = ACTIONS(1288),
    [anon_sym_coherent] = ACTIONS(1288),
    [anon_sym_readonly] = ACTIONS(1288),
    [anon_sym_writeonly] = ACTIONS(1288),
    [anon_sym_precision] = ACTIONS(1288),
    [anon_sym_highp] = ACTIONS(1288),
    [anon_sym_mediump] = ACTIONS(1288),
    [anon_sym_lowp] = ACTIONS(1288),
    [anon_sym_centroid] = ACTIONS(1288),
    [anon_sym_sample] = ACTIONS(1288),
    [anon_sym_patch] = ACTIONS(1288),
    [anon_sym_smooth] = ACTIONS(1288),
    [anon_sym_flat] = ACTIONS(1288),
    [anon_sym_noperspective] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym___attribute] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym__Nonnull] = ACTIONS(1288),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym___try] = ACTIONS(1288),
    [anon_sym___leave] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [anon_sym___asm] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1288),
    [anon_sym_hitAttributeEXT] = ACTIONS(1288),
    [anon_sym_callableDataEXT] = ACTIONS(1288),
    [anon_sym_callableDataInEXT] = ACTIONS(1288),
    [anon_sym_shaderRecordEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadNV] = ACTIONS(1288),
    [anon_sym_rayPayloadInNV] = ACTIONS(1288),
    [anon_sym_hitAttributeNV] = ACTIONS(1288),
    [anon_sym_callableDataNV] = ACTIONS(1288),
    [anon_sym_callableDataInNV] = ACTIONS(1288),
    [anon_sym_shaderRecordNV] = ACTIONS(1288),
    [anon_sym_layout] = ACTIONS(1288),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_subroutine] = ACTIONS(1292),
    [anon_sym_invariant] = ACTIONS(1292),
    [anon_sym_precise] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_out] = ACTIONS(1292),
    [anon_sym_inout] = ACTIONS(1292),
    [anon_sym_uniform] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_attribute] = ACTIONS(1292),
    [anon_sym_varying] = ACTIONS(1292),
    [anon_sym_buffer] = ACTIONS(1292),
    [anon_sym_coherent] = ACTIONS(1292),
    [anon_sym_readonly] = ACTIONS(1292),
    [anon_sym_writeonly] = ACTIONS(1292),
    [anon_sym_precision] = ACTIONS(1292),
    [anon_sym_highp] = ACTIONS(1292),
    [anon_sym_mediump] = ACTIONS(1292),
    [anon_sym_lowp] = ACTIONS(1292),
    [anon_sym_centroid] = ACTIONS(1292),
    [anon_sym_sample] = ACTIONS(1292),
    [anon_sym_patch] = ACTIONS(1292),
    [anon_sym_smooth] = ACTIONS(1292),
    [anon_sym_flat] = ACTIONS(1292),
    [anon_sym_noperspective] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym___attribute] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym__Nonnull] = ACTIONS(1292),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [anon_sym___asm] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1292),
    [anon_sym_hitAttributeEXT] = ACTIONS(1292),
    [anon_sym_callableDataEXT] = ACTIONS(1292),
    [anon_sym_callableDataInEXT] = ACTIONS(1292),
    [anon_sym_shaderRecordEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadNV] = ACTIONS(1292),
    [anon_sym_rayPayloadInNV] = ACTIONS(1292),
    [anon_sym_hitAttributeNV] = ACTIONS(1292),
    [anon_sym_callableDataNV] = ACTIONS(1292),
    [anon_sym_callableDataInNV] = ACTIONS(1292),
    [anon_sym_shaderRecordNV] = ACTIONS(1292),
    [anon_sym_layout] = ACTIONS(1292),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_subroutine] = ACTIONS(1296),
    [anon_sym_invariant] = ACTIONS(1296),
    [anon_sym_precise] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_out] = ACTIONS(1296),
    [anon_sym_inout] = ACTIONS(1296),
    [anon_sym_uniform] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_attribute] = ACTIONS(1296),
    [anon_sym_varying] = ACTIONS(1296),
    [anon_sym_buffer] = ACTIONS(1296),
    [anon_sym_coherent] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_writeonly] = ACTIONS(1296),
    [anon_sym_precision] = ACTIONS(1296),
    [anon_sym_highp] = ACTIONS(1296),
    [anon_sym_mediump] = ACTIONS(1296),
    [anon_sym_lowp] = ACTIONS(1296),
    [anon_sym_centroid] = ACTIONS(1296),
    [anon_sym_sample] = ACTIONS(1296),
    [anon_sym_patch] = ACTIONS(1296),
    [anon_sym_smooth] = ACTIONS(1296),
    [anon_sym_flat] = ACTIONS(1296),
    [anon_sym_noperspective] = ACTIONS(1296),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym___attribute] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym__Nonnull] = ACTIONS(1296),
    [anon_sym_alignas] = ACTIONS(1296),
    [anon_sym__Alignas] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym___try] = ACTIONS(1296),
    [anon_sym___leave] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [anon_sym___asm] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1296),
    [anon_sym_hitAttributeEXT] = ACTIONS(1296),
    [anon_sym_callableDataEXT] = ACTIONS(1296),
    [anon_sym_callableDataInEXT] = ACTIONS(1296),
    [anon_sym_shaderRecordEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadNV] = ACTIONS(1296),
    [anon_sym_rayPayloadInNV] = ACTIONS(1296),
    [anon_sym_hitAttributeNV] = ACTIONS(1296),
    [anon_sym_callableDataNV] = ACTIONS(1296),
    [anon_sym_callableDataInNV] = ACTIONS(1296),
    [anon_sym_shaderRecordNV] = ACTIONS(1296),
    [anon_sym_layout] = ACTIONS(1296),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_subroutine] = ACTIONS(1300),
    [anon_sym_invariant] = ACTIONS(1300),
    [anon_sym_precise] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_out] = ACTIONS(1300),
    [anon_sym_inout] = ACTIONS(1300),
    [anon_sym_uniform] = ACTIONS(1300),
    [anon_sym_shared] = ACTIONS(1300),
    [anon_sym_attribute] = ACTIONS(1300),
    [anon_sym_varying] = ACTIONS(1300),
    [anon_sym_buffer] = ACTIONS(1300),
    [anon_sym_coherent] = ACTIONS(1300),
    [anon_sym_readonly] = ACTIONS(1300),
    [anon_sym_writeonly] = ACTIONS(1300),
    [anon_sym_precision] = ACTIONS(1300),
    [anon_sym_highp] = ACTIONS(1300),
    [anon_sym_mediump] = ACTIONS(1300),
    [anon_sym_lowp] = ACTIONS(1300),
    [anon_sym_centroid] = ACTIONS(1300),
    [anon_sym_sample] = ACTIONS(1300),
    [anon_sym_patch] = ACTIONS(1300),
    [anon_sym_smooth] = ACTIONS(1300),
    [anon_sym_flat] = ACTIONS(1300),
    [anon_sym_noperspective] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1300),
    [anon_sym_hitAttributeEXT] = ACTIONS(1300),
    [anon_sym_callableDataEXT] = ACTIONS(1300),
    [anon_sym_callableDataInEXT] = ACTIONS(1300),
    [anon_sym_shaderRecordEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadNV] = ACTIONS(1300),
    [anon_sym_rayPayloadInNV] = ACTIONS(1300),
    [anon_sym_hitAttributeNV] = ACTIONS(1300),
    [anon_sym_callableDataNV] = ACTIONS(1300),
    [anon_sym_callableDataInNV] = ACTIONS(1300),
    [anon_sym_shaderRecordNV] = ACTIONS(1300),
    [anon_sym_layout] = ACTIONS(1300),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_subroutine] = ACTIONS(1244),
    [anon_sym_invariant] = ACTIONS(1244),
    [anon_sym_precise] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_out] = ACTIONS(1244),
    [anon_sym_inout] = ACTIONS(1244),
    [anon_sym_uniform] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_attribute] = ACTIONS(1244),
    [anon_sym_varying] = ACTIONS(1244),
    [anon_sym_buffer] = ACTIONS(1244),
    [anon_sym_coherent] = ACTIONS(1244),
    [anon_sym_readonly] = ACTIONS(1244),
    [anon_sym_writeonly] = ACTIONS(1244),
    [anon_sym_precision] = ACTIONS(1244),
    [anon_sym_highp] = ACTIONS(1244),
    [anon_sym_mediump] = ACTIONS(1244),
    [anon_sym_lowp] = ACTIONS(1244),
    [anon_sym_centroid] = ACTIONS(1244),
    [anon_sym_sample] = ACTIONS(1244),
    [anon_sym_patch] = ACTIONS(1244),
    [anon_sym_smooth] = ACTIONS(1244),
    [anon_sym_flat] = ACTIONS(1244),
    [anon_sym_noperspective] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym___attribute] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym__Nonnull] = ACTIONS(1244),
    [anon_sym_alignas] = ACTIONS(1244),
    [anon_sym__Alignas] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym___try] = ACTIONS(1244),
    [anon_sym___leave] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [anon_sym___asm] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1244),
    [anon_sym_hitAttributeEXT] = ACTIONS(1244),
    [anon_sym_callableDataEXT] = ACTIONS(1244),
    [anon_sym_callableDataInEXT] = ACTIONS(1244),
    [anon_sym_shaderRecordEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadNV] = ACTIONS(1244),
    [anon_sym_rayPayloadInNV] = ACTIONS(1244),
    [anon_sym_hitAttributeNV] = ACTIONS(1244),
    [anon_sym_callableDataNV] = ACTIONS(1244),
    [anon_sym_callableDataInNV] = ACTIONS(1244),
    [anon_sym_shaderRecordNV] = ACTIONS(1244),
    [anon_sym_layout] = ACTIONS(1244),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_subroutine] = ACTIONS(1308),
    [anon_sym_invariant] = ACTIONS(1308),
    [anon_sym_precise] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_in] = ACTIONS(1308),
    [anon_sym_out] = ACTIONS(1308),
    [anon_sym_inout] = ACTIONS(1308),
    [anon_sym_uniform] = ACTIONS(1308),
    [anon_sym_shared] = ACTIONS(1308),
    [anon_sym_attribute] = ACTIONS(1308),
    [anon_sym_varying] = ACTIONS(1308),
    [anon_sym_buffer] = ACTIONS(1308),
    [anon_sym_coherent] = ACTIONS(1308),
    [anon_sym_readonly] = ACTIONS(1308),
    [anon_sym_writeonly] = ACTIONS(1308),
    [anon_sym_precision] = ACTIONS(1308),
    [anon_sym_highp] = ACTIONS(1308),
    [anon_sym_mediump] = ACTIONS(1308),
    [anon_sym_lowp] = ACTIONS(1308),
    [anon_sym_centroid] = ACTIONS(1308),
    [anon_sym_sample] = ACTIONS(1308),
    [anon_sym_patch] = ACTIONS(1308),
    [anon_sym_smooth] = ACTIONS(1308),
    [anon_sym_flat] = ACTIONS(1308),
    [anon_sym_noperspective] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1308),
    [anon_sym_hitAttributeEXT] = ACTIONS(1308),
    [anon_sym_callableDataEXT] = ACTIONS(1308),
    [anon_sym_callableDataInEXT] = ACTIONS(1308),
    [anon_sym_shaderRecordEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadNV] = ACTIONS(1308),
    [anon_sym_rayPayloadInNV] = ACTIONS(1308),
    [anon_sym_hitAttributeNV] = ACTIONS(1308),
    [anon_sym_callableDataNV] = ACTIONS(1308),
    [anon_sym_callableDataInNV] = ACTIONS(1308),
    [anon_sym_shaderRecordNV] = ACTIONS(1308),
    [anon_sym_layout] = ACTIONS(1308),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_subroutine] = ACTIONS(1312),
    [anon_sym_invariant] = ACTIONS(1312),
    [anon_sym_precise] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_in] = ACTIONS(1312),
    [anon_sym_out] = ACTIONS(1312),
    [anon_sym_inout] = ACTIONS(1312),
    [anon_sym_uniform] = ACTIONS(1312),
    [anon_sym_shared] = ACTIONS(1312),
    [anon_sym_attribute] = ACTIONS(1312),
    [anon_sym_varying] = ACTIONS(1312),
    [anon_sym_buffer] = ACTIONS(1312),
    [anon_sym_coherent] = ACTIONS(1312),
    [anon_sym_readonly] = ACTIONS(1312),
    [anon_sym_writeonly] = ACTIONS(1312),
    [anon_sym_precision] = ACTIONS(1312),
    [anon_sym_highp] = ACTIONS(1312),
    [anon_sym_mediump] = ACTIONS(1312),
    [anon_sym_lowp] = ACTIONS(1312),
    [anon_sym_centroid] = ACTIONS(1312),
    [anon_sym_sample] = ACTIONS(1312),
    [anon_sym_patch] = ACTIONS(1312),
    [anon_sym_smooth] = ACTIONS(1312),
    [anon_sym_flat] = ACTIONS(1312),
    [anon_sym_noperspective] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1312),
    [anon_sym_hitAttributeEXT] = ACTIONS(1312),
    [anon_sym_callableDataEXT] = ACTIONS(1312),
    [anon_sym_callableDataInEXT] = ACTIONS(1312),
    [anon_sym_shaderRecordEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadNV] = ACTIONS(1312),
    [anon_sym_rayPayloadInNV] = ACTIONS(1312),
    [anon_sym_hitAttributeNV] = ACTIONS(1312),
    [anon_sym_callableDataNV] = ACTIONS(1312),
    [anon_sym_callableDataInNV] = ACTIONS(1312),
    [anon_sym_shaderRecordNV] = ACTIONS(1312),
    [anon_sym_layout] = ACTIONS(1312),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1404),
    [aux_sym_preproc_include_token1] = ACTIONS(1404),
    [aux_sym_preproc_def_token1] = ACTIONS(1404),
    [aux_sym_preproc_if_token1] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1404),
    [sym_preproc_directive] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_subroutine] = ACTIONS(1404),
    [anon_sym_invariant] = ACTIONS(1404),
    [anon_sym_precise] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1406),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_out] = ACTIONS(1404),
    [anon_sym_inout] = ACTIONS(1404),
    [anon_sym_uniform] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_attribute] = ACTIONS(1404),
    [anon_sym_varying] = ACTIONS(1404),
    [anon_sym_buffer] = ACTIONS(1404),
    [anon_sym_coherent] = ACTIONS(1404),
    [anon_sym_readonly] = ACTIONS(1404),
    [anon_sym_writeonly] = ACTIONS(1404),
    [anon_sym_precision] = ACTIONS(1404),
    [anon_sym_highp] = ACTIONS(1404),
    [anon_sym_mediump] = ACTIONS(1404),
    [anon_sym_lowp] = ACTIONS(1404),
    [anon_sym_centroid] = ACTIONS(1404),
    [anon_sym_sample] = ACTIONS(1404),
    [anon_sym_patch] = ACTIONS(1404),
    [anon_sym_smooth] = ACTIONS(1404),
    [anon_sym_flat] = ACTIONS(1404),
    [anon_sym_noperspective] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1404),
    [anon_sym_extern] = ACTIONS(1404),
    [anon_sym___attribute__] = ACTIONS(1404),
    [anon_sym___attribute] = ACTIONS(1404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1406),
    [anon_sym___declspec] = ACTIONS(1404),
    [anon_sym___cdecl] = ACTIONS(1404),
    [anon_sym___clrcall] = ACTIONS(1404),
    [anon_sym___stdcall] = ACTIONS(1404),
    [anon_sym___fastcall] = ACTIONS(1404),
    [anon_sym___thiscall] = ACTIONS(1404),
    [anon_sym___vectorcall] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1404),
    [anon_sym_unsigned] = ACTIONS(1404),
    [anon_sym_long] = ACTIONS(1404),
    [anon_sym_short] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_auto] = ACTIONS(1404),
    [anon_sym_register] = ACTIONS(1404),
    [anon_sym_inline] = ACTIONS(1404),
    [anon_sym___inline] = ACTIONS(1404),
    [anon_sym___inline__] = ACTIONS(1404),
    [anon_sym___forceinline] = ACTIONS(1404),
    [anon_sym_thread_local] = ACTIONS(1404),
    [anon_sym___thread] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_constexpr] = ACTIONS(1404),
    [anon_sym_volatile] = ACTIONS(1404),
    [anon_sym_restrict] = ACTIONS(1404),
    [anon_sym___restrict__] = ACTIONS(1404),
    [anon_sym__Atomic] = ACTIONS(1404),
    [anon_sym__Noreturn] = ACTIONS(1404),
    [anon_sym_noreturn] = ACTIONS(1404),
    [anon_sym__Nonnull] = ACTIONS(1404),
    [anon_sym_alignas] = ACTIONS(1404),
    [anon_sym__Alignas] = ACTIONS(1404),
    [sym_primitive_type] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_struct] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_else] = ACTIONS(1404),
    [anon_sym_switch] = ACTIONS(1404),
    [anon_sym_case] = ACTIONS(1404),
    [anon_sym_default] = ACTIONS(1404),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym___try] = ACTIONS(1404),
    [anon_sym___leave] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [anon_sym_sizeof] = ACTIONS(1404),
    [anon_sym___alignof__] = ACTIONS(1404),
    [anon_sym___alignof] = ACTIONS(1404),
    [anon_sym__alignof] = ACTIONS(1404),
    [anon_sym_alignof] = ACTIONS(1404),
    [anon_sym__Alignof] = ACTIONS(1404),
    [anon_sym_offsetof] = ACTIONS(1404),
    [anon_sym__Generic] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym___asm__] = ACTIONS(1404),
    [anon_sym___asm] = ACTIONS(1404),
    [sym_number_literal] = ACTIONS(1406),
    [anon_sym_L_SQUOTE] = ACTIONS(1406),
    [anon_sym_u_SQUOTE] = ACTIONS(1406),
    [anon_sym_U_SQUOTE] = ACTIONS(1406),
    [anon_sym_u8_SQUOTE] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_L_DQUOTE] = ACTIONS(1406),
    [anon_sym_u_DQUOTE] = ACTIONS(1406),
    [anon_sym_U_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8_DQUOTE] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_NULL] = ACTIONS(1404),
    [anon_sym_nullptr] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1404),
    [anon_sym_hitAttributeEXT] = ACTIONS(1404),
    [anon_sym_callableDataEXT] = ACTIONS(1404),
    [anon_sym_callableDataInEXT] = ACTIONS(1404),
    [anon_sym_shaderRecordEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadNV] = ACTIONS(1404),
    [anon_sym_rayPayloadInNV] = ACTIONS(1404),
    [anon_sym_hitAttributeNV] = ACTIONS(1404),
    [anon_sym_callableDataNV] = ACTIONS(1404),
    [anon_sym_callableDataInNV] = ACTIONS(1404),
    [anon_sym_shaderRecordNV] = ACTIONS(1404),
    [anon_sym_layout] = ACTIONS(1404),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_subroutine] = ACTIONS(1332),
    [anon_sym_invariant] = ACTIONS(1332),
    [anon_sym_precise] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_out] = ACTIONS(1332),
    [anon_sym_inout] = ACTIONS(1332),
    [anon_sym_uniform] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_attribute] = ACTIONS(1332),
    [anon_sym_varying] = ACTIONS(1332),
    [anon_sym_buffer] = ACTIONS(1332),
    [anon_sym_coherent] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_writeonly] = ACTIONS(1332),
    [anon_sym_precision] = ACTIONS(1332),
    [anon_sym_highp] = ACTIONS(1332),
    [anon_sym_mediump] = ACTIONS(1332),
    [anon_sym_lowp] = ACTIONS(1332),
    [anon_sym_centroid] = ACTIONS(1332),
    [anon_sym_sample] = ACTIONS(1332),
    [anon_sym_patch] = ACTIONS(1332),
    [anon_sym_smooth] = ACTIONS(1332),
    [anon_sym_flat] = ACTIONS(1332),
    [anon_sym_noperspective] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1332),
    [anon_sym_hitAttributeEXT] = ACTIONS(1332),
    [anon_sym_callableDataEXT] = ACTIONS(1332),
    [anon_sym_callableDataInEXT] = ACTIONS(1332),
    [anon_sym_shaderRecordEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadNV] = ACTIONS(1332),
    [anon_sym_rayPayloadInNV] = ACTIONS(1332),
    [anon_sym_hitAttributeNV] = ACTIONS(1332),
    [anon_sym_callableDataNV] = ACTIONS(1332),
    [anon_sym_callableDataInNV] = ACTIONS(1332),
    [anon_sym_shaderRecordNV] = ACTIONS(1332),
    [anon_sym_layout] = ACTIONS(1332),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_subroutine] = ACTIONS(1336),
    [anon_sym_invariant] = ACTIONS(1336),
    [anon_sym_precise] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_out] = ACTIONS(1336),
    [anon_sym_inout] = ACTIONS(1336),
    [anon_sym_uniform] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_attribute] = ACTIONS(1336),
    [anon_sym_varying] = ACTIONS(1336),
    [anon_sym_buffer] = ACTIONS(1336),
    [anon_sym_coherent] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_writeonly] = ACTIONS(1336),
    [anon_sym_precision] = ACTIONS(1336),
    [anon_sym_highp] = ACTIONS(1336),
    [anon_sym_mediump] = ACTIONS(1336),
    [anon_sym_lowp] = ACTIONS(1336),
    [anon_sym_centroid] = ACTIONS(1336),
    [anon_sym_sample] = ACTIONS(1336),
    [anon_sym_patch] = ACTIONS(1336),
    [anon_sym_smooth] = ACTIONS(1336),
    [anon_sym_flat] = ACTIONS(1336),
    [anon_sym_noperspective] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1336),
    [anon_sym_hitAttributeEXT] = ACTIONS(1336),
    [anon_sym_callableDataEXT] = ACTIONS(1336),
    [anon_sym_callableDataInEXT] = ACTIONS(1336),
    [anon_sym_shaderRecordEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadNV] = ACTIONS(1336),
    [anon_sym_rayPayloadInNV] = ACTIONS(1336),
    [anon_sym_hitAttributeNV] = ACTIONS(1336),
    [anon_sym_callableDataNV] = ACTIONS(1336),
    [anon_sym_callableDataInNV] = ACTIONS(1336),
    [anon_sym_shaderRecordNV] = ACTIONS(1336),
    [anon_sym_layout] = ACTIONS(1336),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_subroutine] = ACTIONS(1340),
    [anon_sym_invariant] = ACTIONS(1340),
    [anon_sym_precise] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_in] = ACTIONS(1340),
    [anon_sym_out] = ACTIONS(1340),
    [anon_sym_inout] = ACTIONS(1340),
    [anon_sym_uniform] = ACTIONS(1340),
    [anon_sym_shared] = ACTIONS(1340),
    [anon_sym_attribute] = ACTIONS(1340),
    [anon_sym_varying] = ACTIONS(1340),
    [anon_sym_buffer] = ACTIONS(1340),
    [anon_sym_coherent] = ACTIONS(1340),
    [anon_sym_readonly] = ACTIONS(1340),
    [anon_sym_writeonly] = ACTIONS(1340),
    [anon_sym_precision] = ACTIONS(1340),
    [anon_sym_highp] = ACTIONS(1340),
    [anon_sym_mediump] = ACTIONS(1340),
    [anon_sym_lowp] = ACTIONS(1340),
    [anon_sym_centroid] = ACTIONS(1340),
    [anon_sym_sample] = ACTIONS(1340),
    [anon_sym_patch] = ACTIONS(1340),
    [anon_sym_smooth] = ACTIONS(1340),
    [anon_sym_flat] = ACTIONS(1340),
    [anon_sym_noperspective] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1340),
    [anon_sym_hitAttributeEXT] = ACTIONS(1340),
    [anon_sym_callableDataEXT] = ACTIONS(1340),
    [anon_sym_callableDataInEXT] = ACTIONS(1340),
    [anon_sym_shaderRecordEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadNV] = ACTIONS(1340),
    [anon_sym_rayPayloadInNV] = ACTIONS(1340),
    [anon_sym_hitAttributeNV] = ACTIONS(1340),
    [anon_sym_callableDataNV] = ACTIONS(1340),
    [anon_sym_callableDataInNV] = ACTIONS(1340),
    [anon_sym_shaderRecordNV] = ACTIONS(1340),
    [anon_sym_layout] = ACTIONS(1340),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_subroutine] = ACTIONS(1344),
    [anon_sym_invariant] = ACTIONS(1344),
    [anon_sym_precise] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_in] = ACTIONS(1344),
    [anon_sym_out] = ACTIONS(1344),
    [anon_sym_inout] = ACTIONS(1344),
    [anon_sym_uniform] = ACTIONS(1344),
    [anon_sym_shared] = ACTIONS(1344),
    [anon_sym_attribute] = ACTIONS(1344),
    [anon_sym_varying] = ACTIONS(1344),
    [anon_sym_buffer] = ACTIONS(1344),
    [anon_sym_coherent] = ACTIONS(1344),
    [anon_sym_readonly] = ACTIONS(1344),
    [anon_sym_writeonly] = ACTIONS(1344),
    [anon_sym_precision] = ACTIONS(1344),
    [anon_sym_highp] = ACTIONS(1344),
    [anon_sym_mediump] = ACTIONS(1344),
    [anon_sym_lowp] = ACTIONS(1344),
    [anon_sym_centroid] = ACTIONS(1344),
    [anon_sym_sample] = ACTIONS(1344),
    [anon_sym_patch] = ACTIONS(1344),
    [anon_sym_smooth] = ACTIONS(1344),
    [anon_sym_flat] = ACTIONS(1344),
    [anon_sym_noperspective] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1344),
    [anon_sym_hitAttributeEXT] = ACTIONS(1344),
    [anon_sym_callableDataEXT] = ACTIONS(1344),
    [anon_sym_callableDataInEXT] = ACTIONS(1344),
    [anon_sym_shaderRecordEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadNV] = ACTIONS(1344),
    [anon_sym_rayPayloadInNV] = ACTIONS(1344),
    [anon_sym_hitAttributeNV] = ACTIONS(1344),
    [anon_sym_callableDataNV] = ACTIONS(1344),
    [anon_sym_callableDataInNV] = ACTIONS(1344),
    [anon_sym_shaderRecordNV] = ACTIONS(1344),
    [anon_sym_layout] = ACTIONS(1344),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_subroutine] = ACTIONS(1352),
    [anon_sym_invariant] = ACTIONS(1352),
    [anon_sym_precise] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1352),
    [anon_sym_out] = ACTIONS(1352),
    [anon_sym_inout] = ACTIONS(1352),
    [anon_sym_uniform] = ACTIONS(1352),
    [anon_sym_shared] = ACTIONS(1352),
    [anon_sym_attribute] = ACTIONS(1352),
    [anon_sym_varying] = ACTIONS(1352),
    [anon_sym_buffer] = ACTIONS(1352),
    [anon_sym_coherent] = ACTIONS(1352),
    [anon_sym_readonly] = ACTIONS(1352),
    [anon_sym_writeonly] = ACTIONS(1352),
    [anon_sym_precision] = ACTIONS(1352),
    [anon_sym_highp] = ACTIONS(1352),
    [anon_sym_mediump] = ACTIONS(1352),
    [anon_sym_lowp] = ACTIONS(1352),
    [anon_sym_centroid] = ACTIONS(1352),
    [anon_sym_sample] = ACTIONS(1352),
    [anon_sym_patch] = ACTIONS(1352),
    [anon_sym_smooth] = ACTIONS(1352),
    [anon_sym_flat] = ACTIONS(1352),
    [anon_sym_noperspective] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1352),
    [anon_sym_hitAttributeEXT] = ACTIONS(1352),
    [anon_sym_callableDataEXT] = ACTIONS(1352),
    [anon_sym_callableDataInEXT] = ACTIONS(1352),
    [anon_sym_shaderRecordEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadNV] = ACTIONS(1352),
    [anon_sym_rayPayloadInNV] = ACTIONS(1352),
    [anon_sym_hitAttributeNV] = ACTIONS(1352),
    [anon_sym_callableDataNV] = ACTIONS(1352),
    [anon_sym_callableDataInNV] = ACTIONS(1352),
    [anon_sym_shaderRecordNV] = ACTIONS(1352),
    [anon_sym_layout] = ACTIONS(1352),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_identifier] = ACTIONS(1396),
    [aux_sym_preproc_include_token1] = ACTIONS(1396),
    [aux_sym_preproc_def_token1] = ACTIONS(1396),
    [aux_sym_preproc_if_token1] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1396),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_subroutine] = ACTIONS(1396),
    [anon_sym_invariant] = ACTIONS(1396),
    [anon_sym_precise] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_out] = ACTIONS(1396),
    [anon_sym_inout] = ACTIONS(1396),
    [anon_sym_uniform] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_attribute] = ACTIONS(1396),
    [anon_sym_varying] = ACTIONS(1396),
    [anon_sym_buffer] = ACTIONS(1396),
    [anon_sym_coherent] = ACTIONS(1396),
    [anon_sym_readonly] = ACTIONS(1396),
    [anon_sym_writeonly] = ACTIONS(1396),
    [anon_sym_precision] = ACTIONS(1396),
    [anon_sym_highp] = ACTIONS(1396),
    [anon_sym_mediump] = ACTIONS(1396),
    [anon_sym_lowp] = ACTIONS(1396),
    [anon_sym_centroid] = ACTIONS(1396),
    [anon_sym_sample] = ACTIONS(1396),
    [anon_sym_patch] = ACTIONS(1396),
    [anon_sym_smooth] = ACTIONS(1396),
    [anon_sym_flat] = ACTIONS(1396),
    [anon_sym_noperspective] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1396),
    [anon_sym_extern] = ACTIONS(1396),
    [anon_sym___attribute__] = ACTIONS(1396),
    [anon_sym___attribute] = ACTIONS(1396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1398),
    [anon_sym___declspec] = ACTIONS(1396),
    [anon_sym___cdecl] = ACTIONS(1396),
    [anon_sym___clrcall] = ACTIONS(1396),
    [anon_sym___stdcall] = ACTIONS(1396),
    [anon_sym___fastcall] = ACTIONS(1396),
    [anon_sym___thiscall] = ACTIONS(1396),
    [anon_sym___vectorcall] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1396),
    [anon_sym_unsigned] = ACTIONS(1396),
    [anon_sym_long] = ACTIONS(1396),
    [anon_sym_short] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1396),
    [anon_sym_auto] = ACTIONS(1396),
    [anon_sym_register] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1396),
    [anon_sym___inline] = ACTIONS(1396),
    [anon_sym___inline__] = ACTIONS(1396),
    [anon_sym___forceinline] = ACTIONS(1396),
    [anon_sym_thread_local] = ACTIONS(1396),
    [anon_sym___thread] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_constexpr] = ACTIONS(1396),
    [anon_sym_volatile] = ACTIONS(1396),
    [anon_sym_restrict] = ACTIONS(1396),
    [anon_sym___restrict__] = ACTIONS(1396),
    [anon_sym__Atomic] = ACTIONS(1396),
    [anon_sym__Noreturn] = ACTIONS(1396),
    [anon_sym_noreturn] = ACTIONS(1396),
    [anon_sym__Nonnull] = ACTIONS(1396),
    [anon_sym_alignas] = ACTIONS(1396),
    [anon_sym__Alignas] = ACTIONS(1396),
    [sym_primitive_type] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_else] = ACTIONS(1396),
    [anon_sym_switch] = ACTIONS(1396),
    [anon_sym_case] = ACTIONS(1396),
    [anon_sym_default] = ACTIONS(1396),
    [anon_sym_while] = ACTIONS(1396),
    [anon_sym_do] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_sizeof] = ACTIONS(1396),
    [anon_sym___alignof__] = ACTIONS(1396),
    [anon_sym___alignof] = ACTIONS(1396),
    [anon_sym__alignof] = ACTIONS(1396),
    [anon_sym_alignof] = ACTIONS(1396),
    [anon_sym__Alignof] = ACTIONS(1396),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym___asm__] = ACTIONS(1396),
    [anon_sym___asm] = ACTIONS(1396),
    [sym_number_literal] = ACTIONS(1398),
    [anon_sym_L_SQUOTE] = ACTIONS(1398),
    [anon_sym_u_SQUOTE] = ACTIONS(1398),
    [anon_sym_U_SQUOTE] = ACTIONS(1398),
    [anon_sym_u8_SQUOTE] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_L_DQUOTE] = ACTIONS(1398),
    [anon_sym_u_DQUOTE] = ACTIONS(1398),
    [anon_sym_U_DQUOTE] = ACTIONS(1398),
    [anon_sym_u8_DQUOTE] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_NULL] = ACTIONS(1396),
    [anon_sym_nullptr] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1396),
    [anon_sym_hitAttributeEXT] = ACTIONS(1396),
    [anon_sym_callableDataEXT] = ACTIONS(1396),
    [anon_sym_callableDataInEXT] = ACTIONS(1396),
    [anon_sym_shaderRecordEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadNV] = ACTIONS(1396),
    [anon_sym_rayPayloadInNV] = ACTIONS(1396),
    [anon_sym_hitAttributeNV] = ACTIONS(1396),
    [anon_sym_callableDataNV] = ACTIONS(1396),
    [anon_sym_callableDataInNV] = ACTIONS(1396),
    [anon_sym_shaderRecordNV] = ACTIONS(1396),
    [anon_sym_layout] = ACTIONS(1396),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_subroutine] = ACTIONS(1364),
    [anon_sym_invariant] = ACTIONS(1364),
    [anon_sym_precise] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1364),
    [anon_sym_out] = ACTIONS(1364),
    [anon_sym_inout] = ACTIONS(1364),
    [anon_sym_uniform] = ACTIONS(1364),
    [anon_sym_shared] = ACTIONS(1364),
    [anon_sym_attribute] = ACTIONS(1364),
    [anon_sym_varying] = ACTIONS(1364),
    [anon_sym_buffer] = ACTIONS(1364),
    [anon_sym_coherent] = ACTIONS(1364),
    [anon_sym_readonly] = ACTIONS(1364),
    [anon_sym_writeonly] = ACTIONS(1364),
    [anon_sym_precision] = ACTIONS(1364),
    [anon_sym_highp] = ACTIONS(1364),
    [anon_sym_mediump] = ACTIONS(1364),
    [anon_sym_lowp] = ACTIONS(1364),
    [anon_sym_centroid] = ACTIONS(1364),
    [anon_sym_sample] = ACTIONS(1364),
    [anon_sym_patch] = ACTIONS(1364),
    [anon_sym_smooth] = ACTIONS(1364),
    [anon_sym_flat] = ACTIONS(1364),
    [anon_sym_noperspective] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_else] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym___try] = ACTIONS(1364),
    [anon_sym___leave] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1364),
    [anon_sym_hitAttributeEXT] = ACTIONS(1364),
    [anon_sym_callableDataEXT] = ACTIONS(1364),
    [anon_sym_callableDataInEXT] = ACTIONS(1364),
    [anon_sym_shaderRecordEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadNV] = ACTIONS(1364),
    [anon_sym_rayPayloadInNV] = ACTIONS(1364),
    [anon_sym_hitAttributeNV] = ACTIONS(1364),
    [anon_sym_callableDataNV] = ACTIONS(1364),
    [anon_sym_callableDataInNV] = ACTIONS(1364),
    [anon_sym_shaderRecordNV] = ACTIONS(1364),
    [anon_sym_layout] = ACTIONS(1364),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_subroutine] = ACTIONS(1260),
    [anon_sym_invariant] = ACTIONS(1260),
    [anon_sym_precise] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1260),
    [anon_sym_out] = ACTIONS(1260),
    [anon_sym_inout] = ACTIONS(1260),
    [anon_sym_uniform] = ACTIONS(1260),
    [anon_sym_shared] = ACTIONS(1260),
    [anon_sym_attribute] = ACTIONS(1260),
    [anon_sym_varying] = ACTIONS(1260),
    [anon_sym_buffer] = ACTIONS(1260),
    [anon_sym_coherent] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_writeonly] = ACTIONS(1260),
    [anon_sym_precision] = ACTIONS(1260),
    [anon_sym_highp] = ACTIONS(1260),
    [anon_sym_mediump] = ACTIONS(1260),
    [anon_sym_lowp] = ACTIONS(1260),
    [anon_sym_centroid] = ACTIONS(1260),
    [anon_sym_sample] = ACTIONS(1260),
    [anon_sym_patch] = ACTIONS(1260),
    [anon_sym_smooth] = ACTIONS(1260),
    [anon_sym_flat] = ACTIONS(1260),
    [anon_sym_noperspective] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym___attribute] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym__Nonnull] = ACTIONS(1260),
    [anon_sym_alignas] = ACTIONS(1260),
    [anon_sym__Alignas] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym___try] = ACTIONS(1260),
    [anon_sym___leave] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [anon_sym___asm] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1260),
    [anon_sym_hitAttributeEXT] = ACTIONS(1260),
    [anon_sym_callableDataEXT] = ACTIONS(1260),
    [anon_sym_callableDataInEXT] = ACTIONS(1260),
    [anon_sym_shaderRecordEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadNV] = ACTIONS(1260),
    [anon_sym_rayPayloadInNV] = ACTIONS(1260),
    [anon_sym_hitAttributeNV] = ACTIONS(1260),
    [anon_sym_callableDataNV] = ACTIONS(1260),
    [anon_sym_callableDataInNV] = ACTIONS(1260),
    [anon_sym_shaderRecordNV] = ACTIONS(1260),
    [anon_sym_layout] = ACTIONS(1260),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_subroutine] = ACTIONS(1264),
    [anon_sym_invariant] = ACTIONS(1264),
    [anon_sym_precise] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_in] = ACTIONS(1264),
    [anon_sym_out] = ACTIONS(1264),
    [anon_sym_inout] = ACTIONS(1264),
    [anon_sym_uniform] = ACTIONS(1264),
    [anon_sym_shared] = ACTIONS(1264),
    [anon_sym_attribute] = ACTIONS(1264),
    [anon_sym_varying] = ACTIONS(1264),
    [anon_sym_buffer] = ACTIONS(1264),
    [anon_sym_coherent] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_writeonly] = ACTIONS(1264),
    [anon_sym_precision] = ACTIONS(1264),
    [anon_sym_highp] = ACTIONS(1264),
    [anon_sym_mediump] = ACTIONS(1264),
    [anon_sym_lowp] = ACTIONS(1264),
    [anon_sym_centroid] = ACTIONS(1264),
    [anon_sym_sample] = ACTIONS(1264),
    [anon_sym_patch] = ACTIONS(1264),
    [anon_sym_smooth] = ACTIONS(1264),
    [anon_sym_flat] = ACTIONS(1264),
    [anon_sym_noperspective] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym___attribute] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym__Nonnull] = ACTIONS(1264),
    [anon_sym_alignas] = ACTIONS(1264),
    [anon_sym__Alignas] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym___try] = ACTIONS(1264),
    [anon_sym___leave] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [anon_sym___asm] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1264),
    [anon_sym_hitAttributeEXT] = ACTIONS(1264),
    [anon_sym_callableDataEXT] = ACTIONS(1264),
    [anon_sym_callableDataInEXT] = ACTIONS(1264),
    [anon_sym_shaderRecordEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadNV] = ACTIONS(1264),
    [anon_sym_rayPayloadInNV] = ACTIONS(1264),
    [anon_sym_hitAttributeNV] = ACTIONS(1264),
    [anon_sym_callableDataNV] = ACTIONS(1264),
    [anon_sym_callableDataInNV] = ACTIONS(1264),
    [anon_sym_shaderRecordNV] = ACTIONS(1264),
    [anon_sym_layout] = ACTIONS(1264),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_subroutine] = ACTIONS(1268),
    [anon_sym_invariant] = ACTIONS(1268),
    [anon_sym_precise] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1268),
    [anon_sym_out] = ACTIONS(1268),
    [anon_sym_inout] = ACTIONS(1268),
    [anon_sym_uniform] = ACTIONS(1268),
    [anon_sym_shared] = ACTIONS(1268),
    [anon_sym_attribute] = ACTIONS(1268),
    [anon_sym_varying] = ACTIONS(1268),
    [anon_sym_buffer] = ACTIONS(1268),
    [anon_sym_coherent] = ACTIONS(1268),
    [anon_sym_readonly] = ACTIONS(1268),
    [anon_sym_writeonly] = ACTIONS(1268),
    [anon_sym_precision] = ACTIONS(1268),
    [anon_sym_highp] = ACTIONS(1268),
    [anon_sym_mediump] = ACTIONS(1268),
    [anon_sym_lowp] = ACTIONS(1268),
    [anon_sym_centroid] = ACTIONS(1268),
    [anon_sym_sample] = ACTIONS(1268),
    [anon_sym_patch] = ACTIONS(1268),
    [anon_sym_smooth] = ACTIONS(1268),
    [anon_sym_flat] = ACTIONS(1268),
    [anon_sym_noperspective] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym___attribute] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym__Nonnull] = ACTIONS(1268),
    [anon_sym_alignas] = ACTIONS(1268),
    [anon_sym__Alignas] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [anon_sym___asm] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1268),
    [anon_sym_hitAttributeEXT] = ACTIONS(1268),
    [anon_sym_callableDataEXT] = ACTIONS(1268),
    [anon_sym_callableDataInEXT] = ACTIONS(1268),
    [anon_sym_shaderRecordEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadNV] = ACTIONS(1268),
    [anon_sym_rayPayloadInNV] = ACTIONS(1268),
    [anon_sym_hitAttributeNV] = ACTIONS(1268),
    [anon_sym_callableDataNV] = ACTIONS(1268),
    [anon_sym_callableDataInNV] = ACTIONS(1268),
    [anon_sym_shaderRecordNV] = ACTIONS(1268),
    [anon_sym_layout] = ACTIONS(1268),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1400),
    [aux_sym_preproc_include_token1] = ACTIONS(1400),
    [aux_sym_preproc_def_token1] = ACTIONS(1400),
    [aux_sym_preproc_if_token1] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1400),
    [sym_preproc_directive] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_subroutine] = ACTIONS(1400),
    [anon_sym_invariant] = ACTIONS(1400),
    [anon_sym_precise] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_out] = ACTIONS(1400),
    [anon_sym_inout] = ACTIONS(1400),
    [anon_sym_uniform] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_attribute] = ACTIONS(1400),
    [anon_sym_varying] = ACTIONS(1400),
    [anon_sym_buffer] = ACTIONS(1400),
    [anon_sym_coherent] = ACTIONS(1400),
    [anon_sym_readonly] = ACTIONS(1400),
    [anon_sym_writeonly] = ACTIONS(1400),
    [anon_sym_precision] = ACTIONS(1400),
    [anon_sym_highp] = ACTIONS(1400),
    [anon_sym_mediump] = ACTIONS(1400),
    [anon_sym_lowp] = ACTIONS(1400),
    [anon_sym_centroid] = ACTIONS(1400),
    [anon_sym_sample] = ACTIONS(1400),
    [anon_sym_patch] = ACTIONS(1400),
    [anon_sym_smooth] = ACTIONS(1400),
    [anon_sym_flat] = ACTIONS(1400),
    [anon_sym_noperspective] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1400),
    [anon_sym_extern] = ACTIONS(1400),
    [anon_sym___attribute__] = ACTIONS(1400),
    [anon_sym___attribute] = ACTIONS(1400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1402),
    [anon_sym___declspec] = ACTIONS(1400),
    [anon_sym___cdecl] = ACTIONS(1400),
    [anon_sym___clrcall] = ACTIONS(1400),
    [anon_sym___stdcall] = ACTIONS(1400),
    [anon_sym___fastcall] = ACTIONS(1400),
    [anon_sym___thiscall] = ACTIONS(1400),
    [anon_sym___vectorcall] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1400),
    [anon_sym_unsigned] = ACTIONS(1400),
    [anon_sym_long] = ACTIONS(1400),
    [anon_sym_short] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1400),
    [anon_sym_auto] = ACTIONS(1400),
    [anon_sym_register] = ACTIONS(1400),
    [anon_sym_inline] = ACTIONS(1400),
    [anon_sym___inline] = ACTIONS(1400),
    [anon_sym___inline__] = ACTIONS(1400),
    [anon_sym___forceinline] = ACTIONS(1400),
    [anon_sym_thread_local] = ACTIONS(1400),
    [anon_sym___thread] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_constexpr] = ACTIONS(1400),
    [anon_sym_volatile] = ACTIONS(1400),
    [anon_sym_restrict] = ACTIONS(1400),
    [anon_sym___restrict__] = ACTIONS(1400),
    [anon_sym__Atomic] = ACTIONS(1400),
    [anon_sym__Noreturn] = ACTIONS(1400),
    [anon_sym_noreturn] = ACTIONS(1400),
    [anon_sym__Nonnull] = ACTIONS(1400),
    [anon_sym_alignas] = ACTIONS(1400),
    [anon_sym__Alignas] = ACTIONS(1400),
    [sym_primitive_type] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_switch] = ACTIONS(1400),
    [anon_sym_case] = ACTIONS(1400),
    [anon_sym_default] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_do] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym___try] = ACTIONS(1400),
    [anon_sym___leave] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_sizeof] = ACTIONS(1400),
    [anon_sym___alignof__] = ACTIONS(1400),
    [anon_sym___alignof] = ACTIONS(1400),
    [anon_sym__alignof] = ACTIONS(1400),
    [anon_sym_alignof] = ACTIONS(1400),
    [anon_sym__Alignof] = ACTIONS(1400),
    [anon_sym_offsetof] = ACTIONS(1400),
    [anon_sym__Generic] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym___asm__] = ACTIONS(1400),
    [anon_sym___asm] = ACTIONS(1400),
    [sym_number_literal] = ACTIONS(1402),
    [anon_sym_L_SQUOTE] = ACTIONS(1402),
    [anon_sym_u_SQUOTE] = ACTIONS(1402),
    [anon_sym_U_SQUOTE] = ACTIONS(1402),
    [anon_sym_u8_SQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_L_DQUOTE] = ACTIONS(1402),
    [anon_sym_u_DQUOTE] = ACTIONS(1402),
    [anon_sym_U_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8_DQUOTE] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_NULL] = ACTIONS(1400),
    [anon_sym_nullptr] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1400),
    [anon_sym_hitAttributeEXT] = ACTIONS(1400),
    [anon_sym_callableDataEXT] = ACTIONS(1400),
    [anon_sym_callableDataInEXT] = ACTIONS(1400),
    [anon_sym_shaderRecordEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadNV] = ACTIONS(1400),
    [anon_sym_rayPayloadInNV] = ACTIONS(1400),
    [anon_sym_hitAttributeNV] = ACTIONS(1400),
    [anon_sym_callableDataNV] = ACTIONS(1400),
    [anon_sym_callableDataInNV] = ACTIONS(1400),
    [anon_sym_shaderRecordNV] = ACTIONS(1400),
    [anon_sym_layout] = ACTIONS(1400),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_subroutine] = ACTIONS(1320),
    [anon_sym_invariant] = ACTIONS(1320),
    [anon_sym_precise] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_in] = ACTIONS(1320),
    [anon_sym_out] = ACTIONS(1320),
    [anon_sym_inout] = ACTIONS(1320),
    [anon_sym_uniform] = ACTIONS(1320),
    [anon_sym_shared] = ACTIONS(1320),
    [anon_sym_attribute] = ACTIONS(1320),
    [anon_sym_varying] = ACTIONS(1320),
    [anon_sym_buffer] = ACTIONS(1320),
    [anon_sym_coherent] = ACTIONS(1320),
    [anon_sym_readonly] = ACTIONS(1320),
    [anon_sym_writeonly] = ACTIONS(1320),
    [anon_sym_precision] = ACTIONS(1320),
    [anon_sym_highp] = ACTIONS(1320),
    [anon_sym_mediump] = ACTIONS(1320),
    [anon_sym_lowp] = ACTIONS(1320),
    [anon_sym_centroid] = ACTIONS(1320),
    [anon_sym_sample] = ACTIONS(1320),
    [anon_sym_patch] = ACTIONS(1320),
    [anon_sym_smooth] = ACTIONS(1320),
    [anon_sym_flat] = ACTIONS(1320),
    [anon_sym_noperspective] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1320),
    [anon_sym_hitAttributeEXT] = ACTIONS(1320),
    [anon_sym_callableDataEXT] = ACTIONS(1320),
    [anon_sym_callableDataInEXT] = ACTIONS(1320),
    [anon_sym_shaderRecordEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadNV] = ACTIONS(1320),
    [anon_sym_rayPayloadInNV] = ACTIONS(1320),
    [anon_sym_hitAttributeNV] = ACTIONS(1320),
    [anon_sym_callableDataNV] = ACTIONS(1320),
    [anon_sym_callableDataInNV] = ACTIONS(1320),
    [anon_sym_shaderRecordNV] = ACTIONS(1320),
    [anon_sym_layout] = ACTIONS(1320),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_subroutine] = ACTIONS(1272),
    [anon_sym_invariant] = ACTIONS(1272),
    [anon_sym_precise] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_out] = ACTIONS(1272),
    [anon_sym_inout] = ACTIONS(1272),
    [anon_sym_uniform] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_attribute] = ACTIONS(1272),
    [anon_sym_varying] = ACTIONS(1272),
    [anon_sym_buffer] = ACTIONS(1272),
    [anon_sym_coherent] = ACTIONS(1272),
    [anon_sym_readonly] = ACTIONS(1272),
    [anon_sym_writeonly] = ACTIONS(1272),
    [anon_sym_precision] = ACTIONS(1272),
    [anon_sym_highp] = ACTIONS(1272),
    [anon_sym_mediump] = ACTIONS(1272),
    [anon_sym_lowp] = ACTIONS(1272),
    [anon_sym_centroid] = ACTIONS(1272),
    [anon_sym_sample] = ACTIONS(1272),
    [anon_sym_patch] = ACTIONS(1272),
    [anon_sym_smooth] = ACTIONS(1272),
    [anon_sym_flat] = ACTIONS(1272),
    [anon_sym_noperspective] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym___attribute] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym__Nonnull] = ACTIONS(1272),
    [anon_sym_alignas] = ACTIONS(1272),
    [anon_sym__Alignas] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym___try] = ACTIONS(1272),
    [anon_sym___leave] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [anon_sym___asm] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1272),
    [anon_sym_hitAttributeEXT] = ACTIONS(1272),
    [anon_sym_callableDataEXT] = ACTIONS(1272),
    [anon_sym_callableDataInEXT] = ACTIONS(1272),
    [anon_sym_shaderRecordEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadNV] = ACTIONS(1272),
    [anon_sym_rayPayloadInNV] = ACTIONS(1272),
    [anon_sym_hitAttributeNV] = ACTIONS(1272),
    [anon_sym_callableDataNV] = ACTIONS(1272),
    [anon_sym_callableDataInNV] = ACTIONS(1272),
    [anon_sym_shaderRecordNV] = ACTIONS(1272),
    [anon_sym_layout] = ACTIONS(1272),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_subroutine] = ACTIONS(1288),
    [anon_sym_invariant] = ACTIONS(1288),
    [anon_sym_precise] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_out] = ACTIONS(1288),
    [anon_sym_inout] = ACTIONS(1288),
    [anon_sym_uniform] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_attribute] = ACTIONS(1288),
    [anon_sym_varying] = ACTIONS(1288),
    [anon_sym_buffer] = ACTIONS(1288),
    [anon_sym_coherent] = ACTIONS(1288),
    [anon_sym_readonly] = ACTIONS(1288),
    [anon_sym_writeonly] = ACTIONS(1288),
    [anon_sym_precision] = ACTIONS(1288),
    [anon_sym_highp] = ACTIONS(1288),
    [anon_sym_mediump] = ACTIONS(1288),
    [anon_sym_lowp] = ACTIONS(1288),
    [anon_sym_centroid] = ACTIONS(1288),
    [anon_sym_sample] = ACTIONS(1288),
    [anon_sym_patch] = ACTIONS(1288),
    [anon_sym_smooth] = ACTIONS(1288),
    [anon_sym_flat] = ACTIONS(1288),
    [anon_sym_noperspective] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym___attribute] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym__Nonnull] = ACTIONS(1288),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym___try] = ACTIONS(1288),
    [anon_sym___leave] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [anon_sym___asm] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1288),
    [anon_sym_hitAttributeEXT] = ACTIONS(1288),
    [anon_sym_callableDataEXT] = ACTIONS(1288),
    [anon_sym_callableDataInEXT] = ACTIONS(1288),
    [anon_sym_shaderRecordEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadNV] = ACTIONS(1288),
    [anon_sym_rayPayloadInNV] = ACTIONS(1288),
    [anon_sym_hitAttributeNV] = ACTIONS(1288),
    [anon_sym_callableDataNV] = ACTIONS(1288),
    [anon_sym_callableDataInNV] = ACTIONS(1288),
    [anon_sym_shaderRecordNV] = ACTIONS(1288),
    [anon_sym_layout] = ACTIONS(1288),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_subroutine] = ACTIONS(1292),
    [anon_sym_invariant] = ACTIONS(1292),
    [anon_sym_precise] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_out] = ACTIONS(1292),
    [anon_sym_inout] = ACTIONS(1292),
    [anon_sym_uniform] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_attribute] = ACTIONS(1292),
    [anon_sym_varying] = ACTIONS(1292),
    [anon_sym_buffer] = ACTIONS(1292),
    [anon_sym_coherent] = ACTIONS(1292),
    [anon_sym_readonly] = ACTIONS(1292),
    [anon_sym_writeonly] = ACTIONS(1292),
    [anon_sym_precision] = ACTIONS(1292),
    [anon_sym_highp] = ACTIONS(1292),
    [anon_sym_mediump] = ACTIONS(1292),
    [anon_sym_lowp] = ACTIONS(1292),
    [anon_sym_centroid] = ACTIONS(1292),
    [anon_sym_sample] = ACTIONS(1292),
    [anon_sym_patch] = ACTIONS(1292),
    [anon_sym_smooth] = ACTIONS(1292),
    [anon_sym_flat] = ACTIONS(1292),
    [anon_sym_noperspective] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym___attribute] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym__Nonnull] = ACTIONS(1292),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [anon_sym___asm] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1292),
    [anon_sym_hitAttributeEXT] = ACTIONS(1292),
    [anon_sym_callableDataEXT] = ACTIONS(1292),
    [anon_sym_callableDataInEXT] = ACTIONS(1292),
    [anon_sym_shaderRecordEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadNV] = ACTIONS(1292),
    [anon_sym_rayPayloadInNV] = ACTIONS(1292),
    [anon_sym_hitAttributeNV] = ACTIONS(1292),
    [anon_sym_callableDataNV] = ACTIONS(1292),
    [anon_sym_callableDataInNV] = ACTIONS(1292),
    [anon_sym_shaderRecordNV] = ACTIONS(1292),
    [anon_sym_layout] = ACTIONS(1292),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_subroutine] = ACTIONS(1296),
    [anon_sym_invariant] = ACTIONS(1296),
    [anon_sym_precise] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_out] = ACTIONS(1296),
    [anon_sym_inout] = ACTIONS(1296),
    [anon_sym_uniform] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_attribute] = ACTIONS(1296),
    [anon_sym_varying] = ACTIONS(1296),
    [anon_sym_buffer] = ACTIONS(1296),
    [anon_sym_coherent] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_writeonly] = ACTIONS(1296),
    [anon_sym_precision] = ACTIONS(1296),
    [anon_sym_highp] = ACTIONS(1296),
    [anon_sym_mediump] = ACTIONS(1296),
    [anon_sym_lowp] = ACTIONS(1296),
    [anon_sym_centroid] = ACTIONS(1296),
    [anon_sym_sample] = ACTIONS(1296),
    [anon_sym_patch] = ACTIONS(1296),
    [anon_sym_smooth] = ACTIONS(1296),
    [anon_sym_flat] = ACTIONS(1296),
    [anon_sym_noperspective] = ACTIONS(1296),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym___attribute] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym__Nonnull] = ACTIONS(1296),
    [anon_sym_alignas] = ACTIONS(1296),
    [anon_sym__Alignas] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym___try] = ACTIONS(1296),
    [anon_sym___leave] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [anon_sym___asm] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1296),
    [anon_sym_hitAttributeEXT] = ACTIONS(1296),
    [anon_sym_callableDataEXT] = ACTIONS(1296),
    [anon_sym_callableDataInEXT] = ACTIONS(1296),
    [anon_sym_shaderRecordEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadNV] = ACTIONS(1296),
    [anon_sym_rayPayloadInNV] = ACTIONS(1296),
    [anon_sym_hitAttributeNV] = ACTIONS(1296),
    [anon_sym_callableDataNV] = ACTIONS(1296),
    [anon_sym_callableDataInNV] = ACTIONS(1296),
    [anon_sym_shaderRecordNV] = ACTIONS(1296),
    [anon_sym_layout] = ACTIONS(1296),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_subroutine] = ACTIONS(1300),
    [anon_sym_invariant] = ACTIONS(1300),
    [anon_sym_precise] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_out] = ACTIONS(1300),
    [anon_sym_inout] = ACTIONS(1300),
    [anon_sym_uniform] = ACTIONS(1300),
    [anon_sym_shared] = ACTIONS(1300),
    [anon_sym_attribute] = ACTIONS(1300),
    [anon_sym_varying] = ACTIONS(1300),
    [anon_sym_buffer] = ACTIONS(1300),
    [anon_sym_coherent] = ACTIONS(1300),
    [anon_sym_readonly] = ACTIONS(1300),
    [anon_sym_writeonly] = ACTIONS(1300),
    [anon_sym_precision] = ACTIONS(1300),
    [anon_sym_highp] = ACTIONS(1300),
    [anon_sym_mediump] = ACTIONS(1300),
    [anon_sym_lowp] = ACTIONS(1300),
    [anon_sym_centroid] = ACTIONS(1300),
    [anon_sym_sample] = ACTIONS(1300),
    [anon_sym_patch] = ACTIONS(1300),
    [anon_sym_smooth] = ACTIONS(1300),
    [anon_sym_flat] = ACTIONS(1300),
    [anon_sym_noperspective] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1300),
    [anon_sym_hitAttributeEXT] = ACTIONS(1300),
    [anon_sym_callableDataEXT] = ACTIONS(1300),
    [anon_sym_callableDataInEXT] = ACTIONS(1300),
    [anon_sym_shaderRecordEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadNV] = ACTIONS(1300),
    [anon_sym_rayPayloadInNV] = ACTIONS(1300),
    [anon_sym_hitAttributeNV] = ACTIONS(1300),
    [anon_sym_callableDataNV] = ACTIONS(1300),
    [anon_sym_callableDataInNV] = ACTIONS(1300),
    [anon_sym_shaderRecordNV] = ACTIONS(1300),
    [anon_sym_layout] = ACTIONS(1300),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_subroutine] = ACTIONS(1244),
    [anon_sym_invariant] = ACTIONS(1244),
    [anon_sym_precise] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_out] = ACTIONS(1244),
    [anon_sym_inout] = ACTIONS(1244),
    [anon_sym_uniform] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_attribute] = ACTIONS(1244),
    [anon_sym_varying] = ACTIONS(1244),
    [anon_sym_buffer] = ACTIONS(1244),
    [anon_sym_coherent] = ACTIONS(1244),
    [anon_sym_readonly] = ACTIONS(1244),
    [anon_sym_writeonly] = ACTIONS(1244),
    [anon_sym_precision] = ACTIONS(1244),
    [anon_sym_highp] = ACTIONS(1244),
    [anon_sym_mediump] = ACTIONS(1244),
    [anon_sym_lowp] = ACTIONS(1244),
    [anon_sym_centroid] = ACTIONS(1244),
    [anon_sym_sample] = ACTIONS(1244),
    [anon_sym_patch] = ACTIONS(1244),
    [anon_sym_smooth] = ACTIONS(1244),
    [anon_sym_flat] = ACTIONS(1244),
    [anon_sym_noperspective] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym___attribute] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym__Nonnull] = ACTIONS(1244),
    [anon_sym_alignas] = ACTIONS(1244),
    [anon_sym__Alignas] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym___try] = ACTIONS(1244),
    [anon_sym___leave] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [anon_sym___asm] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1244),
    [anon_sym_hitAttributeEXT] = ACTIONS(1244),
    [anon_sym_callableDataEXT] = ACTIONS(1244),
    [anon_sym_callableDataInEXT] = ACTIONS(1244),
    [anon_sym_shaderRecordEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadNV] = ACTIONS(1244),
    [anon_sym_rayPayloadInNV] = ACTIONS(1244),
    [anon_sym_hitAttributeNV] = ACTIONS(1244),
    [anon_sym_callableDataNV] = ACTIONS(1244),
    [anon_sym_callableDataInNV] = ACTIONS(1244),
    [anon_sym_shaderRecordNV] = ACTIONS(1244),
    [anon_sym_layout] = ACTIONS(1244),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_subroutine] = ACTIONS(1308),
    [anon_sym_invariant] = ACTIONS(1308),
    [anon_sym_precise] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_in] = ACTIONS(1308),
    [anon_sym_out] = ACTIONS(1308),
    [anon_sym_inout] = ACTIONS(1308),
    [anon_sym_uniform] = ACTIONS(1308),
    [anon_sym_shared] = ACTIONS(1308),
    [anon_sym_attribute] = ACTIONS(1308),
    [anon_sym_varying] = ACTIONS(1308),
    [anon_sym_buffer] = ACTIONS(1308),
    [anon_sym_coherent] = ACTIONS(1308),
    [anon_sym_readonly] = ACTIONS(1308),
    [anon_sym_writeonly] = ACTIONS(1308),
    [anon_sym_precision] = ACTIONS(1308),
    [anon_sym_highp] = ACTIONS(1308),
    [anon_sym_mediump] = ACTIONS(1308),
    [anon_sym_lowp] = ACTIONS(1308),
    [anon_sym_centroid] = ACTIONS(1308),
    [anon_sym_sample] = ACTIONS(1308),
    [anon_sym_patch] = ACTIONS(1308),
    [anon_sym_smooth] = ACTIONS(1308),
    [anon_sym_flat] = ACTIONS(1308),
    [anon_sym_noperspective] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1308),
    [anon_sym_hitAttributeEXT] = ACTIONS(1308),
    [anon_sym_callableDataEXT] = ACTIONS(1308),
    [anon_sym_callableDataInEXT] = ACTIONS(1308),
    [anon_sym_shaderRecordEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadNV] = ACTIONS(1308),
    [anon_sym_rayPayloadInNV] = ACTIONS(1308),
    [anon_sym_hitAttributeNV] = ACTIONS(1308),
    [anon_sym_callableDataNV] = ACTIONS(1308),
    [anon_sym_callableDataInNV] = ACTIONS(1308),
    [anon_sym_shaderRecordNV] = ACTIONS(1308),
    [anon_sym_layout] = ACTIONS(1308),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_subroutine] = ACTIONS(1312),
    [anon_sym_invariant] = ACTIONS(1312),
    [anon_sym_precise] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_in] = ACTIONS(1312),
    [anon_sym_out] = ACTIONS(1312),
    [anon_sym_inout] = ACTIONS(1312),
    [anon_sym_uniform] = ACTIONS(1312),
    [anon_sym_shared] = ACTIONS(1312),
    [anon_sym_attribute] = ACTIONS(1312),
    [anon_sym_varying] = ACTIONS(1312),
    [anon_sym_buffer] = ACTIONS(1312),
    [anon_sym_coherent] = ACTIONS(1312),
    [anon_sym_readonly] = ACTIONS(1312),
    [anon_sym_writeonly] = ACTIONS(1312),
    [anon_sym_precision] = ACTIONS(1312),
    [anon_sym_highp] = ACTIONS(1312),
    [anon_sym_mediump] = ACTIONS(1312),
    [anon_sym_lowp] = ACTIONS(1312),
    [anon_sym_centroid] = ACTIONS(1312),
    [anon_sym_sample] = ACTIONS(1312),
    [anon_sym_patch] = ACTIONS(1312),
    [anon_sym_smooth] = ACTIONS(1312),
    [anon_sym_flat] = ACTIONS(1312),
    [anon_sym_noperspective] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1312),
    [anon_sym_hitAttributeEXT] = ACTIONS(1312),
    [anon_sym_callableDataEXT] = ACTIONS(1312),
    [anon_sym_callableDataInEXT] = ACTIONS(1312),
    [anon_sym_shaderRecordEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadNV] = ACTIONS(1312),
    [anon_sym_rayPayloadInNV] = ACTIONS(1312),
    [anon_sym_hitAttributeNV] = ACTIONS(1312),
    [anon_sym_callableDataNV] = ACTIONS(1312),
    [anon_sym_callableDataInNV] = ACTIONS(1312),
    [anon_sym_shaderRecordNV] = ACTIONS(1312),
    [anon_sym_layout] = ACTIONS(1312),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_identifier] = ACTIONS(1404),
    [aux_sym_preproc_include_token1] = ACTIONS(1404),
    [aux_sym_preproc_def_token1] = ACTIONS(1404),
    [aux_sym_preproc_if_token1] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1404),
    [sym_preproc_directive] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_subroutine] = ACTIONS(1404),
    [anon_sym_invariant] = ACTIONS(1404),
    [anon_sym_precise] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1406),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_out] = ACTIONS(1404),
    [anon_sym_inout] = ACTIONS(1404),
    [anon_sym_uniform] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_attribute] = ACTIONS(1404),
    [anon_sym_varying] = ACTIONS(1404),
    [anon_sym_buffer] = ACTIONS(1404),
    [anon_sym_coherent] = ACTIONS(1404),
    [anon_sym_readonly] = ACTIONS(1404),
    [anon_sym_writeonly] = ACTIONS(1404),
    [anon_sym_precision] = ACTIONS(1404),
    [anon_sym_highp] = ACTIONS(1404),
    [anon_sym_mediump] = ACTIONS(1404),
    [anon_sym_lowp] = ACTIONS(1404),
    [anon_sym_centroid] = ACTIONS(1404),
    [anon_sym_sample] = ACTIONS(1404),
    [anon_sym_patch] = ACTIONS(1404),
    [anon_sym_smooth] = ACTIONS(1404),
    [anon_sym_flat] = ACTIONS(1404),
    [anon_sym_noperspective] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1404),
    [anon_sym_extern] = ACTIONS(1404),
    [anon_sym___attribute__] = ACTIONS(1404),
    [anon_sym___attribute] = ACTIONS(1404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1406),
    [anon_sym___declspec] = ACTIONS(1404),
    [anon_sym___cdecl] = ACTIONS(1404),
    [anon_sym___clrcall] = ACTIONS(1404),
    [anon_sym___stdcall] = ACTIONS(1404),
    [anon_sym___fastcall] = ACTIONS(1404),
    [anon_sym___thiscall] = ACTIONS(1404),
    [anon_sym___vectorcall] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1404),
    [anon_sym_unsigned] = ACTIONS(1404),
    [anon_sym_long] = ACTIONS(1404),
    [anon_sym_short] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_auto] = ACTIONS(1404),
    [anon_sym_register] = ACTIONS(1404),
    [anon_sym_inline] = ACTIONS(1404),
    [anon_sym___inline] = ACTIONS(1404),
    [anon_sym___inline__] = ACTIONS(1404),
    [anon_sym___forceinline] = ACTIONS(1404),
    [anon_sym_thread_local] = ACTIONS(1404),
    [anon_sym___thread] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_constexpr] = ACTIONS(1404),
    [anon_sym_volatile] = ACTIONS(1404),
    [anon_sym_restrict] = ACTIONS(1404),
    [anon_sym___restrict__] = ACTIONS(1404),
    [anon_sym__Atomic] = ACTIONS(1404),
    [anon_sym__Noreturn] = ACTIONS(1404),
    [anon_sym_noreturn] = ACTIONS(1404),
    [anon_sym__Nonnull] = ACTIONS(1404),
    [anon_sym_alignas] = ACTIONS(1404),
    [anon_sym__Alignas] = ACTIONS(1404),
    [sym_primitive_type] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_struct] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_else] = ACTIONS(1404),
    [anon_sym_switch] = ACTIONS(1404),
    [anon_sym_case] = ACTIONS(1404),
    [anon_sym_default] = ACTIONS(1404),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym___try] = ACTIONS(1404),
    [anon_sym___leave] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [anon_sym_sizeof] = ACTIONS(1404),
    [anon_sym___alignof__] = ACTIONS(1404),
    [anon_sym___alignof] = ACTIONS(1404),
    [anon_sym__alignof] = ACTIONS(1404),
    [anon_sym_alignof] = ACTIONS(1404),
    [anon_sym__Alignof] = ACTIONS(1404),
    [anon_sym_offsetof] = ACTIONS(1404),
    [anon_sym__Generic] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym___asm__] = ACTIONS(1404),
    [anon_sym___asm] = ACTIONS(1404),
    [sym_number_literal] = ACTIONS(1406),
    [anon_sym_L_SQUOTE] = ACTIONS(1406),
    [anon_sym_u_SQUOTE] = ACTIONS(1406),
    [anon_sym_U_SQUOTE] = ACTIONS(1406),
    [anon_sym_u8_SQUOTE] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_L_DQUOTE] = ACTIONS(1406),
    [anon_sym_u_DQUOTE] = ACTIONS(1406),
    [anon_sym_U_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8_DQUOTE] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_NULL] = ACTIONS(1404),
    [anon_sym_nullptr] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1404),
    [anon_sym_hitAttributeEXT] = ACTIONS(1404),
    [anon_sym_callableDataEXT] = ACTIONS(1404),
    [anon_sym_callableDataInEXT] = ACTIONS(1404),
    [anon_sym_shaderRecordEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadNV] = ACTIONS(1404),
    [anon_sym_rayPayloadInNV] = ACTIONS(1404),
    [anon_sym_hitAttributeNV] = ACTIONS(1404),
    [anon_sym_callableDataNV] = ACTIONS(1404),
    [anon_sym_callableDataInNV] = ACTIONS(1404),
    [anon_sym_shaderRecordNV] = ACTIONS(1404),
    [anon_sym_layout] = ACTIONS(1404),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_subroutine] = ACTIONS(1332),
    [anon_sym_invariant] = ACTIONS(1332),
    [anon_sym_precise] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_out] = ACTIONS(1332),
    [anon_sym_inout] = ACTIONS(1332),
    [anon_sym_uniform] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_attribute] = ACTIONS(1332),
    [anon_sym_varying] = ACTIONS(1332),
    [anon_sym_buffer] = ACTIONS(1332),
    [anon_sym_coherent] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_writeonly] = ACTIONS(1332),
    [anon_sym_precision] = ACTIONS(1332),
    [anon_sym_highp] = ACTIONS(1332),
    [anon_sym_mediump] = ACTIONS(1332),
    [anon_sym_lowp] = ACTIONS(1332),
    [anon_sym_centroid] = ACTIONS(1332),
    [anon_sym_sample] = ACTIONS(1332),
    [anon_sym_patch] = ACTIONS(1332),
    [anon_sym_smooth] = ACTIONS(1332),
    [anon_sym_flat] = ACTIONS(1332),
    [anon_sym_noperspective] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1332),
    [anon_sym_hitAttributeEXT] = ACTIONS(1332),
    [anon_sym_callableDataEXT] = ACTIONS(1332),
    [anon_sym_callableDataInEXT] = ACTIONS(1332),
    [anon_sym_shaderRecordEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadNV] = ACTIONS(1332),
    [anon_sym_rayPayloadInNV] = ACTIONS(1332),
    [anon_sym_hitAttributeNV] = ACTIONS(1332),
    [anon_sym_callableDataNV] = ACTIONS(1332),
    [anon_sym_callableDataInNV] = ACTIONS(1332),
    [anon_sym_shaderRecordNV] = ACTIONS(1332),
    [anon_sym_layout] = ACTIONS(1332),
  },
  [234] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_subroutine] = ACTIONS(1336),
    [anon_sym_invariant] = ACTIONS(1336),
    [anon_sym_precise] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_out] = ACTIONS(1336),
    [anon_sym_inout] = ACTIONS(1336),
    [anon_sym_uniform] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_attribute] = ACTIONS(1336),
    [anon_sym_varying] = ACTIONS(1336),
    [anon_sym_buffer] = ACTIONS(1336),
    [anon_sym_coherent] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_writeonly] = ACTIONS(1336),
    [anon_sym_precision] = ACTIONS(1336),
    [anon_sym_highp] = ACTIONS(1336),
    [anon_sym_mediump] = ACTIONS(1336),
    [anon_sym_lowp] = ACTIONS(1336),
    [anon_sym_centroid] = ACTIONS(1336),
    [anon_sym_sample] = ACTIONS(1336),
    [anon_sym_patch] = ACTIONS(1336),
    [anon_sym_smooth] = ACTIONS(1336),
    [anon_sym_flat] = ACTIONS(1336),
    [anon_sym_noperspective] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1336),
    [anon_sym_hitAttributeEXT] = ACTIONS(1336),
    [anon_sym_callableDataEXT] = ACTIONS(1336),
    [anon_sym_callableDataInEXT] = ACTIONS(1336),
    [anon_sym_shaderRecordEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadNV] = ACTIONS(1336),
    [anon_sym_rayPayloadInNV] = ACTIONS(1336),
    [anon_sym_hitAttributeNV] = ACTIONS(1336),
    [anon_sym_callableDataNV] = ACTIONS(1336),
    [anon_sym_callableDataInNV] = ACTIONS(1336),
    [anon_sym_shaderRecordNV] = ACTIONS(1336),
    [anon_sym_layout] = ACTIONS(1336),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_subroutine] = ACTIONS(1340),
    [anon_sym_invariant] = ACTIONS(1340),
    [anon_sym_precise] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_in] = ACTIONS(1340),
    [anon_sym_out] = ACTIONS(1340),
    [anon_sym_inout] = ACTIONS(1340),
    [anon_sym_uniform] = ACTIONS(1340),
    [anon_sym_shared] = ACTIONS(1340),
    [anon_sym_attribute] = ACTIONS(1340),
    [anon_sym_varying] = ACTIONS(1340),
    [anon_sym_buffer] = ACTIONS(1340),
    [anon_sym_coherent] = ACTIONS(1340),
    [anon_sym_readonly] = ACTIONS(1340),
    [anon_sym_writeonly] = ACTIONS(1340),
    [anon_sym_precision] = ACTIONS(1340),
    [anon_sym_highp] = ACTIONS(1340),
    [anon_sym_mediump] = ACTIONS(1340),
    [anon_sym_lowp] = ACTIONS(1340),
    [anon_sym_centroid] = ACTIONS(1340),
    [anon_sym_sample] = ACTIONS(1340),
    [anon_sym_patch] = ACTIONS(1340),
    [anon_sym_smooth] = ACTIONS(1340),
    [anon_sym_flat] = ACTIONS(1340),
    [anon_sym_noperspective] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1340),
    [anon_sym_hitAttributeEXT] = ACTIONS(1340),
    [anon_sym_callableDataEXT] = ACTIONS(1340),
    [anon_sym_callableDataInEXT] = ACTIONS(1340),
    [anon_sym_shaderRecordEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadNV] = ACTIONS(1340),
    [anon_sym_rayPayloadInNV] = ACTIONS(1340),
    [anon_sym_hitAttributeNV] = ACTIONS(1340),
    [anon_sym_callableDataNV] = ACTIONS(1340),
    [anon_sym_callableDataInNV] = ACTIONS(1340),
    [anon_sym_shaderRecordNV] = ACTIONS(1340),
    [anon_sym_layout] = ACTIONS(1340),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_subroutine] = ACTIONS(1344),
    [anon_sym_invariant] = ACTIONS(1344),
    [anon_sym_precise] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_in] = ACTIONS(1344),
    [anon_sym_out] = ACTIONS(1344),
    [anon_sym_inout] = ACTIONS(1344),
    [anon_sym_uniform] = ACTIONS(1344),
    [anon_sym_shared] = ACTIONS(1344),
    [anon_sym_attribute] = ACTIONS(1344),
    [anon_sym_varying] = ACTIONS(1344),
    [anon_sym_buffer] = ACTIONS(1344),
    [anon_sym_coherent] = ACTIONS(1344),
    [anon_sym_readonly] = ACTIONS(1344),
    [anon_sym_writeonly] = ACTIONS(1344),
    [anon_sym_precision] = ACTIONS(1344),
    [anon_sym_highp] = ACTIONS(1344),
    [anon_sym_mediump] = ACTIONS(1344),
    [anon_sym_lowp] = ACTIONS(1344),
    [anon_sym_centroid] = ACTIONS(1344),
    [anon_sym_sample] = ACTIONS(1344),
    [anon_sym_patch] = ACTIONS(1344),
    [anon_sym_smooth] = ACTIONS(1344),
    [anon_sym_flat] = ACTIONS(1344),
    [anon_sym_noperspective] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1344),
    [anon_sym_hitAttributeEXT] = ACTIONS(1344),
    [anon_sym_callableDataEXT] = ACTIONS(1344),
    [anon_sym_callableDataInEXT] = ACTIONS(1344),
    [anon_sym_shaderRecordEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadNV] = ACTIONS(1344),
    [anon_sym_rayPayloadInNV] = ACTIONS(1344),
    [anon_sym_hitAttributeNV] = ACTIONS(1344),
    [anon_sym_callableDataNV] = ACTIONS(1344),
    [anon_sym_callableDataInNV] = ACTIONS(1344),
    [anon_sym_shaderRecordNV] = ACTIONS(1344),
    [anon_sym_layout] = ACTIONS(1344),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_subroutine] = ACTIONS(1352),
    [anon_sym_invariant] = ACTIONS(1352),
    [anon_sym_precise] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1352),
    [anon_sym_out] = ACTIONS(1352),
    [anon_sym_inout] = ACTIONS(1352),
    [anon_sym_uniform] = ACTIONS(1352),
    [anon_sym_shared] = ACTIONS(1352),
    [anon_sym_attribute] = ACTIONS(1352),
    [anon_sym_varying] = ACTIONS(1352),
    [anon_sym_buffer] = ACTIONS(1352),
    [anon_sym_coherent] = ACTIONS(1352),
    [anon_sym_readonly] = ACTIONS(1352),
    [anon_sym_writeonly] = ACTIONS(1352),
    [anon_sym_precision] = ACTIONS(1352),
    [anon_sym_highp] = ACTIONS(1352),
    [anon_sym_mediump] = ACTIONS(1352),
    [anon_sym_lowp] = ACTIONS(1352),
    [anon_sym_centroid] = ACTIONS(1352),
    [anon_sym_sample] = ACTIONS(1352),
    [anon_sym_patch] = ACTIONS(1352),
    [anon_sym_smooth] = ACTIONS(1352),
    [anon_sym_flat] = ACTIONS(1352),
    [anon_sym_noperspective] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1352),
    [anon_sym_hitAttributeEXT] = ACTIONS(1352),
    [anon_sym_callableDataEXT] = ACTIONS(1352),
    [anon_sym_callableDataInEXT] = ACTIONS(1352),
    [anon_sym_shaderRecordEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadNV] = ACTIONS(1352),
    [anon_sym_rayPayloadInNV] = ACTIONS(1352),
    [anon_sym_hitAttributeNV] = ACTIONS(1352),
    [anon_sym_callableDataNV] = ACTIONS(1352),
    [anon_sym_callableDataInNV] = ACTIONS(1352),
    [anon_sym_shaderRecordNV] = ACTIONS(1352),
    [anon_sym_layout] = ACTIONS(1352),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_subroutine] = ACTIONS(1356),
    [anon_sym_invariant] = ACTIONS(1356),
    [anon_sym_precise] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_in] = ACTIONS(1356),
    [anon_sym_out] = ACTIONS(1356),
    [anon_sym_inout] = ACTIONS(1356),
    [anon_sym_uniform] = ACTIONS(1356),
    [anon_sym_shared] = ACTIONS(1356),
    [anon_sym_attribute] = ACTIONS(1356),
    [anon_sym_varying] = ACTIONS(1356),
    [anon_sym_buffer] = ACTIONS(1356),
    [anon_sym_coherent] = ACTIONS(1356),
    [anon_sym_readonly] = ACTIONS(1356),
    [anon_sym_writeonly] = ACTIONS(1356),
    [anon_sym_precision] = ACTIONS(1356),
    [anon_sym_highp] = ACTIONS(1356),
    [anon_sym_mediump] = ACTIONS(1356),
    [anon_sym_lowp] = ACTIONS(1356),
    [anon_sym_centroid] = ACTIONS(1356),
    [anon_sym_sample] = ACTIONS(1356),
    [anon_sym_patch] = ACTIONS(1356),
    [anon_sym_smooth] = ACTIONS(1356),
    [anon_sym_flat] = ACTIONS(1356),
    [anon_sym_noperspective] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_else] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym___try] = ACTIONS(1356),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1356),
    [anon_sym_hitAttributeEXT] = ACTIONS(1356),
    [anon_sym_callableDataEXT] = ACTIONS(1356),
    [anon_sym_callableDataInEXT] = ACTIONS(1356),
    [anon_sym_shaderRecordEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadNV] = ACTIONS(1356),
    [anon_sym_rayPayloadInNV] = ACTIONS(1356),
    [anon_sym_hitAttributeNV] = ACTIONS(1356),
    [anon_sym_callableDataNV] = ACTIONS(1356),
    [anon_sym_callableDataInNV] = ACTIONS(1356),
    [anon_sym_shaderRecordNV] = ACTIONS(1356),
    [anon_sym_layout] = ACTIONS(1356),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_subroutine] = ACTIONS(1360),
    [anon_sym_invariant] = ACTIONS(1360),
    [anon_sym_precise] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_in] = ACTIONS(1360),
    [anon_sym_out] = ACTIONS(1360),
    [anon_sym_inout] = ACTIONS(1360),
    [anon_sym_uniform] = ACTIONS(1360),
    [anon_sym_shared] = ACTIONS(1360),
    [anon_sym_attribute] = ACTIONS(1360),
    [anon_sym_varying] = ACTIONS(1360),
    [anon_sym_buffer] = ACTIONS(1360),
    [anon_sym_coherent] = ACTIONS(1360),
    [anon_sym_readonly] = ACTIONS(1360),
    [anon_sym_writeonly] = ACTIONS(1360),
    [anon_sym_precision] = ACTIONS(1360),
    [anon_sym_highp] = ACTIONS(1360),
    [anon_sym_mediump] = ACTIONS(1360),
    [anon_sym_lowp] = ACTIONS(1360),
    [anon_sym_centroid] = ACTIONS(1360),
    [anon_sym_sample] = ACTIONS(1360),
    [anon_sym_patch] = ACTIONS(1360),
    [anon_sym_smooth] = ACTIONS(1360),
    [anon_sym_flat] = ACTIONS(1360),
    [anon_sym_noperspective] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_else] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym___try] = ACTIONS(1360),
    [anon_sym___leave] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1360),
    [anon_sym_hitAttributeEXT] = ACTIONS(1360),
    [anon_sym_callableDataEXT] = ACTIONS(1360),
    [anon_sym_callableDataInEXT] = ACTIONS(1360),
    [anon_sym_shaderRecordEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadNV] = ACTIONS(1360),
    [anon_sym_rayPayloadInNV] = ACTIONS(1360),
    [anon_sym_hitAttributeNV] = ACTIONS(1360),
    [anon_sym_callableDataNV] = ACTIONS(1360),
    [anon_sym_callableDataInNV] = ACTIONS(1360),
    [anon_sym_shaderRecordNV] = ACTIONS(1360),
    [anon_sym_layout] = ACTIONS(1360),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_subroutine] = ACTIONS(1364),
    [anon_sym_invariant] = ACTIONS(1364),
    [anon_sym_precise] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1364),
    [anon_sym_out] = ACTIONS(1364),
    [anon_sym_inout] = ACTIONS(1364),
    [anon_sym_uniform] = ACTIONS(1364),
    [anon_sym_shared] = ACTIONS(1364),
    [anon_sym_attribute] = ACTIONS(1364),
    [anon_sym_varying] = ACTIONS(1364),
    [anon_sym_buffer] = ACTIONS(1364),
    [anon_sym_coherent] = ACTIONS(1364),
    [anon_sym_readonly] = ACTIONS(1364),
    [anon_sym_writeonly] = ACTIONS(1364),
    [anon_sym_precision] = ACTIONS(1364),
    [anon_sym_highp] = ACTIONS(1364),
    [anon_sym_mediump] = ACTIONS(1364),
    [anon_sym_lowp] = ACTIONS(1364),
    [anon_sym_centroid] = ACTIONS(1364),
    [anon_sym_sample] = ACTIONS(1364),
    [anon_sym_patch] = ACTIONS(1364),
    [anon_sym_smooth] = ACTIONS(1364),
    [anon_sym_flat] = ACTIONS(1364),
    [anon_sym_noperspective] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_else] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym___try] = ACTIONS(1364),
    [anon_sym___leave] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1364),
    [anon_sym_hitAttributeEXT] = ACTIONS(1364),
    [anon_sym_callableDataEXT] = ACTIONS(1364),
    [anon_sym_callableDataInEXT] = ACTIONS(1364),
    [anon_sym_shaderRecordEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadNV] = ACTIONS(1364),
    [anon_sym_rayPayloadInNV] = ACTIONS(1364),
    [anon_sym_hitAttributeNV] = ACTIONS(1364),
    [anon_sym_callableDataNV] = ACTIONS(1364),
    [anon_sym_callableDataInNV] = ACTIONS(1364),
    [anon_sym_shaderRecordNV] = ACTIONS(1364),
    [anon_sym_layout] = ACTIONS(1364),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_subroutine] = ACTIONS(1248),
    [anon_sym_invariant] = ACTIONS(1248),
    [anon_sym_precise] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1248),
    [anon_sym_out] = ACTIONS(1248),
    [anon_sym_inout] = ACTIONS(1248),
    [anon_sym_uniform] = ACTIONS(1248),
    [anon_sym_shared] = ACTIONS(1248),
    [anon_sym_attribute] = ACTIONS(1248),
    [anon_sym_varying] = ACTIONS(1248),
    [anon_sym_buffer] = ACTIONS(1248),
    [anon_sym_coherent] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_writeonly] = ACTIONS(1248),
    [anon_sym_precision] = ACTIONS(1248),
    [anon_sym_highp] = ACTIONS(1248),
    [anon_sym_mediump] = ACTIONS(1248),
    [anon_sym_lowp] = ACTIONS(1248),
    [anon_sym_centroid] = ACTIONS(1248),
    [anon_sym_sample] = ACTIONS(1248),
    [anon_sym_patch] = ACTIONS(1248),
    [anon_sym_smooth] = ACTIONS(1248),
    [anon_sym_flat] = ACTIONS(1248),
    [anon_sym_noperspective] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym___attribute] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym__Nonnull] = ACTIONS(1248),
    [anon_sym_alignas] = ACTIONS(1248),
    [anon_sym__Alignas] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym___try] = ACTIONS(1248),
    [anon_sym___leave] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [anon_sym___asm] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1248),
    [anon_sym_hitAttributeEXT] = ACTIONS(1248),
    [anon_sym_callableDataEXT] = ACTIONS(1248),
    [anon_sym_callableDataInEXT] = ACTIONS(1248),
    [anon_sym_shaderRecordEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadNV] = ACTIONS(1248),
    [anon_sym_rayPayloadInNV] = ACTIONS(1248),
    [anon_sym_hitAttributeNV] = ACTIONS(1248),
    [anon_sym_callableDataNV] = ACTIONS(1248),
    [anon_sym_callableDataInNV] = ACTIONS(1248),
    [anon_sym_shaderRecordNV] = ACTIONS(1248),
    [anon_sym_layout] = ACTIONS(1248),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_subroutine] = ACTIONS(1252),
    [anon_sym_invariant] = ACTIONS(1252),
    [anon_sym_precise] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_in] = ACTIONS(1252),
    [anon_sym_out] = ACTIONS(1252),
    [anon_sym_inout] = ACTIONS(1252),
    [anon_sym_uniform] = ACTIONS(1252),
    [anon_sym_shared] = ACTIONS(1252),
    [anon_sym_attribute] = ACTIONS(1252),
    [anon_sym_varying] = ACTIONS(1252),
    [anon_sym_buffer] = ACTIONS(1252),
    [anon_sym_coherent] = ACTIONS(1252),
    [anon_sym_readonly] = ACTIONS(1252),
    [anon_sym_writeonly] = ACTIONS(1252),
    [anon_sym_precision] = ACTIONS(1252),
    [anon_sym_highp] = ACTIONS(1252),
    [anon_sym_mediump] = ACTIONS(1252),
    [anon_sym_lowp] = ACTIONS(1252),
    [anon_sym_centroid] = ACTIONS(1252),
    [anon_sym_sample] = ACTIONS(1252),
    [anon_sym_patch] = ACTIONS(1252),
    [anon_sym_smooth] = ACTIONS(1252),
    [anon_sym_flat] = ACTIONS(1252),
    [anon_sym_noperspective] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym___attribute] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym__Nonnull] = ACTIONS(1252),
    [anon_sym_alignas] = ACTIONS(1252),
    [anon_sym__Alignas] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1252),
    [anon_sym___leave] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [anon_sym___asm] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1252),
    [anon_sym_hitAttributeEXT] = ACTIONS(1252),
    [anon_sym_callableDataEXT] = ACTIONS(1252),
    [anon_sym_callableDataInEXT] = ACTIONS(1252),
    [anon_sym_shaderRecordEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadNV] = ACTIONS(1252),
    [anon_sym_rayPayloadInNV] = ACTIONS(1252),
    [anon_sym_hitAttributeNV] = ACTIONS(1252),
    [anon_sym_callableDataNV] = ACTIONS(1252),
    [anon_sym_callableDataInNV] = ACTIONS(1252),
    [anon_sym_shaderRecordNV] = ACTIONS(1252),
    [anon_sym_layout] = ACTIONS(1252),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_subroutine] = ACTIONS(1368),
    [anon_sym_invariant] = ACTIONS(1368),
    [anon_sym_precise] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_out] = ACTIONS(1368),
    [anon_sym_inout] = ACTIONS(1368),
    [anon_sym_uniform] = ACTIONS(1368),
    [anon_sym_shared] = ACTIONS(1368),
    [anon_sym_attribute] = ACTIONS(1368),
    [anon_sym_varying] = ACTIONS(1368),
    [anon_sym_buffer] = ACTIONS(1368),
    [anon_sym_coherent] = ACTIONS(1368),
    [anon_sym_readonly] = ACTIONS(1368),
    [anon_sym_writeonly] = ACTIONS(1368),
    [anon_sym_precision] = ACTIONS(1368),
    [anon_sym_highp] = ACTIONS(1368),
    [anon_sym_mediump] = ACTIONS(1368),
    [anon_sym_lowp] = ACTIONS(1368),
    [anon_sym_centroid] = ACTIONS(1368),
    [anon_sym_sample] = ACTIONS(1368),
    [anon_sym_patch] = ACTIONS(1368),
    [anon_sym_smooth] = ACTIONS(1368),
    [anon_sym_flat] = ACTIONS(1368),
    [anon_sym_noperspective] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_else] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym___try] = ACTIONS(1368),
    [anon_sym___leave] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1368),
    [anon_sym_hitAttributeEXT] = ACTIONS(1368),
    [anon_sym_callableDataEXT] = ACTIONS(1368),
    [anon_sym_callableDataInEXT] = ACTIONS(1368),
    [anon_sym_shaderRecordEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadNV] = ACTIONS(1368),
    [anon_sym_rayPayloadInNV] = ACTIONS(1368),
    [anon_sym_hitAttributeNV] = ACTIONS(1368),
    [anon_sym_callableDataNV] = ACTIONS(1368),
    [anon_sym_callableDataInNV] = ACTIONS(1368),
    [anon_sym_shaderRecordNV] = ACTIONS(1368),
    [anon_sym_layout] = ACTIONS(1368),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_subroutine] = ACTIONS(1372),
    [anon_sym_invariant] = ACTIONS(1372),
    [anon_sym_precise] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1372),
    [anon_sym_out] = ACTIONS(1372),
    [anon_sym_inout] = ACTIONS(1372),
    [anon_sym_uniform] = ACTIONS(1372),
    [anon_sym_shared] = ACTIONS(1372),
    [anon_sym_attribute] = ACTIONS(1372),
    [anon_sym_varying] = ACTIONS(1372),
    [anon_sym_buffer] = ACTIONS(1372),
    [anon_sym_coherent] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_writeonly] = ACTIONS(1372),
    [anon_sym_precision] = ACTIONS(1372),
    [anon_sym_highp] = ACTIONS(1372),
    [anon_sym_mediump] = ACTIONS(1372),
    [anon_sym_lowp] = ACTIONS(1372),
    [anon_sym_centroid] = ACTIONS(1372),
    [anon_sym_sample] = ACTIONS(1372),
    [anon_sym_patch] = ACTIONS(1372),
    [anon_sym_smooth] = ACTIONS(1372),
    [anon_sym_flat] = ACTIONS(1372),
    [anon_sym_noperspective] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_else] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym___try] = ACTIONS(1372),
    [anon_sym___leave] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1372),
    [anon_sym_hitAttributeEXT] = ACTIONS(1372),
    [anon_sym_callableDataEXT] = ACTIONS(1372),
    [anon_sym_callableDataInEXT] = ACTIONS(1372),
    [anon_sym_shaderRecordEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadNV] = ACTIONS(1372),
    [anon_sym_rayPayloadInNV] = ACTIONS(1372),
    [anon_sym_hitAttributeNV] = ACTIONS(1372),
    [anon_sym_callableDataNV] = ACTIONS(1372),
    [anon_sym_callableDataInNV] = ACTIONS(1372),
    [anon_sym_shaderRecordNV] = ACTIONS(1372),
    [anon_sym_layout] = ACTIONS(1372),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_subroutine] = ACTIONS(1304),
    [anon_sym_invariant] = ACTIONS(1304),
    [anon_sym_precise] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_in] = ACTIONS(1304),
    [anon_sym_out] = ACTIONS(1304),
    [anon_sym_inout] = ACTIONS(1304),
    [anon_sym_uniform] = ACTIONS(1304),
    [anon_sym_shared] = ACTIONS(1304),
    [anon_sym_attribute] = ACTIONS(1304),
    [anon_sym_varying] = ACTIONS(1304),
    [anon_sym_buffer] = ACTIONS(1304),
    [anon_sym_coherent] = ACTIONS(1304),
    [anon_sym_readonly] = ACTIONS(1304),
    [anon_sym_writeonly] = ACTIONS(1304),
    [anon_sym_precision] = ACTIONS(1304),
    [anon_sym_highp] = ACTIONS(1304),
    [anon_sym_mediump] = ACTIONS(1304),
    [anon_sym_lowp] = ACTIONS(1304),
    [anon_sym_centroid] = ACTIONS(1304),
    [anon_sym_sample] = ACTIONS(1304),
    [anon_sym_patch] = ACTIONS(1304),
    [anon_sym_smooth] = ACTIONS(1304),
    [anon_sym_flat] = ACTIONS(1304),
    [anon_sym_noperspective] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1304),
    [anon_sym_hitAttributeEXT] = ACTIONS(1304),
    [anon_sym_callableDataEXT] = ACTIONS(1304),
    [anon_sym_callableDataInEXT] = ACTIONS(1304),
    [anon_sym_shaderRecordEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadNV] = ACTIONS(1304),
    [anon_sym_rayPayloadInNV] = ACTIONS(1304),
    [anon_sym_hitAttributeNV] = ACTIONS(1304),
    [anon_sym_callableDataNV] = ACTIONS(1304),
    [anon_sym_callableDataInNV] = ACTIONS(1304),
    [anon_sym_shaderRecordNV] = ACTIONS(1304),
    [anon_sym_layout] = ACTIONS(1304),
  },
  [248] = {
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1392),
    [aux_sym_preproc_def_token1] = ACTIONS(1392),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_subroutine] = ACTIONS(1392),
    [anon_sym_invariant] = ACTIONS(1392),
    [anon_sym_precise] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_out] = ACTIONS(1392),
    [anon_sym_inout] = ACTIONS(1392),
    [anon_sym_uniform] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_attribute] = ACTIONS(1392),
    [anon_sym_varying] = ACTIONS(1392),
    [anon_sym_buffer] = ACTIONS(1392),
    [anon_sym_coherent] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_writeonly] = ACTIONS(1392),
    [anon_sym_precision] = ACTIONS(1392),
    [anon_sym_highp] = ACTIONS(1392),
    [anon_sym_mediump] = ACTIONS(1392),
    [anon_sym_lowp] = ACTIONS(1392),
    [anon_sym_centroid] = ACTIONS(1392),
    [anon_sym_sample] = ACTIONS(1392),
    [anon_sym_patch] = ACTIONS(1392),
    [anon_sym_smooth] = ACTIONS(1392),
    [anon_sym_flat] = ACTIONS(1392),
    [anon_sym_noperspective] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1392),
    [anon_sym_typedef] = ACTIONS(1392),
    [anon_sym_extern] = ACTIONS(1392),
    [anon_sym___attribute__] = ACTIONS(1392),
    [anon_sym___attribute] = ACTIONS(1392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1394),
    [anon_sym___declspec] = ACTIONS(1392),
    [anon_sym___cdecl] = ACTIONS(1392),
    [anon_sym___clrcall] = ACTIONS(1392),
    [anon_sym___stdcall] = ACTIONS(1392),
    [anon_sym___fastcall] = ACTIONS(1392),
    [anon_sym___thiscall] = ACTIONS(1392),
    [anon_sym___vectorcall] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1392),
    [anon_sym_unsigned] = ACTIONS(1392),
    [anon_sym_long] = ACTIONS(1392),
    [anon_sym_short] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_auto] = ACTIONS(1392),
    [anon_sym_register] = ACTIONS(1392),
    [anon_sym_inline] = ACTIONS(1392),
    [anon_sym___inline] = ACTIONS(1392),
    [anon_sym___inline__] = ACTIONS(1392),
    [anon_sym___forceinline] = ACTIONS(1392),
    [anon_sym_thread_local] = ACTIONS(1392),
    [anon_sym___thread] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_constexpr] = ACTIONS(1392),
    [anon_sym_volatile] = ACTIONS(1392),
    [anon_sym_restrict] = ACTIONS(1392),
    [anon_sym___restrict__] = ACTIONS(1392),
    [anon_sym__Atomic] = ACTIONS(1392),
    [anon_sym__Noreturn] = ACTIONS(1392),
    [anon_sym_noreturn] = ACTIONS(1392),
    [anon_sym__Nonnull] = ACTIONS(1392),
    [anon_sym_alignas] = ACTIONS(1392),
    [anon_sym__Alignas] = ACTIONS(1392),
    [sym_primitive_type] = ACTIONS(1392),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_struct] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym___try] = ACTIONS(1392),
    [anon_sym___leave] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_sizeof] = ACTIONS(1392),
    [anon_sym___alignof__] = ACTIONS(1392),
    [anon_sym___alignof] = ACTIONS(1392),
    [anon_sym__alignof] = ACTIONS(1392),
    [anon_sym_alignof] = ACTIONS(1392),
    [anon_sym__Alignof] = ACTIONS(1392),
    [anon_sym_offsetof] = ACTIONS(1392),
    [anon_sym__Generic] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym___asm__] = ACTIONS(1392),
    [anon_sym___asm] = ACTIONS(1392),
    [sym_number_literal] = ACTIONS(1394),
    [anon_sym_L_SQUOTE] = ACTIONS(1394),
    [anon_sym_u_SQUOTE] = ACTIONS(1394),
    [anon_sym_U_SQUOTE] = ACTIONS(1394),
    [anon_sym_u8_SQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_L_DQUOTE] = ACTIONS(1394),
    [anon_sym_u_DQUOTE] = ACTIONS(1394),
    [anon_sym_U_DQUOTE] = ACTIONS(1394),
    [anon_sym_u8_DQUOTE] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1392),
    [anon_sym_hitAttributeEXT] = ACTIONS(1392),
    [anon_sym_callableDataEXT] = ACTIONS(1392),
    [anon_sym_callableDataInEXT] = ACTIONS(1392),
    [anon_sym_shaderRecordEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadNV] = ACTIONS(1392),
    [anon_sym_rayPayloadInNV] = ACTIONS(1392),
    [anon_sym_hitAttributeNV] = ACTIONS(1392),
    [anon_sym_callableDataNV] = ACTIONS(1392),
    [anon_sym_callableDataInNV] = ACTIONS(1392),
    [anon_sym_shaderRecordNV] = ACTIONS(1392),
    [anon_sym_layout] = ACTIONS(1392),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_subroutine] = ACTIONS(1376),
    [anon_sym_invariant] = ACTIONS(1376),
    [anon_sym_precise] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1376),
    [anon_sym_out] = ACTIONS(1376),
    [anon_sym_inout] = ACTIONS(1376),
    [anon_sym_uniform] = ACTIONS(1376),
    [anon_sym_shared] = ACTIONS(1376),
    [anon_sym_attribute] = ACTIONS(1376),
    [anon_sym_varying] = ACTIONS(1376),
    [anon_sym_buffer] = ACTIONS(1376),
    [anon_sym_coherent] = ACTIONS(1376),
    [anon_sym_readonly] = ACTIONS(1376),
    [anon_sym_writeonly] = ACTIONS(1376),
    [anon_sym_precision] = ACTIONS(1376),
    [anon_sym_highp] = ACTIONS(1376),
    [anon_sym_mediump] = ACTIONS(1376),
    [anon_sym_lowp] = ACTIONS(1376),
    [anon_sym_centroid] = ACTIONS(1376),
    [anon_sym_sample] = ACTIONS(1376),
    [anon_sym_patch] = ACTIONS(1376),
    [anon_sym_smooth] = ACTIONS(1376),
    [anon_sym_flat] = ACTIONS(1376),
    [anon_sym_noperspective] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_else] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym___try] = ACTIONS(1376),
    [anon_sym___leave] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1376),
    [anon_sym_hitAttributeEXT] = ACTIONS(1376),
    [anon_sym_callableDataEXT] = ACTIONS(1376),
    [anon_sym_callableDataInEXT] = ACTIONS(1376),
    [anon_sym_shaderRecordEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadNV] = ACTIONS(1376),
    [anon_sym_rayPayloadInNV] = ACTIONS(1376),
    [anon_sym_hitAttributeNV] = ACTIONS(1376),
    [anon_sym_callableDataNV] = ACTIONS(1376),
    [anon_sym_callableDataInNV] = ACTIONS(1376),
    [anon_sym_shaderRecordNV] = ACTIONS(1376),
    [anon_sym_layout] = ACTIONS(1376),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_subroutine] = ACTIONS(1380),
    [anon_sym_invariant] = ACTIONS(1380),
    [anon_sym_precise] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_in] = ACTIONS(1380),
    [anon_sym_out] = ACTIONS(1380),
    [anon_sym_inout] = ACTIONS(1380),
    [anon_sym_uniform] = ACTIONS(1380),
    [anon_sym_shared] = ACTIONS(1380),
    [anon_sym_attribute] = ACTIONS(1380),
    [anon_sym_varying] = ACTIONS(1380),
    [anon_sym_buffer] = ACTIONS(1380),
    [anon_sym_coherent] = ACTIONS(1380),
    [anon_sym_readonly] = ACTIONS(1380),
    [anon_sym_writeonly] = ACTIONS(1380),
    [anon_sym_precision] = ACTIONS(1380),
    [anon_sym_highp] = ACTIONS(1380),
    [anon_sym_mediump] = ACTIONS(1380),
    [anon_sym_lowp] = ACTIONS(1380),
    [anon_sym_centroid] = ACTIONS(1380),
    [anon_sym_sample] = ACTIONS(1380),
    [anon_sym_patch] = ACTIONS(1380),
    [anon_sym_smooth] = ACTIONS(1380),
    [anon_sym_flat] = ACTIONS(1380),
    [anon_sym_noperspective] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1380),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym___attribute] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym___inline] = ACTIONS(1380),
    [anon_sym___inline__] = ACTIONS(1380),
    [anon_sym___forceinline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym___thread] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym__Nonnull] = ACTIONS(1380),
    [anon_sym_alignas] = ACTIONS(1380),
    [anon_sym__Alignas] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_else] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym___try] = ACTIONS(1380),
    [anon_sym___leave] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym___alignof__] = ACTIONS(1380),
    [anon_sym___alignof] = ACTIONS(1380),
    [anon_sym__alignof] = ACTIONS(1380),
    [anon_sym_alignof] = ACTIONS(1380),
    [anon_sym__Alignof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [anon_sym___asm] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1380),
    [anon_sym_hitAttributeEXT] = ACTIONS(1380),
    [anon_sym_callableDataEXT] = ACTIONS(1380),
    [anon_sym_callableDataInEXT] = ACTIONS(1380),
    [anon_sym_shaderRecordEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadNV] = ACTIONS(1380),
    [anon_sym_rayPayloadInNV] = ACTIONS(1380),
    [anon_sym_hitAttributeNV] = ACTIONS(1380),
    [anon_sym_callableDataNV] = ACTIONS(1380),
    [anon_sym_callableDataInNV] = ACTIONS(1380),
    [anon_sym_shaderRecordNV] = ACTIONS(1380),
    [anon_sym_layout] = ACTIONS(1380),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_subroutine] = ACTIONS(1384),
    [anon_sym_invariant] = ACTIONS(1384),
    [anon_sym_precise] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1384),
    [anon_sym_out] = ACTIONS(1384),
    [anon_sym_inout] = ACTIONS(1384),
    [anon_sym_uniform] = ACTIONS(1384),
    [anon_sym_shared] = ACTIONS(1384),
    [anon_sym_attribute] = ACTIONS(1384),
    [anon_sym_varying] = ACTIONS(1384),
    [anon_sym_buffer] = ACTIONS(1384),
    [anon_sym_coherent] = ACTIONS(1384),
    [anon_sym_readonly] = ACTIONS(1384),
    [anon_sym_writeonly] = ACTIONS(1384),
    [anon_sym_precision] = ACTIONS(1384),
    [anon_sym_highp] = ACTIONS(1384),
    [anon_sym_mediump] = ACTIONS(1384),
    [anon_sym_lowp] = ACTIONS(1384),
    [anon_sym_centroid] = ACTIONS(1384),
    [anon_sym_sample] = ACTIONS(1384),
    [anon_sym_patch] = ACTIONS(1384),
    [anon_sym_smooth] = ACTIONS(1384),
    [anon_sym_flat] = ACTIONS(1384),
    [anon_sym_noperspective] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1384),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym___attribute] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym___inline] = ACTIONS(1384),
    [anon_sym___inline__] = ACTIONS(1384),
    [anon_sym___forceinline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym___thread] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym__Nonnull] = ACTIONS(1384),
    [anon_sym_alignas] = ACTIONS(1384),
    [anon_sym__Alignas] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym___try] = ACTIONS(1384),
    [anon_sym___leave] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym___alignof__] = ACTIONS(1384),
    [anon_sym___alignof] = ACTIONS(1384),
    [anon_sym__alignof] = ACTIONS(1384),
    [anon_sym_alignof] = ACTIONS(1384),
    [anon_sym__Alignof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [anon_sym___asm] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1384),
    [anon_sym_hitAttributeEXT] = ACTIONS(1384),
    [anon_sym_callableDataEXT] = ACTIONS(1384),
    [anon_sym_callableDataInEXT] = ACTIONS(1384),
    [anon_sym_shaderRecordEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadNV] = ACTIONS(1384),
    [anon_sym_rayPayloadInNV] = ACTIONS(1384),
    [anon_sym_hitAttributeNV] = ACTIONS(1384),
    [anon_sym_callableDataNV] = ACTIONS(1384),
    [anon_sym_callableDataInNV] = ACTIONS(1384),
    [anon_sym_shaderRecordNV] = ACTIONS(1384),
    [anon_sym_layout] = ACTIONS(1384),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_subroutine] = ACTIONS(1388),
    [anon_sym_invariant] = ACTIONS(1388),
    [anon_sym_precise] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_out] = ACTIONS(1388),
    [anon_sym_inout] = ACTIONS(1388),
    [anon_sym_uniform] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_attribute] = ACTIONS(1388),
    [anon_sym_varying] = ACTIONS(1388),
    [anon_sym_buffer] = ACTIONS(1388),
    [anon_sym_coherent] = ACTIONS(1388),
    [anon_sym_readonly] = ACTIONS(1388),
    [anon_sym_writeonly] = ACTIONS(1388),
    [anon_sym_precision] = ACTIONS(1388),
    [anon_sym_highp] = ACTIONS(1388),
    [anon_sym_mediump] = ACTIONS(1388),
    [anon_sym_lowp] = ACTIONS(1388),
    [anon_sym_centroid] = ACTIONS(1388),
    [anon_sym_sample] = ACTIONS(1388),
    [anon_sym_patch] = ACTIONS(1388),
    [anon_sym_smooth] = ACTIONS(1388),
    [anon_sym_flat] = ACTIONS(1388),
    [anon_sym_noperspective] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1388),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym___attribute] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym___inline] = ACTIONS(1388),
    [anon_sym___inline__] = ACTIONS(1388),
    [anon_sym___forceinline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym___thread] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym__Nonnull] = ACTIONS(1388),
    [anon_sym_alignas] = ACTIONS(1388),
    [anon_sym__Alignas] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_else] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym___try] = ACTIONS(1388),
    [anon_sym___leave] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym___alignof__] = ACTIONS(1388),
    [anon_sym___alignof] = ACTIONS(1388),
    [anon_sym__alignof] = ACTIONS(1388),
    [anon_sym_alignof] = ACTIONS(1388),
    [anon_sym__Alignof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [anon_sym___asm] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1388),
    [anon_sym_hitAttributeEXT] = ACTIONS(1388),
    [anon_sym_callableDataEXT] = ACTIONS(1388),
    [anon_sym_callableDataInEXT] = ACTIONS(1388),
    [anon_sym_shaderRecordEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadNV] = ACTIONS(1388),
    [anon_sym_rayPayloadInNV] = ACTIONS(1388),
    [anon_sym_hitAttributeNV] = ACTIONS(1388),
    [anon_sym_callableDataNV] = ACTIONS(1388),
    [anon_sym_callableDataInNV] = ACTIONS(1388),
    [anon_sym_shaderRecordNV] = ACTIONS(1388),
    [anon_sym_layout] = ACTIONS(1388),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_subroutine] = ACTIONS(1356),
    [anon_sym_invariant] = ACTIONS(1356),
    [anon_sym_precise] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_in] = ACTIONS(1356),
    [anon_sym_out] = ACTIONS(1356),
    [anon_sym_inout] = ACTIONS(1356),
    [anon_sym_uniform] = ACTIONS(1356),
    [anon_sym_shared] = ACTIONS(1356),
    [anon_sym_attribute] = ACTIONS(1356),
    [anon_sym_varying] = ACTIONS(1356),
    [anon_sym_buffer] = ACTIONS(1356),
    [anon_sym_coherent] = ACTIONS(1356),
    [anon_sym_readonly] = ACTIONS(1356),
    [anon_sym_writeonly] = ACTIONS(1356),
    [anon_sym_precision] = ACTIONS(1356),
    [anon_sym_highp] = ACTIONS(1356),
    [anon_sym_mediump] = ACTIONS(1356),
    [anon_sym_lowp] = ACTIONS(1356),
    [anon_sym_centroid] = ACTIONS(1356),
    [anon_sym_sample] = ACTIONS(1356),
    [anon_sym_patch] = ACTIONS(1356),
    [anon_sym_smooth] = ACTIONS(1356),
    [anon_sym_flat] = ACTIONS(1356),
    [anon_sym_noperspective] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_else] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym___try] = ACTIONS(1356),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1356),
    [anon_sym_hitAttributeEXT] = ACTIONS(1356),
    [anon_sym_callableDataEXT] = ACTIONS(1356),
    [anon_sym_callableDataInEXT] = ACTIONS(1356),
    [anon_sym_shaderRecordEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadNV] = ACTIONS(1356),
    [anon_sym_rayPayloadInNV] = ACTIONS(1356),
    [anon_sym_hitAttributeNV] = ACTIONS(1356),
    [anon_sym_callableDataNV] = ACTIONS(1356),
    [anon_sym_callableDataInNV] = ACTIONS(1356),
    [anon_sym_shaderRecordNV] = ACTIONS(1356),
    [anon_sym_layout] = ACTIONS(1356),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_subroutine] = ACTIONS(1360),
    [anon_sym_invariant] = ACTIONS(1360),
    [anon_sym_precise] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_in] = ACTIONS(1360),
    [anon_sym_out] = ACTIONS(1360),
    [anon_sym_inout] = ACTIONS(1360),
    [anon_sym_uniform] = ACTIONS(1360),
    [anon_sym_shared] = ACTIONS(1360),
    [anon_sym_attribute] = ACTIONS(1360),
    [anon_sym_varying] = ACTIONS(1360),
    [anon_sym_buffer] = ACTIONS(1360),
    [anon_sym_coherent] = ACTIONS(1360),
    [anon_sym_readonly] = ACTIONS(1360),
    [anon_sym_writeonly] = ACTIONS(1360),
    [anon_sym_precision] = ACTIONS(1360),
    [anon_sym_highp] = ACTIONS(1360),
    [anon_sym_mediump] = ACTIONS(1360),
    [anon_sym_lowp] = ACTIONS(1360),
    [anon_sym_centroid] = ACTIONS(1360),
    [anon_sym_sample] = ACTIONS(1360),
    [anon_sym_patch] = ACTIONS(1360),
    [anon_sym_smooth] = ACTIONS(1360),
    [anon_sym_flat] = ACTIONS(1360),
    [anon_sym_noperspective] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_else] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym___try] = ACTIONS(1360),
    [anon_sym___leave] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1360),
    [anon_sym_hitAttributeEXT] = ACTIONS(1360),
    [anon_sym_callableDataEXT] = ACTIONS(1360),
    [anon_sym_callableDataInEXT] = ACTIONS(1360),
    [anon_sym_shaderRecordEXT] = ACTIONS(1360),
    [anon_sym_rayPayloadNV] = ACTIONS(1360),
    [anon_sym_rayPayloadInNV] = ACTIONS(1360),
    [anon_sym_hitAttributeNV] = ACTIONS(1360),
    [anon_sym_callableDataNV] = ACTIONS(1360),
    [anon_sym_callableDataInNV] = ACTIONS(1360),
    [anon_sym_shaderRecordNV] = ACTIONS(1360),
    [anon_sym_layout] = ACTIONS(1360),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_subroutine] = ACTIONS(1356),
    [anon_sym_invariant] = ACTIONS(1356),
    [anon_sym_precise] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_in] = ACTIONS(1356),
    [anon_sym_out] = ACTIONS(1356),
    [anon_sym_inout] = ACTIONS(1356),
    [anon_sym_uniform] = ACTIONS(1356),
    [anon_sym_shared] = ACTIONS(1356),
    [anon_sym_attribute] = ACTIONS(1356),
    [anon_sym_varying] = ACTIONS(1356),
    [anon_sym_buffer] = ACTIONS(1356),
    [anon_sym_coherent] = ACTIONS(1356),
    [anon_sym_readonly] = ACTIONS(1356),
    [anon_sym_writeonly] = ACTIONS(1356),
    [anon_sym_precision] = ACTIONS(1356),
    [anon_sym_highp] = ACTIONS(1356),
    [anon_sym_mediump] = ACTIONS(1356),
    [anon_sym_lowp] = ACTIONS(1356),
    [anon_sym_centroid] = ACTIONS(1356),
    [anon_sym_sample] = ACTIONS(1356),
    [anon_sym_patch] = ACTIONS(1356),
    [anon_sym_smooth] = ACTIONS(1356),
    [anon_sym_flat] = ACTIONS(1356),
    [anon_sym_noperspective] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_else] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym___try] = ACTIONS(1356),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1356),
    [anon_sym_hitAttributeEXT] = ACTIONS(1356),
    [anon_sym_callableDataEXT] = ACTIONS(1356),
    [anon_sym_callableDataInEXT] = ACTIONS(1356),
    [anon_sym_shaderRecordEXT] = ACTIONS(1356),
    [anon_sym_rayPayloadNV] = ACTIONS(1356),
    [anon_sym_rayPayloadInNV] = ACTIONS(1356),
    [anon_sym_hitAttributeNV] = ACTIONS(1356),
    [anon_sym_callableDataNV] = ACTIONS(1356),
    [anon_sym_callableDataInNV] = ACTIONS(1356),
    [anon_sym_shaderRecordNV] = ACTIONS(1356),
    [anon_sym_layout] = ACTIONS(1356),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_subroutine] = ACTIONS(1368),
    [anon_sym_invariant] = ACTIONS(1368),
    [anon_sym_precise] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_out] = ACTIONS(1368),
    [anon_sym_inout] = ACTIONS(1368),
    [anon_sym_uniform] = ACTIONS(1368),
    [anon_sym_shared] = ACTIONS(1368),
    [anon_sym_attribute] = ACTIONS(1368),
    [anon_sym_varying] = ACTIONS(1368),
    [anon_sym_buffer] = ACTIONS(1368),
    [anon_sym_coherent] = ACTIONS(1368),
    [anon_sym_readonly] = ACTIONS(1368),
    [anon_sym_writeonly] = ACTIONS(1368),
    [anon_sym_precision] = ACTIONS(1368),
    [anon_sym_highp] = ACTIONS(1368),
    [anon_sym_mediump] = ACTIONS(1368),
    [anon_sym_lowp] = ACTIONS(1368),
    [anon_sym_centroid] = ACTIONS(1368),
    [anon_sym_sample] = ACTIONS(1368),
    [anon_sym_patch] = ACTIONS(1368),
    [anon_sym_smooth] = ACTIONS(1368),
    [anon_sym_flat] = ACTIONS(1368),
    [anon_sym_noperspective] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_else] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym___try] = ACTIONS(1368),
    [anon_sym___leave] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1368),
    [anon_sym_hitAttributeEXT] = ACTIONS(1368),
    [anon_sym_callableDataEXT] = ACTIONS(1368),
    [anon_sym_callableDataInEXT] = ACTIONS(1368),
    [anon_sym_shaderRecordEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadNV] = ACTIONS(1368),
    [anon_sym_rayPayloadInNV] = ACTIONS(1368),
    [anon_sym_hitAttributeNV] = ACTIONS(1368),
    [anon_sym_callableDataNV] = ACTIONS(1368),
    [anon_sym_callableDataInNV] = ACTIONS(1368),
    [anon_sym_shaderRecordNV] = ACTIONS(1368),
    [anon_sym_layout] = ACTIONS(1368),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_subroutine] = ACTIONS(1372),
    [anon_sym_invariant] = ACTIONS(1372),
    [anon_sym_precise] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1372),
    [anon_sym_out] = ACTIONS(1372),
    [anon_sym_inout] = ACTIONS(1372),
    [anon_sym_uniform] = ACTIONS(1372),
    [anon_sym_shared] = ACTIONS(1372),
    [anon_sym_attribute] = ACTIONS(1372),
    [anon_sym_varying] = ACTIONS(1372),
    [anon_sym_buffer] = ACTIONS(1372),
    [anon_sym_coherent] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_writeonly] = ACTIONS(1372),
    [anon_sym_precision] = ACTIONS(1372),
    [anon_sym_highp] = ACTIONS(1372),
    [anon_sym_mediump] = ACTIONS(1372),
    [anon_sym_lowp] = ACTIONS(1372),
    [anon_sym_centroid] = ACTIONS(1372),
    [anon_sym_sample] = ACTIONS(1372),
    [anon_sym_patch] = ACTIONS(1372),
    [anon_sym_smooth] = ACTIONS(1372),
    [anon_sym_flat] = ACTIONS(1372),
    [anon_sym_noperspective] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_else] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym___try] = ACTIONS(1372),
    [anon_sym___leave] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1372),
    [anon_sym_hitAttributeEXT] = ACTIONS(1372),
    [anon_sym_callableDataEXT] = ACTIONS(1372),
    [anon_sym_callableDataInEXT] = ACTIONS(1372),
    [anon_sym_shaderRecordEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadNV] = ACTIONS(1372),
    [anon_sym_rayPayloadInNV] = ACTIONS(1372),
    [anon_sym_hitAttributeNV] = ACTIONS(1372),
    [anon_sym_callableDataNV] = ACTIONS(1372),
    [anon_sym_callableDataInNV] = ACTIONS(1372),
    [anon_sym_shaderRecordNV] = ACTIONS(1372),
    [anon_sym_layout] = ACTIONS(1372),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_subroutine] = ACTIONS(1304),
    [anon_sym_invariant] = ACTIONS(1304),
    [anon_sym_precise] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_in] = ACTIONS(1304),
    [anon_sym_out] = ACTIONS(1304),
    [anon_sym_inout] = ACTIONS(1304),
    [anon_sym_uniform] = ACTIONS(1304),
    [anon_sym_shared] = ACTIONS(1304),
    [anon_sym_attribute] = ACTIONS(1304),
    [anon_sym_varying] = ACTIONS(1304),
    [anon_sym_buffer] = ACTIONS(1304),
    [anon_sym_coherent] = ACTIONS(1304),
    [anon_sym_readonly] = ACTIONS(1304),
    [anon_sym_writeonly] = ACTIONS(1304),
    [anon_sym_precision] = ACTIONS(1304),
    [anon_sym_highp] = ACTIONS(1304),
    [anon_sym_mediump] = ACTIONS(1304),
    [anon_sym_lowp] = ACTIONS(1304),
    [anon_sym_centroid] = ACTIONS(1304),
    [anon_sym_sample] = ACTIONS(1304),
    [anon_sym_patch] = ACTIONS(1304),
    [anon_sym_smooth] = ACTIONS(1304),
    [anon_sym_flat] = ACTIONS(1304),
    [anon_sym_noperspective] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1304),
    [anon_sym_hitAttributeEXT] = ACTIONS(1304),
    [anon_sym_callableDataEXT] = ACTIONS(1304),
    [anon_sym_callableDataInEXT] = ACTIONS(1304),
    [anon_sym_shaderRecordEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadNV] = ACTIONS(1304),
    [anon_sym_rayPayloadInNV] = ACTIONS(1304),
    [anon_sym_hitAttributeNV] = ACTIONS(1304),
    [anon_sym_callableDataNV] = ACTIONS(1304),
    [anon_sym_callableDataInNV] = ACTIONS(1304),
    [anon_sym_shaderRecordNV] = ACTIONS(1304),
    [anon_sym_layout] = ACTIONS(1304),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1392),
    [aux_sym_preproc_def_token1] = ACTIONS(1392),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_if_token2] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_subroutine] = ACTIONS(1392),
    [anon_sym_invariant] = ACTIONS(1392),
    [anon_sym_precise] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_out] = ACTIONS(1392),
    [anon_sym_inout] = ACTIONS(1392),
    [anon_sym_uniform] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_attribute] = ACTIONS(1392),
    [anon_sym_varying] = ACTIONS(1392),
    [anon_sym_buffer] = ACTIONS(1392),
    [anon_sym_coherent] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_writeonly] = ACTIONS(1392),
    [anon_sym_precision] = ACTIONS(1392),
    [anon_sym_highp] = ACTIONS(1392),
    [anon_sym_mediump] = ACTIONS(1392),
    [anon_sym_lowp] = ACTIONS(1392),
    [anon_sym_centroid] = ACTIONS(1392),
    [anon_sym_sample] = ACTIONS(1392),
    [anon_sym_patch] = ACTIONS(1392),
    [anon_sym_smooth] = ACTIONS(1392),
    [anon_sym_flat] = ACTIONS(1392),
    [anon_sym_noperspective] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1392),
    [anon_sym_typedef] = ACTIONS(1392),
    [anon_sym_extern] = ACTIONS(1392),
    [anon_sym___attribute__] = ACTIONS(1392),
    [anon_sym___attribute] = ACTIONS(1392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1394),
    [anon_sym___declspec] = ACTIONS(1392),
    [anon_sym___cdecl] = ACTIONS(1392),
    [anon_sym___clrcall] = ACTIONS(1392),
    [anon_sym___stdcall] = ACTIONS(1392),
    [anon_sym___fastcall] = ACTIONS(1392),
    [anon_sym___thiscall] = ACTIONS(1392),
    [anon_sym___vectorcall] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1392),
    [anon_sym_unsigned] = ACTIONS(1392),
    [anon_sym_long] = ACTIONS(1392),
    [anon_sym_short] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_auto] = ACTIONS(1392),
    [anon_sym_register] = ACTIONS(1392),
    [anon_sym_inline] = ACTIONS(1392),
    [anon_sym___inline] = ACTIONS(1392),
    [anon_sym___inline__] = ACTIONS(1392),
    [anon_sym___forceinline] = ACTIONS(1392),
    [anon_sym_thread_local] = ACTIONS(1392),
    [anon_sym___thread] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_constexpr] = ACTIONS(1392),
    [anon_sym_volatile] = ACTIONS(1392),
    [anon_sym_restrict] = ACTIONS(1392),
    [anon_sym___restrict__] = ACTIONS(1392),
    [anon_sym__Atomic] = ACTIONS(1392),
    [anon_sym__Noreturn] = ACTIONS(1392),
    [anon_sym_noreturn] = ACTIONS(1392),
    [anon_sym__Nonnull] = ACTIONS(1392),
    [anon_sym_alignas] = ACTIONS(1392),
    [anon_sym__Alignas] = ACTIONS(1392),
    [sym_primitive_type] = ACTIONS(1392),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_struct] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym___try] = ACTIONS(1392),
    [anon_sym___leave] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_sizeof] = ACTIONS(1392),
    [anon_sym___alignof__] = ACTIONS(1392),
    [anon_sym___alignof] = ACTIONS(1392),
    [anon_sym__alignof] = ACTIONS(1392),
    [anon_sym_alignof] = ACTIONS(1392),
    [anon_sym__Alignof] = ACTIONS(1392),
    [anon_sym_offsetof] = ACTIONS(1392),
    [anon_sym__Generic] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym___asm__] = ACTIONS(1392),
    [anon_sym___asm] = ACTIONS(1392),
    [sym_number_literal] = ACTIONS(1394),
    [anon_sym_L_SQUOTE] = ACTIONS(1394),
    [anon_sym_u_SQUOTE] = ACTIONS(1394),
    [anon_sym_U_SQUOTE] = ACTIONS(1394),
    [anon_sym_u8_SQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_L_DQUOTE] = ACTIONS(1394),
    [anon_sym_u_DQUOTE] = ACTIONS(1394),
    [anon_sym_U_DQUOTE] = ACTIONS(1394),
    [anon_sym_u8_DQUOTE] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1392),
    [anon_sym_hitAttributeEXT] = ACTIONS(1392),
    [anon_sym_callableDataEXT] = ACTIONS(1392),
    [anon_sym_callableDataInEXT] = ACTIONS(1392),
    [anon_sym_shaderRecordEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadNV] = ACTIONS(1392),
    [anon_sym_rayPayloadInNV] = ACTIONS(1392),
    [anon_sym_hitAttributeNV] = ACTIONS(1392),
    [anon_sym_callableDataNV] = ACTIONS(1392),
    [anon_sym_callableDataInNV] = ACTIONS(1392),
    [anon_sym_shaderRecordNV] = ACTIONS(1392),
    [anon_sym_layout] = ACTIONS(1392),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_subroutine] = ACTIONS(1380),
    [anon_sym_invariant] = ACTIONS(1380),
    [anon_sym_precise] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_in] = ACTIONS(1380),
    [anon_sym_out] = ACTIONS(1380),
    [anon_sym_inout] = ACTIONS(1380),
    [anon_sym_uniform] = ACTIONS(1380),
    [anon_sym_shared] = ACTIONS(1380),
    [anon_sym_attribute] = ACTIONS(1380),
    [anon_sym_varying] = ACTIONS(1380),
    [anon_sym_buffer] = ACTIONS(1380),
    [anon_sym_coherent] = ACTIONS(1380),
    [anon_sym_readonly] = ACTIONS(1380),
    [anon_sym_writeonly] = ACTIONS(1380),
    [anon_sym_precision] = ACTIONS(1380),
    [anon_sym_highp] = ACTIONS(1380),
    [anon_sym_mediump] = ACTIONS(1380),
    [anon_sym_lowp] = ACTIONS(1380),
    [anon_sym_centroid] = ACTIONS(1380),
    [anon_sym_sample] = ACTIONS(1380),
    [anon_sym_patch] = ACTIONS(1380),
    [anon_sym_smooth] = ACTIONS(1380),
    [anon_sym_flat] = ACTIONS(1380),
    [anon_sym_noperspective] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1380),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym___attribute] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym___inline] = ACTIONS(1380),
    [anon_sym___inline__] = ACTIONS(1380),
    [anon_sym___forceinline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym___thread] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym__Nonnull] = ACTIONS(1380),
    [anon_sym_alignas] = ACTIONS(1380),
    [anon_sym__Alignas] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_else] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym___try] = ACTIONS(1380),
    [anon_sym___leave] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym___alignof__] = ACTIONS(1380),
    [anon_sym___alignof] = ACTIONS(1380),
    [anon_sym__alignof] = ACTIONS(1380),
    [anon_sym_alignof] = ACTIONS(1380),
    [anon_sym__Alignof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [anon_sym___asm] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1380),
    [anon_sym_hitAttributeEXT] = ACTIONS(1380),
    [anon_sym_callableDataEXT] = ACTIONS(1380),
    [anon_sym_callableDataInEXT] = ACTIONS(1380),
    [anon_sym_shaderRecordEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadNV] = ACTIONS(1380),
    [anon_sym_rayPayloadInNV] = ACTIONS(1380),
    [anon_sym_hitAttributeNV] = ACTIONS(1380),
    [anon_sym_callableDataNV] = ACTIONS(1380),
    [anon_sym_callableDataInNV] = ACTIONS(1380),
    [anon_sym_shaderRecordNV] = ACTIONS(1380),
    [anon_sym_layout] = ACTIONS(1380),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_subroutine] = ACTIONS(1384),
    [anon_sym_invariant] = ACTIONS(1384),
    [anon_sym_precise] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1384),
    [anon_sym_out] = ACTIONS(1384),
    [anon_sym_inout] = ACTIONS(1384),
    [anon_sym_uniform] = ACTIONS(1384),
    [anon_sym_shared] = ACTIONS(1384),
    [anon_sym_attribute] = ACTIONS(1384),
    [anon_sym_varying] = ACTIONS(1384),
    [anon_sym_buffer] = ACTIONS(1384),
    [anon_sym_coherent] = ACTIONS(1384),
    [anon_sym_readonly] = ACTIONS(1384),
    [anon_sym_writeonly] = ACTIONS(1384),
    [anon_sym_precision] = ACTIONS(1384),
    [anon_sym_highp] = ACTIONS(1384),
    [anon_sym_mediump] = ACTIONS(1384),
    [anon_sym_lowp] = ACTIONS(1384),
    [anon_sym_centroid] = ACTIONS(1384),
    [anon_sym_sample] = ACTIONS(1384),
    [anon_sym_patch] = ACTIONS(1384),
    [anon_sym_smooth] = ACTIONS(1384),
    [anon_sym_flat] = ACTIONS(1384),
    [anon_sym_noperspective] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1384),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym___attribute] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym___inline] = ACTIONS(1384),
    [anon_sym___inline__] = ACTIONS(1384),
    [anon_sym___forceinline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym___thread] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym__Nonnull] = ACTIONS(1384),
    [anon_sym_alignas] = ACTIONS(1384),
    [anon_sym__Alignas] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym___try] = ACTIONS(1384),
    [anon_sym___leave] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym___alignof__] = ACTIONS(1384),
    [anon_sym___alignof] = ACTIONS(1384),
    [anon_sym__alignof] = ACTIONS(1384),
    [anon_sym_alignof] = ACTIONS(1384),
    [anon_sym__Alignof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [anon_sym___asm] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1384),
    [anon_sym_hitAttributeEXT] = ACTIONS(1384),
    [anon_sym_callableDataEXT] = ACTIONS(1384),
    [anon_sym_callableDataInEXT] = ACTIONS(1384),
    [anon_sym_shaderRecordEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadNV] = ACTIONS(1384),
    [anon_sym_rayPayloadInNV] = ACTIONS(1384),
    [anon_sym_hitAttributeNV] = ACTIONS(1384),
    [anon_sym_callableDataNV] = ACTIONS(1384),
    [anon_sym_callableDataInNV] = ACTIONS(1384),
    [anon_sym_shaderRecordNV] = ACTIONS(1384),
    [anon_sym_layout] = ACTIONS(1384),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_subroutine] = ACTIONS(1388),
    [anon_sym_invariant] = ACTIONS(1388),
    [anon_sym_precise] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_out] = ACTIONS(1388),
    [anon_sym_inout] = ACTIONS(1388),
    [anon_sym_uniform] = ACTIONS(1388),
    [anon_sym_shared] = ACTIONS(1388),
    [anon_sym_attribute] = ACTIONS(1388),
    [anon_sym_varying] = ACTIONS(1388),
    [anon_sym_buffer] = ACTIONS(1388),
    [anon_sym_coherent] = ACTIONS(1388),
    [anon_sym_readonly] = ACTIONS(1388),
    [anon_sym_writeonly] = ACTIONS(1388),
    [anon_sym_precision] = ACTIONS(1388),
    [anon_sym_highp] = ACTIONS(1388),
    [anon_sym_mediump] = ACTIONS(1388),
    [anon_sym_lowp] = ACTIONS(1388),
    [anon_sym_centroid] = ACTIONS(1388),
    [anon_sym_sample] = ACTIONS(1388),
    [anon_sym_patch] = ACTIONS(1388),
    [anon_sym_smooth] = ACTIONS(1388),
    [anon_sym_flat] = ACTIONS(1388),
    [anon_sym_noperspective] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1388),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym___attribute] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym___inline] = ACTIONS(1388),
    [anon_sym___inline__] = ACTIONS(1388),
    [anon_sym___forceinline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym___thread] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym__Nonnull] = ACTIONS(1388),
    [anon_sym_alignas] = ACTIONS(1388),
    [anon_sym__Alignas] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_else] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym___try] = ACTIONS(1388),
    [anon_sym___leave] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym___alignof__] = ACTIONS(1388),
    [anon_sym___alignof] = ACTIONS(1388),
    [anon_sym__alignof] = ACTIONS(1388),
    [anon_sym_alignof] = ACTIONS(1388),
    [anon_sym__Alignof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [anon_sym___asm] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1388),
    [anon_sym_hitAttributeEXT] = ACTIONS(1388),
    [anon_sym_callableDataEXT] = ACTIONS(1388),
    [anon_sym_callableDataInEXT] = ACTIONS(1388),
    [anon_sym_shaderRecordEXT] = ACTIONS(1388),
    [anon_sym_rayPayloadNV] = ACTIONS(1388),
    [anon_sym_rayPayloadInNV] = ACTIONS(1388),
    [anon_sym_hitAttributeNV] = ACTIONS(1388),
    [anon_sym_callableDataNV] = ACTIONS(1388),
    [anon_sym_callableDataInNV] = ACTIONS(1388),
    [anon_sym_shaderRecordNV] = ACTIONS(1388),
    [anon_sym_layout] = ACTIONS(1388),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1396),
    [aux_sym_preproc_include_token1] = ACTIONS(1396),
    [aux_sym_preproc_def_token1] = ACTIONS(1396),
    [aux_sym_preproc_if_token1] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1396),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_subroutine] = ACTIONS(1396),
    [anon_sym_invariant] = ACTIONS(1396),
    [anon_sym_precise] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_out] = ACTIONS(1396),
    [anon_sym_inout] = ACTIONS(1396),
    [anon_sym_uniform] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_attribute] = ACTIONS(1396),
    [anon_sym_varying] = ACTIONS(1396),
    [anon_sym_buffer] = ACTIONS(1396),
    [anon_sym_coherent] = ACTIONS(1396),
    [anon_sym_readonly] = ACTIONS(1396),
    [anon_sym_writeonly] = ACTIONS(1396),
    [anon_sym_precision] = ACTIONS(1396),
    [anon_sym_highp] = ACTIONS(1396),
    [anon_sym_mediump] = ACTIONS(1396),
    [anon_sym_lowp] = ACTIONS(1396),
    [anon_sym_centroid] = ACTIONS(1396),
    [anon_sym_sample] = ACTIONS(1396),
    [anon_sym_patch] = ACTIONS(1396),
    [anon_sym_smooth] = ACTIONS(1396),
    [anon_sym_flat] = ACTIONS(1396),
    [anon_sym_noperspective] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1396),
    [anon_sym_extern] = ACTIONS(1396),
    [anon_sym___attribute__] = ACTIONS(1396),
    [anon_sym___attribute] = ACTIONS(1396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1398),
    [anon_sym___declspec] = ACTIONS(1396),
    [anon_sym___cdecl] = ACTIONS(1396),
    [anon_sym___clrcall] = ACTIONS(1396),
    [anon_sym___stdcall] = ACTIONS(1396),
    [anon_sym___fastcall] = ACTIONS(1396),
    [anon_sym___thiscall] = ACTIONS(1396),
    [anon_sym___vectorcall] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1396),
    [anon_sym_unsigned] = ACTIONS(1396),
    [anon_sym_long] = ACTIONS(1396),
    [anon_sym_short] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1396),
    [anon_sym_auto] = ACTIONS(1396),
    [anon_sym_register] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1396),
    [anon_sym___inline] = ACTIONS(1396),
    [anon_sym___inline__] = ACTIONS(1396),
    [anon_sym___forceinline] = ACTIONS(1396),
    [anon_sym_thread_local] = ACTIONS(1396),
    [anon_sym___thread] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_constexpr] = ACTIONS(1396),
    [anon_sym_volatile] = ACTIONS(1396),
    [anon_sym_restrict] = ACTIONS(1396),
    [anon_sym___restrict__] = ACTIONS(1396),
    [anon_sym__Atomic] = ACTIONS(1396),
    [anon_sym__Noreturn] = ACTIONS(1396),
    [anon_sym_noreturn] = ACTIONS(1396),
    [anon_sym__Nonnull] = ACTIONS(1396),
    [anon_sym_alignas] = ACTIONS(1396),
    [anon_sym__Alignas] = ACTIONS(1396),
    [sym_primitive_type] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_else] = ACTIONS(1396),
    [anon_sym_switch] = ACTIONS(1396),
    [anon_sym_case] = ACTIONS(1396),
    [anon_sym_default] = ACTIONS(1396),
    [anon_sym_while] = ACTIONS(1396),
    [anon_sym_do] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_sizeof] = ACTIONS(1396),
    [anon_sym___alignof__] = ACTIONS(1396),
    [anon_sym___alignof] = ACTIONS(1396),
    [anon_sym__alignof] = ACTIONS(1396),
    [anon_sym_alignof] = ACTIONS(1396),
    [anon_sym__Alignof] = ACTIONS(1396),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym___asm__] = ACTIONS(1396),
    [anon_sym___asm] = ACTIONS(1396),
    [sym_number_literal] = ACTIONS(1398),
    [anon_sym_L_SQUOTE] = ACTIONS(1398),
    [anon_sym_u_SQUOTE] = ACTIONS(1398),
    [anon_sym_U_SQUOTE] = ACTIONS(1398),
    [anon_sym_u8_SQUOTE] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_L_DQUOTE] = ACTIONS(1398),
    [anon_sym_u_DQUOTE] = ACTIONS(1398),
    [anon_sym_U_DQUOTE] = ACTIONS(1398),
    [anon_sym_u8_DQUOTE] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_NULL] = ACTIONS(1396),
    [anon_sym_nullptr] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1396),
    [anon_sym_hitAttributeEXT] = ACTIONS(1396),
    [anon_sym_callableDataEXT] = ACTIONS(1396),
    [anon_sym_callableDataInEXT] = ACTIONS(1396),
    [anon_sym_shaderRecordEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadNV] = ACTIONS(1396),
    [anon_sym_rayPayloadInNV] = ACTIONS(1396),
    [anon_sym_hitAttributeNV] = ACTIONS(1396),
    [anon_sym_callableDataNV] = ACTIONS(1396),
    [anon_sym_callableDataInNV] = ACTIONS(1396),
    [anon_sym_shaderRecordNV] = ACTIONS(1396),
    [anon_sym_layout] = ACTIONS(1396),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1396),
    [aux_sym_preproc_include_token1] = ACTIONS(1396),
    [aux_sym_preproc_def_token1] = ACTIONS(1396),
    [aux_sym_preproc_if_token1] = ACTIONS(1396),
    [aux_sym_preproc_if_token2] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1396),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_subroutine] = ACTIONS(1396),
    [anon_sym_invariant] = ACTIONS(1396),
    [anon_sym_precise] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_in] = ACTIONS(1396),
    [anon_sym_out] = ACTIONS(1396),
    [anon_sym_inout] = ACTIONS(1396),
    [anon_sym_uniform] = ACTIONS(1396),
    [anon_sym_shared] = ACTIONS(1396),
    [anon_sym_attribute] = ACTIONS(1396),
    [anon_sym_varying] = ACTIONS(1396),
    [anon_sym_buffer] = ACTIONS(1396),
    [anon_sym_coherent] = ACTIONS(1396),
    [anon_sym_readonly] = ACTIONS(1396),
    [anon_sym_writeonly] = ACTIONS(1396),
    [anon_sym_precision] = ACTIONS(1396),
    [anon_sym_highp] = ACTIONS(1396),
    [anon_sym_mediump] = ACTIONS(1396),
    [anon_sym_lowp] = ACTIONS(1396),
    [anon_sym_centroid] = ACTIONS(1396),
    [anon_sym_sample] = ACTIONS(1396),
    [anon_sym_patch] = ACTIONS(1396),
    [anon_sym_smooth] = ACTIONS(1396),
    [anon_sym_flat] = ACTIONS(1396),
    [anon_sym_noperspective] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1396),
    [anon_sym_extern] = ACTIONS(1396),
    [anon_sym___attribute__] = ACTIONS(1396),
    [anon_sym___attribute] = ACTIONS(1396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1398),
    [anon_sym___declspec] = ACTIONS(1396),
    [anon_sym___cdecl] = ACTIONS(1396),
    [anon_sym___clrcall] = ACTIONS(1396),
    [anon_sym___stdcall] = ACTIONS(1396),
    [anon_sym___fastcall] = ACTIONS(1396),
    [anon_sym___thiscall] = ACTIONS(1396),
    [anon_sym___vectorcall] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1396),
    [anon_sym_unsigned] = ACTIONS(1396),
    [anon_sym_long] = ACTIONS(1396),
    [anon_sym_short] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1396),
    [anon_sym_auto] = ACTIONS(1396),
    [anon_sym_register] = ACTIONS(1396),
    [anon_sym_inline] = ACTIONS(1396),
    [anon_sym___inline] = ACTIONS(1396),
    [anon_sym___inline__] = ACTIONS(1396),
    [anon_sym___forceinline] = ACTIONS(1396),
    [anon_sym_thread_local] = ACTIONS(1396),
    [anon_sym___thread] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_constexpr] = ACTIONS(1396),
    [anon_sym_volatile] = ACTIONS(1396),
    [anon_sym_restrict] = ACTIONS(1396),
    [anon_sym___restrict__] = ACTIONS(1396),
    [anon_sym__Atomic] = ACTIONS(1396),
    [anon_sym__Noreturn] = ACTIONS(1396),
    [anon_sym_noreturn] = ACTIONS(1396),
    [anon_sym__Nonnull] = ACTIONS(1396),
    [anon_sym_alignas] = ACTIONS(1396),
    [anon_sym__Alignas] = ACTIONS(1396),
    [sym_primitive_type] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_else] = ACTIONS(1396),
    [anon_sym_switch] = ACTIONS(1396),
    [anon_sym_case] = ACTIONS(1396),
    [anon_sym_default] = ACTIONS(1396),
    [anon_sym_while] = ACTIONS(1396),
    [anon_sym_do] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_goto] = ACTIONS(1396),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_sizeof] = ACTIONS(1396),
    [anon_sym___alignof__] = ACTIONS(1396),
    [anon_sym___alignof] = ACTIONS(1396),
    [anon_sym__alignof] = ACTIONS(1396),
    [anon_sym_alignof] = ACTIONS(1396),
    [anon_sym__Alignof] = ACTIONS(1396),
    [anon_sym_offsetof] = ACTIONS(1396),
    [anon_sym__Generic] = ACTIONS(1396),
    [anon_sym_asm] = ACTIONS(1396),
    [anon_sym___asm__] = ACTIONS(1396),
    [anon_sym___asm] = ACTIONS(1396),
    [sym_number_literal] = ACTIONS(1398),
    [anon_sym_L_SQUOTE] = ACTIONS(1398),
    [anon_sym_u_SQUOTE] = ACTIONS(1398),
    [anon_sym_U_SQUOTE] = ACTIONS(1398),
    [anon_sym_u8_SQUOTE] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_L_DQUOTE] = ACTIONS(1398),
    [anon_sym_u_DQUOTE] = ACTIONS(1398),
    [anon_sym_U_DQUOTE] = ACTIONS(1398),
    [anon_sym_u8_DQUOTE] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [sym_true] = ACTIONS(1396),
    [sym_false] = ACTIONS(1396),
    [anon_sym_NULL] = ACTIONS(1396),
    [anon_sym_nullptr] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1396),
    [anon_sym_hitAttributeEXT] = ACTIONS(1396),
    [anon_sym_callableDataEXT] = ACTIONS(1396),
    [anon_sym_callableDataInEXT] = ACTIONS(1396),
    [anon_sym_shaderRecordEXT] = ACTIONS(1396),
    [anon_sym_rayPayloadNV] = ACTIONS(1396),
    [anon_sym_rayPayloadInNV] = ACTIONS(1396),
    [anon_sym_hitAttributeNV] = ACTIONS(1396),
    [anon_sym_callableDataNV] = ACTIONS(1396),
    [anon_sym_callableDataInNV] = ACTIONS(1396),
    [anon_sym_shaderRecordNV] = ACTIONS(1396),
    [anon_sym_layout] = ACTIONS(1396),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1400),
    [aux_sym_preproc_include_token1] = ACTIONS(1400),
    [aux_sym_preproc_def_token1] = ACTIONS(1400),
    [aux_sym_preproc_if_token1] = ACTIONS(1400),
    [aux_sym_preproc_if_token2] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1400),
    [sym_preproc_directive] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_subroutine] = ACTIONS(1400),
    [anon_sym_invariant] = ACTIONS(1400),
    [anon_sym_precise] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_out] = ACTIONS(1400),
    [anon_sym_inout] = ACTIONS(1400),
    [anon_sym_uniform] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_attribute] = ACTIONS(1400),
    [anon_sym_varying] = ACTIONS(1400),
    [anon_sym_buffer] = ACTIONS(1400),
    [anon_sym_coherent] = ACTIONS(1400),
    [anon_sym_readonly] = ACTIONS(1400),
    [anon_sym_writeonly] = ACTIONS(1400),
    [anon_sym_precision] = ACTIONS(1400),
    [anon_sym_highp] = ACTIONS(1400),
    [anon_sym_mediump] = ACTIONS(1400),
    [anon_sym_lowp] = ACTIONS(1400),
    [anon_sym_centroid] = ACTIONS(1400),
    [anon_sym_sample] = ACTIONS(1400),
    [anon_sym_patch] = ACTIONS(1400),
    [anon_sym_smooth] = ACTIONS(1400),
    [anon_sym_flat] = ACTIONS(1400),
    [anon_sym_noperspective] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1400),
    [anon_sym_extern] = ACTIONS(1400),
    [anon_sym___attribute__] = ACTIONS(1400),
    [anon_sym___attribute] = ACTIONS(1400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1402),
    [anon_sym___declspec] = ACTIONS(1400),
    [anon_sym___cdecl] = ACTIONS(1400),
    [anon_sym___clrcall] = ACTIONS(1400),
    [anon_sym___stdcall] = ACTIONS(1400),
    [anon_sym___fastcall] = ACTIONS(1400),
    [anon_sym___thiscall] = ACTIONS(1400),
    [anon_sym___vectorcall] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1400),
    [anon_sym_unsigned] = ACTIONS(1400),
    [anon_sym_long] = ACTIONS(1400),
    [anon_sym_short] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1400),
    [anon_sym_auto] = ACTIONS(1400),
    [anon_sym_register] = ACTIONS(1400),
    [anon_sym_inline] = ACTIONS(1400),
    [anon_sym___inline] = ACTIONS(1400),
    [anon_sym___inline__] = ACTIONS(1400),
    [anon_sym___forceinline] = ACTIONS(1400),
    [anon_sym_thread_local] = ACTIONS(1400),
    [anon_sym___thread] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_constexpr] = ACTIONS(1400),
    [anon_sym_volatile] = ACTIONS(1400),
    [anon_sym_restrict] = ACTIONS(1400),
    [anon_sym___restrict__] = ACTIONS(1400),
    [anon_sym__Atomic] = ACTIONS(1400),
    [anon_sym__Noreturn] = ACTIONS(1400),
    [anon_sym_noreturn] = ACTIONS(1400),
    [anon_sym__Nonnull] = ACTIONS(1400),
    [anon_sym_alignas] = ACTIONS(1400),
    [anon_sym__Alignas] = ACTIONS(1400),
    [sym_primitive_type] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_switch] = ACTIONS(1400),
    [anon_sym_case] = ACTIONS(1400),
    [anon_sym_default] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_do] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym___try] = ACTIONS(1400),
    [anon_sym___leave] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_sizeof] = ACTIONS(1400),
    [anon_sym___alignof__] = ACTIONS(1400),
    [anon_sym___alignof] = ACTIONS(1400),
    [anon_sym__alignof] = ACTIONS(1400),
    [anon_sym_alignof] = ACTIONS(1400),
    [anon_sym__Alignof] = ACTIONS(1400),
    [anon_sym_offsetof] = ACTIONS(1400),
    [anon_sym__Generic] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym___asm__] = ACTIONS(1400),
    [anon_sym___asm] = ACTIONS(1400),
    [sym_number_literal] = ACTIONS(1402),
    [anon_sym_L_SQUOTE] = ACTIONS(1402),
    [anon_sym_u_SQUOTE] = ACTIONS(1402),
    [anon_sym_U_SQUOTE] = ACTIONS(1402),
    [anon_sym_u8_SQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_L_DQUOTE] = ACTIONS(1402),
    [anon_sym_u_DQUOTE] = ACTIONS(1402),
    [anon_sym_U_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8_DQUOTE] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_NULL] = ACTIONS(1400),
    [anon_sym_nullptr] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1400),
    [anon_sym_hitAttributeEXT] = ACTIONS(1400),
    [anon_sym_callableDataEXT] = ACTIONS(1400),
    [anon_sym_callableDataInEXT] = ACTIONS(1400),
    [anon_sym_shaderRecordEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadNV] = ACTIONS(1400),
    [anon_sym_rayPayloadInNV] = ACTIONS(1400),
    [anon_sym_hitAttributeNV] = ACTIONS(1400),
    [anon_sym_callableDataNV] = ACTIONS(1400),
    [anon_sym_callableDataInNV] = ACTIONS(1400),
    [anon_sym_shaderRecordNV] = ACTIONS(1400),
    [anon_sym_layout] = ACTIONS(1400),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_subroutine] = ACTIONS(1320),
    [anon_sym_invariant] = ACTIONS(1320),
    [anon_sym_precise] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_in] = ACTIONS(1320),
    [anon_sym_out] = ACTIONS(1320),
    [anon_sym_inout] = ACTIONS(1320),
    [anon_sym_uniform] = ACTIONS(1320),
    [anon_sym_shared] = ACTIONS(1320),
    [anon_sym_attribute] = ACTIONS(1320),
    [anon_sym_varying] = ACTIONS(1320),
    [anon_sym_buffer] = ACTIONS(1320),
    [anon_sym_coherent] = ACTIONS(1320),
    [anon_sym_readonly] = ACTIONS(1320),
    [anon_sym_writeonly] = ACTIONS(1320),
    [anon_sym_precision] = ACTIONS(1320),
    [anon_sym_highp] = ACTIONS(1320),
    [anon_sym_mediump] = ACTIONS(1320),
    [anon_sym_lowp] = ACTIONS(1320),
    [anon_sym_centroid] = ACTIONS(1320),
    [anon_sym_sample] = ACTIONS(1320),
    [anon_sym_patch] = ACTIONS(1320),
    [anon_sym_smooth] = ACTIONS(1320),
    [anon_sym_flat] = ACTIONS(1320),
    [anon_sym_noperspective] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1320),
    [anon_sym_hitAttributeEXT] = ACTIONS(1320),
    [anon_sym_callableDataEXT] = ACTIONS(1320),
    [anon_sym_callableDataInEXT] = ACTIONS(1320),
    [anon_sym_shaderRecordEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadNV] = ACTIONS(1320),
    [anon_sym_rayPayloadInNV] = ACTIONS(1320),
    [anon_sym_hitAttributeNV] = ACTIONS(1320),
    [anon_sym_callableDataNV] = ACTIONS(1320),
    [anon_sym_callableDataInNV] = ACTIONS(1320),
    [anon_sym_shaderRecordNV] = ACTIONS(1320),
    [anon_sym_layout] = ACTIONS(1320),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_subroutine] = ACTIONS(1248),
    [anon_sym_invariant] = ACTIONS(1248),
    [anon_sym_precise] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1248),
    [anon_sym_out] = ACTIONS(1248),
    [anon_sym_inout] = ACTIONS(1248),
    [anon_sym_uniform] = ACTIONS(1248),
    [anon_sym_shared] = ACTIONS(1248),
    [anon_sym_attribute] = ACTIONS(1248),
    [anon_sym_varying] = ACTIONS(1248),
    [anon_sym_buffer] = ACTIONS(1248),
    [anon_sym_coherent] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_writeonly] = ACTIONS(1248),
    [anon_sym_precision] = ACTIONS(1248),
    [anon_sym_highp] = ACTIONS(1248),
    [anon_sym_mediump] = ACTIONS(1248),
    [anon_sym_lowp] = ACTIONS(1248),
    [anon_sym_centroid] = ACTIONS(1248),
    [anon_sym_sample] = ACTIONS(1248),
    [anon_sym_patch] = ACTIONS(1248),
    [anon_sym_smooth] = ACTIONS(1248),
    [anon_sym_flat] = ACTIONS(1248),
    [anon_sym_noperspective] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym___attribute] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym__Nonnull] = ACTIONS(1248),
    [anon_sym_alignas] = ACTIONS(1248),
    [anon_sym__Alignas] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym___try] = ACTIONS(1248),
    [anon_sym___leave] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [anon_sym___asm] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1248),
    [anon_sym_hitAttributeEXT] = ACTIONS(1248),
    [anon_sym_callableDataEXT] = ACTIONS(1248),
    [anon_sym_callableDataInEXT] = ACTIONS(1248),
    [anon_sym_shaderRecordEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadNV] = ACTIONS(1248),
    [anon_sym_rayPayloadInNV] = ACTIONS(1248),
    [anon_sym_hitAttributeNV] = ACTIONS(1248),
    [anon_sym_callableDataNV] = ACTIONS(1248),
    [anon_sym_callableDataInNV] = ACTIONS(1248),
    [anon_sym_shaderRecordNV] = ACTIONS(1248),
    [anon_sym_layout] = ACTIONS(1248),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_subroutine] = ACTIONS(1252),
    [anon_sym_invariant] = ACTIONS(1252),
    [anon_sym_precise] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_in] = ACTIONS(1252),
    [anon_sym_out] = ACTIONS(1252),
    [anon_sym_inout] = ACTIONS(1252),
    [anon_sym_uniform] = ACTIONS(1252),
    [anon_sym_shared] = ACTIONS(1252),
    [anon_sym_attribute] = ACTIONS(1252),
    [anon_sym_varying] = ACTIONS(1252),
    [anon_sym_buffer] = ACTIONS(1252),
    [anon_sym_coherent] = ACTIONS(1252),
    [anon_sym_readonly] = ACTIONS(1252),
    [anon_sym_writeonly] = ACTIONS(1252),
    [anon_sym_precision] = ACTIONS(1252),
    [anon_sym_highp] = ACTIONS(1252),
    [anon_sym_mediump] = ACTIONS(1252),
    [anon_sym_lowp] = ACTIONS(1252),
    [anon_sym_centroid] = ACTIONS(1252),
    [anon_sym_sample] = ACTIONS(1252),
    [anon_sym_patch] = ACTIONS(1252),
    [anon_sym_smooth] = ACTIONS(1252),
    [anon_sym_flat] = ACTIONS(1252),
    [anon_sym_noperspective] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym___attribute] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym__Nonnull] = ACTIONS(1252),
    [anon_sym_alignas] = ACTIONS(1252),
    [anon_sym__Alignas] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1252),
    [anon_sym___leave] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [anon_sym___asm] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1252),
    [anon_sym_hitAttributeEXT] = ACTIONS(1252),
    [anon_sym_callableDataEXT] = ACTIONS(1252),
    [anon_sym_callableDataInEXT] = ACTIONS(1252),
    [anon_sym_shaderRecordEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadNV] = ACTIONS(1252),
    [anon_sym_rayPayloadInNV] = ACTIONS(1252),
    [anon_sym_hitAttributeNV] = ACTIONS(1252),
    [anon_sym_callableDataNV] = ACTIONS(1252),
    [anon_sym_callableDataInNV] = ACTIONS(1252),
    [anon_sym_shaderRecordNV] = ACTIONS(1252),
    [anon_sym_layout] = ACTIONS(1252),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_subroutine] = ACTIONS(1260),
    [anon_sym_invariant] = ACTIONS(1260),
    [anon_sym_precise] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1260),
    [anon_sym_out] = ACTIONS(1260),
    [anon_sym_inout] = ACTIONS(1260),
    [anon_sym_uniform] = ACTIONS(1260),
    [anon_sym_shared] = ACTIONS(1260),
    [anon_sym_attribute] = ACTIONS(1260),
    [anon_sym_varying] = ACTIONS(1260),
    [anon_sym_buffer] = ACTIONS(1260),
    [anon_sym_coherent] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_writeonly] = ACTIONS(1260),
    [anon_sym_precision] = ACTIONS(1260),
    [anon_sym_highp] = ACTIONS(1260),
    [anon_sym_mediump] = ACTIONS(1260),
    [anon_sym_lowp] = ACTIONS(1260),
    [anon_sym_centroid] = ACTIONS(1260),
    [anon_sym_sample] = ACTIONS(1260),
    [anon_sym_patch] = ACTIONS(1260),
    [anon_sym_smooth] = ACTIONS(1260),
    [anon_sym_flat] = ACTIONS(1260),
    [anon_sym_noperspective] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym___attribute] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym__Nonnull] = ACTIONS(1260),
    [anon_sym_alignas] = ACTIONS(1260),
    [anon_sym__Alignas] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym___try] = ACTIONS(1260),
    [anon_sym___leave] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [anon_sym___asm] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1260),
    [anon_sym_hitAttributeEXT] = ACTIONS(1260),
    [anon_sym_callableDataEXT] = ACTIONS(1260),
    [anon_sym_callableDataInEXT] = ACTIONS(1260),
    [anon_sym_shaderRecordEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadNV] = ACTIONS(1260),
    [anon_sym_rayPayloadInNV] = ACTIONS(1260),
    [anon_sym_hitAttributeNV] = ACTIONS(1260),
    [anon_sym_callableDataNV] = ACTIONS(1260),
    [anon_sym_callableDataInNV] = ACTIONS(1260),
    [anon_sym_shaderRecordNV] = ACTIONS(1260),
    [anon_sym_layout] = ACTIONS(1260),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_subroutine] = ACTIONS(1264),
    [anon_sym_invariant] = ACTIONS(1264),
    [anon_sym_precise] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_in] = ACTIONS(1264),
    [anon_sym_out] = ACTIONS(1264),
    [anon_sym_inout] = ACTIONS(1264),
    [anon_sym_uniform] = ACTIONS(1264),
    [anon_sym_shared] = ACTIONS(1264),
    [anon_sym_attribute] = ACTIONS(1264),
    [anon_sym_varying] = ACTIONS(1264),
    [anon_sym_buffer] = ACTIONS(1264),
    [anon_sym_coherent] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_writeonly] = ACTIONS(1264),
    [anon_sym_precision] = ACTIONS(1264),
    [anon_sym_highp] = ACTIONS(1264),
    [anon_sym_mediump] = ACTIONS(1264),
    [anon_sym_lowp] = ACTIONS(1264),
    [anon_sym_centroid] = ACTIONS(1264),
    [anon_sym_sample] = ACTIONS(1264),
    [anon_sym_patch] = ACTIONS(1264),
    [anon_sym_smooth] = ACTIONS(1264),
    [anon_sym_flat] = ACTIONS(1264),
    [anon_sym_noperspective] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym___attribute] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym__Nonnull] = ACTIONS(1264),
    [anon_sym_alignas] = ACTIONS(1264),
    [anon_sym__Alignas] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym___try] = ACTIONS(1264),
    [anon_sym___leave] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [anon_sym___asm] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1264),
    [anon_sym_hitAttributeEXT] = ACTIONS(1264),
    [anon_sym_callableDataEXT] = ACTIONS(1264),
    [anon_sym_callableDataInEXT] = ACTIONS(1264),
    [anon_sym_shaderRecordEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadNV] = ACTIONS(1264),
    [anon_sym_rayPayloadInNV] = ACTIONS(1264),
    [anon_sym_hitAttributeNV] = ACTIONS(1264),
    [anon_sym_callableDataNV] = ACTIONS(1264),
    [anon_sym_callableDataInNV] = ACTIONS(1264),
    [anon_sym_shaderRecordNV] = ACTIONS(1264),
    [anon_sym_layout] = ACTIONS(1264),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_subroutine] = ACTIONS(1268),
    [anon_sym_invariant] = ACTIONS(1268),
    [anon_sym_precise] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1268),
    [anon_sym_out] = ACTIONS(1268),
    [anon_sym_inout] = ACTIONS(1268),
    [anon_sym_uniform] = ACTIONS(1268),
    [anon_sym_shared] = ACTIONS(1268),
    [anon_sym_attribute] = ACTIONS(1268),
    [anon_sym_varying] = ACTIONS(1268),
    [anon_sym_buffer] = ACTIONS(1268),
    [anon_sym_coherent] = ACTIONS(1268),
    [anon_sym_readonly] = ACTIONS(1268),
    [anon_sym_writeonly] = ACTIONS(1268),
    [anon_sym_precision] = ACTIONS(1268),
    [anon_sym_highp] = ACTIONS(1268),
    [anon_sym_mediump] = ACTIONS(1268),
    [anon_sym_lowp] = ACTIONS(1268),
    [anon_sym_centroid] = ACTIONS(1268),
    [anon_sym_sample] = ACTIONS(1268),
    [anon_sym_patch] = ACTIONS(1268),
    [anon_sym_smooth] = ACTIONS(1268),
    [anon_sym_flat] = ACTIONS(1268),
    [anon_sym_noperspective] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym___attribute] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym__Nonnull] = ACTIONS(1268),
    [anon_sym_alignas] = ACTIONS(1268),
    [anon_sym__Alignas] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [anon_sym___asm] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1268),
    [anon_sym_hitAttributeEXT] = ACTIONS(1268),
    [anon_sym_callableDataEXT] = ACTIONS(1268),
    [anon_sym_callableDataInEXT] = ACTIONS(1268),
    [anon_sym_shaderRecordEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadNV] = ACTIONS(1268),
    [anon_sym_rayPayloadInNV] = ACTIONS(1268),
    [anon_sym_hitAttributeNV] = ACTIONS(1268),
    [anon_sym_callableDataNV] = ACTIONS(1268),
    [anon_sym_callableDataInNV] = ACTIONS(1268),
    [anon_sym_shaderRecordNV] = ACTIONS(1268),
    [anon_sym_layout] = ACTIONS(1268),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1400),
    [aux_sym_preproc_include_token1] = ACTIONS(1400),
    [aux_sym_preproc_def_token1] = ACTIONS(1400),
    [aux_sym_preproc_if_token1] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1400),
    [sym_preproc_directive] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1402),
    [anon_sym_AMP] = ACTIONS(1402),
    [anon_sym_subroutine] = ACTIONS(1400),
    [anon_sym_invariant] = ACTIONS(1400),
    [anon_sym_precise] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_in] = ACTIONS(1400),
    [anon_sym_out] = ACTIONS(1400),
    [anon_sym_inout] = ACTIONS(1400),
    [anon_sym_uniform] = ACTIONS(1400),
    [anon_sym_shared] = ACTIONS(1400),
    [anon_sym_attribute] = ACTIONS(1400),
    [anon_sym_varying] = ACTIONS(1400),
    [anon_sym_buffer] = ACTIONS(1400),
    [anon_sym_coherent] = ACTIONS(1400),
    [anon_sym_readonly] = ACTIONS(1400),
    [anon_sym_writeonly] = ACTIONS(1400),
    [anon_sym_precision] = ACTIONS(1400),
    [anon_sym_highp] = ACTIONS(1400),
    [anon_sym_mediump] = ACTIONS(1400),
    [anon_sym_lowp] = ACTIONS(1400),
    [anon_sym_centroid] = ACTIONS(1400),
    [anon_sym_sample] = ACTIONS(1400),
    [anon_sym_patch] = ACTIONS(1400),
    [anon_sym_smooth] = ACTIONS(1400),
    [anon_sym_flat] = ACTIONS(1400),
    [anon_sym_noperspective] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1400),
    [anon_sym_extern] = ACTIONS(1400),
    [anon_sym___attribute__] = ACTIONS(1400),
    [anon_sym___attribute] = ACTIONS(1400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1402),
    [anon_sym___declspec] = ACTIONS(1400),
    [anon_sym___cdecl] = ACTIONS(1400),
    [anon_sym___clrcall] = ACTIONS(1400),
    [anon_sym___stdcall] = ACTIONS(1400),
    [anon_sym___fastcall] = ACTIONS(1400),
    [anon_sym___thiscall] = ACTIONS(1400),
    [anon_sym___vectorcall] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1400),
    [anon_sym_unsigned] = ACTIONS(1400),
    [anon_sym_long] = ACTIONS(1400),
    [anon_sym_short] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1400),
    [anon_sym_auto] = ACTIONS(1400),
    [anon_sym_register] = ACTIONS(1400),
    [anon_sym_inline] = ACTIONS(1400),
    [anon_sym___inline] = ACTIONS(1400),
    [anon_sym___inline__] = ACTIONS(1400),
    [anon_sym___forceinline] = ACTIONS(1400),
    [anon_sym_thread_local] = ACTIONS(1400),
    [anon_sym___thread] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_constexpr] = ACTIONS(1400),
    [anon_sym_volatile] = ACTIONS(1400),
    [anon_sym_restrict] = ACTIONS(1400),
    [anon_sym___restrict__] = ACTIONS(1400),
    [anon_sym__Atomic] = ACTIONS(1400),
    [anon_sym__Noreturn] = ACTIONS(1400),
    [anon_sym_noreturn] = ACTIONS(1400),
    [anon_sym__Nonnull] = ACTIONS(1400),
    [anon_sym_alignas] = ACTIONS(1400),
    [anon_sym__Alignas] = ACTIONS(1400),
    [sym_primitive_type] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_switch] = ACTIONS(1400),
    [anon_sym_case] = ACTIONS(1400),
    [anon_sym_default] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_do] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_goto] = ACTIONS(1400),
    [anon_sym___try] = ACTIONS(1400),
    [anon_sym___leave] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_sizeof] = ACTIONS(1400),
    [anon_sym___alignof__] = ACTIONS(1400),
    [anon_sym___alignof] = ACTIONS(1400),
    [anon_sym__alignof] = ACTIONS(1400),
    [anon_sym_alignof] = ACTIONS(1400),
    [anon_sym__Alignof] = ACTIONS(1400),
    [anon_sym_offsetof] = ACTIONS(1400),
    [anon_sym__Generic] = ACTIONS(1400),
    [anon_sym_asm] = ACTIONS(1400),
    [anon_sym___asm__] = ACTIONS(1400),
    [anon_sym___asm] = ACTIONS(1400),
    [sym_number_literal] = ACTIONS(1402),
    [anon_sym_L_SQUOTE] = ACTIONS(1402),
    [anon_sym_u_SQUOTE] = ACTIONS(1402),
    [anon_sym_U_SQUOTE] = ACTIONS(1402),
    [anon_sym_u8_SQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_L_DQUOTE] = ACTIONS(1402),
    [anon_sym_u_DQUOTE] = ACTIONS(1402),
    [anon_sym_U_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8_DQUOTE] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [anon_sym_NULL] = ACTIONS(1400),
    [anon_sym_nullptr] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1400),
    [anon_sym_hitAttributeEXT] = ACTIONS(1400),
    [anon_sym_callableDataEXT] = ACTIONS(1400),
    [anon_sym_callableDataInEXT] = ACTIONS(1400),
    [anon_sym_shaderRecordEXT] = ACTIONS(1400),
    [anon_sym_rayPayloadNV] = ACTIONS(1400),
    [anon_sym_rayPayloadInNV] = ACTIONS(1400),
    [anon_sym_hitAttributeNV] = ACTIONS(1400),
    [anon_sym_callableDataNV] = ACTIONS(1400),
    [anon_sym_callableDataInNV] = ACTIONS(1400),
    [anon_sym_shaderRecordNV] = ACTIONS(1400),
    [anon_sym_layout] = ACTIONS(1400),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_subroutine] = ACTIONS(1320),
    [anon_sym_invariant] = ACTIONS(1320),
    [anon_sym_precise] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_in] = ACTIONS(1320),
    [anon_sym_out] = ACTIONS(1320),
    [anon_sym_inout] = ACTIONS(1320),
    [anon_sym_uniform] = ACTIONS(1320),
    [anon_sym_shared] = ACTIONS(1320),
    [anon_sym_attribute] = ACTIONS(1320),
    [anon_sym_varying] = ACTIONS(1320),
    [anon_sym_buffer] = ACTIONS(1320),
    [anon_sym_coherent] = ACTIONS(1320),
    [anon_sym_readonly] = ACTIONS(1320),
    [anon_sym_writeonly] = ACTIONS(1320),
    [anon_sym_precision] = ACTIONS(1320),
    [anon_sym_highp] = ACTIONS(1320),
    [anon_sym_mediump] = ACTIONS(1320),
    [anon_sym_lowp] = ACTIONS(1320),
    [anon_sym_centroid] = ACTIONS(1320),
    [anon_sym_sample] = ACTIONS(1320),
    [anon_sym_patch] = ACTIONS(1320),
    [anon_sym_smooth] = ACTIONS(1320),
    [anon_sym_flat] = ACTIONS(1320),
    [anon_sym_noperspective] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1320),
    [anon_sym_hitAttributeEXT] = ACTIONS(1320),
    [anon_sym_callableDataEXT] = ACTIONS(1320),
    [anon_sym_callableDataInEXT] = ACTIONS(1320),
    [anon_sym_shaderRecordEXT] = ACTIONS(1320),
    [anon_sym_rayPayloadNV] = ACTIONS(1320),
    [anon_sym_rayPayloadInNV] = ACTIONS(1320),
    [anon_sym_hitAttributeNV] = ACTIONS(1320),
    [anon_sym_callableDataNV] = ACTIONS(1320),
    [anon_sym_callableDataInNV] = ACTIONS(1320),
    [anon_sym_shaderRecordNV] = ACTIONS(1320),
    [anon_sym_layout] = ACTIONS(1320),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_subroutine] = ACTIONS(1288),
    [anon_sym_invariant] = ACTIONS(1288),
    [anon_sym_precise] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_in] = ACTIONS(1288),
    [anon_sym_out] = ACTIONS(1288),
    [anon_sym_inout] = ACTIONS(1288),
    [anon_sym_uniform] = ACTIONS(1288),
    [anon_sym_shared] = ACTIONS(1288),
    [anon_sym_attribute] = ACTIONS(1288),
    [anon_sym_varying] = ACTIONS(1288),
    [anon_sym_buffer] = ACTIONS(1288),
    [anon_sym_coherent] = ACTIONS(1288),
    [anon_sym_readonly] = ACTIONS(1288),
    [anon_sym_writeonly] = ACTIONS(1288),
    [anon_sym_precision] = ACTIONS(1288),
    [anon_sym_highp] = ACTIONS(1288),
    [anon_sym_mediump] = ACTIONS(1288),
    [anon_sym_lowp] = ACTIONS(1288),
    [anon_sym_centroid] = ACTIONS(1288),
    [anon_sym_sample] = ACTIONS(1288),
    [anon_sym_patch] = ACTIONS(1288),
    [anon_sym_smooth] = ACTIONS(1288),
    [anon_sym_flat] = ACTIONS(1288),
    [anon_sym_noperspective] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym___attribute] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym__Nonnull] = ACTIONS(1288),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym___try] = ACTIONS(1288),
    [anon_sym___leave] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [anon_sym___asm] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1288),
    [anon_sym_hitAttributeEXT] = ACTIONS(1288),
    [anon_sym_callableDataEXT] = ACTIONS(1288),
    [anon_sym_callableDataInEXT] = ACTIONS(1288),
    [anon_sym_shaderRecordEXT] = ACTIONS(1288),
    [anon_sym_rayPayloadNV] = ACTIONS(1288),
    [anon_sym_rayPayloadInNV] = ACTIONS(1288),
    [anon_sym_hitAttributeNV] = ACTIONS(1288),
    [anon_sym_callableDataNV] = ACTIONS(1288),
    [anon_sym_callableDataInNV] = ACTIONS(1288),
    [anon_sym_shaderRecordNV] = ACTIONS(1288),
    [anon_sym_layout] = ACTIONS(1288),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_subroutine] = ACTIONS(1292),
    [anon_sym_invariant] = ACTIONS(1292),
    [anon_sym_precise] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_in] = ACTIONS(1292),
    [anon_sym_out] = ACTIONS(1292),
    [anon_sym_inout] = ACTIONS(1292),
    [anon_sym_uniform] = ACTIONS(1292),
    [anon_sym_shared] = ACTIONS(1292),
    [anon_sym_attribute] = ACTIONS(1292),
    [anon_sym_varying] = ACTIONS(1292),
    [anon_sym_buffer] = ACTIONS(1292),
    [anon_sym_coherent] = ACTIONS(1292),
    [anon_sym_readonly] = ACTIONS(1292),
    [anon_sym_writeonly] = ACTIONS(1292),
    [anon_sym_precision] = ACTIONS(1292),
    [anon_sym_highp] = ACTIONS(1292),
    [anon_sym_mediump] = ACTIONS(1292),
    [anon_sym_lowp] = ACTIONS(1292),
    [anon_sym_centroid] = ACTIONS(1292),
    [anon_sym_sample] = ACTIONS(1292),
    [anon_sym_patch] = ACTIONS(1292),
    [anon_sym_smooth] = ACTIONS(1292),
    [anon_sym_flat] = ACTIONS(1292),
    [anon_sym_noperspective] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym___attribute] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym__Nonnull] = ACTIONS(1292),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [anon_sym___asm] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1292),
    [anon_sym_hitAttributeEXT] = ACTIONS(1292),
    [anon_sym_callableDataEXT] = ACTIONS(1292),
    [anon_sym_callableDataInEXT] = ACTIONS(1292),
    [anon_sym_shaderRecordEXT] = ACTIONS(1292),
    [anon_sym_rayPayloadNV] = ACTIONS(1292),
    [anon_sym_rayPayloadInNV] = ACTIONS(1292),
    [anon_sym_hitAttributeNV] = ACTIONS(1292),
    [anon_sym_callableDataNV] = ACTIONS(1292),
    [anon_sym_callableDataInNV] = ACTIONS(1292),
    [anon_sym_shaderRecordNV] = ACTIONS(1292),
    [anon_sym_layout] = ACTIONS(1292),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_subroutine] = ACTIONS(1296),
    [anon_sym_invariant] = ACTIONS(1296),
    [anon_sym_precise] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_in] = ACTIONS(1296),
    [anon_sym_out] = ACTIONS(1296),
    [anon_sym_inout] = ACTIONS(1296),
    [anon_sym_uniform] = ACTIONS(1296),
    [anon_sym_shared] = ACTIONS(1296),
    [anon_sym_attribute] = ACTIONS(1296),
    [anon_sym_varying] = ACTIONS(1296),
    [anon_sym_buffer] = ACTIONS(1296),
    [anon_sym_coherent] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_writeonly] = ACTIONS(1296),
    [anon_sym_precision] = ACTIONS(1296),
    [anon_sym_highp] = ACTIONS(1296),
    [anon_sym_mediump] = ACTIONS(1296),
    [anon_sym_lowp] = ACTIONS(1296),
    [anon_sym_centroid] = ACTIONS(1296),
    [anon_sym_sample] = ACTIONS(1296),
    [anon_sym_patch] = ACTIONS(1296),
    [anon_sym_smooth] = ACTIONS(1296),
    [anon_sym_flat] = ACTIONS(1296),
    [anon_sym_noperspective] = ACTIONS(1296),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym___attribute] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym__Nonnull] = ACTIONS(1296),
    [anon_sym_alignas] = ACTIONS(1296),
    [anon_sym__Alignas] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym___try] = ACTIONS(1296),
    [anon_sym___leave] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [anon_sym___asm] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1296),
    [anon_sym_hitAttributeEXT] = ACTIONS(1296),
    [anon_sym_callableDataEXT] = ACTIONS(1296),
    [anon_sym_callableDataInEXT] = ACTIONS(1296),
    [anon_sym_shaderRecordEXT] = ACTIONS(1296),
    [anon_sym_rayPayloadNV] = ACTIONS(1296),
    [anon_sym_rayPayloadInNV] = ACTIONS(1296),
    [anon_sym_hitAttributeNV] = ACTIONS(1296),
    [anon_sym_callableDataNV] = ACTIONS(1296),
    [anon_sym_callableDataInNV] = ACTIONS(1296),
    [anon_sym_shaderRecordNV] = ACTIONS(1296),
    [anon_sym_layout] = ACTIONS(1296),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_subroutine] = ACTIONS(1300),
    [anon_sym_invariant] = ACTIONS(1300),
    [anon_sym_precise] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_out] = ACTIONS(1300),
    [anon_sym_inout] = ACTIONS(1300),
    [anon_sym_uniform] = ACTIONS(1300),
    [anon_sym_shared] = ACTIONS(1300),
    [anon_sym_attribute] = ACTIONS(1300),
    [anon_sym_varying] = ACTIONS(1300),
    [anon_sym_buffer] = ACTIONS(1300),
    [anon_sym_coherent] = ACTIONS(1300),
    [anon_sym_readonly] = ACTIONS(1300),
    [anon_sym_writeonly] = ACTIONS(1300),
    [anon_sym_precision] = ACTIONS(1300),
    [anon_sym_highp] = ACTIONS(1300),
    [anon_sym_mediump] = ACTIONS(1300),
    [anon_sym_lowp] = ACTIONS(1300),
    [anon_sym_centroid] = ACTIONS(1300),
    [anon_sym_sample] = ACTIONS(1300),
    [anon_sym_patch] = ACTIONS(1300),
    [anon_sym_smooth] = ACTIONS(1300),
    [anon_sym_flat] = ACTIONS(1300),
    [anon_sym_noperspective] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1300),
    [anon_sym_hitAttributeEXT] = ACTIONS(1300),
    [anon_sym_callableDataEXT] = ACTIONS(1300),
    [anon_sym_callableDataInEXT] = ACTIONS(1300),
    [anon_sym_shaderRecordEXT] = ACTIONS(1300),
    [anon_sym_rayPayloadNV] = ACTIONS(1300),
    [anon_sym_rayPayloadInNV] = ACTIONS(1300),
    [anon_sym_hitAttributeNV] = ACTIONS(1300),
    [anon_sym_callableDataNV] = ACTIONS(1300),
    [anon_sym_callableDataInNV] = ACTIONS(1300),
    [anon_sym_shaderRecordNV] = ACTIONS(1300),
    [anon_sym_layout] = ACTIONS(1300),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_subroutine] = ACTIONS(1244),
    [anon_sym_invariant] = ACTIONS(1244),
    [anon_sym_precise] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_in] = ACTIONS(1244),
    [anon_sym_out] = ACTIONS(1244),
    [anon_sym_inout] = ACTIONS(1244),
    [anon_sym_uniform] = ACTIONS(1244),
    [anon_sym_shared] = ACTIONS(1244),
    [anon_sym_attribute] = ACTIONS(1244),
    [anon_sym_varying] = ACTIONS(1244),
    [anon_sym_buffer] = ACTIONS(1244),
    [anon_sym_coherent] = ACTIONS(1244),
    [anon_sym_readonly] = ACTIONS(1244),
    [anon_sym_writeonly] = ACTIONS(1244),
    [anon_sym_precision] = ACTIONS(1244),
    [anon_sym_highp] = ACTIONS(1244),
    [anon_sym_mediump] = ACTIONS(1244),
    [anon_sym_lowp] = ACTIONS(1244),
    [anon_sym_centroid] = ACTIONS(1244),
    [anon_sym_sample] = ACTIONS(1244),
    [anon_sym_patch] = ACTIONS(1244),
    [anon_sym_smooth] = ACTIONS(1244),
    [anon_sym_flat] = ACTIONS(1244),
    [anon_sym_noperspective] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym___attribute] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym__Nonnull] = ACTIONS(1244),
    [anon_sym_alignas] = ACTIONS(1244),
    [anon_sym__Alignas] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym___try] = ACTIONS(1244),
    [anon_sym___leave] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [anon_sym___asm] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1244),
    [anon_sym_hitAttributeEXT] = ACTIONS(1244),
    [anon_sym_callableDataEXT] = ACTIONS(1244),
    [anon_sym_callableDataInEXT] = ACTIONS(1244),
    [anon_sym_shaderRecordEXT] = ACTIONS(1244),
    [anon_sym_rayPayloadNV] = ACTIONS(1244),
    [anon_sym_rayPayloadInNV] = ACTIONS(1244),
    [anon_sym_hitAttributeNV] = ACTIONS(1244),
    [anon_sym_callableDataNV] = ACTIONS(1244),
    [anon_sym_callableDataInNV] = ACTIONS(1244),
    [anon_sym_shaderRecordNV] = ACTIONS(1244),
    [anon_sym_layout] = ACTIONS(1244),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_subroutine] = ACTIONS(1308),
    [anon_sym_invariant] = ACTIONS(1308),
    [anon_sym_precise] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_in] = ACTIONS(1308),
    [anon_sym_out] = ACTIONS(1308),
    [anon_sym_inout] = ACTIONS(1308),
    [anon_sym_uniform] = ACTIONS(1308),
    [anon_sym_shared] = ACTIONS(1308),
    [anon_sym_attribute] = ACTIONS(1308),
    [anon_sym_varying] = ACTIONS(1308),
    [anon_sym_buffer] = ACTIONS(1308),
    [anon_sym_coherent] = ACTIONS(1308),
    [anon_sym_readonly] = ACTIONS(1308),
    [anon_sym_writeonly] = ACTIONS(1308),
    [anon_sym_precision] = ACTIONS(1308),
    [anon_sym_highp] = ACTIONS(1308),
    [anon_sym_mediump] = ACTIONS(1308),
    [anon_sym_lowp] = ACTIONS(1308),
    [anon_sym_centroid] = ACTIONS(1308),
    [anon_sym_sample] = ACTIONS(1308),
    [anon_sym_patch] = ACTIONS(1308),
    [anon_sym_smooth] = ACTIONS(1308),
    [anon_sym_flat] = ACTIONS(1308),
    [anon_sym_noperspective] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1308),
    [anon_sym_hitAttributeEXT] = ACTIONS(1308),
    [anon_sym_callableDataEXT] = ACTIONS(1308),
    [anon_sym_callableDataInEXT] = ACTIONS(1308),
    [anon_sym_shaderRecordEXT] = ACTIONS(1308),
    [anon_sym_rayPayloadNV] = ACTIONS(1308),
    [anon_sym_rayPayloadInNV] = ACTIONS(1308),
    [anon_sym_hitAttributeNV] = ACTIONS(1308),
    [anon_sym_callableDataNV] = ACTIONS(1308),
    [anon_sym_callableDataInNV] = ACTIONS(1308),
    [anon_sym_shaderRecordNV] = ACTIONS(1308),
    [anon_sym_layout] = ACTIONS(1308),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_subroutine] = ACTIONS(1332),
    [anon_sym_invariant] = ACTIONS(1332),
    [anon_sym_precise] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_out] = ACTIONS(1332),
    [anon_sym_inout] = ACTIONS(1332),
    [anon_sym_uniform] = ACTIONS(1332),
    [anon_sym_shared] = ACTIONS(1332),
    [anon_sym_attribute] = ACTIONS(1332),
    [anon_sym_varying] = ACTIONS(1332),
    [anon_sym_buffer] = ACTIONS(1332),
    [anon_sym_coherent] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_writeonly] = ACTIONS(1332),
    [anon_sym_precision] = ACTIONS(1332),
    [anon_sym_highp] = ACTIONS(1332),
    [anon_sym_mediump] = ACTIONS(1332),
    [anon_sym_lowp] = ACTIONS(1332),
    [anon_sym_centroid] = ACTIONS(1332),
    [anon_sym_sample] = ACTIONS(1332),
    [anon_sym_patch] = ACTIONS(1332),
    [anon_sym_smooth] = ACTIONS(1332),
    [anon_sym_flat] = ACTIONS(1332),
    [anon_sym_noperspective] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1332),
    [anon_sym_hitAttributeEXT] = ACTIONS(1332),
    [anon_sym_callableDataEXT] = ACTIONS(1332),
    [anon_sym_callableDataInEXT] = ACTIONS(1332),
    [anon_sym_shaderRecordEXT] = ACTIONS(1332),
    [anon_sym_rayPayloadNV] = ACTIONS(1332),
    [anon_sym_rayPayloadInNV] = ACTIONS(1332),
    [anon_sym_hitAttributeNV] = ACTIONS(1332),
    [anon_sym_callableDataNV] = ACTIONS(1332),
    [anon_sym_callableDataInNV] = ACTIONS(1332),
    [anon_sym_shaderRecordNV] = ACTIONS(1332),
    [anon_sym_layout] = ACTIONS(1332),
  },
  [283] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_subroutine] = ACTIONS(1336),
    [anon_sym_invariant] = ACTIONS(1336),
    [anon_sym_precise] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_in] = ACTIONS(1336),
    [anon_sym_out] = ACTIONS(1336),
    [anon_sym_inout] = ACTIONS(1336),
    [anon_sym_uniform] = ACTIONS(1336),
    [anon_sym_shared] = ACTIONS(1336),
    [anon_sym_attribute] = ACTIONS(1336),
    [anon_sym_varying] = ACTIONS(1336),
    [anon_sym_buffer] = ACTIONS(1336),
    [anon_sym_coherent] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_writeonly] = ACTIONS(1336),
    [anon_sym_precision] = ACTIONS(1336),
    [anon_sym_highp] = ACTIONS(1336),
    [anon_sym_mediump] = ACTIONS(1336),
    [anon_sym_lowp] = ACTIONS(1336),
    [anon_sym_centroid] = ACTIONS(1336),
    [anon_sym_sample] = ACTIONS(1336),
    [anon_sym_patch] = ACTIONS(1336),
    [anon_sym_smooth] = ACTIONS(1336),
    [anon_sym_flat] = ACTIONS(1336),
    [anon_sym_noperspective] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1336),
    [anon_sym_hitAttributeEXT] = ACTIONS(1336),
    [anon_sym_callableDataEXT] = ACTIONS(1336),
    [anon_sym_callableDataInEXT] = ACTIONS(1336),
    [anon_sym_shaderRecordEXT] = ACTIONS(1336),
    [anon_sym_rayPayloadNV] = ACTIONS(1336),
    [anon_sym_rayPayloadInNV] = ACTIONS(1336),
    [anon_sym_hitAttributeNV] = ACTIONS(1336),
    [anon_sym_callableDataNV] = ACTIONS(1336),
    [anon_sym_callableDataInNV] = ACTIONS(1336),
    [anon_sym_shaderRecordNV] = ACTIONS(1336),
    [anon_sym_layout] = ACTIONS(1336),
  },
  [284] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_subroutine] = ACTIONS(1376),
    [anon_sym_invariant] = ACTIONS(1376),
    [anon_sym_precise] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1376),
    [anon_sym_out] = ACTIONS(1376),
    [anon_sym_inout] = ACTIONS(1376),
    [anon_sym_uniform] = ACTIONS(1376),
    [anon_sym_shared] = ACTIONS(1376),
    [anon_sym_attribute] = ACTIONS(1376),
    [anon_sym_varying] = ACTIONS(1376),
    [anon_sym_buffer] = ACTIONS(1376),
    [anon_sym_coherent] = ACTIONS(1376),
    [anon_sym_readonly] = ACTIONS(1376),
    [anon_sym_writeonly] = ACTIONS(1376),
    [anon_sym_precision] = ACTIONS(1376),
    [anon_sym_highp] = ACTIONS(1376),
    [anon_sym_mediump] = ACTIONS(1376),
    [anon_sym_lowp] = ACTIONS(1376),
    [anon_sym_centroid] = ACTIONS(1376),
    [anon_sym_sample] = ACTIONS(1376),
    [anon_sym_patch] = ACTIONS(1376),
    [anon_sym_smooth] = ACTIONS(1376),
    [anon_sym_flat] = ACTIONS(1376),
    [anon_sym_noperspective] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_else] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym___try] = ACTIONS(1376),
    [anon_sym___leave] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1376),
    [anon_sym_hitAttributeEXT] = ACTIONS(1376),
    [anon_sym_callableDataEXT] = ACTIONS(1376),
    [anon_sym_callableDataInEXT] = ACTIONS(1376),
    [anon_sym_shaderRecordEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadNV] = ACTIONS(1376),
    [anon_sym_rayPayloadInNV] = ACTIONS(1376),
    [anon_sym_hitAttributeNV] = ACTIONS(1376),
    [anon_sym_callableDataNV] = ACTIONS(1376),
    [anon_sym_callableDataInNV] = ACTIONS(1376),
    [anon_sym_shaderRecordNV] = ACTIONS(1376),
    [anon_sym_layout] = ACTIONS(1376),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [286] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_subroutine] = ACTIONS(1272),
    [anon_sym_invariant] = ACTIONS(1272),
    [anon_sym_precise] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_in] = ACTIONS(1272),
    [anon_sym_out] = ACTIONS(1272),
    [anon_sym_inout] = ACTIONS(1272),
    [anon_sym_uniform] = ACTIONS(1272),
    [anon_sym_shared] = ACTIONS(1272),
    [anon_sym_attribute] = ACTIONS(1272),
    [anon_sym_varying] = ACTIONS(1272),
    [anon_sym_buffer] = ACTIONS(1272),
    [anon_sym_coherent] = ACTIONS(1272),
    [anon_sym_readonly] = ACTIONS(1272),
    [anon_sym_writeonly] = ACTIONS(1272),
    [anon_sym_precision] = ACTIONS(1272),
    [anon_sym_highp] = ACTIONS(1272),
    [anon_sym_mediump] = ACTIONS(1272),
    [anon_sym_lowp] = ACTIONS(1272),
    [anon_sym_centroid] = ACTIONS(1272),
    [anon_sym_sample] = ACTIONS(1272),
    [anon_sym_patch] = ACTIONS(1272),
    [anon_sym_smooth] = ACTIONS(1272),
    [anon_sym_flat] = ACTIONS(1272),
    [anon_sym_noperspective] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym___attribute] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym__Nonnull] = ACTIONS(1272),
    [anon_sym_alignas] = ACTIONS(1272),
    [anon_sym__Alignas] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym___try] = ACTIONS(1272),
    [anon_sym___leave] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [anon_sym___asm] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1272),
    [anon_sym_hitAttributeEXT] = ACTIONS(1272),
    [anon_sym_callableDataEXT] = ACTIONS(1272),
    [anon_sym_callableDataInEXT] = ACTIONS(1272),
    [anon_sym_shaderRecordEXT] = ACTIONS(1272),
    [anon_sym_rayPayloadNV] = ACTIONS(1272),
    [anon_sym_rayPayloadInNV] = ACTIONS(1272),
    [anon_sym_hitAttributeNV] = ACTIONS(1272),
    [anon_sym_callableDataNV] = ACTIONS(1272),
    [anon_sym_callableDataInNV] = ACTIONS(1272),
    [anon_sym_shaderRecordNV] = ACTIONS(1272),
    [anon_sym_layout] = ACTIONS(1272),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [289] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_subroutine] = ACTIONS(1276),
    [anon_sym_invariant] = ACTIONS(1276),
    [anon_sym_precise] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_in] = ACTIONS(1276),
    [anon_sym_out] = ACTIONS(1276),
    [anon_sym_inout] = ACTIONS(1276),
    [anon_sym_uniform] = ACTIONS(1276),
    [anon_sym_shared] = ACTIONS(1276),
    [anon_sym_attribute] = ACTIONS(1276),
    [anon_sym_varying] = ACTIONS(1276),
    [anon_sym_buffer] = ACTIONS(1276),
    [anon_sym_coherent] = ACTIONS(1276),
    [anon_sym_readonly] = ACTIONS(1276),
    [anon_sym_writeonly] = ACTIONS(1276),
    [anon_sym_precision] = ACTIONS(1276),
    [anon_sym_highp] = ACTIONS(1276),
    [anon_sym_mediump] = ACTIONS(1276),
    [anon_sym_lowp] = ACTIONS(1276),
    [anon_sym_centroid] = ACTIONS(1276),
    [anon_sym_sample] = ACTIONS(1276),
    [anon_sym_patch] = ACTIONS(1276),
    [anon_sym_smooth] = ACTIONS(1276),
    [anon_sym_flat] = ACTIONS(1276),
    [anon_sym_noperspective] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym___attribute] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym__Nonnull] = ACTIONS(1276),
    [anon_sym_alignas] = ACTIONS(1276),
    [anon_sym__Alignas] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [anon_sym___asm] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1276),
    [anon_sym_hitAttributeEXT] = ACTIONS(1276),
    [anon_sym_callableDataEXT] = ACTIONS(1276),
    [anon_sym_callableDataInEXT] = ACTIONS(1276),
    [anon_sym_shaderRecordEXT] = ACTIONS(1276),
    [anon_sym_rayPayloadNV] = ACTIONS(1276),
    [anon_sym_rayPayloadInNV] = ACTIONS(1276),
    [anon_sym_hitAttributeNV] = ACTIONS(1276),
    [anon_sym_callableDataNV] = ACTIONS(1276),
    [anon_sym_callableDataInNV] = ACTIONS(1276),
    [anon_sym_shaderRecordNV] = ACTIONS(1276),
    [anon_sym_layout] = ACTIONS(1276),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_subroutine] = ACTIONS(1280),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_in] = ACTIONS(1280),
    [anon_sym_out] = ACTIONS(1280),
    [anon_sym_inout] = ACTIONS(1280),
    [anon_sym_uniform] = ACTIONS(1280),
    [anon_sym_shared] = ACTIONS(1280),
    [anon_sym_attribute] = ACTIONS(1280),
    [anon_sym_varying] = ACTIONS(1280),
    [anon_sym_buffer] = ACTIONS(1280),
    [anon_sym_coherent] = ACTIONS(1280),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_writeonly] = ACTIONS(1280),
    [anon_sym_precision] = ACTIONS(1280),
    [anon_sym_highp] = ACTIONS(1280),
    [anon_sym_mediump] = ACTIONS(1280),
    [anon_sym_lowp] = ACTIONS(1280),
    [anon_sym_centroid] = ACTIONS(1280),
    [anon_sym_sample] = ACTIONS(1280),
    [anon_sym_patch] = ACTIONS(1280),
    [anon_sym_smooth] = ACTIONS(1280),
    [anon_sym_flat] = ACTIONS(1280),
    [anon_sym_noperspective] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym___attribute] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym__Nonnull] = ACTIONS(1280),
    [anon_sym_alignas] = ACTIONS(1280),
    [anon_sym__Alignas] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [anon_sym___asm] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1280),
    [anon_sym_hitAttributeEXT] = ACTIONS(1280),
    [anon_sym_callableDataEXT] = ACTIONS(1280),
    [anon_sym_callableDataInEXT] = ACTIONS(1280),
    [anon_sym_shaderRecordEXT] = ACTIONS(1280),
    [anon_sym_rayPayloadNV] = ACTIONS(1280),
    [anon_sym_rayPayloadInNV] = ACTIONS(1280),
    [anon_sym_hitAttributeNV] = ACTIONS(1280),
    [anon_sym_callableDataNV] = ACTIONS(1280),
    [anon_sym_callableDataInNV] = ACTIONS(1280),
    [anon_sym_shaderRecordNV] = ACTIONS(1280),
    [anon_sym_layout] = ACTIONS(1280),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_subroutine] = ACTIONS(1284),
    [anon_sym_invariant] = ACTIONS(1284),
    [anon_sym_precise] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_in] = ACTIONS(1284),
    [anon_sym_out] = ACTIONS(1284),
    [anon_sym_inout] = ACTIONS(1284),
    [anon_sym_uniform] = ACTIONS(1284),
    [anon_sym_shared] = ACTIONS(1284),
    [anon_sym_attribute] = ACTIONS(1284),
    [anon_sym_varying] = ACTIONS(1284),
    [anon_sym_buffer] = ACTIONS(1284),
    [anon_sym_coherent] = ACTIONS(1284),
    [anon_sym_readonly] = ACTIONS(1284),
    [anon_sym_writeonly] = ACTIONS(1284),
    [anon_sym_precision] = ACTIONS(1284),
    [anon_sym_highp] = ACTIONS(1284),
    [anon_sym_mediump] = ACTIONS(1284),
    [anon_sym_lowp] = ACTIONS(1284),
    [anon_sym_centroid] = ACTIONS(1284),
    [anon_sym_sample] = ACTIONS(1284),
    [anon_sym_patch] = ACTIONS(1284),
    [anon_sym_smooth] = ACTIONS(1284),
    [anon_sym_flat] = ACTIONS(1284),
    [anon_sym_noperspective] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym___attribute] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym__Nonnull] = ACTIONS(1284),
    [anon_sym_alignas] = ACTIONS(1284),
    [anon_sym__Alignas] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [anon_sym___asm] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1284),
    [anon_sym_hitAttributeEXT] = ACTIONS(1284),
    [anon_sym_callableDataEXT] = ACTIONS(1284),
    [anon_sym_callableDataInEXT] = ACTIONS(1284),
    [anon_sym_shaderRecordEXT] = ACTIONS(1284),
    [anon_sym_rayPayloadNV] = ACTIONS(1284),
    [anon_sym_rayPayloadInNV] = ACTIONS(1284),
    [anon_sym_hitAttributeNV] = ACTIONS(1284),
    [anon_sym_callableDataNV] = ACTIONS(1284),
    [anon_sym_callableDataInNV] = ACTIONS(1284),
    [anon_sym_shaderRecordNV] = ACTIONS(1284),
    [anon_sym_layout] = ACTIONS(1284),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_subroutine] = ACTIONS(1248),
    [anon_sym_invariant] = ACTIONS(1248),
    [anon_sym_precise] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1248),
    [anon_sym_out] = ACTIONS(1248),
    [anon_sym_inout] = ACTIONS(1248),
    [anon_sym_uniform] = ACTIONS(1248),
    [anon_sym_shared] = ACTIONS(1248),
    [anon_sym_attribute] = ACTIONS(1248),
    [anon_sym_varying] = ACTIONS(1248),
    [anon_sym_buffer] = ACTIONS(1248),
    [anon_sym_coherent] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_writeonly] = ACTIONS(1248),
    [anon_sym_precision] = ACTIONS(1248),
    [anon_sym_highp] = ACTIONS(1248),
    [anon_sym_mediump] = ACTIONS(1248),
    [anon_sym_lowp] = ACTIONS(1248),
    [anon_sym_centroid] = ACTIONS(1248),
    [anon_sym_sample] = ACTIONS(1248),
    [anon_sym_patch] = ACTIONS(1248),
    [anon_sym_smooth] = ACTIONS(1248),
    [anon_sym_flat] = ACTIONS(1248),
    [anon_sym_noperspective] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym___attribute] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym__Nonnull] = ACTIONS(1248),
    [anon_sym_alignas] = ACTIONS(1248),
    [anon_sym__Alignas] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym___try] = ACTIONS(1248),
    [anon_sym___leave] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [anon_sym___asm] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1248),
    [anon_sym_hitAttributeEXT] = ACTIONS(1248),
    [anon_sym_callableDataEXT] = ACTIONS(1248),
    [anon_sym_callableDataInEXT] = ACTIONS(1248),
    [anon_sym_shaderRecordEXT] = ACTIONS(1248),
    [anon_sym_rayPayloadNV] = ACTIONS(1248),
    [anon_sym_rayPayloadInNV] = ACTIONS(1248),
    [anon_sym_hitAttributeNV] = ACTIONS(1248),
    [anon_sym_callableDataNV] = ACTIONS(1248),
    [anon_sym_callableDataInNV] = ACTIONS(1248),
    [anon_sym_shaderRecordNV] = ACTIONS(1248),
    [anon_sym_layout] = ACTIONS(1248),
  },
  [294] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_subroutine] = ACTIONS(1312),
    [anon_sym_invariant] = ACTIONS(1312),
    [anon_sym_precise] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_in] = ACTIONS(1312),
    [anon_sym_out] = ACTIONS(1312),
    [anon_sym_inout] = ACTIONS(1312),
    [anon_sym_uniform] = ACTIONS(1312),
    [anon_sym_shared] = ACTIONS(1312),
    [anon_sym_attribute] = ACTIONS(1312),
    [anon_sym_varying] = ACTIONS(1312),
    [anon_sym_buffer] = ACTIONS(1312),
    [anon_sym_coherent] = ACTIONS(1312),
    [anon_sym_readonly] = ACTIONS(1312),
    [anon_sym_writeonly] = ACTIONS(1312),
    [anon_sym_precision] = ACTIONS(1312),
    [anon_sym_highp] = ACTIONS(1312),
    [anon_sym_mediump] = ACTIONS(1312),
    [anon_sym_lowp] = ACTIONS(1312),
    [anon_sym_centroid] = ACTIONS(1312),
    [anon_sym_sample] = ACTIONS(1312),
    [anon_sym_patch] = ACTIONS(1312),
    [anon_sym_smooth] = ACTIONS(1312),
    [anon_sym_flat] = ACTIONS(1312),
    [anon_sym_noperspective] = ACTIONS(1312),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1312),
    [anon_sym_hitAttributeEXT] = ACTIONS(1312),
    [anon_sym_callableDataEXT] = ACTIONS(1312),
    [anon_sym_callableDataInEXT] = ACTIONS(1312),
    [anon_sym_shaderRecordEXT] = ACTIONS(1312),
    [anon_sym_rayPayloadNV] = ACTIONS(1312),
    [anon_sym_rayPayloadInNV] = ACTIONS(1312),
    [anon_sym_hitAttributeNV] = ACTIONS(1312),
    [anon_sym_callableDataNV] = ACTIONS(1312),
    [anon_sym_callableDataInNV] = ACTIONS(1312),
    [anon_sym_shaderRecordNV] = ACTIONS(1312),
    [anon_sym_layout] = ACTIONS(1312),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_subroutine] = ACTIONS(1316),
    [anon_sym_invariant] = ACTIONS(1316),
    [anon_sym_precise] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_in] = ACTIONS(1316),
    [anon_sym_out] = ACTIONS(1316),
    [anon_sym_inout] = ACTIONS(1316),
    [anon_sym_uniform] = ACTIONS(1316),
    [anon_sym_shared] = ACTIONS(1316),
    [anon_sym_attribute] = ACTIONS(1316),
    [anon_sym_varying] = ACTIONS(1316),
    [anon_sym_buffer] = ACTIONS(1316),
    [anon_sym_coherent] = ACTIONS(1316),
    [anon_sym_readonly] = ACTIONS(1316),
    [anon_sym_writeonly] = ACTIONS(1316),
    [anon_sym_precision] = ACTIONS(1316),
    [anon_sym_highp] = ACTIONS(1316),
    [anon_sym_mediump] = ACTIONS(1316),
    [anon_sym_lowp] = ACTIONS(1316),
    [anon_sym_centroid] = ACTIONS(1316),
    [anon_sym_sample] = ACTIONS(1316),
    [anon_sym_patch] = ACTIONS(1316),
    [anon_sym_smooth] = ACTIONS(1316),
    [anon_sym_flat] = ACTIONS(1316),
    [anon_sym_noperspective] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1316),
    [anon_sym_hitAttributeEXT] = ACTIONS(1316),
    [anon_sym_callableDataEXT] = ACTIONS(1316),
    [anon_sym_callableDataInEXT] = ACTIONS(1316),
    [anon_sym_shaderRecordEXT] = ACTIONS(1316),
    [anon_sym_rayPayloadNV] = ACTIONS(1316),
    [anon_sym_rayPayloadInNV] = ACTIONS(1316),
    [anon_sym_hitAttributeNV] = ACTIONS(1316),
    [anon_sym_callableDataNV] = ACTIONS(1316),
    [anon_sym_callableDataInNV] = ACTIONS(1316),
    [anon_sym_shaderRecordNV] = ACTIONS(1316),
    [anon_sym_layout] = ACTIONS(1316),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1404),
    [aux_sym_preproc_include_token1] = ACTIONS(1404),
    [aux_sym_preproc_def_token1] = ACTIONS(1404),
    [aux_sym_preproc_if_token1] = ACTIONS(1404),
    [aux_sym_preproc_if_token2] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1404),
    [sym_preproc_directive] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_subroutine] = ACTIONS(1404),
    [anon_sym_invariant] = ACTIONS(1404),
    [anon_sym_precise] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1406),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_out] = ACTIONS(1404),
    [anon_sym_inout] = ACTIONS(1404),
    [anon_sym_uniform] = ACTIONS(1404),
    [anon_sym_shared] = ACTIONS(1404),
    [anon_sym_attribute] = ACTIONS(1404),
    [anon_sym_varying] = ACTIONS(1404),
    [anon_sym_buffer] = ACTIONS(1404),
    [anon_sym_coherent] = ACTIONS(1404),
    [anon_sym_readonly] = ACTIONS(1404),
    [anon_sym_writeonly] = ACTIONS(1404),
    [anon_sym_precision] = ACTIONS(1404),
    [anon_sym_highp] = ACTIONS(1404),
    [anon_sym_mediump] = ACTIONS(1404),
    [anon_sym_lowp] = ACTIONS(1404),
    [anon_sym_centroid] = ACTIONS(1404),
    [anon_sym_sample] = ACTIONS(1404),
    [anon_sym_patch] = ACTIONS(1404),
    [anon_sym_smooth] = ACTIONS(1404),
    [anon_sym_flat] = ACTIONS(1404),
    [anon_sym_noperspective] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1404),
    [anon_sym_extern] = ACTIONS(1404),
    [anon_sym___attribute__] = ACTIONS(1404),
    [anon_sym___attribute] = ACTIONS(1404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1406),
    [anon_sym___declspec] = ACTIONS(1404),
    [anon_sym___cdecl] = ACTIONS(1404),
    [anon_sym___clrcall] = ACTIONS(1404),
    [anon_sym___stdcall] = ACTIONS(1404),
    [anon_sym___fastcall] = ACTIONS(1404),
    [anon_sym___thiscall] = ACTIONS(1404),
    [anon_sym___vectorcall] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1404),
    [anon_sym_unsigned] = ACTIONS(1404),
    [anon_sym_long] = ACTIONS(1404),
    [anon_sym_short] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_auto] = ACTIONS(1404),
    [anon_sym_register] = ACTIONS(1404),
    [anon_sym_inline] = ACTIONS(1404),
    [anon_sym___inline] = ACTIONS(1404),
    [anon_sym___inline__] = ACTIONS(1404),
    [anon_sym___forceinline] = ACTIONS(1404),
    [anon_sym_thread_local] = ACTIONS(1404),
    [anon_sym___thread] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_constexpr] = ACTIONS(1404),
    [anon_sym_volatile] = ACTIONS(1404),
    [anon_sym_restrict] = ACTIONS(1404),
    [anon_sym___restrict__] = ACTIONS(1404),
    [anon_sym__Atomic] = ACTIONS(1404),
    [anon_sym__Noreturn] = ACTIONS(1404),
    [anon_sym_noreturn] = ACTIONS(1404),
    [anon_sym__Nonnull] = ACTIONS(1404),
    [anon_sym_alignas] = ACTIONS(1404),
    [anon_sym__Alignas] = ACTIONS(1404),
    [sym_primitive_type] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_struct] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_else] = ACTIONS(1404),
    [anon_sym_switch] = ACTIONS(1404),
    [anon_sym_case] = ACTIONS(1404),
    [anon_sym_default] = ACTIONS(1404),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_goto] = ACTIONS(1404),
    [anon_sym___try] = ACTIONS(1404),
    [anon_sym___leave] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [anon_sym_sizeof] = ACTIONS(1404),
    [anon_sym___alignof__] = ACTIONS(1404),
    [anon_sym___alignof] = ACTIONS(1404),
    [anon_sym__alignof] = ACTIONS(1404),
    [anon_sym_alignof] = ACTIONS(1404),
    [anon_sym__Alignof] = ACTIONS(1404),
    [anon_sym_offsetof] = ACTIONS(1404),
    [anon_sym__Generic] = ACTIONS(1404),
    [anon_sym_asm] = ACTIONS(1404),
    [anon_sym___asm__] = ACTIONS(1404),
    [anon_sym___asm] = ACTIONS(1404),
    [sym_number_literal] = ACTIONS(1406),
    [anon_sym_L_SQUOTE] = ACTIONS(1406),
    [anon_sym_u_SQUOTE] = ACTIONS(1406),
    [anon_sym_U_SQUOTE] = ACTIONS(1406),
    [anon_sym_u8_SQUOTE] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_L_DQUOTE] = ACTIONS(1406),
    [anon_sym_u_DQUOTE] = ACTIONS(1406),
    [anon_sym_U_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8_DQUOTE] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [sym_true] = ACTIONS(1404),
    [sym_false] = ACTIONS(1404),
    [anon_sym_NULL] = ACTIONS(1404),
    [anon_sym_nullptr] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1404),
    [anon_sym_hitAttributeEXT] = ACTIONS(1404),
    [anon_sym_callableDataEXT] = ACTIONS(1404),
    [anon_sym_callableDataInEXT] = ACTIONS(1404),
    [anon_sym_shaderRecordEXT] = ACTIONS(1404),
    [anon_sym_rayPayloadNV] = ACTIONS(1404),
    [anon_sym_rayPayloadInNV] = ACTIONS(1404),
    [anon_sym_hitAttributeNV] = ACTIONS(1404),
    [anon_sym_callableDataNV] = ACTIONS(1404),
    [anon_sym_callableDataInNV] = ACTIONS(1404),
    [anon_sym_shaderRecordNV] = ACTIONS(1404),
    [anon_sym_layout] = ACTIONS(1404),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_subroutine] = ACTIONS(1324),
    [anon_sym_invariant] = ACTIONS(1324),
    [anon_sym_precise] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_in] = ACTIONS(1324),
    [anon_sym_out] = ACTIONS(1324),
    [anon_sym_inout] = ACTIONS(1324),
    [anon_sym_uniform] = ACTIONS(1324),
    [anon_sym_shared] = ACTIONS(1324),
    [anon_sym_attribute] = ACTIONS(1324),
    [anon_sym_varying] = ACTIONS(1324),
    [anon_sym_buffer] = ACTIONS(1324),
    [anon_sym_coherent] = ACTIONS(1324),
    [anon_sym_readonly] = ACTIONS(1324),
    [anon_sym_writeonly] = ACTIONS(1324),
    [anon_sym_precision] = ACTIONS(1324),
    [anon_sym_highp] = ACTIONS(1324),
    [anon_sym_mediump] = ACTIONS(1324),
    [anon_sym_lowp] = ACTIONS(1324),
    [anon_sym_centroid] = ACTIONS(1324),
    [anon_sym_sample] = ACTIONS(1324),
    [anon_sym_patch] = ACTIONS(1324),
    [anon_sym_smooth] = ACTIONS(1324),
    [anon_sym_flat] = ACTIONS(1324),
    [anon_sym_noperspective] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1324),
    [anon_sym_hitAttributeEXT] = ACTIONS(1324),
    [anon_sym_callableDataEXT] = ACTIONS(1324),
    [anon_sym_callableDataInEXT] = ACTIONS(1324),
    [anon_sym_shaderRecordEXT] = ACTIONS(1324),
    [anon_sym_rayPayloadNV] = ACTIONS(1324),
    [anon_sym_rayPayloadInNV] = ACTIONS(1324),
    [anon_sym_hitAttributeNV] = ACTIONS(1324),
    [anon_sym_callableDataNV] = ACTIONS(1324),
    [anon_sym_callableDataInNV] = ACTIONS(1324),
    [anon_sym_shaderRecordNV] = ACTIONS(1324),
    [anon_sym_layout] = ACTIONS(1324),
  },
  [300] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_subroutine] = ACTIONS(1328),
    [anon_sym_invariant] = ACTIONS(1328),
    [anon_sym_precise] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_in] = ACTIONS(1328),
    [anon_sym_out] = ACTIONS(1328),
    [anon_sym_inout] = ACTIONS(1328),
    [anon_sym_uniform] = ACTIONS(1328),
    [anon_sym_shared] = ACTIONS(1328),
    [anon_sym_attribute] = ACTIONS(1328),
    [anon_sym_varying] = ACTIONS(1328),
    [anon_sym_buffer] = ACTIONS(1328),
    [anon_sym_coherent] = ACTIONS(1328),
    [anon_sym_readonly] = ACTIONS(1328),
    [anon_sym_writeonly] = ACTIONS(1328),
    [anon_sym_precision] = ACTIONS(1328),
    [anon_sym_highp] = ACTIONS(1328),
    [anon_sym_mediump] = ACTIONS(1328),
    [anon_sym_lowp] = ACTIONS(1328),
    [anon_sym_centroid] = ACTIONS(1328),
    [anon_sym_sample] = ACTIONS(1328),
    [anon_sym_patch] = ACTIONS(1328),
    [anon_sym_smooth] = ACTIONS(1328),
    [anon_sym_flat] = ACTIONS(1328),
    [anon_sym_noperspective] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1328),
    [anon_sym_hitAttributeEXT] = ACTIONS(1328),
    [anon_sym_callableDataEXT] = ACTIONS(1328),
    [anon_sym_callableDataInEXT] = ACTIONS(1328),
    [anon_sym_shaderRecordEXT] = ACTIONS(1328),
    [anon_sym_rayPayloadNV] = ACTIONS(1328),
    [anon_sym_rayPayloadInNV] = ACTIONS(1328),
    [anon_sym_hitAttributeNV] = ACTIONS(1328),
    [anon_sym_callableDataNV] = ACTIONS(1328),
    [anon_sym_callableDataInNV] = ACTIONS(1328),
    [anon_sym_shaderRecordNV] = ACTIONS(1328),
    [anon_sym_layout] = ACTIONS(1328),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_subroutine] = ACTIONS(1340),
    [anon_sym_invariant] = ACTIONS(1340),
    [anon_sym_precise] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_in] = ACTIONS(1340),
    [anon_sym_out] = ACTIONS(1340),
    [anon_sym_inout] = ACTIONS(1340),
    [anon_sym_uniform] = ACTIONS(1340),
    [anon_sym_shared] = ACTIONS(1340),
    [anon_sym_attribute] = ACTIONS(1340),
    [anon_sym_varying] = ACTIONS(1340),
    [anon_sym_buffer] = ACTIONS(1340),
    [anon_sym_coherent] = ACTIONS(1340),
    [anon_sym_readonly] = ACTIONS(1340),
    [anon_sym_writeonly] = ACTIONS(1340),
    [anon_sym_precision] = ACTIONS(1340),
    [anon_sym_highp] = ACTIONS(1340),
    [anon_sym_mediump] = ACTIONS(1340),
    [anon_sym_lowp] = ACTIONS(1340),
    [anon_sym_centroid] = ACTIONS(1340),
    [anon_sym_sample] = ACTIONS(1340),
    [anon_sym_patch] = ACTIONS(1340),
    [anon_sym_smooth] = ACTIONS(1340),
    [anon_sym_flat] = ACTIONS(1340),
    [anon_sym_noperspective] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1340),
    [anon_sym_hitAttributeEXT] = ACTIONS(1340),
    [anon_sym_callableDataEXT] = ACTIONS(1340),
    [anon_sym_callableDataInEXT] = ACTIONS(1340),
    [anon_sym_shaderRecordEXT] = ACTIONS(1340),
    [anon_sym_rayPayloadNV] = ACTIONS(1340),
    [anon_sym_rayPayloadInNV] = ACTIONS(1340),
    [anon_sym_hitAttributeNV] = ACTIONS(1340),
    [anon_sym_callableDataNV] = ACTIONS(1340),
    [anon_sym_callableDataInNV] = ACTIONS(1340),
    [anon_sym_shaderRecordNV] = ACTIONS(1340),
    [anon_sym_layout] = ACTIONS(1340),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_subroutine] = ACTIONS(1344),
    [anon_sym_invariant] = ACTIONS(1344),
    [anon_sym_precise] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_in] = ACTIONS(1344),
    [anon_sym_out] = ACTIONS(1344),
    [anon_sym_inout] = ACTIONS(1344),
    [anon_sym_uniform] = ACTIONS(1344),
    [anon_sym_shared] = ACTIONS(1344),
    [anon_sym_attribute] = ACTIONS(1344),
    [anon_sym_varying] = ACTIONS(1344),
    [anon_sym_buffer] = ACTIONS(1344),
    [anon_sym_coherent] = ACTIONS(1344),
    [anon_sym_readonly] = ACTIONS(1344),
    [anon_sym_writeonly] = ACTIONS(1344),
    [anon_sym_precision] = ACTIONS(1344),
    [anon_sym_highp] = ACTIONS(1344),
    [anon_sym_mediump] = ACTIONS(1344),
    [anon_sym_lowp] = ACTIONS(1344),
    [anon_sym_centroid] = ACTIONS(1344),
    [anon_sym_sample] = ACTIONS(1344),
    [anon_sym_patch] = ACTIONS(1344),
    [anon_sym_smooth] = ACTIONS(1344),
    [anon_sym_flat] = ACTIONS(1344),
    [anon_sym_noperspective] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1344),
    [anon_sym_hitAttributeEXT] = ACTIONS(1344),
    [anon_sym_callableDataEXT] = ACTIONS(1344),
    [anon_sym_callableDataInEXT] = ACTIONS(1344),
    [anon_sym_shaderRecordEXT] = ACTIONS(1344),
    [anon_sym_rayPayloadNV] = ACTIONS(1344),
    [anon_sym_rayPayloadInNV] = ACTIONS(1344),
    [anon_sym_hitAttributeNV] = ACTIONS(1344),
    [anon_sym_callableDataNV] = ACTIONS(1344),
    [anon_sym_callableDataInNV] = ACTIONS(1344),
    [anon_sym_shaderRecordNV] = ACTIONS(1344),
    [anon_sym_layout] = ACTIONS(1344),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_subroutine] = ACTIONS(1348),
    [anon_sym_invariant] = ACTIONS(1348),
    [anon_sym_precise] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_out] = ACTIONS(1348),
    [anon_sym_inout] = ACTIONS(1348),
    [anon_sym_uniform] = ACTIONS(1348),
    [anon_sym_shared] = ACTIONS(1348),
    [anon_sym_attribute] = ACTIONS(1348),
    [anon_sym_varying] = ACTIONS(1348),
    [anon_sym_buffer] = ACTIONS(1348),
    [anon_sym_coherent] = ACTIONS(1348),
    [anon_sym_readonly] = ACTIONS(1348),
    [anon_sym_writeonly] = ACTIONS(1348),
    [anon_sym_precision] = ACTIONS(1348),
    [anon_sym_highp] = ACTIONS(1348),
    [anon_sym_mediump] = ACTIONS(1348),
    [anon_sym_lowp] = ACTIONS(1348),
    [anon_sym_centroid] = ACTIONS(1348),
    [anon_sym_sample] = ACTIONS(1348),
    [anon_sym_patch] = ACTIONS(1348),
    [anon_sym_smooth] = ACTIONS(1348),
    [anon_sym_flat] = ACTIONS(1348),
    [anon_sym_noperspective] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1348),
    [anon_sym_hitAttributeEXT] = ACTIONS(1348),
    [anon_sym_callableDataEXT] = ACTIONS(1348),
    [anon_sym_callableDataInEXT] = ACTIONS(1348),
    [anon_sym_shaderRecordEXT] = ACTIONS(1348),
    [anon_sym_rayPayloadNV] = ACTIONS(1348),
    [anon_sym_rayPayloadInNV] = ACTIONS(1348),
    [anon_sym_hitAttributeNV] = ACTIONS(1348),
    [anon_sym_callableDataNV] = ACTIONS(1348),
    [anon_sym_callableDataInNV] = ACTIONS(1348),
    [anon_sym_shaderRecordNV] = ACTIONS(1348),
    [anon_sym_layout] = ACTIONS(1348),
  },
  [306] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_subroutine] = ACTIONS(1352),
    [anon_sym_invariant] = ACTIONS(1352),
    [anon_sym_precise] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1352),
    [anon_sym_out] = ACTIONS(1352),
    [anon_sym_inout] = ACTIONS(1352),
    [anon_sym_uniform] = ACTIONS(1352),
    [anon_sym_shared] = ACTIONS(1352),
    [anon_sym_attribute] = ACTIONS(1352),
    [anon_sym_varying] = ACTIONS(1352),
    [anon_sym_buffer] = ACTIONS(1352),
    [anon_sym_coherent] = ACTIONS(1352),
    [anon_sym_readonly] = ACTIONS(1352),
    [anon_sym_writeonly] = ACTIONS(1352),
    [anon_sym_precision] = ACTIONS(1352),
    [anon_sym_highp] = ACTIONS(1352),
    [anon_sym_mediump] = ACTIONS(1352),
    [anon_sym_lowp] = ACTIONS(1352),
    [anon_sym_centroid] = ACTIONS(1352),
    [anon_sym_sample] = ACTIONS(1352),
    [anon_sym_patch] = ACTIONS(1352),
    [anon_sym_smooth] = ACTIONS(1352),
    [anon_sym_flat] = ACTIONS(1352),
    [anon_sym_noperspective] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1352),
    [anon_sym_hitAttributeEXT] = ACTIONS(1352),
    [anon_sym_callableDataEXT] = ACTIONS(1352),
    [anon_sym_callableDataInEXT] = ACTIONS(1352),
    [anon_sym_shaderRecordEXT] = ACTIONS(1352),
    [anon_sym_rayPayloadNV] = ACTIONS(1352),
    [anon_sym_rayPayloadInNV] = ACTIONS(1352),
    [anon_sym_hitAttributeNV] = ACTIONS(1352),
    [anon_sym_callableDataNV] = ACTIONS(1352),
    [anon_sym_callableDataInNV] = ACTIONS(1352),
    [anon_sym_shaderRecordNV] = ACTIONS(1352),
    [anon_sym_layout] = ACTIONS(1352),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_subroutine] = ACTIONS(1252),
    [anon_sym_invariant] = ACTIONS(1252),
    [anon_sym_precise] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_in] = ACTIONS(1252),
    [anon_sym_out] = ACTIONS(1252),
    [anon_sym_inout] = ACTIONS(1252),
    [anon_sym_uniform] = ACTIONS(1252),
    [anon_sym_shared] = ACTIONS(1252),
    [anon_sym_attribute] = ACTIONS(1252),
    [anon_sym_varying] = ACTIONS(1252),
    [anon_sym_buffer] = ACTIONS(1252),
    [anon_sym_coherent] = ACTIONS(1252),
    [anon_sym_readonly] = ACTIONS(1252),
    [anon_sym_writeonly] = ACTIONS(1252),
    [anon_sym_precision] = ACTIONS(1252),
    [anon_sym_highp] = ACTIONS(1252),
    [anon_sym_mediump] = ACTIONS(1252),
    [anon_sym_lowp] = ACTIONS(1252),
    [anon_sym_centroid] = ACTIONS(1252),
    [anon_sym_sample] = ACTIONS(1252),
    [anon_sym_patch] = ACTIONS(1252),
    [anon_sym_smooth] = ACTIONS(1252),
    [anon_sym_flat] = ACTIONS(1252),
    [anon_sym_noperspective] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym___attribute] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym__Nonnull] = ACTIONS(1252),
    [anon_sym_alignas] = ACTIONS(1252),
    [anon_sym__Alignas] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1252),
    [anon_sym___leave] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [anon_sym___asm] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1252),
    [anon_sym_hitAttributeEXT] = ACTIONS(1252),
    [anon_sym_callableDataEXT] = ACTIONS(1252),
    [anon_sym_callableDataInEXT] = ACTIONS(1252),
    [anon_sym_shaderRecordEXT] = ACTIONS(1252),
    [anon_sym_rayPayloadNV] = ACTIONS(1252),
    [anon_sym_rayPayloadInNV] = ACTIONS(1252),
    [anon_sym_hitAttributeNV] = ACTIONS(1252),
    [anon_sym_callableDataNV] = ACTIONS(1252),
    [anon_sym_callableDataInNV] = ACTIONS(1252),
    [anon_sym_shaderRecordNV] = ACTIONS(1252),
    [anon_sym_layout] = ACTIONS(1252),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_subroutine] = ACTIONS(1368),
    [anon_sym_invariant] = ACTIONS(1368),
    [anon_sym_precise] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_in] = ACTIONS(1368),
    [anon_sym_out] = ACTIONS(1368),
    [anon_sym_inout] = ACTIONS(1368),
    [anon_sym_uniform] = ACTIONS(1368),
    [anon_sym_shared] = ACTIONS(1368),
    [anon_sym_attribute] = ACTIONS(1368),
    [anon_sym_varying] = ACTIONS(1368),
    [anon_sym_buffer] = ACTIONS(1368),
    [anon_sym_coherent] = ACTIONS(1368),
    [anon_sym_readonly] = ACTIONS(1368),
    [anon_sym_writeonly] = ACTIONS(1368),
    [anon_sym_precision] = ACTIONS(1368),
    [anon_sym_highp] = ACTIONS(1368),
    [anon_sym_mediump] = ACTIONS(1368),
    [anon_sym_lowp] = ACTIONS(1368),
    [anon_sym_centroid] = ACTIONS(1368),
    [anon_sym_sample] = ACTIONS(1368),
    [anon_sym_patch] = ACTIONS(1368),
    [anon_sym_smooth] = ACTIONS(1368),
    [anon_sym_flat] = ACTIONS(1368),
    [anon_sym_noperspective] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_else] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym___try] = ACTIONS(1368),
    [anon_sym___leave] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1368),
    [anon_sym_hitAttributeEXT] = ACTIONS(1368),
    [anon_sym_callableDataEXT] = ACTIONS(1368),
    [anon_sym_callableDataInEXT] = ACTIONS(1368),
    [anon_sym_shaderRecordEXT] = ACTIONS(1368),
    [anon_sym_rayPayloadNV] = ACTIONS(1368),
    [anon_sym_rayPayloadInNV] = ACTIONS(1368),
    [anon_sym_hitAttributeNV] = ACTIONS(1368),
    [anon_sym_callableDataNV] = ACTIONS(1368),
    [anon_sym_callableDataInNV] = ACTIONS(1368),
    [anon_sym_shaderRecordNV] = ACTIONS(1368),
    [anon_sym_layout] = ACTIONS(1368),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_subroutine] = ACTIONS(1372),
    [anon_sym_invariant] = ACTIONS(1372),
    [anon_sym_precise] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_in] = ACTIONS(1372),
    [anon_sym_out] = ACTIONS(1372),
    [anon_sym_inout] = ACTIONS(1372),
    [anon_sym_uniform] = ACTIONS(1372),
    [anon_sym_shared] = ACTIONS(1372),
    [anon_sym_attribute] = ACTIONS(1372),
    [anon_sym_varying] = ACTIONS(1372),
    [anon_sym_buffer] = ACTIONS(1372),
    [anon_sym_coherent] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_writeonly] = ACTIONS(1372),
    [anon_sym_precision] = ACTIONS(1372),
    [anon_sym_highp] = ACTIONS(1372),
    [anon_sym_mediump] = ACTIONS(1372),
    [anon_sym_lowp] = ACTIONS(1372),
    [anon_sym_centroid] = ACTIONS(1372),
    [anon_sym_sample] = ACTIONS(1372),
    [anon_sym_patch] = ACTIONS(1372),
    [anon_sym_smooth] = ACTIONS(1372),
    [anon_sym_flat] = ACTIONS(1372),
    [anon_sym_noperspective] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_else] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym___try] = ACTIONS(1372),
    [anon_sym___leave] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1372),
    [anon_sym_hitAttributeEXT] = ACTIONS(1372),
    [anon_sym_callableDataEXT] = ACTIONS(1372),
    [anon_sym_callableDataInEXT] = ACTIONS(1372),
    [anon_sym_shaderRecordEXT] = ACTIONS(1372),
    [anon_sym_rayPayloadNV] = ACTIONS(1372),
    [anon_sym_rayPayloadInNV] = ACTIONS(1372),
    [anon_sym_hitAttributeNV] = ACTIONS(1372),
    [anon_sym_callableDataNV] = ACTIONS(1372),
    [anon_sym_callableDataInNV] = ACTIONS(1372),
    [anon_sym_shaderRecordNV] = ACTIONS(1372),
    [anon_sym_layout] = ACTIONS(1372),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_subroutine] = ACTIONS(1304),
    [anon_sym_invariant] = ACTIONS(1304),
    [anon_sym_precise] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_in] = ACTIONS(1304),
    [anon_sym_out] = ACTIONS(1304),
    [anon_sym_inout] = ACTIONS(1304),
    [anon_sym_uniform] = ACTIONS(1304),
    [anon_sym_shared] = ACTIONS(1304),
    [anon_sym_attribute] = ACTIONS(1304),
    [anon_sym_varying] = ACTIONS(1304),
    [anon_sym_buffer] = ACTIONS(1304),
    [anon_sym_coherent] = ACTIONS(1304),
    [anon_sym_readonly] = ACTIONS(1304),
    [anon_sym_writeonly] = ACTIONS(1304),
    [anon_sym_precision] = ACTIONS(1304),
    [anon_sym_highp] = ACTIONS(1304),
    [anon_sym_mediump] = ACTIONS(1304),
    [anon_sym_lowp] = ACTIONS(1304),
    [anon_sym_centroid] = ACTIONS(1304),
    [anon_sym_sample] = ACTIONS(1304),
    [anon_sym_patch] = ACTIONS(1304),
    [anon_sym_smooth] = ACTIONS(1304),
    [anon_sym_flat] = ACTIONS(1304),
    [anon_sym_noperspective] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1304),
    [anon_sym_hitAttributeEXT] = ACTIONS(1304),
    [anon_sym_callableDataEXT] = ACTIONS(1304),
    [anon_sym_callableDataInEXT] = ACTIONS(1304),
    [anon_sym_shaderRecordEXT] = ACTIONS(1304),
    [anon_sym_rayPayloadNV] = ACTIONS(1304),
    [anon_sym_rayPayloadInNV] = ACTIONS(1304),
    [anon_sym_hitAttributeNV] = ACTIONS(1304),
    [anon_sym_callableDataNV] = ACTIONS(1304),
    [anon_sym_callableDataInNV] = ACTIONS(1304),
    [anon_sym_shaderRecordNV] = ACTIONS(1304),
    [anon_sym_layout] = ACTIONS(1304),
  },
  [311] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [312] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_subroutine] = ACTIONS(1256),
    [anon_sym_invariant] = ACTIONS(1256),
    [anon_sym_precise] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1256),
    [anon_sym_out] = ACTIONS(1256),
    [anon_sym_inout] = ACTIONS(1256),
    [anon_sym_uniform] = ACTIONS(1256),
    [anon_sym_shared] = ACTIONS(1256),
    [anon_sym_attribute] = ACTIONS(1256),
    [anon_sym_varying] = ACTIONS(1256),
    [anon_sym_buffer] = ACTIONS(1256),
    [anon_sym_coherent] = ACTIONS(1256),
    [anon_sym_readonly] = ACTIONS(1256),
    [anon_sym_writeonly] = ACTIONS(1256),
    [anon_sym_precision] = ACTIONS(1256),
    [anon_sym_highp] = ACTIONS(1256),
    [anon_sym_mediump] = ACTIONS(1256),
    [anon_sym_lowp] = ACTIONS(1256),
    [anon_sym_centroid] = ACTIONS(1256),
    [anon_sym_sample] = ACTIONS(1256),
    [anon_sym_patch] = ACTIONS(1256),
    [anon_sym_smooth] = ACTIONS(1256),
    [anon_sym_flat] = ACTIONS(1256),
    [anon_sym_noperspective] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym___attribute] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym__Nonnull] = ACTIONS(1256),
    [anon_sym_alignas] = ACTIONS(1256),
    [anon_sym__Alignas] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [anon_sym___asm] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1256),
    [anon_sym_hitAttributeEXT] = ACTIONS(1256),
    [anon_sym_callableDataEXT] = ACTIONS(1256),
    [anon_sym_callableDataInEXT] = ACTIONS(1256),
    [anon_sym_shaderRecordEXT] = ACTIONS(1256),
    [anon_sym_rayPayloadNV] = ACTIONS(1256),
    [anon_sym_rayPayloadInNV] = ACTIONS(1256),
    [anon_sym_hitAttributeNV] = ACTIONS(1256),
    [anon_sym_callableDataNV] = ACTIONS(1256),
    [anon_sym_callableDataInNV] = ACTIONS(1256),
    [anon_sym_shaderRecordNV] = ACTIONS(1256),
    [anon_sym_layout] = ACTIONS(1256),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_identifier] = ACTIONS(1392),
    [aux_sym_preproc_include_token1] = ACTIONS(1392),
    [aux_sym_preproc_def_token1] = ACTIONS(1392),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_subroutine] = ACTIONS(1392),
    [anon_sym_invariant] = ACTIONS(1392),
    [anon_sym_precise] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_in] = ACTIONS(1392),
    [anon_sym_out] = ACTIONS(1392),
    [anon_sym_inout] = ACTIONS(1392),
    [anon_sym_uniform] = ACTIONS(1392),
    [anon_sym_shared] = ACTIONS(1392),
    [anon_sym_attribute] = ACTIONS(1392),
    [anon_sym_varying] = ACTIONS(1392),
    [anon_sym_buffer] = ACTIONS(1392),
    [anon_sym_coherent] = ACTIONS(1392),
    [anon_sym_readonly] = ACTIONS(1392),
    [anon_sym_writeonly] = ACTIONS(1392),
    [anon_sym_precision] = ACTIONS(1392),
    [anon_sym_highp] = ACTIONS(1392),
    [anon_sym_mediump] = ACTIONS(1392),
    [anon_sym_lowp] = ACTIONS(1392),
    [anon_sym_centroid] = ACTIONS(1392),
    [anon_sym_sample] = ACTIONS(1392),
    [anon_sym_patch] = ACTIONS(1392),
    [anon_sym_smooth] = ACTIONS(1392),
    [anon_sym_flat] = ACTIONS(1392),
    [anon_sym_noperspective] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1392),
    [anon_sym_typedef] = ACTIONS(1392),
    [anon_sym_extern] = ACTIONS(1392),
    [anon_sym___attribute__] = ACTIONS(1392),
    [anon_sym___attribute] = ACTIONS(1392),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1394),
    [anon_sym___declspec] = ACTIONS(1392),
    [anon_sym___cdecl] = ACTIONS(1392),
    [anon_sym___clrcall] = ACTIONS(1392),
    [anon_sym___stdcall] = ACTIONS(1392),
    [anon_sym___fastcall] = ACTIONS(1392),
    [anon_sym___thiscall] = ACTIONS(1392),
    [anon_sym___vectorcall] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1392),
    [anon_sym_unsigned] = ACTIONS(1392),
    [anon_sym_long] = ACTIONS(1392),
    [anon_sym_short] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_auto] = ACTIONS(1392),
    [anon_sym_register] = ACTIONS(1392),
    [anon_sym_inline] = ACTIONS(1392),
    [anon_sym___inline] = ACTIONS(1392),
    [anon_sym___inline__] = ACTIONS(1392),
    [anon_sym___forceinline] = ACTIONS(1392),
    [anon_sym_thread_local] = ACTIONS(1392),
    [anon_sym___thread] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_constexpr] = ACTIONS(1392),
    [anon_sym_volatile] = ACTIONS(1392),
    [anon_sym_restrict] = ACTIONS(1392),
    [anon_sym___restrict__] = ACTIONS(1392),
    [anon_sym__Atomic] = ACTIONS(1392),
    [anon_sym__Noreturn] = ACTIONS(1392),
    [anon_sym_noreturn] = ACTIONS(1392),
    [anon_sym__Nonnull] = ACTIONS(1392),
    [anon_sym_alignas] = ACTIONS(1392),
    [anon_sym__Alignas] = ACTIONS(1392),
    [sym_primitive_type] = ACTIONS(1392),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_struct] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_case] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_goto] = ACTIONS(1392),
    [anon_sym___try] = ACTIONS(1392),
    [anon_sym___leave] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_sizeof] = ACTIONS(1392),
    [anon_sym___alignof__] = ACTIONS(1392),
    [anon_sym___alignof] = ACTIONS(1392),
    [anon_sym__alignof] = ACTIONS(1392),
    [anon_sym_alignof] = ACTIONS(1392),
    [anon_sym__Alignof] = ACTIONS(1392),
    [anon_sym_offsetof] = ACTIONS(1392),
    [anon_sym__Generic] = ACTIONS(1392),
    [anon_sym_asm] = ACTIONS(1392),
    [anon_sym___asm__] = ACTIONS(1392),
    [anon_sym___asm] = ACTIONS(1392),
    [sym_number_literal] = ACTIONS(1394),
    [anon_sym_L_SQUOTE] = ACTIONS(1394),
    [anon_sym_u_SQUOTE] = ACTIONS(1394),
    [anon_sym_U_SQUOTE] = ACTIONS(1394),
    [anon_sym_u8_SQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_L_DQUOTE] = ACTIONS(1394),
    [anon_sym_u_DQUOTE] = ACTIONS(1394),
    [anon_sym_U_DQUOTE] = ACTIONS(1394),
    [anon_sym_u8_DQUOTE] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [sym_true] = ACTIONS(1392),
    [sym_false] = ACTIONS(1392),
    [anon_sym_NULL] = ACTIONS(1392),
    [anon_sym_nullptr] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1392),
    [anon_sym_hitAttributeEXT] = ACTIONS(1392),
    [anon_sym_callableDataEXT] = ACTIONS(1392),
    [anon_sym_callableDataInEXT] = ACTIONS(1392),
    [anon_sym_shaderRecordEXT] = ACTIONS(1392),
    [anon_sym_rayPayloadNV] = ACTIONS(1392),
    [anon_sym_rayPayloadInNV] = ACTIONS(1392),
    [anon_sym_hitAttributeNV] = ACTIONS(1392),
    [anon_sym_callableDataNV] = ACTIONS(1392),
    [anon_sym_callableDataInNV] = ACTIONS(1392),
    [anon_sym_shaderRecordNV] = ACTIONS(1392),
    [anon_sym_layout] = ACTIONS(1392),
  },
  [314] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_subroutine] = ACTIONS(1260),
    [anon_sym_invariant] = ACTIONS(1260),
    [anon_sym_precise] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1260),
    [anon_sym_out] = ACTIONS(1260),
    [anon_sym_inout] = ACTIONS(1260),
    [anon_sym_uniform] = ACTIONS(1260),
    [anon_sym_shared] = ACTIONS(1260),
    [anon_sym_attribute] = ACTIONS(1260),
    [anon_sym_varying] = ACTIONS(1260),
    [anon_sym_buffer] = ACTIONS(1260),
    [anon_sym_coherent] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_writeonly] = ACTIONS(1260),
    [anon_sym_precision] = ACTIONS(1260),
    [anon_sym_highp] = ACTIONS(1260),
    [anon_sym_mediump] = ACTIONS(1260),
    [anon_sym_lowp] = ACTIONS(1260),
    [anon_sym_centroid] = ACTIONS(1260),
    [anon_sym_sample] = ACTIONS(1260),
    [anon_sym_patch] = ACTIONS(1260),
    [anon_sym_smooth] = ACTIONS(1260),
    [anon_sym_flat] = ACTIONS(1260),
    [anon_sym_noperspective] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym___attribute] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym__Nonnull] = ACTIONS(1260),
    [anon_sym_alignas] = ACTIONS(1260),
    [anon_sym__Alignas] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym___try] = ACTIONS(1260),
    [anon_sym___leave] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [anon_sym___asm] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1260),
    [anon_sym_hitAttributeEXT] = ACTIONS(1260),
    [anon_sym_callableDataEXT] = ACTIONS(1260),
    [anon_sym_callableDataInEXT] = ACTIONS(1260),
    [anon_sym_shaderRecordEXT] = ACTIONS(1260),
    [anon_sym_rayPayloadNV] = ACTIONS(1260),
    [anon_sym_rayPayloadInNV] = ACTIONS(1260),
    [anon_sym_hitAttributeNV] = ACTIONS(1260),
    [anon_sym_callableDataNV] = ACTIONS(1260),
    [anon_sym_callableDataInNV] = ACTIONS(1260),
    [anon_sym_shaderRecordNV] = ACTIONS(1260),
    [anon_sym_layout] = ACTIONS(1260),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_subroutine] = ACTIONS(1376),
    [anon_sym_invariant] = ACTIONS(1376),
    [anon_sym_precise] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_in] = ACTIONS(1376),
    [anon_sym_out] = ACTIONS(1376),
    [anon_sym_inout] = ACTIONS(1376),
    [anon_sym_uniform] = ACTIONS(1376),
    [anon_sym_shared] = ACTIONS(1376),
    [anon_sym_attribute] = ACTIONS(1376),
    [anon_sym_varying] = ACTIONS(1376),
    [anon_sym_buffer] = ACTIONS(1376),
    [anon_sym_coherent] = ACTIONS(1376),
    [anon_sym_readonly] = ACTIONS(1376),
    [anon_sym_writeonly] = ACTIONS(1376),
    [anon_sym_precision] = ACTIONS(1376),
    [anon_sym_highp] = ACTIONS(1376),
    [anon_sym_mediump] = ACTIONS(1376),
    [anon_sym_lowp] = ACTIONS(1376),
    [anon_sym_centroid] = ACTIONS(1376),
    [anon_sym_sample] = ACTIONS(1376),
    [anon_sym_patch] = ACTIONS(1376),
    [anon_sym_smooth] = ACTIONS(1376),
    [anon_sym_flat] = ACTIONS(1376),
    [anon_sym_noperspective] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_else] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym___try] = ACTIONS(1376),
    [anon_sym___leave] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1376),
    [anon_sym_hitAttributeEXT] = ACTIONS(1376),
    [anon_sym_callableDataEXT] = ACTIONS(1376),
    [anon_sym_callableDataInEXT] = ACTIONS(1376),
    [anon_sym_shaderRecordEXT] = ACTIONS(1376),
    [anon_sym_rayPayloadNV] = ACTIONS(1376),
    [anon_sym_rayPayloadInNV] = ACTIONS(1376),
    [anon_sym_hitAttributeNV] = ACTIONS(1376),
    [anon_sym_callableDataNV] = ACTIONS(1376),
    [anon_sym_callableDataInNV] = ACTIONS(1376),
    [anon_sym_shaderRecordNV] = ACTIONS(1376),
    [anon_sym_layout] = ACTIONS(1376),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_subroutine] = ACTIONS(1380),
    [anon_sym_invariant] = ACTIONS(1380),
    [anon_sym_precise] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_in] = ACTIONS(1380),
    [anon_sym_out] = ACTIONS(1380),
    [anon_sym_inout] = ACTIONS(1380),
    [anon_sym_uniform] = ACTIONS(1380),
    [anon_sym_shared] = ACTIONS(1380),
    [anon_sym_attribute] = ACTIONS(1380),
    [anon_sym_varying] = ACTIONS(1380),
    [anon_sym_buffer] = ACTIONS(1380),
    [anon_sym_coherent] = ACTIONS(1380),
    [anon_sym_readonly] = ACTIONS(1380),
    [anon_sym_writeonly] = ACTIONS(1380),
    [anon_sym_precision] = ACTIONS(1380),
    [anon_sym_highp] = ACTIONS(1380),
    [anon_sym_mediump] = ACTIONS(1380),
    [anon_sym_lowp] = ACTIONS(1380),
    [anon_sym_centroid] = ACTIONS(1380),
    [anon_sym_sample] = ACTIONS(1380),
    [anon_sym_patch] = ACTIONS(1380),
    [anon_sym_smooth] = ACTIONS(1380),
    [anon_sym_flat] = ACTIONS(1380),
    [anon_sym_noperspective] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1380),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym___attribute] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym___inline] = ACTIONS(1380),
    [anon_sym___inline__] = ACTIONS(1380),
    [anon_sym___forceinline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym___thread] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym__Nonnull] = ACTIONS(1380),
    [anon_sym_alignas] = ACTIONS(1380),
    [anon_sym__Alignas] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_else] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym___try] = ACTIONS(1380),
    [anon_sym___leave] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym___alignof__] = ACTIONS(1380),
    [anon_sym___alignof] = ACTIONS(1380),
    [anon_sym__alignof] = ACTIONS(1380),
    [anon_sym_alignof] = ACTIONS(1380),
    [anon_sym__Alignof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [anon_sym___asm] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1380),
    [anon_sym_hitAttributeEXT] = ACTIONS(1380),
    [anon_sym_callableDataEXT] = ACTIONS(1380),
    [anon_sym_callableDataInEXT] = ACTIONS(1380),
    [anon_sym_shaderRecordEXT] = ACTIONS(1380),
    [anon_sym_rayPayloadNV] = ACTIONS(1380),
    [anon_sym_rayPayloadInNV] = ACTIONS(1380),
    [anon_sym_hitAttributeNV] = ACTIONS(1380),
    [anon_sym_callableDataNV] = ACTIONS(1380),
    [anon_sym_callableDataInNV] = ACTIONS(1380),
    [anon_sym_shaderRecordNV] = ACTIONS(1380),
    [anon_sym_layout] = ACTIONS(1380),
  },
  [317] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_subroutine] = ACTIONS(1384),
    [anon_sym_invariant] = ACTIONS(1384),
    [anon_sym_precise] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_in] = ACTIONS(1384),
    [anon_sym_out] = ACTIONS(1384),
    [anon_sym_inout] = ACTIONS(1384),
    [anon_sym_uniform] = ACTIONS(1384),
    [anon_sym_shared] = ACTIONS(1384),
    [anon_sym_attribute] = ACTIONS(1384),
    [anon_sym_varying] = ACTIONS(1384),
    [anon_sym_buffer] = ACTIONS(1384),
    [anon_sym_coherent] = ACTIONS(1384),
    [anon_sym_readonly] = ACTIONS(1384),
    [anon_sym_writeonly] = ACTIONS(1384),
    [anon_sym_precision] = ACTIONS(1384),
    [anon_sym_highp] = ACTIONS(1384),
    [anon_sym_mediump] = ACTIONS(1384),
    [anon_sym_lowp] = ACTIONS(1384),
    [anon_sym_centroid] = ACTIONS(1384),
    [anon_sym_sample] = ACTIONS(1384),
    [anon_sym_patch] = ACTIONS(1384),
    [anon_sym_smooth] = ACTIONS(1384),
    [anon_sym_flat] = ACTIONS(1384),
    [anon_sym_noperspective] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1384),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym___attribute] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym___inline] = ACTIONS(1384),
    [anon_sym___inline__] = ACTIONS(1384),
    [anon_sym___forceinline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym___thread] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym__Nonnull] = ACTIONS(1384),
    [anon_sym_alignas] = ACTIONS(1384),
    [anon_sym__Alignas] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym___try] = ACTIONS(1384),
    [anon_sym___leave] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym___alignof__] = ACTIONS(1384),
    [anon_sym___alignof] = ACTIONS(1384),
    [anon_sym__alignof] = ACTIONS(1384),
    [anon_sym_alignof] = ACTIONS(1384),
    [anon_sym__Alignof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [anon_sym___asm] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1384),
    [anon_sym_hitAttributeEXT] = ACTIONS(1384),
    [anon_sym_callableDataEXT] = ACTIONS(1384),
    [anon_sym_callableDataInEXT] = ACTIONS(1384),
    [anon_sym_shaderRecordEXT] = ACTIONS(1384),
    [anon_sym_rayPayloadNV] = ACTIONS(1384),
    [anon_sym_rayPayloadInNV] = ACTIONS(1384),
    [anon_sym_hitAttributeNV] = ACTIONS(1384),
    [anon_sym_callableDataNV] = ACTIONS(1384),
    [anon_sym_callableDataInNV] = ACTIONS(1384),
    [anon_sym_shaderRecordNV] = ACTIONS(1384),
    [anon_sym_layout] = ACTIONS(1384),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_subroutine] = ACTIONS(1264),
    [anon_sym_invariant] = ACTIONS(1264),
    [anon_sym_precise] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_in] = ACTIONS(1264),
    [anon_sym_out] = ACTIONS(1264),
    [anon_sym_inout] = ACTIONS(1264),
    [anon_sym_uniform] = ACTIONS(1264),
    [anon_sym_shared] = ACTIONS(1264),
    [anon_sym_attribute] = ACTIONS(1264),
    [anon_sym_varying] = ACTIONS(1264),
    [anon_sym_buffer] = ACTIONS(1264),
    [anon_sym_coherent] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_writeonly] = ACTIONS(1264),
    [anon_sym_precision] = ACTIONS(1264),
    [anon_sym_highp] = ACTIONS(1264),
    [anon_sym_mediump] = ACTIONS(1264),
    [anon_sym_lowp] = ACTIONS(1264),
    [anon_sym_centroid] = ACTIONS(1264),
    [anon_sym_sample] = ACTIONS(1264),
    [anon_sym_patch] = ACTIONS(1264),
    [anon_sym_smooth] = ACTIONS(1264),
    [anon_sym_flat] = ACTIONS(1264),
    [anon_sym_noperspective] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym___attribute] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym__Nonnull] = ACTIONS(1264),
    [anon_sym_alignas] = ACTIONS(1264),
    [anon_sym__Alignas] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym___try] = ACTIONS(1264),
    [anon_sym___leave] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [anon_sym___asm] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1264),
    [anon_sym_hitAttributeEXT] = ACTIONS(1264),
    [anon_sym_callableDataEXT] = ACTIONS(1264),
    [anon_sym_callableDataInEXT] = ACTIONS(1264),
    [anon_sym_shaderRecordEXT] = ACTIONS(1264),
    [anon_sym_rayPayloadNV] = ACTIONS(1264),
    [anon_sym_rayPayloadInNV] = ACTIONS(1264),
    [anon_sym_hitAttributeNV] = ACTIONS(1264),
    [anon_sym_callableDataNV] = ACTIONS(1264),
    [anon_sym_callableDataInNV] = ACTIONS(1264),
    [anon_sym_shaderRecordNV] = ACTIONS(1264),
    [anon_sym_layout] = ACTIONS(1264),
  },
  [319] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_subroutine] = ACTIONS(1268),
    [anon_sym_invariant] = ACTIONS(1268),
    [anon_sym_precise] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_in] = ACTIONS(1268),
    [anon_sym_out] = ACTIONS(1268),
    [anon_sym_inout] = ACTIONS(1268),
    [anon_sym_uniform] = ACTIONS(1268),
    [anon_sym_shared] = ACTIONS(1268),
    [anon_sym_attribute] = ACTIONS(1268),
    [anon_sym_varying] = ACTIONS(1268),
    [anon_sym_buffer] = ACTIONS(1268),
    [anon_sym_coherent] = ACTIONS(1268),
    [anon_sym_readonly] = ACTIONS(1268),
    [anon_sym_writeonly] = ACTIONS(1268),
    [anon_sym_precision] = ACTIONS(1268),
    [anon_sym_highp] = ACTIONS(1268),
    [anon_sym_mediump] = ACTIONS(1268),
    [anon_sym_lowp] = ACTIONS(1268),
    [anon_sym_centroid] = ACTIONS(1268),
    [anon_sym_sample] = ACTIONS(1268),
    [anon_sym_patch] = ACTIONS(1268),
    [anon_sym_smooth] = ACTIONS(1268),
    [anon_sym_flat] = ACTIONS(1268),
    [anon_sym_noperspective] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym___attribute] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym__Nonnull] = ACTIONS(1268),
    [anon_sym_alignas] = ACTIONS(1268),
    [anon_sym__Alignas] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [anon_sym___asm] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1268),
    [anon_sym_hitAttributeEXT] = ACTIONS(1268),
    [anon_sym_callableDataEXT] = ACTIONS(1268),
    [anon_sym_callableDataInEXT] = ACTIONS(1268),
    [anon_sym_shaderRecordEXT] = ACTIONS(1268),
    [anon_sym_rayPayloadNV] = ACTIONS(1268),
    [anon_sym_rayPayloadInNV] = ACTIONS(1268),
    [anon_sym_hitAttributeNV] = ACTIONS(1268),
    [anon_sym_callableDataNV] = ACTIONS(1268),
    [anon_sym_callableDataInNV] = ACTIONS(1268),
    [anon_sym_shaderRecordNV] = ACTIONS(1268),
    [anon_sym_layout] = ACTIONS(1268),
  },
  [320] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_subroutine] = ACTIONS(1364),
    [anon_sym_invariant] = ACTIONS(1364),
    [anon_sym_precise] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_in] = ACTIONS(1364),
    [anon_sym_out] = ACTIONS(1364),
    [anon_sym_inout] = ACTIONS(1364),
    [anon_sym_uniform] = ACTIONS(1364),
    [anon_sym_shared] = ACTIONS(1364),
    [anon_sym_attribute] = ACTIONS(1364),
    [anon_sym_varying] = ACTIONS(1364),
    [anon_sym_buffer] = ACTIONS(1364),
    [anon_sym_coherent] = ACTIONS(1364),
    [anon_sym_readonly] = ACTIONS(1364),
    [anon_sym_writeonly] = ACTIONS(1364),
    [anon_sym_precision] = ACTIONS(1364),
    [anon_sym_highp] = ACTIONS(1364),
    [anon_sym_mediump] = ACTIONS(1364),
    [anon_sym_lowp] = ACTIONS(1364),
    [anon_sym_centroid] = ACTIONS(1364),
    [anon_sym_sample] = ACTIONS(1364),
    [anon_sym_patch] = ACTIONS(1364),
    [anon_sym_smooth] = ACTIONS(1364),
    [anon_sym_flat] = ACTIONS(1364),
    [anon_sym_noperspective] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_else] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym___try] = ACTIONS(1364),
    [anon_sym___leave] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1364),
    [anon_sym_hitAttributeEXT] = ACTIONS(1364),
    [anon_sym_callableDataEXT] = ACTIONS(1364),
    [anon_sym_callableDataInEXT] = ACTIONS(1364),
    [anon_sym_shaderRecordEXT] = ACTIONS(1364),
    [anon_sym_rayPayloadNV] = ACTIONS(1364),
    [anon_sym_rayPayloadInNV] = ACTIONS(1364),
    [anon_sym_hitAttributeNV] = ACTIONS(1364),
    [anon_sym_callableDataNV] = ACTIONS(1364),
    [anon_sym_callableDataInNV] = ACTIONS(1364),
    [anon_sym_shaderRecordNV] = ACTIONS(1364),
    [anon_sym_layout] = ACTIONS(1364),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_subroutine] = ACTIONS(1440),
    [anon_sym_invariant] = ACTIONS(1440),
    [anon_sym_precise] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_in] = ACTIONS(1440),
    [anon_sym_out] = ACTIONS(1440),
    [anon_sym_inout] = ACTIONS(1440),
    [anon_sym_uniform] = ACTIONS(1440),
    [anon_sym_shared] = ACTIONS(1440),
    [anon_sym_attribute] = ACTIONS(1440),
    [anon_sym_varying] = ACTIONS(1440),
    [anon_sym_buffer] = ACTIONS(1440),
    [anon_sym_coherent] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_writeonly] = ACTIONS(1440),
    [anon_sym_precision] = ACTIONS(1440),
    [anon_sym_highp] = ACTIONS(1440),
    [anon_sym_mediump] = ACTIONS(1440),
    [anon_sym_lowp] = ACTIONS(1440),
    [anon_sym_centroid] = ACTIONS(1440),
    [anon_sym_sample] = ACTIONS(1440),
    [anon_sym_patch] = ACTIONS(1440),
    [anon_sym_smooth] = ACTIONS(1440),
    [anon_sym_flat] = ACTIONS(1440),
    [anon_sym_noperspective] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym___attribute] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [anon_sym__Nonnull] = ACTIONS(1440),
    [anon_sym_alignas] = ACTIONS(1440),
    [anon_sym__Alignas] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [anon_sym___asm] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1440),
    [anon_sym_hitAttributeEXT] = ACTIONS(1440),
    [anon_sym_callableDataEXT] = ACTIONS(1440),
    [anon_sym_callableDataInEXT] = ACTIONS(1440),
    [anon_sym_shaderRecordEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadNV] = ACTIONS(1440),
    [anon_sym_rayPayloadInNV] = ACTIONS(1440),
    [anon_sym_hitAttributeNV] = ACTIONS(1440),
    [anon_sym_callableDataNV] = ACTIONS(1440),
    [anon_sym_callableDataInNV] = ACTIONS(1440),
    [anon_sym_shaderRecordNV] = ACTIONS(1440),
    [anon_sym_layout] = ACTIONS(1440),
  },
  [322] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [323] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_subroutine] = ACTIONS(1444),
    [anon_sym_invariant] = ACTIONS(1444),
    [anon_sym_precise] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_in] = ACTIONS(1444),
    [anon_sym_out] = ACTIONS(1444),
    [anon_sym_inout] = ACTIONS(1444),
    [anon_sym_uniform] = ACTIONS(1444),
    [anon_sym_shared] = ACTIONS(1444),
    [anon_sym_attribute] = ACTIONS(1444),
    [anon_sym_varying] = ACTIONS(1444),
    [anon_sym_buffer] = ACTIONS(1444),
    [anon_sym_coherent] = ACTIONS(1444),
    [anon_sym_readonly] = ACTIONS(1444),
    [anon_sym_writeonly] = ACTIONS(1444),
    [anon_sym_precision] = ACTIONS(1444),
    [anon_sym_highp] = ACTIONS(1444),
    [anon_sym_mediump] = ACTIONS(1444),
    [anon_sym_lowp] = ACTIONS(1444),
    [anon_sym_centroid] = ACTIONS(1444),
    [anon_sym_sample] = ACTIONS(1444),
    [anon_sym_patch] = ACTIONS(1444),
    [anon_sym_smooth] = ACTIONS(1444),
    [anon_sym_flat] = ACTIONS(1444),
    [anon_sym_noperspective] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym___attribute] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [anon_sym__Nonnull] = ACTIONS(1444),
    [anon_sym_alignas] = ACTIONS(1444),
    [anon_sym__Alignas] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [anon_sym___asm] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1444),
    [anon_sym_hitAttributeEXT] = ACTIONS(1444),
    [anon_sym_callableDataEXT] = ACTIONS(1444),
    [anon_sym_callableDataInEXT] = ACTIONS(1444),
    [anon_sym_shaderRecordEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadNV] = ACTIONS(1444),
    [anon_sym_rayPayloadInNV] = ACTIONS(1444),
    [anon_sym_hitAttributeNV] = ACTIONS(1444),
    [anon_sym_callableDataNV] = ACTIONS(1444),
    [anon_sym_callableDataInNV] = ACTIONS(1444),
    [anon_sym_shaderRecordNV] = ACTIONS(1444),
    [anon_sym_layout] = ACTIONS(1444),
  },
  [324] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [325] = {
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_subroutine] = ACTIONS(1516),
    [anon_sym_invariant] = ACTIONS(1516),
    [anon_sym_precise] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_out] = ACTIONS(1516),
    [anon_sym_inout] = ACTIONS(1516),
    [anon_sym_uniform] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_attribute] = ACTIONS(1516),
    [anon_sym_varying] = ACTIONS(1516),
    [anon_sym_buffer] = ACTIONS(1516),
    [anon_sym_coherent] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_writeonly] = ACTIONS(1516),
    [anon_sym_precision] = ACTIONS(1516),
    [anon_sym_highp] = ACTIONS(1516),
    [anon_sym_mediump] = ACTIONS(1516),
    [anon_sym_lowp] = ACTIONS(1516),
    [anon_sym_centroid] = ACTIONS(1516),
    [anon_sym_sample] = ACTIONS(1516),
    [anon_sym_patch] = ACTIONS(1516),
    [anon_sym_smooth] = ACTIONS(1516),
    [anon_sym_flat] = ACTIONS(1516),
    [anon_sym_noperspective] = ACTIONS(1516),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym___attribute] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [anon_sym__Nonnull] = ACTIONS(1516),
    [anon_sym_alignas] = ACTIONS(1516),
    [anon_sym__Alignas] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym___try] = ACTIONS(1516),
    [anon_sym___leave] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [anon_sym___asm] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1516),
    [anon_sym_hitAttributeEXT] = ACTIONS(1516),
    [anon_sym_callableDataEXT] = ACTIONS(1516),
    [anon_sym_callableDataInEXT] = ACTIONS(1516),
    [anon_sym_shaderRecordEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadNV] = ACTIONS(1516),
    [anon_sym_rayPayloadInNV] = ACTIONS(1516),
    [anon_sym_hitAttributeNV] = ACTIONS(1516),
    [anon_sym_callableDataNV] = ACTIONS(1516),
    [anon_sym_callableDataInNV] = ACTIONS(1516),
    [anon_sym_shaderRecordNV] = ACTIONS(1516),
    [anon_sym_layout] = ACTIONS(1516),
  },
  [326] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [327] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_subroutine] = ACTIONS(1492),
    [anon_sym_invariant] = ACTIONS(1492),
    [anon_sym_precise] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(1492),
    [anon_sym_out] = ACTIONS(1492),
    [anon_sym_inout] = ACTIONS(1492),
    [anon_sym_uniform] = ACTIONS(1492),
    [anon_sym_shared] = ACTIONS(1492),
    [anon_sym_attribute] = ACTIONS(1492),
    [anon_sym_varying] = ACTIONS(1492),
    [anon_sym_buffer] = ACTIONS(1492),
    [anon_sym_coherent] = ACTIONS(1492),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_writeonly] = ACTIONS(1492),
    [anon_sym_precision] = ACTIONS(1492),
    [anon_sym_highp] = ACTIONS(1492),
    [anon_sym_mediump] = ACTIONS(1492),
    [anon_sym_lowp] = ACTIONS(1492),
    [anon_sym_centroid] = ACTIONS(1492),
    [anon_sym_sample] = ACTIONS(1492),
    [anon_sym_patch] = ACTIONS(1492),
    [anon_sym_smooth] = ACTIONS(1492),
    [anon_sym_flat] = ACTIONS(1492),
    [anon_sym_noperspective] = ACTIONS(1492),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym___attribute] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [anon_sym__Nonnull] = ACTIONS(1492),
    [anon_sym_alignas] = ACTIONS(1492),
    [anon_sym__Alignas] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [anon_sym___asm] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1492),
    [anon_sym_hitAttributeEXT] = ACTIONS(1492),
    [anon_sym_callableDataEXT] = ACTIONS(1492),
    [anon_sym_callableDataInEXT] = ACTIONS(1492),
    [anon_sym_shaderRecordEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadNV] = ACTIONS(1492),
    [anon_sym_rayPayloadInNV] = ACTIONS(1492),
    [anon_sym_hitAttributeNV] = ACTIONS(1492),
    [anon_sym_callableDataNV] = ACTIONS(1492),
    [anon_sym_callableDataInNV] = ACTIONS(1492),
    [anon_sym_shaderRecordNV] = ACTIONS(1492),
    [anon_sym_layout] = ACTIONS(1492),
  },
  [328] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_subroutine] = ACTIONS(1500),
    [anon_sym_invariant] = ACTIONS(1500),
    [anon_sym_precise] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1500),
    [anon_sym_out] = ACTIONS(1500),
    [anon_sym_inout] = ACTIONS(1500),
    [anon_sym_uniform] = ACTIONS(1500),
    [anon_sym_shared] = ACTIONS(1500),
    [anon_sym_attribute] = ACTIONS(1500),
    [anon_sym_varying] = ACTIONS(1500),
    [anon_sym_buffer] = ACTIONS(1500),
    [anon_sym_coherent] = ACTIONS(1500),
    [anon_sym_readonly] = ACTIONS(1500),
    [anon_sym_writeonly] = ACTIONS(1500),
    [anon_sym_precision] = ACTIONS(1500),
    [anon_sym_highp] = ACTIONS(1500),
    [anon_sym_mediump] = ACTIONS(1500),
    [anon_sym_lowp] = ACTIONS(1500),
    [anon_sym_centroid] = ACTIONS(1500),
    [anon_sym_sample] = ACTIONS(1500),
    [anon_sym_patch] = ACTIONS(1500),
    [anon_sym_smooth] = ACTIONS(1500),
    [anon_sym_flat] = ACTIONS(1500),
    [anon_sym_noperspective] = ACTIONS(1500),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym___attribute] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [anon_sym__Nonnull] = ACTIONS(1500),
    [anon_sym_alignas] = ACTIONS(1500),
    [anon_sym__Alignas] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [anon_sym___asm] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1500),
    [anon_sym_hitAttributeEXT] = ACTIONS(1500),
    [anon_sym_callableDataEXT] = ACTIONS(1500),
    [anon_sym_callableDataInEXT] = ACTIONS(1500),
    [anon_sym_shaderRecordEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadNV] = ACTIONS(1500),
    [anon_sym_rayPayloadInNV] = ACTIONS(1500),
    [anon_sym_hitAttributeNV] = ACTIONS(1500),
    [anon_sym_callableDataNV] = ACTIONS(1500),
    [anon_sym_callableDataInNV] = ACTIONS(1500),
    [anon_sym_shaderRecordNV] = ACTIONS(1500),
    [anon_sym_layout] = ACTIONS(1500),
  },
  [329] = {
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token2] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_subroutine] = ACTIONS(1408),
    [anon_sym_invariant] = ACTIONS(1408),
    [anon_sym_precise] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1408),
    [anon_sym_out] = ACTIONS(1408),
    [anon_sym_inout] = ACTIONS(1408),
    [anon_sym_uniform] = ACTIONS(1408),
    [anon_sym_shared] = ACTIONS(1408),
    [anon_sym_attribute] = ACTIONS(1408),
    [anon_sym_varying] = ACTIONS(1408),
    [anon_sym_buffer] = ACTIONS(1408),
    [anon_sym_coherent] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_writeonly] = ACTIONS(1408),
    [anon_sym_precision] = ACTIONS(1408),
    [anon_sym_highp] = ACTIONS(1408),
    [anon_sym_mediump] = ACTIONS(1408),
    [anon_sym_lowp] = ACTIONS(1408),
    [anon_sym_centroid] = ACTIONS(1408),
    [anon_sym_sample] = ACTIONS(1408),
    [anon_sym_patch] = ACTIONS(1408),
    [anon_sym_smooth] = ACTIONS(1408),
    [anon_sym_flat] = ACTIONS(1408),
    [anon_sym_noperspective] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym___attribute] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [anon_sym__Nonnull] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(1408),
    [anon_sym__Alignas] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym___try] = ACTIONS(1408),
    [anon_sym___leave] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [anon_sym___asm] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1408),
    [anon_sym_hitAttributeEXT] = ACTIONS(1408),
    [anon_sym_callableDataEXT] = ACTIONS(1408),
    [anon_sym_callableDataInEXT] = ACTIONS(1408),
    [anon_sym_shaderRecordEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadNV] = ACTIONS(1408),
    [anon_sym_rayPayloadInNV] = ACTIONS(1408),
    [anon_sym_hitAttributeNV] = ACTIONS(1408),
    [anon_sym_callableDataNV] = ACTIONS(1408),
    [anon_sym_callableDataInNV] = ACTIONS(1408),
    [anon_sym_shaderRecordNV] = ACTIONS(1408),
    [anon_sym_layout] = ACTIONS(1408),
  },
  [330] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_subroutine] = ACTIONS(1484),
    [anon_sym_invariant] = ACTIONS(1484),
    [anon_sym_precise] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_out] = ACTIONS(1484),
    [anon_sym_inout] = ACTIONS(1484),
    [anon_sym_uniform] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_attribute] = ACTIONS(1484),
    [anon_sym_varying] = ACTIONS(1484),
    [anon_sym_buffer] = ACTIONS(1484),
    [anon_sym_coherent] = ACTIONS(1484),
    [anon_sym_readonly] = ACTIONS(1484),
    [anon_sym_writeonly] = ACTIONS(1484),
    [anon_sym_precision] = ACTIONS(1484),
    [anon_sym_highp] = ACTIONS(1484),
    [anon_sym_mediump] = ACTIONS(1484),
    [anon_sym_lowp] = ACTIONS(1484),
    [anon_sym_centroid] = ACTIONS(1484),
    [anon_sym_sample] = ACTIONS(1484),
    [anon_sym_patch] = ACTIONS(1484),
    [anon_sym_smooth] = ACTIONS(1484),
    [anon_sym_flat] = ACTIONS(1484),
    [anon_sym_noperspective] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym___attribute] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [anon_sym__Nonnull] = ACTIONS(1484),
    [anon_sym_alignas] = ACTIONS(1484),
    [anon_sym__Alignas] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [anon_sym___asm] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1484),
    [anon_sym_hitAttributeEXT] = ACTIONS(1484),
    [anon_sym_callableDataEXT] = ACTIONS(1484),
    [anon_sym_callableDataInEXT] = ACTIONS(1484),
    [anon_sym_shaderRecordEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadNV] = ACTIONS(1484),
    [anon_sym_rayPayloadInNV] = ACTIONS(1484),
    [anon_sym_hitAttributeNV] = ACTIONS(1484),
    [anon_sym_callableDataNV] = ACTIONS(1484),
    [anon_sym_callableDataInNV] = ACTIONS(1484),
    [anon_sym_shaderRecordNV] = ACTIONS(1484),
    [anon_sym_layout] = ACTIONS(1484),
  },
  [331] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [332] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [334] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [335] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [336] = {
    [sym_identifier] = ACTIONS(1520),
    [aux_sym_preproc_include_token1] = ACTIONS(1520),
    [aux_sym_preproc_def_token1] = ACTIONS(1520),
    [aux_sym_preproc_if_token1] = ACTIONS(1520),
    [aux_sym_preproc_if_token2] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1520),
    [sym_preproc_directive] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_subroutine] = ACTIONS(1520),
    [anon_sym_invariant] = ACTIONS(1520),
    [anon_sym_precise] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_out] = ACTIONS(1520),
    [anon_sym_inout] = ACTIONS(1520),
    [anon_sym_uniform] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_attribute] = ACTIONS(1520),
    [anon_sym_varying] = ACTIONS(1520),
    [anon_sym_buffer] = ACTIONS(1520),
    [anon_sym_coherent] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_writeonly] = ACTIONS(1520),
    [anon_sym_precision] = ACTIONS(1520),
    [anon_sym_highp] = ACTIONS(1520),
    [anon_sym_mediump] = ACTIONS(1520),
    [anon_sym_lowp] = ACTIONS(1520),
    [anon_sym_centroid] = ACTIONS(1520),
    [anon_sym_sample] = ACTIONS(1520),
    [anon_sym_patch] = ACTIONS(1520),
    [anon_sym_smooth] = ACTIONS(1520),
    [anon_sym_flat] = ACTIONS(1520),
    [anon_sym_noperspective] = ACTIONS(1520),
    [anon_sym___extension__] = ACTIONS(1520),
    [anon_sym_typedef] = ACTIONS(1520),
    [anon_sym_extern] = ACTIONS(1520),
    [anon_sym___attribute__] = ACTIONS(1520),
    [anon_sym___attribute] = ACTIONS(1520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1522),
    [anon_sym___declspec] = ACTIONS(1520),
    [anon_sym___cdecl] = ACTIONS(1520),
    [anon_sym___clrcall] = ACTIONS(1520),
    [anon_sym___stdcall] = ACTIONS(1520),
    [anon_sym___fastcall] = ACTIONS(1520),
    [anon_sym___thiscall] = ACTIONS(1520),
    [anon_sym___vectorcall] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_signed] = ACTIONS(1520),
    [anon_sym_unsigned] = ACTIONS(1520),
    [anon_sym_long] = ACTIONS(1520),
    [anon_sym_short] = ACTIONS(1520),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_auto] = ACTIONS(1520),
    [anon_sym_register] = ACTIONS(1520),
    [anon_sym_inline] = ACTIONS(1520),
    [anon_sym___inline] = ACTIONS(1520),
    [anon_sym___inline__] = ACTIONS(1520),
    [anon_sym___forceinline] = ACTIONS(1520),
    [anon_sym_thread_local] = ACTIONS(1520),
    [anon_sym___thread] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_constexpr] = ACTIONS(1520),
    [anon_sym_volatile] = ACTIONS(1520),
    [anon_sym_restrict] = ACTIONS(1520),
    [anon_sym___restrict__] = ACTIONS(1520),
    [anon_sym__Atomic] = ACTIONS(1520),
    [anon_sym__Noreturn] = ACTIONS(1520),
    [anon_sym_noreturn] = ACTIONS(1520),
    [anon_sym__Nonnull] = ACTIONS(1520),
    [anon_sym_alignas] = ACTIONS(1520),
    [anon_sym__Alignas] = ACTIONS(1520),
    [sym_primitive_type] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_struct] = ACTIONS(1520),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym___try] = ACTIONS(1520),
    [anon_sym___leave] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1520),
    [anon_sym___alignof__] = ACTIONS(1520),
    [anon_sym___alignof] = ACTIONS(1520),
    [anon_sym__alignof] = ACTIONS(1520),
    [anon_sym_alignof] = ACTIONS(1520),
    [anon_sym__Alignof] = ACTIONS(1520),
    [anon_sym_offsetof] = ACTIONS(1520),
    [anon_sym__Generic] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym___asm__] = ACTIONS(1520),
    [anon_sym___asm] = ACTIONS(1520),
    [sym_number_literal] = ACTIONS(1522),
    [anon_sym_L_SQUOTE] = ACTIONS(1522),
    [anon_sym_u_SQUOTE] = ACTIONS(1522),
    [anon_sym_U_SQUOTE] = ACTIONS(1522),
    [anon_sym_u8_SQUOTE] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_L_DQUOTE] = ACTIONS(1522),
    [anon_sym_u_DQUOTE] = ACTIONS(1522),
    [anon_sym_U_DQUOTE] = ACTIONS(1522),
    [anon_sym_u8_DQUOTE] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_NULL] = ACTIONS(1520),
    [anon_sym_nullptr] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1520),
    [anon_sym_hitAttributeEXT] = ACTIONS(1520),
    [anon_sym_callableDataEXT] = ACTIONS(1520),
    [anon_sym_callableDataInEXT] = ACTIONS(1520),
    [anon_sym_shaderRecordEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadNV] = ACTIONS(1520),
    [anon_sym_rayPayloadInNV] = ACTIONS(1520),
    [anon_sym_hitAttributeNV] = ACTIONS(1520),
    [anon_sym_callableDataNV] = ACTIONS(1520),
    [anon_sym_callableDataInNV] = ACTIONS(1520),
    [anon_sym_shaderRecordNV] = ACTIONS(1520),
    [anon_sym_layout] = ACTIONS(1520),
  },
  [337] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_subroutine] = ACTIONS(1480),
    [anon_sym_invariant] = ACTIONS(1480),
    [anon_sym_precise] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_uniform] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_attribute] = ACTIONS(1480),
    [anon_sym_varying] = ACTIONS(1480),
    [anon_sym_buffer] = ACTIONS(1480),
    [anon_sym_coherent] = ACTIONS(1480),
    [anon_sym_readonly] = ACTIONS(1480),
    [anon_sym_writeonly] = ACTIONS(1480),
    [anon_sym_precision] = ACTIONS(1480),
    [anon_sym_highp] = ACTIONS(1480),
    [anon_sym_mediump] = ACTIONS(1480),
    [anon_sym_lowp] = ACTIONS(1480),
    [anon_sym_centroid] = ACTIONS(1480),
    [anon_sym_sample] = ACTIONS(1480),
    [anon_sym_patch] = ACTIONS(1480),
    [anon_sym_smooth] = ACTIONS(1480),
    [anon_sym_flat] = ACTIONS(1480),
    [anon_sym_noperspective] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym___attribute] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [anon_sym__Nonnull] = ACTIONS(1480),
    [anon_sym_alignas] = ACTIONS(1480),
    [anon_sym__Alignas] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [anon_sym___asm] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1480),
    [anon_sym_hitAttributeEXT] = ACTIONS(1480),
    [anon_sym_callableDataEXT] = ACTIONS(1480),
    [anon_sym_callableDataInEXT] = ACTIONS(1480),
    [anon_sym_shaderRecordEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadNV] = ACTIONS(1480),
    [anon_sym_rayPayloadInNV] = ACTIONS(1480),
    [anon_sym_hitAttributeNV] = ACTIONS(1480),
    [anon_sym_callableDataNV] = ACTIONS(1480),
    [anon_sym_callableDataInNV] = ACTIONS(1480),
    [anon_sym_shaderRecordNV] = ACTIONS(1480),
    [anon_sym_layout] = ACTIONS(1480),
  },
  [338] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_subroutine] = ACTIONS(1488),
    [anon_sym_invariant] = ACTIONS(1488),
    [anon_sym_precise] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_in] = ACTIONS(1488),
    [anon_sym_out] = ACTIONS(1488),
    [anon_sym_inout] = ACTIONS(1488),
    [anon_sym_uniform] = ACTIONS(1488),
    [anon_sym_shared] = ACTIONS(1488),
    [anon_sym_attribute] = ACTIONS(1488),
    [anon_sym_varying] = ACTIONS(1488),
    [anon_sym_buffer] = ACTIONS(1488),
    [anon_sym_coherent] = ACTIONS(1488),
    [anon_sym_readonly] = ACTIONS(1488),
    [anon_sym_writeonly] = ACTIONS(1488),
    [anon_sym_precision] = ACTIONS(1488),
    [anon_sym_highp] = ACTIONS(1488),
    [anon_sym_mediump] = ACTIONS(1488),
    [anon_sym_lowp] = ACTIONS(1488),
    [anon_sym_centroid] = ACTIONS(1488),
    [anon_sym_sample] = ACTIONS(1488),
    [anon_sym_patch] = ACTIONS(1488),
    [anon_sym_smooth] = ACTIONS(1488),
    [anon_sym_flat] = ACTIONS(1488),
    [anon_sym_noperspective] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym___attribute] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [anon_sym__Nonnull] = ACTIONS(1488),
    [anon_sym_alignas] = ACTIONS(1488),
    [anon_sym__Alignas] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [anon_sym___asm] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1488),
    [anon_sym_hitAttributeEXT] = ACTIONS(1488),
    [anon_sym_callableDataEXT] = ACTIONS(1488),
    [anon_sym_callableDataInEXT] = ACTIONS(1488),
    [anon_sym_shaderRecordEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadNV] = ACTIONS(1488),
    [anon_sym_rayPayloadInNV] = ACTIONS(1488),
    [anon_sym_hitAttributeNV] = ACTIONS(1488),
    [anon_sym_callableDataNV] = ACTIONS(1488),
    [anon_sym_callableDataInNV] = ACTIONS(1488),
    [anon_sym_shaderRecordNV] = ACTIONS(1488),
    [anon_sym_layout] = ACTIONS(1488),
  },
  [339] = {
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token2] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_subroutine] = ACTIONS(1508),
    [anon_sym_invariant] = ACTIONS(1508),
    [anon_sym_precise] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1508),
    [anon_sym_out] = ACTIONS(1508),
    [anon_sym_inout] = ACTIONS(1508),
    [anon_sym_uniform] = ACTIONS(1508),
    [anon_sym_shared] = ACTIONS(1508),
    [anon_sym_attribute] = ACTIONS(1508),
    [anon_sym_varying] = ACTIONS(1508),
    [anon_sym_buffer] = ACTIONS(1508),
    [anon_sym_coherent] = ACTIONS(1508),
    [anon_sym_readonly] = ACTIONS(1508),
    [anon_sym_writeonly] = ACTIONS(1508),
    [anon_sym_precision] = ACTIONS(1508),
    [anon_sym_highp] = ACTIONS(1508),
    [anon_sym_mediump] = ACTIONS(1508),
    [anon_sym_lowp] = ACTIONS(1508),
    [anon_sym_centroid] = ACTIONS(1508),
    [anon_sym_sample] = ACTIONS(1508),
    [anon_sym_patch] = ACTIONS(1508),
    [anon_sym_smooth] = ACTIONS(1508),
    [anon_sym_flat] = ACTIONS(1508),
    [anon_sym_noperspective] = ACTIONS(1508),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym___attribute] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [anon_sym__Nonnull] = ACTIONS(1508),
    [anon_sym_alignas] = ACTIONS(1508),
    [anon_sym__Alignas] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym___try] = ACTIONS(1508),
    [anon_sym___leave] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [anon_sym___asm] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1508),
    [anon_sym_hitAttributeEXT] = ACTIONS(1508),
    [anon_sym_callableDataEXT] = ACTIONS(1508),
    [anon_sym_callableDataInEXT] = ACTIONS(1508),
    [anon_sym_shaderRecordEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadNV] = ACTIONS(1508),
    [anon_sym_rayPayloadInNV] = ACTIONS(1508),
    [anon_sym_hitAttributeNV] = ACTIONS(1508),
    [anon_sym_callableDataNV] = ACTIONS(1508),
    [anon_sym_callableDataInNV] = ACTIONS(1508),
    [anon_sym_shaderRecordNV] = ACTIONS(1508),
    [anon_sym_layout] = ACTIONS(1508),
  },
  [340] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token2] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [341] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [342] = {
    [sym_identifier] = ACTIONS(1524),
    [aux_sym_preproc_include_token1] = ACTIONS(1524),
    [aux_sym_preproc_def_token1] = ACTIONS(1524),
    [aux_sym_preproc_if_token1] = ACTIONS(1524),
    [aux_sym_preproc_if_token2] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1524),
    [sym_preproc_directive] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_subroutine] = ACTIONS(1524),
    [anon_sym_invariant] = ACTIONS(1524),
    [anon_sym_precise] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_out] = ACTIONS(1524),
    [anon_sym_inout] = ACTIONS(1524),
    [anon_sym_uniform] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_attribute] = ACTIONS(1524),
    [anon_sym_varying] = ACTIONS(1524),
    [anon_sym_buffer] = ACTIONS(1524),
    [anon_sym_coherent] = ACTIONS(1524),
    [anon_sym_readonly] = ACTIONS(1524),
    [anon_sym_writeonly] = ACTIONS(1524),
    [anon_sym_precision] = ACTIONS(1524),
    [anon_sym_highp] = ACTIONS(1524),
    [anon_sym_mediump] = ACTIONS(1524),
    [anon_sym_lowp] = ACTIONS(1524),
    [anon_sym_centroid] = ACTIONS(1524),
    [anon_sym_sample] = ACTIONS(1524),
    [anon_sym_patch] = ACTIONS(1524),
    [anon_sym_smooth] = ACTIONS(1524),
    [anon_sym_flat] = ACTIONS(1524),
    [anon_sym_noperspective] = ACTIONS(1524),
    [anon_sym___extension__] = ACTIONS(1524),
    [anon_sym_typedef] = ACTIONS(1524),
    [anon_sym_extern] = ACTIONS(1524),
    [anon_sym___attribute__] = ACTIONS(1524),
    [anon_sym___attribute] = ACTIONS(1524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1526),
    [anon_sym___declspec] = ACTIONS(1524),
    [anon_sym___cdecl] = ACTIONS(1524),
    [anon_sym___clrcall] = ACTIONS(1524),
    [anon_sym___stdcall] = ACTIONS(1524),
    [anon_sym___fastcall] = ACTIONS(1524),
    [anon_sym___thiscall] = ACTIONS(1524),
    [anon_sym___vectorcall] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_signed] = ACTIONS(1524),
    [anon_sym_unsigned] = ACTIONS(1524),
    [anon_sym_long] = ACTIONS(1524),
    [anon_sym_short] = ACTIONS(1524),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_auto] = ACTIONS(1524),
    [anon_sym_register] = ACTIONS(1524),
    [anon_sym_inline] = ACTIONS(1524),
    [anon_sym___inline] = ACTIONS(1524),
    [anon_sym___inline__] = ACTIONS(1524),
    [anon_sym___forceinline] = ACTIONS(1524),
    [anon_sym_thread_local] = ACTIONS(1524),
    [anon_sym___thread] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_constexpr] = ACTIONS(1524),
    [anon_sym_volatile] = ACTIONS(1524),
    [anon_sym_restrict] = ACTIONS(1524),
    [anon_sym___restrict__] = ACTIONS(1524),
    [anon_sym__Atomic] = ACTIONS(1524),
    [anon_sym__Noreturn] = ACTIONS(1524),
    [anon_sym_noreturn] = ACTIONS(1524),
    [anon_sym__Nonnull] = ACTIONS(1524),
    [anon_sym_alignas] = ACTIONS(1524),
    [anon_sym__Alignas] = ACTIONS(1524),
    [sym_primitive_type] = ACTIONS(1524),
    [anon_sym_enum] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(1524),
    [anon_sym_union] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1524),
    [anon_sym_default] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1524),
    [anon_sym_do] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym___try] = ACTIONS(1524),
    [anon_sym___leave] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_sizeof] = ACTIONS(1524),
    [anon_sym___alignof__] = ACTIONS(1524),
    [anon_sym___alignof] = ACTIONS(1524),
    [anon_sym__alignof] = ACTIONS(1524),
    [anon_sym_alignof] = ACTIONS(1524),
    [anon_sym__Alignof] = ACTIONS(1524),
    [anon_sym_offsetof] = ACTIONS(1524),
    [anon_sym__Generic] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym___asm__] = ACTIONS(1524),
    [anon_sym___asm] = ACTIONS(1524),
    [sym_number_literal] = ACTIONS(1526),
    [anon_sym_L_SQUOTE] = ACTIONS(1526),
    [anon_sym_u_SQUOTE] = ACTIONS(1526),
    [anon_sym_U_SQUOTE] = ACTIONS(1526),
    [anon_sym_u8_SQUOTE] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_L_DQUOTE] = ACTIONS(1526),
    [anon_sym_u_DQUOTE] = ACTIONS(1526),
    [anon_sym_U_DQUOTE] = ACTIONS(1526),
    [anon_sym_u8_DQUOTE] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_NULL] = ACTIONS(1524),
    [anon_sym_nullptr] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1524),
    [anon_sym_hitAttributeEXT] = ACTIONS(1524),
    [anon_sym_callableDataEXT] = ACTIONS(1524),
    [anon_sym_callableDataInEXT] = ACTIONS(1524),
    [anon_sym_shaderRecordEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadNV] = ACTIONS(1524),
    [anon_sym_rayPayloadInNV] = ACTIONS(1524),
    [anon_sym_hitAttributeNV] = ACTIONS(1524),
    [anon_sym_callableDataNV] = ACTIONS(1524),
    [anon_sym_callableDataInNV] = ACTIONS(1524),
    [anon_sym_shaderRecordNV] = ACTIONS(1524),
    [anon_sym_layout] = ACTIONS(1524),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_subroutine] = ACTIONS(1464),
    [anon_sym_invariant] = ACTIONS(1464),
    [anon_sym_precise] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym_in] = ACTIONS(1464),
    [anon_sym_out] = ACTIONS(1464),
    [anon_sym_inout] = ACTIONS(1464),
    [anon_sym_uniform] = ACTIONS(1464),
    [anon_sym_shared] = ACTIONS(1464),
    [anon_sym_attribute] = ACTIONS(1464),
    [anon_sym_varying] = ACTIONS(1464),
    [anon_sym_buffer] = ACTIONS(1464),
    [anon_sym_coherent] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_writeonly] = ACTIONS(1464),
    [anon_sym_precision] = ACTIONS(1464),
    [anon_sym_highp] = ACTIONS(1464),
    [anon_sym_mediump] = ACTIONS(1464),
    [anon_sym_lowp] = ACTIONS(1464),
    [anon_sym_centroid] = ACTIONS(1464),
    [anon_sym_sample] = ACTIONS(1464),
    [anon_sym_patch] = ACTIONS(1464),
    [anon_sym_smooth] = ACTIONS(1464),
    [anon_sym_flat] = ACTIONS(1464),
    [anon_sym_noperspective] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym___attribute] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [anon_sym__Nonnull] = ACTIONS(1464),
    [anon_sym_alignas] = ACTIONS(1464),
    [anon_sym__Alignas] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [anon_sym___asm] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1464),
    [anon_sym_hitAttributeEXT] = ACTIONS(1464),
    [anon_sym_callableDataEXT] = ACTIONS(1464),
    [anon_sym_callableDataInEXT] = ACTIONS(1464),
    [anon_sym_shaderRecordEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadNV] = ACTIONS(1464),
    [anon_sym_rayPayloadInNV] = ACTIONS(1464),
    [anon_sym_hitAttributeNV] = ACTIONS(1464),
    [anon_sym_callableDataNV] = ACTIONS(1464),
    [anon_sym_callableDataInNV] = ACTIONS(1464),
    [anon_sym_shaderRecordNV] = ACTIONS(1464),
    [anon_sym_layout] = ACTIONS(1464),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1546),
    [aux_sym_preproc_include_token1] = ACTIONS(1546),
    [aux_sym_preproc_def_token1] = ACTIONS(1546),
    [aux_sym_preproc_if_token1] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1546),
    [sym_preproc_directive] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_subroutine] = ACTIONS(1546),
    [anon_sym_invariant] = ACTIONS(1546),
    [anon_sym_precise] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1546),
    [anon_sym_out] = ACTIONS(1546),
    [anon_sym_inout] = ACTIONS(1546),
    [anon_sym_uniform] = ACTIONS(1546),
    [anon_sym_shared] = ACTIONS(1546),
    [anon_sym_attribute] = ACTIONS(1546),
    [anon_sym_varying] = ACTIONS(1546),
    [anon_sym_buffer] = ACTIONS(1546),
    [anon_sym_coherent] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_writeonly] = ACTIONS(1546),
    [anon_sym_precision] = ACTIONS(1546),
    [anon_sym_highp] = ACTIONS(1546),
    [anon_sym_mediump] = ACTIONS(1546),
    [anon_sym_lowp] = ACTIONS(1546),
    [anon_sym_centroid] = ACTIONS(1546),
    [anon_sym_sample] = ACTIONS(1546),
    [anon_sym_patch] = ACTIONS(1546),
    [anon_sym_smooth] = ACTIONS(1546),
    [anon_sym_flat] = ACTIONS(1546),
    [anon_sym_noperspective] = ACTIONS(1546),
    [anon_sym___extension__] = ACTIONS(1546),
    [anon_sym_typedef] = ACTIONS(1546),
    [anon_sym_extern] = ACTIONS(1546),
    [anon_sym___attribute__] = ACTIONS(1546),
    [anon_sym___attribute] = ACTIONS(1546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___cdecl] = ACTIONS(1546),
    [anon_sym___clrcall] = ACTIONS(1546),
    [anon_sym___stdcall] = ACTIONS(1546),
    [anon_sym___fastcall] = ACTIONS(1546),
    [anon_sym___thiscall] = ACTIONS(1546),
    [anon_sym___vectorcall] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_signed] = ACTIONS(1546),
    [anon_sym_unsigned] = ACTIONS(1546),
    [anon_sym_long] = ACTIONS(1546),
    [anon_sym_short] = ACTIONS(1546),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_auto] = ACTIONS(1546),
    [anon_sym_register] = ACTIONS(1546),
    [anon_sym_inline] = ACTIONS(1546),
    [anon_sym___inline] = ACTIONS(1546),
    [anon_sym___inline__] = ACTIONS(1546),
    [anon_sym___forceinline] = ACTIONS(1546),
    [anon_sym_thread_local] = ACTIONS(1546),
    [anon_sym___thread] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_constexpr] = ACTIONS(1546),
    [anon_sym_volatile] = ACTIONS(1546),
    [anon_sym_restrict] = ACTIONS(1546),
    [anon_sym___restrict__] = ACTIONS(1546),
    [anon_sym__Atomic] = ACTIONS(1546),
    [anon_sym__Noreturn] = ACTIONS(1546),
    [anon_sym_noreturn] = ACTIONS(1546),
    [anon_sym__Nonnull] = ACTIONS(1546),
    [anon_sym_alignas] = ACTIONS(1546),
    [anon_sym__Alignas] = ACTIONS(1546),
    [sym_primitive_type] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [anon_sym_struct] = ACTIONS(1546),
    [anon_sym_union] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_goto] = ACTIONS(1546),
    [anon_sym___try] = ACTIONS(1546),
    [anon_sym___leave] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1546),
    [anon_sym___alignof__] = ACTIONS(1546),
    [anon_sym___alignof] = ACTIONS(1546),
    [anon_sym__alignof] = ACTIONS(1546),
    [anon_sym_alignof] = ACTIONS(1546),
    [anon_sym__Alignof] = ACTIONS(1546),
    [anon_sym_offsetof] = ACTIONS(1546),
    [anon_sym__Generic] = ACTIONS(1546),
    [anon_sym_asm] = ACTIONS(1546),
    [anon_sym___asm__] = ACTIONS(1546),
    [anon_sym___asm] = ACTIONS(1546),
    [sym_number_literal] = ACTIONS(1548),
    [anon_sym_L_SQUOTE] = ACTIONS(1548),
    [anon_sym_u_SQUOTE] = ACTIONS(1548),
    [anon_sym_U_SQUOTE] = ACTIONS(1548),
    [anon_sym_u8_SQUOTE] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_L_DQUOTE] = ACTIONS(1548),
    [anon_sym_u_DQUOTE] = ACTIONS(1548),
    [anon_sym_U_DQUOTE] = ACTIONS(1548),
    [anon_sym_u8_DQUOTE] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [anon_sym_NULL] = ACTIONS(1546),
    [anon_sym_nullptr] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1546),
    [anon_sym_hitAttributeEXT] = ACTIONS(1546),
    [anon_sym_callableDataEXT] = ACTIONS(1546),
    [anon_sym_callableDataInEXT] = ACTIONS(1546),
    [anon_sym_shaderRecordEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadNV] = ACTIONS(1546),
    [anon_sym_rayPayloadInNV] = ACTIONS(1546),
    [anon_sym_hitAttributeNV] = ACTIONS(1546),
    [anon_sym_callableDataNV] = ACTIONS(1546),
    [anon_sym_callableDataInNV] = ACTIONS(1546),
    [anon_sym_shaderRecordNV] = ACTIONS(1546),
    [anon_sym_layout] = ACTIONS(1546),
  },
  [345] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [346] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_subroutine] = ACTIONS(1484),
    [anon_sym_invariant] = ACTIONS(1484),
    [anon_sym_precise] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_out] = ACTIONS(1484),
    [anon_sym_inout] = ACTIONS(1484),
    [anon_sym_uniform] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_attribute] = ACTIONS(1484),
    [anon_sym_varying] = ACTIONS(1484),
    [anon_sym_buffer] = ACTIONS(1484),
    [anon_sym_coherent] = ACTIONS(1484),
    [anon_sym_readonly] = ACTIONS(1484),
    [anon_sym_writeonly] = ACTIONS(1484),
    [anon_sym_precision] = ACTIONS(1484),
    [anon_sym_highp] = ACTIONS(1484),
    [anon_sym_mediump] = ACTIONS(1484),
    [anon_sym_lowp] = ACTIONS(1484),
    [anon_sym_centroid] = ACTIONS(1484),
    [anon_sym_sample] = ACTIONS(1484),
    [anon_sym_patch] = ACTIONS(1484),
    [anon_sym_smooth] = ACTIONS(1484),
    [anon_sym_flat] = ACTIONS(1484),
    [anon_sym_noperspective] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym___attribute] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [anon_sym__Nonnull] = ACTIONS(1484),
    [anon_sym_alignas] = ACTIONS(1484),
    [anon_sym__Alignas] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [anon_sym___asm] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1484),
    [anon_sym_hitAttributeEXT] = ACTIONS(1484),
    [anon_sym_callableDataEXT] = ACTIONS(1484),
    [anon_sym_callableDataInEXT] = ACTIONS(1484),
    [anon_sym_shaderRecordEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadNV] = ACTIONS(1484),
    [anon_sym_rayPayloadInNV] = ACTIONS(1484),
    [anon_sym_hitAttributeNV] = ACTIONS(1484),
    [anon_sym_callableDataNV] = ACTIONS(1484),
    [anon_sym_callableDataInNV] = ACTIONS(1484),
    [anon_sym_shaderRecordNV] = ACTIONS(1484),
    [anon_sym_layout] = ACTIONS(1484),
  },
  [347] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token2] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [348] = {
    [sym_identifier] = ACTIONS(1542),
    [aux_sym_preproc_include_token1] = ACTIONS(1542),
    [aux_sym_preproc_def_token1] = ACTIONS(1542),
    [aux_sym_preproc_if_token1] = ACTIONS(1542),
    [aux_sym_preproc_if_token2] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1542),
    [sym_preproc_directive] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_subroutine] = ACTIONS(1542),
    [anon_sym_invariant] = ACTIONS(1542),
    [anon_sym_precise] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_out] = ACTIONS(1542),
    [anon_sym_inout] = ACTIONS(1542),
    [anon_sym_uniform] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_attribute] = ACTIONS(1542),
    [anon_sym_varying] = ACTIONS(1542),
    [anon_sym_buffer] = ACTIONS(1542),
    [anon_sym_coherent] = ACTIONS(1542),
    [anon_sym_readonly] = ACTIONS(1542),
    [anon_sym_writeonly] = ACTIONS(1542),
    [anon_sym_precision] = ACTIONS(1542),
    [anon_sym_highp] = ACTIONS(1542),
    [anon_sym_mediump] = ACTIONS(1542),
    [anon_sym_lowp] = ACTIONS(1542),
    [anon_sym_centroid] = ACTIONS(1542),
    [anon_sym_sample] = ACTIONS(1542),
    [anon_sym_patch] = ACTIONS(1542),
    [anon_sym_smooth] = ACTIONS(1542),
    [anon_sym_flat] = ACTIONS(1542),
    [anon_sym_noperspective] = ACTIONS(1542),
    [anon_sym___extension__] = ACTIONS(1542),
    [anon_sym_typedef] = ACTIONS(1542),
    [anon_sym_extern] = ACTIONS(1542),
    [anon_sym___attribute__] = ACTIONS(1542),
    [anon_sym___attribute] = ACTIONS(1542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1544),
    [anon_sym___declspec] = ACTIONS(1542),
    [anon_sym___cdecl] = ACTIONS(1542),
    [anon_sym___clrcall] = ACTIONS(1542),
    [anon_sym___stdcall] = ACTIONS(1542),
    [anon_sym___fastcall] = ACTIONS(1542),
    [anon_sym___thiscall] = ACTIONS(1542),
    [anon_sym___vectorcall] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_signed] = ACTIONS(1542),
    [anon_sym_unsigned] = ACTIONS(1542),
    [anon_sym_long] = ACTIONS(1542),
    [anon_sym_short] = ACTIONS(1542),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_auto] = ACTIONS(1542),
    [anon_sym_register] = ACTIONS(1542),
    [anon_sym_inline] = ACTIONS(1542),
    [anon_sym___inline] = ACTIONS(1542),
    [anon_sym___inline__] = ACTIONS(1542),
    [anon_sym___forceinline] = ACTIONS(1542),
    [anon_sym_thread_local] = ACTIONS(1542),
    [anon_sym___thread] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_constexpr] = ACTIONS(1542),
    [anon_sym_volatile] = ACTIONS(1542),
    [anon_sym_restrict] = ACTIONS(1542),
    [anon_sym___restrict__] = ACTIONS(1542),
    [anon_sym__Atomic] = ACTIONS(1542),
    [anon_sym__Noreturn] = ACTIONS(1542),
    [anon_sym_noreturn] = ACTIONS(1542),
    [anon_sym__Nonnull] = ACTIONS(1542),
    [anon_sym_alignas] = ACTIONS(1542),
    [anon_sym__Alignas] = ACTIONS(1542),
    [sym_primitive_type] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_switch] = ACTIONS(1542),
    [anon_sym_case] = ACTIONS(1542),
    [anon_sym_default] = ACTIONS(1542),
    [anon_sym_while] = ACTIONS(1542),
    [anon_sym_do] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym___try] = ACTIONS(1542),
    [anon_sym___leave] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1542),
    [anon_sym___alignof__] = ACTIONS(1542),
    [anon_sym___alignof] = ACTIONS(1542),
    [anon_sym__alignof] = ACTIONS(1542),
    [anon_sym_alignof] = ACTIONS(1542),
    [anon_sym__Alignof] = ACTIONS(1542),
    [anon_sym_offsetof] = ACTIONS(1542),
    [anon_sym__Generic] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym___asm__] = ACTIONS(1542),
    [anon_sym___asm] = ACTIONS(1542),
    [sym_number_literal] = ACTIONS(1544),
    [anon_sym_L_SQUOTE] = ACTIONS(1544),
    [anon_sym_u_SQUOTE] = ACTIONS(1544),
    [anon_sym_U_SQUOTE] = ACTIONS(1544),
    [anon_sym_u8_SQUOTE] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_L_DQUOTE] = ACTIONS(1544),
    [anon_sym_u_DQUOTE] = ACTIONS(1544),
    [anon_sym_U_DQUOTE] = ACTIONS(1544),
    [anon_sym_u8_DQUOTE] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_NULL] = ACTIONS(1542),
    [anon_sym_nullptr] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1542),
    [anon_sym_hitAttributeEXT] = ACTIONS(1542),
    [anon_sym_callableDataEXT] = ACTIONS(1542),
    [anon_sym_callableDataInEXT] = ACTIONS(1542),
    [anon_sym_shaderRecordEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadNV] = ACTIONS(1542),
    [anon_sym_rayPayloadInNV] = ACTIONS(1542),
    [anon_sym_hitAttributeNV] = ACTIONS(1542),
    [anon_sym_callableDataNV] = ACTIONS(1542),
    [anon_sym_callableDataInNV] = ACTIONS(1542),
    [anon_sym_shaderRecordNV] = ACTIONS(1542),
    [anon_sym_layout] = ACTIONS(1542),
  },
  [349] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_subroutine] = ACTIONS(1420),
    [anon_sym_invariant] = ACTIONS(1420),
    [anon_sym_precise] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_out] = ACTIONS(1420),
    [anon_sym_inout] = ACTIONS(1420),
    [anon_sym_uniform] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_attribute] = ACTIONS(1420),
    [anon_sym_varying] = ACTIONS(1420),
    [anon_sym_buffer] = ACTIONS(1420),
    [anon_sym_coherent] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_writeonly] = ACTIONS(1420),
    [anon_sym_precision] = ACTIONS(1420),
    [anon_sym_highp] = ACTIONS(1420),
    [anon_sym_mediump] = ACTIONS(1420),
    [anon_sym_lowp] = ACTIONS(1420),
    [anon_sym_centroid] = ACTIONS(1420),
    [anon_sym_sample] = ACTIONS(1420),
    [anon_sym_patch] = ACTIONS(1420),
    [anon_sym_smooth] = ACTIONS(1420),
    [anon_sym_flat] = ACTIONS(1420),
    [anon_sym_noperspective] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym___attribute] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [anon_sym__Nonnull] = ACTIONS(1420),
    [anon_sym_alignas] = ACTIONS(1420),
    [anon_sym__Alignas] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [anon_sym___asm] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1420),
    [anon_sym_hitAttributeEXT] = ACTIONS(1420),
    [anon_sym_callableDataEXT] = ACTIONS(1420),
    [anon_sym_callableDataInEXT] = ACTIONS(1420),
    [anon_sym_shaderRecordEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadNV] = ACTIONS(1420),
    [anon_sym_rayPayloadInNV] = ACTIONS(1420),
    [anon_sym_hitAttributeNV] = ACTIONS(1420),
    [anon_sym_callableDataNV] = ACTIONS(1420),
    [anon_sym_callableDataInNV] = ACTIONS(1420),
    [anon_sym_shaderRecordNV] = ACTIONS(1420),
    [anon_sym_layout] = ACTIONS(1420),
  },
  [350] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_subroutine] = ACTIONS(1424),
    [anon_sym_invariant] = ACTIONS(1424),
    [anon_sym_precise] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_out] = ACTIONS(1424),
    [anon_sym_inout] = ACTIONS(1424),
    [anon_sym_uniform] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_attribute] = ACTIONS(1424),
    [anon_sym_varying] = ACTIONS(1424),
    [anon_sym_buffer] = ACTIONS(1424),
    [anon_sym_coherent] = ACTIONS(1424),
    [anon_sym_readonly] = ACTIONS(1424),
    [anon_sym_writeonly] = ACTIONS(1424),
    [anon_sym_precision] = ACTIONS(1424),
    [anon_sym_highp] = ACTIONS(1424),
    [anon_sym_mediump] = ACTIONS(1424),
    [anon_sym_lowp] = ACTIONS(1424),
    [anon_sym_centroid] = ACTIONS(1424),
    [anon_sym_sample] = ACTIONS(1424),
    [anon_sym_patch] = ACTIONS(1424),
    [anon_sym_smooth] = ACTIONS(1424),
    [anon_sym_flat] = ACTIONS(1424),
    [anon_sym_noperspective] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym___attribute] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [anon_sym__Nonnull] = ACTIONS(1424),
    [anon_sym_alignas] = ACTIONS(1424),
    [anon_sym__Alignas] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [anon_sym___asm] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1424),
    [anon_sym_hitAttributeEXT] = ACTIONS(1424),
    [anon_sym_callableDataEXT] = ACTIONS(1424),
    [anon_sym_callableDataInEXT] = ACTIONS(1424),
    [anon_sym_shaderRecordEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadNV] = ACTIONS(1424),
    [anon_sym_rayPayloadInNV] = ACTIONS(1424),
    [anon_sym_hitAttributeNV] = ACTIONS(1424),
    [anon_sym_callableDataNV] = ACTIONS(1424),
    [anon_sym_callableDataInNV] = ACTIONS(1424),
    [anon_sym_shaderRecordNV] = ACTIONS(1424),
    [anon_sym_layout] = ACTIONS(1424),
  },
  [351] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_subroutine] = ACTIONS(1428),
    [anon_sym_invariant] = ACTIONS(1428),
    [anon_sym_precise] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_out] = ACTIONS(1428),
    [anon_sym_inout] = ACTIONS(1428),
    [anon_sym_uniform] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_attribute] = ACTIONS(1428),
    [anon_sym_varying] = ACTIONS(1428),
    [anon_sym_buffer] = ACTIONS(1428),
    [anon_sym_coherent] = ACTIONS(1428),
    [anon_sym_readonly] = ACTIONS(1428),
    [anon_sym_writeonly] = ACTIONS(1428),
    [anon_sym_precision] = ACTIONS(1428),
    [anon_sym_highp] = ACTIONS(1428),
    [anon_sym_mediump] = ACTIONS(1428),
    [anon_sym_lowp] = ACTIONS(1428),
    [anon_sym_centroid] = ACTIONS(1428),
    [anon_sym_sample] = ACTIONS(1428),
    [anon_sym_patch] = ACTIONS(1428),
    [anon_sym_smooth] = ACTIONS(1428),
    [anon_sym_flat] = ACTIONS(1428),
    [anon_sym_noperspective] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym___attribute] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [anon_sym__Nonnull] = ACTIONS(1428),
    [anon_sym_alignas] = ACTIONS(1428),
    [anon_sym__Alignas] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [anon_sym___asm] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1428),
    [anon_sym_hitAttributeEXT] = ACTIONS(1428),
    [anon_sym_callableDataEXT] = ACTIONS(1428),
    [anon_sym_callableDataInEXT] = ACTIONS(1428),
    [anon_sym_shaderRecordEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadNV] = ACTIONS(1428),
    [anon_sym_rayPayloadInNV] = ACTIONS(1428),
    [anon_sym_hitAttributeNV] = ACTIONS(1428),
    [anon_sym_callableDataNV] = ACTIONS(1428),
    [anon_sym_callableDataInNV] = ACTIONS(1428),
    [anon_sym_shaderRecordNV] = ACTIONS(1428),
    [anon_sym_layout] = ACTIONS(1428),
  },
  [352] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_subroutine] = ACTIONS(1436),
    [anon_sym_invariant] = ACTIONS(1436),
    [anon_sym_precise] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_out] = ACTIONS(1436),
    [anon_sym_inout] = ACTIONS(1436),
    [anon_sym_uniform] = ACTIONS(1436),
    [anon_sym_shared] = ACTIONS(1436),
    [anon_sym_attribute] = ACTIONS(1436),
    [anon_sym_varying] = ACTIONS(1436),
    [anon_sym_buffer] = ACTIONS(1436),
    [anon_sym_coherent] = ACTIONS(1436),
    [anon_sym_readonly] = ACTIONS(1436),
    [anon_sym_writeonly] = ACTIONS(1436),
    [anon_sym_precision] = ACTIONS(1436),
    [anon_sym_highp] = ACTIONS(1436),
    [anon_sym_mediump] = ACTIONS(1436),
    [anon_sym_lowp] = ACTIONS(1436),
    [anon_sym_centroid] = ACTIONS(1436),
    [anon_sym_sample] = ACTIONS(1436),
    [anon_sym_patch] = ACTIONS(1436),
    [anon_sym_smooth] = ACTIONS(1436),
    [anon_sym_flat] = ACTIONS(1436),
    [anon_sym_noperspective] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym___attribute] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [anon_sym__Nonnull] = ACTIONS(1436),
    [anon_sym_alignas] = ACTIONS(1436),
    [anon_sym__Alignas] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [anon_sym___asm] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1436),
    [anon_sym_hitAttributeEXT] = ACTIONS(1436),
    [anon_sym_callableDataEXT] = ACTIONS(1436),
    [anon_sym_callableDataInEXT] = ACTIONS(1436),
    [anon_sym_shaderRecordEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadNV] = ACTIONS(1436),
    [anon_sym_rayPayloadInNV] = ACTIONS(1436),
    [anon_sym_hitAttributeNV] = ACTIONS(1436),
    [anon_sym_callableDataNV] = ACTIONS(1436),
    [anon_sym_callableDataInNV] = ACTIONS(1436),
    [anon_sym_shaderRecordNV] = ACTIONS(1436),
    [anon_sym_layout] = ACTIONS(1436),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_subroutine] = ACTIONS(1472),
    [anon_sym_invariant] = ACTIONS(1472),
    [anon_sym_precise] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_out] = ACTIONS(1472),
    [anon_sym_inout] = ACTIONS(1472),
    [anon_sym_uniform] = ACTIONS(1472),
    [anon_sym_shared] = ACTIONS(1472),
    [anon_sym_attribute] = ACTIONS(1472),
    [anon_sym_varying] = ACTIONS(1472),
    [anon_sym_buffer] = ACTIONS(1472),
    [anon_sym_coherent] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_writeonly] = ACTIONS(1472),
    [anon_sym_precision] = ACTIONS(1472),
    [anon_sym_highp] = ACTIONS(1472),
    [anon_sym_mediump] = ACTIONS(1472),
    [anon_sym_lowp] = ACTIONS(1472),
    [anon_sym_centroid] = ACTIONS(1472),
    [anon_sym_sample] = ACTIONS(1472),
    [anon_sym_patch] = ACTIONS(1472),
    [anon_sym_smooth] = ACTIONS(1472),
    [anon_sym_flat] = ACTIONS(1472),
    [anon_sym_noperspective] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym___attribute] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [anon_sym__Nonnull] = ACTIONS(1472),
    [anon_sym_alignas] = ACTIONS(1472),
    [anon_sym__Alignas] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [anon_sym___asm] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1472),
    [anon_sym_hitAttributeEXT] = ACTIONS(1472),
    [anon_sym_callableDataEXT] = ACTIONS(1472),
    [anon_sym_callableDataInEXT] = ACTIONS(1472),
    [anon_sym_shaderRecordEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadNV] = ACTIONS(1472),
    [anon_sym_rayPayloadInNV] = ACTIONS(1472),
    [anon_sym_hitAttributeNV] = ACTIONS(1472),
    [anon_sym_callableDataNV] = ACTIONS(1472),
    [anon_sym_callableDataInNV] = ACTIONS(1472),
    [anon_sym_shaderRecordNV] = ACTIONS(1472),
    [anon_sym_layout] = ACTIONS(1472),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_subroutine] = ACTIONS(1472),
    [anon_sym_invariant] = ACTIONS(1472),
    [anon_sym_precise] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_out] = ACTIONS(1472),
    [anon_sym_inout] = ACTIONS(1472),
    [anon_sym_uniform] = ACTIONS(1472),
    [anon_sym_shared] = ACTIONS(1472),
    [anon_sym_attribute] = ACTIONS(1472),
    [anon_sym_varying] = ACTIONS(1472),
    [anon_sym_buffer] = ACTIONS(1472),
    [anon_sym_coherent] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_writeonly] = ACTIONS(1472),
    [anon_sym_precision] = ACTIONS(1472),
    [anon_sym_highp] = ACTIONS(1472),
    [anon_sym_mediump] = ACTIONS(1472),
    [anon_sym_lowp] = ACTIONS(1472),
    [anon_sym_centroid] = ACTIONS(1472),
    [anon_sym_sample] = ACTIONS(1472),
    [anon_sym_patch] = ACTIONS(1472),
    [anon_sym_smooth] = ACTIONS(1472),
    [anon_sym_flat] = ACTIONS(1472),
    [anon_sym_noperspective] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym___attribute] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [anon_sym__Nonnull] = ACTIONS(1472),
    [anon_sym_alignas] = ACTIONS(1472),
    [anon_sym__Alignas] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [anon_sym___asm] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1472),
    [anon_sym_hitAttributeEXT] = ACTIONS(1472),
    [anon_sym_callableDataEXT] = ACTIONS(1472),
    [anon_sym_callableDataInEXT] = ACTIONS(1472),
    [anon_sym_shaderRecordEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadNV] = ACTIONS(1472),
    [anon_sym_rayPayloadInNV] = ACTIONS(1472),
    [anon_sym_hitAttributeNV] = ACTIONS(1472),
    [anon_sym_callableDataNV] = ACTIONS(1472),
    [anon_sym_callableDataInNV] = ACTIONS(1472),
    [anon_sym_shaderRecordNV] = ACTIONS(1472),
    [anon_sym_layout] = ACTIONS(1472),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_subroutine] = ACTIONS(1468),
    [anon_sym_invariant] = ACTIONS(1468),
    [anon_sym_precise] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym_in] = ACTIONS(1468),
    [anon_sym_out] = ACTIONS(1468),
    [anon_sym_inout] = ACTIONS(1468),
    [anon_sym_uniform] = ACTIONS(1468),
    [anon_sym_shared] = ACTIONS(1468),
    [anon_sym_attribute] = ACTIONS(1468),
    [anon_sym_varying] = ACTIONS(1468),
    [anon_sym_buffer] = ACTIONS(1468),
    [anon_sym_coherent] = ACTIONS(1468),
    [anon_sym_readonly] = ACTIONS(1468),
    [anon_sym_writeonly] = ACTIONS(1468),
    [anon_sym_precision] = ACTIONS(1468),
    [anon_sym_highp] = ACTIONS(1468),
    [anon_sym_mediump] = ACTIONS(1468),
    [anon_sym_lowp] = ACTIONS(1468),
    [anon_sym_centroid] = ACTIONS(1468),
    [anon_sym_sample] = ACTIONS(1468),
    [anon_sym_patch] = ACTIONS(1468),
    [anon_sym_smooth] = ACTIONS(1468),
    [anon_sym_flat] = ACTIONS(1468),
    [anon_sym_noperspective] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym___attribute] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [anon_sym__Nonnull] = ACTIONS(1468),
    [anon_sym_alignas] = ACTIONS(1468),
    [anon_sym__Alignas] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [anon_sym___asm] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1468),
    [anon_sym_hitAttributeEXT] = ACTIONS(1468),
    [anon_sym_callableDataEXT] = ACTIONS(1468),
    [anon_sym_callableDataInEXT] = ACTIONS(1468),
    [anon_sym_shaderRecordEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadNV] = ACTIONS(1468),
    [anon_sym_rayPayloadInNV] = ACTIONS(1468),
    [anon_sym_hitAttributeNV] = ACTIONS(1468),
    [anon_sym_callableDataNV] = ACTIONS(1468),
    [anon_sym_callableDataInNV] = ACTIONS(1468),
    [anon_sym_shaderRecordNV] = ACTIONS(1468),
    [anon_sym_layout] = ACTIONS(1468),
  },
  [358] = {
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token2] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_subroutine] = ACTIONS(1412),
    [anon_sym_invariant] = ACTIONS(1412),
    [anon_sym_precise] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_out] = ACTIONS(1412),
    [anon_sym_inout] = ACTIONS(1412),
    [anon_sym_uniform] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_attribute] = ACTIONS(1412),
    [anon_sym_varying] = ACTIONS(1412),
    [anon_sym_buffer] = ACTIONS(1412),
    [anon_sym_coherent] = ACTIONS(1412),
    [anon_sym_readonly] = ACTIONS(1412),
    [anon_sym_writeonly] = ACTIONS(1412),
    [anon_sym_precision] = ACTIONS(1412),
    [anon_sym_highp] = ACTIONS(1412),
    [anon_sym_mediump] = ACTIONS(1412),
    [anon_sym_lowp] = ACTIONS(1412),
    [anon_sym_centroid] = ACTIONS(1412),
    [anon_sym_sample] = ACTIONS(1412),
    [anon_sym_patch] = ACTIONS(1412),
    [anon_sym_smooth] = ACTIONS(1412),
    [anon_sym_flat] = ACTIONS(1412),
    [anon_sym_noperspective] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym___attribute] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [anon_sym__Nonnull] = ACTIONS(1412),
    [anon_sym_alignas] = ACTIONS(1412),
    [anon_sym__Alignas] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym___try] = ACTIONS(1412),
    [anon_sym___leave] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [anon_sym___asm] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1412),
    [anon_sym_hitAttributeEXT] = ACTIONS(1412),
    [anon_sym_callableDataEXT] = ACTIONS(1412),
    [anon_sym_callableDataInEXT] = ACTIONS(1412),
    [anon_sym_shaderRecordEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadNV] = ACTIONS(1412),
    [anon_sym_rayPayloadInNV] = ACTIONS(1412),
    [anon_sym_hitAttributeNV] = ACTIONS(1412),
    [anon_sym_callableDataNV] = ACTIONS(1412),
    [anon_sym_callableDataInNV] = ACTIONS(1412),
    [anon_sym_shaderRecordNV] = ACTIONS(1412),
    [anon_sym_layout] = ACTIONS(1412),
  },
  [359] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_subroutine] = ACTIONS(1416),
    [anon_sym_invariant] = ACTIONS(1416),
    [anon_sym_precise] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_out] = ACTIONS(1416),
    [anon_sym_inout] = ACTIONS(1416),
    [anon_sym_uniform] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_attribute] = ACTIONS(1416),
    [anon_sym_varying] = ACTIONS(1416),
    [anon_sym_buffer] = ACTIONS(1416),
    [anon_sym_coherent] = ACTIONS(1416),
    [anon_sym_readonly] = ACTIONS(1416),
    [anon_sym_writeonly] = ACTIONS(1416),
    [anon_sym_precision] = ACTIONS(1416),
    [anon_sym_highp] = ACTIONS(1416),
    [anon_sym_mediump] = ACTIONS(1416),
    [anon_sym_lowp] = ACTIONS(1416),
    [anon_sym_centroid] = ACTIONS(1416),
    [anon_sym_sample] = ACTIONS(1416),
    [anon_sym_patch] = ACTIONS(1416),
    [anon_sym_smooth] = ACTIONS(1416),
    [anon_sym_flat] = ACTIONS(1416),
    [anon_sym_noperspective] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym___attribute] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [anon_sym__Nonnull] = ACTIONS(1416),
    [anon_sym_alignas] = ACTIONS(1416),
    [anon_sym__Alignas] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [anon_sym___asm] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1416),
    [anon_sym_hitAttributeEXT] = ACTIONS(1416),
    [anon_sym_callableDataEXT] = ACTIONS(1416),
    [anon_sym_callableDataInEXT] = ACTIONS(1416),
    [anon_sym_shaderRecordEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadNV] = ACTIONS(1416),
    [anon_sym_rayPayloadInNV] = ACTIONS(1416),
    [anon_sym_hitAttributeNV] = ACTIONS(1416),
    [anon_sym_callableDataNV] = ACTIONS(1416),
    [anon_sym_callableDataInNV] = ACTIONS(1416),
    [anon_sym_shaderRecordNV] = ACTIONS(1416),
    [anon_sym_layout] = ACTIONS(1416),
  },
  [360] = {
    [sym_identifier] = ACTIONS(1536),
    [aux_sym_preproc_include_token1] = ACTIONS(1536),
    [aux_sym_preproc_def_token1] = ACTIONS(1536),
    [aux_sym_preproc_if_token1] = ACTIONS(1536),
    [aux_sym_preproc_if_token2] = ACTIONS(1536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1536),
    [sym_preproc_directive] = ACTIONS(1536),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1536),
    [anon_sym_invariant] = ACTIONS(1536),
    [anon_sym_precise] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1536),
    [anon_sym_out] = ACTIONS(1536),
    [anon_sym_inout] = ACTIONS(1536),
    [anon_sym_uniform] = ACTIONS(1536),
    [anon_sym_shared] = ACTIONS(1536),
    [anon_sym_attribute] = ACTIONS(1536),
    [anon_sym_varying] = ACTIONS(1536),
    [anon_sym_buffer] = ACTIONS(1536),
    [anon_sym_coherent] = ACTIONS(1536),
    [anon_sym_readonly] = ACTIONS(1536),
    [anon_sym_writeonly] = ACTIONS(1536),
    [anon_sym_precision] = ACTIONS(1536),
    [anon_sym_highp] = ACTIONS(1536),
    [anon_sym_mediump] = ACTIONS(1536),
    [anon_sym_lowp] = ACTIONS(1536),
    [anon_sym_centroid] = ACTIONS(1536),
    [anon_sym_sample] = ACTIONS(1536),
    [anon_sym_patch] = ACTIONS(1536),
    [anon_sym_smooth] = ACTIONS(1536),
    [anon_sym_flat] = ACTIONS(1536),
    [anon_sym_noperspective] = ACTIONS(1536),
    [anon_sym___extension__] = ACTIONS(1536),
    [anon_sym_typedef] = ACTIONS(1536),
    [anon_sym_extern] = ACTIONS(1536),
    [anon_sym___attribute__] = ACTIONS(1536),
    [anon_sym___attribute] = ACTIONS(1536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1536),
    [anon_sym___cdecl] = ACTIONS(1536),
    [anon_sym___clrcall] = ACTIONS(1536),
    [anon_sym___stdcall] = ACTIONS(1536),
    [anon_sym___fastcall] = ACTIONS(1536),
    [anon_sym___thiscall] = ACTIONS(1536),
    [anon_sym___vectorcall] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1536),
    [anon_sym_unsigned] = ACTIONS(1536),
    [anon_sym_long] = ACTIONS(1536),
    [anon_sym_short] = ACTIONS(1536),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_auto] = ACTIONS(1536),
    [anon_sym_register] = ACTIONS(1536),
    [anon_sym_inline] = ACTIONS(1536),
    [anon_sym___inline] = ACTIONS(1536),
    [anon_sym___inline__] = ACTIONS(1536),
    [anon_sym___forceinline] = ACTIONS(1536),
    [anon_sym_thread_local] = ACTIONS(1536),
    [anon_sym___thread] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1536),
    [anon_sym_constexpr] = ACTIONS(1536),
    [anon_sym_volatile] = ACTIONS(1536),
    [anon_sym_restrict] = ACTIONS(1536),
    [anon_sym___restrict__] = ACTIONS(1536),
    [anon_sym__Atomic] = ACTIONS(1536),
    [anon_sym__Noreturn] = ACTIONS(1536),
    [anon_sym_noreturn] = ACTIONS(1536),
    [anon_sym__Nonnull] = ACTIONS(1536),
    [anon_sym_alignas] = ACTIONS(1536),
    [anon_sym__Alignas] = ACTIONS(1536),
    [sym_primitive_type] = ACTIONS(1536),
    [anon_sym_enum] = ACTIONS(1536),
    [anon_sym_struct] = ACTIONS(1536),
    [anon_sym_union] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1536),
    [anon_sym_case] = ACTIONS(1536),
    [anon_sym_default] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_do] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1536),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_goto] = ACTIONS(1536),
    [anon_sym___try] = ACTIONS(1536),
    [anon_sym___leave] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1536),
    [anon_sym___alignof__] = ACTIONS(1536),
    [anon_sym___alignof] = ACTIONS(1536),
    [anon_sym__alignof] = ACTIONS(1536),
    [anon_sym_alignof] = ACTIONS(1536),
    [anon_sym__Alignof] = ACTIONS(1536),
    [anon_sym_offsetof] = ACTIONS(1536),
    [anon_sym__Generic] = ACTIONS(1536),
    [anon_sym_asm] = ACTIONS(1536),
    [anon_sym___asm__] = ACTIONS(1536),
    [anon_sym___asm] = ACTIONS(1536),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1536),
    [sym_false] = ACTIONS(1536),
    [anon_sym_NULL] = ACTIONS(1536),
    [anon_sym_nullptr] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1536),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1536),
    [anon_sym_hitAttributeEXT] = ACTIONS(1536),
    [anon_sym_callableDataEXT] = ACTIONS(1536),
    [anon_sym_callableDataInEXT] = ACTIONS(1536),
    [anon_sym_shaderRecordEXT] = ACTIONS(1536),
    [anon_sym_rayPayloadNV] = ACTIONS(1536),
    [anon_sym_rayPayloadInNV] = ACTIONS(1536),
    [anon_sym_hitAttributeNV] = ACTIONS(1536),
    [anon_sym_callableDataNV] = ACTIONS(1536),
    [anon_sym_callableDataInNV] = ACTIONS(1536),
    [anon_sym_shaderRecordNV] = ACTIONS(1536),
    [anon_sym_layout] = ACTIONS(1536),
  },
  [361] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_subroutine] = ACTIONS(1444),
    [anon_sym_invariant] = ACTIONS(1444),
    [anon_sym_precise] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_in] = ACTIONS(1444),
    [anon_sym_out] = ACTIONS(1444),
    [anon_sym_inout] = ACTIONS(1444),
    [anon_sym_uniform] = ACTIONS(1444),
    [anon_sym_shared] = ACTIONS(1444),
    [anon_sym_attribute] = ACTIONS(1444),
    [anon_sym_varying] = ACTIONS(1444),
    [anon_sym_buffer] = ACTIONS(1444),
    [anon_sym_coherent] = ACTIONS(1444),
    [anon_sym_readonly] = ACTIONS(1444),
    [anon_sym_writeonly] = ACTIONS(1444),
    [anon_sym_precision] = ACTIONS(1444),
    [anon_sym_highp] = ACTIONS(1444),
    [anon_sym_mediump] = ACTIONS(1444),
    [anon_sym_lowp] = ACTIONS(1444),
    [anon_sym_centroid] = ACTIONS(1444),
    [anon_sym_sample] = ACTIONS(1444),
    [anon_sym_patch] = ACTIONS(1444),
    [anon_sym_smooth] = ACTIONS(1444),
    [anon_sym_flat] = ACTIONS(1444),
    [anon_sym_noperspective] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym___attribute] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [anon_sym__Nonnull] = ACTIONS(1444),
    [anon_sym_alignas] = ACTIONS(1444),
    [anon_sym__Alignas] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [anon_sym___asm] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1444),
    [anon_sym_hitAttributeEXT] = ACTIONS(1444),
    [anon_sym_callableDataEXT] = ACTIONS(1444),
    [anon_sym_callableDataInEXT] = ACTIONS(1444),
    [anon_sym_shaderRecordEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadNV] = ACTIONS(1444),
    [anon_sym_rayPayloadInNV] = ACTIONS(1444),
    [anon_sym_hitAttributeNV] = ACTIONS(1444),
    [anon_sym_callableDataNV] = ACTIONS(1444),
    [anon_sym_callableDataInNV] = ACTIONS(1444),
    [anon_sym_shaderRecordNV] = ACTIONS(1444),
    [anon_sym_layout] = ACTIONS(1444),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [365] = {
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_subroutine] = ACTIONS(1408),
    [anon_sym_invariant] = ACTIONS(1408),
    [anon_sym_precise] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1408),
    [anon_sym_out] = ACTIONS(1408),
    [anon_sym_inout] = ACTIONS(1408),
    [anon_sym_uniform] = ACTIONS(1408),
    [anon_sym_shared] = ACTIONS(1408),
    [anon_sym_attribute] = ACTIONS(1408),
    [anon_sym_varying] = ACTIONS(1408),
    [anon_sym_buffer] = ACTIONS(1408),
    [anon_sym_coherent] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_writeonly] = ACTIONS(1408),
    [anon_sym_precision] = ACTIONS(1408),
    [anon_sym_highp] = ACTIONS(1408),
    [anon_sym_mediump] = ACTIONS(1408),
    [anon_sym_lowp] = ACTIONS(1408),
    [anon_sym_centroid] = ACTIONS(1408),
    [anon_sym_sample] = ACTIONS(1408),
    [anon_sym_patch] = ACTIONS(1408),
    [anon_sym_smooth] = ACTIONS(1408),
    [anon_sym_flat] = ACTIONS(1408),
    [anon_sym_noperspective] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym___attribute] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [anon_sym__Nonnull] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(1408),
    [anon_sym__Alignas] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym___try] = ACTIONS(1408),
    [anon_sym___leave] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [anon_sym___asm] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1408),
    [anon_sym_hitAttributeEXT] = ACTIONS(1408),
    [anon_sym_callableDataEXT] = ACTIONS(1408),
    [anon_sym_callableDataInEXT] = ACTIONS(1408),
    [anon_sym_shaderRecordEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadNV] = ACTIONS(1408),
    [anon_sym_rayPayloadInNV] = ACTIONS(1408),
    [anon_sym_hitAttributeNV] = ACTIONS(1408),
    [anon_sym_callableDataNV] = ACTIONS(1408),
    [anon_sym_callableDataInNV] = ACTIONS(1408),
    [anon_sym_shaderRecordNV] = ACTIONS(1408),
    [anon_sym_layout] = ACTIONS(1408),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [367] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [368] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [369] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [370] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_subroutine] = ACTIONS(1464),
    [anon_sym_invariant] = ACTIONS(1464),
    [anon_sym_precise] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym_in] = ACTIONS(1464),
    [anon_sym_out] = ACTIONS(1464),
    [anon_sym_inout] = ACTIONS(1464),
    [anon_sym_uniform] = ACTIONS(1464),
    [anon_sym_shared] = ACTIONS(1464),
    [anon_sym_attribute] = ACTIONS(1464),
    [anon_sym_varying] = ACTIONS(1464),
    [anon_sym_buffer] = ACTIONS(1464),
    [anon_sym_coherent] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_writeonly] = ACTIONS(1464),
    [anon_sym_precision] = ACTIONS(1464),
    [anon_sym_highp] = ACTIONS(1464),
    [anon_sym_mediump] = ACTIONS(1464),
    [anon_sym_lowp] = ACTIONS(1464),
    [anon_sym_centroid] = ACTIONS(1464),
    [anon_sym_sample] = ACTIONS(1464),
    [anon_sym_patch] = ACTIONS(1464),
    [anon_sym_smooth] = ACTIONS(1464),
    [anon_sym_flat] = ACTIONS(1464),
    [anon_sym_noperspective] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym___attribute] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [anon_sym__Nonnull] = ACTIONS(1464),
    [anon_sym_alignas] = ACTIONS(1464),
    [anon_sym__Alignas] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [anon_sym___asm] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1464),
    [anon_sym_hitAttributeEXT] = ACTIONS(1464),
    [anon_sym_callableDataEXT] = ACTIONS(1464),
    [anon_sym_callableDataInEXT] = ACTIONS(1464),
    [anon_sym_shaderRecordEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadNV] = ACTIONS(1464),
    [anon_sym_rayPayloadInNV] = ACTIONS(1464),
    [anon_sym_hitAttributeNV] = ACTIONS(1464),
    [anon_sym_callableDataNV] = ACTIONS(1464),
    [anon_sym_callableDataInNV] = ACTIONS(1464),
    [anon_sym_shaderRecordNV] = ACTIONS(1464),
    [anon_sym_layout] = ACTIONS(1464),
  },
  [371] = {
    [sym_identifier] = ACTIONS(1546),
    [aux_sym_preproc_include_token1] = ACTIONS(1546),
    [aux_sym_preproc_def_token1] = ACTIONS(1546),
    [aux_sym_preproc_if_token1] = ACTIONS(1546),
    [aux_sym_preproc_if_token2] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1546),
    [sym_preproc_directive] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_subroutine] = ACTIONS(1546),
    [anon_sym_invariant] = ACTIONS(1546),
    [anon_sym_precise] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1546),
    [anon_sym_out] = ACTIONS(1546),
    [anon_sym_inout] = ACTIONS(1546),
    [anon_sym_uniform] = ACTIONS(1546),
    [anon_sym_shared] = ACTIONS(1546),
    [anon_sym_attribute] = ACTIONS(1546),
    [anon_sym_varying] = ACTIONS(1546),
    [anon_sym_buffer] = ACTIONS(1546),
    [anon_sym_coherent] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_writeonly] = ACTIONS(1546),
    [anon_sym_precision] = ACTIONS(1546),
    [anon_sym_highp] = ACTIONS(1546),
    [anon_sym_mediump] = ACTIONS(1546),
    [anon_sym_lowp] = ACTIONS(1546),
    [anon_sym_centroid] = ACTIONS(1546),
    [anon_sym_sample] = ACTIONS(1546),
    [anon_sym_patch] = ACTIONS(1546),
    [anon_sym_smooth] = ACTIONS(1546),
    [anon_sym_flat] = ACTIONS(1546),
    [anon_sym_noperspective] = ACTIONS(1546),
    [anon_sym___extension__] = ACTIONS(1546),
    [anon_sym_typedef] = ACTIONS(1546),
    [anon_sym_extern] = ACTIONS(1546),
    [anon_sym___attribute__] = ACTIONS(1546),
    [anon_sym___attribute] = ACTIONS(1546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___cdecl] = ACTIONS(1546),
    [anon_sym___clrcall] = ACTIONS(1546),
    [anon_sym___stdcall] = ACTIONS(1546),
    [anon_sym___fastcall] = ACTIONS(1546),
    [anon_sym___thiscall] = ACTIONS(1546),
    [anon_sym___vectorcall] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_signed] = ACTIONS(1546),
    [anon_sym_unsigned] = ACTIONS(1546),
    [anon_sym_long] = ACTIONS(1546),
    [anon_sym_short] = ACTIONS(1546),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_auto] = ACTIONS(1546),
    [anon_sym_register] = ACTIONS(1546),
    [anon_sym_inline] = ACTIONS(1546),
    [anon_sym___inline] = ACTIONS(1546),
    [anon_sym___inline__] = ACTIONS(1546),
    [anon_sym___forceinline] = ACTIONS(1546),
    [anon_sym_thread_local] = ACTIONS(1546),
    [anon_sym___thread] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_constexpr] = ACTIONS(1546),
    [anon_sym_volatile] = ACTIONS(1546),
    [anon_sym_restrict] = ACTIONS(1546),
    [anon_sym___restrict__] = ACTIONS(1546),
    [anon_sym__Atomic] = ACTIONS(1546),
    [anon_sym__Noreturn] = ACTIONS(1546),
    [anon_sym_noreturn] = ACTIONS(1546),
    [anon_sym__Nonnull] = ACTIONS(1546),
    [anon_sym_alignas] = ACTIONS(1546),
    [anon_sym__Alignas] = ACTIONS(1546),
    [sym_primitive_type] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [anon_sym_struct] = ACTIONS(1546),
    [anon_sym_union] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_goto] = ACTIONS(1546),
    [anon_sym___try] = ACTIONS(1546),
    [anon_sym___leave] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1546),
    [anon_sym___alignof__] = ACTIONS(1546),
    [anon_sym___alignof] = ACTIONS(1546),
    [anon_sym__alignof] = ACTIONS(1546),
    [anon_sym_alignof] = ACTIONS(1546),
    [anon_sym__Alignof] = ACTIONS(1546),
    [anon_sym_offsetof] = ACTIONS(1546),
    [anon_sym__Generic] = ACTIONS(1546),
    [anon_sym_asm] = ACTIONS(1546),
    [anon_sym___asm__] = ACTIONS(1546),
    [anon_sym___asm] = ACTIONS(1546),
    [sym_number_literal] = ACTIONS(1548),
    [anon_sym_L_SQUOTE] = ACTIONS(1548),
    [anon_sym_u_SQUOTE] = ACTIONS(1548),
    [anon_sym_U_SQUOTE] = ACTIONS(1548),
    [anon_sym_u8_SQUOTE] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_L_DQUOTE] = ACTIONS(1548),
    [anon_sym_u_DQUOTE] = ACTIONS(1548),
    [anon_sym_U_DQUOTE] = ACTIONS(1548),
    [anon_sym_u8_DQUOTE] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [anon_sym_NULL] = ACTIONS(1546),
    [anon_sym_nullptr] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1546),
    [anon_sym_hitAttributeEXT] = ACTIONS(1546),
    [anon_sym_callableDataEXT] = ACTIONS(1546),
    [anon_sym_callableDataInEXT] = ACTIONS(1546),
    [anon_sym_shaderRecordEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadNV] = ACTIONS(1546),
    [anon_sym_rayPayloadInNV] = ACTIONS(1546),
    [anon_sym_hitAttributeNV] = ACTIONS(1546),
    [anon_sym_callableDataNV] = ACTIONS(1546),
    [anon_sym_callableDataInNV] = ACTIONS(1546),
    [anon_sym_shaderRecordNV] = ACTIONS(1546),
    [anon_sym_layout] = ACTIONS(1546),
  },
  [372] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_subroutine] = ACTIONS(1476),
    [anon_sym_invariant] = ACTIONS(1476),
    [anon_sym_precise] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_out] = ACTIONS(1476),
    [anon_sym_inout] = ACTIONS(1476),
    [anon_sym_uniform] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_attribute] = ACTIONS(1476),
    [anon_sym_varying] = ACTIONS(1476),
    [anon_sym_buffer] = ACTIONS(1476),
    [anon_sym_coherent] = ACTIONS(1476),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_writeonly] = ACTIONS(1476),
    [anon_sym_precision] = ACTIONS(1476),
    [anon_sym_highp] = ACTIONS(1476),
    [anon_sym_mediump] = ACTIONS(1476),
    [anon_sym_lowp] = ACTIONS(1476),
    [anon_sym_centroid] = ACTIONS(1476),
    [anon_sym_sample] = ACTIONS(1476),
    [anon_sym_patch] = ACTIONS(1476),
    [anon_sym_smooth] = ACTIONS(1476),
    [anon_sym_flat] = ACTIONS(1476),
    [anon_sym_noperspective] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym___attribute] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [anon_sym__Nonnull] = ACTIONS(1476),
    [anon_sym_alignas] = ACTIONS(1476),
    [anon_sym__Alignas] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [anon_sym___asm] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1476),
    [anon_sym_hitAttributeEXT] = ACTIONS(1476),
    [anon_sym_callableDataEXT] = ACTIONS(1476),
    [anon_sym_callableDataInEXT] = ACTIONS(1476),
    [anon_sym_shaderRecordEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadNV] = ACTIONS(1476),
    [anon_sym_rayPayloadInNV] = ACTIONS(1476),
    [anon_sym_hitAttributeNV] = ACTIONS(1476),
    [anon_sym_callableDataNV] = ACTIONS(1476),
    [anon_sym_callableDataInNV] = ACTIONS(1476),
    [anon_sym_shaderRecordNV] = ACTIONS(1476),
    [anon_sym_layout] = ACTIONS(1476),
  },
  [373] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_subroutine] = ACTIONS(1496),
    [anon_sym_invariant] = ACTIONS(1496),
    [anon_sym_precise] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1496),
    [anon_sym_out] = ACTIONS(1496),
    [anon_sym_inout] = ACTIONS(1496),
    [anon_sym_uniform] = ACTIONS(1496),
    [anon_sym_shared] = ACTIONS(1496),
    [anon_sym_attribute] = ACTIONS(1496),
    [anon_sym_varying] = ACTIONS(1496),
    [anon_sym_buffer] = ACTIONS(1496),
    [anon_sym_coherent] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_writeonly] = ACTIONS(1496),
    [anon_sym_precision] = ACTIONS(1496),
    [anon_sym_highp] = ACTIONS(1496),
    [anon_sym_mediump] = ACTIONS(1496),
    [anon_sym_lowp] = ACTIONS(1496),
    [anon_sym_centroid] = ACTIONS(1496),
    [anon_sym_sample] = ACTIONS(1496),
    [anon_sym_patch] = ACTIONS(1496),
    [anon_sym_smooth] = ACTIONS(1496),
    [anon_sym_flat] = ACTIONS(1496),
    [anon_sym_noperspective] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym___attribute] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [anon_sym__Nonnull] = ACTIONS(1496),
    [anon_sym_alignas] = ACTIONS(1496),
    [anon_sym__Alignas] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [anon_sym___asm] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1496),
    [anon_sym_hitAttributeEXT] = ACTIONS(1496),
    [anon_sym_callableDataEXT] = ACTIONS(1496),
    [anon_sym_callableDataInEXT] = ACTIONS(1496),
    [anon_sym_shaderRecordEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadNV] = ACTIONS(1496),
    [anon_sym_rayPayloadInNV] = ACTIONS(1496),
    [anon_sym_hitAttributeNV] = ACTIONS(1496),
    [anon_sym_callableDataNV] = ACTIONS(1496),
    [anon_sym_callableDataInNV] = ACTIONS(1496),
    [anon_sym_shaderRecordNV] = ACTIONS(1496),
    [anon_sym_layout] = ACTIONS(1496),
  },
  [374] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_subroutine] = ACTIONS(1504),
    [anon_sym_invariant] = ACTIONS(1504),
    [anon_sym_precise] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1504),
    [anon_sym_out] = ACTIONS(1504),
    [anon_sym_inout] = ACTIONS(1504),
    [anon_sym_uniform] = ACTIONS(1504),
    [anon_sym_shared] = ACTIONS(1504),
    [anon_sym_attribute] = ACTIONS(1504),
    [anon_sym_varying] = ACTIONS(1504),
    [anon_sym_buffer] = ACTIONS(1504),
    [anon_sym_coherent] = ACTIONS(1504),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_writeonly] = ACTIONS(1504),
    [anon_sym_precision] = ACTIONS(1504),
    [anon_sym_highp] = ACTIONS(1504),
    [anon_sym_mediump] = ACTIONS(1504),
    [anon_sym_lowp] = ACTIONS(1504),
    [anon_sym_centroid] = ACTIONS(1504),
    [anon_sym_sample] = ACTIONS(1504),
    [anon_sym_patch] = ACTIONS(1504),
    [anon_sym_smooth] = ACTIONS(1504),
    [anon_sym_flat] = ACTIONS(1504),
    [anon_sym_noperspective] = ACTIONS(1504),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym___attribute] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [anon_sym__Nonnull] = ACTIONS(1504),
    [anon_sym_alignas] = ACTIONS(1504),
    [anon_sym__Alignas] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [anon_sym___asm] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1504),
    [anon_sym_hitAttributeEXT] = ACTIONS(1504),
    [anon_sym_callableDataEXT] = ACTIONS(1504),
    [anon_sym_callableDataInEXT] = ACTIONS(1504),
    [anon_sym_shaderRecordEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadNV] = ACTIONS(1504),
    [anon_sym_rayPayloadInNV] = ACTIONS(1504),
    [anon_sym_hitAttributeNV] = ACTIONS(1504),
    [anon_sym_callableDataNV] = ACTIONS(1504),
    [anon_sym_callableDataInNV] = ACTIONS(1504),
    [anon_sym_shaderRecordNV] = ACTIONS(1504),
    [anon_sym_layout] = ACTIONS(1504),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1532),
    [aux_sym_preproc_include_token1] = ACTIONS(1532),
    [aux_sym_preproc_def_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1532),
    [sym_preproc_directive] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_subroutine] = ACTIONS(1532),
    [anon_sym_invariant] = ACTIONS(1532),
    [anon_sym_precise] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_out] = ACTIONS(1532),
    [anon_sym_inout] = ACTIONS(1532),
    [anon_sym_uniform] = ACTIONS(1532),
    [anon_sym_shared] = ACTIONS(1532),
    [anon_sym_attribute] = ACTIONS(1532),
    [anon_sym_varying] = ACTIONS(1532),
    [anon_sym_buffer] = ACTIONS(1532),
    [anon_sym_coherent] = ACTIONS(1532),
    [anon_sym_readonly] = ACTIONS(1532),
    [anon_sym_writeonly] = ACTIONS(1532),
    [anon_sym_precision] = ACTIONS(1532),
    [anon_sym_highp] = ACTIONS(1532),
    [anon_sym_mediump] = ACTIONS(1532),
    [anon_sym_lowp] = ACTIONS(1532),
    [anon_sym_centroid] = ACTIONS(1532),
    [anon_sym_sample] = ACTIONS(1532),
    [anon_sym_patch] = ACTIONS(1532),
    [anon_sym_smooth] = ACTIONS(1532),
    [anon_sym_flat] = ACTIONS(1532),
    [anon_sym_noperspective] = ACTIONS(1532),
    [anon_sym___extension__] = ACTIONS(1532),
    [anon_sym_typedef] = ACTIONS(1532),
    [anon_sym_extern] = ACTIONS(1532),
    [anon_sym___attribute__] = ACTIONS(1532),
    [anon_sym___attribute] = ACTIONS(1532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1534),
    [anon_sym___declspec] = ACTIONS(1532),
    [anon_sym___cdecl] = ACTIONS(1532),
    [anon_sym___clrcall] = ACTIONS(1532),
    [anon_sym___stdcall] = ACTIONS(1532),
    [anon_sym___fastcall] = ACTIONS(1532),
    [anon_sym___thiscall] = ACTIONS(1532),
    [anon_sym___vectorcall] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_signed] = ACTIONS(1532),
    [anon_sym_unsigned] = ACTIONS(1532),
    [anon_sym_long] = ACTIONS(1532),
    [anon_sym_short] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_auto] = ACTIONS(1532),
    [anon_sym_register] = ACTIONS(1532),
    [anon_sym_inline] = ACTIONS(1532),
    [anon_sym___inline] = ACTIONS(1532),
    [anon_sym___inline__] = ACTIONS(1532),
    [anon_sym___forceinline] = ACTIONS(1532),
    [anon_sym_thread_local] = ACTIONS(1532),
    [anon_sym___thread] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_constexpr] = ACTIONS(1532),
    [anon_sym_volatile] = ACTIONS(1532),
    [anon_sym_restrict] = ACTIONS(1532),
    [anon_sym___restrict__] = ACTIONS(1532),
    [anon_sym__Atomic] = ACTIONS(1532),
    [anon_sym__Noreturn] = ACTIONS(1532),
    [anon_sym_noreturn] = ACTIONS(1532),
    [anon_sym__Nonnull] = ACTIONS(1532),
    [anon_sym_alignas] = ACTIONS(1532),
    [anon_sym__Alignas] = ACTIONS(1532),
    [sym_primitive_type] = ACTIONS(1532),
    [anon_sym_enum] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1532),
    [anon_sym_union] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_switch] = ACTIONS(1532),
    [anon_sym_case] = ACTIONS(1532),
    [anon_sym_default] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_do] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1532),
    [anon_sym_break] = ACTIONS(1532),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1532),
    [anon_sym___try] = ACTIONS(1532),
    [anon_sym___leave] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_sizeof] = ACTIONS(1532),
    [anon_sym___alignof__] = ACTIONS(1532),
    [anon_sym___alignof] = ACTIONS(1532),
    [anon_sym__alignof] = ACTIONS(1532),
    [anon_sym_alignof] = ACTIONS(1532),
    [anon_sym__Alignof] = ACTIONS(1532),
    [anon_sym_offsetof] = ACTIONS(1532),
    [anon_sym__Generic] = ACTIONS(1532),
    [anon_sym_asm] = ACTIONS(1532),
    [anon_sym___asm__] = ACTIONS(1532),
    [anon_sym___asm] = ACTIONS(1532),
    [sym_number_literal] = ACTIONS(1534),
    [anon_sym_L_SQUOTE] = ACTIONS(1534),
    [anon_sym_u_SQUOTE] = ACTIONS(1534),
    [anon_sym_U_SQUOTE] = ACTIONS(1534),
    [anon_sym_u8_SQUOTE] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_L_DQUOTE] = ACTIONS(1534),
    [anon_sym_u_DQUOTE] = ACTIONS(1534),
    [anon_sym_U_DQUOTE] = ACTIONS(1534),
    [anon_sym_u8_DQUOTE] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [sym_true] = ACTIONS(1532),
    [sym_false] = ACTIONS(1532),
    [anon_sym_NULL] = ACTIONS(1532),
    [anon_sym_nullptr] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1532),
    [anon_sym_hitAttributeEXT] = ACTIONS(1532),
    [anon_sym_callableDataEXT] = ACTIONS(1532),
    [anon_sym_callableDataInEXT] = ACTIONS(1532),
    [anon_sym_shaderRecordEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadNV] = ACTIONS(1532),
    [anon_sym_rayPayloadInNV] = ACTIONS(1532),
    [anon_sym_hitAttributeNV] = ACTIONS(1532),
    [anon_sym_callableDataNV] = ACTIONS(1532),
    [anon_sym_callableDataInNV] = ACTIONS(1532),
    [anon_sym_shaderRecordNV] = ACTIONS(1532),
    [anon_sym_layout] = ACTIONS(1532),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1528),
    [aux_sym_preproc_include_token1] = ACTIONS(1528),
    [aux_sym_preproc_def_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token2] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1528),
    [sym_preproc_directive] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_subroutine] = ACTIONS(1528),
    [anon_sym_invariant] = ACTIONS(1528),
    [anon_sym_precise] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_out] = ACTIONS(1528),
    [anon_sym_inout] = ACTIONS(1528),
    [anon_sym_uniform] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_attribute] = ACTIONS(1528),
    [anon_sym_varying] = ACTIONS(1528),
    [anon_sym_buffer] = ACTIONS(1528),
    [anon_sym_coherent] = ACTIONS(1528),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_writeonly] = ACTIONS(1528),
    [anon_sym_precision] = ACTIONS(1528),
    [anon_sym_highp] = ACTIONS(1528),
    [anon_sym_mediump] = ACTIONS(1528),
    [anon_sym_lowp] = ACTIONS(1528),
    [anon_sym_centroid] = ACTIONS(1528),
    [anon_sym_sample] = ACTIONS(1528),
    [anon_sym_patch] = ACTIONS(1528),
    [anon_sym_smooth] = ACTIONS(1528),
    [anon_sym_flat] = ACTIONS(1528),
    [anon_sym_noperspective] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1528),
    [anon_sym_typedef] = ACTIONS(1528),
    [anon_sym_extern] = ACTIONS(1528),
    [anon_sym___attribute__] = ACTIONS(1528),
    [anon_sym___attribute] = ACTIONS(1528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1530),
    [anon_sym___declspec] = ACTIONS(1528),
    [anon_sym___cdecl] = ACTIONS(1528),
    [anon_sym___clrcall] = ACTIONS(1528),
    [anon_sym___stdcall] = ACTIONS(1528),
    [anon_sym___fastcall] = ACTIONS(1528),
    [anon_sym___thiscall] = ACTIONS(1528),
    [anon_sym___vectorcall] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_signed] = ACTIONS(1528),
    [anon_sym_unsigned] = ACTIONS(1528),
    [anon_sym_long] = ACTIONS(1528),
    [anon_sym_short] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_auto] = ACTIONS(1528),
    [anon_sym_register] = ACTIONS(1528),
    [anon_sym_inline] = ACTIONS(1528),
    [anon_sym___inline] = ACTIONS(1528),
    [anon_sym___inline__] = ACTIONS(1528),
    [anon_sym___forceinline] = ACTIONS(1528),
    [anon_sym_thread_local] = ACTIONS(1528),
    [anon_sym___thread] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_constexpr] = ACTIONS(1528),
    [anon_sym_volatile] = ACTIONS(1528),
    [anon_sym_restrict] = ACTIONS(1528),
    [anon_sym___restrict__] = ACTIONS(1528),
    [anon_sym__Atomic] = ACTIONS(1528),
    [anon_sym__Noreturn] = ACTIONS(1528),
    [anon_sym_noreturn] = ACTIONS(1528),
    [anon_sym__Nonnull] = ACTIONS(1528),
    [anon_sym_alignas] = ACTIONS(1528),
    [anon_sym__Alignas] = ACTIONS(1528),
    [sym_primitive_type] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym___try] = ACTIONS(1528),
    [anon_sym___leave] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym___alignof__] = ACTIONS(1528),
    [anon_sym___alignof] = ACTIONS(1528),
    [anon_sym__alignof] = ACTIONS(1528),
    [anon_sym_alignof] = ACTIONS(1528),
    [anon_sym__Alignof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1528),
    [anon_sym__Generic] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym___asm__] = ACTIONS(1528),
    [anon_sym___asm] = ACTIONS(1528),
    [sym_number_literal] = ACTIONS(1530),
    [anon_sym_L_SQUOTE] = ACTIONS(1530),
    [anon_sym_u_SQUOTE] = ACTIONS(1530),
    [anon_sym_U_SQUOTE] = ACTIONS(1530),
    [anon_sym_u8_SQUOTE] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_L_DQUOTE] = ACTIONS(1530),
    [anon_sym_u_DQUOTE] = ACTIONS(1530),
    [anon_sym_U_DQUOTE] = ACTIONS(1530),
    [anon_sym_u8_DQUOTE] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_NULL] = ACTIONS(1528),
    [anon_sym_nullptr] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1528),
    [anon_sym_hitAttributeEXT] = ACTIONS(1528),
    [anon_sym_callableDataEXT] = ACTIONS(1528),
    [anon_sym_callableDataInEXT] = ACTIONS(1528),
    [anon_sym_shaderRecordEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadNV] = ACTIONS(1528),
    [anon_sym_rayPayloadInNV] = ACTIONS(1528),
    [anon_sym_hitAttributeNV] = ACTIONS(1528),
    [anon_sym_callableDataNV] = ACTIONS(1528),
    [anon_sym_callableDataInNV] = ACTIONS(1528),
    [anon_sym_shaderRecordNV] = ACTIONS(1528),
    [anon_sym_layout] = ACTIONS(1528),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_subroutine] = ACTIONS(1440),
    [anon_sym_invariant] = ACTIONS(1440),
    [anon_sym_precise] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_in] = ACTIONS(1440),
    [anon_sym_out] = ACTIONS(1440),
    [anon_sym_inout] = ACTIONS(1440),
    [anon_sym_uniform] = ACTIONS(1440),
    [anon_sym_shared] = ACTIONS(1440),
    [anon_sym_attribute] = ACTIONS(1440),
    [anon_sym_varying] = ACTIONS(1440),
    [anon_sym_buffer] = ACTIONS(1440),
    [anon_sym_coherent] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_writeonly] = ACTIONS(1440),
    [anon_sym_precision] = ACTIONS(1440),
    [anon_sym_highp] = ACTIONS(1440),
    [anon_sym_mediump] = ACTIONS(1440),
    [anon_sym_lowp] = ACTIONS(1440),
    [anon_sym_centroid] = ACTIONS(1440),
    [anon_sym_sample] = ACTIONS(1440),
    [anon_sym_patch] = ACTIONS(1440),
    [anon_sym_smooth] = ACTIONS(1440),
    [anon_sym_flat] = ACTIONS(1440),
    [anon_sym_noperspective] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym___attribute] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [anon_sym__Nonnull] = ACTIONS(1440),
    [anon_sym_alignas] = ACTIONS(1440),
    [anon_sym__Alignas] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [anon_sym___asm] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1440),
    [anon_sym_hitAttributeEXT] = ACTIONS(1440),
    [anon_sym_callableDataEXT] = ACTIONS(1440),
    [anon_sym_callableDataInEXT] = ACTIONS(1440),
    [anon_sym_shaderRecordEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadNV] = ACTIONS(1440),
    [anon_sym_rayPayloadInNV] = ACTIONS(1440),
    [anon_sym_hitAttributeNV] = ACTIONS(1440),
    [anon_sym_callableDataNV] = ACTIONS(1440),
    [anon_sym_callableDataInNV] = ACTIONS(1440),
    [anon_sym_shaderRecordNV] = ACTIONS(1440),
    [anon_sym_layout] = ACTIONS(1440),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1536),
    [aux_sym_preproc_include_token1] = ACTIONS(1536),
    [aux_sym_preproc_def_token1] = ACTIONS(1536),
    [aux_sym_preproc_if_token1] = ACTIONS(1536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1536),
    [sym_preproc_directive] = ACTIONS(1536),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1536),
    [anon_sym_invariant] = ACTIONS(1536),
    [anon_sym_precise] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1536),
    [anon_sym_out] = ACTIONS(1536),
    [anon_sym_inout] = ACTIONS(1536),
    [anon_sym_uniform] = ACTIONS(1536),
    [anon_sym_shared] = ACTIONS(1536),
    [anon_sym_attribute] = ACTIONS(1536),
    [anon_sym_varying] = ACTIONS(1536),
    [anon_sym_buffer] = ACTIONS(1536),
    [anon_sym_coherent] = ACTIONS(1536),
    [anon_sym_readonly] = ACTIONS(1536),
    [anon_sym_writeonly] = ACTIONS(1536),
    [anon_sym_precision] = ACTIONS(1536),
    [anon_sym_highp] = ACTIONS(1536),
    [anon_sym_mediump] = ACTIONS(1536),
    [anon_sym_lowp] = ACTIONS(1536),
    [anon_sym_centroid] = ACTIONS(1536),
    [anon_sym_sample] = ACTIONS(1536),
    [anon_sym_patch] = ACTIONS(1536),
    [anon_sym_smooth] = ACTIONS(1536),
    [anon_sym_flat] = ACTIONS(1536),
    [anon_sym_noperspective] = ACTIONS(1536),
    [anon_sym___extension__] = ACTIONS(1536),
    [anon_sym_typedef] = ACTIONS(1536),
    [anon_sym_extern] = ACTIONS(1536),
    [anon_sym___attribute__] = ACTIONS(1536),
    [anon_sym___attribute] = ACTIONS(1536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1536),
    [anon_sym___cdecl] = ACTIONS(1536),
    [anon_sym___clrcall] = ACTIONS(1536),
    [anon_sym___stdcall] = ACTIONS(1536),
    [anon_sym___fastcall] = ACTIONS(1536),
    [anon_sym___thiscall] = ACTIONS(1536),
    [anon_sym___vectorcall] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1536),
    [anon_sym_unsigned] = ACTIONS(1536),
    [anon_sym_long] = ACTIONS(1536),
    [anon_sym_short] = ACTIONS(1536),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_auto] = ACTIONS(1536),
    [anon_sym_register] = ACTIONS(1536),
    [anon_sym_inline] = ACTIONS(1536),
    [anon_sym___inline] = ACTIONS(1536),
    [anon_sym___inline__] = ACTIONS(1536),
    [anon_sym___forceinline] = ACTIONS(1536),
    [anon_sym_thread_local] = ACTIONS(1536),
    [anon_sym___thread] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1536),
    [anon_sym_constexpr] = ACTIONS(1536),
    [anon_sym_volatile] = ACTIONS(1536),
    [anon_sym_restrict] = ACTIONS(1536),
    [anon_sym___restrict__] = ACTIONS(1536),
    [anon_sym__Atomic] = ACTIONS(1536),
    [anon_sym__Noreturn] = ACTIONS(1536),
    [anon_sym_noreturn] = ACTIONS(1536),
    [anon_sym__Nonnull] = ACTIONS(1536),
    [anon_sym_alignas] = ACTIONS(1536),
    [anon_sym__Alignas] = ACTIONS(1536),
    [sym_primitive_type] = ACTIONS(1536),
    [anon_sym_enum] = ACTIONS(1536),
    [anon_sym_struct] = ACTIONS(1536),
    [anon_sym_union] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1536),
    [anon_sym_case] = ACTIONS(1536),
    [anon_sym_default] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_do] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1536),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_goto] = ACTIONS(1536),
    [anon_sym___try] = ACTIONS(1536),
    [anon_sym___leave] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1536),
    [anon_sym___alignof__] = ACTIONS(1536),
    [anon_sym___alignof] = ACTIONS(1536),
    [anon_sym__alignof] = ACTIONS(1536),
    [anon_sym_alignof] = ACTIONS(1536),
    [anon_sym__Alignof] = ACTIONS(1536),
    [anon_sym_offsetof] = ACTIONS(1536),
    [anon_sym__Generic] = ACTIONS(1536),
    [anon_sym_asm] = ACTIONS(1536),
    [anon_sym___asm__] = ACTIONS(1536),
    [anon_sym___asm] = ACTIONS(1536),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1536),
    [sym_false] = ACTIONS(1536),
    [anon_sym_NULL] = ACTIONS(1536),
    [anon_sym_nullptr] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1536),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1536),
    [anon_sym_hitAttributeEXT] = ACTIONS(1536),
    [anon_sym_callableDataEXT] = ACTIONS(1536),
    [anon_sym_callableDataInEXT] = ACTIONS(1536),
    [anon_sym_shaderRecordEXT] = ACTIONS(1536),
    [anon_sym_rayPayloadNV] = ACTIONS(1536),
    [anon_sym_rayPayloadInNV] = ACTIONS(1536),
    [anon_sym_hitAttributeNV] = ACTIONS(1536),
    [anon_sym_callableDataNV] = ACTIONS(1536),
    [anon_sym_callableDataInNV] = ACTIONS(1536),
    [anon_sym_shaderRecordNV] = ACTIONS(1536),
    [anon_sym_layout] = ACTIONS(1536),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1532),
    [aux_sym_preproc_include_token1] = ACTIONS(1532),
    [aux_sym_preproc_def_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token2] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1532),
    [sym_preproc_directive] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_subroutine] = ACTIONS(1532),
    [anon_sym_invariant] = ACTIONS(1532),
    [anon_sym_precise] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_out] = ACTIONS(1532),
    [anon_sym_inout] = ACTIONS(1532),
    [anon_sym_uniform] = ACTIONS(1532),
    [anon_sym_shared] = ACTIONS(1532),
    [anon_sym_attribute] = ACTIONS(1532),
    [anon_sym_varying] = ACTIONS(1532),
    [anon_sym_buffer] = ACTIONS(1532),
    [anon_sym_coherent] = ACTIONS(1532),
    [anon_sym_readonly] = ACTIONS(1532),
    [anon_sym_writeonly] = ACTIONS(1532),
    [anon_sym_precision] = ACTIONS(1532),
    [anon_sym_highp] = ACTIONS(1532),
    [anon_sym_mediump] = ACTIONS(1532),
    [anon_sym_lowp] = ACTIONS(1532),
    [anon_sym_centroid] = ACTIONS(1532),
    [anon_sym_sample] = ACTIONS(1532),
    [anon_sym_patch] = ACTIONS(1532),
    [anon_sym_smooth] = ACTIONS(1532),
    [anon_sym_flat] = ACTIONS(1532),
    [anon_sym_noperspective] = ACTIONS(1532),
    [anon_sym___extension__] = ACTIONS(1532),
    [anon_sym_typedef] = ACTIONS(1532),
    [anon_sym_extern] = ACTIONS(1532),
    [anon_sym___attribute__] = ACTIONS(1532),
    [anon_sym___attribute] = ACTIONS(1532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1534),
    [anon_sym___declspec] = ACTIONS(1532),
    [anon_sym___cdecl] = ACTIONS(1532),
    [anon_sym___clrcall] = ACTIONS(1532),
    [anon_sym___stdcall] = ACTIONS(1532),
    [anon_sym___fastcall] = ACTIONS(1532),
    [anon_sym___thiscall] = ACTIONS(1532),
    [anon_sym___vectorcall] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_signed] = ACTIONS(1532),
    [anon_sym_unsigned] = ACTIONS(1532),
    [anon_sym_long] = ACTIONS(1532),
    [anon_sym_short] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_auto] = ACTIONS(1532),
    [anon_sym_register] = ACTIONS(1532),
    [anon_sym_inline] = ACTIONS(1532),
    [anon_sym___inline] = ACTIONS(1532),
    [anon_sym___inline__] = ACTIONS(1532),
    [anon_sym___forceinline] = ACTIONS(1532),
    [anon_sym_thread_local] = ACTIONS(1532),
    [anon_sym___thread] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_constexpr] = ACTIONS(1532),
    [anon_sym_volatile] = ACTIONS(1532),
    [anon_sym_restrict] = ACTIONS(1532),
    [anon_sym___restrict__] = ACTIONS(1532),
    [anon_sym__Atomic] = ACTIONS(1532),
    [anon_sym__Noreturn] = ACTIONS(1532),
    [anon_sym_noreturn] = ACTIONS(1532),
    [anon_sym__Nonnull] = ACTIONS(1532),
    [anon_sym_alignas] = ACTIONS(1532),
    [anon_sym__Alignas] = ACTIONS(1532),
    [sym_primitive_type] = ACTIONS(1532),
    [anon_sym_enum] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1532),
    [anon_sym_union] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_switch] = ACTIONS(1532),
    [anon_sym_case] = ACTIONS(1532),
    [anon_sym_default] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_do] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1532),
    [anon_sym_break] = ACTIONS(1532),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1532),
    [anon_sym___try] = ACTIONS(1532),
    [anon_sym___leave] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_sizeof] = ACTIONS(1532),
    [anon_sym___alignof__] = ACTIONS(1532),
    [anon_sym___alignof] = ACTIONS(1532),
    [anon_sym__alignof] = ACTIONS(1532),
    [anon_sym_alignof] = ACTIONS(1532),
    [anon_sym__Alignof] = ACTIONS(1532),
    [anon_sym_offsetof] = ACTIONS(1532),
    [anon_sym__Generic] = ACTIONS(1532),
    [anon_sym_asm] = ACTIONS(1532),
    [anon_sym___asm__] = ACTIONS(1532),
    [anon_sym___asm] = ACTIONS(1532),
    [sym_number_literal] = ACTIONS(1534),
    [anon_sym_L_SQUOTE] = ACTIONS(1534),
    [anon_sym_u_SQUOTE] = ACTIONS(1534),
    [anon_sym_U_SQUOTE] = ACTIONS(1534),
    [anon_sym_u8_SQUOTE] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_L_DQUOTE] = ACTIONS(1534),
    [anon_sym_u_DQUOTE] = ACTIONS(1534),
    [anon_sym_U_DQUOTE] = ACTIONS(1534),
    [anon_sym_u8_DQUOTE] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [sym_true] = ACTIONS(1532),
    [sym_false] = ACTIONS(1532),
    [anon_sym_NULL] = ACTIONS(1532),
    [anon_sym_nullptr] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1532),
    [anon_sym_hitAttributeEXT] = ACTIONS(1532),
    [anon_sym_callableDataEXT] = ACTIONS(1532),
    [anon_sym_callableDataInEXT] = ACTIONS(1532),
    [anon_sym_shaderRecordEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadNV] = ACTIONS(1532),
    [anon_sym_rayPayloadInNV] = ACTIONS(1532),
    [anon_sym_hitAttributeNV] = ACTIONS(1532),
    [anon_sym_callableDataNV] = ACTIONS(1532),
    [anon_sym_callableDataInNV] = ACTIONS(1532),
    [anon_sym_shaderRecordNV] = ACTIONS(1532),
    [anon_sym_layout] = ACTIONS(1532),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1542),
    [aux_sym_preproc_include_token1] = ACTIONS(1542),
    [aux_sym_preproc_def_token1] = ACTIONS(1542),
    [aux_sym_preproc_if_token1] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1542),
    [sym_preproc_directive] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_subroutine] = ACTIONS(1542),
    [anon_sym_invariant] = ACTIONS(1542),
    [anon_sym_precise] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_out] = ACTIONS(1542),
    [anon_sym_inout] = ACTIONS(1542),
    [anon_sym_uniform] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_attribute] = ACTIONS(1542),
    [anon_sym_varying] = ACTIONS(1542),
    [anon_sym_buffer] = ACTIONS(1542),
    [anon_sym_coherent] = ACTIONS(1542),
    [anon_sym_readonly] = ACTIONS(1542),
    [anon_sym_writeonly] = ACTIONS(1542),
    [anon_sym_precision] = ACTIONS(1542),
    [anon_sym_highp] = ACTIONS(1542),
    [anon_sym_mediump] = ACTIONS(1542),
    [anon_sym_lowp] = ACTIONS(1542),
    [anon_sym_centroid] = ACTIONS(1542),
    [anon_sym_sample] = ACTIONS(1542),
    [anon_sym_patch] = ACTIONS(1542),
    [anon_sym_smooth] = ACTIONS(1542),
    [anon_sym_flat] = ACTIONS(1542),
    [anon_sym_noperspective] = ACTIONS(1542),
    [anon_sym___extension__] = ACTIONS(1542),
    [anon_sym_typedef] = ACTIONS(1542),
    [anon_sym_extern] = ACTIONS(1542),
    [anon_sym___attribute__] = ACTIONS(1542),
    [anon_sym___attribute] = ACTIONS(1542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1544),
    [anon_sym___declspec] = ACTIONS(1542),
    [anon_sym___cdecl] = ACTIONS(1542),
    [anon_sym___clrcall] = ACTIONS(1542),
    [anon_sym___stdcall] = ACTIONS(1542),
    [anon_sym___fastcall] = ACTIONS(1542),
    [anon_sym___thiscall] = ACTIONS(1542),
    [anon_sym___vectorcall] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [anon_sym_signed] = ACTIONS(1542),
    [anon_sym_unsigned] = ACTIONS(1542),
    [anon_sym_long] = ACTIONS(1542),
    [anon_sym_short] = ACTIONS(1542),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_auto] = ACTIONS(1542),
    [anon_sym_register] = ACTIONS(1542),
    [anon_sym_inline] = ACTIONS(1542),
    [anon_sym___inline] = ACTIONS(1542),
    [anon_sym___inline__] = ACTIONS(1542),
    [anon_sym___forceinline] = ACTIONS(1542),
    [anon_sym_thread_local] = ACTIONS(1542),
    [anon_sym___thread] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_constexpr] = ACTIONS(1542),
    [anon_sym_volatile] = ACTIONS(1542),
    [anon_sym_restrict] = ACTIONS(1542),
    [anon_sym___restrict__] = ACTIONS(1542),
    [anon_sym__Atomic] = ACTIONS(1542),
    [anon_sym__Noreturn] = ACTIONS(1542),
    [anon_sym_noreturn] = ACTIONS(1542),
    [anon_sym__Nonnull] = ACTIONS(1542),
    [anon_sym_alignas] = ACTIONS(1542),
    [anon_sym__Alignas] = ACTIONS(1542),
    [sym_primitive_type] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_switch] = ACTIONS(1542),
    [anon_sym_case] = ACTIONS(1542),
    [anon_sym_default] = ACTIONS(1542),
    [anon_sym_while] = ACTIONS(1542),
    [anon_sym_do] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym___try] = ACTIONS(1542),
    [anon_sym___leave] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1542),
    [anon_sym___alignof__] = ACTIONS(1542),
    [anon_sym___alignof] = ACTIONS(1542),
    [anon_sym__alignof] = ACTIONS(1542),
    [anon_sym_alignof] = ACTIONS(1542),
    [anon_sym__Alignof] = ACTIONS(1542),
    [anon_sym_offsetof] = ACTIONS(1542),
    [anon_sym__Generic] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym___asm__] = ACTIONS(1542),
    [anon_sym___asm] = ACTIONS(1542),
    [sym_number_literal] = ACTIONS(1544),
    [anon_sym_L_SQUOTE] = ACTIONS(1544),
    [anon_sym_u_SQUOTE] = ACTIONS(1544),
    [anon_sym_U_SQUOTE] = ACTIONS(1544),
    [anon_sym_u8_SQUOTE] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_L_DQUOTE] = ACTIONS(1544),
    [anon_sym_u_DQUOTE] = ACTIONS(1544),
    [anon_sym_U_DQUOTE] = ACTIONS(1544),
    [anon_sym_u8_DQUOTE] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_NULL] = ACTIONS(1542),
    [anon_sym_nullptr] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1542),
    [anon_sym_hitAttributeEXT] = ACTIONS(1542),
    [anon_sym_callableDataEXT] = ACTIONS(1542),
    [anon_sym_callableDataInEXT] = ACTIONS(1542),
    [anon_sym_shaderRecordEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadNV] = ACTIONS(1542),
    [anon_sym_rayPayloadInNV] = ACTIONS(1542),
    [anon_sym_hitAttributeNV] = ACTIONS(1542),
    [anon_sym_callableDataNV] = ACTIONS(1542),
    [anon_sym_callableDataInNV] = ACTIONS(1542),
    [anon_sym_shaderRecordNV] = ACTIONS(1542),
    [anon_sym_layout] = ACTIONS(1542),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_subroutine] = ACTIONS(1476),
    [anon_sym_invariant] = ACTIONS(1476),
    [anon_sym_precise] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_out] = ACTIONS(1476),
    [anon_sym_inout] = ACTIONS(1476),
    [anon_sym_uniform] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_attribute] = ACTIONS(1476),
    [anon_sym_varying] = ACTIONS(1476),
    [anon_sym_buffer] = ACTIONS(1476),
    [anon_sym_coherent] = ACTIONS(1476),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_writeonly] = ACTIONS(1476),
    [anon_sym_precision] = ACTIONS(1476),
    [anon_sym_highp] = ACTIONS(1476),
    [anon_sym_mediump] = ACTIONS(1476),
    [anon_sym_lowp] = ACTIONS(1476),
    [anon_sym_centroid] = ACTIONS(1476),
    [anon_sym_sample] = ACTIONS(1476),
    [anon_sym_patch] = ACTIONS(1476),
    [anon_sym_smooth] = ACTIONS(1476),
    [anon_sym_flat] = ACTIONS(1476),
    [anon_sym_noperspective] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym___attribute] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [anon_sym__Nonnull] = ACTIONS(1476),
    [anon_sym_alignas] = ACTIONS(1476),
    [anon_sym__Alignas] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [anon_sym___asm] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1476),
    [anon_sym_hitAttributeEXT] = ACTIONS(1476),
    [anon_sym_callableDataEXT] = ACTIONS(1476),
    [anon_sym_callableDataInEXT] = ACTIONS(1476),
    [anon_sym_shaderRecordEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadNV] = ACTIONS(1476),
    [anon_sym_rayPayloadInNV] = ACTIONS(1476),
    [anon_sym_hitAttributeNV] = ACTIONS(1476),
    [anon_sym_callableDataNV] = ACTIONS(1476),
    [anon_sym_callableDataInNV] = ACTIONS(1476),
    [anon_sym_shaderRecordNV] = ACTIONS(1476),
    [anon_sym_layout] = ACTIONS(1476),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_subroutine] = ACTIONS(1468),
    [anon_sym_invariant] = ACTIONS(1468),
    [anon_sym_precise] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym_in] = ACTIONS(1468),
    [anon_sym_out] = ACTIONS(1468),
    [anon_sym_inout] = ACTIONS(1468),
    [anon_sym_uniform] = ACTIONS(1468),
    [anon_sym_shared] = ACTIONS(1468),
    [anon_sym_attribute] = ACTIONS(1468),
    [anon_sym_varying] = ACTIONS(1468),
    [anon_sym_buffer] = ACTIONS(1468),
    [anon_sym_coherent] = ACTIONS(1468),
    [anon_sym_readonly] = ACTIONS(1468),
    [anon_sym_writeonly] = ACTIONS(1468),
    [anon_sym_precision] = ACTIONS(1468),
    [anon_sym_highp] = ACTIONS(1468),
    [anon_sym_mediump] = ACTIONS(1468),
    [anon_sym_lowp] = ACTIONS(1468),
    [anon_sym_centroid] = ACTIONS(1468),
    [anon_sym_sample] = ACTIONS(1468),
    [anon_sym_patch] = ACTIONS(1468),
    [anon_sym_smooth] = ACTIONS(1468),
    [anon_sym_flat] = ACTIONS(1468),
    [anon_sym_noperspective] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym___attribute] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [anon_sym__Nonnull] = ACTIONS(1468),
    [anon_sym_alignas] = ACTIONS(1468),
    [anon_sym__Alignas] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [anon_sym___asm] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1468),
    [anon_sym_hitAttributeEXT] = ACTIONS(1468),
    [anon_sym_callableDataEXT] = ACTIONS(1468),
    [anon_sym_callableDataInEXT] = ACTIONS(1468),
    [anon_sym_shaderRecordEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadNV] = ACTIONS(1468),
    [anon_sym_rayPayloadInNV] = ACTIONS(1468),
    [anon_sym_hitAttributeNV] = ACTIONS(1468),
    [anon_sym_callableDataNV] = ACTIONS(1468),
    [anon_sym_callableDataInNV] = ACTIONS(1468),
    [anon_sym_shaderRecordNV] = ACTIONS(1468),
    [anon_sym_layout] = ACTIONS(1468),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_subroutine] = ACTIONS(1412),
    [anon_sym_invariant] = ACTIONS(1412),
    [anon_sym_precise] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_out] = ACTIONS(1412),
    [anon_sym_inout] = ACTIONS(1412),
    [anon_sym_uniform] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_attribute] = ACTIONS(1412),
    [anon_sym_varying] = ACTIONS(1412),
    [anon_sym_buffer] = ACTIONS(1412),
    [anon_sym_coherent] = ACTIONS(1412),
    [anon_sym_readonly] = ACTIONS(1412),
    [anon_sym_writeonly] = ACTIONS(1412),
    [anon_sym_precision] = ACTIONS(1412),
    [anon_sym_highp] = ACTIONS(1412),
    [anon_sym_mediump] = ACTIONS(1412),
    [anon_sym_lowp] = ACTIONS(1412),
    [anon_sym_centroid] = ACTIONS(1412),
    [anon_sym_sample] = ACTIONS(1412),
    [anon_sym_patch] = ACTIONS(1412),
    [anon_sym_smooth] = ACTIONS(1412),
    [anon_sym_flat] = ACTIONS(1412),
    [anon_sym_noperspective] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym___attribute] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [anon_sym__Nonnull] = ACTIONS(1412),
    [anon_sym_alignas] = ACTIONS(1412),
    [anon_sym__Alignas] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym___try] = ACTIONS(1412),
    [anon_sym___leave] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [anon_sym___asm] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1412),
    [anon_sym_hitAttributeEXT] = ACTIONS(1412),
    [anon_sym_callableDataEXT] = ACTIONS(1412),
    [anon_sym_callableDataInEXT] = ACTIONS(1412),
    [anon_sym_shaderRecordEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadNV] = ACTIONS(1412),
    [anon_sym_rayPayloadInNV] = ACTIONS(1412),
    [anon_sym_hitAttributeNV] = ACTIONS(1412),
    [anon_sym_callableDataNV] = ACTIONS(1412),
    [anon_sym_callableDataInNV] = ACTIONS(1412),
    [anon_sym_shaderRecordNV] = ACTIONS(1412),
    [anon_sym_layout] = ACTIONS(1412),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_subroutine] = ACTIONS(1416),
    [anon_sym_invariant] = ACTIONS(1416),
    [anon_sym_precise] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_out] = ACTIONS(1416),
    [anon_sym_inout] = ACTIONS(1416),
    [anon_sym_uniform] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_attribute] = ACTIONS(1416),
    [anon_sym_varying] = ACTIONS(1416),
    [anon_sym_buffer] = ACTIONS(1416),
    [anon_sym_coherent] = ACTIONS(1416),
    [anon_sym_readonly] = ACTIONS(1416),
    [anon_sym_writeonly] = ACTIONS(1416),
    [anon_sym_precision] = ACTIONS(1416),
    [anon_sym_highp] = ACTIONS(1416),
    [anon_sym_mediump] = ACTIONS(1416),
    [anon_sym_lowp] = ACTIONS(1416),
    [anon_sym_centroid] = ACTIONS(1416),
    [anon_sym_sample] = ACTIONS(1416),
    [anon_sym_patch] = ACTIONS(1416),
    [anon_sym_smooth] = ACTIONS(1416),
    [anon_sym_flat] = ACTIONS(1416),
    [anon_sym_noperspective] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym___attribute] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [anon_sym__Nonnull] = ACTIONS(1416),
    [anon_sym_alignas] = ACTIONS(1416),
    [anon_sym__Alignas] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [anon_sym___asm] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1416),
    [anon_sym_hitAttributeEXT] = ACTIONS(1416),
    [anon_sym_callableDataEXT] = ACTIONS(1416),
    [anon_sym_callableDataInEXT] = ACTIONS(1416),
    [anon_sym_shaderRecordEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadNV] = ACTIONS(1416),
    [anon_sym_rayPayloadInNV] = ACTIONS(1416),
    [anon_sym_hitAttributeNV] = ACTIONS(1416),
    [anon_sym_callableDataNV] = ACTIONS(1416),
    [anon_sym_callableDataInNV] = ACTIONS(1416),
    [anon_sym_shaderRecordNV] = ACTIONS(1416),
    [anon_sym_layout] = ACTIONS(1416),
  },
  [385] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_subroutine] = ACTIONS(1420),
    [anon_sym_invariant] = ACTIONS(1420),
    [anon_sym_precise] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_out] = ACTIONS(1420),
    [anon_sym_inout] = ACTIONS(1420),
    [anon_sym_uniform] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_attribute] = ACTIONS(1420),
    [anon_sym_varying] = ACTIONS(1420),
    [anon_sym_buffer] = ACTIONS(1420),
    [anon_sym_coherent] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_writeonly] = ACTIONS(1420),
    [anon_sym_precision] = ACTIONS(1420),
    [anon_sym_highp] = ACTIONS(1420),
    [anon_sym_mediump] = ACTIONS(1420),
    [anon_sym_lowp] = ACTIONS(1420),
    [anon_sym_centroid] = ACTIONS(1420),
    [anon_sym_sample] = ACTIONS(1420),
    [anon_sym_patch] = ACTIONS(1420),
    [anon_sym_smooth] = ACTIONS(1420),
    [anon_sym_flat] = ACTIONS(1420),
    [anon_sym_noperspective] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym___attribute] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [anon_sym__Nonnull] = ACTIONS(1420),
    [anon_sym_alignas] = ACTIONS(1420),
    [anon_sym__Alignas] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [anon_sym___asm] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1420),
    [anon_sym_hitAttributeEXT] = ACTIONS(1420),
    [anon_sym_callableDataEXT] = ACTIONS(1420),
    [anon_sym_callableDataInEXT] = ACTIONS(1420),
    [anon_sym_shaderRecordEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadNV] = ACTIONS(1420),
    [anon_sym_rayPayloadInNV] = ACTIONS(1420),
    [anon_sym_hitAttributeNV] = ACTIONS(1420),
    [anon_sym_callableDataNV] = ACTIONS(1420),
    [anon_sym_callableDataInNV] = ACTIONS(1420),
    [anon_sym_shaderRecordNV] = ACTIONS(1420),
    [anon_sym_layout] = ACTIONS(1420),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1520),
    [aux_sym_preproc_include_token1] = ACTIONS(1520),
    [aux_sym_preproc_def_token1] = ACTIONS(1520),
    [aux_sym_preproc_if_token1] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1520),
    [sym_preproc_directive] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_subroutine] = ACTIONS(1520),
    [anon_sym_invariant] = ACTIONS(1520),
    [anon_sym_precise] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_out] = ACTIONS(1520),
    [anon_sym_inout] = ACTIONS(1520),
    [anon_sym_uniform] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_attribute] = ACTIONS(1520),
    [anon_sym_varying] = ACTIONS(1520),
    [anon_sym_buffer] = ACTIONS(1520),
    [anon_sym_coherent] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_writeonly] = ACTIONS(1520),
    [anon_sym_precision] = ACTIONS(1520),
    [anon_sym_highp] = ACTIONS(1520),
    [anon_sym_mediump] = ACTIONS(1520),
    [anon_sym_lowp] = ACTIONS(1520),
    [anon_sym_centroid] = ACTIONS(1520),
    [anon_sym_sample] = ACTIONS(1520),
    [anon_sym_patch] = ACTIONS(1520),
    [anon_sym_smooth] = ACTIONS(1520),
    [anon_sym_flat] = ACTIONS(1520),
    [anon_sym_noperspective] = ACTIONS(1520),
    [anon_sym___extension__] = ACTIONS(1520),
    [anon_sym_typedef] = ACTIONS(1520),
    [anon_sym_extern] = ACTIONS(1520),
    [anon_sym___attribute__] = ACTIONS(1520),
    [anon_sym___attribute] = ACTIONS(1520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1522),
    [anon_sym___declspec] = ACTIONS(1520),
    [anon_sym___cdecl] = ACTIONS(1520),
    [anon_sym___clrcall] = ACTIONS(1520),
    [anon_sym___stdcall] = ACTIONS(1520),
    [anon_sym___fastcall] = ACTIONS(1520),
    [anon_sym___thiscall] = ACTIONS(1520),
    [anon_sym___vectorcall] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_signed] = ACTIONS(1520),
    [anon_sym_unsigned] = ACTIONS(1520),
    [anon_sym_long] = ACTIONS(1520),
    [anon_sym_short] = ACTIONS(1520),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_auto] = ACTIONS(1520),
    [anon_sym_register] = ACTIONS(1520),
    [anon_sym_inline] = ACTIONS(1520),
    [anon_sym___inline] = ACTIONS(1520),
    [anon_sym___inline__] = ACTIONS(1520),
    [anon_sym___forceinline] = ACTIONS(1520),
    [anon_sym_thread_local] = ACTIONS(1520),
    [anon_sym___thread] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_constexpr] = ACTIONS(1520),
    [anon_sym_volatile] = ACTIONS(1520),
    [anon_sym_restrict] = ACTIONS(1520),
    [anon_sym___restrict__] = ACTIONS(1520),
    [anon_sym__Atomic] = ACTIONS(1520),
    [anon_sym__Noreturn] = ACTIONS(1520),
    [anon_sym_noreturn] = ACTIONS(1520),
    [anon_sym__Nonnull] = ACTIONS(1520),
    [anon_sym_alignas] = ACTIONS(1520),
    [anon_sym__Alignas] = ACTIONS(1520),
    [sym_primitive_type] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_struct] = ACTIONS(1520),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym___try] = ACTIONS(1520),
    [anon_sym___leave] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1520),
    [anon_sym___alignof__] = ACTIONS(1520),
    [anon_sym___alignof] = ACTIONS(1520),
    [anon_sym__alignof] = ACTIONS(1520),
    [anon_sym_alignof] = ACTIONS(1520),
    [anon_sym__Alignof] = ACTIONS(1520),
    [anon_sym_offsetof] = ACTIONS(1520),
    [anon_sym__Generic] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym___asm__] = ACTIONS(1520),
    [anon_sym___asm] = ACTIONS(1520),
    [sym_number_literal] = ACTIONS(1522),
    [anon_sym_L_SQUOTE] = ACTIONS(1522),
    [anon_sym_u_SQUOTE] = ACTIONS(1522),
    [anon_sym_U_SQUOTE] = ACTIONS(1522),
    [anon_sym_u8_SQUOTE] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_L_DQUOTE] = ACTIONS(1522),
    [anon_sym_u_DQUOTE] = ACTIONS(1522),
    [anon_sym_U_DQUOTE] = ACTIONS(1522),
    [anon_sym_u8_DQUOTE] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_NULL] = ACTIONS(1520),
    [anon_sym_nullptr] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1520),
    [anon_sym_hitAttributeEXT] = ACTIONS(1520),
    [anon_sym_callableDataEXT] = ACTIONS(1520),
    [anon_sym_callableDataInEXT] = ACTIONS(1520),
    [anon_sym_shaderRecordEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadNV] = ACTIONS(1520),
    [anon_sym_rayPayloadInNV] = ACTIONS(1520),
    [anon_sym_hitAttributeNV] = ACTIONS(1520),
    [anon_sym_callableDataNV] = ACTIONS(1520),
    [anon_sym_callableDataInNV] = ACTIONS(1520),
    [anon_sym_shaderRecordNV] = ACTIONS(1520),
    [anon_sym_layout] = ACTIONS(1520),
  },
  [387] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_subroutine] = ACTIONS(1424),
    [anon_sym_invariant] = ACTIONS(1424),
    [anon_sym_precise] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_out] = ACTIONS(1424),
    [anon_sym_inout] = ACTIONS(1424),
    [anon_sym_uniform] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_attribute] = ACTIONS(1424),
    [anon_sym_varying] = ACTIONS(1424),
    [anon_sym_buffer] = ACTIONS(1424),
    [anon_sym_coherent] = ACTIONS(1424),
    [anon_sym_readonly] = ACTIONS(1424),
    [anon_sym_writeonly] = ACTIONS(1424),
    [anon_sym_precision] = ACTIONS(1424),
    [anon_sym_highp] = ACTIONS(1424),
    [anon_sym_mediump] = ACTIONS(1424),
    [anon_sym_lowp] = ACTIONS(1424),
    [anon_sym_centroid] = ACTIONS(1424),
    [anon_sym_sample] = ACTIONS(1424),
    [anon_sym_patch] = ACTIONS(1424),
    [anon_sym_smooth] = ACTIONS(1424),
    [anon_sym_flat] = ACTIONS(1424),
    [anon_sym_noperspective] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym___attribute] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [anon_sym__Nonnull] = ACTIONS(1424),
    [anon_sym_alignas] = ACTIONS(1424),
    [anon_sym__Alignas] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [anon_sym___asm] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1424),
    [anon_sym_hitAttributeEXT] = ACTIONS(1424),
    [anon_sym_callableDataEXT] = ACTIONS(1424),
    [anon_sym_callableDataInEXT] = ACTIONS(1424),
    [anon_sym_shaderRecordEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadNV] = ACTIONS(1424),
    [anon_sym_rayPayloadInNV] = ACTIONS(1424),
    [anon_sym_hitAttributeNV] = ACTIONS(1424),
    [anon_sym_callableDataNV] = ACTIONS(1424),
    [anon_sym_callableDataInNV] = ACTIONS(1424),
    [anon_sym_shaderRecordNV] = ACTIONS(1424),
    [anon_sym_layout] = ACTIONS(1424),
  },
  [388] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_subroutine] = ACTIONS(1428),
    [anon_sym_invariant] = ACTIONS(1428),
    [anon_sym_precise] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_out] = ACTIONS(1428),
    [anon_sym_inout] = ACTIONS(1428),
    [anon_sym_uniform] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_attribute] = ACTIONS(1428),
    [anon_sym_varying] = ACTIONS(1428),
    [anon_sym_buffer] = ACTIONS(1428),
    [anon_sym_coherent] = ACTIONS(1428),
    [anon_sym_readonly] = ACTIONS(1428),
    [anon_sym_writeonly] = ACTIONS(1428),
    [anon_sym_precision] = ACTIONS(1428),
    [anon_sym_highp] = ACTIONS(1428),
    [anon_sym_mediump] = ACTIONS(1428),
    [anon_sym_lowp] = ACTIONS(1428),
    [anon_sym_centroid] = ACTIONS(1428),
    [anon_sym_sample] = ACTIONS(1428),
    [anon_sym_patch] = ACTIONS(1428),
    [anon_sym_smooth] = ACTIONS(1428),
    [anon_sym_flat] = ACTIONS(1428),
    [anon_sym_noperspective] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym___attribute] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [anon_sym__Nonnull] = ACTIONS(1428),
    [anon_sym_alignas] = ACTIONS(1428),
    [anon_sym__Alignas] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [anon_sym___asm] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1428),
    [anon_sym_hitAttributeEXT] = ACTIONS(1428),
    [anon_sym_callableDataEXT] = ACTIONS(1428),
    [anon_sym_callableDataInEXT] = ACTIONS(1428),
    [anon_sym_shaderRecordEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadNV] = ACTIONS(1428),
    [anon_sym_rayPayloadInNV] = ACTIONS(1428),
    [anon_sym_hitAttributeNV] = ACTIONS(1428),
    [anon_sym_callableDataNV] = ACTIONS(1428),
    [anon_sym_callableDataInNV] = ACTIONS(1428),
    [anon_sym_shaderRecordNV] = ACTIONS(1428),
    [anon_sym_layout] = ACTIONS(1428),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1528),
    [aux_sym_preproc_include_token1] = ACTIONS(1528),
    [aux_sym_preproc_def_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1528),
    [sym_preproc_directive] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_subroutine] = ACTIONS(1528),
    [anon_sym_invariant] = ACTIONS(1528),
    [anon_sym_precise] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_out] = ACTIONS(1528),
    [anon_sym_inout] = ACTIONS(1528),
    [anon_sym_uniform] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_attribute] = ACTIONS(1528),
    [anon_sym_varying] = ACTIONS(1528),
    [anon_sym_buffer] = ACTIONS(1528),
    [anon_sym_coherent] = ACTIONS(1528),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_writeonly] = ACTIONS(1528),
    [anon_sym_precision] = ACTIONS(1528),
    [anon_sym_highp] = ACTIONS(1528),
    [anon_sym_mediump] = ACTIONS(1528),
    [anon_sym_lowp] = ACTIONS(1528),
    [anon_sym_centroid] = ACTIONS(1528),
    [anon_sym_sample] = ACTIONS(1528),
    [anon_sym_patch] = ACTIONS(1528),
    [anon_sym_smooth] = ACTIONS(1528),
    [anon_sym_flat] = ACTIONS(1528),
    [anon_sym_noperspective] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1528),
    [anon_sym_typedef] = ACTIONS(1528),
    [anon_sym_extern] = ACTIONS(1528),
    [anon_sym___attribute__] = ACTIONS(1528),
    [anon_sym___attribute] = ACTIONS(1528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1530),
    [anon_sym___declspec] = ACTIONS(1528),
    [anon_sym___cdecl] = ACTIONS(1528),
    [anon_sym___clrcall] = ACTIONS(1528),
    [anon_sym___stdcall] = ACTIONS(1528),
    [anon_sym___fastcall] = ACTIONS(1528),
    [anon_sym___thiscall] = ACTIONS(1528),
    [anon_sym___vectorcall] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_signed] = ACTIONS(1528),
    [anon_sym_unsigned] = ACTIONS(1528),
    [anon_sym_long] = ACTIONS(1528),
    [anon_sym_short] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_auto] = ACTIONS(1528),
    [anon_sym_register] = ACTIONS(1528),
    [anon_sym_inline] = ACTIONS(1528),
    [anon_sym___inline] = ACTIONS(1528),
    [anon_sym___inline__] = ACTIONS(1528),
    [anon_sym___forceinline] = ACTIONS(1528),
    [anon_sym_thread_local] = ACTIONS(1528),
    [anon_sym___thread] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_constexpr] = ACTIONS(1528),
    [anon_sym_volatile] = ACTIONS(1528),
    [anon_sym_restrict] = ACTIONS(1528),
    [anon_sym___restrict__] = ACTIONS(1528),
    [anon_sym__Atomic] = ACTIONS(1528),
    [anon_sym__Noreturn] = ACTIONS(1528),
    [anon_sym_noreturn] = ACTIONS(1528),
    [anon_sym__Nonnull] = ACTIONS(1528),
    [anon_sym_alignas] = ACTIONS(1528),
    [anon_sym__Alignas] = ACTIONS(1528),
    [sym_primitive_type] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym___try] = ACTIONS(1528),
    [anon_sym___leave] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym___alignof__] = ACTIONS(1528),
    [anon_sym___alignof] = ACTIONS(1528),
    [anon_sym__alignof] = ACTIONS(1528),
    [anon_sym_alignof] = ACTIONS(1528),
    [anon_sym__Alignof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1528),
    [anon_sym__Generic] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym___asm__] = ACTIONS(1528),
    [anon_sym___asm] = ACTIONS(1528),
    [sym_number_literal] = ACTIONS(1530),
    [anon_sym_L_SQUOTE] = ACTIONS(1530),
    [anon_sym_u_SQUOTE] = ACTIONS(1530),
    [anon_sym_U_SQUOTE] = ACTIONS(1530),
    [anon_sym_u8_SQUOTE] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_L_DQUOTE] = ACTIONS(1530),
    [anon_sym_u_DQUOTE] = ACTIONS(1530),
    [anon_sym_U_DQUOTE] = ACTIONS(1530),
    [anon_sym_u8_DQUOTE] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_NULL] = ACTIONS(1528),
    [anon_sym_nullptr] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1528),
    [anon_sym_hitAttributeEXT] = ACTIONS(1528),
    [anon_sym_callableDataEXT] = ACTIONS(1528),
    [anon_sym_callableDataInEXT] = ACTIONS(1528),
    [anon_sym_shaderRecordEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadNV] = ACTIONS(1528),
    [anon_sym_rayPayloadInNV] = ACTIONS(1528),
    [anon_sym_hitAttributeNV] = ACTIONS(1528),
    [anon_sym_callableDataNV] = ACTIONS(1528),
    [anon_sym_callableDataInNV] = ACTIONS(1528),
    [anon_sym_shaderRecordNV] = ACTIONS(1528),
    [anon_sym_layout] = ACTIONS(1528),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_subroutine] = ACTIONS(1480),
    [anon_sym_invariant] = ACTIONS(1480),
    [anon_sym_precise] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_uniform] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_attribute] = ACTIONS(1480),
    [anon_sym_varying] = ACTIONS(1480),
    [anon_sym_buffer] = ACTIONS(1480),
    [anon_sym_coherent] = ACTIONS(1480),
    [anon_sym_readonly] = ACTIONS(1480),
    [anon_sym_writeonly] = ACTIONS(1480),
    [anon_sym_precision] = ACTIONS(1480),
    [anon_sym_highp] = ACTIONS(1480),
    [anon_sym_mediump] = ACTIONS(1480),
    [anon_sym_lowp] = ACTIONS(1480),
    [anon_sym_centroid] = ACTIONS(1480),
    [anon_sym_sample] = ACTIONS(1480),
    [anon_sym_patch] = ACTIONS(1480),
    [anon_sym_smooth] = ACTIONS(1480),
    [anon_sym_flat] = ACTIONS(1480),
    [anon_sym_noperspective] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym___attribute] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [anon_sym__Nonnull] = ACTIONS(1480),
    [anon_sym_alignas] = ACTIONS(1480),
    [anon_sym__Alignas] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [anon_sym___asm] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1480),
    [anon_sym_hitAttributeEXT] = ACTIONS(1480),
    [anon_sym_callableDataEXT] = ACTIONS(1480),
    [anon_sym_callableDataInEXT] = ACTIONS(1480),
    [anon_sym_shaderRecordEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadNV] = ACTIONS(1480),
    [anon_sym_rayPayloadInNV] = ACTIONS(1480),
    [anon_sym_hitAttributeNV] = ACTIONS(1480),
    [anon_sym_callableDataNV] = ACTIONS(1480),
    [anon_sym_callableDataInNV] = ACTIONS(1480),
    [anon_sym_shaderRecordNV] = ACTIONS(1480),
    [anon_sym_layout] = ACTIONS(1480),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_subroutine] = ACTIONS(1488),
    [anon_sym_invariant] = ACTIONS(1488),
    [anon_sym_precise] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_in] = ACTIONS(1488),
    [anon_sym_out] = ACTIONS(1488),
    [anon_sym_inout] = ACTIONS(1488),
    [anon_sym_uniform] = ACTIONS(1488),
    [anon_sym_shared] = ACTIONS(1488),
    [anon_sym_attribute] = ACTIONS(1488),
    [anon_sym_varying] = ACTIONS(1488),
    [anon_sym_buffer] = ACTIONS(1488),
    [anon_sym_coherent] = ACTIONS(1488),
    [anon_sym_readonly] = ACTIONS(1488),
    [anon_sym_writeonly] = ACTIONS(1488),
    [anon_sym_precision] = ACTIONS(1488),
    [anon_sym_highp] = ACTIONS(1488),
    [anon_sym_mediump] = ACTIONS(1488),
    [anon_sym_lowp] = ACTIONS(1488),
    [anon_sym_centroid] = ACTIONS(1488),
    [anon_sym_sample] = ACTIONS(1488),
    [anon_sym_patch] = ACTIONS(1488),
    [anon_sym_smooth] = ACTIONS(1488),
    [anon_sym_flat] = ACTIONS(1488),
    [anon_sym_noperspective] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym___attribute] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [anon_sym__Nonnull] = ACTIONS(1488),
    [anon_sym_alignas] = ACTIONS(1488),
    [anon_sym__Alignas] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [anon_sym___asm] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1488),
    [anon_sym_hitAttributeEXT] = ACTIONS(1488),
    [anon_sym_callableDataEXT] = ACTIONS(1488),
    [anon_sym_callableDataInEXT] = ACTIONS(1488),
    [anon_sym_shaderRecordEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadNV] = ACTIONS(1488),
    [anon_sym_rayPayloadInNV] = ACTIONS(1488),
    [anon_sym_hitAttributeNV] = ACTIONS(1488),
    [anon_sym_callableDataNV] = ACTIONS(1488),
    [anon_sym_callableDataInNV] = ACTIONS(1488),
    [anon_sym_shaderRecordNV] = ACTIONS(1488),
    [anon_sym_layout] = ACTIONS(1488),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_subroutine] = ACTIONS(1508),
    [anon_sym_invariant] = ACTIONS(1508),
    [anon_sym_precise] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1508),
    [anon_sym_out] = ACTIONS(1508),
    [anon_sym_inout] = ACTIONS(1508),
    [anon_sym_uniform] = ACTIONS(1508),
    [anon_sym_shared] = ACTIONS(1508),
    [anon_sym_attribute] = ACTIONS(1508),
    [anon_sym_varying] = ACTIONS(1508),
    [anon_sym_buffer] = ACTIONS(1508),
    [anon_sym_coherent] = ACTIONS(1508),
    [anon_sym_readonly] = ACTIONS(1508),
    [anon_sym_writeonly] = ACTIONS(1508),
    [anon_sym_precision] = ACTIONS(1508),
    [anon_sym_highp] = ACTIONS(1508),
    [anon_sym_mediump] = ACTIONS(1508),
    [anon_sym_lowp] = ACTIONS(1508),
    [anon_sym_centroid] = ACTIONS(1508),
    [anon_sym_sample] = ACTIONS(1508),
    [anon_sym_patch] = ACTIONS(1508),
    [anon_sym_smooth] = ACTIONS(1508),
    [anon_sym_flat] = ACTIONS(1508),
    [anon_sym_noperspective] = ACTIONS(1508),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym___attribute] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [anon_sym__Nonnull] = ACTIONS(1508),
    [anon_sym_alignas] = ACTIONS(1508),
    [anon_sym__Alignas] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym___try] = ACTIONS(1508),
    [anon_sym___leave] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [anon_sym___asm] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1508),
    [anon_sym_hitAttributeEXT] = ACTIONS(1508),
    [anon_sym_callableDataEXT] = ACTIONS(1508),
    [anon_sym_callableDataInEXT] = ACTIONS(1508),
    [anon_sym_shaderRecordEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadNV] = ACTIONS(1508),
    [anon_sym_rayPayloadInNV] = ACTIONS(1508),
    [anon_sym_hitAttributeNV] = ACTIONS(1508),
    [anon_sym_callableDataNV] = ACTIONS(1508),
    [anon_sym_callableDataInNV] = ACTIONS(1508),
    [anon_sym_shaderRecordNV] = ACTIONS(1508),
    [anon_sym_layout] = ACTIONS(1508),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [394] = {
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_subroutine] = ACTIONS(1516),
    [anon_sym_invariant] = ACTIONS(1516),
    [anon_sym_precise] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_out] = ACTIONS(1516),
    [anon_sym_inout] = ACTIONS(1516),
    [anon_sym_uniform] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_attribute] = ACTIONS(1516),
    [anon_sym_varying] = ACTIONS(1516),
    [anon_sym_buffer] = ACTIONS(1516),
    [anon_sym_coherent] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_writeonly] = ACTIONS(1516),
    [anon_sym_precision] = ACTIONS(1516),
    [anon_sym_highp] = ACTIONS(1516),
    [anon_sym_mediump] = ACTIONS(1516),
    [anon_sym_lowp] = ACTIONS(1516),
    [anon_sym_centroid] = ACTIONS(1516),
    [anon_sym_sample] = ACTIONS(1516),
    [anon_sym_patch] = ACTIONS(1516),
    [anon_sym_smooth] = ACTIONS(1516),
    [anon_sym_flat] = ACTIONS(1516),
    [anon_sym_noperspective] = ACTIONS(1516),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym___attribute] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [anon_sym__Nonnull] = ACTIONS(1516),
    [anon_sym_alignas] = ACTIONS(1516),
    [anon_sym__Alignas] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym___try] = ACTIONS(1516),
    [anon_sym___leave] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [anon_sym___asm] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1516),
    [anon_sym_hitAttributeEXT] = ACTIONS(1516),
    [anon_sym_callableDataEXT] = ACTIONS(1516),
    [anon_sym_callableDataInEXT] = ACTIONS(1516),
    [anon_sym_shaderRecordEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadNV] = ACTIONS(1516),
    [anon_sym_rayPayloadInNV] = ACTIONS(1516),
    [anon_sym_hitAttributeNV] = ACTIONS(1516),
    [anon_sym_callableDataNV] = ACTIONS(1516),
    [anon_sym_callableDataInNV] = ACTIONS(1516),
    [anon_sym_shaderRecordNV] = ACTIONS(1516),
    [anon_sym_layout] = ACTIONS(1516),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1506),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_subroutine] = ACTIONS(1504),
    [anon_sym_invariant] = ACTIONS(1504),
    [anon_sym_precise] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1504),
    [anon_sym_out] = ACTIONS(1504),
    [anon_sym_inout] = ACTIONS(1504),
    [anon_sym_uniform] = ACTIONS(1504),
    [anon_sym_shared] = ACTIONS(1504),
    [anon_sym_attribute] = ACTIONS(1504),
    [anon_sym_varying] = ACTIONS(1504),
    [anon_sym_buffer] = ACTIONS(1504),
    [anon_sym_coherent] = ACTIONS(1504),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_writeonly] = ACTIONS(1504),
    [anon_sym_precision] = ACTIONS(1504),
    [anon_sym_highp] = ACTIONS(1504),
    [anon_sym_mediump] = ACTIONS(1504),
    [anon_sym_lowp] = ACTIONS(1504),
    [anon_sym_centroid] = ACTIONS(1504),
    [anon_sym_sample] = ACTIONS(1504),
    [anon_sym_patch] = ACTIONS(1504),
    [anon_sym_smooth] = ACTIONS(1504),
    [anon_sym_flat] = ACTIONS(1504),
    [anon_sym_noperspective] = ACTIONS(1504),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym___attribute] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [anon_sym__Nonnull] = ACTIONS(1504),
    [anon_sym_alignas] = ACTIONS(1504),
    [anon_sym__Alignas] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [anon_sym___asm] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1504),
    [anon_sym_hitAttributeEXT] = ACTIONS(1504),
    [anon_sym_callableDataEXT] = ACTIONS(1504),
    [anon_sym_callableDataInEXT] = ACTIONS(1504),
    [anon_sym_shaderRecordEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadNV] = ACTIONS(1504),
    [anon_sym_rayPayloadInNV] = ACTIONS(1504),
    [anon_sym_hitAttributeNV] = ACTIONS(1504),
    [anon_sym_callableDataNV] = ACTIONS(1504),
    [anon_sym_callableDataInNV] = ACTIONS(1504),
    [anon_sym_shaderRecordNV] = ACTIONS(1504),
    [anon_sym_layout] = ACTIONS(1504),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_subroutine] = ACTIONS(1436),
    [anon_sym_invariant] = ACTIONS(1436),
    [anon_sym_precise] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_out] = ACTIONS(1436),
    [anon_sym_inout] = ACTIONS(1436),
    [anon_sym_uniform] = ACTIONS(1436),
    [anon_sym_shared] = ACTIONS(1436),
    [anon_sym_attribute] = ACTIONS(1436),
    [anon_sym_varying] = ACTIONS(1436),
    [anon_sym_buffer] = ACTIONS(1436),
    [anon_sym_coherent] = ACTIONS(1436),
    [anon_sym_readonly] = ACTIONS(1436),
    [anon_sym_writeonly] = ACTIONS(1436),
    [anon_sym_precision] = ACTIONS(1436),
    [anon_sym_highp] = ACTIONS(1436),
    [anon_sym_mediump] = ACTIONS(1436),
    [anon_sym_lowp] = ACTIONS(1436),
    [anon_sym_centroid] = ACTIONS(1436),
    [anon_sym_sample] = ACTIONS(1436),
    [anon_sym_patch] = ACTIONS(1436),
    [anon_sym_smooth] = ACTIONS(1436),
    [anon_sym_flat] = ACTIONS(1436),
    [anon_sym_noperspective] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym___attribute] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [anon_sym__Nonnull] = ACTIONS(1436),
    [anon_sym_alignas] = ACTIONS(1436),
    [anon_sym__Alignas] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [anon_sym___asm] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1436),
    [anon_sym_hitAttributeEXT] = ACTIONS(1436),
    [anon_sym_callableDataEXT] = ACTIONS(1436),
    [anon_sym_callableDataInEXT] = ACTIONS(1436),
    [anon_sym_shaderRecordEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadNV] = ACTIONS(1436),
    [anon_sym_rayPayloadInNV] = ACTIONS(1436),
    [anon_sym_hitAttributeNV] = ACTIONS(1436),
    [anon_sym_callableDataNV] = ACTIONS(1436),
    [anon_sym_callableDataInNV] = ACTIONS(1436),
    [anon_sym_shaderRecordNV] = ACTIONS(1436),
    [anon_sym_layout] = ACTIONS(1436),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1478),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_subroutine] = ACTIONS(1476),
    [anon_sym_invariant] = ACTIONS(1476),
    [anon_sym_precise] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_out] = ACTIONS(1476),
    [anon_sym_inout] = ACTIONS(1476),
    [anon_sym_uniform] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_attribute] = ACTIONS(1476),
    [anon_sym_varying] = ACTIONS(1476),
    [anon_sym_buffer] = ACTIONS(1476),
    [anon_sym_coherent] = ACTIONS(1476),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_writeonly] = ACTIONS(1476),
    [anon_sym_precision] = ACTIONS(1476),
    [anon_sym_highp] = ACTIONS(1476),
    [anon_sym_mediump] = ACTIONS(1476),
    [anon_sym_lowp] = ACTIONS(1476),
    [anon_sym_centroid] = ACTIONS(1476),
    [anon_sym_sample] = ACTIONS(1476),
    [anon_sym_patch] = ACTIONS(1476),
    [anon_sym_smooth] = ACTIONS(1476),
    [anon_sym_flat] = ACTIONS(1476),
    [anon_sym_noperspective] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym___attribute] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [anon_sym__Nonnull] = ACTIONS(1476),
    [anon_sym_alignas] = ACTIONS(1476),
    [anon_sym__Alignas] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [anon_sym___asm] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1476),
    [anon_sym_hitAttributeEXT] = ACTIONS(1476),
    [anon_sym_callableDataEXT] = ACTIONS(1476),
    [anon_sym_callableDataInEXT] = ACTIONS(1476),
    [anon_sym_shaderRecordEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadNV] = ACTIONS(1476),
    [anon_sym_rayPayloadInNV] = ACTIONS(1476),
    [anon_sym_hitAttributeNV] = ACTIONS(1476),
    [anon_sym_callableDataNV] = ACTIONS(1476),
    [anon_sym_callableDataInNV] = ACTIONS(1476),
    [anon_sym_shaderRecordNV] = ACTIONS(1476),
    [anon_sym_layout] = ACTIONS(1476),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_subroutine] = ACTIONS(1492),
    [anon_sym_invariant] = ACTIONS(1492),
    [anon_sym_precise] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(1492),
    [anon_sym_out] = ACTIONS(1492),
    [anon_sym_inout] = ACTIONS(1492),
    [anon_sym_uniform] = ACTIONS(1492),
    [anon_sym_shared] = ACTIONS(1492),
    [anon_sym_attribute] = ACTIONS(1492),
    [anon_sym_varying] = ACTIONS(1492),
    [anon_sym_buffer] = ACTIONS(1492),
    [anon_sym_coherent] = ACTIONS(1492),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_writeonly] = ACTIONS(1492),
    [anon_sym_precision] = ACTIONS(1492),
    [anon_sym_highp] = ACTIONS(1492),
    [anon_sym_mediump] = ACTIONS(1492),
    [anon_sym_lowp] = ACTIONS(1492),
    [anon_sym_centroid] = ACTIONS(1492),
    [anon_sym_sample] = ACTIONS(1492),
    [anon_sym_patch] = ACTIONS(1492),
    [anon_sym_smooth] = ACTIONS(1492),
    [anon_sym_flat] = ACTIONS(1492),
    [anon_sym_noperspective] = ACTIONS(1492),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym___attribute] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [anon_sym__Nonnull] = ACTIONS(1492),
    [anon_sym_alignas] = ACTIONS(1492),
    [anon_sym__Alignas] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [anon_sym___asm] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1492),
    [anon_sym_hitAttributeEXT] = ACTIONS(1492),
    [anon_sym_callableDataEXT] = ACTIONS(1492),
    [anon_sym_callableDataInEXT] = ACTIONS(1492),
    [anon_sym_shaderRecordEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadNV] = ACTIONS(1492),
    [anon_sym_rayPayloadInNV] = ACTIONS(1492),
    [anon_sym_hitAttributeNV] = ACTIONS(1492),
    [anon_sym_callableDataNV] = ACTIONS(1492),
    [anon_sym_callableDataInNV] = ACTIONS(1492),
    [anon_sym_shaderRecordNV] = ACTIONS(1492),
    [anon_sym_layout] = ACTIONS(1492),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_subroutine] = ACTIONS(1496),
    [anon_sym_invariant] = ACTIONS(1496),
    [anon_sym_precise] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1496),
    [anon_sym_out] = ACTIONS(1496),
    [anon_sym_inout] = ACTIONS(1496),
    [anon_sym_uniform] = ACTIONS(1496),
    [anon_sym_shared] = ACTIONS(1496),
    [anon_sym_attribute] = ACTIONS(1496),
    [anon_sym_varying] = ACTIONS(1496),
    [anon_sym_buffer] = ACTIONS(1496),
    [anon_sym_coherent] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_writeonly] = ACTIONS(1496),
    [anon_sym_precision] = ACTIONS(1496),
    [anon_sym_highp] = ACTIONS(1496),
    [anon_sym_mediump] = ACTIONS(1496),
    [anon_sym_lowp] = ACTIONS(1496),
    [anon_sym_centroid] = ACTIONS(1496),
    [anon_sym_sample] = ACTIONS(1496),
    [anon_sym_patch] = ACTIONS(1496),
    [anon_sym_smooth] = ACTIONS(1496),
    [anon_sym_flat] = ACTIONS(1496),
    [anon_sym_noperspective] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym___attribute] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [anon_sym__Nonnull] = ACTIONS(1496),
    [anon_sym_alignas] = ACTIONS(1496),
    [anon_sym__Alignas] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [anon_sym___asm] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1496),
    [anon_sym_hitAttributeEXT] = ACTIONS(1496),
    [anon_sym_callableDataEXT] = ACTIONS(1496),
    [anon_sym_callableDataInEXT] = ACTIONS(1496),
    [anon_sym_shaderRecordEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadNV] = ACTIONS(1496),
    [anon_sym_rayPayloadInNV] = ACTIONS(1496),
    [anon_sym_hitAttributeNV] = ACTIONS(1496),
    [anon_sym_callableDataNV] = ACTIONS(1496),
    [anon_sym_callableDataInNV] = ACTIONS(1496),
    [anon_sym_shaderRecordNV] = ACTIONS(1496),
    [anon_sym_layout] = ACTIONS(1496),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1524),
    [aux_sym_preproc_include_token1] = ACTIONS(1524),
    [aux_sym_preproc_def_token1] = ACTIONS(1524),
    [aux_sym_preproc_if_token1] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1524),
    [sym_preproc_directive] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_subroutine] = ACTIONS(1524),
    [anon_sym_invariant] = ACTIONS(1524),
    [anon_sym_precise] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_out] = ACTIONS(1524),
    [anon_sym_inout] = ACTIONS(1524),
    [anon_sym_uniform] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_attribute] = ACTIONS(1524),
    [anon_sym_varying] = ACTIONS(1524),
    [anon_sym_buffer] = ACTIONS(1524),
    [anon_sym_coherent] = ACTIONS(1524),
    [anon_sym_readonly] = ACTIONS(1524),
    [anon_sym_writeonly] = ACTIONS(1524),
    [anon_sym_precision] = ACTIONS(1524),
    [anon_sym_highp] = ACTIONS(1524),
    [anon_sym_mediump] = ACTIONS(1524),
    [anon_sym_lowp] = ACTIONS(1524),
    [anon_sym_centroid] = ACTIONS(1524),
    [anon_sym_sample] = ACTIONS(1524),
    [anon_sym_patch] = ACTIONS(1524),
    [anon_sym_smooth] = ACTIONS(1524),
    [anon_sym_flat] = ACTIONS(1524),
    [anon_sym_noperspective] = ACTIONS(1524),
    [anon_sym___extension__] = ACTIONS(1524),
    [anon_sym_typedef] = ACTIONS(1524),
    [anon_sym_extern] = ACTIONS(1524),
    [anon_sym___attribute__] = ACTIONS(1524),
    [anon_sym___attribute] = ACTIONS(1524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1526),
    [anon_sym___declspec] = ACTIONS(1524),
    [anon_sym___cdecl] = ACTIONS(1524),
    [anon_sym___clrcall] = ACTIONS(1524),
    [anon_sym___stdcall] = ACTIONS(1524),
    [anon_sym___fastcall] = ACTIONS(1524),
    [anon_sym___thiscall] = ACTIONS(1524),
    [anon_sym___vectorcall] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_signed] = ACTIONS(1524),
    [anon_sym_unsigned] = ACTIONS(1524),
    [anon_sym_long] = ACTIONS(1524),
    [anon_sym_short] = ACTIONS(1524),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_auto] = ACTIONS(1524),
    [anon_sym_register] = ACTIONS(1524),
    [anon_sym_inline] = ACTIONS(1524),
    [anon_sym___inline] = ACTIONS(1524),
    [anon_sym___inline__] = ACTIONS(1524),
    [anon_sym___forceinline] = ACTIONS(1524),
    [anon_sym_thread_local] = ACTIONS(1524),
    [anon_sym___thread] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_constexpr] = ACTIONS(1524),
    [anon_sym_volatile] = ACTIONS(1524),
    [anon_sym_restrict] = ACTIONS(1524),
    [anon_sym___restrict__] = ACTIONS(1524),
    [anon_sym__Atomic] = ACTIONS(1524),
    [anon_sym__Noreturn] = ACTIONS(1524),
    [anon_sym_noreturn] = ACTIONS(1524),
    [anon_sym__Nonnull] = ACTIONS(1524),
    [anon_sym_alignas] = ACTIONS(1524),
    [anon_sym__Alignas] = ACTIONS(1524),
    [sym_primitive_type] = ACTIONS(1524),
    [anon_sym_enum] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(1524),
    [anon_sym_union] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1524),
    [anon_sym_default] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1524),
    [anon_sym_do] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym___try] = ACTIONS(1524),
    [anon_sym___leave] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_sizeof] = ACTIONS(1524),
    [anon_sym___alignof__] = ACTIONS(1524),
    [anon_sym___alignof] = ACTIONS(1524),
    [anon_sym__alignof] = ACTIONS(1524),
    [anon_sym_alignof] = ACTIONS(1524),
    [anon_sym__Alignof] = ACTIONS(1524),
    [anon_sym_offsetof] = ACTIONS(1524),
    [anon_sym__Generic] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym___asm__] = ACTIONS(1524),
    [anon_sym___asm] = ACTIONS(1524),
    [sym_number_literal] = ACTIONS(1526),
    [anon_sym_L_SQUOTE] = ACTIONS(1526),
    [anon_sym_u_SQUOTE] = ACTIONS(1526),
    [anon_sym_U_SQUOTE] = ACTIONS(1526),
    [anon_sym_u8_SQUOTE] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_L_DQUOTE] = ACTIONS(1526),
    [anon_sym_u_DQUOTE] = ACTIONS(1526),
    [anon_sym_U_DQUOTE] = ACTIONS(1526),
    [anon_sym_u8_DQUOTE] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_NULL] = ACTIONS(1524),
    [anon_sym_nullptr] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1524),
    [anon_sym_hitAttributeEXT] = ACTIONS(1524),
    [anon_sym_callableDataEXT] = ACTIONS(1524),
    [anon_sym_callableDataInEXT] = ACTIONS(1524),
    [anon_sym_shaderRecordEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadNV] = ACTIONS(1524),
    [anon_sym_rayPayloadInNV] = ACTIONS(1524),
    [anon_sym_hitAttributeNV] = ACTIONS(1524),
    [anon_sym_callableDataNV] = ACTIONS(1524),
    [anon_sym_callableDataInNV] = ACTIONS(1524),
    [anon_sym_shaderRecordNV] = ACTIONS(1524),
    [anon_sym_layout] = ACTIONS(1524),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_subroutine] = ACTIONS(1500),
    [anon_sym_invariant] = ACTIONS(1500),
    [anon_sym_precise] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1500),
    [anon_sym_out] = ACTIONS(1500),
    [anon_sym_inout] = ACTIONS(1500),
    [anon_sym_uniform] = ACTIONS(1500),
    [anon_sym_shared] = ACTIONS(1500),
    [anon_sym_attribute] = ACTIONS(1500),
    [anon_sym_varying] = ACTIONS(1500),
    [anon_sym_buffer] = ACTIONS(1500),
    [anon_sym_coherent] = ACTIONS(1500),
    [anon_sym_readonly] = ACTIONS(1500),
    [anon_sym_writeonly] = ACTIONS(1500),
    [anon_sym_precision] = ACTIONS(1500),
    [anon_sym_highp] = ACTIONS(1500),
    [anon_sym_mediump] = ACTIONS(1500),
    [anon_sym_lowp] = ACTIONS(1500),
    [anon_sym_centroid] = ACTIONS(1500),
    [anon_sym_sample] = ACTIONS(1500),
    [anon_sym_patch] = ACTIONS(1500),
    [anon_sym_smooth] = ACTIONS(1500),
    [anon_sym_flat] = ACTIONS(1500),
    [anon_sym_noperspective] = ACTIONS(1500),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym___attribute] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [anon_sym__Nonnull] = ACTIONS(1500),
    [anon_sym_alignas] = ACTIONS(1500),
    [anon_sym__Alignas] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [anon_sym___asm] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1500),
    [anon_sym_hitAttributeEXT] = ACTIONS(1500),
    [anon_sym_callableDataEXT] = ACTIONS(1500),
    [anon_sym_callableDataInEXT] = ACTIONS(1500),
    [anon_sym_shaderRecordEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadNV] = ACTIONS(1500),
    [anon_sym_rayPayloadInNV] = ACTIONS(1500),
    [anon_sym_hitAttributeNV] = ACTIONS(1500),
    [anon_sym_callableDataNV] = ACTIONS(1500),
    [anon_sym_callableDataInNV] = ACTIONS(1500),
    [anon_sym_shaderRecordNV] = ACTIONS(1500),
    [anon_sym_layout] = ACTIONS(1500),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_subroutine] = ACTIONS(1504),
    [anon_sym_invariant] = ACTIONS(1504),
    [anon_sym_precise] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1504),
    [anon_sym_out] = ACTIONS(1504),
    [anon_sym_inout] = ACTIONS(1504),
    [anon_sym_uniform] = ACTIONS(1504),
    [anon_sym_shared] = ACTIONS(1504),
    [anon_sym_attribute] = ACTIONS(1504),
    [anon_sym_varying] = ACTIONS(1504),
    [anon_sym_buffer] = ACTIONS(1504),
    [anon_sym_coherent] = ACTIONS(1504),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_writeonly] = ACTIONS(1504),
    [anon_sym_precision] = ACTIONS(1504),
    [anon_sym_highp] = ACTIONS(1504),
    [anon_sym_mediump] = ACTIONS(1504),
    [anon_sym_lowp] = ACTIONS(1504),
    [anon_sym_centroid] = ACTIONS(1504),
    [anon_sym_sample] = ACTIONS(1504),
    [anon_sym_patch] = ACTIONS(1504),
    [anon_sym_smooth] = ACTIONS(1504),
    [anon_sym_flat] = ACTIONS(1504),
    [anon_sym_noperspective] = ACTIONS(1504),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym___attribute] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [anon_sym__Nonnull] = ACTIONS(1504),
    [anon_sym_alignas] = ACTIONS(1504),
    [anon_sym__Alignas] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [anon_sym___asm] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1504),
    [anon_sym_hitAttributeEXT] = ACTIONS(1504),
    [anon_sym_callableDataEXT] = ACTIONS(1504),
    [anon_sym_callableDataInEXT] = ACTIONS(1504),
    [anon_sym_shaderRecordEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadNV] = ACTIONS(1504),
    [anon_sym_rayPayloadInNV] = ACTIONS(1504),
    [anon_sym_hitAttributeNV] = ACTIONS(1504),
    [anon_sym_callableDataNV] = ACTIONS(1504),
    [anon_sym_callableDataInNV] = ACTIONS(1504),
    [anon_sym_shaderRecordNV] = ACTIONS(1504),
    [anon_sym_layout] = ACTIONS(1504),
  },
  [404] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(1556),
    [sym_identifier] = ACTIONS(1558),
    [aux_sym_preproc_include_token1] = ACTIONS(1558),
    [aux_sym_preproc_def_token1] = ACTIONS(1558),
    [aux_sym_preproc_if_token1] = ACTIONS(1558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1558),
    [sym_preproc_directive] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_STAR] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_subroutine] = ACTIONS(1558),
    [anon_sym_invariant] = ACTIONS(1558),
    [anon_sym_precise] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1556),
    [anon_sym_in] = ACTIONS(1558),
    [anon_sym_out] = ACTIONS(1558),
    [anon_sym_inout] = ACTIONS(1558),
    [anon_sym_uniform] = ACTIONS(1558),
    [anon_sym_shared] = ACTIONS(1558),
    [anon_sym_attribute] = ACTIONS(1558),
    [anon_sym_varying] = ACTIONS(1558),
    [anon_sym_buffer] = ACTIONS(1558),
    [anon_sym_coherent] = ACTIONS(1558),
    [anon_sym_readonly] = ACTIONS(1558),
    [anon_sym_writeonly] = ACTIONS(1558),
    [anon_sym_precision] = ACTIONS(1558),
    [anon_sym_highp] = ACTIONS(1558),
    [anon_sym_mediump] = ACTIONS(1558),
    [anon_sym_lowp] = ACTIONS(1558),
    [anon_sym_centroid] = ACTIONS(1558),
    [anon_sym_sample] = ACTIONS(1558),
    [anon_sym_patch] = ACTIONS(1558),
    [anon_sym_smooth] = ACTIONS(1558),
    [anon_sym_flat] = ACTIONS(1558),
    [anon_sym_noperspective] = ACTIONS(1558),
    [anon_sym___extension__] = ACTIONS(1558),
    [anon_sym_typedef] = ACTIONS(1558),
    [anon_sym_extern] = ACTIONS(1558),
    [anon_sym___attribute__] = ACTIONS(1558),
    [anon_sym___attribute] = ACTIONS(1558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1556),
    [anon_sym___declspec] = ACTIONS(1558),
    [anon_sym___cdecl] = ACTIONS(1558),
    [anon_sym___clrcall] = ACTIONS(1558),
    [anon_sym___stdcall] = ACTIONS(1558),
    [anon_sym___fastcall] = ACTIONS(1558),
    [anon_sym___thiscall] = ACTIONS(1558),
    [anon_sym___vectorcall] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_signed] = ACTIONS(1558),
    [anon_sym_unsigned] = ACTIONS(1558),
    [anon_sym_long] = ACTIONS(1558),
    [anon_sym_short] = ACTIONS(1558),
    [anon_sym_static] = ACTIONS(1558),
    [anon_sym_auto] = ACTIONS(1558),
    [anon_sym_register] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(1558),
    [anon_sym___inline] = ACTIONS(1558),
    [anon_sym___inline__] = ACTIONS(1558),
    [anon_sym___forceinline] = ACTIONS(1558),
    [anon_sym_thread_local] = ACTIONS(1558),
    [anon_sym___thread] = ACTIONS(1558),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_constexpr] = ACTIONS(1558),
    [anon_sym_volatile] = ACTIONS(1558),
    [anon_sym_restrict] = ACTIONS(1558),
    [anon_sym___restrict__] = ACTIONS(1558),
    [anon_sym__Atomic] = ACTIONS(1558),
    [anon_sym__Noreturn] = ACTIONS(1558),
    [anon_sym_noreturn] = ACTIONS(1558),
    [anon_sym__Nonnull] = ACTIONS(1558),
    [anon_sym_alignas] = ACTIONS(1558),
    [anon_sym__Alignas] = ACTIONS(1558),
    [sym_primitive_type] = ACTIONS(1558),
    [anon_sym_enum] = ACTIONS(1558),
    [anon_sym_struct] = ACTIONS(1558),
    [anon_sym_union] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1558),
    [anon_sym_switch] = ACTIONS(1558),
    [anon_sym_case] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1558),
    [anon_sym_while] = ACTIONS(1558),
    [anon_sym_do] = ACTIONS(1558),
    [anon_sym_for] = ACTIONS(1558),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_break] = ACTIONS(1558),
    [anon_sym_continue] = ACTIONS(1558),
    [anon_sym_goto] = ACTIONS(1558),
    [anon_sym_DASH_DASH] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [anon_sym_sizeof] = ACTIONS(1558),
    [anon_sym___alignof__] = ACTIONS(1558),
    [anon_sym___alignof] = ACTIONS(1558),
    [anon_sym__alignof] = ACTIONS(1558),
    [anon_sym_alignof] = ACTIONS(1558),
    [anon_sym__Alignof] = ACTIONS(1558),
    [anon_sym_offsetof] = ACTIONS(1558),
    [anon_sym__Generic] = ACTIONS(1558),
    [anon_sym_asm] = ACTIONS(1558),
    [anon_sym___asm__] = ACTIONS(1558),
    [anon_sym___asm] = ACTIONS(1558),
    [sym_number_literal] = ACTIONS(1556),
    [anon_sym_L_SQUOTE] = ACTIONS(1556),
    [anon_sym_u_SQUOTE] = ACTIONS(1556),
    [anon_sym_U_SQUOTE] = ACTIONS(1556),
    [anon_sym_u8_SQUOTE] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1556),
    [anon_sym_L_DQUOTE] = ACTIONS(1556),
    [anon_sym_u_DQUOTE] = ACTIONS(1556),
    [anon_sym_U_DQUOTE] = ACTIONS(1556),
    [anon_sym_u8_DQUOTE] = ACTIONS(1556),
    [anon_sym_DQUOTE] = ACTIONS(1556),
    [sym_true] = ACTIONS(1558),
    [sym_false] = ACTIONS(1558),
    [anon_sym_NULL] = ACTIONS(1558),
    [anon_sym_nullptr] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1558),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1558),
    [anon_sym_hitAttributeEXT] = ACTIONS(1558),
    [anon_sym_callableDataEXT] = ACTIONS(1558),
    [anon_sym_callableDataInEXT] = ACTIONS(1558),
    [anon_sym_shaderRecordEXT] = ACTIONS(1558),
    [anon_sym_rayPayloadNV] = ACTIONS(1558),
    [anon_sym_rayPayloadInNV] = ACTIONS(1558),
    [anon_sym_hitAttributeNV] = ACTIONS(1558),
    [anon_sym_callableDataNV] = ACTIONS(1558),
    [anon_sym_callableDataInNV] = ACTIONS(1558),
    [anon_sym_shaderRecordNV] = ACTIONS(1558),
    [anon_sym_layout] = ACTIONS(1558),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_identifier] = ACTIONS(1532),
    [aux_sym_preproc_include_token1] = ACTIONS(1532),
    [aux_sym_preproc_def_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1532),
    [sym_preproc_directive] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_subroutine] = ACTIONS(1532),
    [anon_sym_invariant] = ACTIONS(1532),
    [anon_sym_precise] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_out] = ACTIONS(1532),
    [anon_sym_inout] = ACTIONS(1532),
    [anon_sym_uniform] = ACTIONS(1532),
    [anon_sym_shared] = ACTIONS(1532),
    [anon_sym_attribute] = ACTIONS(1532),
    [anon_sym_varying] = ACTIONS(1532),
    [anon_sym_buffer] = ACTIONS(1532),
    [anon_sym_coherent] = ACTIONS(1532),
    [anon_sym_readonly] = ACTIONS(1532),
    [anon_sym_writeonly] = ACTIONS(1532),
    [anon_sym_precision] = ACTIONS(1532),
    [anon_sym_highp] = ACTIONS(1532),
    [anon_sym_mediump] = ACTIONS(1532),
    [anon_sym_lowp] = ACTIONS(1532),
    [anon_sym_centroid] = ACTIONS(1532),
    [anon_sym_sample] = ACTIONS(1532),
    [anon_sym_patch] = ACTIONS(1532),
    [anon_sym_smooth] = ACTIONS(1532),
    [anon_sym_flat] = ACTIONS(1532),
    [anon_sym_noperspective] = ACTIONS(1532),
    [anon_sym___extension__] = ACTIONS(1532),
    [anon_sym_typedef] = ACTIONS(1532),
    [anon_sym_extern] = ACTIONS(1532),
    [anon_sym___attribute__] = ACTIONS(1532),
    [anon_sym___attribute] = ACTIONS(1532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1534),
    [anon_sym___declspec] = ACTIONS(1532),
    [anon_sym___cdecl] = ACTIONS(1532),
    [anon_sym___clrcall] = ACTIONS(1532),
    [anon_sym___stdcall] = ACTIONS(1532),
    [anon_sym___fastcall] = ACTIONS(1532),
    [anon_sym___thiscall] = ACTIONS(1532),
    [anon_sym___vectorcall] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_signed] = ACTIONS(1532),
    [anon_sym_unsigned] = ACTIONS(1532),
    [anon_sym_long] = ACTIONS(1532),
    [anon_sym_short] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_auto] = ACTIONS(1532),
    [anon_sym_register] = ACTIONS(1532),
    [anon_sym_inline] = ACTIONS(1532),
    [anon_sym___inline] = ACTIONS(1532),
    [anon_sym___inline__] = ACTIONS(1532),
    [anon_sym___forceinline] = ACTIONS(1532),
    [anon_sym_thread_local] = ACTIONS(1532),
    [anon_sym___thread] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_constexpr] = ACTIONS(1532),
    [anon_sym_volatile] = ACTIONS(1532),
    [anon_sym_restrict] = ACTIONS(1532),
    [anon_sym___restrict__] = ACTIONS(1532),
    [anon_sym__Atomic] = ACTIONS(1532),
    [anon_sym__Noreturn] = ACTIONS(1532),
    [anon_sym_noreturn] = ACTIONS(1532),
    [anon_sym__Nonnull] = ACTIONS(1532),
    [anon_sym_alignas] = ACTIONS(1532),
    [anon_sym__Alignas] = ACTIONS(1532),
    [sym_primitive_type] = ACTIONS(1532),
    [anon_sym_enum] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1532),
    [anon_sym_union] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_switch] = ACTIONS(1532),
    [anon_sym_case] = ACTIONS(1532),
    [anon_sym_default] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_do] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1532),
    [anon_sym_break] = ACTIONS(1532),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_sizeof] = ACTIONS(1532),
    [anon_sym___alignof__] = ACTIONS(1532),
    [anon_sym___alignof] = ACTIONS(1532),
    [anon_sym__alignof] = ACTIONS(1532),
    [anon_sym_alignof] = ACTIONS(1532),
    [anon_sym__Alignof] = ACTIONS(1532),
    [anon_sym_offsetof] = ACTIONS(1532),
    [anon_sym__Generic] = ACTIONS(1532),
    [anon_sym_asm] = ACTIONS(1532),
    [anon_sym___asm__] = ACTIONS(1532),
    [anon_sym___asm] = ACTIONS(1532),
    [sym_number_literal] = ACTIONS(1534),
    [anon_sym_L_SQUOTE] = ACTIONS(1534),
    [anon_sym_u_SQUOTE] = ACTIONS(1534),
    [anon_sym_U_SQUOTE] = ACTIONS(1534),
    [anon_sym_u8_SQUOTE] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_L_DQUOTE] = ACTIONS(1534),
    [anon_sym_u_DQUOTE] = ACTIONS(1534),
    [anon_sym_U_DQUOTE] = ACTIONS(1534),
    [anon_sym_u8_DQUOTE] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [sym_true] = ACTIONS(1532),
    [sym_false] = ACTIONS(1532),
    [anon_sym_NULL] = ACTIONS(1532),
    [anon_sym_nullptr] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1532),
    [anon_sym_hitAttributeEXT] = ACTIONS(1532),
    [anon_sym_callableDataEXT] = ACTIONS(1532),
    [anon_sym_callableDataInEXT] = ACTIONS(1532),
    [anon_sym_shaderRecordEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadNV] = ACTIONS(1532),
    [anon_sym_rayPayloadInNV] = ACTIONS(1532),
    [anon_sym_hitAttributeNV] = ACTIONS(1532),
    [anon_sym_callableDataNV] = ACTIONS(1532),
    [anon_sym_callableDataInNV] = ACTIONS(1532),
    [anon_sym_shaderRecordNV] = ACTIONS(1532),
    [anon_sym_layout] = ACTIONS(1532),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_subroutine] = ACTIONS(1452),
    [anon_sym_invariant] = ACTIONS(1452),
    [anon_sym_precise] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1452),
    [anon_sym_out] = ACTIONS(1452),
    [anon_sym_inout] = ACTIONS(1452),
    [anon_sym_uniform] = ACTIONS(1452),
    [anon_sym_shared] = ACTIONS(1452),
    [anon_sym_attribute] = ACTIONS(1452),
    [anon_sym_varying] = ACTIONS(1452),
    [anon_sym_buffer] = ACTIONS(1452),
    [anon_sym_coherent] = ACTIONS(1452),
    [anon_sym_readonly] = ACTIONS(1452),
    [anon_sym_writeonly] = ACTIONS(1452),
    [anon_sym_precision] = ACTIONS(1452),
    [anon_sym_highp] = ACTIONS(1452),
    [anon_sym_mediump] = ACTIONS(1452),
    [anon_sym_lowp] = ACTIONS(1452),
    [anon_sym_centroid] = ACTIONS(1452),
    [anon_sym_sample] = ACTIONS(1452),
    [anon_sym_patch] = ACTIONS(1452),
    [anon_sym_smooth] = ACTIONS(1452),
    [anon_sym_flat] = ACTIONS(1452),
    [anon_sym_noperspective] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym___attribute] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [anon_sym__Nonnull] = ACTIONS(1452),
    [anon_sym_alignas] = ACTIONS(1452),
    [anon_sym__Alignas] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [anon_sym___asm] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1452),
    [anon_sym_hitAttributeEXT] = ACTIONS(1452),
    [anon_sym_callableDataEXT] = ACTIONS(1452),
    [anon_sym_callableDataInEXT] = ACTIONS(1452),
    [anon_sym_shaderRecordEXT] = ACTIONS(1452),
    [anon_sym_rayPayloadNV] = ACTIONS(1452),
    [anon_sym_rayPayloadInNV] = ACTIONS(1452),
    [anon_sym_hitAttributeNV] = ACTIONS(1452),
    [anon_sym_callableDataNV] = ACTIONS(1452),
    [anon_sym_callableDataInNV] = ACTIONS(1452),
    [anon_sym_shaderRecordNV] = ACTIONS(1452),
    [anon_sym_layout] = ACTIONS(1452),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_subroutine] = ACTIONS(1456),
    [anon_sym_invariant] = ACTIONS(1456),
    [anon_sym_precise] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym_in] = ACTIONS(1456),
    [anon_sym_out] = ACTIONS(1456),
    [anon_sym_inout] = ACTIONS(1456),
    [anon_sym_uniform] = ACTIONS(1456),
    [anon_sym_shared] = ACTIONS(1456),
    [anon_sym_attribute] = ACTIONS(1456),
    [anon_sym_varying] = ACTIONS(1456),
    [anon_sym_buffer] = ACTIONS(1456),
    [anon_sym_coherent] = ACTIONS(1456),
    [anon_sym_readonly] = ACTIONS(1456),
    [anon_sym_writeonly] = ACTIONS(1456),
    [anon_sym_precision] = ACTIONS(1456),
    [anon_sym_highp] = ACTIONS(1456),
    [anon_sym_mediump] = ACTIONS(1456),
    [anon_sym_lowp] = ACTIONS(1456),
    [anon_sym_centroid] = ACTIONS(1456),
    [anon_sym_sample] = ACTIONS(1456),
    [anon_sym_patch] = ACTIONS(1456),
    [anon_sym_smooth] = ACTIONS(1456),
    [anon_sym_flat] = ACTIONS(1456),
    [anon_sym_noperspective] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym___attribute] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [anon_sym__Nonnull] = ACTIONS(1456),
    [anon_sym_alignas] = ACTIONS(1456),
    [anon_sym__Alignas] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [anon_sym___asm] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1456),
    [anon_sym_hitAttributeEXT] = ACTIONS(1456),
    [anon_sym_callableDataEXT] = ACTIONS(1456),
    [anon_sym_callableDataInEXT] = ACTIONS(1456),
    [anon_sym_shaderRecordEXT] = ACTIONS(1456),
    [anon_sym_rayPayloadNV] = ACTIONS(1456),
    [anon_sym_rayPayloadInNV] = ACTIONS(1456),
    [anon_sym_hitAttributeNV] = ACTIONS(1456),
    [anon_sym_callableDataNV] = ACTIONS(1456),
    [anon_sym_callableDataInNV] = ACTIONS(1456),
    [anon_sym_shaderRecordNV] = ACTIONS(1456),
    [anon_sym_layout] = ACTIONS(1456),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_subroutine] = ACTIONS(1460),
    [anon_sym_invariant] = ACTIONS(1460),
    [anon_sym_precise] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym_in] = ACTIONS(1460),
    [anon_sym_out] = ACTIONS(1460),
    [anon_sym_inout] = ACTIONS(1460),
    [anon_sym_uniform] = ACTIONS(1460),
    [anon_sym_shared] = ACTIONS(1460),
    [anon_sym_attribute] = ACTIONS(1460),
    [anon_sym_varying] = ACTIONS(1460),
    [anon_sym_buffer] = ACTIONS(1460),
    [anon_sym_coherent] = ACTIONS(1460),
    [anon_sym_readonly] = ACTIONS(1460),
    [anon_sym_writeonly] = ACTIONS(1460),
    [anon_sym_precision] = ACTIONS(1460),
    [anon_sym_highp] = ACTIONS(1460),
    [anon_sym_mediump] = ACTIONS(1460),
    [anon_sym_lowp] = ACTIONS(1460),
    [anon_sym_centroid] = ACTIONS(1460),
    [anon_sym_sample] = ACTIONS(1460),
    [anon_sym_patch] = ACTIONS(1460),
    [anon_sym_smooth] = ACTIONS(1460),
    [anon_sym_flat] = ACTIONS(1460),
    [anon_sym_noperspective] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym___attribute] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [anon_sym__Nonnull] = ACTIONS(1460),
    [anon_sym_alignas] = ACTIONS(1460),
    [anon_sym__Alignas] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [anon_sym___asm] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1460),
    [anon_sym_hitAttributeEXT] = ACTIONS(1460),
    [anon_sym_callableDataEXT] = ACTIONS(1460),
    [anon_sym_callableDataInEXT] = ACTIONS(1460),
    [anon_sym_shaderRecordEXT] = ACTIONS(1460),
    [anon_sym_rayPayloadNV] = ACTIONS(1460),
    [anon_sym_rayPayloadInNV] = ACTIONS(1460),
    [anon_sym_hitAttributeNV] = ACTIONS(1460),
    [anon_sym_callableDataNV] = ACTIONS(1460),
    [anon_sym_callableDataInNV] = ACTIONS(1460),
    [anon_sym_shaderRecordNV] = ACTIONS(1460),
    [anon_sym_layout] = ACTIONS(1460),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_subroutine] = ACTIONS(1464),
    [anon_sym_invariant] = ACTIONS(1464),
    [anon_sym_precise] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym_in] = ACTIONS(1464),
    [anon_sym_out] = ACTIONS(1464),
    [anon_sym_inout] = ACTIONS(1464),
    [anon_sym_uniform] = ACTIONS(1464),
    [anon_sym_shared] = ACTIONS(1464),
    [anon_sym_attribute] = ACTIONS(1464),
    [anon_sym_varying] = ACTIONS(1464),
    [anon_sym_buffer] = ACTIONS(1464),
    [anon_sym_coherent] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_writeonly] = ACTIONS(1464),
    [anon_sym_precision] = ACTIONS(1464),
    [anon_sym_highp] = ACTIONS(1464),
    [anon_sym_mediump] = ACTIONS(1464),
    [anon_sym_lowp] = ACTIONS(1464),
    [anon_sym_centroid] = ACTIONS(1464),
    [anon_sym_sample] = ACTIONS(1464),
    [anon_sym_patch] = ACTIONS(1464),
    [anon_sym_smooth] = ACTIONS(1464),
    [anon_sym_flat] = ACTIONS(1464),
    [anon_sym_noperspective] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym___attribute] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [anon_sym__Nonnull] = ACTIONS(1464),
    [anon_sym_alignas] = ACTIONS(1464),
    [anon_sym__Alignas] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [anon_sym___asm] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1464),
    [anon_sym_hitAttributeEXT] = ACTIONS(1464),
    [anon_sym_callableDataEXT] = ACTIONS(1464),
    [anon_sym_callableDataInEXT] = ACTIONS(1464),
    [anon_sym_shaderRecordEXT] = ACTIONS(1464),
    [anon_sym_rayPayloadNV] = ACTIONS(1464),
    [anon_sym_rayPayloadInNV] = ACTIONS(1464),
    [anon_sym_hitAttributeNV] = ACTIONS(1464),
    [anon_sym_callableDataNV] = ACTIONS(1464),
    [anon_sym_callableDataInNV] = ACTIONS(1464),
    [anon_sym_shaderRecordNV] = ACTIONS(1464),
    [anon_sym_layout] = ACTIONS(1464),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_identifier] = ACTIONS(1546),
    [aux_sym_preproc_include_token1] = ACTIONS(1546),
    [aux_sym_preproc_def_token1] = ACTIONS(1546),
    [aux_sym_preproc_if_token1] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1546),
    [sym_preproc_directive] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_subroutine] = ACTIONS(1546),
    [anon_sym_invariant] = ACTIONS(1546),
    [anon_sym_precise] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1546),
    [anon_sym_out] = ACTIONS(1546),
    [anon_sym_inout] = ACTIONS(1546),
    [anon_sym_uniform] = ACTIONS(1546),
    [anon_sym_shared] = ACTIONS(1546),
    [anon_sym_attribute] = ACTIONS(1546),
    [anon_sym_varying] = ACTIONS(1546),
    [anon_sym_buffer] = ACTIONS(1546),
    [anon_sym_coherent] = ACTIONS(1546),
    [anon_sym_readonly] = ACTIONS(1546),
    [anon_sym_writeonly] = ACTIONS(1546),
    [anon_sym_precision] = ACTIONS(1546),
    [anon_sym_highp] = ACTIONS(1546),
    [anon_sym_mediump] = ACTIONS(1546),
    [anon_sym_lowp] = ACTIONS(1546),
    [anon_sym_centroid] = ACTIONS(1546),
    [anon_sym_sample] = ACTIONS(1546),
    [anon_sym_patch] = ACTIONS(1546),
    [anon_sym_smooth] = ACTIONS(1546),
    [anon_sym_flat] = ACTIONS(1546),
    [anon_sym_noperspective] = ACTIONS(1546),
    [anon_sym___extension__] = ACTIONS(1546),
    [anon_sym_typedef] = ACTIONS(1546),
    [anon_sym_extern] = ACTIONS(1546),
    [anon_sym___attribute__] = ACTIONS(1546),
    [anon_sym___attribute] = ACTIONS(1546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym___declspec] = ACTIONS(1546),
    [anon_sym___cdecl] = ACTIONS(1546),
    [anon_sym___clrcall] = ACTIONS(1546),
    [anon_sym___stdcall] = ACTIONS(1546),
    [anon_sym___fastcall] = ACTIONS(1546),
    [anon_sym___thiscall] = ACTIONS(1546),
    [anon_sym___vectorcall] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_signed] = ACTIONS(1546),
    [anon_sym_unsigned] = ACTIONS(1546),
    [anon_sym_long] = ACTIONS(1546),
    [anon_sym_short] = ACTIONS(1546),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_auto] = ACTIONS(1546),
    [anon_sym_register] = ACTIONS(1546),
    [anon_sym_inline] = ACTIONS(1546),
    [anon_sym___inline] = ACTIONS(1546),
    [anon_sym___inline__] = ACTIONS(1546),
    [anon_sym___forceinline] = ACTIONS(1546),
    [anon_sym_thread_local] = ACTIONS(1546),
    [anon_sym___thread] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_constexpr] = ACTIONS(1546),
    [anon_sym_volatile] = ACTIONS(1546),
    [anon_sym_restrict] = ACTIONS(1546),
    [anon_sym___restrict__] = ACTIONS(1546),
    [anon_sym__Atomic] = ACTIONS(1546),
    [anon_sym__Noreturn] = ACTIONS(1546),
    [anon_sym_noreturn] = ACTIONS(1546),
    [anon_sym__Nonnull] = ACTIONS(1546),
    [anon_sym_alignas] = ACTIONS(1546),
    [anon_sym__Alignas] = ACTIONS(1546),
    [sym_primitive_type] = ACTIONS(1546),
    [anon_sym_enum] = ACTIONS(1546),
    [anon_sym_struct] = ACTIONS(1546),
    [anon_sym_union] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_switch] = ACTIONS(1546),
    [anon_sym_case] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_goto] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1546),
    [anon_sym___alignof__] = ACTIONS(1546),
    [anon_sym___alignof] = ACTIONS(1546),
    [anon_sym__alignof] = ACTIONS(1546),
    [anon_sym_alignof] = ACTIONS(1546),
    [anon_sym__Alignof] = ACTIONS(1546),
    [anon_sym_offsetof] = ACTIONS(1546),
    [anon_sym__Generic] = ACTIONS(1546),
    [anon_sym_asm] = ACTIONS(1546),
    [anon_sym___asm__] = ACTIONS(1546),
    [anon_sym___asm] = ACTIONS(1546),
    [sym_number_literal] = ACTIONS(1548),
    [anon_sym_L_SQUOTE] = ACTIONS(1548),
    [anon_sym_u_SQUOTE] = ACTIONS(1548),
    [anon_sym_U_SQUOTE] = ACTIONS(1548),
    [anon_sym_u8_SQUOTE] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_L_DQUOTE] = ACTIONS(1548),
    [anon_sym_u_DQUOTE] = ACTIONS(1548),
    [anon_sym_U_DQUOTE] = ACTIONS(1548),
    [anon_sym_u8_DQUOTE] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [sym_true] = ACTIONS(1546),
    [sym_false] = ACTIONS(1546),
    [anon_sym_NULL] = ACTIONS(1546),
    [anon_sym_nullptr] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1546),
    [anon_sym_hitAttributeEXT] = ACTIONS(1546),
    [anon_sym_callableDataEXT] = ACTIONS(1546),
    [anon_sym_callableDataInEXT] = ACTIONS(1546),
    [anon_sym_shaderRecordEXT] = ACTIONS(1546),
    [anon_sym_rayPayloadNV] = ACTIONS(1546),
    [anon_sym_rayPayloadInNV] = ACTIONS(1546),
    [anon_sym_hitAttributeNV] = ACTIONS(1546),
    [anon_sym_callableDataNV] = ACTIONS(1546),
    [anon_sym_callableDataInNV] = ACTIONS(1546),
    [anon_sym_shaderRecordNV] = ACTIONS(1546),
    [anon_sym_layout] = ACTIONS(1546),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_identifier] = ACTIONS(1542),
    [aux_sym_preproc_include_token1] = ACTIONS(1542),
    [aux_sym_preproc_def_token1] = ACTIONS(1542),
    [aux_sym_preproc_if_token1] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1542),
    [sym_preproc_directive] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_subroutine] = ACTIONS(1542),
    [anon_sym_invariant] = ACTIONS(1542),
    [anon_sym_precise] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_out] = ACTIONS(1542),
    [anon_sym_inout] = ACTIONS(1542),
    [anon_sym_uniform] = ACTIONS(1542),
    [anon_sym_shared] = ACTIONS(1542),
    [anon_sym_attribute] = ACTIONS(1542),
    [anon_sym_varying] = ACTIONS(1542),
    [anon_sym_buffer] = ACTIONS(1542),
    [anon_sym_coherent] = ACTIONS(1542),
    [anon_sym_readonly] = ACTIONS(1542),
    [anon_sym_writeonly] = ACTIONS(1542),
    [anon_sym_precision] = ACTIONS(1542),
    [anon_sym_highp] = ACTIONS(1542),
    [anon_sym_mediump] = ACTIONS(1542),
    [anon_sym_lowp] = ACTIONS(1542),
    [anon_sym_centroid] = ACTIONS(1542),
    [anon_sym_sample] = ACTIONS(1542),
    [anon_sym_patch] = ACTIONS(1542),
    [anon_sym_smooth] = ACTIONS(1542),
    [anon_sym_flat] = ACTIONS(1542),
    [anon_sym_noperspective] = ACTIONS(1542),
    [anon_sym___extension__] = ACTIONS(1542),
    [anon_sym_typedef] = ACTIONS(1542),
    [anon_sym_extern] = ACTIONS(1542),
    [anon_sym___attribute__] = ACTIONS(1542),
    [anon_sym___attribute] = ACTIONS(1542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1544),
    [anon_sym___declspec] = ACTIONS(1542),
    [anon_sym___cdecl] = ACTIONS(1542),
    [anon_sym___clrcall] = ACTIONS(1542),
    [anon_sym___stdcall] = ACTIONS(1542),
    [anon_sym___fastcall] = ACTIONS(1542),
    [anon_sym___thiscall] = ACTIONS(1542),
    [anon_sym___vectorcall] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_signed] = ACTIONS(1542),
    [anon_sym_unsigned] = ACTIONS(1542),
    [anon_sym_long] = ACTIONS(1542),
    [anon_sym_short] = ACTIONS(1542),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_auto] = ACTIONS(1542),
    [anon_sym_register] = ACTIONS(1542),
    [anon_sym_inline] = ACTIONS(1542),
    [anon_sym___inline] = ACTIONS(1542),
    [anon_sym___inline__] = ACTIONS(1542),
    [anon_sym___forceinline] = ACTIONS(1542),
    [anon_sym_thread_local] = ACTIONS(1542),
    [anon_sym___thread] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_constexpr] = ACTIONS(1542),
    [anon_sym_volatile] = ACTIONS(1542),
    [anon_sym_restrict] = ACTIONS(1542),
    [anon_sym___restrict__] = ACTIONS(1542),
    [anon_sym__Atomic] = ACTIONS(1542),
    [anon_sym__Noreturn] = ACTIONS(1542),
    [anon_sym_noreturn] = ACTIONS(1542),
    [anon_sym__Nonnull] = ACTIONS(1542),
    [anon_sym_alignas] = ACTIONS(1542),
    [anon_sym__Alignas] = ACTIONS(1542),
    [sym_primitive_type] = ACTIONS(1542),
    [anon_sym_enum] = ACTIONS(1542),
    [anon_sym_struct] = ACTIONS(1542),
    [anon_sym_union] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_switch] = ACTIONS(1542),
    [anon_sym_case] = ACTIONS(1542),
    [anon_sym_default] = ACTIONS(1542),
    [anon_sym_while] = ACTIONS(1542),
    [anon_sym_do] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1542),
    [anon_sym___alignof__] = ACTIONS(1542),
    [anon_sym___alignof] = ACTIONS(1542),
    [anon_sym__alignof] = ACTIONS(1542),
    [anon_sym_alignof] = ACTIONS(1542),
    [anon_sym__Alignof] = ACTIONS(1542),
    [anon_sym_offsetof] = ACTIONS(1542),
    [anon_sym__Generic] = ACTIONS(1542),
    [anon_sym_asm] = ACTIONS(1542),
    [anon_sym___asm__] = ACTIONS(1542),
    [anon_sym___asm] = ACTIONS(1542),
    [sym_number_literal] = ACTIONS(1544),
    [anon_sym_L_SQUOTE] = ACTIONS(1544),
    [anon_sym_u_SQUOTE] = ACTIONS(1544),
    [anon_sym_U_SQUOTE] = ACTIONS(1544),
    [anon_sym_u8_SQUOTE] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_L_DQUOTE] = ACTIONS(1544),
    [anon_sym_u_DQUOTE] = ACTIONS(1544),
    [anon_sym_U_DQUOTE] = ACTIONS(1544),
    [anon_sym_u8_DQUOTE] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [sym_true] = ACTIONS(1542),
    [sym_false] = ACTIONS(1542),
    [anon_sym_NULL] = ACTIONS(1542),
    [anon_sym_nullptr] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1542),
    [anon_sym_hitAttributeEXT] = ACTIONS(1542),
    [anon_sym_callableDataEXT] = ACTIONS(1542),
    [anon_sym_callableDataInEXT] = ACTIONS(1542),
    [anon_sym_shaderRecordEXT] = ACTIONS(1542),
    [anon_sym_rayPayloadNV] = ACTIONS(1542),
    [anon_sym_rayPayloadInNV] = ACTIONS(1542),
    [anon_sym_hitAttributeNV] = ACTIONS(1542),
    [anon_sym_callableDataNV] = ACTIONS(1542),
    [anon_sym_callableDataInNV] = ACTIONS(1542),
    [anon_sym_shaderRecordNV] = ACTIONS(1542),
    [anon_sym_layout] = ACTIONS(1542),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_subroutine] = ACTIONS(1420),
    [anon_sym_invariant] = ACTIONS(1420),
    [anon_sym_precise] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym_in] = ACTIONS(1420),
    [anon_sym_out] = ACTIONS(1420),
    [anon_sym_inout] = ACTIONS(1420),
    [anon_sym_uniform] = ACTIONS(1420),
    [anon_sym_shared] = ACTIONS(1420),
    [anon_sym_attribute] = ACTIONS(1420),
    [anon_sym_varying] = ACTIONS(1420),
    [anon_sym_buffer] = ACTIONS(1420),
    [anon_sym_coherent] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_writeonly] = ACTIONS(1420),
    [anon_sym_precision] = ACTIONS(1420),
    [anon_sym_highp] = ACTIONS(1420),
    [anon_sym_mediump] = ACTIONS(1420),
    [anon_sym_lowp] = ACTIONS(1420),
    [anon_sym_centroid] = ACTIONS(1420),
    [anon_sym_sample] = ACTIONS(1420),
    [anon_sym_patch] = ACTIONS(1420),
    [anon_sym_smooth] = ACTIONS(1420),
    [anon_sym_flat] = ACTIONS(1420),
    [anon_sym_noperspective] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym___attribute] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [anon_sym__Nonnull] = ACTIONS(1420),
    [anon_sym_alignas] = ACTIONS(1420),
    [anon_sym__Alignas] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [anon_sym___asm] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1420),
    [anon_sym_hitAttributeEXT] = ACTIONS(1420),
    [anon_sym_callableDataEXT] = ACTIONS(1420),
    [anon_sym_callableDataInEXT] = ACTIONS(1420),
    [anon_sym_shaderRecordEXT] = ACTIONS(1420),
    [anon_sym_rayPayloadNV] = ACTIONS(1420),
    [anon_sym_rayPayloadInNV] = ACTIONS(1420),
    [anon_sym_hitAttributeNV] = ACTIONS(1420),
    [anon_sym_callableDataNV] = ACTIONS(1420),
    [anon_sym_callableDataInNV] = ACTIONS(1420),
    [anon_sym_shaderRecordNV] = ACTIONS(1420),
    [anon_sym_layout] = ACTIONS(1420),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_subroutine] = ACTIONS(1424),
    [anon_sym_invariant] = ACTIONS(1424),
    [anon_sym_precise] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1424),
    [anon_sym_out] = ACTIONS(1424),
    [anon_sym_inout] = ACTIONS(1424),
    [anon_sym_uniform] = ACTIONS(1424),
    [anon_sym_shared] = ACTIONS(1424),
    [anon_sym_attribute] = ACTIONS(1424),
    [anon_sym_varying] = ACTIONS(1424),
    [anon_sym_buffer] = ACTIONS(1424),
    [anon_sym_coherent] = ACTIONS(1424),
    [anon_sym_readonly] = ACTIONS(1424),
    [anon_sym_writeonly] = ACTIONS(1424),
    [anon_sym_precision] = ACTIONS(1424),
    [anon_sym_highp] = ACTIONS(1424),
    [anon_sym_mediump] = ACTIONS(1424),
    [anon_sym_lowp] = ACTIONS(1424),
    [anon_sym_centroid] = ACTIONS(1424),
    [anon_sym_sample] = ACTIONS(1424),
    [anon_sym_patch] = ACTIONS(1424),
    [anon_sym_smooth] = ACTIONS(1424),
    [anon_sym_flat] = ACTIONS(1424),
    [anon_sym_noperspective] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym___attribute] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [anon_sym__Nonnull] = ACTIONS(1424),
    [anon_sym_alignas] = ACTIONS(1424),
    [anon_sym__Alignas] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [anon_sym___asm] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1424),
    [anon_sym_hitAttributeEXT] = ACTIONS(1424),
    [anon_sym_callableDataEXT] = ACTIONS(1424),
    [anon_sym_callableDataInEXT] = ACTIONS(1424),
    [anon_sym_shaderRecordEXT] = ACTIONS(1424),
    [anon_sym_rayPayloadNV] = ACTIONS(1424),
    [anon_sym_rayPayloadInNV] = ACTIONS(1424),
    [anon_sym_hitAttributeNV] = ACTIONS(1424),
    [anon_sym_callableDataNV] = ACTIONS(1424),
    [anon_sym_callableDataInNV] = ACTIONS(1424),
    [anon_sym_shaderRecordNV] = ACTIONS(1424),
    [anon_sym_layout] = ACTIONS(1424),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_subroutine] = ACTIONS(1428),
    [anon_sym_invariant] = ACTIONS(1428),
    [anon_sym_precise] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym_in] = ACTIONS(1428),
    [anon_sym_out] = ACTIONS(1428),
    [anon_sym_inout] = ACTIONS(1428),
    [anon_sym_uniform] = ACTIONS(1428),
    [anon_sym_shared] = ACTIONS(1428),
    [anon_sym_attribute] = ACTIONS(1428),
    [anon_sym_varying] = ACTIONS(1428),
    [anon_sym_buffer] = ACTIONS(1428),
    [anon_sym_coherent] = ACTIONS(1428),
    [anon_sym_readonly] = ACTIONS(1428),
    [anon_sym_writeonly] = ACTIONS(1428),
    [anon_sym_precision] = ACTIONS(1428),
    [anon_sym_highp] = ACTIONS(1428),
    [anon_sym_mediump] = ACTIONS(1428),
    [anon_sym_lowp] = ACTIONS(1428),
    [anon_sym_centroid] = ACTIONS(1428),
    [anon_sym_sample] = ACTIONS(1428),
    [anon_sym_patch] = ACTIONS(1428),
    [anon_sym_smooth] = ACTIONS(1428),
    [anon_sym_flat] = ACTIONS(1428),
    [anon_sym_noperspective] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym___attribute] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [anon_sym__Nonnull] = ACTIONS(1428),
    [anon_sym_alignas] = ACTIONS(1428),
    [anon_sym__Alignas] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [anon_sym___asm] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1428),
    [anon_sym_hitAttributeEXT] = ACTIONS(1428),
    [anon_sym_callableDataEXT] = ACTIONS(1428),
    [anon_sym_callableDataInEXT] = ACTIONS(1428),
    [anon_sym_shaderRecordEXT] = ACTIONS(1428),
    [anon_sym_rayPayloadNV] = ACTIONS(1428),
    [anon_sym_rayPayloadInNV] = ACTIONS(1428),
    [anon_sym_hitAttributeNV] = ACTIONS(1428),
    [anon_sym_callableDataNV] = ACTIONS(1428),
    [anon_sym_callableDataInNV] = ACTIONS(1428),
    [anon_sym_shaderRecordNV] = ACTIONS(1428),
    [anon_sym_layout] = ACTIONS(1428),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_subroutine] = ACTIONS(1472),
    [anon_sym_invariant] = ACTIONS(1472),
    [anon_sym_precise] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_out] = ACTIONS(1472),
    [anon_sym_inout] = ACTIONS(1472),
    [anon_sym_uniform] = ACTIONS(1472),
    [anon_sym_shared] = ACTIONS(1472),
    [anon_sym_attribute] = ACTIONS(1472),
    [anon_sym_varying] = ACTIONS(1472),
    [anon_sym_buffer] = ACTIONS(1472),
    [anon_sym_coherent] = ACTIONS(1472),
    [anon_sym_readonly] = ACTIONS(1472),
    [anon_sym_writeonly] = ACTIONS(1472),
    [anon_sym_precision] = ACTIONS(1472),
    [anon_sym_highp] = ACTIONS(1472),
    [anon_sym_mediump] = ACTIONS(1472),
    [anon_sym_lowp] = ACTIONS(1472),
    [anon_sym_centroid] = ACTIONS(1472),
    [anon_sym_sample] = ACTIONS(1472),
    [anon_sym_patch] = ACTIONS(1472),
    [anon_sym_smooth] = ACTIONS(1472),
    [anon_sym_flat] = ACTIONS(1472),
    [anon_sym_noperspective] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym___attribute] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [anon_sym__Nonnull] = ACTIONS(1472),
    [anon_sym_alignas] = ACTIONS(1472),
    [anon_sym__Alignas] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [anon_sym___asm] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1472),
    [anon_sym_hitAttributeEXT] = ACTIONS(1472),
    [anon_sym_callableDataEXT] = ACTIONS(1472),
    [anon_sym_callableDataInEXT] = ACTIONS(1472),
    [anon_sym_shaderRecordEXT] = ACTIONS(1472),
    [anon_sym_rayPayloadNV] = ACTIONS(1472),
    [anon_sym_rayPayloadInNV] = ACTIONS(1472),
    [anon_sym_hitAttributeNV] = ACTIONS(1472),
    [anon_sym_callableDataNV] = ACTIONS(1472),
    [anon_sym_callableDataInNV] = ACTIONS(1472),
    [anon_sym_shaderRecordNV] = ACTIONS(1472),
    [anon_sym_layout] = ACTIONS(1472),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_subroutine] = ACTIONS(1484),
    [anon_sym_invariant] = ACTIONS(1484),
    [anon_sym_precise] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1484),
    [anon_sym_out] = ACTIONS(1484),
    [anon_sym_inout] = ACTIONS(1484),
    [anon_sym_uniform] = ACTIONS(1484),
    [anon_sym_shared] = ACTIONS(1484),
    [anon_sym_attribute] = ACTIONS(1484),
    [anon_sym_varying] = ACTIONS(1484),
    [anon_sym_buffer] = ACTIONS(1484),
    [anon_sym_coherent] = ACTIONS(1484),
    [anon_sym_readonly] = ACTIONS(1484),
    [anon_sym_writeonly] = ACTIONS(1484),
    [anon_sym_precision] = ACTIONS(1484),
    [anon_sym_highp] = ACTIONS(1484),
    [anon_sym_mediump] = ACTIONS(1484),
    [anon_sym_lowp] = ACTIONS(1484),
    [anon_sym_centroid] = ACTIONS(1484),
    [anon_sym_sample] = ACTIONS(1484),
    [anon_sym_patch] = ACTIONS(1484),
    [anon_sym_smooth] = ACTIONS(1484),
    [anon_sym_flat] = ACTIONS(1484),
    [anon_sym_noperspective] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym___attribute] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [anon_sym__Nonnull] = ACTIONS(1484),
    [anon_sym_alignas] = ACTIONS(1484),
    [anon_sym__Alignas] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [anon_sym___asm] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1484),
    [anon_sym_hitAttributeEXT] = ACTIONS(1484),
    [anon_sym_callableDataEXT] = ACTIONS(1484),
    [anon_sym_callableDataInEXT] = ACTIONS(1484),
    [anon_sym_shaderRecordEXT] = ACTIONS(1484),
    [anon_sym_rayPayloadNV] = ACTIONS(1484),
    [anon_sym_rayPayloadInNV] = ACTIONS(1484),
    [anon_sym_hitAttributeNV] = ACTIONS(1484),
    [anon_sym_callableDataNV] = ACTIONS(1484),
    [anon_sym_callableDataInNV] = ACTIONS(1484),
    [anon_sym_shaderRecordNV] = ACTIONS(1484),
    [anon_sym_layout] = ACTIONS(1484),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_identifier] = ACTIONS(1562),
    [aux_sym_preproc_include_token1] = ACTIONS(1562),
    [aux_sym_preproc_def_token1] = ACTIONS(1562),
    [aux_sym_preproc_if_token1] = ACTIONS(1562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(1562),
    [anon_sym_LPAREN2] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1560),
    [anon_sym_subroutine] = ACTIONS(1562),
    [anon_sym_invariant] = ACTIONS(1562),
    [anon_sym_precise] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_out] = ACTIONS(1562),
    [anon_sym_inout] = ACTIONS(1562),
    [anon_sym_uniform] = ACTIONS(1562),
    [anon_sym_shared] = ACTIONS(1562),
    [anon_sym_attribute] = ACTIONS(1562),
    [anon_sym_varying] = ACTIONS(1562),
    [anon_sym_buffer] = ACTIONS(1562),
    [anon_sym_coherent] = ACTIONS(1562),
    [anon_sym_readonly] = ACTIONS(1562),
    [anon_sym_writeonly] = ACTIONS(1562),
    [anon_sym_precision] = ACTIONS(1562),
    [anon_sym_highp] = ACTIONS(1562),
    [anon_sym_mediump] = ACTIONS(1562),
    [anon_sym_lowp] = ACTIONS(1562),
    [anon_sym_centroid] = ACTIONS(1562),
    [anon_sym_sample] = ACTIONS(1562),
    [anon_sym_patch] = ACTIONS(1562),
    [anon_sym_smooth] = ACTIONS(1562),
    [anon_sym_flat] = ACTIONS(1562),
    [anon_sym_noperspective] = ACTIONS(1562),
    [anon_sym___extension__] = ACTIONS(1562),
    [anon_sym_typedef] = ACTIONS(1562),
    [anon_sym_extern] = ACTIONS(1562),
    [anon_sym___attribute__] = ACTIONS(1562),
    [anon_sym___attribute] = ACTIONS(1562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1560),
    [anon_sym___declspec] = ACTIONS(1562),
    [anon_sym___cdecl] = ACTIONS(1562),
    [anon_sym___clrcall] = ACTIONS(1562),
    [anon_sym___stdcall] = ACTIONS(1562),
    [anon_sym___fastcall] = ACTIONS(1562),
    [anon_sym___thiscall] = ACTIONS(1562),
    [anon_sym___vectorcall] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_signed] = ACTIONS(1562),
    [anon_sym_unsigned] = ACTIONS(1562),
    [anon_sym_long] = ACTIONS(1562),
    [anon_sym_short] = ACTIONS(1562),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_auto] = ACTIONS(1562),
    [anon_sym_register] = ACTIONS(1562),
    [anon_sym_inline] = ACTIONS(1562),
    [anon_sym___inline] = ACTIONS(1562),
    [anon_sym___inline__] = ACTIONS(1562),
    [anon_sym___forceinline] = ACTIONS(1562),
    [anon_sym_thread_local] = ACTIONS(1562),
    [anon_sym___thread] = ACTIONS(1562),
    [anon_sym_const] = ACTIONS(1562),
    [anon_sym_constexpr] = ACTIONS(1562),
    [anon_sym_volatile] = ACTIONS(1562),
    [anon_sym_restrict] = ACTIONS(1562),
    [anon_sym___restrict__] = ACTIONS(1562),
    [anon_sym__Atomic] = ACTIONS(1562),
    [anon_sym__Noreturn] = ACTIONS(1562),
    [anon_sym_noreturn] = ACTIONS(1562),
    [anon_sym__Nonnull] = ACTIONS(1562),
    [anon_sym_alignas] = ACTIONS(1562),
    [anon_sym__Alignas] = ACTIONS(1562),
    [sym_primitive_type] = ACTIONS(1562),
    [anon_sym_enum] = ACTIONS(1562),
    [anon_sym_struct] = ACTIONS(1562),
    [anon_sym_union] = ACTIONS(1562),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_switch] = ACTIONS(1562),
    [anon_sym_case] = ACTIONS(1562),
    [anon_sym_default] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1562),
    [anon_sym_do] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1562),
    [anon_sym_goto] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_sizeof] = ACTIONS(1562),
    [anon_sym___alignof__] = ACTIONS(1562),
    [anon_sym___alignof] = ACTIONS(1562),
    [anon_sym__alignof] = ACTIONS(1562),
    [anon_sym_alignof] = ACTIONS(1562),
    [anon_sym__Alignof] = ACTIONS(1562),
    [anon_sym_offsetof] = ACTIONS(1562),
    [anon_sym__Generic] = ACTIONS(1562),
    [anon_sym_asm] = ACTIONS(1562),
    [anon_sym___asm__] = ACTIONS(1562),
    [anon_sym___asm] = ACTIONS(1562),
    [sym_number_literal] = ACTIONS(1560),
    [anon_sym_L_SQUOTE] = ACTIONS(1560),
    [anon_sym_u_SQUOTE] = ACTIONS(1560),
    [anon_sym_U_SQUOTE] = ACTIONS(1560),
    [anon_sym_u8_SQUOTE] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [anon_sym_L_DQUOTE] = ACTIONS(1560),
    [anon_sym_u_DQUOTE] = ACTIONS(1560),
    [anon_sym_U_DQUOTE] = ACTIONS(1560),
    [anon_sym_u8_DQUOTE] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [anon_sym_NULL] = ACTIONS(1562),
    [anon_sym_nullptr] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1562),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1562),
    [anon_sym_hitAttributeEXT] = ACTIONS(1562),
    [anon_sym_callableDataEXT] = ACTIONS(1562),
    [anon_sym_callableDataInEXT] = ACTIONS(1562),
    [anon_sym_shaderRecordEXT] = ACTIONS(1562),
    [anon_sym_rayPayloadNV] = ACTIONS(1562),
    [anon_sym_rayPayloadInNV] = ACTIONS(1562),
    [anon_sym_hitAttributeNV] = ACTIONS(1562),
    [anon_sym_callableDataNV] = ACTIONS(1562),
    [anon_sym_callableDataInNV] = ACTIONS(1562),
    [anon_sym_shaderRecordNV] = ACTIONS(1562),
    [anon_sym_layout] = ACTIONS(1562),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_subroutine] = ACTIONS(1516),
    [anon_sym_invariant] = ACTIONS(1516),
    [anon_sym_precise] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1516),
    [anon_sym_out] = ACTIONS(1516),
    [anon_sym_inout] = ACTIONS(1516),
    [anon_sym_uniform] = ACTIONS(1516),
    [anon_sym_shared] = ACTIONS(1516),
    [anon_sym_attribute] = ACTIONS(1516),
    [anon_sym_varying] = ACTIONS(1516),
    [anon_sym_buffer] = ACTIONS(1516),
    [anon_sym_coherent] = ACTIONS(1516),
    [anon_sym_readonly] = ACTIONS(1516),
    [anon_sym_writeonly] = ACTIONS(1516),
    [anon_sym_precision] = ACTIONS(1516),
    [anon_sym_highp] = ACTIONS(1516),
    [anon_sym_mediump] = ACTIONS(1516),
    [anon_sym_lowp] = ACTIONS(1516),
    [anon_sym_centroid] = ACTIONS(1516),
    [anon_sym_sample] = ACTIONS(1516),
    [anon_sym_patch] = ACTIONS(1516),
    [anon_sym_smooth] = ACTIONS(1516),
    [anon_sym_flat] = ACTIONS(1516),
    [anon_sym_noperspective] = ACTIONS(1516),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym___attribute] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [anon_sym__Nonnull] = ACTIONS(1516),
    [anon_sym_alignas] = ACTIONS(1516),
    [anon_sym__Alignas] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [anon_sym___asm] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1516),
    [anon_sym_hitAttributeEXT] = ACTIONS(1516),
    [anon_sym_callableDataEXT] = ACTIONS(1516),
    [anon_sym_callableDataInEXT] = ACTIONS(1516),
    [anon_sym_shaderRecordEXT] = ACTIONS(1516),
    [anon_sym_rayPayloadNV] = ACTIONS(1516),
    [anon_sym_rayPayloadInNV] = ACTIONS(1516),
    [anon_sym_hitAttributeNV] = ACTIONS(1516),
    [anon_sym_callableDataNV] = ACTIONS(1516),
    [anon_sym_callableDataInNV] = ACTIONS(1516),
    [anon_sym_shaderRecordNV] = ACTIONS(1516),
    [anon_sym_layout] = ACTIONS(1516),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_subroutine] = ACTIONS(1488),
    [anon_sym_invariant] = ACTIONS(1488),
    [anon_sym_precise] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_in] = ACTIONS(1488),
    [anon_sym_out] = ACTIONS(1488),
    [anon_sym_inout] = ACTIONS(1488),
    [anon_sym_uniform] = ACTIONS(1488),
    [anon_sym_shared] = ACTIONS(1488),
    [anon_sym_attribute] = ACTIONS(1488),
    [anon_sym_varying] = ACTIONS(1488),
    [anon_sym_buffer] = ACTIONS(1488),
    [anon_sym_coherent] = ACTIONS(1488),
    [anon_sym_readonly] = ACTIONS(1488),
    [anon_sym_writeonly] = ACTIONS(1488),
    [anon_sym_precision] = ACTIONS(1488),
    [anon_sym_highp] = ACTIONS(1488),
    [anon_sym_mediump] = ACTIONS(1488),
    [anon_sym_lowp] = ACTIONS(1488),
    [anon_sym_centroid] = ACTIONS(1488),
    [anon_sym_sample] = ACTIONS(1488),
    [anon_sym_patch] = ACTIONS(1488),
    [anon_sym_smooth] = ACTIONS(1488),
    [anon_sym_flat] = ACTIONS(1488),
    [anon_sym_noperspective] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym___attribute] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [anon_sym__Nonnull] = ACTIONS(1488),
    [anon_sym_alignas] = ACTIONS(1488),
    [anon_sym__Alignas] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [anon_sym___asm] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1488),
    [anon_sym_hitAttributeEXT] = ACTIONS(1488),
    [anon_sym_callableDataEXT] = ACTIONS(1488),
    [anon_sym_callableDataInEXT] = ACTIONS(1488),
    [anon_sym_shaderRecordEXT] = ACTIONS(1488),
    [anon_sym_rayPayloadNV] = ACTIONS(1488),
    [anon_sym_rayPayloadInNV] = ACTIONS(1488),
    [anon_sym_hitAttributeNV] = ACTIONS(1488),
    [anon_sym_callableDataNV] = ACTIONS(1488),
    [anon_sym_callableDataInNV] = ACTIONS(1488),
    [anon_sym_shaderRecordNV] = ACTIONS(1488),
    [anon_sym_layout] = ACTIONS(1488),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_subroutine] = ACTIONS(1480),
    [anon_sym_invariant] = ACTIONS(1480),
    [anon_sym_precise] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_in] = ACTIONS(1480),
    [anon_sym_out] = ACTIONS(1480),
    [anon_sym_inout] = ACTIONS(1480),
    [anon_sym_uniform] = ACTIONS(1480),
    [anon_sym_shared] = ACTIONS(1480),
    [anon_sym_attribute] = ACTIONS(1480),
    [anon_sym_varying] = ACTIONS(1480),
    [anon_sym_buffer] = ACTIONS(1480),
    [anon_sym_coherent] = ACTIONS(1480),
    [anon_sym_readonly] = ACTIONS(1480),
    [anon_sym_writeonly] = ACTIONS(1480),
    [anon_sym_precision] = ACTIONS(1480),
    [anon_sym_highp] = ACTIONS(1480),
    [anon_sym_mediump] = ACTIONS(1480),
    [anon_sym_lowp] = ACTIONS(1480),
    [anon_sym_centroid] = ACTIONS(1480),
    [anon_sym_sample] = ACTIONS(1480),
    [anon_sym_patch] = ACTIONS(1480),
    [anon_sym_smooth] = ACTIONS(1480),
    [anon_sym_flat] = ACTIONS(1480),
    [anon_sym_noperspective] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym___attribute] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [anon_sym__Nonnull] = ACTIONS(1480),
    [anon_sym_alignas] = ACTIONS(1480),
    [anon_sym__Alignas] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [anon_sym___asm] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1480),
    [anon_sym_hitAttributeEXT] = ACTIONS(1480),
    [anon_sym_callableDataEXT] = ACTIONS(1480),
    [anon_sym_callableDataInEXT] = ACTIONS(1480),
    [anon_sym_shaderRecordEXT] = ACTIONS(1480),
    [anon_sym_rayPayloadNV] = ACTIONS(1480),
    [anon_sym_rayPayloadInNV] = ACTIONS(1480),
    [anon_sym_hitAttributeNV] = ACTIONS(1480),
    [anon_sym_callableDataNV] = ACTIONS(1480),
    [anon_sym_callableDataInNV] = ACTIONS(1480),
    [anon_sym_shaderRecordNV] = ACTIONS(1480),
    [anon_sym_layout] = ACTIONS(1480),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_subroutine] = ACTIONS(1436),
    [anon_sym_invariant] = ACTIONS(1436),
    [anon_sym_precise] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_in] = ACTIONS(1436),
    [anon_sym_out] = ACTIONS(1436),
    [anon_sym_inout] = ACTIONS(1436),
    [anon_sym_uniform] = ACTIONS(1436),
    [anon_sym_shared] = ACTIONS(1436),
    [anon_sym_attribute] = ACTIONS(1436),
    [anon_sym_varying] = ACTIONS(1436),
    [anon_sym_buffer] = ACTIONS(1436),
    [anon_sym_coherent] = ACTIONS(1436),
    [anon_sym_readonly] = ACTIONS(1436),
    [anon_sym_writeonly] = ACTIONS(1436),
    [anon_sym_precision] = ACTIONS(1436),
    [anon_sym_highp] = ACTIONS(1436),
    [anon_sym_mediump] = ACTIONS(1436),
    [anon_sym_lowp] = ACTIONS(1436),
    [anon_sym_centroid] = ACTIONS(1436),
    [anon_sym_sample] = ACTIONS(1436),
    [anon_sym_patch] = ACTIONS(1436),
    [anon_sym_smooth] = ACTIONS(1436),
    [anon_sym_flat] = ACTIONS(1436),
    [anon_sym_noperspective] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym___attribute] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [anon_sym__Nonnull] = ACTIONS(1436),
    [anon_sym_alignas] = ACTIONS(1436),
    [anon_sym__Alignas] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [anon_sym___asm] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1436),
    [anon_sym_hitAttributeEXT] = ACTIONS(1436),
    [anon_sym_callableDataEXT] = ACTIONS(1436),
    [anon_sym_callableDataInEXT] = ACTIONS(1436),
    [anon_sym_shaderRecordEXT] = ACTIONS(1436),
    [anon_sym_rayPayloadNV] = ACTIONS(1436),
    [anon_sym_rayPayloadInNV] = ACTIONS(1436),
    [anon_sym_hitAttributeNV] = ACTIONS(1436),
    [anon_sym_callableDataNV] = ACTIONS(1436),
    [anon_sym_callableDataInNV] = ACTIONS(1436),
    [anon_sym_shaderRecordNV] = ACTIONS(1436),
    [anon_sym_layout] = ACTIONS(1436),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_subroutine] = ACTIONS(1468),
    [anon_sym_invariant] = ACTIONS(1468),
    [anon_sym_precise] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym_in] = ACTIONS(1468),
    [anon_sym_out] = ACTIONS(1468),
    [anon_sym_inout] = ACTIONS(1468),
    [anon_sym_uniform] = ACTIONS(1468),
    [anon_sym_shared] = ACTIONS(1468),
    [anon_sym_attribute] = ACTIONS(1468),
    [anon_sym_varying] = ACTIONS(1468),
    [anon_sym_buffer] = ACTIONS(1468),
    [anon_sym_coherent] = ACTIONS(1468),
    [anon_sym_readonly] = ACTIONS(1468),
    [anon_sym_writeonly] = ACTIONS(1468),
    [anon_sym_precision] = ACTIONS(1468),
    [anon_sym_highp] = ACTIONS(1468),
    [anon_sym_mediump] = ACTIONS(1468),
    [anon_sym_lowp] = ACTIONS(1468),
    [anon_sym_centroid] = ACTIONS(1468),
    [anon_sym_sample] = ACTIONS(1468),
    [anon_sym_patch] = ACTIONS(1468),
    [anon_sym_smooth] = ACTIONS(1468),
    [anon_sym_flat] = ACTIONS(1468),
    [anon_sym_noperspective] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym___attribute] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [anon_sym__Nonnull] = ACTIONS(1468),
    [anon_sym_alignas] = ACTIONS(1468),
    [anon_sym__Alignas] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [anon_sym___asm] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1468),
    [anon_sym_hitAttributeEXT] = ACTIONS(1468),
    [anon_sym_callableDataEXT] = ACTIONS(1468),
    [anon_sym_callableDataInEXT] = ACTIONS(1468),
    [anon_sym_shaderRecordEXT] = ACTIONS(1468),
    [anon_sym_rayPayloadNV] = ACTIONS(1468),
    [anon_sym_rayPayloadInNV] = ACTIONS(1468),
    [anon_sym_hitAttributeNV] = ACTIONS(1468),
    [anon_sym_callableDataNV] = ACTIONS(1468),
    [anon_sym_callableDataInNV] = ACTIONS(1468),
    [anon_sym_shaderRecordNV] = ACTIONS(1468),
    [anon_sym_layout] = ACTIONS(1468),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1412),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1412),
    [sym_preproc_directive] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_subroutine] = ACTIONS(1412),
    [anon_sym_invariant] = ACTIONS(1412),
    [anon_sym_precise] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1412),
    [anon_sym_out] = ACTIONS(1412),
    [anon_sym_inout] = ACTIONS(1412),
    [anon_sym_uniform] = ACTIONS(1412),
    [anon_sym_shared] = ACTIONS(1412),
    [anon_sym_attribute] = ACTIONS(1412),
    [anon_sym_varying] = ACTIONS(1412),
    [anon_sym_buffer] = ACTIONS(1412),
    [anon_sym_coherent] = ACTIONS(1412),
    [anon_sym_readonly] = ACTIONS(1412),
    [anon_sym_writeonly] = ACTIONS(1412),
    [anon_sym_precision] = ACTIONS(1412),
    [anon_sym_highp] = ACTIONS(1412),
    [anon_sym_mediump] = ACTIONS(1412),
    [anon_sym_lowp] = ACTIONS(1412),
    [anon_sym_centroid] = ACTIONS(1412),
    [anon_sym_sample] = ACTIONS(1412),
    [anon_sym_patch] = ACTIONS(1412),
    [anon_sym_smooth] = ACTIONS(1412),
    [anon_sym_flat] = ACTIONS(1412),
    [anon_sym_noperspective] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_extern] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1412),
    [anon_sym___attribute] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym___declspec] = ACTIONS(1412),
    [anon_sym___cdecl] = ACTIONS(1412),
    [anon_sym___clrcall] = ACTIONS(1412),
    [anon_sym___stdcall] = ACTIONS(1412),
    [anon_sym___fastcall] = ACTIONS(1412),
    [anon_sym___thiscall] = ACTIONS(1412),
    [anon_sym___vectorcall] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1412),
    [anon_sym_unsigned] = ACTIONS(1412),
    [anon_sym_long] = ACTIONS(1412),
    [anon_sym_short] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1412),
    [anon_sym_auto] = ACTIONS(1412),
    [anon_sym_register] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1412),
    [anon_sym___inline] = ACTIONS(1412),
    [anon_sym___inline__] = ACTIONS(1412),
    [anon_sym___forceinline] = ACTIONS(1412),
    [anon_sym_thread_local] = ACTIONS(1412),
    [anon_sym___thread] = ACTIONS(1412),
    [anon_sym_const] = ACTIONS(1412),
    [anon_sym_constexpr] = ACTIONS(1412),
    [anon_sym_volatile] = ACTIONS(1412),
    [anon_sym_restrict] = ACTIONS(1412),
    [anon_sym___restrict__] = ACTIONS(1412),
    [anon_sym__Atomic] = ACTIONS(1412),
    [anon_sym__Noreturn] = ACTIONS(1412),
    [anon_sym_noreturn] = ACTIONS(1412),
    [anon_sym__Nonnull] = ACTIONS(1412),
    [anon_sym_alignas] = ACTIONS(1412),
    [anon_sym__Alignas] = ACTIONS(1412),
    [sym_primitive_type] = ACTIONS(1412),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_struct] = ACTIONS(1412),
    [anon_sym_union] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_case] = ACTIONS(1412),
    [anon_sym_default] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_break] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_goto] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_sizeof] = ACTIONS(1412),
    [anon_sym___alignof__] = ACTIONS(1412),
    [anon_sym___alignof] = ACTIONS(1412),
    [anon_sym__alignof] = ACTIONS(1412),
    [anon_sym_alignof] = ACTIONS(1412),
    [anon_sym__Alignof] = ACTIONS(1412),
    [anon_sym_offsetof] = ACTIONS(1412),
    [anon_sym__Generic] = ACTIONS(1412),
    [anon_sym_asm] = ACTIONS(1412),
    [anon_sym___asm__] = ACTIONS(1412),
    [anon_sym___asm] = ACTIONS(1412),
    [sym_number_literal] = ACTIONS(1414),
    [anon_sym_L_SQUOTE] = ACTIONS(1414),
    [anon_sym_u_SQUOTE] = ACTIONS(1414),
    [anon_sym_U_SQUOTE] = ACTIONS(1414),
    [anon_sym_u8_SQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_L_DQUOTE] = ACTIONS(1414),
    [anon_sym_u_DQUOTE] = ACTIONS(1414),
    [anon_sym_U_DQUOTE] = ACTIONS(1414),
    [anon_sym_u8_DQUOTE] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [sym_true] = ACTIONS(1412),
    [sym_false] = ACTIONS(1412),
    [anon_sym_NULL] = ACTIONS(1412),
    [anon_sym_nullptr] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1412),
    [anon_sym_hitAttributeEXT] = ACTIONS(1412),
    [anon_sym_callableDataEXT] = ACTIONS(1412),
    [anon_sym_callableDataInEXT] = ACTIONS(1412),
    [anon_sym_shaderRecordEXT] = ACTIONS(1412),
    [anon_sym_rayPayloadNV] = ACTIONS(1412),
    [anon_sym_rayPayloadInNV] = ACTIONS(1412),
    [anon_sym_hitAttributeNV] = ACTIONS(1412),
    [anon_sym_callableDataNV] = ACTIONS(1412),
    [anon_sym_callableDataInNV] = ACTIONS(1412),
    [anon_sym_shaderRecordNV] = ACTIONS(1412),
    [anon_sym_layout] = ACTIONS(1412),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_subroutine] = ACTIONS(1416),
    [anon_sym_invariant] = ACTIONS(1416),
    [anon_sym_precise] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_in] = ACTIONS(1416),
    [anon_sym_out] = ACTIONS(1416),
    [anon_sym_inout] = ACTIONS(1416),
    [anon_sym_uniform] = ACTIONS(1416),
    [anon_sym_shared] = ACTIONS(1416),
    [anon_sym_attribute] = ACTIONS(1416),
    [anon_sym_varying] = ACTIONS(1416),
    [anon_sym_buffer] = ACTIONS(1416),
    [anon_sym_coherent] = ACTIONS(1416),
    [anon_sym_readonly] = ACTIONS(1416),
    [anon_sym_writeonly] = ACTIONS(1416),
    [anon_sym_precision] = ACTIONS(1416),
    [anon_sym_highp] = ACTIONS(1416),
    [anon_sym_mediump] = ACTIONS(1416),
    [anon_sym_lowp] = ACTIONS(1416),
    [anon_sym_centroid] = ACTIONS(1416),
    [anon_sym_sample] = ACTIONS(1416),
    [anon_sym_patch] = ACTIONS(1416),
    [anon_sym_smooth] = ACTIONS(1416),
    [anon_sym_flat] = ACTIONS(1416),
    [anon_sym_noperspective] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym___attribute] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [anon_sym__Nonnull] = ACTIONS(1416),
    [anon_sym_alignas] = ACTIONS(1416),
    [anon_sym__Alignas] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [anon_sym___asm] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1416),
    [anon_sym_hitAttributeEXT] = ACTIONS(1416),
    [anon_sym_callableDataEXT] = ACTIONS(1416),
    [anon_sym_callableDataInEXT] = ACTIONS(1416),
    [anon_sym_shaderRecordEXT] = ACTIONS(1416),
    [anon_sym_rayPayloadNV] = ACTIONS(1416),
    [anon_sym_rayPayloadInNV] = ACTIONS(1416),
    [anon_sym_hitAttributeNV] = ACTIONS(1416),
    [anon_sym_callableDataNV] = ACTIONS(1416),
    [anon_sym_callableDataInNV] = ACTIONS(1416),
    [anon_sym_shaderRecordNV] = ACTIONS(1416),
    [anon_sym_layout] = ACTIONS(1416),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_identifier] = ACTIONS(1520),
    [aux_sym_preproc_include_token1] = ACTIONS(1520),
    [aux_sym_preproc_def_token1] = ACTIONS(1520),
    [aux_sym_preproc_if_token1] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1520),
    [sym_preproc_directive] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_subroutine] = ACTIONS(1520),
    [anon_sym_invariant] = ACTIONS(1520),
    [anon_sym_precise] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_out] = ACTIONS(1520),
    [anon_sym_inout] = ACTIONS(1520),
    [anon_sym_uniform] = ACTIONS(1520),
    [anon_sym_shared] = ACTIONS(1520),
    [anon_sym_attribute] = ACTIONS(1520),
    [anon_sym_varying] = ACTIONS(1520),
    [anon_sym_buffer] = ACTIONS(1520),
    [anon_sym_coherent] = ACTIONS(1520),
    [anon_sym_readonly] = ACTIONS(1520),
    [anon_sym_writeonly] = ACTIONS(1520),
    [anon_sym_precision] = ACTIONS(1520),
    [anon_sym_highp] = ACTIONS(1520),
    [anon_sym_mediump] = ACTIONS(1520),
    [anon_sym_lowp] = ACTIONS(1520),
    [anon_sym_centroid] = ACTIONS(1520),
    [anon_sym_sample] = ACTIONS(1520),
    [anon_sym_patch] = ACTIONS(1520),
    [anon_sym_smooth] = ACTIONS(1520),
    [anon_sym_flat] = ACTIONS(1520),
    [anon_sym_noperspective] = ACTIONS(1520),
    [anon_sym___extension__] = ACTIONS(1520),
    [anon_sym_typedef] = ACTIONS(1520),
    [anon_sym_extern] = ACTIONS(1520),
    [anon_sym___attribute__] = ACTIONS(1520),
    [anon_sym___attribute] = ACTIONS(1520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1522),
    [anon_sym___declspec] = ACTIONS(1520),
    [anon_sym___cdecl] = ACTIONS(1520),
    [anon_sym___clrcall] = ACTIONS(1520),
    [anon_sym___stdcall] = ACTIONS(1520),
    [anon_sym___fastcall] = ACTIONS(1520),
    [anon_sym___thiscall] = ACTIONS(1520),
    [anon_sym___vectorcall] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_signed] = ACTIONS(1520),
    [anon_sym_unsigned] = ACTIONS(1520),
    [anon_sym_long] = ACTIONS(1520),
    [anon_sym_short] = ACTIONS(1520),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_auto] = ACTIONS(1520),
    [anon_sym_register] = ACTIONS(1520),
    [anon_sym_inline] = ACTIONS(1520),
    [anon_sym___inline] = ACTIONS(1520),
    [anon_sym___inline__] = ACTIONS(1520),
    [anon_sym___forceinline] = ACTIONS(1520),
    [anon_sym_thread_local] = ACTIONS(1520),
    [anon_sym___thread] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_constexpr] = ACTIONS(1520),
    [anon_sym_volatile] = ACTIONS(1520),
    [anon_sym_restrict] = ACTIONS(1520),
    [anon_sym___restrict__] = ACTIONS(1520),
    [anon_sym__Atomic] = ACTIONS(1520),
    [anon_sym__Noreturn] = ACTIONS(1520),
    [anon_sym_noreturn] = ACTIONS(1520),
    [anon_sym__Nonnull] = ACTIONS(1520),
    [anon_sym_alignas] = ACTIONS(1520),
    [anon_sym__Alignas] = ACTIONS(1520),
    [sym_primitive_type] = ACTIONS(1520),
    [anon_sym_enum] = ACTIONS(1520),
    [anon_sym_struct] = ACTIONS(1520),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1520),
    [anon_sym___alignof__] = ACTIONS(1520),
    [anon_sym___alignof] = ACTIONS(1520),
    [anon_sym__alignof] = ACTIONS(1520),
    [anon_sym_alignof] = ACTIONS(1520),
    [anon_sym__Alignof] = ACTIONS(1520),
    [anon_sym_offsetof] = ACTIONS(1520),
    [anon_sym__Generic] = ACTIONS(1520),
    [anon_sym_asm] = ACTIONS(1520),
    [anon_sym___asm__] = ACTIONS(1520),
    [anon_sym___asm] = ACTIONS(1520),
    [sym_number_literal] = ACTIONS(1522),
    [anon_sym_L_SQUOTE] = ACTIONS(1522),
    [anon_sym_u_SQUOTE] = ACTIONS(1522),
    [anon_sym_U_SQUOTE] = ACTIONS(1522),
    [anon_sym_u8_SQUOTE] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_L_DQUOTE] = ACTIONS(1522),
    [anon_sym_u_DQUOTE] = ACTIONS(1522),
    [anon_sym_U_DQUOTE] = ACTIONS(1522),
    [anon_sym_u8_DQUOTE] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_NULL] = ACTIONS(1520),
    [anon_sym_nullptr] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1520),
    [anon_sym_hitAttributeEXT] = ACTIONS(1520),
    [anon_sym_callableDataEXT] = ACTIONS(1520),
    [anon_sym_callableDataInEXT] = ACTIONS(1520),
    [anon_sym_shaderRecordEXT] = ACTIONS(1520),
    [anon_sym_rayPayloadNV] = ACTIONS(1520),
    [anon_sym_rayPayloadInNV] = ACTIONS(1520),
    [anon_sym_hitAttributeNV] = ACTIONS(1520),
    [anon_sym_callableDataNV] = ACTIONS(1520),
    [anon_sym_callableDataInNV] = ACTIONS(1520),
    [anon_sym_shaderRecordNV] = ACTIONS(1520),
    [anon_sym_layout] = ACTIONS(1520),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_subroutine] = ACTIONS(1492),
    [anon_sym_invariant] = ACTIONS(1492),
    [anon_sym_precise] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(1492),
    [anon_sym_out] = ACTIONS(1492),
    [anon_sym_inout] = ACTIONS(1492),
    [anon_sym_uniform] = ACTIONS(1492),
    [anon_sym_shared] = ACTIONS(1492),
    [anon_sym_attribute] = ACTIONS(1492),
    [anon_sym_varying] = ACTIONS(1492),
    [anon_sym_buffer] = ACTIONS(1492),
    [anon_sym_coherent] = ACTIONS(1492),
    [anon_sym_readonly] = ACTIONS(1492),
    [anon_sym_writeonly] = ACTIONS(1492),
    [anon_sym_precision] = ACTIONS(1492),
    [anon_sym_highp] = ACTIONS(1492),
    [anon_sym_mediump] = ACTIONS(1492),
    [anon_sym_lowp] = ACTIONS(1492),
    [anon_sym_centroid] = ACTIONS(1492),
    [anon_sym_sample] = ACTIONS(1492),
    [anon_sym_patch] = ACTIONS(1492),
    [anon_sym_smooth] = ACTIONS(1492),
    [anon_sym_flat] = ACTIONS(1492),
    [anon_sym_noperspective] = ACTIONS(1492),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym___attribute] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [anon_sym__Nonnull] = ACTIONS(1492),
    [anon_sym_alignas] = ACTIONS(1492),
    [anon_sym__Alignas] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [anon_sym___asm] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1492),
    [anon_sym_hitAttributeEXT] = ACTIONS(1492),
    [anon_sym_callableDataEXT] = ACTIONS(1492),
    [anon_sym_callableDataInEXT] = ACTIONS(1492),
    [anon_sym_shaderRecordEXT] = ACTIONS(1492),
    [anon_sym_rayPayloadNV] = ACTIONS(1492),
    [anon_sym_rayPayloadInNV] = ACTIONS(1492),
    [anon_sym_hitAttributeNV] = ACTIONS(1492),
    [anon_sym_callableDataNV] = ACTIONS(1492),
    [anon_sym_callableDataInNV] = ACTIONS(1492),
    [anon_sym_shaderRecordNV] = ACTIONS(1492),
    [anon_sym_layout] = ACTIONS(1492),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_subroutine] = ACTIONS(1508),
    [anon_sym_invariant] = ACTIONS(1508),
    [anon_sym_precise] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_in] = ACTIONS(1508),
    [anon_sym_out] = ACTIONS(1508),
    [anon_sym_inout] = ACTIONS(1508),
    [anon_sym_uniform] = ACTIONS(1508),
    [anon_sym_shared] = ACTIONS(1508),
    [anon_sym_attribute] = ACTIONS(1508),
    [anon_sym_varying] = ACTIONS(1508),
    [anon_sym_buffer] = ACTIONS(1508),
    [anon_sym_coherent] = ACTIONS(1508),
    [anon_sym_readonly] = ACTIONS(1508),
    [anon_sym_writeonly] = ACTIONS(1508),
    [anon_sym_precision] = ACTIONS(1508),
    [anon_sym_highp] = ACTIONS(1508),
    [anon_sym_mediump] = ACTIONS(1508),
    [anon_sym_lowp] = ACTIONS(1508),
    [anon_sym_centroid] = ACTIONS(1508),
    [anon_sym_sample] = ACTIONS(1508),
    [anon_sym_patch] = ACTIONS(1508),
    [anon_sym_smooth] = ACTIONS(1508),
    [anon_sym_flat] = ACTIONS(1508),
    [anon_sym_noperspective] = ACTIONS(1508),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym___attribute] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [anon_sym__Nonnull] = ACTIONS(1508),
    [anon_sym_alignas] = ACTIONS(1508),
    [anon_sym__Alignas] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [anon_sym___asm] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1508),
    [anon_sym_hitAttributeEXT] = ACTIONS(1508),
    [anon_sym_callableDataEXT] = ACTIONS(1508),
    [anon_sym_callableDataInEXT] = ACTIONS(1508),
    [anon_sym_shaderRecordEXT] = ACTIONS(1508),
    [anon_sym_rayPayloadNV] = ACTIONS(1508),
    [anon_sym_rayPayloadInNV] = ACTIONS(1508),
    [anon_sym_hitAttributeNV] = ACTIONS(1508),
    [anon_sym_callableDataNV] = ACTIONS(1508),
    [anon_sym_callableDataInNV] = ACTIONS(1508),
    [anon_sym_shaderRecordNV] = ACTIONS(1508),
    [anon_sym_layout] = ACTIONS(1508),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_subroutine] = ACTIONS(1496),
    [anon_sym_invariant] = ACTIONS(1496),
    [anon_sym_precise] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_in] = ACTIONS(1496),
    [anon_sym_out] = ACTIONS(1496),
    [anon_sym_inout] = ACTIONS(1496),
    [anon_sym_uniform] = ACTIONS(1496),
    [anon_sym_shared] = ACTIONS(1496),
    [anon_sym_attribute] = ACTIONS(1496),
    [anon_sym_varying] = ACTIONS(1496),
    [anon_sym_buffer] = ACTIONS(1496),
    [anon_sym_coherent] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_writeonly] = ACTIONS(1496),
    [anon_sym_precision] = ACTIONS(1496),
    [anon_sym_highp] = ACTIONS(1496),
    [anon_sym_mediump] = ACTIONS(1496),
    [anon_sym_lowp] = ACTIONS(1496),
    [anon_sym_centroid] = ACTIONS(1496),
    [anon_sym_sample] = ACTIONS(1496),
    [anon_sym_patch] = ACTIONS(1496),
    [anon_sym_smooth] = ACTIONS(1496),
    [anon_sym_flat] = ACTIONS(1496),
    [anon_sym_noperspective] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym___attribute] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [anon_sym__Nonnull] = ACTIONS(1496),
    [anon_sym_alignas] = ACTIONS(1496),
    [anon_sym__Alignas] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [anon_sym___asm] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1496),
    [anon_sym_hitAttributeEXT] = ACTIONS(1496),
    [anon_sym_callableDataEXT] = ACTIONS(1496),
    [anon_sym_callableDataInEXT] = ACTIONS(1496),
    [anon_sym_shaderRecordEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadNV] = ACTIONS(1496),
    [anon_sym_rayPayloadInNV] = ACTIONS(1496),
    [anon_sym_hitAttributeNV] = ACTIONS(1496),
    [anon_sym_callableDataNV] = ACTIONS(1496),
    [anon_sym_callableDataInNV] = ACTIONS(1496),
    [anon_sym_shaderRecordNV] = ACTIONS(1496),
    [anon_sym_layout] = ACTIONS(1496),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_identifier] = ACTIONS(1567),
    [aux_sym_preproc_include_token1] = ACTIONS(1567),
    [aux_sym_preproc_def_token1] = ACTIONS(1567),
    [aux_sym_preproc_if_token1] = ACTIONS(1567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1567),
    [sym_preproc_directive] = ACTIONS(1567),
    [anon_sym_LPAREN2] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1567),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1564),
    [anon_sym_subroutine] = ACTIONS(1567),
    [anon_sym_invariant] = ACTIONS(1567),
    [anon_sym_precise] = ACTIONS(1567),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_in] = ACTIONS(1567),
    [anon_sym_out] = ACTIONS(1567),
    [anon_sym_inout] = ACTIONS(1567),
    [anon_sym_uniform] = ACTIONS(1567),
    [anon_sym_shared] = ACTIONS(1567),
    [anon_sym_attribute] = ACTIONS(1567),
    [anon_sym_varying] = ACTIONS(1567),
    [anon_sym_buffer] = ACTIONS(1567),
    [anon_sym_coherent] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1567),
    [anon_sym_writeonly] = ACTIONS(1567),
    [anon_sym_precision] = ACTIONS(1567),
    [anon_sym_highp] = ACTIONS(1567),
    [anon_sym_mediump] = ACTIONS(1567),
    [anon_sym_lowp] = ACTIONS(1567),
    [anon_sym_centroid] = ACTIONS(1567),
    [anon_sym_sample] = ACTIONS(1567),
    [anon_sym_patch] = ACTIONS(1567),
    [anon_sym_smooth] = ACTIONS(1567),
    [anon_sym_flat] = ACTIONS(1567),
    [anon_sym_noperspective] = ACTIONS(1567),
    [anon_sym___extension__] = ACTIONS(1567),
    [anon_sym_typedef] = ACTIONS(1567),
    [anon_sym_extern] = ACTIONS(1567),
    [anon_sym___attribute__] = ACTIONS(1567),
    [anon_sym___attribute] = ACTIONS(1567),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1564),
    [anon_sym___declspec] = ACTIONS(1567),
    [anon_sym___cdecl] = ACTIONS(1567),
    [anon_sym___clrcall] = ACTIONS(1567),
    [anon_sym___stdcall] = ACTIONS(1567),
    [anon_sym___fastcall] = ACTIONS(1567),
    [anon_sym___thiscall] = ACTIONS(1567),
    [anon_sym___vectorcall] = ACTIONS(1567),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_signed] = ACTIONS(1567),
    [anon_sym_unsigned] = ACTIONS(1567),
    [anon_sym_long] = ACTIONS(1567),
    [anon_sym_short] = ACTIONS(1567),
    [anon_sym_static] = ACTIONS(1567),
    [anon_sym_auto] = ACTIONS(1567),
    [anon_sym_register] = ACTIONS(1567),
    [anon_sym_inline] = ACTIONS(1567),
    [anon_sym___inline] = ACTIONS(1567),
    [anon_sym___inline__] = ACTIONS(1567),
    [anon_sym___forceinline] = ACTIONS(1567),
    [anon_sym_thread_local] = ACTIONS(1567),
    [anon_sym___thread] = ACTIONS(1567),
    [anon_sym_const] = ACTIONS(1567),
    [anon_sym_constexpr] = ACTIONS(1567),
    [anon_sym_volatile] = ACTIONS(1567),
    [anon_sym_restrict] = ACTIONS(1567),
    [anon_sym___restrict__] = ACTIONS(1567),
    [anon_sym__Atomic] = ACTIONS(1567),
    [anon_sym__Noreturn] = ACTIONS(1567),
    [anon_sym_noreturn] = ACTIONS(1567),
    [anon_sym__Nonnull] = ACTIONS(1567),
    [anon_sym_alignas] = ACTIONS(1567),
    [anon_sym__Alignas] = ACTIONS(1567),
    [sym_primitive_type] = ACTIONS(1567),
    [anon_sym_enum] = ACTIONS(1567),
    [anon_sym_struct] = ACTIONS(1567),
    [anon_sym_union] = ACTIONS(1567),
    [anon_sym_if] = ACTIONS(1567),
    [anon_sym_switch] = ACTIONS(1567),
    [anon_sym_case] = ACTIONS(1567),
    [anon_sym_default] = ACTIONS(1567),
    [anon_sym_while] = ACTIONS(1567),
    [anon_sym_do] = ACTIONS(1567),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_return] = ACTIONS(1567),
    [anon_sym_break] = ACTIONS(1567),
    [anon_sym_continue] = ACTIONS(1567),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_sizeof] = ACTIONS(1567),
    [anon_sym___alignof__] = ACTIONS(1567),
    [anon_sym___alignof] = ACTIONS(1567),
    [anon_sym__alignof] = ACTIONS(1567),
    [anon_sym_alignof] = ACTIONS(1567),
    [anon_sym__Alignof] = ACTIONS(1567),
    [anon_sym_offsetof] = ACTIONS(1567),
    [anon_sym__Generic] = ACTIONS(1567),
    [anon_sym_asm] = ACTIONS(1567),
    [anon_sym___asm__] = ACTIONS(1567),
    [anon_sym___asm] = ACTIONS(1567),
    [sym_number_literal] = ACTIONS(1564),
    [anon_sym_L_SQUOTE] = ACTIONS(1564),
    [anon_sym_u_SQUOTE] = ACTIONS(1564),
    [anon_sym_U_SQUOTE] = ACTIONS(1564),
    [anon_sym_u8_SQUOTE] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_L_DQUOTE] = ACTIONS(1564),
    [anon_sym_u_DQUOTE] = ACTIONS(1564),
    [anon_sym_U_DQUOTE] = ACTIONS(1564),
    [anon_sym_u8_DQUOTE] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [anon_sym_NULL] = ACTIONS(1567),
    [anon_sym_nullptr] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1567),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1567),
    [anon_sym_hitAttributeEXT] = ACTIONS(1567),
    [anon_sym_callableDataEXT] = ACTIONS(1567),
    [anon_sym_callableDataInEXT] = ACTIONS(1567),
    [anon_sym_shaderRecordEXT] = ACTIONS(1567),
    [anon_sym_rayPayloadNV] = ACTIONS(1567),
    [anon_sym_rayPayloadInNV] = ACTIONS(1567),
    [anon_sym_hitAttributeNV] = ACTIONS(1567),
    [anon_sym_callableDataNV] = ACTIONS(1567),
    [anon_sym_callableDataInNV] = ACTIONS(1567),
    [anon_sym_shaderRecordNV] = ACTIONS(1567),
    [anon_sym_layout] = ACTIONS(1567),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_subroutine] = ACTIONS(1500),
    [anon_sym_invariant] = ACTIONS(1500),
    [anon_sym_precise] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym_in] = ACTIONS(1500),
    [anon_sym_out] = ACTIONS(1500),
    [anon_sym_inout] = ACTIONS(1500),
    [anon_sym_uniform] = ACTIONS(1500),
    [anon_sym_shared] = ACTIONS(1500),
    [anon_sym_attribute] = ACTIONS(1500),
    [anon_sym_varying] = ACTIONS(1500),
    [anon_sym_buffer] = ACTIONS(1500),
    [anon_sym_coherent] = ACTIONS(1500),
    [anon_sym_readonly] = ACTIONS(1500),
    [anon_sym_writeonly] = ACTIONS(1500),
    [anon_sym_precision] = ACTIONS(1500),
    [anon_sym_highp] = ACTIONS(1500),
    [anon_sym_mediump] = ACTIONS(1500),
    [anon_sym_lowp] = ACTIONS(1500),
    [anon_sym_centroid] = ACTIONS(1500),
    [anon_sym_sample] = ACTIONS(1500),
    [anon_sym_patch] = ACTIONS(1500),
    [anon_sym_smooth] = ACTIONS(1500),
    [anon_sym_flat] = ACTIONS(1500),
    [anon_sym_noperspective] = ACTIONS(1500),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym___attribute] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [anon_sym__Nonnull] = ACTIONS(1500),
    [anon_sym_alignas] = ACTIONS(1500),
    [anon_sym__Alignas] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [anon_sym___asm] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1500),
    [anon_sym_hitAttributeEXT] = ACTIONS(1500),
    [anon_sym_callableDataEXT] = ACTIONS(1500),
    [anon_sym_callableDataInEXT] = ACTIONS(1500),
    [anon_sym_shaderRecordEXT] = ACTIONS(1500),
    [anon_sym_rayPayloadNV] = ACTIONS(1500),
    [anon_sym_rayPayloadInNV] = ACTIONS(1500),
    [anon_sym_hitAttributeNV] = ACTIONS(1500),
    [anon_sym_callableDataNV] = ACTIONS(1500),
    [anon_sym_callableDataInNV] = ACTIONS(1500),
    [anon_sym_shaderRecordNV] = ACTIONS(1500),
    [anon_sym_layout] = ACTIONS(1500),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_subroutine] = ACTIONS(1432),
    [anon_sym_invariant] = ACTIONS(1432),
    [anon_sym_precise] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_out] = ACTIONS(1432),
    [anon_sym_inout] = ACTIONS(1432),
    [anon_sym_uniform] = ACTIONS(1432),
    [anon_sym_shared] = ACTIONS(1432),
    [anon_sym_attribute] = ACTIONS(1432),
    [anon_sym_varying] = ACTIONS(1432),
    [anon_sym_buffer] = ACTIONS(1432),
    [anon_sym_coherent] = ACTIONS(1432),
    [anon_sym_readonly] = ACTIONS(1432),
    [anon_sym_writeonly] = ACTIONS(1432),
    [anon_sym_precision] = ACTIONS(1432),
    [anon_sym_highp] = ACTIONS(1432),
    [anon_sym_mediump] = ACTIONS(1432),
    [anon_sym_lowp] = ACTIONS(1432),
    [anon_sym_centroid] = ACTIONS(1432),
    [anon_sym_sample] = ACTIONS(1432),
    [anon_sym_patch] = ACTIONS(1432),
    [anon_sym_smooth] = ACTIONS(1432),
    [anon_sym_flat] = ACTIONS(1432),
    [anon_sym_noperspective] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym___attribute] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [anon_sym__Nonnull] = ACTIONS(1432),
    [anon_sym_alignas] = ACTIONS(1432),
    [anon_sym__Alignas] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [anon_sym___asm] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1432),
    [anon_sym_hitAttributeEXT] = ACTIONS(1432),
    [anon_sym_callableDataEXT] = ACTIONS(1432),
    [anon_sym_callableDataInEXT] = ACTIONS(1432),
    [anon_sym_shaderRecordEXT] = ACTIONS(1432),
    [anon_sym_rayPayloadNV] = ACTIONS(1432),
    [anon_sym_rayPayloadInNV] = ACTIONS(1432),
    [anon_sym_hitAttributeNV] = ACTIONS(1432),
    [anon_sym_callableDataNV] = ACTIONS(1432),
    [anon_sym_callableDataInNV] = ACTIONS(1432),
    [anon_sym_shaderRecordNV] = ACTIONS(1432),
    [anon_sym_layout] = ACTIONS(1432),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_identifier] = ACTIONS(1528),
    [aux_sym_preproc_include_token1] = ACTIONS(1528),
    [aux_sym_preproc_def_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1528),
    [sym_preproc_directive] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1530),
    [anon_sym_subroutine] = ACTIONS(1528),
    [anon_sym_invariant] = ACTIONS(1528),
    [anon_sym_precise] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_out] = ACTIONS(1528),
    [anon_sym_inout] = ACTIONS(1528),
    [anon_sym_uniform] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_attribute] = ACTIONS(1528),
    [anon_sym_varying] = ACTIONS(1528),
    [anon_sym_buffer] = ACTIONS(1528),
    [anon_sym_coherent] = ACTIONS(1528),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_writeonly] = ACTIONS(1528),
    [anon_sym_precision] = ACTIONS(1528),
    [anon_sym_highp] = ACTIONS(1528),
    [anon_sym_mediump] = ACTIONS(1528),
    [anon_sym_lowp] = ACTIONS(1528),
    [anon_sym_centroid] = ACTIONS(1528),
    [anon_sym_sample] = ACTIONS(1528),
    [anon_sym_patch] = ACTIONS(1528),
    [anon_sym_smooth] = ACTIONS(1528),
    [anon_sym_flat] = ACTIONS(1528),
    [anon_sym_noperspective] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1528),
    [anon_sym_typedef] = ACTIONS(1528),
    [anon_sym_extern] = ACTIONS(1528),
    [anon_sym___attribute__] = ACTIONS(1528),
    [anon_sym___attribute] = ACTIONS(1528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1530),
    [anon_sym___declspec] = ACTIONS(1528),
    [anon_sym___cdecl] = ACTIONS(1528),
    [anon_sym___clrcall] = ACTIONS(1528),
    [anon_sym___stdcall] = ACTIONS(1528),
    [anon_sym___fastcall] = ACTIONS(1528),
    [anon_sym___thiscall] = ACTIONS(1528),
    [anon_sym___vectorcall] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_signed] = ACTIONS(1528),
    [anon_sym_unsigned] = ACTIONS(1528),
    [anon_sym_long] = ACTIONS(1528),
    [anon_sym_short] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_auto] = ACTIONS(1528),
    [anon_sym_register] = ACTIONS(1528),
    [anon_sym_inline] = ACTIONS(1528),
    [anon_sym___inline] = ACTIONS(1528),
    [anon_sym___inline__] = ACTIONS(1528),
    [anon_sym___forceinline] = ACTIONS(1528),
    [anon_sym_thread_local] = ACTIONS(1528),
    [anon_sym___thread] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_constexpr] = ACTIONS(1528),
    [anon_sym_volatile] = ACTIONS(1528),
    [anon_sym_restrict] = ACTIONS(1528),
    [anon_sym___restrict__] = ACTIONS(1528),
    [anon_sym__Atomic] = ACTIONS(1528),
    [anon_sym__Noreturn] = ACTIONS(1528),
    [anon_sym_noreturn] = ACTIONS(1528),
    [anon_sym__Nonnull] = ACTIONS(1528),
    [anon_sym_alignas] = ACTIONS(1528),
    [anon_sym__Alignas] = ACTIONS(1528),
    [sym_primitive_type] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_goto] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym___alignof__] = ACTIONS(1528),
    [anon_sym___alignof] = ACTIONS(1528),
    [anon_sym__alignof] = ACTIONS(1528),
    [anon_sym_alignof] = ACTIONS(1528),
    [anon_sym__Alignof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1528),
    [anon_sym__Generic] = ACTIONS(1528),
    [anon_sym_asm] = ACTIONS(1528),
    [anon_sym___asm__] = ACTIONS(1528),
    [anon_sym___asm] = ACTIONS(1528),
    [sym_number_literal] = ACTIONS(1530),
    [anon_sym_L_SQUOTE] = ACTIONS(1530),
    [anon_sym_u_SQUOTE] = ACTIONS(1530),
    [anon_sym_U_SQUOTE] = ACTIONS(1530),
    [anon_sym_u8_SQUOTE] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_L_DQUOTE] = ACTIONS(1530),
    [anon_sym_u_DQUOTE] = ACTIONS(1530),
    [anon_sym_U_DQUOTE] = ACTIONS(1530),
    [anon_sym_u8_DQUOTE] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [anon_sym_NULL] = ACTIONS(1528),
    [anon_sym_nullptr] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1528),
    [anon_sym_hitAttributeEXT] = ACTIONS(1528),
    [anon_sym_callableDataEXT] = ACTIONS(1528),
    [anon_sym_callableDataInEXT] = ACTIONS(1528),
    [anon_sym_shaderRecordEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadNV] = ACTIONS(1528),
    [anon_sym_rayPayloadInNV] = ACTIONS(1528),
    [anon_sym_hitAttributeNV] = ACTIONS(1528),
    [anon_sym_callableDataNV] = ACTIONS(1528),
    [anon_sym_callableDataInNV] = ACTIONS(1528),
    [anon_sym_shaderRecordNV] = ACTIONS(1528),
    [anon_sym_layout] = ACTIONS(1528),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1408),
    [aux_sym_preproc_def_token1] = ACTIONS(1408),
    [aux_sym_preproc_if_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1408),
    [sym_preproc_directive] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [anon_sym_subroutine] = ACTIONS(1408),
    [anon_sym_invariant] = ACTIONS(1408),
    [anon_sym_precise] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_in] = ACTIONS(1408),
    [anon_sym_out] = ACTIONS(1408),
    [anon_sym_inout] = ACTIONS(1408),
    [anon_sym_uniform] = ACTIONS(1408),
    [anon_sym_shared] = ACTIONS(1408),
    [anon_sym_attribute] = ACTIONS(1408),
    [anon_sym_varying] = ACTIONS(1408),
    [anon_sym_buffer] = ACTIONS(1408),
    [anon_sym_coherent] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_writeonly] = ACTIONS(1408),
    [anon_sym_precision] = ACTIONS(1408),
    [anon_sym_highp] = ACTIONS(1408),
    [anon_sym_mediump] = ACTIONS(1408),
    [anon_sym_lowp] = ACTIONS(1408),
    [anon_sym_centroid] = ACTIONS(1408),
    [anon_sym_sample] = ACTIONS(1408),
    [anon_sym_patch] = ACTIONS(1408),
    [anon_sym_smooth] = ACTIONS(1408),
    [anon_sym_flat] = ACTIONS(1408),
    [anon_sym_noperspective] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_extern] = ACTIONS(1408),
    [anon_sym___attribute__] = ACTIONS(1408),
    [anon_sym___attribute] = ACTIONS(1408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1410),
    [anon_sym___declspec] = ACTIONS(1408),
    [anon_sym___cdecl] = ACTIONS(1408),
    [anon_sym___clrcall] = ACTIONS(1408),
    [anon_sym___stdcall] = ACTIONS(1408),
    [anon_sym___fastcall] = ACTIONS(1408),
    [anon_sym___thiscall] = ACTIONS(1408),
    [anon_sym___vectorcall] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1408),
    [anon_sym_unsigned] = ACTIONS(1408),
    [anon_sym_long] = ACTIONS(1408),
    [anon_sym_short] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_auto] = ACTIONS(1408),
    [anon_sym_register] = ACTIONS(1408),
    [anon_sym_inline] = ACTIONS(1408),
    [anon_sym___inline] = ACTIONS(1408),
    [anon_sym___inline__] = ACTIONS(1408),
    [anon_sym___forceinline] = ACTIONS(1408),
    [anon_sym_thread_local] = ACTIONS(1408),
    [anon_sym___thread] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(1408),
    [anon_sym_constexpr] = ACTIONS(1408),
    [anon_sym_volatile] = ACTIONS(1408),
    [anon_sym_restrict] = ACTIONS(1408),
    [anon_sym___restrict__] = ACTIONS(1408),
    [anon_sym__Atomic] = ACTIONS(1408),
    [anon_sym__Noreturn] = ACTIONS(1408),
    [anon_sym_noreturn] = ACTIONS(1408),
    [anon_sym__Nonnull] = ACTIONS(1408),
    [anon_sym_alignas] = ACTIONS(1408),
    [anon_sym__Alignas] = ACTIONS(1408),
    [sym_primitive_type] = ACTIONS(1408),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1408),
    [anon_sym_union] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_break] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_goto] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(1408),
    [anon_sym___alignof] = ACTIONS(1408),
    [anon_sym__alignof] = ACTIONS(1408),
    [anon_sym_alignof] = ACTIONS(1408),
    [anon_sym__Alignof] = ACTIONS(1408),
    [anon_sym_offsetof] = ACTIONS(1408),
    [anon_sym__Generic] = ACTIONS(1408),
    [anon_sym_asm] = ACTIONS(1408),
    [anon_sym___asm__] = ACTIONS(1408),
    [anon_sym___asm] = ACTIONS(1408),
    [sym_number_literal] = ACTIONS(1410),
    [anon_sym_L_SQUOTE] = ACTIONS(1410),
    [anon_sym_u_SQUOTE] = ACTIONS(1410),
    [anon_sym_U_SQUOTE] = ACTIONS(1410),
    [anon_sym_u8_SQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_L_DQUOTE] = ACTIONS(1410),
    [anon_sym_u_DQUOTE] = ACTIONS(1410),
    [anon_sym_U_DQUOTE] = ACTIONS(1410),
    [anon_sym_u8_DQUOTE] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [anon_sym_NULL] = ACTIONS(1408),
    [anon_sym_nullptr] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1408),
    [anon_sym_hitAttributeEXT] = ACTIONS(1408),
    [anon_sym_callableDataEXT] = ACTIONS(1408),
    [anon_sym_callableDataInEXT] = ACTIONS(1408),
    [anon_sym_shaderRecordEXT] = ACTIONS(1408),
    [anon_sym_rayPayloadNV] = ACTIONS(1408),
    [anon_sym_rayPayloadInNV] = ACTIONS(1408),
    [anon_sym_hitAttributeNV] = ACTIONS(1408),
    [anon_sym_callableDataNV] = ACTIONS(1408),
    [anon_sym_callableDataInNV] = ACTIONS(1408),
    [anon_sym_shaderRecordNV] = ACTIONS(1408),
    [anon_sym_layout] = ACTIONS(1408),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_subroutine] = ACTIONS(1440),
    [anon_sym_invariant] = ACTIONS(1440),
    [anon_sym_precise] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_in] = ACTIONS(1440),
    [anon_sym_out] = ACTIONS(1440),
    [anon_sym_inout] = ACTIONS(1440),
    [anon_sym_uniform] = ACTIONS(1440),
    [anon_sym_shared] = ACTIONS(1440),
    [anon_sym_attribute] = ACTIONS(1440),
    [anon_sym_varying] = ACTIONS(1440),
    [anon_sym_buffer] = ACTIONS(1440),
    [anon_sym_coherent] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_writeonly] = ACTIONS(1440),
    [anon_sym_precision] = ACTIONS(1440),
    [anon_sym_highp] = ACTIONS(1440),
    [anon_sym_mediump] = ACTIONS(1440),
    [anon_sym_lowp] = ACTIONS(1440),
    [anon_sym_centroid] = ACTIONS(1440),
    [anon_sym_sample] = ACTIONS(1440),
    [anon_sym_patch] = ACTIONS(1440),
    [anon_sym_smooth] = ACTIONS(1440),
    [anon_sym_flat] = ACTIONS(1440),
    [anon_sym_noperspective] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym___attribute] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [anon_sym__Nonnull] = ACTIONS(1440),
    [anon_sym_alignas] = ACTIONS(1440),
    [anon_sym__Alignas] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [anon_sym___asm] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1440),
    [anon_sym_hitAttributeEXT] = ACTIONS(1440),
    [anon_sym_callableDataEXT] = ACTIONS(1440),
    [anon_sym_callableDataInEXT] = ACTIONS(1440),
    [anon_sym_shaderRecordEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadNV] = ACTIONS(1440),
    [anon_sym_rayPayloadInNV] = ACTIONS(1440),
    [anon_sym_hitAttributeNV] = ACTIONS(1440),
    [anon_sym_callableDataNV] = ACTIONS(1440),
    [anon_sym_callableDataInNV] = ACTIONS(1440),
    [anon_sym_shaderRecordNV] = ACTIONS(1440),
    [anon_sym_layout] = ACTIONS(1440),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_identifier] = ACTIONS(1524),
    [aux_sym_preproc_include_token1] = ACTIONS(1524),
    [aux_sym_preproc_def_token1] = ACTIONS(1524),
    [aux_sym_preproc_if_token1] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1524),
    [sym_preproc_directive] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_subroutine] = ACTIONS(1524),
    [anon_sym_invariant] = ACTIONS(1524),
    [anon_sym_precise] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_out] = ACTIONS(1524),
    [anon_sym_inout] = ACTIONS(1524),
    [anon_sym_uniform] = ACTIONS(1524),
    [anon_sym_shared] = ACTIONS(1524),
    [anon_sym_attribute] = ACTIONS(1524),
    [anon_sym_varying] = ACTIONS(1524),
    [anon_sym_buffer] = ACTIONS(1524),
    [anon_sym_coherent] = ACTIONS(1524),
    [anon_sym_readonly] = ACTIONS(1524),
    [anon_sym_writeonly] = ACTIONS(1524),
    [anon_sym_precision] = ACTIONS(1524),
    [anon_sym_highp] = ACTIONS(1524),
    [anon_sym_mediump] = ACTIONS(1524),
    [anon_sym_lowp] = ACTIONS(1524),
    [anon_sym_centroid] = ACTIONS(1524),
    [anon_sym_sample] = ACTIONS(1524),
    [anon_sym_patch] = ACTIONS(1524),
    [anon_sym_smooth] = ACTIONS(1524),
    [anon_sym_flat] = ACTIONS(1524),
    [anon_sym_noperspective] = ACTIONS(1524),
    [anon_sym___extension__] = ACTIONS(1524),
    [anon_sym_typedef] = ACTIONS(1524),
    [anon_sym_extern] = ACTIONS(1524),
    [anon_sym___attribute__] = ACTIONS(1524),
    [anon_sym___attribute] = ACTIONS(1524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1526),
    [anon_sym___declspec] = ACTIONS(1524),
    [anon_sym___cdecl] = ACTIONS(1524),
    [anon_sym___clrcall] = ACTIONS(1524),
    [anon_sym___stdcall] = ACTIONS(1524),
    [anon_sym___fastcall] = ACTIONS(1524),
    [anon_sym___thiscall] = ACTIONS(1524),
    [anon_sym___vectorcall] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_signed] = ACTIONS(1524),
    [anon_sym_unsigned] = ACTIONS(1524),
    [anon_sym_long] = ACTIONS(1524),
    [anon_sym_short] = ACTIONS(1524),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_auto] = ACTIONS(1524),
    [anon_sym_register] = ACTIONS(1524),
    [anon_sym_inline] = ACTIONS(1524),
    [anon_sym___inline] = ACTIONS(1524),
    [anon_sym___inline__] = ACTIONS(1524),
    [anon_sym___forceinline] = ACTIONS(1524),
    [anon_sym_thread_local] = ACTIONS(1524),
    [anon_sym___thread] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_constexpr] = ACTIONS(1524),
    [anon_sym_volatile] = ACTIONS(1524),
    [anon_sym_restrict] = ACTIONS(1524),
    [anon_sym___restrict__] = ACTIONS(1524),
    [anon_sym__Atomic] = ACTIONS(1524),
    [anon_sym__Noreturn] = ACTIONS(1524),
    [anon_sym_noreturn] = ACTIONS(1524),
    [anon_sym__Nonnull] = ACTIONS(1524),
    [anon_sym_alignas] = ACTIONS(1524),
    [anon_sym__Alignas] = ACTIONS(1524),
    [sym_primitive_type] = ACTIONS(1524),
    [anon_sym_enum] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(1524),
    [anon_sym_union] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1524),
    [anon_sym_default] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1524),
    [anon_sym_do] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_goto] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_sizeof] = ACTIONS(1524),
    [anon_sym___alignof__] = ACTIONS(1524),
    [anon_sym___alignof] = ACTIONS(1524),
    [anon_sym__alignof] = ACTIONS(1524),
    [anon_sym_alignof] = ACTIONS(1524),
    [anon_sym__Alignof] = ACTIONS(1524),
    [anon_sym_offsetof] = ACTIONS(1524),
    [anon_sym__Generic] = ACTIONS(1524),
    [anon_sym_asm] = ACTIONS(1524),
    [anon_sym___asm__] = ACTIONS(1524),
    [anon_sym___asm] = ACTIONS(1524),
    [sym_number_literal] = ACTIONS(1526),
    [anon_sym_L_SQUOTE] = ACTIONS(1526),
    [anon_sym_u_SQUOTE] = ACTIONS(1526),
    [anon_sym_U_SQUOTE] = ACTIONS(1526),
    [anon_sym_u8_SQUOTE] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_L_DQUOTE] = ACTIONS(1526),
    [anon_sym_u_DQUOTE] = ACTIONS(1526),
    [anon_sym_U_DQUOTE] = ACTIONS(1526),
    [anon_sym_u8_DQUOTE] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [anon_sym_NULL] = ACTIONS(1524),
    [anon_sym_nullptr] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1524),
    [anon_sym_hitAttributeEXT] = ACTIONS(1524),
    [anon_sym_callableDataEXT] = ACTIONS(1524),
    [anon_sym_callableDataInEXT] = ACTIONS(1524),
    [anon_sym_shaderRecordEXT] = ACTIONS(1524),
    [anon_sym_rayPayloadNV] = ACTIONS(1524),
    [anon_sym_rayPayloadInNV] = ACTIONS(1524),
    [anon_sym_hitAttributeNV] = ACTIONS(1524),
    [anon_sym_callableDataNV] = ACTIONS(1524),
    [anon_sym_callableDataInNV] = ACTIONS(1524),
    [anon_sym_shaderRecordNV] = ACTIONS(1524),
    [anon_sym_layout] = ACTIONS(1524),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_subroutine] = ACTIONS(1512),
    [anon_sym_invariant] = ACTIONS(1512),
    [anon_sym_precise] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_in] = ACTIONS(1512),
    [anon_sym_out] = ACTIONS(1512),
    [anon_sym_inout] = ACTIONS(1512),
    [anon_sym_uniform] = ACTIONS(1512),
    [anon_sym_shared] = ACTIONS(1512),
    [anon_sym_attribute] = ACTIONS(1512),
    [anon_sym_varying] = ACTIONS(1512),
    [anon_sym_buffer] = ACTIONS(1512),
    [anon_sym_coherent] = ACTIONS(1512),
    [anon_sym_readonly] = ACTIONS(1512),
    [anon_sym_writeonly] = ACTIONS(1512),
    [anon_sym_precision] = ACTIONS(1512),
    [anon_sym_highp] = ACTIONS(1512),
    [anon_sym_mediump] = ACTIONS(1512),
    [anon_sym_lowp] = ACTIONS(1512),
    [anon_sym_centroid] = ACTIONS(1512),
    [anon_sym_sample] = ACTIONS(1512),
    [anon_sym_patch] = ACTIONS(1512),
    [anon_sym_smooth] = ACTIONS(1512),
    [anon_sym_flat] = ACTIONS(1512),
    [anon_sym_noperspective] = ACTIONS(1512),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym___attribute] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [anon_sym__Nonnull] = ACTIONS(1512),
    [anon_sym_alignas] = ACTIONS(1512),
    [anon_sym__Alignas] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [anon_sym___asm] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1512),
    [anon_sym_hitAttributeEXT] = ACTIONS(1512),
    [anon_sym_callableDataEXT] = ACTIONS(1512),
    [anon_sym_callableDataInEXT] = ACTIONS(1512),
    [anon_sym_shaderRecordEXT] = ACTIONS(1512),
    [anon_sym_rayPayloadNV] = ACTIONS(1512),
    [anon_sym_rayPayloadInNV] = ACTIONS(1512),
    [anon_sym_hitAttributeNV] = ACTIONS(1512),
    [anon_sym_callableDataNV] = ACTIONS(1512),
    [anon_sym_callableDataInNV] = ACTIONS(1512),
    [anon_sym_shaderRecordNV] = ACTIONS(1512),
    [anon_sym_layout] = ACTIONS(1512),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_subroutine] = ACTIONS(1444),
    [anon_sym_invariant] = ACTIONS(1444),
    [anon_sym_precise] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_in] = ACTIONS(1444),
    [anon_sym_out] = ACTIONS(1444),
    [anon_sym_inout] = ACTIONS(1444),
    [anon_sym_uniform] = ACTIONS(1444),
    [anon_sym_shared] = ACTIONS(1444),
    [anon_sym_attribute] = ACTIONS(1444),
    [anon_sym_varying] = ACTIONS(1444),
    [anon_sym_buffer] = ACTIONS(1444),
    [anon_sym_coherent] = ACTIONS(1444),
    [anon_sym_readonly] = ACTIONS(1444),
    [anon_sym_writeonly] = ACTIONS(1444),
    [anon_sym_precision] = ACTIONS(1444),
    [anon_sym_highp] = ACTIONS(1444),
    [anon_sym_mediump] = ACTIONS(1444),
    [anon_sym_lowp] = ACTIONS(1444),
    [anon_sym_centroid] = ACTIONS(1444),
    [anon_sym_sample] = ACTIONS(1444),
    [anon_sym_patch] = ACTIONS(1444),
    [anon_sym_smooth] = ACTIONS(1444),
    [anon_sym_flat] = ACTIONS(1444),
    [anon_sym_noperspective] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym___attribute] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [anon_sym__Nonnull] = ACTIONS(1444),
    [anon_sym_alignas] = ACTIONS(1444),
    [anon_sym__Alignas] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [anon_sym___asm] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1444),
    [anon_sym_hitAttributeEXT] = ACTIONS(1444),
    [anon_sym_callableDataEXT] = ACTIONS(1444),
    [anon_sym_callableDataInEXT] = ACTIONS(1444),
    [anon_sym_shaderRecordEXT] = ACTIONS(1444),
    [anon_sym_rayPayloadNV] = ACTIONS(1444),
    [anon_sym_rayPayloadInNV] = ACTIONS(1444),
    [anon_sym_hitAttributeNV] = ACTIONS(1444),
    [anon_sym_callableDataNV] = ACTIONS(1444),
    [anon_sym_callableDataInNV] = ACTIONS(1444),
    [anon_sym_shaderRecordNV] = ACTIONS(1444),
    [anon_sym_layout] = ACTIONS(1444),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_subroutine] = ACTIONS(1448),
    [anon_sym_invariant] = ACTIONS(1448),
    [anon_sym_precise] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_in] = ACTIONS(1448),
    [anon_sym_out] = ACTIONS(1448),
    [anon_sym_inout] = ACTIONS(1448),
    [anon_sym_uniform] = ACTIONS(1448),
    [anon_sym_shared] = ACTIONS(1448),
    [anon_sym_attribute] = ACTIONS(1448),
    [anon_sym_varying] = ACTIONS(1448),
    [anon_sym_buffer] = ACTIONS(1448),
    [anon_sym_coherent] = ACTIONS(1448),
    [anon_sym_readonly] = ACTIONS(1448),
    [anon_sym_writeonly] = ACTIONS(1448),
    [anon_sym_precision] = ACTIONS(1448),
    [anon_sym_highp] = ACTIONS(1448),
    [anon_sym_mediump] = ACTIONS(1448),
    [anon_sym_lowp] = ACTIONS(1448),
    [anon_sym_centroid] = ACTIONS(1448),
    [anon_sym_sample] = ACTIONS(1448),
    [anon_sym_patch] = ACTIONS(1448),
    [anon_sym_smooth] = ACTIONS(1448),
    [anon_sym_flat] = ACTIONS(1448),
    [anon_sym_noperspective] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym___attribute] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [anon_sym__Nonnull] = ACTIONS(1448),
    [anon_sym_alignas] = ACTIONS(1448),
    [anon_sym__Alignas] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [anon_sym___asm] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1448),
    [anon_sym_hitAttributeEXT] = ACTIONS(1448),
    [anon_sym_callableDataEXT] = ACTIONS(1448),
    [anon_sym_callableDataInEXT] = ACTIONS(1448),
    [anon_sym_shaderRecordEXT] = ACTIONS(1448),
    [anon_sym_rayPayloadNV] = ACTIONS(1448),
    [anon_sym_rayPayloadInNV] = ACTIONS(1448),
    [anon_sym_hitAttributeNV] = ACTIONS(1448),
    [anon_sym_callableDataNV] = ACTIONS(1448),
    [anon_sym_callableDataInNV] = ACTIONS(1448),
    [anon_sym_shaderRecordNV] = ACTIONS(1448),
    [anon_sym_layout] = ACTIONS(1448),
  },
  [446] = {
    [sym_else_clause] = STATE(209),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_subroutine] = ACTIONS(1238),
    [anon_sym_invariant] = ACTIONS(1238),
    [anon_sym_precise] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_in] = ACTIONS(1238),
    [anon_sym_out] = ACTIONS(1238),
    [anon_sym_inout] = ACTIONS(1238),
    [anon_sym_uniform] = ACTIONS(1238),
    [anon_sym_shared] = ACTIONS(1238),
    [anon_sym_attribute] = ACTIONS(1238),
    [anon_sym_varying] = ACTIONS(1238),
    [anon_sym_buffer] = ACTIONS(1238),
    [anon_sym_coherent] = ACTIONS(1238),
    [anon_sym_readonly] = ACTIONS(1238),
    [anon_sym_writeonly] = ACTIONS(1238),
    [anon_sym_precision] = ACTIONS(1238),
    [anon_sym_highp] = ACTIONS(1238),
    [anon_sym_mediump] = ACTIONS(1238),
    [anon_sym_lowp] = ACTIONS(1238),
    [anon_sym_centroid] = ACTIONS(1238),
    [anon_sym_sample] = ACTIONS(1238),
    [anon_sym_patch] = ACTIONS(1238),
    [anon_sym_smooth] = ACTIONS(1238),
    [anon_sym_flat] = ACTIONS(1238),
    [anon_sym_noperspective] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1570),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1238),
    [anon_sym_hitAttributeEXT] = ACTIONS(1238),
    [anon_sym_callableDataEXT] = ACTIONS(1238),
    [anon_sym_callableDataInEXT] = ACTIONS(1238),
    [anon_sym_shaderRecordEXT] = ACTIONS(1238),
    [anon_sym_rayPayloadNV] = ACTIONS(1238),
    [anon_sym_rayPayloadInNV] = ACTIONS(1238),
    [anon_sym_hitAttributeNV] = ACTIONS(1238),
    [anon_sym_callableDataNV] = ACTIONS(1238),
    [anon_sym_callableDataInNV] = ACTIONS(1238),
    [anon_sym_shaderRecordNV] = ACTIONS(1238),
    [anon_sym_layout] = ACTIONS(1238),
  },
  [447] = {
    [sym_preproc_def] = STATE(449),
    [sym_preproc_function_def] = STATE(449),
    [sym_preproc_call] = STATE(449),
    [sym_preproc_if_in_field_declaration_list] = STATE(449),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(449),
    [sym_preproc_else_in_field_declaration_list] = STATE(2338),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2338),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2338),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(449),
    [sym_field_declaration] = STATE(449),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(449),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [448] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2185),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2185),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2185),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [449] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2179),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2179),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2179),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [450] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(2193),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2193),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2193),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [451] = {
    [sym_preproc_def] = STATE(453),
    [sym_preproc_function_def] = STATE(453),
    [sym_preproc_call] = STATE(453),
    [sym_preproc_if_in_field_declaration_list] = STATE(453),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(453),
    [sym_preproc_else_in_field_declaration_list] = STATE(2207),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2207),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2207),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(453),
    [sym_field_declaration] = STATE(453),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(453),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [452] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2209),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2209),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2209),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [453] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2218),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2218),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2218),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [454] = {
    [sym_preproc_def] = STATE(455),
    [sym_preproc_function_def] = STATE(455),
    [sym_preproc_call] = STATE(455),
    [sym_preproc_if_in_field_declaration_list] = STATE(455),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(455),
    [sym_preproc_else_in_field_declaration_list] = STATE(2319),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2319),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2319),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(455),
    [sym_field_declaration] = STATE(455),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(455),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [455] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2383),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2383),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2383),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [456] = {
    [sym_preproc_def] = STATE(457),
    [sym_preproc_function_def] = STATE(457),
    [sym_preproc_call] = STATE(457),
    [sym_preproc_if_in_field_declaration_list] = STATE(457),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(457),
    [sym_preproc_else_in_field_declaration_list] = STATE(2321),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2321),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2321),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(457),
    [sym_field_declaration] = STATE(457),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(457),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [457] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2416),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2416),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2416),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [458] = {
    [sym_preproc_def] = STATE(459),
    [sym_preproc_function_def] = STATE(459),
    [sym_preproc_call] = STATE(459),
    [sym_preproc_if_in_field_declaration_list] = STATE(459),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(459),
    [sym_preproc_else_in_field_declaration_list] = STATE(2324),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2324),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2324),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(459),
    [sym_field_declaration] = STATE(459),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(459),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [459] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2332),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2332),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2332),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [460] = {
    [sym_preproc_def] = STATE(462),
    [sym_preproc_function_def] = STATE(462),
    [sym_preproc_call] = STATE(462),
    [sym_preproc_if_in_field_declaration_list] = STATE(462),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(462),
    [sym_preproc_else_in_field_declaration_list] = STATE(2233),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2233),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2233),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(462),
    [sym_field_declaration] = STATE(462),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(462),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [461] = {
    [sym_preproc_def] = STATE(448),
    [sym_preproc_function_def] = STATE(448),
    [sym_preproc_call] = STATE(448),
    [sym_preproc_if_in_field_declaration_list] = STATE(448),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(448),
    [sym_preproc_else_in_field_declaration_list] = STATE(2160),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2160),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2160),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(448),
    [sym_field_declaration] = STATE(448),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(448),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [462] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym_preproc_else_in_field_declaration_list] = STATE(2167),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2167),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2167),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1574),
    [aux_sym_preproc_if_token1] = ACTIONS(1576),
    [aux_sym_preproc_if_token2] = ACTIONS(1620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1580),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1586),
    [sym_preproc_directive] = ACTIONS(1588),
    [anon_sym_subroutine] = ACTIONS(1590),
    [anon_sym_invariant] = ACTIONS(1590),
    [anon_sym_precise] = ACTIONS(1590),
    [anon_sym_in] = ACTIONS(1590),
    [anon_sym_out] = ACTIONS(1590),
    [anon_sym_inout] = ACTIONS(1590),
    [anon_sym_uniform] = ACTIONS(1590),
    [anon_sym_shared] = ACTIONS(1590),
    [anon_sym_attribute] = ACTIONS(1590),
    [anon_sym_varying] = ACTIONS(1590),
    [anon_sym_buffer] = ACTIONS(1590),
    [anon_sym_coherent] = ACTIONS(1590),
    [anon_sym_readonly] = ACTIONS(1590),
    [anon_sym_writeonly] = ACTIONS(1590),
    [anon_sym_precision] = ACTIONS(1590),
    [anon_sym_highp] = ACTIONS(1590),
    [anon_sym_mediump] = ACTIONS(1590),
    [anon_sym_lowp] = ACTIONS(1590),
    [anon_sym_centroid] = ACTIONS(1590),
    [anon_sym_sample] = ACTIONS(1590),
    [anon_sym_patch] = ACTIONS(1590),
    [anon_sym_smooth] = ACTIONS(1590),
    [anon_sym_flat] = ACTIONS(1590),
    [anon_sym_noperspective] = ACTIONS(1590),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [463] = {
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_field_declaration_list] = STATE(463),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(463),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1466),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(463),
    [sym_field_declaration] = STATE(463),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(538),
    [sym_layout_specification] = STATE(538),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(463),
    [aux_sym_declaration_repeat1] = STATE(538),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token1] = ACTIONS(1628),
    [aux_sym_preproc_if_token2] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1633),
    [aux_sym_preproc_else_token1] = ACTIONS(1631),
    [aux_sym_preproc_elif_token1] = ACTIONS(1631),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1631),
    [sym_preproc_directive] = ACTIONS(1636),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1642),
    [anon_sym_extern] = ACTIONS(1645),
    [anon_sym___attribute__] = ACTIONS(1648),
    [anon_sym___attribute] = ACTIONS(1648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1651),
    [anon_sym___declspec] = ACTIONS(1654),
    [anon_sym_signed] = ACTIONS(1657),
    [anon_sym_unsigned] = ACTIONS(1657),
    [anon_sym_long] = ACTIONS(1657),
    [anon_sym_short] = ACTIONS(1657),
    [anon_sym_static] = ACTIONS(1645),
    [anon_sym_auto] = ACTIONS(1645),
    [anon_sym_register] = ACTIONS(1645),
    [anon_sym_inline] = ACTIONS(1645),
    [anon_sym___inline] = ACTIONS(1645),
    [anon_sym___inline__] = ACTIONS(1645),
    [anon_sym___forceinline] = ACTIONS(1645),
    [anon_sym_thread_local] = ACTIONS(1645),
    [anon_sym___thread] = ACTIONS(1645),
    [anon_sym_const] = ACTIONS(1642),
    [anon_sym_constexpr] = ACTIONS(1642),
    [anon_sym_volatile] = ACTIONS(1642),
    [anon_sym_restrict] = ACTIONS(1642),
    [anon_sym___restrict__] = ACTIONS(1642),
    [anon_sym__Atomic] = ACTIONS(1642),
    [anon_sym__Noreturn] = ACTIONS(1642),
    [anon_sym_noreturn] = ACTIONS(1642),
    [anon_sym__Nonnull] = ACTIONS(1642),
    [anon_sym_alignas] = ACTIONS(1660),
    [anon_sym__Alignas] = ACTIONS(1660),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1666),
    [anon_sym_struct] = ACTIONS(1669),
    [anon_sym_union] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1678),
  },
  [464] = {
    [sym_preproc_def] = STATE(464),
    [sym_preproc_function_def] = STATE(464),
    [sym_preproc_call] = STATE(464),
    [sym_preproc_if_in_field_declaration_list] = STATE(464),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(464),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(464),
    [sym_field_declaration] = STATE(464),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(534),
    [sym_layout_specification] = STATE(534),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(464),
    [aux_sym_declaration_repeat1] = STATE(534),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1681),
    [aux_sym_preproc_if_token1] = ACTIONS(1684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1690),
    [anon_sym_subroutine] = ACTIONS(1693),
    [anon_sym_invariant] = ACTIONS(1693),
    [anon_sym_precise] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_out] = ACTIONS(1693),
    [anon_sym_inout] = ACTIONS(1693),
    [anon_sym_uniform] = ACTIONS(1693),
    [anon_sym_shared] = ACTIONS(1693),
    [anon_sym_attribute] = ACTIONS(1693),
    [anon_sym_varying] = ACTIONS(1693),
    [anon_sym_buffer] = ACTIONS(1693),
    [anon_sym_coherent] = ACTIONS(1693),
    [anon_sym_readonly] = ACTIONS(1693),
    [anon_sym_writeonly] = ACTIONS(1693),
    [anon_sym_precision] = ACTIONS(1693),
    [anon_sym_highp] = ACTIONS(1693),
    [anon_sym_mediump] = ACTIONS(1693),
    [anon_sym_lowp] = ACTIONS(1693),
    [anon_sym_centroid] = ACTIONS(1693),
    [anon_sym_sample] = ACTIONS(1693),
    [anon_sym_patch] = ACTIONS(1693),
    [anon_sym_smooth] = ACTIONS(1693),
    [anon_sym_flat] = ACTIONS(1693),
    [anon_sym_noperspective] = ACTIONS(1693),
    [anon_sym___extension__] = ACTIONS(1642),
    [anon_sym_extern] = ACTIONS(1645),
    [anon_sym___attribute__] = ACTIONS(1648),
    [anon_sym___attribute] = ACTIONS(1648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1651),
    [anon_sym___declspec] = ACTIONS(1654),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [anon_sym_signed] = ACTIONS(1657),
    [anon_sym_unsigned] = ACTIONS(1657),
    [anon_sym_long] = ACTIONS(1657),
    [anon_sym_short] = ACTIONS(1657),
    [anon_sym_static] = ACTIONS(1645),
    [anon_sym_auto] = ACTIONS(1645),
    [anon_sym_register] = ACTIONS(1645),
    [anon_sym_inline] = ACTIONS(1645),
    [anon_sym___inline] = ACTIONS(1645),
    [anon_sym___inline__] = ACTIONS(1645),
    [anon_sym___forceinline] = ACTIONS(1645),
    [anon_sym_thread_local] = ACTIONS(1645),
    [anon_sym___thread] = ACTIONS(1645),
    [anon_sym_const] = ACTIONS(1642),
    [anon_sym_constexpr] = ACTIONS(1642),
    [anon_sym_volatile] = ACTIONS(1642),
    [anon_sym_restrict] = ACTIONS(1642),
    [anon_sym___restrict__] = ACTIONS(1642),
    [anon_sym__Atomic] = ACTIONS(1642),
    [anon_sym__Noreturn] = ACTIONS(1642),
    [anon_sym_noreturn] = ACTIONS(1642),
    [anon_sym__Nonnull] = ACTIONS(1642),
    [anon_sym_alignas] = ACTIONS(1660),
    [anon_sym__Alignas] = ACTIONS(1660),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1666),
    [anon_sym_struct] = ACTIONS(1669),
    [anon_sym_union] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1678),
  },
  [465] = {
    [sym_preproc_def] = STATE(464),
    [sym_preproc_function_def] = STATE(464),
    [sym_preproc_call] = STATE(464),
    [sym_preproc_if_in_field_declaration_list] = STATE(464),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(464),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(464),
    [sym_field_declaration] = STATE(464),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(534),
    [sym_layout_specification] = STATE(534),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(464),
    [aux_sym_declaration_repeat1] = STATE(534),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1698),
    [aux_sym_preproc_if_token1] = ACTIONS(1700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1702),
    [sym_preproc_directive] = ACTIONS(1704),
    [anon_sym_subroutine] = ACTIONS(1706),
    [anon_sym_invariant] = ACTIONS(1706),
    [anon_sym_precise] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1706),
    [anon_sym_out] = ACTIONS(1706),
    [anon_sym_inout] = ACTIONS(1706),
    [anon_sym_uniform] = ACTIONS(1706),
    [anon_sym_shared] = ACTIONS(1706),
    [anon_sym_attribute] = ACTIONS(1706),
    [anon_sym_varying] = ACTIONS(1706),
    [anon_sym_buffer] = ACTIONS(1706),
    [anon_sym_coherent] = ACTIONS(1706),
    [anon_sym_readonly] = ACTIONS(1706),
    [anon_sym_writeonly] = ACTIONS(1706),
    [anon_sym_precision] = ACTIONS(1706),
    [anon_sym_highp] = ACTIONS(1706),
    [anon_sym_mediump] = ACTIONS(1706),
    [anon_sym_lowp] = ACTIONS(1706),
    [anon_sym_centroid] = ACTIONS(1706),
    [anon_sym_sample] = ACTIONS(1706),
    [anon_sym_patch] = ACTIONS(1706),
    [anon_sym_smooth] = ACTIONS(1706),
    [anon_sym_flat] = ACTIONS(1706),
    [anon_sym_noperspective] = ACTIONS(1706),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(1708),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [466] = {
    [sym_preproc_def] = STATE(469),
    [sym_preproc_function_def] = STATE(469),
    [sym_preproc_call] = STATE(469),
    [sym_preproc_if_in_field_declaration_list] = STATE(469),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(469),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1467),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(469),
    [sym_field_declaration] = STATE(469),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(539),
    [sym_layout_specification] = STATE(539),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(469),
    [aux_sym_declaration_repeat1] = STATE(539),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1710),
    [aux_sym_preproc_if_token1] = ACTIONS(1712),
    [aux_sym_preproc_if_token2] = ACTIONS(1714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_subroutine] = ACTIONS(1720),
    [anon_sym_invariant] = ACTIONS(1720),
    [anon_sym_precise] = ACTIONS(1720),
    [anon_sym_in] = ACTIONS(1720),
    [anon_sym_out] = ACTIONS(1720),
    [anon_sym_inout] = ACTIONS(1720),
    [anon_sym_uniform] = ACTIONS(1720),
    [anon_sym_shared] = ACTIONS(1720),
    [anon_sym_attribute] = ACTIONS(1720),
    [anon_sym_varying] = ACTIONS(1720),
    [anon_sym_buffer] = ACTIONS(1720),
    [anon_sym_coherent] = ACTIONS(1720),
    [anon_sym_readonly] = ACTIONS(1720),
    [anon_sym_writeonly] = ACTIONS(1720),
    [anon_sym_precision] = ACTIONS(1720),
    [anon_sym_highp] = ACTIONS(1720),
    [anon_sym_mediump] = ACTIONS(1720),
    [anon_sym_lowp] = ACTIONS(1720),
    [anon_sym_centroid] = ACTIONS(1720),
    [anon_sym_sample] = ACTIONS(1720),
    [anon_sym_patch] = ACTIONS(1720),
    [anon_sym_smooth] = ACTIONS(1720),
    [anon_sym_flat] = ACTIONS(1720),
    [anon_sym_noperspective] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [467] = {
    [sym_preproc_def] = STATE(465),
    [sym_preproc_function_def] = STATE(465),
    [sym_preproc_call] = STATE(465),
    [sym_preproc_if_in_field_declaration_list] = STATE(465),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(465),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1471),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(465),
    [sym_field_declaration] = STATE(465),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(534),
    [sym_layout_specification] = STATE(534),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(465),
    [aux_sym_declaration_repeat1] = STATE(534),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1698),
    [aux_sym_preproc_if_token1] = ACTIONS(1700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1702),
    [sym_preproc_directive] = ACTIONS(1704),
    [anon_sym_subroutine] = ACTIONS(1706),
    [anon_sym_invariant] = ACTIONS(1706),
    [anon_sym_precise] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1706),
    [anon_sym_out] = ACTIONS(1706),
    [anon_sym_inout] = ACTIONS(1706),
    [anon_sym_uniform] = ACTIONS(1706),
    [anon_sym_shared] = ACTIONS(1706),
    [anon_sym_attribute] = ACTIONS(1706),
    [anon_sym_varying] = ACTIONS(1706),
    [anon_sym_buffer] = ACTIONS(1706),
    [anon_sym_coherent] = ACTIONS(1706),
    [anon_sym_readonly] = ACTIONS(1706),
    [anon_sym_writeonly] = ACTIONS(1706),
    [anon_sym_precision] = ACTIONS(1706),
    [anon_sym_highp] = ACTIONS(1706),
    [anon_sym_mediump] = ACTIONS(1706),
    [anon_sym_lowp] = ACTIONS(1706),
    [anon_sym_centroid] = ACTIONS(1706),
    [anon_sym_sample] = ACTIONS(1706),
    [anon_sym_patch] = ACTIONS(1706),
    [anon_sym_smooth] = ACTIONS(1706),
    [anon_sym_flat] = ACTIONS(1706),
    [anon_sym_noperspective] = ACTIONS(1706),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [468] = {
    [sym_preproc_def] = STATE(466),
    [sym_preproc_function_def] = STATE(466),
    [sym_preproc_call] = STATE(466),
    [sym_preproc_if_in_field_declaration_list] = STATE(466),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(466),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1467),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(466),
    [sym_field_declaration] = STATE(466),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(539),
    [sym_layout_specification] = STATE(539),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(466),
    [aux_sym_declaration_repeat1] = STATE(539),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_def_token1] = ACTIONS(1710),
    [aux_sym_preproc_if_token1] = ACTIONS(1712),
    [aux_sym_preproc_if_token2] = ACTIONS(1724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_subroutine] = ACTIONS(1720),
    [anon_sym_invariant] = ACTIONS(1720),
    [anon_sym_precise] = ACTIONS(1720),
    [anon_sym_in] = ACTIONS(1720),
    [anon_sym_out] = ACTIONS(1720),
    [anon_sym_inout] = ACTIONS(1720),
    [anon_sym_uniform] = ACTIONS(1720),
    [anon_sym_shared] = ACTIONS(1720),
    [anon_sym_attribute] = ACTIONS(1720),
    [anon_sym_varying] = ACTIONS(1720),
    [anon_sym_buffer] = ACTIONS(1720),
    [anon_sym_coherent] = ACTIONS(1720),
    [anon_sym_readonly] = ACTIONS(1720),
    [anon_sym_writeonly] = ACTIONS(1720),
    [anon_sym_precision] = ACTIONS(1720),
    [anon_sym_highp] = ACTIONS(1720),
    [anon_sym_mediump] = ACTIONS(1720),
    [anon_sym_lowp] = ACTIONS(1720),
    [anon_sym_centroid] = ACTIONS(1720),
    [anon_sym_sample] = ACTIONS(1720),
    [anon_sym_patch] = ACTIONS(1720),
    [anon_sym_smooth] = ACTIONS(1720),
    [anon_sym_flat] = ACTIONS(1720),
    [anon_sym_noperspective] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [469] = {
    [sym_preproc_def] = STATE(469),
    [sym_preproc_function_def] = STATE(469),
    [sym_preproc_call] = STATE(469),
    [sym_preproc_if_in_field_declaration_list] = STATE(469),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(469),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1467),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym__field_declaration_list_item] = STATE(469),
    [sym_field_declaration] = STATE(469),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(539),
    [sym_layout_specification] = STATE(539),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(469),
    [aux_sym_declaration_repeat1] = STATE(539),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1726),
    [aux_sym_preproc_if_token1] = ACTIONS(1729),
    [aux_sym_preproc_if_token2] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1732),
    [sym_preproc_directive] = ACTIONS(1735),
    [anon_sym_subroutine] = ACTIONS(1738),
    [anon_sym_invariant] = ACTIONS(1738),
    [anon_sym_precise] = ACTIONS(1738),
    [anon_sym_in] = ACTIONS(1738),
    [anon_sym_out] = ACTIONS(1738),
    [anon_sym_inout] = ACTIONS(1738),
    [anon_sym_uniform] = ACTIONS(1738),
    [anon_sym_shared] = ACTIONS(1738),
    [anon_sym_attribute] = ACTIONS(1738),
    [anon_sym_varying] = ACTIONS(1738),
    [anon_sym_buffer] = ACTIONS(1738),
    [anon_sym_coherent] = ACTIONS(1738),
    [anon_sym_readonly] = ACTIONS(1738),
    [anon_sym_writeonly] = ACTIONS(1738),
    [anon_sym_precision] = ACTIONS(1738),
    [anon_sym_highp] = ACTIONS(1738),
    [anon_sym_mediump] = ACTIONS(1738),
    [anon_sym_lowp] = ACTIONS(1738),
    [anon_sym_centroid] = ACTIONS(1738),
    [anon_sym_sample] = ACTIONS(1738),
    [anon_sym_patch] = ACTIONS(1738),
    [anon_sym_smooth] = ACTIONS(1738),
    [anon_sym_flat] = ACTIONS(1738),
    [anon_sym_noperspective] = ACTIONS(1738),
    [anon_sym___extension__] = ACTIONS(1642),
    [anon_sym_extern] = ACTIONS(1645),
    [anon_sym___attribute__] = ACTIONS(1648),
    [anon_sym___attribute] = ACTIONS(1648),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1651),
    [anon_sym___declspec] = ACTIONS(1654),
    [anon_sym_signed] = ACTIONS(1657),
    [anon_sym_unsigned] = ACTIONS(1657),
    [anon_sym_long] = ACTIONS(1657),
    [anon_sym_short] = ACTIONS(1657),
    [anon_sym_static] = ACTIONS(1645),
    [anon_sym_auto] = ACTIONS(1645),
    [anon_sym_register] = ACTIONS(1645),
    [anon_sym_inline] = ACTIONS(1645),
    [anon_sym___inline] = ACTIONS(1645),
    [anon_sym___inline__] = ACTIONS(1645),
    [anon_sym___forceinline] = ACTIONS(1645),
    [anon_sym_thread_local] = ACTIONS(1645),
    [anon_sym___thread] = ACTIONS(1645),
    [anon_sym_const] = ACTIONS(1642),
    [anon_sym_constexpr] = ACTIONS(1642),
    [anon_sym_volatile] = ACTIONS(1642),
    [anon_sym_restrict] = ACTIONS(1642),
    [anon_sym___restrict__] = ACTIONS(1642),
    [anon_sym__Atomic] = ACTIONS(1642),
    [anon_sym__Noreturn] = ACTIONS(1642),
    [anon_sym_noreturn] = ACTIONS(1642),
    [anon_sym__Nonnull] = ACTIONS(1642),
    [anon_sym_alignas] = ACTIONS(1660),
    [anon_sym__Alignas] = ACTIONS(1660),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1666),
    [anon_sym_struct] = ACTIONS(1669),
    [anon_sym_union] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1678),
  },
  [470] = {
    [sym_function_definition] = STATE(365),
    [sym_declaration] = STATE(365),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1296),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(899),
    [sym_declaration_list] = STATE(365),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(542),
    [sym_layout_specification] = STATE(542),
    [aux_sym_declaration_repeat1] = STATE(542),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_subroutine] = ACTIONS(401),
    [anon_sym_invariant] = ACTIONS(403),
    [anon_sym_precise] = ACTIONS(403),
    [anon_sym_in] = ACTIONS(407),
    [anon_sym_out] = ACTIONS(407),
    [anon_sym_inout] = ACTIONS(407),
    [anon_sym_uniform] = ACTIONS(407),
    [anon_sym_shared] = ACTIONS(407),
    [anon_sym_attribute] = ACTIONS(407),
    [anon_sym_varying] = ACTIONS(407),
    [anon_sym_buffer] = ACTIONS(407),
    [anon_sym_coherent] = ACTIONS(407),
    [anon_sym_readonly] = ACTIONS(407),
    [anon_sym_writeonly] = ACTIONS(407),
    [anon_sym_precision] = ACTIONS(407),
    [anon_sym_highp] = ACTIONS(407),
    [anon_sym_mediump] = ACTIONS(407),
    [anon_sym_lowp] = ACTIONS(407),
    [anon_sym_centroid] = ACTIONS(407),
    [anon_sym_sample] = ACTIONS(407),
    [anon_sym_patch] = ACTIONS(407),
    [anon_sym_smooth] = ACTIONS(407),
    [anon_sym_flat] = ACTIONS(407),
    [anon_sym_noperspective] = ACTIONS(407),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [471] = {
    [sym_function_definition] = STATE(132),
    [sym_declaration] = STATE(132),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1305),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(884),
    [sym_declaration_list] = STATE(132),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(540),
    [sym_layout_specification] = STATE(540),
    [aux_sym_declaration_repeat1] = STATE(540),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_subroutine] = ACTIONS(135),
    [anon_sym_invariant] = ACTIONS(137),
    [anon_sym_precise] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(141),
    [anon_sym_out] = ACTIONS(141),
    [anon_sym_inout] = ACTIONS(141),
    [anon_sym_uniform] = ACTIONS(141),
    [anon_sym_shared] = ACTIONS(141),
    [anon_sym_attribute] = ACTIONS(141),
    [anon_sym_varying] = ACTIONS(141),
    [anon_sym_buffer] = ACTIONS(141),
    [anon_sym_coherent] = ACTIONS(141),
    [anon_sym_readonly] = ACTIONS(141),
    [anon_sym_writeonly] = ACTIONS(141),
    [anon_sym_precision] = ACTIONS(141),
    [anon_sym_highp] = ACTIONS(141),
    [anon_sym_mediump] = ACTIONS(141),
    [anon_sym_lowp] = ACTIONS(141),
    [anon_sym_centroid] = ACTIONS(141),
    [anon_sym_sample] = ACTIONS(141),
    [anon_sym_patch] = ACTIONS(141),
    [anon_sym_smooth] = ACTIONS(141),
    [anon_sym_flat] = ACTIONS(141),
    [anon_sym_noperspective] = ACTIONS(141),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1747),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [472] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1279),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_based_modifier] = STATE(2273),
    [sym_ms_call_modifier] = STATE(1446),
    [sym__declarator] = STATE(1742),
    [sym__abstract_declarator] = STATE(1854),
    [sym_parenthesized_declarator] = STATE(1509),
    [sym_abstract_parenthesized_declarator] = STATE(1768),
    [sym_attributed_declarator] = STATE(1509),
    [sym_pointer_declarator] = STATE(1509),
    [sym_abstract_pointer_declarator] = STATE(1768),
    [sym_function_declarator] = STATE(1509),
    [sym_abstract_function_declarator] = STATE(1768),
    [sym_array_declarator] = STATE(1509),
    [sym_abstract_array_declarator] = STATE(1768),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_variadic_parameter] = STATE(1954),
    [sym_parameter_list] = STATE(1752),
    [sym_parameter_declaration] = STATE(1954),
    [sym_macro_type_specifier] = STATE(959),
    [sym_layout_specification] = STATE(650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_parameter_declaration_repeat1] = STATE(650),
    [sym_identifier] = ACTIONS(1749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(1753),
    [anon_sym_LPAREN2] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1759),
    [anon_sym_in] = ACTIONS(1759),
    [anon_sym_out] = ACTIONS(1759),
    [anon_sym_inout] = ACTIONS(1759),
    [anon_sym_uniform] = ACTIONS(1759),
    [anon_sym_shared] = ACTIONS(1759),
    [anon_sym_attribute] = ACTIONS(1759),
    [anon_sym_varying] = ACTIONS(1759),
    [anon_sym_buffer] = ACTIONS(1759),
    [anon_sym_coherent] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_writeonly] = ACTIONS(1759),
    [anon_sym_centroid] = ACTIONS(1759),
    [anon_sym_sample] = ACTIONS(1759),
    [anon_sym_patch] = ACTIONS(1759),
    [anon_sym_smooth] = ACTIONS(1759),
    [anon_sym_flat] = ACTIONS(1759),
    [anon_sym_noperspective] = ACTIONS(1759),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1761),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1765),
  },
  [473] = {
    [sym_function_definition] = STATE(329),
    [sym_declaration] = STATE(329),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1316),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(891),
    [sym_declaration_list] = STATE(329),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(543),
    [sym_layout_specification] = STATE(543),
    [aux_sym_declaration_repeat1] = STATE(543),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1767),
    [anon_sym_subroutine] = ACTIONS(556),
    [anon_sym_invariant] = ACTIONS(558),
    [anon_sym_precise] = ACTIONS(558),
    [anon_sym_in] = ACTIONS(562),
    [anon_sym_out] = ACTIONS(562),
    [anon_sym_inout] = ACTIONS(562),
    [anon_sym_uniform] = ACTIONS(562),
    [anon_sym_shared] = ACTIONS(562),
    [anon_sym_attribute] = ACTIONS(562),
    [anon_sym_varying] = ACTIONS(562),
    [anon_sym_buffer] = ACTIONS(562),
    [anon_sym_coherent] = ACTIONS(562),
    [anon_sym_readonly] = ACTIONS(562),
    [anon_sym_writeonly] = ACTIONS(562),
    [anon_sym_precision] = ACTIONS(562),
    [anon_sym_highp] = ACTIONS(562),
    [anon_sym_mediump] = ACTIONS(562),
    [anon_sym_lowp] = ACTIONS(562),
    [anon_sym_centroid] = ACTIONS(562),
    [anon_sym_sample] = ACTIONS(562),
    [anon_sym_patch] = ACTIONS(562),
    [anon_sym_smooth] = ACTIONS(562),
    [anon_sym_flat] = ACTIONS(562),
    [anon_sym_noperspective] = ACTIONS(562),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1769),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [474] = {
    [sym_function_definition] = STATE(440),
    [sym_declaration] = STATE(440),
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1299),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(886),
    [sym_declaration_list] = STATE(440),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(536),
    [sym_layout_specification] = STATE(536),
    [aux_sym_declaration_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1771),
    [anon_sym_subroutine] = ACTIONS(27),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(33),
    [anon_sym_out] = ACTIONS(33),
    [anon_sym_inout] = ACTIONS(33),
    [anon_sym_uniform] = ACTIONS(33),
    [anon_sym_shared] = ACTIONS(33),
    [anon_sym_attribute] = ACTIONS(33),
    [anon_sym_varying] = ACTIONS(33),
    [anon_sym_buffer] = ACTIONS(33),
    [anon_sym_coherent] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_writeonly] = ACTIONS(33),
    [anon_sym_precision] = ACTIONS(33),
    [anon_sym_highp] = ACTIONS(33),
    [anon_sym_mediump] = ACTIONS(33),
    [anon_sym_lowp] = ACTIONS(33),
    [anon_sym_centroid] = ACTIONS(33),
    [anon_sym_sample] = ACTIONS(33),
    [anon_sym_patch] = ACTIONS(33),
    [anon_sym_smooth] = ACTIONS(33),
    [anon_sym_flat] = ACTIONS(33),
    [anon_sym_noperspective] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [475] = {
    [sym_expression] = STATE(907),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(867),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(867),
    [sym_call_expression] = STATE(867),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(867),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(867),
    [sym_initializer_list] = STATE(873),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1779),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(1785),
    [anon_sym___attribute__] = ACTIONS(1783),
    [anon_sym___attribute] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1783),
    [anon_sym_COLON] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_sizeof] = ACTIONS(1789),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_expression] = STATE(907),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(867),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(867),
    [sym_call_expression] = STATE(867),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(867),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(867),
    [sym_initializer_list] = STATE(873),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(921),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1777),
    [aux_sym_preproc_if_token2] = ACTIONS(1777),
    [aux_sym_preproc_else_token1] = ACTIONS(1777),
    [aux_sym_preproc_elif_token1] = ACTIONS(1783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_sizeof] = ACTIONS(1797),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(446),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_attribute_declaration] = STATE(496),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(248),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(496),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym_attribute_declaration] = STATE(503),
    [sym_compound_statement] = STATE(320),
    [sym_attributed_statement] = STATE(320),
    [sym_statement] = STATE(174),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym_attribute_declaration] = STATE(503),
    [sym_compound_statement] = STATE(320),
    [sym_attributed_statement] = STATE(320),
    [sym_statement] = STATE(267),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_attribute_declaration] = STATE(481),
    [sym_compound_statement] = STATE(320),
    [sym_attributed_statement] = STATE(320),
    [sym_statement] = STATE(261),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(481),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1815),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1833),
    [anon_sym_if] = ACTIONS(1836),
    [anon_sym_switch] = ACTIONS(1839),
    [anon_sym_case] = ACTIONS(1842),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1848),
    [anon_sym_do] = ACTIONS(1851),
    [anon_sym_for] = ACTIONS(1854),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_goto] = ACTIONS(1866),
    [anon_sym___try] = ACTIONS(1869),
    [anon_sym___leave] = ACTIONS(1872),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1881),
    [anon_sym___alignof] = ACTIONS(1881),
    [anon_sym__alignof] = ACTIONS(1881),
    [anon_sym_alignof] = ACTIONS(1881),
    [anon_sym__Alignof] = ACTIONS(1881),
    [anon_sym_offsetof] = ACTIONS(1884),
    [anon_sym__Generic] = ACTIONS(1887),
    [anon_sym_asm] = ACTIONS(1890),
    [anon_sym___asm__] = ACTIONS(1890),
    [anon_sym___asm] = ACTIONS(1890),
    [sym_number_literal] = ACTIONS(1893),
    [anon_sym_L_SQUOTE] = ACTIONS(1896),
    [anon_sym_u_SQUOTE] = ACTIONS(1896),
    [anon_sym_U_SQUOTE] = ACTIONS(1896),
    [anon_sym_u8_SQUOTE] = ACTIONS(1896),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_L_DQUOTE] = ACTIONS(1899),
    [anon_sym_u_DQUOTE] = ACTIONS(1899),
    [anon_sym_U_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8_DQUOTE] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [sym_true] = ACTIONS(1902),
    [sym_false] = ACTIONS(1902),
    [anon_sym_NULL] = ACTIONS(1905),
    [anon_sym_nullptr] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_attribute_declaration] = STATE(494),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_statement] = STATE(80),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [sym_identifier] = ACTIONS(1908),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_attribute_declaration] = STATE(494),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_statement] = STATE(130),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [sym_identifier] = ACTIONS(1908),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_attribute_declaration] = STATE(486),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(173),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [sym_identifier] = ACTIONS(1910),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(2388),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_attribute_declaration] = STATE(505),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(313),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(1910),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_attribute_declaration] = STATE(487),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_statement] = STATE(127),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_LPAREN2] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1815),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1924),
    [anon_sym_case] = ACTIONS(1927),
    [anon_sym_default] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1933),
    [anon_sym_do] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1939),
    [anon_sym_return] = ACTIONS(1942),
    [anon_sym_break] = ACTIONS(1945),
    [anon_sym_continue] = ACTIONS(1948),
    [anon_sym_goto] = ACTIONS(1951),
    [anon_sym___try] = ACTIONS(1954),
    [anon_sym___leave] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1881),
    [anon_sym___alignof] = ACTIONS(1881),
    [anon_sym__alignof] = ACTIONS(1881),
    [anon_sym_alignof] = ACTIONS(1881),
    [anon_sym__Alignof] = ACTIONS(1881),
    [anon_sym_offsetof] = ACTIONS(1884),
    [anon_sym__Generic] = ACTIONS(1887),
    [anon_sym_asm] = ACTIONS(1890),
    [anon_sym___asm__] = ACTIONS(1890),
    [anon_sym___asm] = ACTIONS(1890),
    [sym_number_literal] = ACTIONS(1893),
    [anon_sym_L_SQUOTE] = ACTIONS(1896),
    [anon_sym_u_SQUOTE] = ACTIONS(1896),
    [anon_sym_U_SQUOTE] = ACTIONS(1896),
    [anon_sym_u8_SQUOTE] = ACTIONS(1896),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_L_DQUOTE] = ACTIONS(1899),
    [anon_sym_u_DQUOTE] = ACTIONS(1899),
    [anon_sym_U_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8_DQUOTE] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [sym_true] = ACTIONS(1902),
    [sym_false] = ACTIONS(1902),
    [anon_sym_NULL] = ACTIONS(1905),
    [anon_sym_nullptr] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_attribute_declaration] = STATE(503),
    [sym_compound_statement] = STATE(320),
    [sym_attributed_statement] = STATE(320),
    [sym_statement] = STATE(279),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_attribute_declaration] = STATE(503),
    [sym_compound_statement] = STATE(320),
    [sym_attributed_statement] = STATE(320),
    [sym_statement] = STATE(281),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(503),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(224),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_attribute_declaration] = STATE(478),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(175),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(2355),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(222),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym_attribute_declaration] = STATE(487),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_statement] = STATE(127),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1908),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_attribute_declaration] = STATE(478),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(187),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [sym_attribute_declaration] = STATE(496),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(248),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(496),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1815),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1963),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1975),
    [anon_sym_default] = ACTIONS(1978),
    [anon_sym_while] = ACTIONS(1981),
    [anon_sym_do] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1993),
    [anon_sym_continue] = ACTIONS(1996),
    [anon_sym_goto] = ACTIONS(1999),
    [anon_sym___try] = ACTIONS(2002),
    [anon_sym___leave] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1881),
    [anon_sym___alignof] = ACTIONS(1881),
    [anon_sym__alignof] = ACTIONS(1881),
    [anon_sym_alignof] = ACTIONS(1881),
    [anon_sym__Alignof] = ACTIONS(1881),
    [anon_sym_offsetof] = ACTIONS(1884),
    [anon_sym__Generic] = ACTIONS(1887),
    [anon_sym_asm] = ACTIONS(1890),
    [anon_sym___asm__] = ACTIONS(1890),
    [anon_sym___asm] = ACTIONS(1890),
    [sym_number_literal] = ACTIONS(1893),
    [anon_sym_L_SQUOTE] = ACTIONS(1896),
    [anon_sym_u_SQUOTE] = ACTIONS(1896),
    [anon_sym_U_SQUOTE] = ACTIONS(1896),
    [anon_sym_u8_SQUOTE] = ACTIONS(1896),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_L_DQUOTE] = ACTIONS(1899),
    [anon_sym_u_DQUOTE] = ACTIONS(1899),
    [anon_sym_U_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8_DQUOTE] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [sym_true] = ACTIONS(1902),
    [sym_false] = ACTIONS(1902),
    [anon_sym_NULL] = ACTIONS(1905),
    [anon_sym_nullptr] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [sym_attribute_declaration] = STATE(478),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(274),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym_attribute_declaration] = STATE(506),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(313),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(506),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym_attribute_declaration] = STATE(494),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_statement] = STATE(99),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [sym_identifier] = ACTIONS(1908),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [sym_attribute_declaration] = STATE(494),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_statement] = STATE(101),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym_expression] = STATE(1179),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2396),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(494),
    [sym_identifier] = ACTIONS(1908),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_case] = ACTIONS(155),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_do] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(169),
    [anon_sym_goto] = ACTIONS(171),
    [anon_sym___try] = ACTIONS(173),
    [anon_sym___leave] = ACTIONS(175),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym_attribute_declaration] = STATE(486),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(222),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [sym_identifier] = ACTIONS(1910),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [sym_attribute_declaration] = STATE(486),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(224),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [sym_identifier] = ACTIONS(1910),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_attribute_declaration] = STATE(481),
    [sym_compound_statement] = STATE(320),
    [sym_attributed_statement] = STATE(320),
    [sym_statement] = STATE(261),
    [sym_labeled_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_case_statement] = STATE(320),
    [sym_while_statement] = STATE(320),
    [sym_do_statement] = STATE(320),
    [sym_for_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_break_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_goto_statement] = STATE(320),
    [sym_seh_try_statement] = STATE(320),
    [sym_seh_leave_statement] = STATE(320),
    [sym_expression] = STATE(1192),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2281),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(481),
    [sym_identifier] = ACTIONS(1807),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_case] = ACTIONS(576),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_goto] = ACTIONS(592),
    [anon_sym___try] = ACTIONS(594),
    [anon_sym___leave] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym_attribute_declaration] = STATE(478),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(189),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(478),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(433),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym___try] = ACTIONS(441),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym_attribute_declaration] = STATE(505),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(313),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1815),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2020),
    [anon_sym_case] = ACTIONS(2023),
    [anon_sym_default] = ACTIONS(2026),
    [anon_sym_while] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2044),
    [anon_sym_goto] = ACTIONS(2047),
    [anon_sym___try] = ACTIONS(2050),
    [anon_sym___leave] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1881),
    [anon_sym___alignof] = ACTIONS(1881),
    [anon_sym__alignof] = ACTIONS(1881),
    [anon_sym_alignof] = ACTIONS(1881),
    [anon_sym__Alignof] = ACTIONS(1881),
    [anon_sym_offsetof] = ACTIONS(1884),
    [anon_sym__Generic] = ACTIONS(1887),
    [anon_sym_asm] = ACTIONS(1890),
    [anon_sym___asm__] = ACTIONS(1890),
    [anon_sym___asm] = ACTIONS(1890),
    [sym_number_literal] = ACTIONS(1893),
    [anon_sym_L_SQUOTE] = ACTIONS(1896),
    [anon_sym_u_SQUOTE] = ACTIONS(1896),
    [anon_sym_U_SQUOTE] = ACTIONS(1896),
    [anon_sym_u8_SQUOTE] = ACTIONS(1896),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_L_DQUOTE] = ACTIONS(1899),
    [anon_sym_u_DQUOTE] = ACTIONS(1899),
    [anon_sym_U_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8_DQUOTE] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [sym_true] = ACTIONS(1902),
    [sym_false] = ACTIONS(1902),
    [anon_sym_NULL] = ACTIONS(1905),
    [anon_sym_nullptr] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [sym_attribute_declaration] = STATE(506),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(313),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(506),
    [sym_identifier] = ACTIONS(2056),
    [anon_sym_LPAREN2] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1815),
    [anon_sym_TILDE] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1963),
    [anon_sym___extension__] = ACTIONS(1827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_if] = ACTIONS(2059),
    [anon_sym_switch] = ACTIONS(2020),
    [anon_sym_case] = ACTIONS(2062),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_do] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2071),
    [anon_sym_return] = ACTIONS(2038),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2044),
    [anon_sym_goto] = ACTIONS(2047),
    [anon_sym___try] = ACTIONS(2074),
    [anon_sym___leave] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1881),
    [anon_sym___alignof] = ACTIONS(1881),
    [anon_sym__alignof] = ACTIONS(1881),
    [anon_sym_alignof] = ACTIONS(1881),
    [anon_sym__Alignof] = ACTIONS(1881),
    [anon_sym_offsetof] = ACTIONS(1884),
    [anon_sym__Generic] = ACTIONS(1887),
    [anon_sym_asm] = ACTIONS(1890),
    [anon_sym___asm__] = ACTIONS(1890),
    [anon_sym___asm] = ACTIONS(1890),
    [sym_number_literal] = ACTIONS(1893),
    [anon_sym_L_SQUOTE] = ACTIONS(1896),
    [anon_sym_u_SQUOTE] = ACTIONS(1896),
    [anon_sym_U_SQUOTE] = ACTIONS(1896),
    [anon_sym_u8_SQUOTE] = ACTIONS(1896),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_L_DQUOTE] = ACTIONS(1899),
    [anon_sym_u_DQUOTE] = ACTIONS(1899),
    [anon_sym_U_DQUOTE] = ACTIONS(1899),
    [anon_sym_u8_DQUOTE] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [sym_true] = ACTIONS(1902),
    [sym_false] = ACTIONS(1902),
    [anon_sym_NULL] = ACTIONS(1905),
    [anon_sym_nullptr] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(210),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(2347),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym_attribute_declaration] = STATE(498),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_statement] = STATE(2371),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym_expression] = STATE(1207),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2276),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym_attribute_declaration] = STATE(486),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(210),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1184),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2314),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_attributed_declarator_repeat1] = STATE(486),
    [sym_identifier] = ACTIONS(1910),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_do] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [anon_sym_goto] = ACTIONS(87),
    [anon_sym___try] = ACTIONS(1019),
    [anon_sym___leave] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1424),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(880),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_LPAREN2] = ACTIONS(2080),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2087),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym___attribute] = ACTIONS(2090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2093),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2087),
    [anon_sym_auto] = ACTIONS(2087),
    [anon_sym_register] = ACTIONS(2087),
    [anon_sym_inline] = ACTIONS(2087),
    [anon_sym___inline] = ACTIONS(2087),
    [anon_sym___inline__] = ACTIONS(2087),
    [anon_sym___forceinline] = ACTIONS(2087),
    [anon_sym_thread_local] = ACTIONS(2087),
    [anon_sym___thread] = ACTIONS(2087),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2102),
    [anon_sym__Alignas] = ACTIONS(2102),
    [sym_primitive_type] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2111),
    [anon_sym_union] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [512] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1434),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(892),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_LPAREN2] = ACTIONS(2117),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2087),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym___attribute] = ACTIONS(2090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2093),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2087),
    [anon_sym_auto] = ACTIONS(2087),
    [anon_sym_register] = ACTIONS(2087),
    [anon_sym_inline] = ACTIONS(2087),
    [anon_sym___inline] = ACTIONS(2087),
    [anon_sym___inline__] = ACTIONS(2087),
    [anon_sym___forceinline] = ACTIONS(2087),
    [anon_sym_thread_local] = ACTIONS(2087),
    [anon_sym___thread] = ACTIONS(2087),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2102),
    [anon_sym__Alignas] = ACTIONS(2102),
    [sym_primitive_type] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2111),
    [anon_sym_union] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [513] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1435),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(896),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_LPAREN2] = ACTIONS(2119),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2087),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym___attribute] = ACTIONS(2090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2093),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2087),
    [anon_sym_auto] = ACTIONS(2087),
    [anon_sym_register] = ACTIONS(2087),
    [anon_sym_inline] = ACTIONS(2087),
    [anon_sym___inline] = ACTIONS(2087),
    [anon_sym___inline__] = ACTIONS(2087),
    [anon_sym___forceinline] = ACTIONS(2087),
    [anon_sym_thread_local] = ACTIONS(2087),
    [anon_sym___thread] = ACTIONS(2087),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2102),
    [anon_sym__Alignas] = ACTIONS(2102),
    [sym_primitive_type] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2111),
    [anon_sym_union] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [514] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1449),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(885),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_LPAREN2] = ACTIONS(2121),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2087),
    [anon_sym___attribute__] = ACTIONS(2090),
    [anon_sym___attribute] = ACTIONS(2090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2093),
    [anon_sym___declspec] = ACTIONS(2096),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2099),
    [anon_sym_unsigned] = ACTIONS(2099),
    [anon_sym_long] = ACTIONS(2099),
    [anon_sym_short] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2087),
    [anon_sym_auto] = ACTIONS(2087),
    [anon_sym_register] = ACTIONS(2087),
    [anon_sym_inline] = ACTIONS(2087),
    [anon_sym___inline] = ACTIONS(2087),
    [anon_sym___inline__] = ACTIONS(2087),
    [anon_sym___forceinline] = ACTIONS(2087),
    [anon_sym_thread_local] = ACTIONS(2087),
    [anon_sym___thread] = ACTIONS(2087),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_constexpr] = ACTIONS(2084),
    [anon_sym_volatile] = ACTIONS(2084),
    [anon_sym_restrict] = ACTIONS(2084),
    [anon_sym___restrict__] = ACTIONS(2084),
    [anon_sym__Atomic] = ACTIONS(2084),
    [anon_sym__Noreturn] = ACTIONS(2084),
    [anon_sym_noreturn] = ACTIONS(2084),
    [anon_sym__Nonnull] = ACTIONS(2084),
    [anon_sym_alignas] = ACTIONS(2102),
    [anon_sym__Alignas] = ACTIONS(2102),
    [sym_primitive_type] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2111),
    [anon_sym_union] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [515] = {
    [sym_expression] = STATE(1122),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2129),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_auto] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_expression] = STATE(1122),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2135),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_auto] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_expression] = STATE(1122),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2137),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_auto] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_expression] = STATE(1122),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_typedef] = ACTIONS(2139),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_auto] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2234),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1279),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_ms_call_modifier] = STATE(1622),
    [sym__abstract_declarator] = STATE(1854),
    [sym_abstract_parenthesized_declarator] = STATE(1768),
    [sym_abstract_pointer_declarator] = STATE(1768),
    [sym_abstract_function_declarator] = STATE(1768),
    [sym_abstract_array_declarator] = STATE(1768),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_variadic_parameter] = STATE(1954),
    [sym_parameter_list] = STATE(1752),
    [sym_parameter_declaration] = STATE(1954),
    [sym_macro_type_specifier] = STATE(959),
    [sym_layout_specification] = STATE(650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_parameter_declaration_repeat1] = STATE(650),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(1753),
    [anon_sym_LPAREN2] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_precise] = ACTIONS(1759),
    [anon_sym_in] = ACTIONS(1759),
    [anon_sym_out] = ACTIONS(1759),
    [anon_sym_inout] = ACTIONS(1759),
    [anon_sym_uniform] = ACTIONS(1759),
    [anon_sym_shared] = ACTIONS(1759),
    [anon_sym_attribute] = ACTIONS(1759),
    [anon_sym_varying] = ACTIONS(1759),
    [anon_sym_buffer] = ACTIONS(1759),
    [anon_sym_coherent] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_writeonly] = ACTIONS(1759),
    [anon_sym_centroid] = ACTIONS(1759),
    [anon_sym_sample] = ACTIONS(1759),
    [anon_sym_patch] = ACTIONS(1759),
    [anon_sym_smooth] = ACTIONS(1759),
    [anon_sym_flat] = ACTIONS(1759),
    [anon_sym_noperspective] = ACTIONS(1759),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(47),
    [anon_sym___clrcall] = ACTIONS(47),
    [anon_sym___stdcall] = ACTIONS(47),
    [anon_sym___fastcall] = ACTIONS(47),
    [anon_sym___thiscall] = ACTIONS(47),
    [anon_sym___vectorcall] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1765),
  },
  [521] = {
    [sym_expression] = STATE(1122),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(2131),
    [anon_sym___attribute__] = ACTIONS(2131),
    [anon_sym___attribute] = ACTIONS(2131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2133),
    [anon_sym___declspec] = ACTIONS(2131),
    [anon_sym_signed] = ACTIONS(2131),
    [anon_sym_unsigned] = ACTIONS(2131),
    [anon_sym_long] = ACTIONS(2131),
    [anon_sym_short] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_auto] = ACTIONS(2131),
    [anon_sym_register] = ACTIONS(2131),
    [anon_sym_inline] = ACTIONS(2131),
    [anon_sym___inline] = ACTIONS(2131),
    [anon_sym___inline__] = ACTIONS(2131),
    [anon_sym___forceinline] = ACTIONS(2131),
    [anon_sym_thread_local] = ACTIONS(2131),
    [anon_sym___thread] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [sym_primitive_type] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [anon_sym_struct] = ACTIONS(2131),
    [anon_sym_union] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2353),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2256),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym_expression] = STATE(1068),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(867),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(867),
    [sym_call_expression] = STATE(867),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(867),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(867),
    [sym_initializer_list] = STATE(873),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(1775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_RBRACK] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_sizeof] = ACTIONS(2157),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2188),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2379),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2156),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2272),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2331),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2316),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2304),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2341),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym_compound_statement] = STATE(2328),
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2174),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1463),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [535] = {
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1251),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2192),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1313),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2161),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [537] = {
    [sym_type_qualifier] = STATE(1168),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(1255),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_expression] = STATE(1232),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_type_descriptor] = STATE(2175),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_macro_type_specifier] = STATE(959),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(2143),
    [anon_sym_unsigned] = ACTIONS(2143),
    [anon_sym_long] = ACTIONS(2143),
    [anon_sym_short] = ACTIONS(2143),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(2145),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1465),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [539] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1468),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [540] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1312),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [541] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1318),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [542] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1306),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [543] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1298),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_subroutine] = ACTIONS(2159),
    [anon_sym_invariant] = ACTIONS(2159),
    [anon_sym_precise] = ACTIONS(2159),
    [anon_sym_in] = ACTIONS(2159),
    [anon_sym_out] = ACTIONS(2159),
    [anon_sym_inout] = ACTIONS(2159),
    [anon_sym_uniform] = ACTIONS(2159),
    [anon_sym_shared] = ACTIONS(2159),
    [anon_sym_attribute] = ACTIONS(2159),
    [anon_sym_varying] = ACTIONS(2159),
    [anon_sym_buffer] = ACTIONS(2159),
    [anon_sym_coherent] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2159),
    [anon_sym_writeonly] = ACTIONS(2159),
    [anon_sym_precision] = ACTIONS(2159),
    [anon_sym_highp] = ACTIONS(2159),
    [anon_sym_mediump] = ACTIONS(2159),
    [anon_sym_lowp] = ACTIONS(2159),
    [anon_sym_centroid] = ACTIONS(2159),
    [anon_sym_sample] = ACTIONS(2159),
    [anon_sym_patch] = ACTIONS(2159),
    [anon_sym_smooth] = ACTIONS(2159),
    [anon_sym_flat] = ACTIONS(2159),
    [anon_sym_noperspective] = ACTIONS(2159),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(111),
    [anon_sym_rayPayloadInEXT] = ACTIONS(111),
    [anon_sym_hitAttributeEXT] = ACTIONS(111),
    [anon_sym_callableDataEXT] = ACTIONS(111),
    [anon_sym_callableDataInEXT] = ACTIONS(111),
    [anon_sym_shaderRecordEXT] = ACTIONS(111),
    [anon_sym_rayPayloadNV] = ACTIONS(111),
    [anon_sym_rayPayloadInNV] = ACTIONS(111),
    [anon_sym_hitAttributeNV] = ACTIONS(111),
    [anon_sym_callableDataNV] = ACTIONS(111),
    [anon_sym_callableDataInNV] = ACTIONS(111),
    [anon_sym_shaderRecordNV] = ACTIONS(111),
    [anon_sym_layout] = ACTIONS(113),
  },
  [544] = {
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_COMMA] = ACTIONS(2173),
    [anon_sym_RPAREN] = ACTIONS(2173),
    [anon_sym_LPAREN2] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2173),
    [anon_sym_AMP] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym___extension__] = ACTIONS(2171),
    [anon_sym_extern] = ACTIONS(2171),
    [anon_sym___attribute__] = ACTIONS(2171),
    [anon_sym___attribute] = ACTIONS(2171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2173),
    [anon_sym___declspec] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_signed] = ACTIONS(2171),
    [anon_sym_unsigned] = ACTIONS(2171),
    [anon_sym_long] = ACTIONS(2171),
    [anon_sym_short] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2171),
    [anon_sym_EQ] = ACTIONS(2173),
    [anon_sym_auto] = ACTIONS(2171),
    [anon_sym_register] = ACTIONS(2171),
    [anon_sym_inline] = ACTIONS(2171),
    [anon_sym___inline] = ACTIONS(2171),
    [anon_sym___inline__] = ACTIONS(2171),
    [anon_sym___forceinline] = ACTIONS(2171),
    [anon_sym_thread_local] = ACTIONS(2171),
    [anon_sym___thread] = ACTIONS(2171),
    [anon_sym_const] = ACTIONS(2171),
    [anon_sym_constexpr] = ACTIONS(2171),
    [anon_sym_volatile] = ACTIONS(2171),
    [anon_sym_restrict] = ACTIONS(2171),
    [anon_sym___restrict__] = ACTIONS(2171),
    [anon_sym__Atomic] = ACTIONS(2171),
    [anon_sym__Noreturn] = ACTIONS(2171),
    [anon_sym_noreturn] = ACTIONS(2171),
    [anon_sym__Nonnull] = ACTIONS(2171),
    [anon_sym_alignas] = ACTIONS(2171),
    [anon_sym__Alignas] = ACTIONS(2171),
    [sym_primitive_type] = ACTIONS(2171),
    [anon_sym_enum] = ACTIONS(2171),
    [anon_sym_COLON] = ACTIONS(2173),
    [anon_sym_struct] = ACTIONS(2171),
    [anon_sym_union] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_switch] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_goto] = ACTIONS(2171),
    [anon_sym___try] = ACTIONS(2171),
    [anon_sym___leave] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_sizeof] = ACTIONS(2171),
    [anon_sym___alignof__] = ACTIONS(2171),
    [anon_sym___alignof] = ACTIONS(2171),
    [anon_sym__alignof] = ACTIONS(2171),
    [anon_sym_alignof] = ACTIONS(2171),
    [anon_sym__Alignof] = ACTIONS(2171),
    [anon_sym_offsetof] = ACTIONS(2171),
    [anon_sym__Generic] = ACTIONS(2171),
    [anon_sym_asm] = ACTIONS(2171),
    [anon_sym___asm__] = ACTIONS(2171),
    [anon_sym___asm] = ACTIONS(2171),
    [sym_number_literal] = ACTIONS(2173),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2173),
    [anon_sym_u_DQUOTE] = ACTIONS(2173),
    [anon_sym_U_DQUOTE] = ACTIONS(2173),
    [anon_sym_u8_DQUOTE] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(2173),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [anon_sym_NULL] = ACTIONS(2171),
    [anon_sym_nullptr] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2175),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_LPAREN2] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_AMP] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym___extension__] = ACTIONS(2175),
    [anon_sym_extern] = ACTIONS(2175),
    [anon_sym___attribute__] = ACTIONS(2175),
    [anon_sym___attribute] = ACTIONS(2175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2177),
    [anon_sym___declspec] = ACTIONS(2175),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_signed] = ACTIONS(2175),
    [anon_sym_unsigned] = ACTIONS(2175),
    [anon_sym_long] = ACTIONS(2175),
    [anon_sym_short] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_static] = ACTIONS(2175),
    [anon_sym_EQ] = ACTIONS(2177),
    [anon_sym_auto] = ACTIONS(2175),
    [anon_sym_register] = ACTIONS(2175),
    [anon_sym_inline] = ACTIONS(2175),
    [anon_sym___inline] = ACTIONS(2175),
    [anon_sym___inline__] = ACTIONS(2175),
    [anon_sym___forceinline] = ACTIONS(2175),
    [anon_sym_thread_local] = ACTIONS(2175),
    [anon_sym___thread] = ACTIONS(2175),
    [anon_sym_const] = ACTIONS(2175),
    [anon_sym_constexpr] = ACTIONS(2175),
    [anon_sym_volatile] = ACTIONS(2175),
    [anon_sym_restrict] = ACTIONS(2175),
    [anon_sym___restrict__] = ACTIONS(2175),
    [anon_sym__Atomic] = ACTIONS(2175),
    [anon_sym__Noreturn] = ACTIONS(2175),
    [anon_sym_noreturn] = ACTIONS(2175),
    [anon_sym__Nonnull] = ACTIONS(2175),
    [anon_sym_alignas] = ACTIONS(2175),
    [anon_sym__Alignas] = ACTIONS(2175),
    [sym_primitive_type] = ACTIONS(2175),
    [anon_sym_enum] = ACTIONS(2175),
    [anon_sym_COLON] = ACTIONS(2177),
    [anon_sym_struct] = ACTIONS(2175),
    [anon_sym_union] = ACTIONS(2175),
    [anon_sym_if] = ACTIONS(2175),
    [anon_sym_switch] = ACTIONS(2175),
    [anon_sym_case] = ACTIONS(2175),
    [anon_sym_default] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2175),
    [anon_sym_for] = ACTIONS(2175),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_break] = ACTIONS(2175),
    [anon_sym_continue] = ACTIONS(2175),
    [anon_sym_goto] = ACTIONS(2175),
    [anon_sym___try] = ACTIONS(2175),
    [anon_sym___leave] = ACTIONS(2175),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_sizeof] = ACTIONS(2175),
    [anon_sym___alignof__] = ACTIONS(2175),
    [anon_sym___alignof] = ACTIONS(2175),
    [anon_sym__alignof] = ACTIONS(2175),
    [anon_sym_alignof] = ACTIONS(2175),
    [anon_sym__Alignof] = ACTIONS(2175),
    [anon_sym_offsetof] = ACTIONS(2175),
    [anon_sym__Generic] = ACTIONS(2175),
    [anon_sym_asm] = ACTIONS(2175),
    [anon_sym___asm__] = ACTIONS(2175),
    [anon_sym___asm] = ACTIONS(2175),
    [sym_number_literal] = ACTIONS(2177),
    [anon_sym_L_SQUOTE] = ACTIONS(2177),
    [anon_sym_u_SQUOTE] = ACTIONS(2177),
    [anon_sym_U_SQUOTE] = ACTIONS(2177),
    [anon_sym_u8_SQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [anon_sym_L_DQUOTE] = ACTIONS(2177),
    [anon_sym_u_DQUOTE] = ACTIONS(2177),
    [anon_sym_U_DQUOTE] = ACTIONS(2177),
    [anon_sym_u8_DQUOTE] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [sym_true] = ACTIONS(2175),
    [sym_false] = ACTIONS(2175),
    [anon_sym_NULL] = ACTIONS(2175),
    [anon_sym_nullptr] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym_expression] = STATE(907),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_initializer_list] = STATE(873),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_GT_GT] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym___attribute__] = ACTIONS(1783),
    [anon_sym___attribute] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_COLON] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [sym_expression] = STATE(907),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1032),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1032),
    [sym_call_expression] = STATE(1032),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1032),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1032),
    [sym_initializer_list] = STATE(873),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(921),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1777),
    [aux_sym_preproc_if_token2] = ACTIONS(1777),
    [aux_sym_preproc_else_token1] = ACTIONS(1777),
    [aux_sym_preproc_elif_token1] = ACTIONS(1783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_GT_GT] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_sizeof] = ACTIONS(2187),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [sym_field_declaration_list] = STATE(1513),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2213),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym_field_declaration_list] = STATE(1527),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2217),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [sym_field_declaration_list] = STATE(1513),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2213),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_field_declaration_list] = STATE(1521),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [sym_field_declaration_list] = STATE(1521),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2219),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym_field_declaration_list] = STATE(1527),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym_field_declaration_list] = STATE(1518),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2223),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [sym_field_declaration_list] = STATE(1518),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2223),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [sym_field_declaration_list] = STATE(1527),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2221),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym_field_declaration_list] = STATE(1524),
    [sym_string_literal] = STATE(824),
    [aux_sym_sized_type_specifier_repeat1] = STATE(953),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2191),
    [anon_sym_LPAREN2] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2191),
    [anon_sym_AMP_AMP] = ACTIONS(2191),
    [anon_sym_PIPE] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_EQ_EQ] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym___extension__] = ACTIONS(2189),
    [anon_sym_extern] = ACTIONS(2189),
    [anon_sym___attribute__] = ACTIONS(2189),
    [anon_sym___attribute] = ACTIONS(2189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2205),
    [anon_sym___declspec] = ACTIONS(2189),
    [anon_sym___based] = ACTIONS(2189),
    [anon_sym___cdecl] = ACTIONS(2189),
    [anon_sym___clrcall] = ACTIONS(2189),
    [anon_sym___stdcall] = ACTIONS(2189),
    [anon_sym___fastcall] = ACTIONS(2189),
    [anon_sym___thiscall] = ACTIONS(2189),
    [anon_sym___vectorcall] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_signed] = ACTIONS(2209),
    [anon_sym_unsigned] = ACTIONS(2209),
    [anon_sym_long] = ACTIONS(2209),
    [anon_sym_short] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(2211),
    [anon_sym_auto] = ACTIONS(2189),
    [anon_sym_register] = ACTIONS(2189),
    [anon_sym_inline] = ACTIONS(2189),
    [anon_sym___inline] = ACTIONS(2189),
    [anon_sym___inline__] = ACTIONS(2189),
    [anon_sym___forceinline] = ACTIONS(2189),
    [anon_sym_thread_local] = ACTIONS(2189),
    [anon_sym___thread] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_constexpr] = ACTIONS(2189),
    [anon_sym_volatile] = ACTIONS(2189),
    [anon_sym_restrict] = ACTIONS(2189),
    [anon_sym___restrict__] = ACTIONS(2189),
    [anon_sym__Atomic] = ACTIONS(2189),
    [anon_sym__Noreturn] = ACTIONS(2189),
    [anon_sym_noreturn] = ACTIONS(2189),
    [anon_sym__Nonnull] = ACTIONS(2189),
    [anon_sym_alignas] = ACTIONS(2189),
    [anon_sym__Alignas] = ACTIONS(2189),
    [anon_sym_QMARK] = ACTIONS(2191),
    [anon_sym_STAR_EQ] = ACTIONS(2215),
    [anon_sym_SLASH_EQ] = ACTIONS(2215),
    [anon_sym_PERCENT_EQ] = ACTIONS(2215),
    [anon_sym_PLUS_EQ] = ACTIONS(2215),
    [anon_sym_DASH_EQ] = ACTIONS(2215),
    [anon_sym_LT_LT_EQ] = ACTIONS(2215),
    [anon_sym_GT_GT_EQ] = ACTIONS(2215),
    [anon_sym_AMP_EQ] = ACTIONS(2215),
    [anon_sym_CARET_EQ] = ACTIONS(2215),
    [anon_sym_PIPE_EQ] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DOT] = ACTIONS(2191),
    [anon_sym_DASH_GT] = ACTIONS(2191),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2231),
    [anon_sym_BANG] = ACTIONS(2231),
    [anon_sym_TILDE] = ACTIONS(2231),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_AMP] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym___extension__] = ACTIONS(2228),
    [anon_sym_extern] = ACTIONS(2235),
    [anon_sym___attribute__] = ACTIONS(2235),
    [anon_sym___attribute] = ACTIONS(2235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2237),
    [anon_sym___declspec] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_signed] = ACTIONS(2235),
    [anon_sym_unsigned] = ACTIONS(2235),
    [anon_sym_long] = ACTIONS(2235),
    [anon_sym_short] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_auto] = ACTIONS(2235),
    [anon_sym_register] = ACTIONS(2235),
    [anon_sym_inline] = ACTIONS(2235),
    [anon_sym___inline] = ACTIONS(2235),
    [anon_sym___inline__] = ACTIONS(2235),
    [anon_sym___forceinline] = ACTIONS(2235),
    [anon_sym_thread_local] = ACTIONS(2235),
    [anon_sym___thread] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2235),
    [anon_sym_constexpr] = ACTIONS(2235),
    [anon_sym_volatile] = ACTIONS(2235),
    [anon_sym_restrict] = ACTIONS(2235),
    [anon_sym___restrict__] = ACTIONS(2235),
    [anon_sym__Atomic] = ACTIONS(2235),
    [anon_sym__Noreturn] = ACTIONS(2235),
    [anon_sym_noreturn] = ACTIONS(2235),
    [anon_sym__Nonnull] = ACTIONS(2235),
    [anon_sym_alignas] = ACTIONS(2235),
    [anon_sym__Alignas] = ACTIONS(2235),
    [sym_primitive_type] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2235),
    [anon_sym_struct] = ACTIONS(2235),
    [anon_sym_union] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2233),
    [anon_sym_switch] = ACTIONS(2233),
    [anon_sym_case] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2233),
    [anon_sym_while] = ACTIONS(2233),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_for] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_goto] = ACTIONS(2233),
    [anon_sym___try] = ACTIONS(2233),
    [anon_sym___leave] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2231),
    [anon_sym_PLUS_PLUS] = ACTIONS(2231),
    [anon_sym_sizeof] = ACTIONS(2233),
    [anon_sym___alignof__] = ACTIONS(2233),
    [anon_sym___alignof] = ACTIONS(2233),
    [anon_sym__alignof] = ACTIONS(2233),
    [anon_sym_alignof] = ACTIONS(2233),
    [anon_sym__Alignof] = ACTIONS(2233),
    [anon_sym_offsetof] = ACTIONS(2233),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2233),
    [anon_sym___asm__] = ACTIONS(2233),
    [anon_sym___asm] = ACTIONS(2233),
    [sym_number_literal] = ACTIONS(2231),
    [anon_sym_L_SQUOTE] = ACTIONS(2231),
    [anon_sym_u_SQUOTE] = ACTIONS(2231),
    [anon_sym_U_SQUOTE] = ACTIONS(2231),
    [anon_sym_u8_SQUOTE] = ACTIONS(2231),
    [anon_sym_SQUOTE] = ACTIONS(2231),
    [anon_sym_L_DQUOTE] = ACTIONS(2231),
    [anon_sym_u_DQUOTE] = ACTIONS(2231),
    [anon_sym_U_DQUOTE] = ACTIONS(2231),
    [anon_sym_u8_DQUOTE] = ACTIONS(2231),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [sym_true] = ACTIONS(2233),
    [sym_false] = ACTIONS(2233),
    [anon_sym_NULL] = ACTIONS(2233),
    [anon_sym_nullptr] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [sym_expression] = STATE(1068),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_initializer_list] = STATE(873),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_GT_GT] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_RBRACK] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_subroutine] = ACTIONS(1496),
    [anon_sym_invariant] = ACTIONS(1496),
    [anon_sym_precise] = ACTIONS(1496),
    [anon_sym_in] = ACTIONS(1496),
    [anon_sym_out] = ACTIONS(1496),
    [anon_sym_inout] = ACTIONS(1496),
    [anon_sym_uniform] = ACTIONS(1496),
    [anon_sym_shared] = ACTIONS(1496),
    [anon_sym_attribute] = ACTIONS(1496),
    [anon_sym_varying] = ACTIONS(1496),
    [anon_sym_buffer] = ACTIONS(1496),
    [anon_sym_coherent] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_writeonly] = ACTIONS(1496),
    [anon_sym_precision] = ACTIONS(1496),
    [anon_sym_highp] = ACTIONS(1496),
    [anon_sym_mediump] = ACTIONS(1496),
    [anon_sym_lowp] = ACTIONS(1496),
    [anon_sym_centroid] = ACTIONS(1496),
    [anon_sym_sample] = ACTIONS(1496),
    [anon_sym_patch] = ACTIONS(1496),
    [anon_sym_smooth] = ACTIONS(1496),
    [anon_sym_flat] = ACTIONS(1496),
    [anon_sym_noperspective] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym___attribute] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [anon_sym__Nonnull] = ACTIONS(1496),
    [anon_sym_alignas] = ACTIONS(1496),
    [anon_sym__Alignas] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1496),
    [anon_sym_hitAttributeEXT] = ACTIONS(1496),
    [anon_sym_callableDataEXT] = ACTIONS(1496),
    [anon_sym_callableDataInEXT] = ACTIONS(1496),
    [anon_sym_shaderRecordEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadNV] = ACTIONS(1496),
    [anon_sym_rayPayloadInNV] = ACTIONS(1496),
    [anon_sym_hitAttributeNV] = ACTIONS(1496),
    [anon_sym_callableDataNV] = ACTIONS(1496),
    [anon_sym_callableDataInNV] = ACTIONS(1496),
    [anon_sym_shaderRecordNV] = ACTIONS(1496),
    [anon_sym_layout] = ACTIONS(1496),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token2] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [aux_sym_preproc_else_token1] = ACTIONS(2250),
    [aux_sym_preproc_elif_token1] = ACTIONS(2250),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_subroutine] = ACTIONS(2250),
    [anon_sym_invariant] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_attribute] = ACTIONS(2250),
    [anon_sym_varying] = ACTIONS(2250),
    [anon_sym_buffer] = ACTIONS(2250),
    [anon_sym_coherent] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_writeonly] = ACTIONS(2250),
    [anon_sym_precision] = ACTIONS(2250),
    [anon_sym_highp] = ACTIONS(2250),
    [anon_sym_mediump] = ACTIONS(2250),
    [anon_sym_lowp] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_patch] = ACTIONS(2250),
    [anon_sym_smooth] = ACTIONS(2250),
    [anon_sym_flat] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym___attribute] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_auto] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym__Nonnull] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym__Alignas] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2250),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2250),
    [anon_sym_hitAttributeEXT] = ACTIONS(2250),
    [anon_sym_callableDataEXT] = ACTIONS(2250),
    [anon_sym_callableDataInEXT] = ACTIONS(2250),
    [anon_sym_shaderRecordEXT] = ACTIONS(2250),
    [anon_sym_rayPayloadNV] = ACTIONS(2250),
    [anon_sym_rayPayloadInNV] = ACTIONS(2250),
    [anon_sym_hitAttributeNV] = ACTIONS(2250),
    [anon_sym_callableDataNV] = ACTIONS(2250),
    [anon_sym_callableDataInNV] = ACTIONS(2250),
    [anon_sym_shaderRecordNV] = ACTIONS(2250),
    [anon_sym_layout] = ACTIONS(2250),
  },
  [562] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_subroutine] = ACTIONS(1504),
    [anon_sym_invariant] = ACTIONS(1504),
    [anon_sym_precise] = ACTIONS(1504),
    [anon_sym_in] = ACTIONS(1504),
    [anon_sym_out] = ACTIONS(1504),
    [anon_sym_inout] = ACTIONS(1504),
    [anon_sym_uniform] = ACTIONS(1504),
    [anon_sym_shared] = ACTIONS(1504),
    [anon_sym_attribute] = ACTIONS(1504),
    [anon_sym_varying] = ACTIONS(1504),
    [anon_sym_buffer] = ACTIONS(1504),
    [anon_sym_coherent] = ACTIONS(1504),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_writeonly] = ACTIONS(1504),
    [anon_sym_precision] = ACTIONS(1504),
    [anon_sym_highp] = ACTIONS(1504),
    [anon_sym_mediump] = ACTIONS(1504),
    [anon_sym_lowp] = ACTIONS(1504),
    [anon_sym_centroid] = ACTIONS(1504),
    [anon_sym_sample] = ACTIONS(1504),
    [anon_sym_patch] = ACTIONS(1504),
    [anon_sym_smooth] = ACTIONS(1504),
    [anon_sym_flat] = ACTIONS(1504),
    [anon_sym_noperspective] = ACTIONS(1504),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym___attribute] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [anon_sym__Nonnull] = ACTIONS(1504),
    [anon_sym_alignas] = ACTIONS(1504),
    [anon_sym__Alignas] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1504),
    [anon_sym_hitAttributeEXT] = ACTIONS(1504),
    [anon_sym_callableDataEXT] = ACTIONS(1504),
    [anon_sym_callableDataInEXT] = ACTIONS(1504),
    [anon_sym_shaderRecordEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadNV] = ACTIONS(1504),
    [anon_sym_rayPayloadInNV] = ACTIONS(1504),
    [anon_sym_hitAttributeNV] = ACTIONS(1504),
    [anon_sym_callableDataNV] = ACTIONS(1504),
    [anon_sym_callableDataInNV] = ACTIONS(1504),
    [anon_sym_shaderRecordNV] = ACTIONS(1504),
    [anon_sym_layout] = ACTIONS(1504),
  },
  [563] = {
    [sym_identifier] = ACTIONS(1528),
    [aux_sym_preproc_def_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token2] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1528),
    [aux_sym_preproc_else_token1] = ACTIONS(1528),
    [aux_sym_preproc_elif_token1] = ACTIONS(1528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1528),
    [sym_preproc_directive] = ACTIONS(1528),
    [anon_sym_subroutine] = ACTIONS(1528),
    [anon_sym_invariant] = ACTIONS(1528),
    [anon_sym_precise] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_out] = ACTIONS(1528),
    [anon_sym_inout] = ACTIONS(1528),
    [anon_sym_uniform] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_attribute] = ACTIONS(1528),
    [anon_sym_varying] = ACTIONS(1528),
    [anon_sym_buffer] = ACTIONS(1528),
    [anon_sym_coherent] = ACTIONS(1528),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_writeonly] = ACTIONS(1528),
    [anon_sym_precision] = ACTIONS(1528),
    [anon_sym_highp] = ACTIONS(1528),
    [anon_sym_mediump] = ACTIONS(1528),
    [anon_sym_lowp] = ACTIONS(1528),
    [anon_sym_centroid] = ACTIONS(1528),
    [anon_sym_sample] = ACTIONS(1528),
    [anon_sym_patch] = ACTIONS(1528),
    [anon_sym_smooth] = ACTIONS(1528),
    [anon_sym_flat] = ACTIONS(1528),
    [anon_sym_noperspective] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1528),
    [anon_sym_extern] = ACTIONS(1528),
    [anon_sym___attribute__] = ACTIONS(1528),
    [anon_sym___attribute] = ACTIONS(1528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1530),
    [anon_sym___declspec] = ACTIONS(1528),
    [anon_sym_signed] = ACTIONS(1528),
    [anon_sym_unsigned] = ACTIONS(1528),
    [anon_sym_long] = ACTIONS(1528),
    [anon_sym_short] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_auto] = ACTIONS(1528),
    [anon_sym_register] = ACTIONS(1528),
    [anon_sym_inline] = ACTIONS(1528),
    [anon_sym___inline] = ACTIONS(1528),
    [anon_sym___inline__] = ACTIONS(1528),
    [anon_sym___forceinline] = ACTIONS(1528),
    [anon_sym_thread_local] = ACTIONS(1528),
    [anon_sym___thread] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_constexpr] = ACTIONS(1528),
    [anon_sym_volatile] = ACTIONS(1528),
    [anon_sym_restrict] = ACTIONS(1528),
    [anon_sym___restrict__] = ACTIONS(1528),
    [anon_sym__Atomic] = ACTIONS(1528),
    [anon_sym__Noreturn] = ACTIONS(1528),
    [anon_sym_noreturn] = ACTIONS(1528),
    [anon_sym__Nonnull] = ACTIONS(1528),
    [anon_sym_alignas] = ACTIONS(1528),
    [anon_sym__Alignas] = ACTIONS(1528),
    [sym_primitive_type] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1528),
    [anon_sym_hitAttributeEXT] = ACTIONS(1528),
    [anon_sym_callableDataEXT] = ACTIONS(1528),
    [anon_sym_callableDataInEXT] = ACTIONS(1528),
    [anon_sym_shaderRecordEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadNV] = ACTIONS(1528),
    [anon_sym_rayPayloadInNV] = ACTIONS(1528),
    [anon_sym_hitAttributeNV] = ACTIONS(1528),
    [anon_sym_callableDataNV] = ACTIONS(1528),
    [anon_sym_callableDataInNV] = ACTIONS(1528),
    [anon_sym_shaderRecordNV] = ACTIONS(1528),
    [anon_sym_layout] = ACTIONS(1528),
  },
  [564] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [aux_sym_preproc_else_token1] = ACTIONS(1440),
    [aux_sym_preproc_elif_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_subroutine] = ACTIONS(1440),
    [anon_sym_invariant] = ACTIONS(1440),
    [anon_sym_precise] = ACTIONS(1440),
    [anon_sym_in] = ACTIONS(1440),
    [anon_sym_out] = ACTIONS(1440),
    [anon_sym_inout] = ACTIONS(1440),
    [anon_sym_uniform] = ACTIONS(1440),
    [anon_sym_shared] = ACTIONS(1440),
    [anon_sym_attribute] = ACTIONS(1440),
    [anon_sym_varying] = ACTIONS(1440),
    [anon_sym_buffer] = ACTIONS(1440),
    [anon_sym_coherent] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_writeonly] = ACTIONS(1440),
    [anon_sym_precision] = ACTIONS(1440),
    [anon_sym_highp] = ACTIONS(1440),
    [anon_sym_mediump] = ACTIONS(1440),
    [anon_sym_lowp] = ACTIONS(1440),
    [anon_sym_centroid] = ACTIONS(1440),
    [anon_sym_sample] = ACTIONS(1440),
    [anon_sym_patch] = ACTIONS(1440),
    [anon_sym_smooth] = ACTIONS(1440),
    [anon_sym_flat] = ACTIONS(1440),
    [anon_sym_noperspective] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym___attribute] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [anon_sym__Nonnull] = ACTIONS(1440),
    [anon_sym_alignas] = ACTIONS(1440),
    [anon_sym__Alignas] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1440),
    [anon_sym_hitAttributeEXT] = ACTIONS(1440),
    [anon_sym_callableDataEXT] = ACTIONS(1440),
    [anon_sym_callableDataInEXT] = ACTIONS(1440),
    [anon_sym_shaderRecordEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadNV] = ACTIONS(1440),
    [anon_sym_rayPayloadInNV] = ACTIONS(1440),
    [anon_sym_hitAttributeNV] = ACTIONS(1440),
    [anon_sym_callableDataNV] = ACTIONS(1440),
    [anon_sym_callableDataInNV] = ACTIONS(1440),
    [anon_sym_shaderRecordNV] = ACTIONS(1440),
    [anon_sym_layout] = ACTIONS(1440),
  },
  [565] = {
    [sym_identifier] = ACTIONS(1532),
    [aux_sym_preproc_def_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token2] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1532),
    [aux_sym_preproc_else_token1] = ACTIONS(1532),
    [aux_sym_preproc_elif_token1] = ACTIONS(1532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1532),
    [sym_preproc_directive] = ACTIONS(1532),
    [anon_sym_subroutine] = ACTIONS(1532),
    [anon_sym_invariant] = ACTIONS(1532),
    [anon_sym_precise] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_out] = ACTIONS(1532),
    [anon_sym_inout] = ACTIONS(1532),
    [anon_sym_uniform] = ACTIONS(1532),
    [anon_sym_shared] = ACTIONS(1532),
    [anon_sym_attribute] = ACTIONS(1532),
    [anon_sym_varying] = ACTIONS(1532),
    [anon_sym_buffer] = ACTIONS(1532),
    [anon_sym_coherent] = ACTIONS(1532),
    [anon_sym_readonly] = ACTIONS(1532),
    [anon_sym_writeonly] = ACTIONS(1532),
    [anon_sym_precision] = ACTIONS(1532),
    [anon_sym_highp] = ACTIONS(1532),
    [anon_sym_mediump] = ACTIONS(1532),
    [anon_sym_lowp] = ACTIONS(1532),
    [anon_sym_centroid] = ACTIONS(1532),
    [anon_sym_sample] = ACTIONS(1532),
    [anon_sym_patch] = ACTIONS(1532),
    [anon_sym_smooth] = ACTIONS(1532),
    [anon_sym_flat] = ACTIONS(1532),
    [anon_sym_noperspective] = ACTIONS(1532),
    [anon_sym___extension__] = ACTIONS(1532),
    [anon_sym_extern] = ACTIONS(1532),
    [anon_sym___attribute__] = ACTIONS(1532),
    [anon_sym___attribute] = ACTIONS(1532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1534),
    [anon_sym___declspec] = ACTIONS(1532),
    [anon_sym_signed] = ACTIONS(1532),
    [anon_sym_unsigned] = ACTIONS(1532),
    [anon_sym_long] = ACTIONS(1532),
    [anon_sym_short] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_auto] = ACTIONS(1532),
    [anon_sym_register] = ACTIONS(1532),
    [anon_sym_inline] = ACTIONS(1532),
    [anon_sym___inline] = ACTIONS(1532),
    [anon_sym___inline__] = ACTIONS(1532),
    [anon_sym___forceinline] = ACTIONS(1532),
    [anon_sym_thread_local] = ACTIONS(1532),
    [anon_sym___thread] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_constexpr] = ACTIONS(1532),
    [anon_sym_volatile] = ACTIONS(1532),
    [anon_sym_restrict] = ACTIONS(1532),
    [anon_sym___restrict__] = ACTIONS(1532),
    [anon_sym__Atomic] = ACTIONS(1532),
    [anon_sym__Noreturn] = ACTIONS(1532),
    [anon_sym_noreturn] = ACTIONS(1532),
    [anon_sym__Nonnull] = ACTIONS(1532),
    [anon_sym_alignas] = ACTIONS(1532),
    [anon_sym__Alignas] = ACTIONS(1532),
    [sym_primitive_type] = ACTIONS(1532),
    [anon_sym_enum] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1532),
    [anon_sym_union] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1532),
    [anon_sym_hitAttributeEXT] = ACTIONS(1532),
    [anon_sym_callableDataEXT] = ACTIONS(1532),
    [anon_sym_callableDataInEXT] = ACTIONS(1532),
    [anon_sym_shaderRecordEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadNV] = ACTIONS(1532),
    [anon_sym_rayPayloadInNV] = ACTIONS(1532),
    [anon_sym_hitAttributeNV] = ACTIONS(1532),
    [anon_sym_callableDataNV] = ACTIONS(1532),
    [anon_sym_callableDataInNV] = ACTIONS(1532),
    [anon_sym_shaderRecordNV] = ACTIONS(1532),
    [anon_sym_layout] = ACTIONS(1532),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token2] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [aux_sym_preproc_else_token1] = ACTIONS(2254),
    [aux_sym_preproc_elif_token1] = ACTIONS(2254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_subroutine] = ACTIONS(2254),
    [anon_sym_invariant] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_attribute] = ACTIONS(2254),
    [anon_sym_varying] = ACTIONS(2254),
    [anon_sym_buffer] = ACTIONS(2254),
    [anon_sym_coherent] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_writeonly] = ACTIONS(2254),
    [anon_sym_precision] = ACTIONS(2254),
    [anon_sym_highp] = ACTIONS(2254),
    [anon_sym_mediump] = ACTIONS(2254),
    [anon_sym_lowp] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_patch] = ACTIONS(2254),
    [anon_sym_smooth] = ACTIONS(2254),
    [anon_sym_flat] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym___attribute] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_auto] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym__Nonnull] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym__Alignas] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2254),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2254),
    [anon_sym_hitAttributeEXT] = ACTIONS(2254),
    [anon_sym_callableDataEXT] = ACTIONS(2254),
    [anon_sym_callableDataInEXT] = ACTIONS(2254),
    [anon_sym_shaderRecordEXT] = ACTIONS(2254),
    [anon_sym_rayPayloadNV] = ACTIONS(2254),
    [anon_sym_rayPayloadInNV] = ACTIONS(2254),
    [anon_sym_hitAttributeNV] = ACTIONS(2254),
    [anon_sym_callableDataNV] = ACTIONS(2254),
    [anon_sym_callableDataInNV] = ACTIONS(2254),
    [anon_sym_shaderRecordNV] = ACTIONS(2254),
    [anon_sym_layout] = ACTIONS(2254),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token2] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [aux_sym_preproc_else_token1] = ACTIONS(2258),
    [aux_sym_preproc_elif_token1] = ACTIONS(2258),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_subroutine] = ACTIONS(2258),
    [anon_sym_invariant] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_attribute] = ACTIONS(2258),
    [anon_sym_varying] = ACTIONS(2258),
    [anon_sym_buffer] = ACTIONS(2258),
    [anon_sym_coherent] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_writeonly] = ACTIONS(2258),
    [anon_sym_precision] = ACTIONS(2258),
    [anon_sym_highp] = ACTIONS(2258),
    [anon_sym_mediump] = ACTIONS(2258),
    [anon_sym_lowp] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_patch] = ACTIONS(2258),
    [anon_sym_smooth] = ACTIONS(2258),
    [anon_sym_flat] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym___attribute] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_auto] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym__Nonnull] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym__Alignas] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2258),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2258),
    [anon_sym_hitAttributeEXT] = ACTIONS(2258),
    [anon_sym_callableDataEXT] = ACTIONS(2258),
    [anon_sym_callableDataInEXT] = ACTIONS(2258),
    [anon_sym_shaderRecordEXT] = ACTIONS(2258),
    [anon_sym_rayPayloadNV] = ACTIONS(2258),
    [anon_sym_rayPayloadInNV] = ACTIONS(2258),
    [anon_sym_hitAttributeNV] = ACTIONS(2258),
    [anon_sym_callableDataNV] = ACTIONS(2258),
    [anon_sym_callableDataInNV] = ACTIONS(2258),
    [anon_sym_shaderRecordNV] = ACTIONS(2258),
    [anon_sym_layout] = ACTIONS(2258),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2262),
    [aux_sym_preproc_def_token1] = ACTIONS(2262),
    [aux_sym_preproc_if_token1] = ACTIONS(2262),
    [aux_sym_preproc_if_token2] = ACTIONS(2262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2262),
    [aux_sym_preproc_else_token1] = ACTIONS(2262),
    [aux_sym_preproc_elif_token1] = ACTIONS(2262),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2262),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2262),
    [sym_preproc_directive] = ACTIONS(2262),
    [anon_sym_subroutine] = ACTIONS(2262),
    [anon_sym_invariant] = ACTIONS(2262),
    [anon_sym_precise] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_out] = ACTIONS(2262),
    [anon_sym_inout] = ACTIONS(2262),
    [anon_sym_uniform] = ACTIONS(2262),
    [anon_sym_shared] = ACTIONS(2262),
    [anon_sym_attribute] = ACTIONS(2262),
    [anon_sym_varying] = ACTIONS(2262),
    [anon_sym_buffer] = ACTIONS(2262),
    [anon_sym_coherent] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_writeonly] = ACTIONS(2262),
    [anon_sym_precision] = ACTIONS(2262),
    [anon_sym_highp] = ACTIONS(2262),
    [anon_sym_mediump] = ACTIONS(2262),
    [anon_sym_lowp] = ACTIONS(2262),
    [anon_sym_centroid] = ACTIONS(2262),
    [anon_sym_sample] = ACTIONS(2262),
    [anon_sym_patch] = ACTIONS(2262),
    [anon_sym_smooth] = ACTIONS(2262),
    [anon_sym_flat] = ACTIONS(2262),
    [anon_sym_noperspective] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2262),
    [anon_sym_extern] = ACTIONS(2262),
    [anon_sym___attribute__] = ACTIONS(2262),
    [anon_sym___attribute] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2264),
    [anon_sym___declspec] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2262),
    [anon_sym_unsigned] = ACTIONS(2262),
    [anon_sym_long] = ACTIONS(2262),
    [anon_sym_short] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_auto] = ACTIONS(2262),
    [anon_sym_register] = ACTIONS(2262),
    [anon_sym_inline] = ACTIONS(2262),
    [anon_sym___inline] = ACTIONS(2262),
    [anon_sym___inline__] = ACTIONS(2262),
    [anon_sym___forceinline] = ACTIONS(2262),
    [anon_sym_thread_local] = ACTIONS(2262),
    [anon_sym___thread] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_constexpr] = ACTIONS(2262),
    [anon_sym_volatile] = ACTIONS(2262),
    [anon_sym_restrict] = ACTIONS(2262),
    [anon_sym___restrict__] = ACTIONS(2262),
    [anon_sym__Atomic] = ACTIONS(2262),
    [anon_sym__Noreturn] = ACTIONS(2262),
    [anon_sym_noreturn] = ACTIONS(2262),
    [anon_sym__Nonnull] = ACTIONS(2262),
    [anon_sym_alignas] = ACTIONS(2262),
    [anon_sym__Alignas] = ACTIONS(2262),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [anon_sym_struct] = ACTIONS(2262),
    [anon_sym_union] = ACTIONS(2262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2262),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2262),
    [anon_sym_hitAttributeEXT] = ACTIONS(2262),
    [anon_sym_callableDataEXT] = ACTIONS(2262),
    [anon_sym_callableDataInEXT] = ACTIONS(2262),
    [anon_sym_shaderRecordEXT] = ACTIONS(2262),
    [anon_sym_rayPayloadNV] = ACTIONS(2262),
    [anon_sym_rayPayloadInNV] = ACTIONS(2262),
    [anon_sym_hitAttributeNV] = ACTIONS(2262),
    [anon_sym_callableDataNV] = ACTIONS(2262),
    [anon_sym_callableDataInNV] = ACTIONS(2262),
    [anon_sym_shaderRecordNV] = ACTIONS(2262),
    [anon_sym_layout] = ACTIONS(2262),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2266),
    [aux_sym_preproc_def_token1] = ACTIONS(2266),
    [aux_sym_preproc_if_token1] = ACTIONS(2266),
    [aux_sym_preproc_if_token2] = ACTIONS(2266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2266),
    [aux_sym_preproc_else_token1] = ACTIONS(2266),
    [aux_sym_preproc_elif_token1] = ACTIONS(2266),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2266),
    [sym_preproc_directive] = ACTIONS(2266),
    [anon_sym_subroutine] = ACTIONS(2266),
    [anon_sym_invariant] = ACTIONS(2266),
    [anon_sym_precise] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2266),
    [anon_sym_out] = ACTIONS(2266),
    [anon_sym_inout] = ACTIONS(2266),
    [anon_sym_uniform] = ACTIONS(2266),
    [anon_sym_shared] = ACTIONS(2266),
    [anon_sym_attribute] = ACTIONS(2266),
    [anon_sym_varying] = ACTIONS(2266),
    [anon_sym_buffer] = ACTIONS(2266),
    [anon_sym_coherent] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_writeonly] = ACTIONS(2266),
    [anon_sym_precision] = ACTIONS(2266),
    [anon_sym_highp] = ACTIONS(2266),
    [anon_sym_mediump] = ACTIONS(2266),
    [anon_sym_lowp] = ACTIONS(2266),
    [anon_sym_centroid] = ACTIONS(2266),
    [anon_sym_sample] = ACTIONS(2266),
    [anon_sym_patch] = ACTIONS(2266),
    [anon_sym_smooth] = ACTIONS(2266),
    [anon_sym_flat] = ACTIONS(2266),
    [anon_sym_noperspective] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2266),
    [anon_sym_extern] = ACTIONS(2266),
    [anon_sym___attribute__] = ACTIONS(2266),
    [anon_sym___attribute] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2268),
    [anon_sym___declspec] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2266),
    [anon_sym_unsigned] = ACTIONS(2266),
    [anon_sym_long] = ACTIONS(2266),
    [anon_sym_short] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_auto] = ACTIONS(2266),
    [anon_sym_register] = ACTIONS(2266),
    [anon_sym_inline] = ACTIONS(2266),
    [anon_sym___inline] = ACTIONS(2266),
    [anon_sym___inline__] = ACTIONS(2266),
    [anon_sym___forceinline] = ACTIONS(2266),
    [anon_sym_thread_local] = ACTIONS(2266),
    [anon_sym___thread] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_constexpr] = ACTIONS(2266),
    [anon_sym_volatile] = ACTIONS(2266),
    [anon_sym_restrict] = ACTIONS(2266),
    [anon_sym___restrict__] = ACTIONS(2266),
    [anon_sym__Atomic] = ACTIONS(2266),
    [anon_sym__Noreturn] = ACTIONS(2266),
    [anon_sym_noreturn] = ACTIONS(2266),
    [anon_sym__Nonnull] = ACTIONS(2266),
    [anon_sym_alignas] = ACTIONS(2266),
    [anon_sym__Alignas] = ACTIONS(2266),
    [sym_primitive_type] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [anon_sym_struct] = ACTIONS(2266),
    [anon_sym_union] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2266),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2266),
    [anon_sym_hitAttributeEXT] = ACTIONS(2266),
    [anon_sym_callableDataEXT] = ACTIONS(2266),
    [anon_sym_callableDataInEXT] = ACTIONS(2266),
    [anon_sym_shaderRecordEXT] = ACTIONS(2266),
    [anon_sym_rayPayloadNV] = ACTIONS(2266),
    [anon_sym_rayPayloadInNV] = ACTIONS(2266),
    [anon_sym_hitAttributeNV] = ACTIONS(2266),
    [anon_sym_callableDataNV] = ACTIONS(2266),
    [anon_sym_callableDataInNV] = ACTIONS(2266),
    [anon_sym_shaderRecordNV] = ACTIONS(2266),
    [anon_sym_layout] = ACTIONS(2266),
  },
  [570] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [aux_sym_preproc_else_token1] = ACTIONS(1476),
    [aux_sym_preproc_elif_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_subroutine] = ACTIONS(1476),
    [anon_sym_invariant] = ACTIONS(1476),
    [anon_sym_precise] = ACTIONS(1476),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_out] = ACTIONS(1476),
    [anon_sym_inout] = ACTIONS(1476),
    [anon_sym_uniform] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_attribute] = ACTIONS(1476),
    [anon_sym_varying] = ACTIONS(1476),
    [anon_sym_buffer] = ACTIONS(1476),
    [anon_sym_coherent] = ACTIONS(1476),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_writeonly] = ACTIONS(1476),
    [anon_sym_precision] = ACTIONS(1476),
    [anon_sym_highp] = ACTIONS(1476),
    [anon_sym_mediump] = ACTIONS(1476),
    [anon_sym_lowp] = ACTIONS(1476),
    [anon_sym_centroid] = ACTIONS(1476),
    [anon_sym_sample] = ACTIONS(1476),
    [anon_sym_patch] = ACTIONS(1476),
    [anon_sym_smooth] = ACTIONS(1476),
    [anon_sym_flat] = ACTIONS(1476),
    [anon_sym_noperspective] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym___attribute] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [anon_sym__Nonnull] = ACTIONS(1476),
    [anon_sym_alignas] = ACTIONS(1476),
    [anon_sym__Alignas] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1476),
    [anon_sym_hitAttributeEXT] = ACTIONS(1476),
    [anon_sym_callableDataEXT] = ACTIONS(1476),
    [anon_sym_callableDataInEXT] = ACTIONS(1476),
    [anon_sym_shaderRecordEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadNV] = ACTIONS(1476),
    [anon_sym_rayPayloadInNV] = ACTIONS(1476),
    [anon_sym_hitAttributeNV] = ACTIONS(1476),
    [anon_sym_callableDataNV] = ACTIONS(1476),
    [anon_sym_callableDataInNV] = ACTIONS(1476),
    [anon_sym_shaderRecordNV] = ACTIONS(1476),
    [anon_sym_layout] = ACTIONS(1476),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2270),
    [aux_sym_preproc_def_token1] = ACTIONS(2270),
    [aux_sym_preproc_if_token1] = ACTIONS(2270),
    [aux_sym_preproc_if_token2] = ACTIONS(2270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2270),
    [aux_sym_preproc_else_token1] = ACTIONS(2270),
    [aux_sym_preproc_elif_token1] = ACTIONS(2270),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2270),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2270),
    [sym_preproc_directive] = ACTIONS(2270),
    [anon_sym_subroutine] = ACTIONS(2270),
    [anon_sym_invariant] = ACTIONS(2270),
    [anon_sym_precise] = ACTIONS(2270),
    [anon_sym_in] = ACTIONS(2270),
    [anon_sym_out] = ACTIONS(2270),
    [anon_sym_inout] = ACTIONS(2270),
    [anon_sym_uniform] = ACTIONS(2270),
    [anon_sym_shared] = ACTIONS(2270),
    [anon_sym_attribute] = ACTIONS(2270),
    [anon_sym_varying] = ACTIONS(2270),
    [anon_sym_buffer] = ACTIONS(2270),
    [anon_sym_coherent] = ACTIONS(2270),
    [anon_sym_readonly] = ACTIONS(2270),
    [anon_sym_writeonly] = ACTIONS(2270),
    [anon_sym_precision] = ACTIONS(2270),
    [anon_sym_highp] = ACTIONS(2270),
    [anon_sym_mediump] = ACTIONS(2270),
    [anon_sym_lowp] = ACTIONS(2270),
    [anon_sym_centroid] = ACTIONS(2270),
    [anon_sym_sample] = ACTIONS(2270),
    [anon_sym_patch] = ACTIONS(2270),
    [anon_sym_smooth] = ACTIONS(2270),
    [anon_sym_flat] = ACTIONS(2270),
    [anon_sym_noperspective] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2270),
    [anon_sym_extern] = ACTIONS(2270),
    [anon_sym___attribute__] = ACTIONS(2270),
    [anon_sym___attribute] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2272),
    [anon_sym___declspec] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2270),
    [anon_sym_unsigned] = ACTIONS(2270),
    [anon_sym_long] = ACTIONS(2270),
    [anon_sym_short] = ACTIONS(2270),
    [anon_sym_static] = ACTIONS(2270),
    [anon_sym_auto] = ACTIONS(2270),
    [anon_sym_register] = ACTIONS(2270),
    [anon_sym_inline] = ACTIONS(2270),
    [anon_sym___inline] = ACTIONS(2270),
    [anon_sym___inline__] = ACTIONS(2270),
    [anon_sym___forceinline] = ACTIONS(2270),
    [anon_sym_thread_local] = ACTIONS(2270),
    [anon_sym___thread] = ACTIONS(2270),
    [anon_sym_const] = ACTIONS(2270),
    [anon_sym_constexpr] = ACTIONS(2270),
    [anon_sym_volatile] = ACTIONS(2270),
    [anon_sym_restrict] = ACTIONS(2270),
    [anon_sym___restrict__] = ACTIONS(2270),
    [anon_sym__Atomic] = ACTIONS(2270),
    [anon_sym__Noreturn] = ACTIONS(2270),
    [anon_sym_noreturn] = ACTIONS(2270),
    [anon_sym__Nonnull] = ACTIONS(2270),
    [anon_sym_alignas] = ACTIONS(2270),
    [anon_sym__Alignas] = ACTIONS(2270),
    [sym_primitive_type] = ACTIONS(2270),
    [anon_sym_enum] = ACTIONS(2270),
    [anon_sym_struct] = ACTIONS(2270),
    [anon_sym_union] = ACTIONS(2270),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2270),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2270),
    [anon_sym_hitAttributeEXT] = ACTIONS(2270),
    [anon_sym_callableDataEXT] = ACTIONS(2270),
    [anon_sym_callableDataInEXT] = ACTIONS(2270),
    [anon_sym_shaderRecordEXT] = ACTIONS(2270),
    [anon_sym_rayPayloadNV] = ACTIONS(2270),
    [anon_sym_rayPayloadInNV] = ACTIONS(2270),
    [anon_sym_hitAttributeNV] = ACTIONS(2270),
    [anon_sym_callableDataNV] = ACTIONS(2270),
    [anon_sym_callableDataInNV] = ACTIONS(2270),
    [anon_sym_shaderRecordNV] = ACTIONS(2270),
    [anon_sym_layout] = ACTIONS(2270),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2274),
    [aux_sym_preproc_def_token1] = ACTIONS(2274),
    [aux_sym_preproc_if_token1] = ACTIONS(2274),
    [aux_sym_preproc_if_token2] = ACTIONS(2274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2274),
    [aux_sym_preproc_else_token1] = ACTIONS(2274),
    [aux_sym_preproc_elif_token1] = ACTIONS(2274),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2274),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2274),
    [sym_preproc_directive] = ACTIONS(2274),
    [anon_sym_subroutine] = ACTIONS(2274),
    [anon_sym_invariant] = ACTIONS(2274),
    [anon_sym_precise] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_out] = ACTIONS(2274),
    [anon_sym_inout] = ACTIONS(2274),
    [anon_sym_uniform] = ACTIONS(2274),
    [anon_sym_shared] = ACTIONS(2274),
    [anon_sym_attribute] = ACTIONS(2274),
    [anon_sym_varying] = ACTIONS(2274),
    [anon_sym_buffer] = ACTIONS(2274),
    [anon_sym_coherent] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_writeonly] = ACTIONS(2274),
    [anon_sym_precision] = ACTIONS(2274),
    [anon_sym_highp] = ACTIONS(2274),
    [anon_sym_mediump] = ACTIONS(2274),
    [anon_sym_lowp] = ACTIONS(2274),
    [anon_sym_centroid] = ACTIONS(2274),
    [anon_sym_sample] = ACTIONS(2274),
    [anon_sym_patch] = ACTIONS(2274),
    [anon_sym_smooth] = ACTIONS(2274),
    [anon_sym_flat] = ACTIONS(2274),
    [anon_sym_noperspective] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2274),
    [anon_sym_extern] = ACTIONS(2274),
    [anon_sym___attribute__] = ACTIONS(2274),
    [anon_sym___attribute] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2276),
    [anon_sym___declspec] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2274),
    [anon_sym_unsigned] = ACTIONS(2274),
    [anon_sym_long] = ACTIONS(2274),
    [anon_sym_short] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_auto] = ACTIONS(2274),
    [anon_sym_register] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(2274),
    [anon_sym___inline] = ACTIONS(2274),
    [anon_sym___inline__] = ACTIONS(2274),
    [anon_sym___forceinline] = ACTIONS(2274),
    [anon_sym_thread_local] = ACTIONS(2274),
    [anon_sym___thread] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_constexpr] = ACTIONS(2274),
    [anon_sym_volatile] = ACTIONS(2274),
    [anon_sym_restrict] = ACTIONS(2274),
    [anon_sym___restrict__] = ACTIONS(2274),
    [anon_sym__Atomic] = ACTIONS(2274),
    [anon_sym__Noreturn] = ACTIONS(2274),
    [anon_sym_noreturn] = ACTIONS(2274),
    [anon_sym__Nonnull] = ACTIONS(2274),
    [anon_sym_alignas] = ACTIONS(2274),
    [anon_sym__Alignas] = ACTIONS(2274),
    [sym_primitive_type] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [anon_sym_struct] = ACTIONS(2274),
    [anon_sym_union] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2274),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2274),
    [anon_sym_hitAttributeEXT] = ACTIONS(2274),
    [anon_sym_callableDataEXT] = ACTIONS(2274),
    [anon_sym_callableDataInEXT] = ACTIONS(2274),
    [anon_sym_shaderRecordEXT] = ACTIONS(2274),
    [anon_sym_rayPayloadNV] = ACTIONS(2274),
    [anon_sym_rayPayloadInNV] = ACTIONS(2274),
    [anon_sym_hitAttributeNV] = ACTIONS(2274),
    [anon_sym_callableDataNV] = ACTIONS(2274),
    [anon_sym_callableDataInNV] = ACTIONS(2274),
    [anon_sym_shaderRecordNV] = ACTIONS(2274),
    [anon_sym_layout] = ACTIONS(2274),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2278),
    [aux_sym_preproc_def_token1] = ACTIONS(2278),
    [aux_sym_preproc_if_token1] = ACTIONS(2278),
    [aux_sym_preproc_if_token2] = ACTIONS(2278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2278),
    [aux_sym_preproc_else_token1] = ACTIONS(2278),
    [aux_sym_preproc_elif_token1] = ACTIONS(2278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2278),
    [sym_preproc_directive] = ACTIONS(2278),
    [anon_sym_subroutine] = ACTIONS(2278),
    [anon_sym_invariant] = ACTIONS(2278),
    [anon_sym_precise] = ACTIONS(2278),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_out] = ACTIONS(2278),
    [anon_sym_inout] = ACTIONS(2278),
    [anon_sym_uniform] = ACTIONS(2278),
    [anon_sym_shared] = ACTIONS(2278),
    [anon_sym_attribute] = ACTIONS(2278),
    [anon_sym_varying] = ACTIONS(2278),
    [anon_sym_buffer] = ACTIONS(2278),
    [anon_sym_coherent] = ACTIONS(2278),
    [anon_sym_readonly] = ACTIONS(2278),
    [anon_sym_writeonly] = ACTIONS(2278),
    [anon_sym_precision] = ACTIONS(2278),
    [anon_sym_highp] = ACTIONS(2278),
    [anon_sym_mediump] = ACTIONS(2278),
    [anon_sym_lowp] = ACTIONS(2278),
    [anon_sym_centroid] = ACTIONS(2278),
    [anon_sym_sample] = ACTIONS(2278),
    [anon_sym_patch] = ACTIONS(2278),
    [anon_sym_smooth] = ACTIONS(2278),
    [anon_sym_flat] = ACTIONS(2278),
    [anon_sym_noperspective] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2278),
    [anon_sym_extern] = ACTIONS(2278),
    [anon_sym___attribute__] = ACTIONS(2278),
    [anon_sym___attribute] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2280),
    [anon_sym___declspec] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2278),
    [anon_sym_unsigned] = ACTIONS(2278),
    [anon_sym_long] = ACTIONS(2278),
    [anon_sym_short] = ACTIONS(2278),
    [anon_sym_static] = ACTIONS(2278),
    [anon_sym_auto] = ACTIONS(2278),
    [anon_sym_register] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(2278),
    [anon_sym___inline] = ACTIONS(2278),
    [anon_sym___inline__] = ACTIONS(2278),
    [anon_sym___forceinline] = ACTIONS(2278),
    [anon_sym_thread_local] = ACTIONS(2278),
    [anon_sym___thread] = ACTIONS(2278),
    [anon_sym_const] = ACTIONS(2278),
    [anon_sym_constexpr] = ACTIONS(2278),
    [anon_sym_volatile] = ACTIONS(2278),
    [anon_sym_restrict] = ACTIONS(2278),
    [anon_sym___restrict__] = ACTIONS(2278),
    [anon_sym__Atomic] = ACTIONS(2278),
    [anon_sym__Noreturn] = ACTIONS(2278),
    [anon_sym_noreturn] = ACTIONS(2278),
    [anon_sym__Nonnull] = ACTIONS(2278),
    [anon_sym_alignas] = ACTIONS(2278),
    [anon_sym__Alignas] = ACTIONS(2278),
    [sym_primitive_type] = ACTIONS(2278),
    [anon_sym_enum] = ACTIONS(2278),
    [anon_sym_struct] = ACTIONS(2278),
    [anon_sym_union] = ACTIONS(2278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2278),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2278),
    [anon_sym_hitAttributeEXT] = ACTIONS(2278),
    [anon_sym_callableDataEXT] = ACTIONS(2278),
    [anon_sym_callableDataInEXT] = ACTIONS(2278),
    [anon_sym_shaderRecordEXT] = ACTIONS(2278),
    [anon_sym_rayPayloadNV] = ACTIONS(2278),
    [anon_sym_rayPayloadInNV] = ACTIONS(2278),
    [anon_sym_hitAttributeNV] = ACTIONS(2278),
    [anon_sym_callableDataNV] = ACTIONS(2278),
    [anon_sym_callableDataInNV] = ACTIONS(2278),
    [anon_sym_shaderRecordNV] = ACTIONS(2278),
    [anon_sym_layout] = ACTIONS(2278),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2282),
    [aux_sym_preproc_def_token1] = ACTIONS(2282),
    [aux_sym_preproc_if_token1] = ACTIONS(2282),
    [aux_sym_preproc_if_token2] = ACTIONS(2282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2282),
    [aux_sym_preproc_else_token1] = ACTIONS(2282),
    [aux_sym_preproc_elif_token1] = ACTIONS(2282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2282),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2282),
    [sym_preproc_directive] = ACTIONS(2282),
    [anon_sym_subroutine] = ACTIONS(2282),
    [anon_sym_invariant] = ACTIONS(2282),
    [anon_sym_precise] = ACTIONS(2282),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_out] = ACTIONS(2282),
    [anon_sym_inout] = ACTIONS(2282),
    [anon_sym_uniform] = ACTIONS(2282),
    [anon_sym_shared] = ACTIONS(2282),
    [anon_sym_attribute] = ACTIONS(2282),
    [anon_sym_varying] = ACTIONS(2282),
    [anon_sym_buffer] = ACTIONS(2282),
    [anon_sym_coherent] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_writeonly] = ACTIONS(2282),
    [anon_sym_precision] = ACTIONS(2282),
    [anon_sym_highp] = ACTIONS(2282),
    [anon_sym_mediump] = ACTIONS(2282),
    [anon_sym_lowp] = ACTIONS(2282),
    [anon_sym_centroid] = ACTIONS(2282),
    [anon_sym_sample] = ACTIONS(2282),
    [anon_sym_patch] = ACTIONS(2282),
    [anon_sym_smooth] = ACTIONS(2282),
    [anon_sym_flat] = ACTIONS(2282),
    [anon_sym_noperspective] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2282),
    [anon_sym_extern] = ACTIONS(2282),
    [anon_sym___attribute__] = ACTIONS(2282),
    [anon_sym___attribute] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2284),
    [anon_sym___declspec] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2282),
    [anon_sym_unsigned] = ACTIONS(2282),
    [anon_sym_long] = ACTIONS(2282),
    [anon_sym_short] = ACTIONS(2282),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_auto] = ACTIONS(2282),
    [anon_sym_register] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(2282),
    [anon_sym___inline] = ACTIONS(2282),
    [anon_sym___inline__] = ACTIONS(2282),
    [anon_sym___forceinline] = ACTIONS(2282),
    [anon_sym_thread_local] = ACTIONS(2282),
    [anon_sym___thread] = ACTIONS(2282),
    [anon_sym_const] = ACTIONS(2282),
    [anon_sym_constexpr] = ACTIONS(2282),
    [anon_sym_volatile] = ACTIONS(2282),
    [anon_sym_restrict] = ACTIONS(2282),
    [anon_sym___restrict__] = ACTIONS(2282),
    [anon_sym__Atomic] = ACTIONS(2282),
    [anon_sym__Noreturn] = ACTIONS(2282),
    [anon_sym_noreturn] = ACTIONS(2282),
    [anon_sym__Nonnull] = ACTIONS(2282),
    [anon_sym_alignas] = ACTIONS(2282),
    [anon_sym__Alignas] = ACTIONS(2282),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_enum] = ACTIONS(2282),
    [anon_sym_struct] = ACTIONS(2282),
    [anon_sym_union] = ACTIONS(2282),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2282),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2282),
    [anon_sym_hitAttributeEXT] = ACTIONS(2282),
    [anon_sym_callableDataEXT] = ACTIONS(2282),
    [anon_sym_callableDataInEXT] = ACTIONS(2282),
    [anon_sym_shaderRecordEXT] = ACTIONS(2282),
    [anon_sym_rayPayloadNV] = ACTIONS(2282),
    [anon_sym_rayPayloadInNV] = ACTIONS(2282),
    [anon_sym_hitAttributeNV] = ACTIONS(2282),
    [anon_sym_callableDataNV] = ACTIONS(2282),
    [anon_sym_callableDataInNV] = ACTIONS(2282),
    [anon_sym_shaderRecordNV] = ACTIONS(2282),
    [anon_sym_layout] = ACTIONS(2282),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2286),
    [aux_sym_preproc_def_token1] = ACTIONS(2286),
    [aux_sym_preproc_if_token1] = ACTIONS(2286),
    [aux_sym_preproc_if_token2] = ACTIONS(2286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2286),
    [aux_sym_preproc_else_token1] = ACTIONS(2286),
    [aux_sym_preproc_elif_token1] = ACTIONS(2286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2286),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2286),
    [sym_preproc_directive] = ACTIONS(2286),
    [anon_sym_subroutine] = ACTIONS(2286),
    [anon_sym_invariant] = ACTIONS(2286),
    [anon_sym_precise] = ACTIONS(2286),
    [anon_sym_in] = ACTIONS(2286),
    [anon_sym_out] = ACTIONS(2286),
    [anon_sym_inout] = ACTIONS(2286),
    [anon_sym_uniform] = ACTIONS(2286),
    [anon_sym_shared] = ACTIONS(2286),
    [anon_sym_attribute] = ACTIONS(2286),
    [anon_sym_varying] = ACTIONS(2286),
    [anon_sym_buffer] = ACTIONS(2286),
    [anon_sym_coherent] = ACTIONS(2286),
    [anon_sym_readonly] = ACTIONS(2286),
    [anon_sym_writeonly] = ACTIONS(2286),
    [anon_sym_precision] = ACTIONS(2286),
    [anon_sym_highp] = ACTIONS(2286),
    [anon_sym_mediump] = ACTIONS(2286),
    [anon_sym_lowp] = ACTIONS(2286),
    [anon_sym_centroid] = ACTIONS(2286),
    [anon_sym_sample] = ACTIONS(2286),
    [anon_sym_patch] = ACTIONS(2286),
    [anon_sym_smooth] = ACTIONS(2286),
    [anon_sym_flat] = ACTIONS(2286),
    [anon_sym_noperspective] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2286),
    [anon_sym_extern] = ACTIONS(2286),
    [anon_sym___attribute__] = ACTIONS(2286),
    [anon_sym___attribute] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2288),
    [anon_sym___declspec] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2286),
    [anon_sym_unsigned] = ACTIONS(2286),
    [anon_sym_long] = ACTIONS(2286),
    [anon_sym_short] = ACTIONS(2286),
    [anon_sym_static] = ACTIONS(2286),
    [anon_sym_auto] = ACTIONS(2286),
    [anon_sym_register] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(2286),
    [anon_sym___inline] = ACTIONS(2286),
    [anon_sym___inline__] = ACTIONS(2286),
    [anon_sym___forceinline] = ACTIONS(2286),
    [anon_sym_thread_local] = ACTIONS(2286),
    [anon_sym___thread] = ACTIONS(2286),
    [anon_sym_const] = ACTIONS(2286),
    [anon_sym_constexpr] = ACTIONS(2286),
    [anon_sym_volatile] = ACTIONS(2286),
    [anon_sym_restrict] = ACTIONS(2286),
    [anon_sym___restrict__] = ACTIONS(2286),
    [anon_sym__Atomic] = ACTIONS(2286),
    [anon_sym__Noreturn] = ACTIONS(2286),
    [anon_sym_noreturn] = ACTIONS(2286),
    [anon_sym__Nonnull] = ACTIONS(2286),
    [anon_sym_alignas] = ACTIONS(2286),
    [anon_sym__Alignas] = ACTIONS(2286),
    [sym_primitive_type] = ACTIONS(2286),
    [anon_sym_enum] = ACTIONS(2286),
    [anon_sym_struct] = ACTIONS(2286),
    [anon_sym_union] = ACTIONS(2286),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2286),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2286),
    [anon_sym_hitAttributeEXT] = ACTIONS(2286),
    [anon_sym_callableDataEXT] = ACTIONS(2286),
    [anon_sym_callableDataInEXT] = ACTIONS(2286),
    [anon_sym_shaderRecordEXT] = ACTIONS(2286),
    [anon_sym_rayPayloadNV] = ACTIONS(2286),
    [anon_sym_rayPayloadInNV] = ACTIONS(2286),
    [anon_sym_hitAttributeNV] = ACTIONS(2286),
    [anon_sym_callableDataNV] = ACTIONS(2286),
    [anon_sym_callableDataInNV] = ACTIONS(2286),
    [anon_sym_shaderRecordNV] = ACTIONS(2286),
    [anon_sym_layout] = ACTIONS(2286),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2290),
    [aux_sym_preproc_def_token1] = ACTIONS(2290),
    [aux_sym_preproc_if_token1] = ACTIONS(2290),
    [aux_sym_preproc_if_token2] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2290),
    [aux_sym_preproc_else_token1] = ACTIONS(2290),
    [aux_sym_preproc_elif_token1] = ACTIONS(2290),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2290),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2290),
    [sym_preproc_directive] = ACTIONS(2290),
    [anon_sym_subroutine] = ACTIONS(2290),
    [anon_sym_invariant] = ACTIONS(2290),
    [anon_sym_precise] = ACTIONS(2290),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_out] = ACTIONS(2290),
    [anon_sym_inout] = ACTIONS(2290),
    [anon_sym_uniform] = ACTIONS(2290),
    [anon_sym_shared] = ACTIONS(2290),
    [anon_sym_attribute] = ACTIONS(2290),
    [anon_sym_varying] = ACTIONS(2290),
    [anon_sym_buffer] = ACTIONS(2290),
    [anon_sym_coherent] = ACTIONS(2290),
    [anon_sym_readonly] = ACTIONS(2290),
    [anon_sym_writeonly] = ACTIONS(2290),
    [anon_sym_precision] = ACTIONS(2290),
    [anon_sym_highp] = ACTIONS(2290),
    [anon_sym_mediump] = ACTIONS(2290),
    [anon_sym_lowp] = ACTIONS(2290),
    [anon_sym_centroid] = ACTIONS(2290),
    [anon_sym_sample] = ACTIONS(2290),
    [anon_sym_patch] = ACTIONS(2290),
    [anon_sym_smooth] = ACTIONS(2290),
    [anon_sym_flat] = ACTIONS(2290),
    [anon_sym_noperspective] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2290),
    [anon_sym_extern] = ACTIONS(2290),
    [anon_sym___attribute__] = ACTIONS(2290),
    [anon_sym___attribute] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2292),
    [anon_sym___declspec] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2290),
    [anon_sym_unsigned] = ACTIONS(2290),
    [anon_sym_long] = ACTIONS(2290),
    [anon_sym_short] = ACTIONS(2290),
    [anon_sym_static] = ACTIONS(2290),
    [anon_sym_auto] = ACTIONS(2290),
    [anon_sym_register] = ACTIONS(2290),
    [anon_sym_inline] = ACTIONS(2290),
    [anon_sym___inline] = ACTIONS(2290),
    [anon_sym___inline__] = ACTIONS(2290),
    [anon_sym___forceinline] = ACTIONS(2290),
    [anon_sym_thread_local] = ACTIONS(2290),
    [anon_sym___thread] = ACTIONS(2290),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_constexpr] = ACTIONS(2290),
    [anon_sym_volatile] = ACTIONS(2290),
    [anon_sym_restrict] = ACTIONS(2290),
    [anon_sym___restrict__] = ACTIONS(2290),
    [anon_sym__Atomic] = ACTIONS(2290),
    [anon_sym__Noreturn] = ACTIONS(2290),
    [anon_sym_noreturn] = ACTIONS(2290),
    [anon_sym__Nonnull] = ACTIONS(2290),
    [anon_sym_alignas] = ACTIONS(2290),
    [anon_sym__Alignas] = ACTIONS(2290),
    [sym_primitive_type] = ACTIONS(2290),
    [anon_sym_enum] = ACTIONS(2290),
    [anon_sym_struct] = ACTIONS(2290),
    [anon_sym_union] = ACTIONS(2290),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2290),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2290),
    [anon_sym_hitAttributeEXT] = ACTIONS(2290),
    [anon_sym_callableDataEXT] = ACTIONS(2290),
    [anon_sym_callableDataInEXT] = ACTIONS(2290),
    [anon_sym_shaderRecordEXT] = ACTIONS(2290),
    [anon_sym_rayPayloadNV] = ACTIONS(2290),
    [anon_sym_rayPayloadInNV] = ACTIONS(2290),
    [anon_sym_hitAttributeNV] = ACTIONS(2290),
    [anon_sym_callableDataNV] = ACTIONS(2290),
    [anon_sym_callableDataInNV] = ACTIONS(2290),
    [anon_sym_shaderRecordNV] = ACTIONS(2290),
    [anon_sym_layout] = ACTIONS(2290),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2294),
    [aux_sym_preproc_def_token1] = ACTIONS(2294),
    [aux_sym_preproc_if_token1] = ACTIONS(2294),
    [aux_sym_preproc_if_token2] = ACTIONS(2294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2294),
    [aux_sym_preproc_else_token1] = ACTIONS(2294),
    [aux_sym_preproc_elif_token1] = ACTIONS(2294),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2294),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2294),
    [sym_preproc_directive] = ACTIONS(2294),
    [anon_sym_subroutine] = ACTIONS(2294),
    [anon_sym_invariant] = ACTIONS(2294),
    [anon_sym_precise] = ACTIONS(2294),
    [anon_sym_in] = ACTIONS(2294),
    [anon_sym_out] = ACTIONS(2294),
    [anon_sym_inout] = ACTIONS(2294),
    [anon_sym_uniform] = ACTIONS(2294),
    [anon_sym_shared] = ACTIONS(2294),
    [anon_sym_attribute] = ACTIONS(2294),
    [anon_sym_varying] = ACTIONS(2294),
    [anon_sym_buffer] = ACTIONS(2294),
    [anon_sym_coherent] = ACTIONS(2294),
    [anon_sym_readonly] = ACTIONS(2294),
    [anon_sym_writeonly] = ACTIONS(2294),
    [anon_sym_precision] = ACTIONS(2294),
    [anon_sym_highp] = ACTIONS(2294),
    [anon_sym_mediump] = ACTIONS(2294),
    [anon_sym_lowp] = ACTIONS(2294),
    [anon_sym_centroid] = ACTIONS(2294),
    [anon_sym_sample] = ACTIONS(2294),
    [anon_sym_patch] = ACTIONS(2294),
    [anon_sym_smooth] = ACTIONS(2294),
    [anon_sym_flat] = ACTIONS(2294),
    [anon_sym_noperspective] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2294),
    [anon_sym_extern] = ACTIONS(2294),
    [anon_sym___attribute__] = ACTIONS(2294),
    [anon_sym___attribute] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2296),
    [anon_sym___declspec] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2294),
    [anon_sym_unsigned] = ACTIONS(2294),
    [anon_sym_long] = ACTIONS(2294),
    [anon_sym_short] = ACTIONS(2294),
    [anon_sym_static] = ACTIONS(2294),
    [anon_sym_auto] = ACTIONS(2294),
    [anon_sym_register] = ACTIONS(2294),
    [anon_sym_inline] = ACTIONS(2294),
    [anon_sym___inline] = ACTIONS(2294),
    [anon_sym___inline__] = ACTIONS(2294),
    [anon_sym___forceinline] = ACTIONS(2294),
    [anon_sym_thread_local] = ACTIONS(2294),
    [anon_sym___thread] = ACTIONS(2294),
    [anon_sym_const] = ACTIONS(2294),
    [anon_sym_constexpr] = ACTIONS(2294),
    [anon_sym_volatile] = ACTIONS(2294),
    [anon_sym_restrict] = ACTIONS(2294),
    [anon_sym___restrict__] = ACTIONS(2294),
    [anon_sym__Atomic] = ACTIONS(2294),
    [anon_sym__Noreturn] = ACTIONS(2294),
    [anon_sym_noreturn] = ACTIONS(2294),
    [anon_sym__Nonnull] = ACTIONS(2294),
    [anon_sym_alignas] = ACTIONS(2294),
    [anon_sym__Alignas] = ACTIONS(2294),
    [sym_primitive_type] = ACTIONS(2294),
    [anon_sym_enum] = ACTIONS(2294),
    [anon_sym_struct] = ACTIONS(2294),
    [anon_sym_union] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2294),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2294),
    [anon_sym_hitAttributeEXT] = ACTIONS(2294),
    [anon_sym_callableDataEXT] = ACTIONS(2294),
    [anon_sym_callableDataInEXT] = ACTIONS(2294),
    [anon_sym_shaderRecordEXT] = ACTIONS(2294),
    [anon_sym_rayPayloadNV] = ACTIONS(2294),
    [anon_sym_rayPayloadInNV] = ACTIONS(2294),
    [anon_sym_hitAttributeNV] = ACTIONS(2294),
    [anon_sym_callableDataNV] = ACTIONS(2294),
    [anon_sym_callableDataInNV] = ACTIONS(2294),
    [anon_sym_shaderRecordNV] = ACTIONS(2294),
    [anon_sym_layout] = ACTIONS(2294),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2298),
    [aux_sym_preproc_def_token1] = ACTIONS(2298),
    [aux_sym_preproc_if_token1] = ACTIONS(2298),
    [aux_sym_preproc_if_token2] = ACTIONS(2298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2298),
    [aux_sym_preproc_else_token1] = ACTIONS(2298),
    [aux_sym_preproc_elif_token1] = ACTIONS(2298),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2298),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2298),
    [sym_preproc_directive] = ACTIONS(2298),
    [anon_sym_subroutine] = ACTIONS(2298),
    [anon_sym_invariant] = ACTIONS(2298),
    [anon_sym_precise] = ACTIONS(2298),
    [anon_sym_in] = ACTIONS(2298),
    [anon_sym_out] = ACTIONS(2298),
    [anon_sym_inout] = ACTIONS(2298),
    [anon_sym_uniform] = ACTIONS(2298),
    [anon_sym_shared] = ACTIONS(2298),
    [anon_sym_attribute] = ACTIONS(2298),
    [anon_sym_varying] = ACTIONS(2298),
    [anon_sym_buffer] = ACTIONS(2298),
    [anon_sym_coherent] = ACTIONS(2298),
    [anon_sym_readonly] = ACTIONS(2298),
    [anon_sym_writeonly] = ACTIONS(2298),
    [anon_sym_precision] = ACTIONS(2298),
    [anon_sym_highp] = ACTIONS(2298),
    [anon_sym_mediump] = ACTIONS(2298),
    [anon_sym_lowp] = ACTIONS(2298),
    [anon_sym_centroid] = ACTIONS(2298),
    [anon_sym_sample] = ACTIONS(2298),
    [anon_sym_patch] = ACTIONS(2298),
    [anon_sym_smooth] = ACTIONS(2298),
    [anon_sym_flat] = ACTIONS(2298),
    [anon_sym_noperspective] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2298),
    [anon_sym_extern] = ACTIONS(2298),
    [anon_sym___attribute__] = ACTIONS(2298),
    [anon_sym___attribute] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2300),
    [anon_sym___declspec] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2298),
    [anon_sym_unsigned] = ACTIONS(2298),
    [anon_sym_long] = ACTIONS(2298),
    [anon_sym_short] = ACTIONS(2298),
    [anon_sym_static] = ACTIONS(2298),
    [anon_sym_auto] = ACTIONS(2298),
    [anon_sym_register] = ACTIONS(2298),
    [anon_sym_inline] = ACTIONS(2298),
    [anon_sym___inline] = ACTIONS(2298),
    [anon_sym___inline__] = ACTIONS(2298),
    [anon_sym___forceinline] = ACTIONS(2298),
    [anon_sym_thread_local] = ACTIONS(2298),
    [anon_sym___thread] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2298),
    [anon_sym_constexpr] = ACTIONS(2298),
    [anon_sym_volatile] = ACTIONS(2298),
    [anon_sym_restrict] = ACTIONS(2298),
    [anon_sym___restrict__] = ACTIONS(2298),
    [anon_sym__Atomic] = ACTIONS(2298),
    [anon_sym__Noreturn] = ACTIONS(2298),
    [anon_sym_noreturn] = ACTIONS(2298),
    [anon_sym__Nonnull] = ACTIONS(2298),
    [anon_sym_alignas] = ACTIONS(2298),
    [anon_sym__Alignas] = ACTIONS(2298),
    [sym_primitive_type] = ACTIONS(2298),
    [anon_sym_enum] = ACTIONS(2298),
    [anon_sym_struct] = ACTIONS(2298),
    [anon_sym_union] = ACTIONS(2298),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2298),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2298),
    [anon_sym_hitAttributeEXT] = ACTIONS(2298),
    [anon_sym_callableDataEXT] = ACTIONS(2298),
    [anon_sym_callableDataInEXT] = ACTIONS(2298),
    [anon_sym_shaderRecordEXT] = ACTIONS(2298),
    [anon_sym_rayPayloadNV] = ACTIONS(2298),
    [anon_sym_rayPayloadInNV] = ACTIONS(2298),
    [anon_sym_hitAttributeNV] = ACTIONS(2298),
    [anon_sym_callableDataNV] = ACTIONS(2298),
    [anon_sym_callableDataInNV] = ACTIONS(2298),
    [anon_sym_shaderRecordNV] = ACTIONS(2298),
    [anon_sym_layout] = ACTIONS(2298),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2302),
    [aux_sym_preproc_def_token1] = ACTIONS(2302),
    [aux_sym_preproc_if_token1] = ACTIONS(2302),
    [aux_sym_preproc_if_token2] = ACTIONS(2302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2302),
    [aux_sym_preproc_else_token1] = ACTIONS(2302),
    [aux_sym_preproc_elif_token1] = ACTIONS(2302),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2302),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2302),
    [sym_preproc_directive] = ACTIONS(2302),
    [anon_sym_subroutine] = ACTIONS(2302),
    [anon_sym_invariant] = ACTIONS(2302),
    [anon_sym_precise] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2302),
    [anon_sym_out] = ACTIONS(2302),
    [anon_sym_inout] = ACTIONS(2302),
    [anon_sym_uniform] = ACTIONS(2302),
    [anon_sym_shared] = ACTIONS(2302),
    [anon_sym_attribute] = ACTIONS(2302),
    [anon_sym_varying] = ACTIONS(2302),
    [anon_sym_buffer] = ACTIONS(2302),
    [anon_sym_coherent] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_writeonly] = ACTIONS(2302),
    [anon_sym_precision] = ACTIONS(2302),
    [anon_sym_highp] = ACTIONS(2302),
    [anon_sym_mediump] = ACTIONS(2302),
    [anon_sym_lowp] = ACTIONS(2302),
    [anon_sym_centroid] = ACTIONS(2302),
    [anon_sym_sample] = ACTIONS(2302),
    [anon_sym_patch] = ACTIONS(2302),
    [anon_sym_smooth] = ACTIONS(2302),
    [anon_sym_flat] = ACTIONS(2302),
    [anon_sym_noperspective] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2302),
    [anon_sym_extern] = ACTIONS(2302),
    [anon_sym___attribute__] = ACTIONS(2302),
    [anon_sym___attribute] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2304),
    [anon_sym___declspec] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2302),
    [anon_sym_unsigned] = ACTIONS(2302),
    [anon_sym_long] = ACTIONS(2302),
    [anon_sym_short] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_auto] = ACTIONS(2302),
    [anon_sym_register] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2302),
    [anon_sym___inline] = ACTIONS(2302),
    [anon_sym___inline__] = ACTIONS(2302),
    [anon_sym___forceinline] = ACTIONS(2302),
    [anon_sym_thread_local] = ACTIONS(2302),
    [anon_sym___thread] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_constexpr] = ACTIONS(2302),
    [anon_sym_volatile] = ACTIONS(2302),
    [anon_sym_restrict] = ACTIONS(2302),
    [anon_sym___restrict__] = ACTIONS(2302),
    [anon_sym__Atomic] = ACTIONS(2302),
    [anon_sym__Noreturn] = ACTIONS(2302),
    [anon_sym_noreturn] = ACTIONS(2302),
    [anon_sym__Nonnull] = ACTIONS(2302),
    [anon_sym_alignas] = ACTIONS(2302),
    [anon_sym__Alignas] = ACTIONS(2302),
    [sym_primitive_type] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [anon_sym_struct] = ACTIONS(2302),
    [anon_sym_union] = ACTIONS(2302),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2302),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2302),
    [anon_sym_hitAttributeEXT] = ACTIONS(2302),
    [anon_sym_callableDataEXT] = ACTIONS(2302),
    [anon_sym_callableDataInEXT] = ACTIONS(2302),
    [anon_sym_shaderRecordEXT] = ACTIONS(2302),
    [anon_sym_rayPayloadNV] = ACTIONS(2302),
    [anon_sym_rayPayloadInNV] = ACTIONS(2302),
    [anon_sym_hitAttributeNV] = ACTIONS(2302),
    [anon_sym_callableDataNV] = ACTIONS(2302),
    [anon_sym_callableDataInNV] = ACTIONS(2302),
    [anon_sym_shaderRecordNV] = ACTIONS(2302),
    [anon_sym_layout] = ACTIONS(2302),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [aux_sym_preproc_else_token1] = ACTIONS(2306),
    [aux_sym_preproc_elif_token1] = ACTIONS(2306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_subroutine] = ACTIONS(2306),
    [anon_sym_invariant] = ACTIONS(2306),
    [anon_sym_precise] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_out] = ACTIONS(2306),
    [anon_sym_inout] = ACTIONS(2306),
    [anon_sym_uniform] = ACTIONS(2306),
    [anon_sym_shared] = ACTIONS(2306),
    [anon_sym_attribute] = ACTIONS(2306),
    [anon_sym_varying] = ACTIONS(2306),
    [anon_sym_buffer] = ACTIONS(2306),
    [anon_sym_coherent] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_writeonly] = ACTIONS(2306),
    [anon_sym_precision] = ACTIONS(2306),
    [anon_sym_highp] = ACTIONS(2306),
    [anon_sym_mediump] = ACTIONS(2306),
    [anon_sym_lowp] = ACTIONS(2306),
    [anon_sym_centroid] = ACTIONS(2306),
    [anon_sym_sample] = ACTIONS(2306),
    [anon_sym_patch] = ACTIONS(2306),
    [anon_sym_smooth] = ACTIONS(2306),
    [anon_sym_flat] = ACTIONS(2306),
    [anon_sym_noperspective] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2306),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2306),
    [anon_sym_hitAttributeEXT] = ACTIONS(2306),
    [anon_sym_callableDataEXT] = ACTIONS(2306),
    [anon_sym_callableDataInEXT] = ACTIONS(2306),
    [anon_sym_shaderRecordEXT] = ACTIONS(2306),
    [anon_sym_rayPayloadNV] = ACTIONS(2306),
    [anon_sym_rayPayloadInNV] = ACTIONS(2306),
    [anon_sym_hitAttributeNV] = ACTIONS(2306),
    [anon_sym_callableDataNV] = ACTIONS(2306),
    [anon_sym_callableDataInNV] = ACTIONS(2306),
    [anon_sym_shaderRecordNV] = ACTIONS(2306),
    [anon_sym_layout] = ACTIONS(2306),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token2] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [aux_sym_preproc_else_token1] = ACTIONS(2310),
    [aux_sym_preproc_elif_token1] = ACTIONS(2310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_subroutine] = ACTIONS(2310),
    [anon_sym_invariant] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_attribute] = ACTIONS(2310),
    [anon_sym_varying] = ACTIONS(2310),
    [anon_sym_buffer] = ACTIONS(2310),
    [anon_sym_coherent] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_writeonly] = ACTIONS(2310),
    [anon_sym_precision] = ACTIONS(2310),
    [anon_sym_highp] = ACTIONS(2310),
    [anon_sym_mediump] = ACTIONS(2310),
    [anon_sym_lowp] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_patch] = ACTIONS(2310),
    [anon_sym_smooth] = ACTIONS(2310),
    [anon_sym_flat] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym___attribute] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_auto] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym__Nonnull] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym__Alignas] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2310),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2310),
    [anon_sym_hitAttributeEXT] = ACTIONS(2310),
    [anon_sym_callableDataEXT] = ACTIONS(2310),
    [anon_sym_callableDataInEXT] = ACTIONS(2310),
    [anon_sym_shaderRecordEXT] = ACTIONS(2310),
    [anon_sym_rayPayloadNV] = ACTIONS(2310),
    [anon_sym_rayPayloadInNV] = ACTIONS(2310),
    [anon_sym_hitAttributeNV] = ACTIONS(2310),
    [anon_sym_callableDataNV] = ACTIONS(2310),
    [anon_sym_callableDataInNV] = ACTIONS(2310),
    [anon_sym_shaderRecordNV] = ACTIONS(2310),
    [anon_sym_layout] = ACTIONS(2310),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_subroutine] = ACTIONS(2314),
    [anon_sym_invariant] = ACTIONS(2314),
    [anon_sym_precise] = ACTIONS(2314),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_out] = ACTIONS(2314),
    [anon_sym_inout] = ACTIONS(2314),
    [anon_sym_uniform] = ACTIONS(2314),
    [anon_sym_shared] = ACTIONS(2314),
    [anon_sym_attribute] = ACTIONS(2314),
    [anon_sym_varying] = ACTIONS(2314),
    [anon_sym_buffer] = ACTIONS(2314),
    [anon_sym_coherent] = ACTIONS(2314),
    [anon_sym_readonly] = ACTIONS(2314),
    [anon_sym_writeonly] = ACTIONS(2314),
    [anon_sym_precision] = ACTIONS(2314),
    [anon_sym_highp] = ACTIONS(2314),
    [anon_sym_mediump] = ACTIONS(2314),
    [anon_sym_lowp] = ACTIONS(2314),
    [anon_sym_centroid] = ACTIONS(2314),
    [anon_sym_sample] = ACTIONS(2314),
    [anon_sym_patch] = ACTIONS(2314),
    [anon_sym_smooth] = ACTIONS(2314),
    [anon_sym_flat] = ACTIONS(2314),
    [anon_sym_noperspective] = ACTIONS(2314),
    [anon_sym___extension__] = ACTIONS(2314),
    [anon_sym_extern] = ACTIONS(2314),
    [anon_sym___attribute__] = ACTIONS(2314),
    [anon_sym___attribute] = ACTIONS(2314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2316),
    [anon_sym___declspec] = ACTIONS(2314),
    [anon_sym___cdecl] = ACTIONS(2314),
    [anon_sym___clrcall] = ACTIONS(2314),
    [anon_sym___stdcall] = ACTIONS(2314),
    [anon_sym___fastcall] = ACTIONS(2314),
    [anon_sym___thiscall] = ACTIONS(2314),
    [anon_sym___vectorcall] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_signed] = ACTIONS(2314),
    [anon_sym_unsigned] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_auto] = ACTIONS(2314),
    [anon_sym_register] = ACTIONS(2314),
    [anon_sym_inline] = ACTIONS(2314),
    [anon_sym___inline] = ACTIONS(2314),
    [anon_sym___inline__] = ACTIONS(2314),
    [anon_sym___forceinline] = ACTIONS(2314),
    [anon_sym_thread_local] = ACTIONS(2314),
    [anon_sym___thread] = ACTIONS(2314),
    [anon_sym_const] = ACTIONS(2314),
    [anon_sym_constexpr] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_restrict] = ACTIONS(2314),
    [anon_sym___restrict__] = ACTIONS(2314),
    [anon_sym__Atomic] = ACTIONS(2314),
    [anon_sym__Noreturn] = ACTIONS(2314),
    [anon_sym_noreturn] = ACTIONS(2314),
    [anon_sym__Nonnull] = ACTIONS(2314),
    [anon_sym_alignas] = ACTIONS(2314),
    [anon_sym__Alignas] = ACTIONS(2314),
    [sym_primitive_type] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_struct] = ACTIONS(2314),
    [anon_sym_union] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2314),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2314),
    [anon_sym_hitAttributeEXT] = ACTIONS(2314),
    [anon_sym_callableDataEXT] = ACTIONS(2314),
    [anon_sym_callableDataInEXT] = ACTIONS(2314),
    [anon_sym_shaderRecordEXT] = ACTIONS(2314),
    [anon_sym_rayPayloadNV] = ACTIONS(2314),
    [anon_sym_rayPayloadInNV] = ACTIONS(2314),
    [anon_sym_hitAttributeNV] = ACTIONS(2314),
    [anon_sym_callableDataNV] = ACTIONS(2314),
    [anon_sym_callableDataInNV] = ACTIONS(2314),
    [anon_sym_shaderRecordNV] = ACTIONS(2314),
    [anon_sym_layout] = ACTIONS(2314),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2318),
    [anon_sym_subroutine] = ACTIONS(2318),
    [anon_sym_invariant] = ACTIONS(2318),
    [anon_sym_precise] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_out] = ACTIONS(2318),
    [anon_sym_inout] = ACTIONS(2318),
    [anon_sym_uniform] = ACTIONS(2318),
    [anon_sym_shared] = ACTIONS(2318),
    [anon_sym_attribute] = ACTIONS(2318),
    [anon_sym_varying] = ACTIONS(2318),
    [anon_sym_buffer] = ACTIONS(2318),
    [anon_sym_coherent] = ACTIONS(2318),
    [anon_sym_readonly] = ACTIONS(2318),
    [anon_sym_writeonly] = ACTIONS(2318),
    [anon_sym_precision] = ACTIONS(2318),
    [anon_sym_highp] = ACTIONS(2318),
    [anon_sym_mediump] = ACTIONS(2318),
    [anon_sym_lowp] = ACTIONS(2318),
    [anon_sym_centroid] = ACTIONS(2318),
    [anon_sym_sample] = ACTIONS(2318),
    [anon_sym_patch] = ACTIONS(2318),
    [anon_sym_smooth] = ACTIONS(2318),
    [anon_sym_flat] = ACTIONS(2318),
    [anon_sym_noperspective] = ACTIONS(2318),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2318),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2318),
    [anon_sym_hitAttributeEXT] = ACTIONS(2318),
    [anon_sym_callableDataEXT] = ACTIONS(2318),
    [anon_sym_callableDataInEXT] = ACTIONS(2318),
    [anon_sym_shaderRecordEXT] = ACTIONS(2318),
    [anon_sym_rayPayloadNV] = ACTIONS(2318),
    [anon_sym_rayPayloadInNV] = ACTIONS(2318),
    [anon_sym_hitAttributeNV] = ACTIONS(2318),
    [anon_sym_callableDataNV] = ACTIONS(2318),
    [anon_sym_callableDataInNV] = ACTIONS(2318),
    [anon_sym_shaderRecordNV] = ACTIONS(2318),
    [anon_sym_layout] = ACTIONS(2318),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_subroutine] = ACTIONS(2258),
    [anon_sym_invariant] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_attribute] = ACTIONS(2258),
    [anon_sym_varying] = ACTIONS(2258),
    [anon_sym_buffer] = ACTIONS(2258),
    [anon_sym_coherent] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_writeonly] = ACTIONS(2258),
    [anon_sym_precision] = ACTIONS(2258),
    [anon_sym_highp] = ACTIONS(2258),
    [anon_sym_mediump] = ACTIONS(2258),
    [anon_sym_lowp] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_patch] = ACTIONS(2258),
    [anon_sym_smooth] = ACTIONS(2258),
    [anon_sym_flat] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym___attribute] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_auto] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym__Nonnull] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym__Alignas] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2258),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2258),
    [anon_sym_hitAttributeEXT] = ACTIONS(2258),
    [anon_sym_callableDataEXT] = ACTIONS(2258),
    [anon_sym_callableDataInEXT] = ACTIONS(2258),
    [anon_sym_shaderRecordEXT] = ACTIONS(2258),
    [anon_sym_rayPayloadNV] = ACTIONS(2258),
    [anon_sym_rayPayloadInNV] = ACTIONS(2258),
    [anon_sym_hitAttributeNV] = ACTIONS(2258),
    [anon_sym_callableDataNV] = ACTIONS(2258),
    [anon_sym_callableDataInNV] = ACTIONS(2258),
    [anon_sym_shaderRecordNV] = ACTIONS(2258),
    [anon_sym_layout] = ACTIONS(2258),
  },
  [585] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_subroutine] = ACTIONS(1476),
    [anon_sym_invariant] = ACTIONS(1476),
    [anon_sym_precise] = ACTIONS(1476),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_out] = ACTIONS(1476),
    [anon_sym_inout] = ACTIONS(1476),
    [anon_sym_uniform] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_attribute] = ACTIONS(1476),
    [anon_sym_varying] = ACTIONS(1476),
    [anon_sym_buffer] = ACTIONS(1476),
    [anon_sym_coherent] = ACTIONS(1476),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_writeonly] = ACTIONS(1476),
    [anon_sym_precision] = ACTIONS(1476),
    [anon_sym_highp] = ACTIONS(1476),
    [anon_sym_mediump] = ACTIONS(1476),
    [anon_sym_lowp] = ACTIONS(1476),
    [anon_sym_centroid] = ACTIONS(1476),
    [anon_sym_sample] = ACTIONS(1476),
    [anon_sym_patch] = ACTIONS(1476),
    [anon_sym_smooth] = ACTIONS(1476),
    [anon_sym_flat] = ACTIONS(1476),
    [anon_sym_noperspective] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym___attribute] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [anon_sym__Nonnull] = ACTIONS(1476),
    [anon_sym_alignas] = ACTIONS(1476),
    [anon_sym__Alignas] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1476),
    [anon_sym_hitAttributeEXT] = ACTIONS(1476),
    [anon_sym_callableDataEXT] = ACTIONS(1476),
    [anon_sym_callableDataInEXT] = ACTIONS(1476),
    [anon_sym_shaderRecordEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadNV] = ACTIONS(1476),
    [anon_sym_rayPayloadInNV] = ACTIONS(1476),
    [anon_sym_hitAttributeNV] = ACTIONS(1476),
    [anon_sym_callableDataNV] = ACTIONS(1476),
    [anon_sym_callableDataInNV] = ACTIONS(1476),
    [anon_sym_shaderRecordNV] = ACTIONS(1476),
    [anon_sym_layout] = ACTIONS(1476),
  },
  [586] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_subroutine] = ACTIONS(1496),
    [anon_sym_invariant] = ACTIONS(1496),
    [anon_sym_precise] = ACTIONS(1496),
    [anon_sym_in] = ACTIONS(1496),
    [anon_sym_out] = ACTIONS(1496),
    [anon_sym_inout] = ACTIONS(1496),
    [anon_sym_uniform] = ACTIONS(1496),
    [anon_sym_shared] = ACTIONS(1496),
    [anon_sym_attribute] = ACTIONS(1496),
    [anon_sym_varying] = ACTIONS(1496),
    [anon_sym_buffer] = ACTIONS(1496),
    [anon_sym_coherent] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_writeonly] = ACTIONS(1496),
    [anon_sym_precision] = ACTIONS(1496),
    [anon_sym_highp] = ACTIONS(1496),
    [anon_sym_mediump] = ACTIONS(1496),
    [anon_sym_lowp] = ACTIONS(1496),
    [anon_sym_centroid] = ACTIONS(1496),
    [anon_sym_sample] = ACTIONS(1496),
    [anon_sym_patch] = ACTIONS(1496),
    [anon_sym_smooth] = ACTIONS(1496),
    [anon_sym_flat] = ACTIONS(1496),
    [anon_sym_noperspective] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym___attribute] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [anon_sym__Nonnull] = ACTIONS(1496),
    [anon_sym_alignas] = ACTIONS(1496),
    [anon_sym__Alignas] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1496),
    [anon_sym_hitAttributeEXT] = ACTIONS(1496),
    [anon_sym_callableDataEXT] = ACTIONS(1496),
    [anon_sym_callableDataInEXT] = ACTIONS(1496),
    [anon_sym_shaderRecordEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadNV] = ACTIONS(1496),
    [anon_sym_rayPayloadInNV] = ACTIONS(1496),
    [anon_sym_hitAttributeNV] = ACTIONS(1496),
    [anon_sym_callableDataNV] = ACTIONS(1496),
    [anon_sym_callableDataInNV] = ACTIONS(1496),
    [anon_sym_shaderRecordNV] = ACTIONS(1496),
    [anon_sym_layout] = ACTIONS(1496),
  },
  [587] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_subroutine] = ACTIONS(1504),
    [anon_sym_invariant] = ACTIONS(1504),
    [anon_sym_precise] = ACTIONS(1504),
    [anon_sym_in] = ACTIONS(1504),
    [anon_sym_out] = ACTIONS(1504),
    [anon_sym_inout] = ACTIONS(1504),
    [anon_sym_uniform] = ACTIONS(1504),
    [anon_sym_shared] = ACTIONS(1504),
    [anon_sym_attribute] = ACTIONS(1504),
    [anon_sym_varying] = ACTIONS(1504),
    [anon_sym_buffer] = ACTIONS(1504),
    [anon_sym_coherent] = ACTIONS(1504),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_writeonly] = ACTIONS(1504),
    [anon_sym_precision] = ACTIONS(1504),
    [anon_sym_highp] = ACTIONS(1504),
    [anon_sym_mediump] = ACTIONS(1504),
    [anon_sym_lowp] = ACTIONS(1504),
    [anon_sym_centroid] = ACTIONS(1504),
    [anon_sym_sample] = ACTIONS(1504),
    [anon_sym_patch] = ACTIONS(1504),
    [anon_sym_smooth] = ACTIONS(1504),
    [anon_sym_flat] = ACTIONS(1504),
    [anon_sym_noperspective] = ACTIONS(1504),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym___attribute] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [anon_sym__Nonnull] = ACTIONS(1504),
    [anon_sym_alignas] = ACTIONS(1504),
    [anon_sym__Alignas] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1504),
    [anon_sym_hitAttributeEXT] = ACTIONS(1504),
    [anon_sym_callableDataEXT] = ACTIONS(1504),
    [anon_sym_callableDataInEXT] = ACTIONS(1504),
    [anon_sym_shaderRecordEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadNV] = ACTIONS(1504),
    [anon_sym_rayPayloadInNV] = ACTIONS(1504),
    [anon_sym_hitAttributeNV] = ACTIONS(1504),
    [anon_sym_callableDataNV] = ACTIONS(1504),
    [anon_sym_callableDataInNV] = ACTIONS(1504),
    [anon_sym_shaderRecordNV] = ACTIONS(1504),
    [anon_sym_layout] = ACTIONS(1504),
  },
  [588] = {
    [sym_identifier] = ACTIONS(1528),
    [aux_sym_preproc_def_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1528),
    [sym_preproc_directive] = ACTIONS(1528),
    [anon_sym_subroutine] = ACTIONS(1528),
    [anon_sym_invariant] = ACTIONS(1528),
    [anon_sym_precise] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_out] = ACTIONS(1528),
    [anon_sym_inout] = ACTIONS(1528),
    [anon_sym_uniform] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_attribute] = ACTIONS(1528),
    [anon_sym_varying] = ACTIONS(1528),
    [anon_sym_buffer] = ACTIONS(1528),
    [anon_sym_coherent] = ACTIONS(1528),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_writeonly] = ACTIONS(1528),
    [anon_sym_precision] = ACTIONS(1528),
    [anon_sym_highp] = ACTIONS(1528),
    [anon_sym_mediump] = ACTIONS(1528),
    [anon_sym_lowp] = ACTIONS(1528),
    [anon_sym_centroid] = ACTIONS(1528),
    [anon_sym_sample] = ACTIONS(1528),
    [anon_sym_patch] = ACTIONS(1528),
    [anon_sym_smooth] = ACTIONS(1528),
    [anon_sym_flat] = ACTIONS(1528),
    [anon_sym_noperspective] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1528),
    [anon_sym_extern] = ACTIONS(1528),
    [anon_sym___attribute__] = ACTIONS(1528),
    [anon_sym___attribute] = ACTIONS(1528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1530),
    [anon_sym___declspec] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_signed] = ACTIONS(1528),
    [anon_sym_unsigned] = ACTIONS(1528),
    [anon_sym_long] = ACTIONS(1528),
    [anon_sym_short] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_auto] = ACTIONS(1528),
    [anon_sym_register] = ACTIONS(1528),
    [anon_sym_inline] = ACTIONS(1528),
    [anon_sym___inline] = ACTIONS(1528),
    [anon_sym___inline__] = ACTIONS(1528),
    [anon_sym___forceinline] = ACTIONS(1528),
    [anon_sym_thread_local] = ACTIONS(1528),
    [anon_sym___thread] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_constexpr] = ACTIONS(1528),
    [anon_sym_volatile] = ACTIONS(1528),
    [anon_sym_restrict] = ACTIONS(1528),
    [anon_sym___restrict__] = ACTIONS(1528),
    [anon_sym__Atomic] = ACTIONS(1528),
    [anon_sym__Noreturn] = ACTIONS(1528),
    [anon_sym_noreturn] = ACTIONS(1528),
    [anon_sym__Nonnull] = ACTIONS(1528),
    [anon_sym_alignas] = ACTIONS(1528),
    [anon_sym__Alignas] = ACTIONS(1528),
    [sym_primitive_type] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1528),
    [anon_sym_hitAttributeEXT] = ACTIONS(1528),
    [anon_sym_callableDataEXT] = ACTIONS(1528),
    [anon_sym_callableDataInEXT] = ACTIONS(1528),
    [anon_sym_shaderRecordEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadNV] = ACTIONS(1528),
    [anon_sym_rayPayloadInNV] = ACTIONS(1528),
    [anon_sym_hitAttributeNV] = ACTIONS(1528),
    [anon_sym_callableDataNV] = ACTIONS(1528),
    [anon_sym_callableDataInNV] = ACTIONS(1528),
    [anon_sym_shaderRecordNV] = ACTIONS(1528),
    [anon_sym_layout] = ACTIONS(1528),
  },
  [589] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_subroutine] = ACTIONS(1440),
    [anon_sym_invariant] = ACTIONS(1440),
    [anon_sym_precise] = ACTIONS(1440),
    [anon_sym_in] = ACTIONS(1440),
    [anon_sym_out] = ACTIONS(1440),
    [anon_sym_inout] = ACTIONS(1440),
    [anon_sym_uniform] = ACTIONS(1440),
    [anon_sym_shared] = ACTIONS(1440),
    [anon_sym_attribute] = ACTIONS(1440),
    [anon_sym_varying] = ACTIONS(1440),
    [anon_sym_buffer] = ACTIONS(1440),
    [anon_sym_coherent] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_writeonly] = ACTIONS(1440),
    [anon_sym_precision] = ACTIONS(1440),
    [anon_sym_highp] = ACTIONS(1440),
    [anon_sym_mediump] = ACTIONS(1440),
    [anon_sym_lowp] = ACTIONS(1440),
    [anon_sym_centroid] = ACTIONS(1440),
    [anon_sym_sample] = ACTIONS(1440),
    [anon_sym_patch] = ACTIONS(1440),
    [anon_sym_smooth] = ACTIONS(1440),
    [anon_sym_flat] = ACTIONS(1440),
    [anon_sym_noperspective] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym___attribute] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [anon_sym__Nonnull] = ACTIONS(1440),
    [anon_sym_alignas] = ACTIONS(1440),
    [anon_sym__Alignas] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1440),
    [anon_sym_hitAttributeEXT] = ACTIONS(1440),
    [anon_sym_callableDataEXT] = ACTIONS(1440),
    [anon_sym_callableDataInEXT] = ACTIONS(1440),
    [anon_sym_shaderRecordEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadNV] = ACTIONS(1440),
    [anon_sym_rayPayloadInNV] = ACTIONS(1440),
    [anon_sym_hitAttributeNV] = ACTIONS(1440),
    [anon_sym_callableDataNV] = ACTIONS(1440),
    [anon_sym_callableDataInNV] = ACTIONS(1440),
    [anon_sym_shaderRecordNV] = ACTIONS(1440),
    [anon_sym_layout] = ACTIONS(1440),
  },
  [590] = {
    [sym_identifier] = ACTIONS(1532),
    [aux_sym_preproc_def_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1532),
    [sym_preproc_directive] = ACTIONS(1532),
    [anon_sym_subroutine] = ACTIONS(1532),
    [anon_sym_invariant] = ACTIONS(1532),
    [anon_sym_precise] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_out] = ACTIONS(1532),
    [anon_sym_inout] = ACTIONS(1532),
    [anon_sym_uniform] = ACTIONS(1532),
    [anon_sym_shared] = ACTIONS(1532),
    [anon_sym_attribute] = ACTIONS(1532),
    [anon_sym_varying] = ACTIONS(1532),
    [anon_sym_buffer] = ACTIONS(1532),
    [anon_sym_coherent] = ACTIONS(1532),
    [anon_sym_readonly] = ACTIONS(1532),
    [anon_sym_writeonly] = ACTIONS(1532),
    [anon_sym_precision] = ACTIONS(1532),
    [anon_sym_highp] = ACTIONS(1532),
    [anon_sym_mediump] = ACTIONS(1532),
    [anon_sym_lowp] = ACTIONS(1532),
    [anon_sym_centroid] = ACTIONS(1532),
    [anon_sym_sample] = ACTIONS(1532),
    [anon_sym_patch] = ACTIONS(1532),
    [anon_sym_smooth] = ACTIONS(1532),
    [anon_sym_flat] = ACTIONS(1532),
    [anon_sym_noperspective] = ACTIONS(1532),
    [anon_sym___extension__] = ACTIONS(1532),
    [anon_sym_extern] = ACTIONS(1532),
    [anon_sym___attribute__] = ACTIONS(1532),
    [anon_sym___attribute] = ACTIONS(1532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1534),
    [anon_sym___declspec] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_signed] = ACTIONS(1532),
    [anon_sym_unsigned] = ACTIONS(1532),
    [anon_sym_long] = ACTIONS(1532),
    [anon_sym_short] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_auto] = ACTIONS(1532),
    [anon_sym_register] = ACTIONS(1532),
    [anon_sym_inline] = ACTIONS(1532),
    [anon_sym___inline] = ACTIONS(1532),
    [anon_sym___inline__] = ACTIONS(1532),
    [anon_sym___forceinline] = ACTIONS(1532),
    [anon_sym_thread_local] = ACTIONS(1532),
    [anon_sym___thread] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_constexpr] = ACTIONS(1532),
    [anon_sym_volatile] = ACTIONS(1532),
    [anon_sym_restrict] = ACTIONS(1532),
    [anon_sym___restrict__] = ACTIONS(1532),
    [anon_sym__Atomic] = ACTIONS(1532),
    [anon_sym__Noreturn] = ACTIONS(1532),
    [anon_sym_noreturn] = ACTIONS(1532),
    [anon_sym__Nonnull] = ACTIONS(1532),
    [anon_sym_alignas] = ACTIONS(1532),
    [anon_sym__Alignas] = ACTIONS(1532),
    [sym_primitive_type] = ACTIONS(1532),
    [anon_sym_enum] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1532),
    [anon_sym_union] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1532),
    [anon_sym_hitAttributeEXT] = ACTIONS(1532),
    [anon_sym_callableDataEXT] = ACTIONS(1532),
    [anon_sym_callableDataInEXT] = ACTIONS(1532),
    [anon_sym_shaderRecordEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadNV] = ACTIONS(1532),
    [anon_sym_rayPayloadInNV] = ACTIONS(1532),
    [anon_sym_hitAttributeNV] = ACTIONS(1532),
    [anon_sym_callableDataNV] = ACTIONS(1532),
    [anon_sym_callableDataInNV] = ACTIONS(1532),
    [anon_sym_shaderRecordNV] = ACTIONS(1532),
    [anon_sym_layout] = ACTIONS(1532),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2270),
    [aux_sym_preproc_def_token1] = ACTIONS(2270),
    [aux_sym_preproc_if_token1] = ACTIONS(2270),
    [aux_sym_preproc_if_token2] = ACTIONS(2270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2270),
    [sym_preproc_directive] = ACTIONS(2270),
    [anon_sym_subroutine] = ACTIONS(2270),
    [anon_sym_invariant] = ACTIONS(2270),
    [anon_sym_precise] = ACTIONS(2270),
    [anon_sym_in] = ACTIONS(2270),
    [anon_sym_out] = ACTIONS(2270),
    [anon_sym_inout] = ACTIONS(2270),
    [anon_sym_uniform] = ACTIONS(2270),
    [anon_sym_shared] = ACTIONS(2270),
    [anon_sym_attribute] = ACTIONS(2270),
    [anon_sym_varying] = ACTIONS(2270),
    [anon_sym_buffer] = ACTIONS(2270),
    [anon_sym_coherent] = ACTIONS(2270),
    [anon_sym_readonly] = ACTIONS(2270),
    [anon_sym_writeonly] = ACTIONS(2270),
    [anon_sym_precision] = ACTIONS(2270),
    [anon_sym_highp] = ACTIONS(2270),
    [anon_sym_mediump] = ACTIONS(2270),
    [anon_sym_lowp] = ACTIONS(2270),
    [anon_sym_centroid] = ACTIONS(2270),
    [anon_sym_sample] = ACTIONS(2270),
    [anon_sym_patch] = ACTIONS(2270),
    [anon_sym_smooth] = ACTIONS(2270),
    [anon_sym_flat] = ACTIONS(2270),
    [anon_sym_noperspective] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2270),
    [anon_sym_extern] = ACTIONS(2270),
    [anon_sym___attribute__] = ACTIONS(2270),
    [anon_sym___attribute] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2272),
    [anon_sym___declspec] = ACTIONS(2270),
    [anon_sym_signed] = ACTIONS(2270),
    [anon_sym_unsigned] = ACTIONS(2270),
    [anon_sym_long] = ACTIONS(2270),
    [anon_sym_short] = ACTIONS(2270),
    [anon_sym_static] = ACTIONS(2270),
    [anon_sym_auto] = ACTIONS(2270),
    [anon_sym_register] = ACTIONS(2270),
    [anon_sym_inline] = ACTIONS(2270),
    [anon_sym___inline] = ACTIONS(2270),
    [anon_sym___inline__] = ACTIONS(2270),
    [anon_sym___forceinline] = ACTIONS(2270),
    [anon_sym_thread_local] = ACTIONS(2270),
    [anon_sym___thread] = ACTIONS(2270),
    [anon_sym_const] = ACTIONS(2270),
    [anon_sym_constexpr] = ACTIONS(2270),
    [anon_sym_volatile] = ACTIONS(2270),
    [anon_sym_restrict] = ACTIONS(2270),
    [anon_sym___restrict__] = ACTIONS(2270),
    [anon_sym__Atomic] = ACTIONS(2270),
    [anon_sym__Noreturn] = ACTIONS(2270),
    [anon_sym_noreturn] = ACTIONS(2270),
    [anon_sym__Nonnull] = ACTIONS(2270),
    [anon_sym_alignas] = ACTIONS(2270),
    [anon_sym__Alignas] = ACTIONS(2270),
    [sym_primitive_type] = ACTIONS(2270),
    [anon_sym_enum] = ACTIONS(2270),
    [anon_sym_struct] = ACTIONS(2270),
    [anon_sym_union] = ACTIONS(2270),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2270),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2270),
    [anon_sym_hitAttributeEXT] = ACTIONS(2270),
    [anon_sym_callableDataEXT] = ACTIONS(2270),
    [anon_sym_callableDataInEXT] = ACTIONS(2270),
    [anon_sym_shaderRecordEXT] = ACTIONS(2270),
    [anon_sym_rayPayloadNV] = ACTIONS(2270),
    [anon_sym_rayPayloadInNV] = ACTIONS(2270),
    [anon_sym_hitAttributeNV] = ACTIONS(2270),
    [anon_sym_callableDataNV] = ACTIONS(2270),
    [anon_sym_callableDataInNV] = ACTIONS(2270),
    [anon_sym_shaderRecordNV] = ACTIONS(2270),
    [anon_sym_layout] = ACTIONS(2270),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2278),
    [aux_sym_preproc_def_token1] = ACTIONS(2278),
    [aux_sym_preproc_if_token1] = ACTIONS(2278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2278),
    [sym_preproc_directive] = ACTIONS(2278),
    [anon_sym_subroutine] = ACTIONS(2278),
    [anon_sym_invariant] = ACTIONS(2278),
    [anon_sym_precise] = ACTIONS(2278),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_out] = ACTIONS(2278),
    [anon_sym_inout] = ACTIONS(2278),
    [anon_sym_uniform] = ACTIONS(2278),
    [anon_sym_shared] = ACTIONS(2278),
    [anon_sym_attribute] = ACTIONS(2278),
    [anon_sym_varying] = ACTIONS(2278),
    [anon_sym_buffer] = ACTIONS(2278),
    [anon_sym_coherent] = ACTIONS(2278),
    [anon_sym_readonly] = ACTIONS(2278),
    [anon_sym_writeonly] = ACTIONS(2278),
    [anon_sym_precision] = ACTIONS(2278),
    [anon_sym_highp] = ACTIONS(2278),
    [anon_sym_mediump] = ACTIONS(2278),
    [anon_sym_lowp] = ACTIONS(2278),
    [anon_sym_centroid] = ACTIONS(2278),
    [anon_sym_sample] = ACTIONS(2278),
    [anon_sym_patch] = ACTIONS(2278),
    [anon_sym_smooth] = ACTIONS(2278),
    [anon_sym_flat] = ACTIONS(2278),
    [anon_sym_noperspective] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2278),
    [anon_sym_extern] = ACTIONS(2278),
    [anon_sym___attribute__] = ACTIONS(2278),
    [anon_sym___attribute] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2280),
    [anon_sym___declspec] = ACTIONS(2278),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_signed] = ACTIONS(2278),
    [anon_sym_unsigned] = ACTIONS(2278),
    [anon_sym_long] = ACTIONS(2278),
    [anon_sym_short] = ACTIONS(2278),
    [anon_sym_static] = ACTIONS(2278),
    [anon_sym_auto] = ACTIONS(2278),
    [anon_sym_register] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(2278),
    [anon_sym___inline] = ACTIONS(2278),
    [anon_sym___inline__] = ACTIONS(2278),
    [anon_sym___forceinline] = ACTIONS(2278),
    [anon_sym_thread_local] = ACTIONS(2278),
    [anon_sym___thread] = ACTIONS(2278),
    [anon_sym_const] = ACTIONS(2278),
    [anon_sym_constexpr] = ACTIONS(2278),
    [anon_sym_volatile] = ACTIONS(2278),
    [anon_sym_restrict] = ACTIONS(2278),
    [anon_sym___restrict__] = ACTIONS(2278),
    [anon_sym__Atomic] = ACTIONS(2278),
    [anon_sym__Noreturn] = ACTIONS(2278),
    [anon_sym_noreturn] = ACTIONS(2278),
    [anon_sym__Nonnull] = ACTIONS(2278),
    [anon_sym_alignas] = ACTIONS(2278),
    [anon_sym__Alignas] = ACTIONS(2278),
    [sym_primitive_type] = ACTIONS(2278),
    [anon_sym_enum] = ACTIONS(2278),
    [anon_sym_struct] = ACTIONS(2278),
    [anon_sym_union] = ACTIONS(2278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2278),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2278),
    [anon_sym_hitAttributeEXT] = ACTIONS(2278),
    [anon_sym_callableDataEXT] = ACTIONS(2278),
    [anon_sym_callableDataInEXT] = ACTIONS(2278),
    [anon_sym_shaderRecordEXT] = ACTIONS(2278),
    [anon_sym_rayPayloadNV] = ACTIONS(2278),
    [anon_sym_rayPayloadInNV] = ACTIONS(2278),
    [anon_sym_hitAttributeNV] = ACTIONS(2278),
    [anon_sym_callableDataNV] = ACTIONS(2278),
    [anon_sym_callableDataInNV] = ACTIONS(2278),
    [anon_sym_shaderRecordNV] = ACTIONS(2278),
    [anon_sym_layout] = ACTIONS(2278),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2282),
    [aux_sym_preproc_def_token1] = ACTIONS(2282),
    [aux_sym_preproc_if_token1] = ACTIONS(2282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2282),
    [sym_preproc_directive] = ACTIONS(2282),
    [anon_sym_subroutine] = ACTIONS(2282),
    [anon_sym_invariant] = ACTIONS(2282),
    [anon_sym_precise] = ACTIONS(2282),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_out] = ACTIONS(2282),
    [anon_sym_inout] = ACTIONS(2282),
    [anon_sym_uniform] = ACTIONS(2282),
    [anon_sym_shared] = ACTIONS(2282),
    [anon_sym_attribute] = ACTIONS(2282),
    [anon_sym_varying] = ACTIONS(2282),
    [anon_sym_buffer] = ACTIONS(2282),
    [anon_sym_coherent] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_writeonly] = ACTIONS(2282),
    [anon_sym_precision] = ACTIONS(2282),
    [anon_sym_highp] = ACTIONS(2282),
    [anon_sym_mediump] = ACTIONS(2282),
    [anon_sym_lowp] = ACTIONS(2282),
    [anon_sym_centroid] = ACTIONS(2282),
    [anon_sym_sample] = ACTIONS(2282),
    [anon_sym_patch] = ACTIONS(2282),
    [anon_sym_smooth] = ACTIONS(2282),
    [anon_sym_flat] = ACTIONS(2282),
    [anon_sym_noperspective] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2282),
    [anon_sym_extern] = ACTIONS(2282),
    [anon_sym___attribute__] = ACTIONS(2282),
    [anon_sym___attribute] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2284),
    [anon_sym___declspec] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [anon_sym_signed] = ACTIONS(2282),
    [anon_sym_unsigned] = ACTIONS(2282),
    [anon_sym_long] = ACTIONS(2282),
    [anon_sym_short] = ACTIONS(2282),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_auto] = ACTIONS(2282),
    [anon_sym_register] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(2282),
    [anon_sym___inline] = ACTIONS(2282),
    [anon_sym___inline__] = ACTIONS(2282),
    [anon_sym___forceinline] = ACTIONS(2282),
    [anon_sym_thread_local] = ACTIONS(2282),
    [anon_sym___thread] = ACTIONS(2282),
    [anon_sym_const] = ACTIONS(2282),
    [anon_sym_constexpr] = ACTIONS(2282),
    [anon_sym_volatile] = ACTIONS(2282),
    [anon_sym_restrict] = ACTIONS(2282),
    [anon_sym___restrict__] = ACTIONS(2282),
    [anon_sym__Atomic] = ACTIONS(2282),
    [anon_sym__Noreturn] = ACTIONS(2282),
    [anon_sym_noreturn] = ACTIONS(2282),
    [anon_sym__Nonnull] = ACTIONS(2282),
    [anon_sym_alignas] = ACTIONS(2282),
    [anon_sym__Alignas] = ACTIONS(2282),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_enum] = ACTIONS(2282),
    [anon_sym_struct] = ACTIONS(2282),
    [anon_sym_union] = ACTIONS(2282),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2282),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2282),
    [anon_sym_hitAttributeEXT] = ACTIONS(2282),
    [anon_sym_callableDataEXT] = ACTIONS(2282),
    [anon_sym_callableDataInEXT] = ACTIONS(2282),
    [anon_sym_shaderRecordEXT] = ACTIONS(2282),
    [anon_sym_rayPayloadNV] = ACTIONS(2282),
    [anon_sym_rayPayloadInNV] = ACTIONS(2282),
    [anon_sym_hitAttributeNV] = ACTIONS(2282),
    [anon_sym_callableDataNV] = ACTIONS(2282),
    [anon_sym_callableDataInNV] = ACTIONS(2282),
    [anon_sym_shaderRecordNV] = ACTIONS(2282),
    [anon_sym_layout] = ACTIONS(2282),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2286),
    [aux_sym_preproc_def_token1] = ACTIONS(2286),
    [aux_sym_preproc_if_token1] = ACTIONS(2286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2286),
    [sym_preproc_directive] = ACTIONS(2286),
    [anon_sym_subroutine] = ACTIONS(2286),
    [anon_sym_invariant] = ACTIONS(2286),
    [anon_sym_precise] = ACTIONS(2286),
    [anon_sym_in] = ACTIONS(2286),
    [anon_sym_out] = ACTIONS(2286),
    [anon_sym_inout] = ACTIONS(2286),
    [anon_sym_uniform] = ACTIONS(2286),
    [anon_sym_shared] = ACTIONS(2286),
    [anon_sym_attribute] = ACTIONS(2286),
    [anon_sym_varying] = ACTIONS(2286),
    [anon_sym_buffer] = ACTIONS(2286),
    [anon_sym_coherent] = ACTIONS(2286),
    [anon_sym_readonly] = ACTIONS(2286),
    [anon_sym_writeonly] = ACTIONS(2286),
    [anon_sym_precision] = ACTIONS(2286),
    [anon_sym_highp] = ACTIONS(2286),
    [anon_sym_mediump] = ACTIONS(2286),
    [anon_sym_lowp] = ACTIONS(2286),
    [anon_sym_centroid] = ACTIONS(2286),
    [anon_sym_sample] = ACTIONS(2286),
    [anon_sym_patch] = ACTIONS(2286),
    [anon_sym_smooth] = ACTIONS(2286),
    [anon_sym_flat] = ACTIONS(2286),
    [anon_sym_noperspective] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2286),
    [anon_sym_extern] = ACTIONS(2286),
    [anon_sym___attribute__] = ACTIONS(2286),
    [anon_sym___attribute] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2288),
    [anon_sym___declspec] = ACTIONS(2286),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_signed] = ACTIONS(2286),
    [anon_sym_unsigned] = ACTIONS(2286),
    [anon_sym_long] = ACTIONS(2286),
    [anon_sym_short] = ACTIONS(2286),
    [anon_sym_static] = ACTIONS(2286),
    [anon_sym_auto] = ACTIONS(2286),
    [anon_sym_register] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(2286),
    [anon_sym___inline] = ACTIONS(2286),
    [anon_sym___inline__] = ACTIONS(2286),
    [anon_sym___forceinline] = ACTIONS(2286),
    [anon_sym_thread_local] = ACTIONS(2286),
    [anon_sym___thread] = ACTIONS(2286),
    [anon_sym_const] = ACTIONS(2286),
    [anon_sym_constexpr] = ACTIONS(2286),
    [anon_sym_volatile] = ACTIONS(2286),
    [anon_sym_restrict] = ACTIONS(2286),
    [anon_sym___restrict__] = ACTIONS(2286),
    [anon_sym__Atomic] = ACTIONS(2286),
    [anon_sym__Noreturn] = ACTIONS(2286),
    [anon_sym_noreturn] = ACTIONS(2286),
    [anon_sym__Nonnull] = ACTIONS(2286),
    [anon_sym_alignas] = ACTIONS(2286),
    [anon_sym__Alignas] = ACTIONS(2286),
    [sym_primitive_type] = ACTIONS(2286),
    [anon_sym_enum] = ACTIONS(2286),
    [anon_sym_struct] = ACTIONS(2286),
    [anon_sym_union] = ACTIONS(2286),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2286),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2286),
    [anon_sym_hitAttributeEXT] = ACTIONS(2286),
    [anon_sym_callableDataEXT] = ACTIONS(2286),
    [anon_sym_callableDataInEXT] = ACTIONS(2286),
    [anon_sym_shaderRecordEXT] = ACTIONS(2286),
    [anon_sym_rayPayloadNV] = ACTIONS(2286),
    [anon_sym_rayPayloadInNV] = ACTIONS(2286),
    [anon_sym_hitAttributeNV] = ACTIONS(2286),
    [anon_sym_callableDataNV] = ACTIONS(2286),
    [anon_sym_callableDataInNV] = ACTIONS(2286),
    [anon_sym_shaderRecordNV] = ACTIONS(2286),
    [anon_sym_layout] = ACTIONS(2286),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2290),
    [aux_sym_preproc_def_token1] = ACTIONS(2290),
    [aux_sym_preproc_if_token1] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2290),
    [sym_preproc_directive] = ACTIONS(2290),
    [anon_sym_subroutine] = ACTIONS(2290),
    [anon_sym_invariant] = ACTIONS(2290),
    [anon_sym_precise] = ACTIONS(2290),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_out] = ACTIONS(2290),
    [anon_sym_inout] = ACTIONS(2290),
    [anon_sym_uniform] = ACTIONS(2290),
    [anon_sym_shared] = ACTIONS(2290),
    [anon_sym_attribute] = ACTIONS(2290),
    [anon_sym_varying] = ACTIONS(2290),
    [anon_sym_buffer] = ACTIONS(2290),
    [anon_sym_coherent] = ACTIONS(2290),
    [anon_sym_readonly] = ACTIONS(2290),
    [anon_sym_writeonly] = ACTIONS(2290),
    [anon_sym_precision] = ACTIONS(2290),
    [anon_sym_highp] = ACTIONS(2290),
    [anon_sym_mediump] = ACTIONS(2290),
    [anon_sym_lowp] = ACTIONS(2290),
    [anon_sym_centroid] = ACTIONS(2290),
    [anon_sym_sample] = ACTIONS(2290),
    [anon_sym_patch] = ACTIONS(2290),
    [anon_sym_smooth] = ACTIONS(2290),
    [anon_sym_flat] = ACTIONS(2290),
    [anon_sym_noperspective] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2290),
    [anon_sym_extern] = ACTIONS(2290),
    [anon_sym___attribute__] = ACTIONS(2290),
    [anon_sym___attribute] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2292),
    [anon_sym___declspec] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [anon_sym_signed] = ACTIONS(2290),
    [anon_sym_unsigned] = ACTIONS(2290),
    [anon_sym_long] = ACTIONS(2290),
    [anon_sym_short] = ACTIONS(2290),
    [anon_sym_static] = ACTIONS(2290),
    [anon_sym_auto] = ACTIONS(2290),
    [anon_sym_register] = ACTIONS(2290),
    [anon_sym_inline] = ACTIONS(2290),
    [anon_sym___inline] = ACTIONS(2290),
    [anon_sym___inline__] = ACTIONS(2290),
    [anon_sym___forceinline] = ACTIONS(2290),
    [anon_sym_thread_local] = ACTIONS(2290),
    [anon_sym___thread] = ACTIONS(2290),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_constexpr] = ACTIONS(2290),
    [anon_sym_volatile] = ACTIONS(2290),
    [anon_sym_restrict] = ACTIONS(2290),
    [anon_sym___restrict__] = ACTIONS(2290),
    [anon_sym__Atomic] = ACTIONS(2290),
    [anon_sym__Noreturn] = ACTIONS(2290),
    [anon_sym_noreturn] = ACTIONS(2290),
    [anon_sym__Nonnull] = ACTIONS(2290),
    [anon_sym_alignas] = ACTIONS(2290),
    [anon_sym__Alignas] = ACTIONS(2290),
    [sym_primitive_type] = ACTIONS(2290),
    [anon_sym_enum] = ACTIONS(2290),
    [anon_sym_struct] = ACTIONS(2290),
    [anon_sym_union] = ACTIONS(2290),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2290),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2290),
    [anon_sym_hitAttributeEXT] = ACTIONS(2290),
    [anon_sym_callableDataEXT] = ACTIONS(2290),
    [anon_sym_callableDataInEXT] = ACTIONS(2290),
    [anon_sym_shaderRecordEXT] = ACTIONS(2290),
    [anon_sym_rayPayloadNV] = ACTIONS(2290),
    [anon_sym_rayPayloadInNV] = ACTIONS(2290),
    [anon_sym_hitAttributeNV] = ACTIONS(2290),
    [anon_sym_callableDataNV] = ACTIONS(2290),
    [anon_sym_callableDataInNV] = ACTIONS(2290),
    [anon_sym_shaderRecordNV] = ACTIONS(2290),
    [anon_sym_layout] = ACTIONS(2290),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2278),
    [aux_sym_preproc_def_token1] = ACTIONS(2278),
    [aux_sym_preproc_if_token1] = ACTIONS(2278),
    [aux_sym_preproc_if_token2] = ACTIONS(2278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2278),
    [sym_preproc_directive] = ACTIONS(2278),
    [anon_sym_subroutine] = ACTIONS(2278),
    [anon_sym_invariant] = ACTIONS(2278),
    [anon_sym_precise] = ACTIONS(2278),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_out] = ACTIONS(2278),
    [anon_sym_inout] = ACTIONS(2278),
    [anon_sym_uniform] = ACTIONS(2278),
    [anon_sym_shared] = ACTIONS(2278),
    [anon_sym_attribute] = ACTIONS(2278),
    [anon_sym_varying] = ACTIONS(2278),
    [anon_sym_buffer] = ACTIONS(2278),
    [anon_sym_coherent] = ACTIONS(2278),
    [anon_sym_readonly] = ACTIONS(2278),
    [anon_sym_writeonly] = ACTIONS(2278),
    [anon_sym_precision] = ACTIONS(2278),
    [anon_sym_highp] = ACTIONS(2278),
    [anon_sym_mediump] = ACTIONS(2278),
    [anon_sym_lowp] = ACTIONS(2278),
    [anon_sym_centroid] = ACTIONS(2278),
    [anon_sym_sample] = ACTIONS(2278),
    [anon_sym_patch] = ACTIONS(2278),
    [anon_sym_smooth] = ACTIONS(2278),
    [anon_sym_flat] = ACTIONS(2278),
    [anon_sym_noperspective] = ACTIONS(2278),
    [anon_sym___extension__] = ACTIONS(2278),
    [anon_sym_extern] = ACTIONS(2278),
    [anon_sym___attribute__] = ACTIONS(2278),
    [anon_sym___attribute] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2280),
    [anon_sym___declspec] = ACTIONS(2278),
    [anon_sym_signed] = ACTIONS(2278),
    [anon_sym_unsigned] = ACTIONS(2278),
    [anon_sym_long] = ACTIONS(2278),
    [anon_sym_short] = ACTIONS(2278),
    [anon_sym_static] = ACTIONS(2278),
    [anon_sym_auto] = ACTIONS(2278),
    [anon_sym_register] = ACTIONS(2278),
    [anon_sym_inline] = ACTIONS(2278),
    [anon_sym___inline] = ACTIONS(2278),
    [anon_sym___inline__] = ACTIONS(2278),
    [anon_sym___forceinline] = ACTIONS(2278),
    [anon_sym_thread_local] = ACTIONS(2278),
    [anon_sym___thread] = ACTIONS(2278),
    [anon_sym_const] = ACTIONS(2278),
    [anon_sym_constexpr] = ACTIONS(2278),
    [anon_sym_volatile] = ACTIONS(2278),
    [anon_sym_restrict] = ACTIONS(2278),
    [anon_sym___restrict__] = ACTIONS(2278),
    [anon_sym__Atomic] = ACTIONS(2278),
    [anon_sym__Noreturn] = ACTIONS(2278),
    [anon_sym_noreturn] = ACTIONS(2278),
    [anon_sym__Nonnull] = ACTIONS(2278),
    [anon_sym_alignas] = ACTIONS(2278),
    [anon_sym__Alignas] = ACTIONS(2278),
    [sym_primitive_type] = ACTIONS(2278),
    [anon_sym_enum] = ACTIONS(2278),
    [anon_sym_struct] = ACTIONS(2278),
    [anon_sym_union] = ACTIONS(2278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2278),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2278),
    [anon_sym_hitAttributeEXT] = ACTIONS(2278),
    [anon_sym_callableDataEXT] = ACTIONS(2278),
    [anon_sym_callableDataInEXT] = ACTIONS(2278),
    [anon_sym_shaderRecordEXT] = ACTIONS(2278),
    [anon_sym_rayPayloadNV] = ACTIONS(2278),
    [anon_sym_rayPayloadInNV] = ACTIONS(2278),
    [anon_sym_hitAttributeNV] = ACTIONS(2278),
    [anon_sym_callableDataNV] = ACTIONS(2278),
    [anon_sym_callableDataInNV] = ACTIONS(2278),
    [anon_sym_shaderRecordNV] = ACTIONS(2278),
    [anon_sym_layout] = ACTIONS(2278),
  },
  [597] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_subroutine] = ACTIONS(1476),
    [anon_sym_invariant] = ACTIONS(1476),
    [anon_sym_precise] = ACTIONS(1476),
    [anon_sym_in] = ACTIONS(1476),
    [anon_sym_out] = ACTIONS(1476),
    [anon_sym_inout] = ACTIONS(1476),
    [anon_sym_uniform] = ACTIONS(1476),
    [anon_sym_shared] = ACTIONS(1476),
    [anon_sym_attribute] = ACTIONS(1476),
    [anon_sym_varying] = ACTIONS(1476),
    [anon_sym_buffer] = ACTIONS(1476),
    [anon_sym_coherent] = ACTIONS(1476),
    [anon_sym_readonly] = ACTIONS(1476),
    [anon_sym_writeonly] = ACTIONS(1476),
    [anon_sym_precision] = ACTIONS(1476),
    [anon_sym_highp] = ACTIONS(1476),
    [anon_sym_mediump] = ACTIONS(1476),
    [anon_sym_lowp] = ACTIONS(1476),
    [anon_sym_centroid] = ACTIONS(1476),
    [anon_sym_sample] = ACTIONS(1476),
    [anon_sym_patch] = ACTIONS(1476),
    [anon_sym_smooth] = ACTIONS(1476),
    [anon_sym_flat] = ACTIONS(1476),
    [anon_sym_noperspective] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym___attribute] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [anon_sym__Nonnull] = ACTIONS(1476),
    [anon_sym_alignas] = ACTIONS(1476),
    [anon_sym__Alignas] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1476),
    [anon_sym_hitAttributeEXT] = ACTIONS(1476),
    [anon_sym_callableDataEXT] = ACTIONS(1476),
    [anon_sym_callableDataInEXT] = ACTIONS(1476),
    [anon_sym_shaderRecordEXT] = ACTIONS(1476),
    [anon_sym_rayPayloadNV] = ACTIONS(1476),
    [anon_sym_rayPayloadInNV] = ACTIONS(1476),
    [anon_sym_hitAttributeNV] = ACTIONS(1476),
    [anon_sym_callableDataNV] = ACTIONS(1476),
    [anon_sym_callableDataInNV] = ACTIONS(1476),
    [anon_sym_shaderRecordNV] = ACTIONS(1476),
    [anon_sym_layout] = ACTIONS(1476),
  },
  [598] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_subroutine] = ACTIONS(1496),
    [anon_sym_invariant] = ACTIONS(1496),
    [anon_sym_precise] = ACTIONS(1496),
    [anon_sym_in] = ACTIONS(1496),
    [anon_sym_out] = ACTIONS(1496),
    [anon_sym_inout] = ACTIONS(1496),
    [anon_sym_uniform] = ACTIONS(1496),
    [anon_sym_shared] = ACTIONS(1496),
    [anon_sym_attribute] = ACTIONS(1496),
    [anon_sym_varying] = ACTIONS(1496),
    [anon_sym_buffer] = ACTIONS(1496),
    [anon_sym_coherent] = ACTIONS(1496),
    [anon_sym_readonly] = ACTIONS(1496),
    [anon_sym_writeonly] = ACTIONS(1496),
    [anon_sym_precision] = ACTIONS(1496),
    [anon_sym_highp] = ACTIONS(1496),
    [anon_sym_mediump] = ACTIONS(1496),
    [anon_sym_lowp] = ACTIONS(1496),
    [anon_sym_centroid] = ACTIONS(1496),
    [anon_sym_sample] = ACTIONS(1496),
    [anon_sym_patch] = ACTIONS(1496),
    [anon_sym_smooth] = ACTIONS(1496),
    [anon_sym_flat] = ACTIONS(1496),
    [anon_sym_noperspective] = ACTIONS(1496),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym___attribute] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [anon_sym__Nonnull] = ACTIONS(1496),
    [anon_sym_alignas] = ACTIONS(1496),
    [anon_sym__Alignas] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1496),
    [anon_sym_hitAttributeEXT] = ACTIONS(1496),
    [anon_sym_callableDataEXT] = ACTIONS(1496),
    [anon_sym_callableDataInEXT] = ACTIONS(1496),
    [anon_sym_shaderRecordEXT] = ACTIONS(1496),
    [anon_sym_rayPayloadNV] = ACTIONS(1496),
    [anon_sym_rayPayloadInNV] = ACTIONS(1496),
    [anon_sym_hitAttributeNV] = ACTIONS(1496),
    [anon_sym_callableDataNV] = ACTIONS(1496),
    [anon_sym_callableDataInNV] = ACTIONS(1496),
    [anon_sym_shaderRecordNV] = ACTIONS(1496),
    [anon_sym_layout] = ACTIONS(1496),
  },
  [599] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_subroutine] = ACTIONS(1504),
    [anon_sym_invariant] = ACTIONS(1504),
    [anon_sym_precise] = ACTIONS(1504),
    [anon_sym_in] = ACTIONS(1504),
    [anon_sym_out] = ACTIONS(1504),
    [anon_sym_inout] = ACTIONS(1504),
    [anon_sym_uniform] = ACTIONS(1504),
    [anon_sym_shared] = ACTIONS(1504),
    [anon_sym_attribute] = ACTIONS(1504),
    [anon_sym_varying] = ACTIONS(1504),
    [anon_sym_buffer] = ACTIONS(1504),
    [anon_sym_coherent] = ACTIONS(1504),
    [anon_sym_readonly] = ACTIONS(1504),
    [anon_sym_writeonly] = ACTIONS(1504),
    [anon_sym_precision] = ACTIONS(1504),
    [anon_sym_highp] = ACTIONS(1504),
    [anon_sym_mediump] = ACTIONS(1504),
    [anon_sym_lowp] = ACTIONS(1504),
    [anon_sym_centroid] = ACTIONS(1504),
    [anon_sym_sample] = ACTIONS(1504),
    [anon_sym_patch] = ACTIONS(1504),
    [anon_sym_smooth] = ACTIONS(1504),
    [anon_sym_flat] = ACTIONS(1504),
    [anon_sym_noperspective] = ACTIONS(1504),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym___attribute] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [anon_sym__Nonnull] = ACTIONS(1504),
    [anon_sym_alignas] = ACTIONS(1504),
    [anon_sym__Alignas] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1504),
    [anon_sym_hitAttributeEXT] = ACTIONS(1504),
    [anon_sym_callableDataEXT] = ACTIONS(1504),
    [anon_sym_callableDataInEXT] = ACTIONS(1504),
    [anon_sym_shaderRecordEXT] = ACTIONS(1504),
    [anon_sym_rayPayloadNV] = ACTIONS(1504),
    [anon_sym_rayPayloadInNV] = ACTIONS(1504),
    [anon_sym_hitAttributeNV] = ACTIONS(1504),
    [anon_sym_callableDataNV] = ACTIONS(1504),
    [anon_sym_callableDataInNV] = ACTIONS(1504),
    [anon_sym_shaderRecordNV] = ACTIONS(1504),
    [anon_sym_layout] = ACTIONS(1504),
  },
  [600] = {
    [sym_identifier] = ACTIONS(1528),
    [aux_sym_preproc_def_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token1] = ACTIONS(1528),
    [aux_sym_preproc_if_token2] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1528),
    [sym_preproc_directive] = ACTIONS(1528),
    [anon_sym_subroutine] = ACTIONS(1528),
    [anon_sym_invariant] = ACTIONS(1528),
    [anon_sym_precise] = ACTIONS(1528),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_out] = ACTIONS(1528),
    [anon_sym_inout] = ACTIONS(1528),
    [anon_sym_uniform] = ACTIONS(1528),
    [anon_sym_shared] = ACTIONS(1528),
    [anon_sym_attribute] = ACTIONS(1528),
    [anon_sym_varying] = ACTIONS(1528),
    [anon_sym_buffer] = ACTIONS(1528),
    [anon_sym_coherent] = ACTIONS(1528),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_writeonly] = ACTIONS(1528),
    [anon_sym_precision] = ACTIONS(1528),
    [anon_sym_highp] = ACTIONS(1528),
    [anon_sym_mediump] = ACTIONS(1528),
    [anon_sym_lowp] = ACTIONS(1528),
    [anon_sym_centroid] = ACTIONS(1528),
    [anon_sym_sample] = ACTIONS(1528),
    [anon_sym_patch] = ACTIONS(1528),
    [anon_sym_smooth] = ACTIONS(1528),
    [anon_sym_flat] = ACTIONS(1528),
    [anon_sym_noperspective] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1528),
    [anon_sym_extern] = ACTIONS(1528),
    [anon_sym___attribute__] = ACTIONS(1528),
    [anon_sym___attribute] = ACTIONS(1528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1530),
    [anon_sym___declspec] = ACTIONS(1528),
    [anon_sym_signed] = ACTIONS(1528),
    [anon_sym_unsigned] = ACTIONS(1528),
    [anon_sym_long] = ACTIONS(1528),
    [anon_sym_short] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_auto] = ACTIONS(1528),
    [anon_sym_register] = ACTIONS(1528),
    [anon_sym_inline] = ACTIONS(1528),
    [anon_sym___inline] = ACTIONS(1528),
    [anon_sym___inline__] = ACTIONS(1528),
    [anon_sym___forceinline] = ACTIONS(1528),
    [anon_sym_thread_local] = ACTIONS(1528),
    [anon_sym___thread] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_constexpr] = ACTIONS(1528),
    [anon_sym_volatile] = ACTIONS(1528),
    [anon_sym_restrict] = ACTIONS(1528),
    [anon_sym___restrict__] = ACTIONS(1528),
    [anon_sym__Atomic] = ACTIONS(1528),
    [anon_sym__Noreturn] = ACTIONS(1528),
    [anon_sym_noreturn] = ACTIONS(1528),
    [anon_sym__Nonnull] = ACTIONS(1528),
    [anon_sym_alignas] = ACTIONS(1528),
    [anon_sym__Alignas] = ACTIONS(1528),
    [sym_primitive_type] = ACTIONS(1528),
    [anon_sym_enum] = ACTIONS(1528),
    [anon_sym_struct] = ACTIONS(1528),
    [anon_sym_union] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1528),
    [anon_sym_hitAttributeEXT] = ACTIONS(1528),
    [anon_sym_callableDataEXT] = ACTIONS(1528),
    [anon_sym_callableDataInEXT] = ACTIONS(1528),
    [anon_sym_shaderRecordEXT] = ACTIONS(1528),
    [anon_sym_rayPayloadNV] = ACTIONS(1528),
    [anon_sym_rayPayloadInNV] = ACTIONS(1528),
    [anon_sym_hitAttributeNV] = ACTIONS(1528),
    [anon_sym_callableDataNV] = ACTIONS(1528),
    [anon_sym_callableDataInNV] = ACTIONS(1528),
    [anon_sym_shaderRecordNV] = ACTIONS(1528),
    [anon_sym_layout] = ACTIONS(1528),
  },
  [601] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_subroutine] = ACTIONS(1440),
    [anon_sym_invariant] = ACTIONS(1440),
    [anon_sym_precise] = ACTIONS(1440),
    [anon_sym_in] = ACTIONS(1440),
    [anon_sym_out] = ACTIONS(1440),
    [anon_sym_inout] = ACTIONS(1440),
    [anon_sym_uniform] = ACTIONS(1440),
    [anon_sym_shared] = ACTIONS(1440),
    [anon_sym_attribute] = ACTIONS(1440),
    [anon_sym_varying] = ACTIONS(1440),
    [anon_sym_buffer] = ACTIONS(1440),
    [anon_sym_coherent] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_writeonly] = ACTIONS(1440),
    [anon_sym_precision] = ACTIONS(1440),
    [anon_sym_highp] = ACTIONS(1440),
    [anon_sym_mediump] = ACTIONS(1440),
    [anon_sym_lowp] = ACTIONS(1440),
    [anon_sym_centroid] = ACTIONS(1440),
    [anon_sym_sample] = ACTIONS(1440),
    [anon_sym_patch] = ACTIONS(1440),
    [anon_sym_smooth] = ACTIONS(1440),
    [anon_sym_flat] = ACTIONS(1440),
    [anon_sym_noperspective] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym___attribute] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [anon_sym__Nonnull] = ACTIONS(1440),
    [anon_sym_alignas] = ACTIONS(1440),
    [anon_sym__Alignas] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1440),
    [anon_sym_hitAttributeEXT] = ACTIONS(1440),
    [anon_sym_callableDataEXT] = ACTIONS(1440),
    [anon_sym_callableDataInEXT] = ACTIONS(1440),
    [anon_sym_shaderRecordEXT] = ACTIONS(1440),
    [anon_sym_rayPayloadNV] = ACTIONS(1440),
    [anon_sym_rayPayloadInNV] = ACTIONS(1440),
    [anon_sym_hitAttributeNV] = ACTIONS(1440),
    [anon_sym_callableDataNV] = ACTIONS(1440),
    [anon_sym_callableDataInNV] = ACTIONS(1440),
    [anon_sym_shaderRecordNV] = ACTIONS(1440),
    [anon_sym_layout] = ACTIONS(1440),
  },
  [602] = {
    [sym_identifier] = ACTIONS(1532),
    [aux_sym_preproc_def_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token1] = ACTIONS(1532),
    [aux_sym_preproc_if_token2] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1532),
    [sym_preproc_directive] = ACTIONS(1532),
    [anon_sym_subroutine] = ACTIONS(1532),
    [anon_sym_invariant] = ACTIONS(1532),
    [anon_sym_precise] = ACTIONS(1532),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_out] = ACTIONS(1532),
    [anon_sym_inout] = ACTIONS(1532),
    [anon_sym_uniform] = ACTIONS(1532),
    [anon_sym_shared] = ACTIONS(1532),
    [anon_sym_attribute] = ACTIONS(1532),
    [anon_sym_varying] = ACTIONS(1532),
    [anon_sym_buffer] = ACTIONS(1532),
    [anon_sym_coherent] = ACTIONS(1532),
    [anon_sym_readonly] = ACTIONS(1532),
    [anon_sym_writeonly] = ACTIONS(1532),
    [anon_sym_precision] = ACTIONS(1532),
    [anon_sym_highp] = ACTIONS(1532),
    [anon_sym_mediump] = ACTIONS(1532),
    [anon_sym_lowp] = ACTIONS(1532),
    [anon_sym_centroid] = ACTIONS(1532),
    [anon_sym_sample] = ACTIONS(1532),
    [anon_sym_patch] = ACTIONS(1532),
    [anon_sym_smooth] = ACTIONS(1532),
    [anon_sym_flat] = ACTIONS(1532),
    [anon_sym_noperspective] = ACTIONS(1532),
    [anon_sym___extension__] = ACTIONS(1532),
    [anon_sym_extern] = ACTIONS(1532),
    [anon_sym___attribute__] = ACTIONS(1532),
    [anon_sym___attribute] = ACTIONS(1532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1534),
    [anon_sym___declspec] = ACTIONS(1532),
    [anon_sym_signed] = ACTIONS(1532),
    [anon_sym_unsigned] = ACTIONS(1532),
    [anon_sym_long] = ACTIONS(1532),
    [anon_sym_short] = ACTIONS(1532),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_auto] = ACTIONS(1532),
    [anon_sym_register] = ACTIONS(1532),
    [anon_sym_inline] = ACTIONS(1532),
    [anon_sym___inline] = ACTIONS(1532),
    [anon_sym___inline__] = ACTIONS(1532),
    [anon_sym___forceinline] = ACTIONS(1532),
    [anon_sym_thread_local] = ACTIONS(1532),
    [anon_sym___thread] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_constexpr] = ACTIONS(1532),
    [anon_sym_volatile] = ACTIONS(1532),
    [anon_sym_restrict] = ACTIONS(1532),
    [anon_sym___restrict__] = ACTIONS(1532),
    [anon_sym__Atomic] = ACTIONS(1532),
    [anon_sym__Noreturn] = ACTIONS(1532),
    [anon_sym_noreturn] = ACTIONS(1532),
    [anon_sym__Nonnull] = ACTIONS(1532),
    [anon_sym_alignas] = ACTIONS(1532),
    [anon_sym__Alignas] = ACTIONS(1532),
    [sym_primitive_type] = ACTIONS(1532),
    [anon_sym_enum] = ACTIONS(1532),
    [anon_sym_struct] = ACTIONS(1532),
    [anon_sym_union] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1532),
    [anon_sym_hitAttributeEXT] = ACTIONS(1532),
    [anon_sym_callableDataEXT] = ACTIONS(1532),
    [anon_sym_callableDataInEXT] = ACTIONS(1532),
    [anon_sym_shaderRecordEXT] = ACTIONS(1532),
    [anon_sym_rayPayloadNV] = ACTIONS(1532),
    [anon_sym_rayPayloadInNV] = ACTIONS(1532),
    [anon_sym_hitAttributeNV] = ACTIONS(1532),
    [anon_sym_callableDataNV] = ACTIONS(1532),
    [anon_sym_callableDataInNV] = ACTIONS(1532),
    [anon_sym_shaderRecordNV] = ACTIONS(1532),
    [anon_sym_layout] = ACTIONS(1532),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2282),
    [aux_sym_preproc_def_token1] = ACTIONS(2282),
    [aux_sym_preproc_if_token1] = ACTIONS(2282),
    [aux_sym_preproc_if_token2] = ACTIONS(2282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2282),
    [sym_preproc_directive] = ACTIONS(2282),
    [anon_sym_subroutine] = ACTIONS(2282),
    [anon_sym_invariant] = ACTIONS(2282),
    [anon_sym_precise] = ACTIONS(2282),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_out] = ACTIONS(2282),
    [anon_sym_inout] = ACTIONS(2282),
    [anon_sym_uniform] = ACTIONS(2282),
    [anon_sym_shared] = ACTIONS(2282),
    [anon_sym_attribute] = ACTIONS(2282),
    [anon_sym_varying] = ACTIONS(2282),
    [anon_sym_buffer] = ACTIONS(2282),
    [anon_sym_coherent] = ACTIONS(2282),
    [anon_sym_readonly] = ACTIONS(2282),
    [anon_sym_writeonly] = ACTIONS(2282),
    [anon_sym_precision] = ACTIONS(2282),
    [anon_sym_highp] = ACTIONS(2282),
    [anon_sym_mediump] = ACTIONS(2282),
    [anon_sym_lowp] = ACTIONS(2282),
    [anon_sym_centroid] = ACTIONS(2282),
    [anon_sym_sample] = ACTIONS(2282),
    [anon_sym_patch] = ACTIONS(2282),
    [anon_sym_smooth] = ACTIONS(2282),
    [anon_sym_flat] = ACTIONS(2282),
    [anon_sym_noperspective] = ACTIONS(2282),
    [anon_sym___extension__] = ACTIONS(2282),
    [anon_sym_extern] = ACTIONS(2282),
    [anon_sym___attribute__] = ACTIONS(2282),
    [anon_sym___attribute] = ACTIONS(2282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2284),
    [anon_sym___declspec] = ACTIONS(2282),
    [anon_sym_signed] = ACTIONS(2282),
    [anon_sym_unsigned] = ACTIONS(2282),
    [anon_sym_long] = ACTIONS(2282),
    [anon_sym_short] = ACTIONS(2282),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_auto] = ACTIONS(2282),
    [anon_sym_register] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(2282),
    [anon_sym___inline] = ACTIONS(2282),
    [anon_sym___inline__] = ACTIONS(2282),
    [anon_sym___forceinline] = ACTIONS(2282),
    [anon_sym_thread_local] = ACTIONS(2282),
    [anon_sym___thread] = ACTIONS(2282),
    [anon_sym_const] = ACTIONS(2282),
    [anon_sym_constexpr] = ACTIONS(2282),
    [anon_sym_volatile] = ACTIONS(2282),
    [anon_sym_restrict] = ACTIONS(2282),
    [anon_sym___restrict__] = ACTIONS(2282),
    [anon_sym__Atomic] = ACTIONS(2282),
    [anon_sym__Noreturn] = ACTIONS(2282),
    [anon_sym_noreturn] = ACTIONS(2282),
    [anon_sym__Nonnull] = ACTIONS(2282),
    [anon_sym_alignas] = ACTIONS(2282),
    [anon_sym__Alignas] = ACTIONS(2282),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_enum] = ACTIONS(2282),
    [anon_sym_struct] = ACTIONS(2282),
    [anon_sym_union] = ACTIONS(2282),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2282),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2282),
    [anon_sym_hitAttributeEXT] = ACTIONS(2282),
    [anon_sym_callableDataEXT] = ACTIONS(2282),
    [anon_sym_callableDataInEXT] = ACTIONS(2282),
    [anon_sym_shaderRecordEXT] = ACTIONS(2282),
    [anon_sym_rayPayloadNV] = ACTIONS(2282),
    [anon_sym_rayPayloadInNV] = ACTIONS(2282),
    [anon_sym_hitAttributeNV] = ACTIONS(2282),
    [anon_sym_callableDataNV] = ACTIONS(2282),
    [anon_sym_callableDataInNV] = ACTIONS(2282),
    [anon_sym_shaderRecordNV] = ACTIONS(2282),
    [anon_sym_layout] = ACTIONS(2282),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2286),
    [aux_sym_preproc_def_token1] = ACTIONS(2286),
    [aux_sym_preproc_if_token1] = ACTIONS(2286),
    [aux_sym_preproc_if_token2] = ACTIONS(2286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2286),
    [sym_preproc_directive] = ACTIONS(2286),
    [anon_sym_subroutine] = ACTIONS(2286),
    [anon_sym_invariant] = ACTIONS(2286),
    [anon_sym_precise] = ACTIONS(2286),
    [anon_sym_in] = ACTIONS(2286),
    [anon_sym_out] = ACTIONS(2286),
    [anon_sym_inout] = ACTIONS(2286),
    [anon_sym_uniform] = ACTIONS(2286),
    [anon_sym_shared] = ACTIONS(2286),
    [anon_sym_attribute] = ACTIONS(2286),
    [anon_sym_varying] = ACTIONS(2286),
    [anon_sym_buffer] = ACTIONS(2286),
    [anon_sym_coherent] = ACTIONS(2286),
    [anon_sym_readonly] = ACTIONS(2286),
    [anon_sym_writeonly] = ACTIONS(2286),
    [anon_sym_precision] = ACTIONS(2286),
    [anon_sym_highp] = ACTIONS(2286),
    [anon_sym_mediump] = ACTIONS(2286),
    [anon_sym_lowp] = ACTIONS(2286),
    [anon_sym_centroid] = ACTIONS(2286),
    [anon_sym_sample] = ACTIONS(2286),
    [anon_sym_patch] = ACTIONS(2286),
    [anon_sym_smooth] = ACTIONS(2286),
    [anon_sym_flat] = ACTIONS(2286),
    [anon_sym_noperspective] = ACTIONS(2286),
    [anon_sym___extension__] = ACTIONS(2286),
    [anon_sym_extern] = ACTIONS(2286),
    [anon_sym___attribute__] = ACTIONS(2286),
    [anon_sym___attribute] = ACTIONS(2286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2288),
    [anon_sym___declspec] = ACTIONS(2286),
    [anon_sym_signed] = ACTIONS(2286),
    [anon_sym_unsigned] = ACTIONS(2286),
    [anon_sym_long] = ACTIONS(2286),
    [anon_sym_short] = ACTIONS(2286),
    [anon_sym_static] = ACTIONS(2286),
    [anon_sym_auto] = ACTIONS(2286),
    [anon_sym_register] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(2286),
    [anon_sym___inline] = ACTIONS(2286),
    [anon_sym___inline__] = ACTIONS(2286),
    [anon_sym___forceinline] = ACTIONS(2286),
    [anon_sym_thread_local] = ACTIONS(2286),
    [anon_sym___thread] = ACTIONS(2286),
    [anon_sym_const] = ACTIONS(2286),
    [anon_sym_constexpr] = ACTIONS(2286),
    [anon_sym_volatile] = ACTIONS(2286),
    [anon_sym_restrict] = ACTIONS(2286),
    [anon_sym___restrict__] = ACTIONS(2286),
    [anon_sym__Atomic] = ACTIONS(2286),
    [anon_sym__Noreturn] = ACTIONS(2286),
    [anon_sym_noreturn] = ACTIONS(2286),
    [anon_sym__Nonnull] = ACTIONS(2286),
    [anon_sym_alignas] = ACTIONS(2286),
    [anon_sym__Alignas] = ACTIONS(2286),
    [sym_primitive_type] = ACTIONS(2286),
    [anon_sym_enum] = ACTIONS(2286),
    [anon_sym_struct] = ACTIONS(2286),
    [anon_sym_union] = ACTIONS(2286),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2286),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2286),
    [anon_sym_hitAttributeEXT] = ACTIONS(2286),
    [anon_sym_callableDataEXT] = ACTIONS(2286),
    [anon_sym_callableDataInEXT] = ACTIONS(2286),
    [anon_sym_shaderRecordEXT] = ACTIONS(2286),
    [anon_sym_rayPayloadNV] = ACTIONS(2286),
    [anon_sym_rayPayloadInNV] = ACTIONS(2286),
    [anon_sym_hitAttributeNV] = ACTIONS(2286),
    [anon_sym_callableDataNV] = ACTIONS(2286),
    [anon_sym_callableDataInNV] = ACTIONS(2286),
    [anon_sym_shaderRecordNV] = ACTIONS(2286),
    [anon_sym_layout] = ACTIONS(2286),
  },
  [605] = {
    [sym_identifier] = ACTIONS(2290),
    [aux_sym_preproc_def_token1] = ACTIONS(2290),
    [aux_sym_preproc_if_token1] = ACTIONS(2290),
    [aux_sym_preproc_if_token2] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2290),
    [sym_preproc_directive] = ACTIONS(2290),
    [anon_sym_subroutine] = ACTIONS(2290),
    [anon_sym_invariant] = ACTIONS(2290),
    [anon_sym_precise] = ACTIONS(2290),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_out] = ACTIONS(2290),
    [anon_sym_inout] = ACTIONS(2290),
    [anon_sym_uniform] = ACTIONS(2290),
    [anon_sym_shared] = ACTIONS(2290),
    [anon_sym_attribute] = ACTIONS(2290),
    [anon_sym_varying] = ACTIONS(2290),
    [anon_sym_buffer] = ACTIONS(2290),
    [anon_sym_coherent] = ACTIONS(2290),
    [anon_sym_readonly] = ACTIONS(2290),
    [anon_sym_writeonly] = ACTIONS(2290),
    [anon_sym_precision] = ACTIONS(2290),
    [anon_sym_highp] = ACTIONS(2290),
    [anon_sym_mediump] = ACTIONS(2290),
    [anon_sym_lowp] = ACTIONS(2290),
    [anon_sym_centroid] = ACTIONS(2290),
    [anon_sym_sample] = ACTIONS(2290),
    [anon_sym_patch] = ACTIONS(2290),
    [anon_sym_smooth] = ACTIONS(2290),
    [anon_sym_flat] = ACTIONS(2290),
    [anon_sym_noperspective] = ACTIONS(2290),
    [anon_sym___extension__] = ACTIONS(2290),
    [anon_sym_extern] = ACTIONS(2290),
    [anon_sym___attribute__] = ACTIONS(2290),
    [anon_sym___attribute] = ACTIONS(2290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2292),
    [anon_sym___declspec] = ACTIONS(2290),
    [anon_sym_signed] = ACTIONS(2290),
    [anon_sym_unsigned] = ACTIONS(2290),
    [anon_sym_long] = ACTIONS(2290),
    [anon_sym_short] = ACTIONS(2290),
    [anon_sym_static] = ACTIONS(2290),
    [anon_sym_auto] = ACTIONS(2290),
    [anon_sym_register] = ACTIONS(2290),
    [anon_sym_inline] = ACTIONS(2290),
    [anon_sym___inline] = ACTIONS(2290),
    [anon_sym___inline__] = ACTIONS(2290),
    [anon_sym___forceinline] = ACTIONS(2290),
    [anon_sym_thread_local] = ACTIONS(2290),
    [anon_sym___thread] = ACTIONS(2290),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_constexpr] = ACTIONS(2290),
    [anon_sym_volatile] = ACTIONS(2290),
    [anon_sym_restrict] = ACTIONS(2290),
    [anon_sym___restrict__] = ACTIONS(2290),
    [anon_sym__Atomic] = ACTIONS(2290),
    [anon_sym__Noreturn] = ACTIONS(2290),
    [anon_sym_noreturn] = ACTIONS(2290),
    [anon_sym__Nonnull] = ACTIONS(2290),
    [anon_sym_alignas] = ACTIONS(2290),
    [anon_sym__Alignas] = ACTIONS(2290),
    [sym_primitive_type] = ACTIONS(2290),
    [anon_sym_enum] = ACTIONS(2290),
    [anon_sym_struct] = ACTIONS(2290),
    [anon_sym_union] = ACTIONS(2290),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2290),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2290),
    [anon_sym_hitAttributeEXT] = ACTIONS(2290),
    [anon_sym_callableDataEXT] = ACTIONS(2290),
    [anon_sym_callableDataInEXT] = ACTIONS(2290),
    [anon_sym_shaderRecordEXT] = ACTIONS(2290),
    [anon_sym_rayPayloadNV] = ACTIONS(2290),
    [anon_sym_rayPayloadInNV] = ACTIONS(2290),
    [anon_sym_hitAttributeNV] = ACTIONS(2290),
    [anon_sym_callableDataNV] = ACTIONS(2290),
    [anon_sym_callableDataInNV] = ACTIONS(2290),
    [anon_sym_shaderRecordNV] = ACTIONS(2290),
    [anon_sym_layout] = ACTIONS(2290),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2270),
    [aux_sym_preproc_def_token1] = ACTIONS(2270),
    [aux_sym_preproc_if_token1] = ACTIONS(2270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2270),
    [sym_preproc_directive] = ACTIONS(2270),
    [anon_sym_subroutine] = ACTIONS(2270),
    [anon_sym_invariant] = ACTIONS(2270),
    [anon_sym_precise] = ACTIONS(2270),
    [anon_sym_in] = ACTIONS(2270),
    [anon_sym_out] = ACTIONS(2270),
    [anon_sym_inout] = ACTIONS(2270),
    [anon_sym_uniform] = ACTIONS(2270),
    [anon_sym_shared] = ACTIONS(2270),
    [anon_sym_attribute] = ACTIONS(2270),
    [anon_sym_varying] = ACTIONS(2270),
    [anon_sym_buffer] = ACTIONS(2270),
    [anon_sym_coherent] = ACTIONS(2270),
    [anon_sym_readonly] = ACTIONS(2270),
    [anon_sym_writeonly] = ACTIONS(2270),
    [anon_sym_precision] = ACTIONS(2270),
    [anon_sym_highp] = ACTIONS(2270),
    [anon_sym_mediump] = ACTIONS(2270),
    [anon_sym_lowp] = ACTIONS(2270),
    [anon_sym_centroid] = ACTIONS(2270),
    [anon_sym_sample] = ACTIONS(2270),
    [anon_sym_patch] = ACTIONS(2270),
    [anon_sym_smooth] = ACTIONS(2270),
    [anon_sym_flat] = ACTIONS(2270),
    [anon_sym_noperspective] = ACTIONS(2270),
    [anon_sym___extension__] = ACTIONS(2270),
    [anon_sym_extern] = ACTIONS(2270),
    [anon_sym___attribute__] = ACTIONS(2270),
    [anon_sym___attribute] = ACTIONS(2270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2272),
    [anon_sym___declspec] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_signed] = ACTIONS(2270),
    [anon_sym_unsigned] = ACTIONS(2270),
    [anon_sym_long] = ACTIONS(2270),
    [anon_sym_short] = ACTIONS(2270),
    [anon_sym_static] = ACTIONS(2270),
    [anon_sym_auto] = ACTIONS(2270),
    [anon_sym_register] = ACTIONS(2270),
    [anon_sym_inline] = ACTIONS(2270),
    [anon_sym___inline] = ACTIONS(2270),
    [anon_sym___inline__] = ACTIONS(2270),
    [anon_sym___forceinline] = ACTIONS(2270),
    [anon_sym_thread_local] = ACTIONS(2270),
    [anon_sym___thread] = ACTIONS(2270),
    [anon_sym_const] = ACTIONS(2270),
    [anon_sym_constexpr] = ACTIONS(2270),
    [anon_sym_volatile] = ACTIONS(2270),
    [anon_sym_restrict] = ACTIONS(2270),
    [anon_sym___restrict__] = ACTIONS(2270),
    [anon_sym__Atomic] = ACTIONS(2270),
    [anon_sym__Noreturn] = ACTIONS(2270),
    [anon_sym_noreturn] = ACTIONS(2270),
    [anon_sym__Nonnull] = ACTIONS(2270),
    [anon_sym_alignas] = ACTIONS(2270),
    [anon_sym__Alignas] = ACTIONS(2270),
    [sym_primitive_type] = ACTIONS(2270),
    [anon_sym_enum] = ACTIONS(2270),
    [anon_sym_struct] = ACTIONS(2270),
    [anon_sym_union] = ACTIONS(2270),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2270),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2270),
    [anon_sym_hitAttributeEXT] = ACTIONS(2270),
    [anon_sym_callableDataEXT] = ACTIONS(2270),
    [anon_sym_callableDataInEXT] = ACTIONS(2270),
    [anon_sym_shaderRecordEXT] = ACTIONS(2270),
    [anon_sym_rayPayloadNV] = ACTIONS(2270),
    [anon_sym_rayPayloadInNV] = ACTIONS(2270),
    [anon_sym_hitAttributeNV] = ACTIONS(2270),
    [anon_sym_callableDataNV] = ACTIONS(2270),
    [anon_sym_callableDataInNV] = ACTIONS(2270),
    [anon_sym_shaderRecordNV] = ACTIONS(2270),
    [anon_sym_layout] = ACTIONS(2270),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2294),
    [aux_sym_preproc_def_token1] = ACTIONS(2294),
    [aux_sym_preproc_if_token1] = ACTIONS(2294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2294),
    [sym_preproc_directive] = ACTIONS(2294),
    [anon_sym_subroutine] = ACTIONS(2294),
    [anon_sym_invariant] = ACTIONS(2294),
    [anon_sym_precise] = ACTIONS(2294),
    [anon_sym_in] = ACTIONS(2294),
    [anon_sym_out] = ACTIONS(2294),
    [anon_sym_inout] = ACTIONS(2294),
    [anon_sym_uniform] = ACTIONS(2294),
    [anon_sym_shared] = ACTIONS(2294),
    [anon_sym_attribute] = ACTIONS(2294),
    [anon_sym_varying] = ACTIONS(2294),
    [anon_sym_buffer] = ACTIONS(2294),
    [anon_sym_coherent] = ACTIONS(2294),
    [anon_sym_readonly] = ACTIONS(2294),
    [anon_sym_writeonly] = ACTIONS(2294),
    [anon_sym_precision] = ACTIONS(2294),
    [anon_sym_highp] = ACTIONS(2294),
    [anon_sym_mediump] = ACTIONS(2294),
    [anon_sym_lowp] = ACTIONS(2294),
    [anon_sym_centroid] = ACTIONS(2294),
    [anon_sym_sample] = ACTIONS(2294),
    [anon_sym_patch] = ACTIONS(2294),
    [anon_sym_smooth] = ACTIONS(2294),
    [anon_sym_flat] = ACTIONS(2294),
    [anon_sym_noperspective] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2294),
    [anon_sym_extern] = ACTIONS(2294),
    [anon_sym___attribute__] = ACTIONS(2294),
    [anon_sym___attribute] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2296),
    [anon_sym___declspec] = ACTIONS(2294),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_signed] = ACTIONS(2294),
    [anon_sym_unsigned] = ACTIONS(2294),
    [anon_sym_long] = ACTIONS(2294),
    [anon_sym_short] = ACTIONS(2294),
    [anon_sym_static] = ACTIONS(2294),
    [anon_sym_auto] = ACTIONS(2294),
    [anon_sym_register] = ACTIONS(2294),
    [anon_sym_inline] = ACTIONS(2294),
    [anon_sym___inline] = ACTIONS(2294),
    [anon_sym___inline__] = ACTIONS(2294),
    [anon_sym___forceinline] = ACTIONS(2294),
    [anon_sym_thread_local] = ACTIONS(2294),
    [anon_sym___thread] = ACTIONS(2294),
    [anon_sym_const] = ACTIONS(2294),
    [anon_sym_constexpr] = ACTIONS(2294),
    [anon_sym_volatile] = ACTIONS(2294),
    [anon_sym_restrict] = ACTIONS(2294),
    [anon_sym___restrict__] = ACTIONS(2294),
    [anon_sym__Atomic] = ACTIONS(2294),
    [anon_sym__Noreturn] = ACTIONS(2294),
    [anon_sym_noreturn] = ACTIONS(2294),
    [anon_sym__Nonnull] = ACTIONS(2294),
    [anon_sym_alignas] = ACTIONS(2294),
    [anon_sym__Alignas] = ACTIONS(2294),
    [sym_primitive_type] = ACTIONS(2294),
    [anon_sym_enum] = ACTIONS(2294),
    [anon_sym_struct] = ACTIONS(2294),
    [anon_sym_union] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2294),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2294),
    [anon_sym_hitAttributeEXT] = ACTIONS(2294),
    [anon_sym_callableDataEXT] = ACTIONS(2294),
    [anon_sym_callableDataInEXT] = ACTIONS(2294),
    [anon_sym_shaderRecordEXT] = ACTIONS(2294),
    [anon_sym_rayPayloadNV] = ACTIONS(2294),
    [anon_sym_rayPayloadInNV] = ACTIONS(2294),
    [anon_sym_hitAttributeNV] = ACTIONS(2294),
    [anon_sym_callableDataNV] = ACTIONS(2294),
    [anon_sym_callableDataInNV] = ACTIONS(2294),
    [anon_sym_shaderRecordNV] = ACTIONS(2294),
    [anon_sym_layout] = ACTIONS(2294),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2294),
    [aux_sym_preproc_def_token1] = ACTIONS(2294),
    [aux_sym_preproc_if_token1] = ACTIONS(2294),
    [aux_sym_preproc_if_token2] = ACTIONS(2294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2294),
    [sym_preproc_directive] = ACTIONS(2294),
    [anon_sym_subroutine] = ACTIONS(2294),
    [anon_sym_invariant] = ACTIONS(2294),
    [anon_sym_precise] = ACTIONS(2294),
    [anon_sym_in] = ACTIONS(2294),
    [anon_sym_out] = ACTIONS(2294),
    [anon_sym_inout] = ACTIONS(2294),
    [anon_sym_uniform] = ACTIONS(2294),
    [anon_sym_shared] = ACTIONS(2294),
    [anon_sym_attribute] = ACTIONS(2294),
    [anon_sym_varying] = ACTIONS(2294),
    [anon_sym_buffer] = ACTIONS(2294),
    [anon_sym_coherent] = ACTIONS(2294),
    [anon_sym_readonly] = ACTIONS(2294),
    [anon_sym_writeonly] = ACTIONS(2294),
    [anon_sym_precision] = ACTIONS(2294),
    [anon_sym_highp] = ACTIONS(2294),
    [anon_sym_mediump] = ACTIONS(2294),
    [anon_sym_lowp] = ACTIONS(2294),
    [anon_sym_centroid] = ACTIONS(2294),
    [anon_sym_sample] = ACTIONS(2294),
    [anon_sym_patch] = ACTIONS(2294),
    [anon_sym_smooth] = ACTIONS(2294),
    [anon_sym_flat] = ACTIONS(2294),
    [anon_sym_noperspective] = ACTIONS(2294),
    [anon_sym___extension__] = ACTIONS(2294),
    [anon_sym_extern] = ACTIONS(2294),
    [anon_sym___attribute__] = ACTIONS(2294),
    [anon_sym___attribute] = ACTIONS(2294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2296),
    [anon_sym___declspec] = ACTIONS(2294),
    [anon_sym_signed] = ACTIONS(2294),
    [anon_sym_unsigned] = ACTIONS(2294),
    [anon_sym_long] = ACTIONS(2294),
    [anon_sym_short] = ACTIONS(2294),
    [anon_sym_static] = ACTIONS(2294),
    [anon_sym_auto] = ACTIONS(2294),
    [anon_sym_register] = ACTIONS(2294),
    [anon_sym_inline] = ACTIONS(2294),
    [anon_sym___inline] = ACTIONS(2294),
    [anon_sym___inline__] = ACTIONS(2294),
    [anon_sym___forceinline] = ACTIONS(2294),
    [anon_sym_thread_local] = ACTIONS(2294),
    [anon_sym___thread] = ACTIONS(2294),
    [anon_sym_const] = ACTIONS(2294),
    [anon_sym_constexpr] = ACTIONS(2294),
    [anon_sym_volatile] = ACTIONS(2294),
    [anon_sym_restrict] = ACTIONS(2294),
    [anon_sym___restrict__] = ACTIONS(2294),
    [anon_sym__Atomic] = ACTIONS(2294),
    [anon_sym__Noreturn] = ACTIONS(2294),
    [anon_sym_noreturn] = ACTIONS(2294),
    [anon_sym__Nonnull] = ACTIONS(2294),
    [anon_sym_alignas] = ACTIONS(2294),
    [anon_sym__Alignas] = ACTIONS(2294),
    [sym_primitive_type] = ACTIONS(2294),
    [anon_sym_enum] = ACTIONS(2294),
    [anon_sym_struct] = ACTIONS(2294),
    [anon_sym_union] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2294),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2294),
    [anon_sym_hitAttributeEXT] = ACTIONS(2294),
    [anon_sym_callableDataEXT] = ACTIONS(2294),
    [anon_sym_callableDataInEXT] = ACTIONS(2294),
    [anon_sym_shaderRecordEXT] = ACTIONS(2294),
    [anon_sym_rayPayloadNV] = ACTIONS(2294),
    [anon_sym_rayPayloadInNV] = ACTIONS(2294),
    [anon_sym_hitAttributeNV] = ACTIONS(2294),
    [anon_sym_callableDataNV] = ACTIONS(2294),
    [anon_sym_callableDataInNV] = ACTIONS(2294),
    [anon_sym_shaderRecordNV] = ACTIONS(2294),
    [anon_sym_layout] = ACTIONS(2294),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2298),
    [aux_sym_preproc_def_token1] = ACTIONS(2298),
    [aux_sym_preproc_if_token1] = ACTIONS(2298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2298),
    [sym_preproc_directive] = ACTIONS(2298),
    [anon_sym_subroutine] = ACTIONS(2298),
    [anon_sym_invariant] = ACTIONS(2298),
    [anon_sym_precise] = ACTIONS(2298),
    [anon_sym_in] = ACTIONS(2298),
    [anon_sym_out] = ACTIONS(2298),
    [anon_sym_inout] = ACTIONS(2298),
    [anon_sym_uniform] = ACTIONS(2298),
    [anon_sym_shared] = ACTIONS(2298),
    [anon_sym_attribute] = ACTIONS(2298),
    [anon_sym_varying] = ACTIONS(2298),
    [anon_sym_buffer] = ACTIONS(2298),
    [anon_sym_coherent] = ACTIONS(2298),
    [anon_sym_readonly] = ACTIONS(2298),
    [anon_sym_writeonly] = ACTIONS(2298),
    [anon_sym_precision] = ACTIONS(2298),
    [anon_sym_highp] = ACTIONS(2298),
    [anon_sym_mediump] = ACTIONS(2298),
    [anon_sym_lowp] = ACTIONS(2298),
    [anon_sym_centroid] = ACTIONS(2298),
    [anon_sym_sample] = ACTIONS(2298),
    [anon_sym_patch] = ACTIONS(2298),
    [anon_sym_smooth] = ACTIONS(2298),
    [anon_sym_flat] = ACTIONS(2298),
    [anon_sym_noperspective] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2298),
    [anon_sym_extern] = ACTIONS(2298),
    [anon_sym___attribute__] = ACTIONS(2298),
    [anon_sym___attribute] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2300),
    [anon_sym___declspec] = ACTIONS(2298),
    [anon_sym_RBRACE] = ACTIONS(2300),
    [anon_sym_signed] = ACTIONS(2298),
    [anon_sym_unsigned] = ACTIONS(2298),
    [anon_sym_long] = ACTIONS(2298),
    [anon_sym_short] = ACTIONS(2298),
    [anon_sym_static] = ACTIONS(2298),
    [anon_sym_auto] = ACTIONS(2298),
    [anon_sym_register] = ACTIONS(2298),
    [anon_sym_inline] = ACTIONS(2298),
    [anon_sym___inline] = ACTIONS(2298),
    [anon_sym___inline__] = ACTIONS(2298),
    [anon_sym___forceinline] = ACTIONS(2298),
    [anon_sym_thread_local] = ACTIONS(2298),
    [anon_sym___thread] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2298),
    [anon_sym_constexpr] = ACTIONS(2298),
    [anon_sym_volatile] = ACTIONS(2298),
    [anon_sym_restrict] = ACTIONS(2298),
    [anon_sym___restrict__] = ACTIONS(2298),
    [anon_sym__Atomic] = ACTIONS(2298),
    [anon_sym__Noreturn] = ACTIONS(2298),
    [anon_sym_noreturn] = ACTIONS(2298),
    [anon_sym__Nonnull] = ACTIONS(2298),
    [anon_sym_alignas] = ACTIONS(2298),
    [anon_sym__Alignas] = ACTIONS(2298),
    [sym_primitive_type] = ACTIONS(2298),
    [anon_sym_enum] = ACTIONS(2298),
    [anon_sym_struct] = ACTIONS(2298),
    [anon_sym_union] = ACTIONS(2298),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2298),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2298),
    [anon_sym_hitAttributeEXT] = ACTIONS(2298),
    [anon_sym_callableDataEXT] = ACTIONS(2298),
    [anon_sym_callableDataInEXT] = ACTIONS(2298),
    [anon_sym_shaderRecordEXT] = ACTIONS(2298),
    [anon_sym_rayPayloadNV] = ACTIONS(2298),
    [anon_sym_rayPayloadInNV] = ACTIONS(2298),
    [anon_sym_hitAttributeNV] = ACTIONS(2298),
    [anon_sym_callableDataNV] = ACTIONS(2298),
    [anon_sym_callableDataInNV] = ACTIONS(2298),
    [anon_sym_shaderRecordNV] = ACTIONS(2298),
    [anon_sym_layout] = ACTIONS(2298),
  },
  [610] = {
    [sym_identifier] = ACTIONS(2302),
    [aux_sym_preproc_def_token1] = ACTIONS(2302),
    [aux_sym_preproc_if_token1] = ACTIONS(2302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2302),
    [sym_preproc_directive] = ACTIONS(2302),
    [anon_sym_subroutine] = ACTIONS(2302),
    [anon_sym_invariant] = ACTIONS(2302),
    [anon_sym_precise] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2302),
    [anon_sym_out] = ACTIONS(2302),
    [anon_sym_inout] = ACTIONS(2302),
    [anon_sym_uniform] = ACTIONS(2302),
    [anon_sym_shared] = ACTIONS(2302),
    [anon_sym_attribute] = ACTIONS(2302),
    [anon_sym_varying] = ACTIONS(2302),
    [anon_sym_buffer] = ACTIONS(2302),
    [anon_sym_coherent] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_writeonly] = ACTIONS(2302),
    [anon_sym_precision] = ACTIONS(2302),
    [anon_sym_highp] = ACTIONS(2302),
    [anon_sym_mediump] = ACTIONS(2302),
    [anon_sym_lowp] = ACTIONS(2302),
    [anon_sym_centroid] = ACTIONS(2302),
    [anon_sym_sample] = ACTIONS(2302),
    [anon_sym_patch] = ACTIONS(2302),
    [anon_sym_smooth] = ACTIONS(2302),
    [anon_sym_flat] = ACTIONS(2302),
    [anon_sym_noperspective] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2302),
    [anon_sym_extern] = ACTIONS(2302),
    [anon_sym___attribute__] = ACTIONS(2302),
    [anon_sym___attribute] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2304),
    [anon_sym___declspec] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2304),
    [anon_sym_signed] = ACTIONS(2302),
    [anon_sym_unsigned] = ACTIONS(2302),
    [anon_sym_long] = ACTIONS(2302),
    [anon_sym_short] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_auto] = ACTIONS(2302),
    [anon_sym_register] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2302),
    [anon_sym___inline] = ACTIONS(2302),
    [anon_sym___inline__] = ACTIONS(2302),
    [anon_sym___forceinline] = ACTIONS(2302),
    [anon_sym_thread_local] = ACTIONS(2302),
    [anon_sym___thread] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_constexpr] = ACTIONS(2302),
    [anon_sym_volatile] = ACTIONS(2302),
    [anon_sym_restrict] = ACTIONS(2302),
    [anon_sym___restrict__] = ACTIONS(2302),
    [anon_sym__Atomic] = ACTIONS(2302),
    [anon_sym__Noreturn] = ACTIONS(2302),
    [anon_sym_noreturn] = ACTIONS(2302),
    [anon_sym__Nonnull] = ACTIONS(2302),
    [anon_sym_alignas] = ACTIONS(2302),
    [anon_sym__Alignas] = ACTIONS(2302),
    [sym_primitive_type] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [anon_sym_struct] = ACTIONS(2302),
    [anon_sym_union] = ACTIONS(2302),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2302),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2302),
    [anon_sym_hitAttributeEXT] = ACTIONS(2302),
    [anon_sym_callableDataEXT] = ACTIONS(2302),
    [anon_sym_callableDataInEXT] = ACTIONS(2302),
    [anon_sym_shaderRecordEXT] = ACTIONS(2302),
    [anon_sym_rayPayloadNV] = ACTIONS(2302),
    [anon_sym_rayPayloadInNV] = ACTIONS(2302),
    [anon_sym_hitAttributeNV] = ACTIONS(2302),
    [anon_sym_callableDataNV] = ACTIONS(2302),
    [anon_sym_callableDataInNV] = ACTIONS(2302),
    [anon_sym_shaderRecordNV] = ACTIONS(2302),
    [anon_sym_layout] = ACTIONS(2302),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_subroutine] = ACTIONS(2250),
    [anon_sym_invariant] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_attribute] = ACTIONS(2250),
    [anon_sym_varying] = ACTIONS(2250),
    [anon_sym_buffer] = ACTIONS(2250),
    [anon_sym_coherent] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_writeonly] = ACTIONS(2250),
    [anon_sym_precision] = ACTIONS(2250),
    [anon_sym_highp] = ACTIONS(2250),
    [anon_sym_mediump] = ACTIONS(2250),
    [anon_sym_lowp] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_patch] = ACTIONS(2250),
    [anon_sym_smooth] = ACTIONS(2250),
    [anon_sym_flat] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym___attribute] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_auto] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym__Nonnull] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym__Alignas] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2250),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2250),
    [anon_sym_hitAttributeEXT] = ACTIONS(2250),
    [anon_sym_callableDataEXT] = ACTIONS(2250),
    [anon_sym_callableDataInEXT] = ACTIONS(2250),
    [anon_sym_shaderRecordEXT] = ACTIONS(2250),
    [anon_sym_rayPayloadNV] = ACTIONS(2250),
    [anon_sym_rayPayloadInNV] = ACTIONS(2250),
    [anon_sym_hitAttributeNV] = ACTIONS(2250),
    [anon_sym_callableDataNV] = ACTIONS(2250),
    [anon_sym_callableDataInNV] = ACTIONS(2250),
    [anon_sym_shaderRecordNV] = ACTIONS(2250),
    [anon_sym_layout] = ACTIONS(2250),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2266),
    [aux_sym_preproc_def_token1] = ACTIONS(2266),
    [aux_sym_preproc_if_token1] = ACTIONS(2266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2266),
    [sym_preproc_directive] = ACTIONS(2266),
    [anon_sym_subroutine] = ACTIONS(2266),
    [anon_sym_invariant] = ACTIONS(2266),
    [anon_sym_precise] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2266),
    [anon_sym_out] = ACTIONS(2266),
    [anon_sym_inout] = ACTIONS(2266),
    [anon_sym_uniform] = ACTIONS(2266),
    [anon_sym_shared] = ACTIONS(2266),
    [anon_sym_attribute] = ACTIONS(2266),
    [anon_sym_varying] = ACTIONS(2266),
    [anon_sym_buffer] = ACTIONS(2266),
    [anon_sym_coherent] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_writeonly] = ACTIONS(2266),
    [anon_sym_precision] = ACTIONS(2266),
    [anon_sym_highp] = ACTIONS(2266),
    [anon_sym_mediump] = ACTIONS(2266),
    [anon_sym_lowp] = ACTIONS(2266),
    [anon_sym_centroid] = ACTIONS(2266),
    [anon_sym_sample] = ACTIONS(2266),
    [anon_sym_patch] = ACTIONS(2266),
    [anon_sym_smooth] = ACTIONS(2266),
    [anon_sym_flat] = ACTIONS(2266),
    [anon_sym_noperspective] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2266),
    [anon_sym_extern] = ACTIONS(2266),
    [anon_sym___attribute__] = ACTIONS(2266),
    [anon_sym___attribute] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2268),
    [anon_sym___declspec] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2268),
    [anon_sym_signed] = ACTIONS(2266),
    [anon_sym_unsigned] = ACTIONS(2266),
    [anon_sym_long] = ACTIONS(2266),
    [anon_sym_short] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_auto] = ACTIONS(2266),
    [anon_sym_register] = ACTIONS(2266),
    [anon_sym_inline] = ACTIONS(2266),
    [anon_sym___inline] = ACTIONS(2266),
    [anon_sym___inline__] = ACTIONS(2266),
    [anon_sym___forceinline] = ACTIONS(2266),
    [anon_sym_thread_local] = ACTIONS(2266),
    [anon_sym___thread] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_constexpr] = ACTIONS(2266),
    [anon_sym_volatile] = ACTIONS(2266),
    [anon_sym_restrict] = ACTIONS(2266),
    [anon_sym___restrict__] = ACTIONS(2266),
    [anon_sym__Atomic] = ACTIONS(2266),
    [anon_sym__Noreturn] = ACTIONS(2266),
    [anon_sym_noreturn] = ACTIONS(2266),
    [anon_sym__Nonnull] = ACTIONS(2266),
    [anon_sym_alignas] = ACTIONS(2266),
    [anon_sym__Alignas] = ACTIONS(2266),
    [sym_primitive_type] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [anon_sym_struct] = ACTIONS(2266),
    [anon_sym_union] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2266),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2266),
    [anon_sym_hitAttributeEXT] = ACTIONS(2266),
    [anon_sym_callableDataEXT] = ACTIONS(2266),
    [anon_sym_callableDataInEXT] = ACTIONS(2266),
    [anon_sym_shaderRecordEXT] = ACTIONS(2266),
    [anon_sym_rayPayloadNV] = ACTIONS(2266),
    [anon_sym_rayPayloadInNV] = ACTIONS(2266),
    [anon_sym_hitAttributeNV] = ACTIONS(2266),
    [anon_sym_callableDataNV] = ACTIONS(2266),
    [anon_sym_callableDataInNV] = ACTIONS(2266),
    [anon_sym_shaderRecordNV] = ACTIONS(2266),
    [anon_sym_layout] = ACTIONS(2266),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2298),
    [aux_sym_preproc_def_token1] = ACTIONS(2298),
    [aux_sym_preproc_if_token1] = ACTIONS(2298),
    [aux_sym_preproc_if_token2] = ACTIONS(2298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2298),
    [sym_preproc_directive] = ACTIONS(2298),
    [anon_sym_subroutine] = ACTIONS(2298),
    [anon_sym_invariant] = ACTIONS(2298),
    [anon_sym_precise] = ACTIONS(2298),
    [anon_sym_in] = ACTIONS(2298),
    [anon_sym_out] = ACTIONS(2298),
    [anon_sym_inout] = ACTIONS(2298),
    [anon_sym_uniform] = ACTIONS(2298),
    [anon_sym_shared] = ACTIONS(2298),
    [anon_sym_attribute] = ACTIONS(2298),
    [anon_sym_varying] = ACTIONS(2298),
    [anon_sym_buffer] = ACTIONS(2298),
    [anon_sym_coherent] = ACTIONS(2298),
    [anon_sym_readonly] = ACTIONS(2298),
    [anon_sym_writeonly] = ACTIONS(2298),
    [anon_sym_precision] = ACTIONS(2298),
    [anon_sym_highp] = ACTIONS(2298),
    [anon_sym_mediump] = ACTIONS(2298),
    [anon_sym_lowp] = ACTIONS(2298),
    [anon_sym_centroid] = ACTIONS(2298),
    [anon_sym_sample] = ACTIONS(2298),
    [anon_sym_patch] = ACTIONS(2298),
    [anon_sym_smooth] = ACTIONS(2298),
    [anon_sym_flat] = ACTIONS(2298),
    [anon_sym_noperspective] = ACTIONS(2298),
    [anon_sym___extension__] = ACTIONS(2298),
    [anon_sym_extern] = ACTIONS(2298),
    [anon_sym___attribute__] = ACTIONS(2298),
    [anon_sym___attribute] = ACTIONS(2298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2300),
    [anon_sym___declspec] = ACTIONS(2298),
    [anon_sym_signed] = ACTIONS(2298),
    [anon_sym_unsigned] = ACTIONS(2298),
    [anon_sym_long] = ACTIONS(2298),
    [anon_sym_short] = ACTIONS(2298),
    [anon_sym_static] = ACTIONS(2298),
    [anon_sym_auto] = ACTIONS(2298),
    [anon_sym_register] = ACTIONS(2298),
    [anon_sym_inline] = ACTIONS(2298),
    [anon_sym___inline] = ACTIONS(2298),
    [anon_sym___inline__] = ACTIONS(2298),
    [anon_sym___forceinline] = ACTIONS(2298),
    [anon_sym_thread_local] = ACTIONS(2298),
    [anon_sym___thread] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2298),
    [anon_sym_constexpr] = ACTIONS(2298),
    [anon_sym_volatile] = ACTIONS(2298),
    [anon_sym_restrict] = ACTIONS(2298),
    [anon_sym___restrict__] = ACTIONS(2298),
    [anon_sym__Atomic] = ACTIONS(2298),
    [anon_sym__Noreturn] = ACTIONS(2298),
    [anon_sym_noreturn] = ACTIONS(2298),
    [anon_sym__Nonnull] = ACTIONS(2298),
    [anon_sym_alignas] = ACTIONS(2298),
    [anon_sym__Alignas] = ACTIONS(2298),
    [sym_primitive_type] = ACTIONS(2298),
    [anon_sym_enum] = ACTIONS(2298),
    [anon_sym_struct] = ACTIONS(2298),
    [anon_sym_union] = ACTIONS(2298),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2298),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2298),
    [anon_sym_hitAttributeEXT] = ACTIONS(2298),
    [anon_sym_callableDataEXT] = ACTIONS(2298),
    [anon_sym_callableDataInEXT] = ACTIONS(2298),
    [anon_sym_shaderRecordEXT] = ACTIONS(2298),
    [anon_sym_rayPayloadNV] = ACTIONS(2298),
    [anon_sym_rayPayloadInNV] = ACTIONS(2298),
    [anon_sym_hitAttributeNV] = ACTIONS(2298),
    [anon_sym_callableDataNV] = ACTIONS(2298),
    [anon_sym_callableDataInNV] = ACTIONS(2298),
    [anon_sym_shaderRecordNV] = ACTIONS(2298),
    [anon_sym_layout] = ACTIONS(2298),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_subroutine] = ACTIONS(2254),
    [anon_sym_invariant] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_attribute] = ACTIONS(2254),
    [anon_sym_varying] = ACTIONS(2254),
    [anon_sym_buffer] = ACTIONS(2254),
    [anon_sym_coherent] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_writeonly] = ACTIONS(2254),
    [anon_sym_precision] = ACTIONS(2254),
    [anon_sym_highp] = ACTIONS(2254),
    [anon_sym_mediump] = ACTIONS(2254),
    [anon_sym_lowp] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_patch] = ACTIONS(2254),
    [anon_sym_smooth] = ACTIONS(2254),
    [anon_sym_flat] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym___attribute] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_auto] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym__Nonnull] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym__Alignas] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2254),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2254),
    [anon_sym_hitAttributeEXT] = ACTIONS(2254),
    [anon_sym_callableDataEXT] = ACTIONS(2254),
    [anon_sym_callableDataInEXT] = ACTIONS(2254),
    [anon_sym_shaderRecordEXT] = ACTIONS(2254),
    [anon_sym_rayPayloadNV] = ACTIONS(2254),
    [anon_sym_rayPayloadInNV] = ACTIONS(2254),
    [anon_sym_hitAttributeNV] = ACTIONS(2254),
    [anon_sym_callableDataNV] = ACTIONS(2254),
    [anon_sym_callableDataInNV] = ACTIONS(2254),
    [anon_sym_shaderRecordNV] = ACTIONS(2254),
    [anon_sym_layout] = ACTIONS(2254),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_subroutine] = ACTIONS(2306),
    [anon_sym_invariant] = ACTIONS(2306),
    [anon_sym_precise] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_out] = ACTIONS(2306),
    [anon_sym_inout] = ACTIONS(2306),
    [anon_sym_uniform] = ACTIONS(2306),
    [anon_sym_shared] = ACTIONS(2306),
    [anon_sym_attribute] = ACTIONS(2306),
    [anon_sym_varying] = ACTIONS(2306),
    [anon_sym_buffer] = ACTIONS(2306),
    [anon_sym_coherent] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_writeonly] = ACTIONS(2306),
    [anon_sym_precision] = ACTIONS(2306),
    [anon_sym_highp] = ACTIONS(2306),
    [anon_sym_mediump] = ACTIONS(2306),
    [anon_sym_lowp] = ACTIONS(2306),
    [anon_sym_centroid] = ACTIONS(2306),
    [anon_sym_sample] = ACTIONS(2306),
    [anon_sym_patch] = ACTIONS(2306),
    [anon_sym_smooth] = ACTIONS(2306),
    [anon_sym_flat] = ACTIONS(2306),
    [anon_sym_noperspective] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2306),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2306),
    [anon_sym_hitAttributeEXT] = ACTIONS(2306),
    [anon_sym_callableDataEXT] = ACTIONS(2306),
    [anon_sym_callableDataInEXT] = ACTIONS(2306),
    [anon_sym_shaderRecordEXT] = ACTIONS(2306),
    [anon_sym_rayPayloadNV] = ACTIONS(2306),
    [anon_sym_rayPayloadInNV] = ACTIONS(2306),
    [anon_sym_hitAttributeNV] = ACTIONS(2306),
    [anon_sym_callableDataNV] = ACTIONS(2306),
    [anon_sym_callableDataInNV] = ACTIONS(2306),
    [anon_sym_shaderRecordNV] = ACTIONS(2306),
    [anon_sym_layout] = ACTIONS(2306),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2302),
    [aux_sym_preproc_def_token1] = ACTIONS(2302),
    [aux_sym_preproc_if_token1] = ACTIONS(2302),
    [aux_sym_preproc_if_token2] = ACTIONS(2302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2302),
    [sym_preproc_directive] = ACTIONS(2302),
    [anon_sym_subroutine] = ACTIONS(2302),
    [anon_sym_invariant] = ACTIONS(2302),
    [anon_sym_precise] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2302),
    [anon_sym_out] = ACTIONS(2302),
    [anon_sym_inout] = ACTIONS(2302),
    [anon_sym_uniform] = ACTIONS(2302),
    [anon_sym_shared] = ACTIONS(2302),
    [anon_sym_attribute] = ACTIONS(2302),
    [anon_sym_varying] = ACTIONS(2302),
    [anon_sym_buffer] = ACTIONS(2302),
    [anon_sym_coherent] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_writeonly] = ACTIONS(2302),
    [anon_sym_precision] = ACTIONS(2302),
    [anon_sym_highp] = ACTIONS(2302),
    [anon_sym_mediump] = ACTIONS(2302),
    [anon_sym_lowp] = ACTIONS(2302),
    [anon_sym_centroid] = ACTIONS(2302),
    [anon_sym_sample] = ACTIONS(2302),
    [anon_sym_patch] = ACTIONS(2302),
    [anon_sym_smooth] = ACTIONS(2302),
    [anon_sym_flat] = ACTIONS(2302),
    [anon_sym_noperspective] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2302),
    [anon_sym_extern] = ACTIONS(2302),
    [anon_sym___attribute__] = ACTIONS(2302),
    [anon_sym___attribute] = ACTIONS(2302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2304),
    [anon_sym___declspec] = ACTIONS(2302),
    [anon_sym_signed] = ACTIONS(2302),
    [anon_sym_unsigned] = ACTIONS(2302),
    [anon_sym_long] = ACTIONS(2302),
    [anon_sym_short] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_auto] = ACTIONS(2302),
    [anon_sym_register] = ACTIONS(2302),
    [anon_sym_inline] = ACTIONS(2302),
    [anon_sym___inline] = ACTIONS(2302),
    [anon_sym___inline__] = ACTIONS(2302),
    [anon_sym___forceinline] = ACTIONS(2302),
    [anon_sym_thread_local] = ACTIONS(2302),
    [anon_sym___thread] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_constexpr] = ACTIONS(2302),
    [anon_sym_volatile] = ACTIONS(2302),
    [anon_sym_restrict] = ACTIONS(2302),
    [anon_sym___restrict__] = ACTIONS(2302),
    [anon_sym__Atomic] = ACTIONS(2302),
    [anon_sym__Noreturn] = ACTIONS(2302),
    [anon_sym_noreturn] = ACTIONS(2302),
    [anon_sym__Nonnull] = ACTIONS(2302),
    [anon_sym_alignas] = ACTIONS(2302),
    [anon_sym__Alignas] = ACTIONS(2302),
    [sym_primitive_type] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [anon_sym_struct] = ACTIONS(2302),
    [anon_sym_union] = ACTIONS(2302),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2302),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2302),
    [anon_sym_hitAttributeEXT] = ACTIONS(2302),
    [anon_sym_callableDataEXT] = ACTIONS(2302),
    [anon_sym_callableDataInEXT] = ACTIONS(2302),
    [anon_sym_shaderRecordEXT] = ACTIONS(2302),
    [anon_sym_rayPayloadNV] = ACTIONS(2302),
    [anon_sym_rayPayloadInNV] = ACTIONS(2302),
    [anon_sym_hitAttributeNV] = ACTIONS(2302),
    [anon_sym_callableDataNV] = ACTIONS(2302),
    [anon_sym_callableDataInNV] = ACTIONS(2302),
    [anon_sym_shaderRecordNV] = ACTIONS(2302),
    [anon_sym_layout] = ACTIONS(2302),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_subroutine] = ACTIONS(2306),
    [anon_sym_invariant] = ACTIONS(2306),
    [anon_sym_precise] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_out] = ACTIONS(2306),
    [anon_sym_inout] = ACTIONS(2306),
    [anon_sym_uniform] = ACTIONS(2306),
    [anon_sym_shared] = ACTIONS(2306),
    [anon_sym_attribute] = ACTIONS(2306),
    [anon_sym_varying] = ACTIONS(2306),
    [anon_sym_buffer] = ACTIONS(2306),
    [anon_sym_coherent] = ACTIONS(2306),
    [anon_sym_readonly] = ACTIONS(2306),
    [anon_sym_writeonly] = ACTIONS(2306),
    [anon_sym_precision] = ACTIONS(2306),
    [anon_sym_highp] = ACTIONS(2306),
    [anon_sym_mediump] = ACTIONS(2306),
    [anon_sym_lowp] = ACTIONS(2306),
    [anon_sym_centroid] = ACTIONS(2306),
    [anon_sym_sample] = ACTIONS(2306),
    [anon_sym_patch] = ACTIONS(2306),
    [anon_sym_smooth] = ACTIONS(2306),
    [anon_sym_flat] = ACTIONS(2306),
    [anon_sym_noperspective] = ACTIONS(2306),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2306),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2306),
    [anon_sym_hitAttributeEXT] = ACTIONS(2306),
    [anon_sym_callableDataEXT] = ACTIONS(2306),
    [anon_sym_callableDataInEXT] = ACTIONS(2306),
    [anon_sym_shaderRecordEXT] = ACTIONS(2306),
    [anon_sym_rayPayloadNV] = ACTIONS(2306),
    [anon_sym_rayPayloadInNV] = ACTIONS(2306),
    [anon_sym_hitAttributeNV] = ACTIONS(2306),
    [anon_sym_callableDataNV] = ACTIONS(2306),
    [anon_sym_callableDataInNV] = ACTIONS(2306),
    [anon_sym_shaderRecordNV] = ACTIONS(2306),
    [anon_sym_layout] = ACTIONS(2306),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token2] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_subroutine] = ACTIONS(2310),
    [anon_sym_invariant] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_attribute] = ACTIONS(2310),
    [anon_sym_varying] = ACTIONS(2310),
    [anon_sym_buffer] = ACTIONS(2310),
    [anon_sym_coherent] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_writeonly] = ACTIONS(2310),
    [anon_sym_precision] = ACTIONS(2310),
    [anon_sym_highp] = ACTIONS(2310),
    [anon_sym_mediump] = ACTIONS(2310),
    [anon_sym_lowp] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_patch] = ACTIONS(2310),
    [anon_sym_smooth] = ACTIONS(2310),
    [anon_sym_flat] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym___attribute] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_auto] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym__Nonnull] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym__Alignas] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2310),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2310),
    [anon_sym_hitAttributeEXT] = ACTIONS(2310),
    [anon_sym_callableDataEXT] = ACTIONS(2310),
    [anon_sym_callableDataInEXT] = ACTIONS(2310),
    [anon_sym_shaderRecordEXT] = ACTIONS(2310),
    [anon_sym_rayPayloadNV] = ACTIONS(2310),
    [anon_sym_rayPayloadInNV] = ACTIONS(2310),
    [anon_sym_hitAttributeNV] = ACTIONS(2310),
    [anon_sym_callableDataNV] = ACTIONS(2310),
    [anon_sym_callableDataInNV] = ACTIONS(2310),
    [anon_sym_shaderRecordNV] = ACTIONS(2310),
    [anon_sym_layout] = ACTIONS(2310),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2274),
    [aux_sym_preproc_def_token1] = ACTIONS(2274),
    [aux_sym_preproc_if_token1] = ACTIONS(2274),
    [aux_sym_preproc_if_token2] = ACTIONS(2274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2274),
    [sym_preproc_directive] = ACTIONS(2274),
    [anon_sym_subroutine] = ACTIONS(2274),
    [anon_sym_invariant] = ACTIONS(2274),
    [anon_sym_precise] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_out] = ACTIONS(2274),
    [anon_sym_inout] = ACTIONS(2274),
    [anon_sym_uniform] = ACTIONS(2274),
    [anon_sym_shared] = ACTIONS(2274),
    [anon_sym_attribute] = ACTIONS(2274),
    [anon_sym_varying] = ACTIONS(2274),
    [anon_sym_buffer] = ACTIONS(2274),
    [anon_sym_coherent] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_writeonly] = ACTIONS(2274),
    [anon_sym_precision] = ACTIONS(2274),
    [anon_sym_highp] = ACTIONS(2274),
    [anon_sym_mediump] = ACTIONS(2274),
    [anon_sym_lowp] = ACTIONS(2274),
    [anon_sym_centroid] = ACTIONS(2274),
    [anon_sym_sample] = ACTIONS(2274),
    [anon_sym_patch] = ACTIONS(2274),
    [anon_sym_smooth] = ACTIONS(2274),
    [anon_sym_flat] = ACTIONS(2274),
    [anon_sym_noperspective] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2274),
    [anon_sym_extern] = ACTIONS(2274),
    [anon_sym___attribute__] = ACTIONS(2274),
    [anon_sym___attribute] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2276),
    [anon_sym___declspec] = ACTIONS(2274),
    [anon_sym_signed] = ACTIONS(2274),
    [anon_sym_unsigned] = ACTIONS(2274),
    [anon_sym_long] = ACTIONS(2274),
    [anon_sym_short] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_auto] = ACTIONS(2274),
    [anon_sym_register] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(2274),
    [anon_sym___inline] = ACTIONS(2274),
    [anon_sym___inline__] = ACTIONS(2274),
    [anon_sym___forceinline] = ACTIONS(2274),
    [anon_sym_thread_local] = ACTIONS(2274),
    [anon_sym___thread] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_constexpr] = ACTIONS(2274),
    [anon_sym_volatile] = ACTIONS(2274),
    [anon_sym_restrict] = ACTIONS(2274),
    [anon_sym___restrict__] = ACTIONS(2274),
    [anon_sym__Atomic] = ACTIONS(2274),
    [anon_sym__Noreturn] = ACTIONS(2274),
    [anon_sym_noreturn] = ACTIONS(2274),
    [anon_sym__Nonnull] = ACTIONS(2274),
    [anon_sym_alignas] = ACTIONS(2274),
    [anon_sym__Alignas] = ACTIONS(2274),
    [sym_primitive_type] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [anon_sym_struct] = ACTIONS(2274),
    [anon_sym_union] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2274),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2274),
    [anon_sym_hitAttributeEXT] = ACTIONS(2274),
    [anon_sym_callableDataEXT] = ACTIONS(2274),
    [anon_sym_callableDataInEXT] = ACTIONS(2274),
    [anon_sym_shaderRecordEXT] = ACTIONS(2274),
    [anon_sym_rayPayloadNV] = ACTIONS(2274),
    [anon_sym_rayPayloadInNV] = ACTIONS(2274),
    [anon_sym_hitAttributeNV] = ACTIONS(2274),
    [anon_sym_callableDataNV] = ACTIONS(2274),
    [anon_sym_callableDataInNV] = ACTIONS(2274),
    [anon_sym_shaderRecordNV] = ACTIONS(2274),
    [anon_sym_layout] = ACTIONS(2274),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token1] = ACTIONS(2250),
    [aux_sym_preproc_if_token2] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2250),
    [sym_preproc_directive] = ACTIONS(2250),
    [anon_sym_subroutine] = ACTIONS(2250),
    [anon_sym_invariant] = ACTIONS(2250),
    [anon_sym_precise] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_out] = ACTIONS(2250),
    [anon_sym_inout] = ACTIONS(2250),
    [anon_sym_uniform] = ACTIONS(2250),
    [anon_sym_shared] = ACTIONS(2250),
    [anon_sym_attribute] = ACTIONS(2250),
    [anon_sym_varying] = ACTIONS(2250),
    [anon_sym_buffer] = ACTIONS(2250),
    [anon_sym_coherent] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_writeonly] = ACTIONS(2250),
    [anon_sym_precision] = ACTIONS(2250),
    [anon_sym_highp] = ACTIONS(2250),
    [anon_sym_mediump] = ACTIONS(2250),
    [anon_sym_lowp] = ACTIONS(2250),
    [anon_sym_centroid] = ACTIONS(2250),
    [anon_sym_sample] = ACTIONS(2250),
    [anon_sym_patch] = ACTIONS(2250),
    [anon_sym_smooth] = ACTIONS(2250),
    [anon_sym_flat] = ACTIONS(2250),
    [anon_sym_noperspective] = ACTIONS(2250),
    [anon_sym___extension__] = ACTIONS(2250),
    [anon_sym_extern] = ACTIONS(2250),
    [anon_sym___attribute__] = ACTIONS(2250),
    [anon_sym___attribute] = ACTIONS(2250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2252),
    [anon_sym___declspec] = ACTIONS(2250),
    [anon_sym_signed] = ACTIONS(2250),
    [anon_sym_unsigned] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_auto] = ACTIONS(2250),
    [anon_sym_register] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2250),
    [anon_sym___inline] = ACTIONS(2250),
    [anon_sym___inline__] = ACTIONS(2250),
    [anon_sym___forceinline] = ACTIONS(2250),
    [anon_sym_thread_local] = ACTIONS(2250),
    [anon_sym___thread] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_constexpr] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_restrict] = ACTIONS(2250),
    [anon_sym___restrict__] = ACTIONS(2250),
    [anon_sym__Atomic] = ACTIONS(2250),
    [anon_sym__Noreturn] = ACTIONS(2250),
    [anon_sym_noreturn] = ACTIONS(2250),
    [anon_sym__Nonnull] = ACTIONS(2250),
    [anon_sym_alignas] = ACTIONS(2250),
    [anon_sym__Alignas] = ACTIONS(2250),
    [sym_primitive_type] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_struct] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2250),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2250),
    [anon_sym_hitAttributeEXT] = ACTIONS(2250),
    [anon_sym_callableDataEXT] = ACTIONS(2250),
    [anon_sym_callableDataInEXT] = ACTIONS(2250),
    [anon_sym_shaderRecordEXT] = ACTIONS(2250),
    [anon_sym_rayPayloadNV] = ACTIONS(2250),
    [anon_sym_rayPayloadInNV] = ACTIONS(2250),
    [anon_sym_hitAttributeNV] = ACTIONS(2250),
    [anon_sym_callableDataNV] = ACTIONS(2250),
    [anon_sym_callableDataInNV] = ACTIONS(2250),
    [anon_sym_shaderRecordNV] = ACTIONS(2250),
    [anon_sym_layout] = ACTIONS(2250),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2310),
    [aux_sym_preproc_def_token1] = ACTIONS(2310),
    [aux_sym_preproc_if_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2310),
    [sym_preproc_directive] = ACTIONS(2310),
    [anon_sym_subroutine] = ACTIONS(2310),
    [anon_sym_invariant] = ACTIONS(2310),
    [anon_sym_precise] = ACTIONS(2310),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_out] = ACTIONS(2310),
    [anon_sym_inout] = ACTIONS(2310),
    [anon_sym_uniform] = ACTIONS(2310),
    [anon_sym_shared] = ACTIONS(2310),
    [anon_sym_attribute] = ACTIONS(2310),
    [anon_sym_varying] = ACTIONS(2310),
    [anon_sym_buffer] = ACTIONS(2310),
    [anon_sym_coherent] = ACTIONS(2310),
    [anon_sym_readonly] = ACTIONS(2310),
    [anon_sym_writeonly] = ACTIONS(2310),
    [anon_sym_precision] = ACTIONS(2310),
    [anon_sym_highp] = ACTIONS(2310),
    [anon_sym_mediump] = ACTIONS(2310),
    [anon_sym_lowp] = ACTIONS(2310),
    [anon_sym_centroid] = ACTIONS(2310),
    [anon_sym_sample] = ACTIONS(2310),
    [anon_sym_patch] = ACTIONS(2310),
    [anon_sym_smooth] = ACTIONS(2310),
    [anon_sym_flat] = ACTIONS(2310),
    [anon_sym_noperspective] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2310),
    [anon_sym_extern] = ACTIONS(2310),
    [anon_sym___attribute__] = ACTIONS(2310),
    [anon_sym___attribute] = ACTIONS(2310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2312),
    [anon_sym___declspec] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2312),
    [anon_sym_signed] = ACTIONS(2310),
    [anon_sym_unsigned] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_auto] = ACTIONS(2310),
    [anon_sym_register] = ACTIONS(2310),
    [anon_sym_inline] = ACTIONS(2310),
    [anon_sym___inline] = ACTIONS(2310),
    [anon_sym___inline__] = ACTIONS(2310),
    [anon_sym___forceinline] = ACTIONS(2310),
    [anon_sym_thread_local] = ACTIONS(2310),
    [anon_sym___thread] = ACTIONS(2310),
    [anon_sym_const] = ACTIONS(2310),
    [anon_sym_constexpr] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_restrict] = ACTIONS(2310),
    [anon_sym___restrict__] = ACTIONS(2310),
    [anon_sym__Atomic] = ACTIONS(2310),
    [anon_sym__Noreturn] = ACTIONS(2310),
    [anon_sym_noreturn] = ACTIONS(2310),
    [anon_sym__Nonnull] = ACTIONS(2310),
    [anon_sym_alignas] = ACTIONS(2310),
    [anon_sym__Alignas] = ACTIONS(2310),
    [sym_primitive_type] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_struct] = ACTIONS(2310),
    [anon_sym_union] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2310),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2310),
    [anon_sym_hitAttributeEXT] = ACTIONS(2310),
    [anon_sym_callableDataEXT] = ACTIONS(2310),
    [anon_sym_callableDataInEXT] = ACTIONS(2310),
    [anon_sym_shaderRecordEXT] = ACTIONS(2310),
    [anon_sym_rayPayloadNV] = ACTIONS(2310),
    [anon_sym_rayPayloadInNV] = ACTIONS(2310),
    [anon_sym_hitAttributeNV] = ACTIONS(2310),
    [anon_sym_callableDataNV] = ACTIONS(2310),
    [anon_sym_callableDataInNV] = ACTIONS(2310),
    [anon_sym_shaderRecordNV] = ACTIONS(2310),
    [anon_sym_layout] = ACTIONS(2310),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2266),
    [aux_sym_preproc_def_token1] = ACTIONS(2266),
    [aux_sym_preproc_if_token1] = ACTIONS(2266),
    [aux_sym_preproc_if_token2] = ACTIONS(2266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2266),
    [sym_preproc_directive] = ACTIONS(2266),
    [anon_sym_subroutine] = ACTIONS(2266),
    [anon_sym_invariant] = ACTIONS(2266),
    [anon_sym_precise] = ACTIONS(2266),
    [anon_sym_in] = ACTIONS(2266),
    [anon_sym_out] = ACTIONS(2266),
    [anon_sym_inout] = ACTIONS(2266),
    [anon_sym_uniform] = ACTIONS(2266),
    [anon_sym_shared] = ACTIONS(2266),
    [anon_sym_attribute] = ACTIONS(2266),
    [anon_sym_varying] = ACTIONS(2266),
    [anon_sym_buffer] = ACTIONS(2266),
    [anon_sym_coherent] = ACTIONS(2266),
    [anon_sym_readonly] = ACTIONS(2266),
    [anon_sym_writeonly] = ACTIONS(2266),
    [anon_sym_precision] = ACTIONS(2266),
    [anon_sym_highp] = ACTIONS(2266),
    [anon_sym_mediump] = ACTIONS(2266),
    [anon_sym_lowp] = ACTIONS(2266),
    [anon_sym_centroid] = ACTIONS(2266),
    [anon_sym_sample] = ACTIONS(2266),
    [anon_sym_patch] = ACTIONS(2266),
    [anon_sym_smooth] = ACTIONS(2266),
    [anon_sym_flat] = ACTIONS(2266),
    [anon_sym_noperspective] = ACTIONS(2266),
    [anon_sym___extension__] = ACTIONS(2266),
    [anon_sym_extern] = ACTIONS(2266),
    [anon_sym___attribute__] = ACTIONS(2266),
    [anon_sym___attribute] = ACTIONS(2266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2268),
    [anon_sym___declspec] = ACTIONS(2266),
    [anon_sym_signed] = ACTIONS(2266),
    [anon_sym_unsigned] = ACTIONS(2266),
    [anon_sym_long] = ACTIONS(2266),
    [anon_sym_short] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_auto] = ACTIONS(2266),
    [anon_sym_register] = ACTIONS(2266),
    [anon_sym_inline] = ACTIONS(2266),
    [anon_sym___inline] = ACTIONS(2266),
    [anon_sym___inline__] = ACTIONS(2266),
    [anon_sym___forceinline] = ACTIONS(2266),
    [anon_sym_thread_local] = ACTIONS(2266),
    [anon_sym___thread] = ACTIONS(2266),
    [anon_sym_const] = ACTIONS(2266),
    [anon_sym_constexpr] = ACTIONS(2266),
    [anon_sym_volatile] = ACTIONS(2266),
    [anon_sym_restrict] = ACTIONS(2266),
    [anon_sym___restrict__] = ACTIONS(2266),
    [anon_sym__Atomic] = ACTIONS(2266),
    [anon_sym__Noreturn] = ACTIONS(2266),
    [anon_sym_noreturn] = ACTIONS(2266),
    [anon_sym__Nonnull] = ACTIONS(2266),
    [anon_sym_alignas] = ACTIONS(2266),
    [anon_sym__Alignas] = ACTIONS(2266),
    [sym_primitive_type] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [anon_sym_struct] = ACTIONS(2266),
    [anon_sym_union] = ACTIONS(2266),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2266),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2266),
    [anon_sym_hitAttributeEXT] = ACTIONS(2266),
    [anon_sym_callableDataEXT] = ACTIONS(2266),
    [anon_sym_callableDataInEXT] = ACTIONS(2266),
    [anon_sym_shaderRecordEXT] = ACTIONS(2266),
    [anon_sym_rayPayloadNV] = ACTIONS(2266),
    [anon_sym_rayPayloadInNV] = ACTIONS(2266),
    [anon_sym_hitAttributeNV] = ACTIONS(2266),
    [anon_sym_callableDataNV] = ACTIONS(2266),
    [anon_sym_callableDataInNV] = ACTIONS(2266),
    [anon_sym_shaderRecordNV] = ACTIONS(2266),
    [anon_sym_layout] = ACTIONS(2266),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2274),
    [aux_sym_preproc_def_token1] = ACTIONS(2274),
    [aux_sym_preproc_if_token1] = ACTIONS(2274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2274),
    [sym_preproc_directive] = ACTIONS(2274),
    [anon_sym_subroutine] = ACTIONS(2274),
    [anon_sym_invariant] = ACTIONS(2274),
    [anon_sym_precise] = ACTIONS(2274),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_out] = ACTIONS(2274),
    [anon_sym_inout] = ACTIONS(2274),
    [anon_sym_uniform] = ACTIONS(2274),
    [anon_sym_shared] = ACTIONS(2274),
    [anon_sym_attribute] = ACTIONS(2274),
    [anon_sym_varying] = ACTIONS(2274),
    [anon_sym_buffer] = ACTIONS(2274),
    [anon_sym_coherent] = ACTIONS(2274),
    [anon_sym_readonly] = ACTIONS(2274),
    [anon_sym_writeonly] = ACTIONS(2274),
    [anon_sym_precision] = ACTIONS(2274),
    [anon_sym_highp] = ACTIONS(2274),
    [anon_sym_mediump] = ACTIONS(2274),
    [anon_sym_lowp] = ACTIONS(2274),
    [anon_sym_centroid] = ACTIONS(2274),
    [anon_sym_sample] = ACTIONS(2274),
    [anon_sym_patch] = ACTIONS(2274),
    [anon_sym_smooth] = ACTIONS(2274),
    [anon_sym_flat] = ACTIONS(2274),
    [anon_sym_noperspective] = ACTIONS(2274),
    [anon_sym___extension__] = ACTIONS(2274),
    [anon_sym_extern] = ACTIONS(2274),
    [anon_sym___attribute__] = ACTIONS(2274),
    [anon_sym___attribute] = ACTIONS(2274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2276),
    [anon_sym___declspec] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2276),
    [anon_sym_signed] = ACTIONS(2274),
    [anon_sym_unsigned] = ACTIONS(2274),
    [anon_sym_long] = ACTIONS(2274),
    [anon_sym_short] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_auto] = ACTIONS(2274),
    [anon_sym_register] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(2274),
    [anon_sym___inline] = ACTIONS(2274),
    [anon_sym___inline__] = ACTIONS(2274),
    [anon_sym___forceinline] = ACTIONS(2274),
    [anon_sym_thread_local] = ACTIONS(2274),
    [anon_sym___thread] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_constexpr] = ACTIONS(2274),
    [anon_sym_volatile] = ACTIONS(2274),
    [anon_sym_restrict] = ACTIONS(2274),
    [anon_sym___restrict__] = ACTIONS(2274),
    [anon_sym__Atomic] = ACTIONS(2274),
    [anon_sym__Noreturn] = ACTIONS(2274),
    [anon_sym_noreturn] = ACTIONS(2274),
    [anon_sym__Nonnull] = ACTIONS(2274),
    [anon_sym_alignas] = ACTIONS(2274),
    [anon_sym__Alignas] = ACTIONS(2274),
    [sym_primitive_type] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [anon_sym_struct] = ACTIONS(2274),
    [anon_sym_union] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2274),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2274),
    [anon_sym_hitAttributeEXT] = ACTIONS(2274),
    [anon_sym_callableDataEXT] = ACTIONS(2274),
    [anon_sym_callableDataInEXT] = ACTIONS(2274),
    [anon_sym_shaderRecordEXT] = ACTIONS(2274),
    [anon_sym_rayPayloadNV] = ACTIONS(2274),
    [anon_sym_rayPayloadInNV] = ACTIONS(2274),
    [anon_sym_hitAttributeNV] = ACTIONS(2274),
    [anon_sym_callableDataNV] = ACTIONS(2274),
    [anon_sym_callableDataInNV] = ACTIONS(2274),
    [anon_sym_shaderRecordNV] = ACTIONS(2274),
    [anon_sym_layout] = ACTIONS(2274),
  },
  [624] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1279),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_variadic_parameter] = STATE(1954),
    [sym_parameter_declaration] = STATE(1954),
    [sym_macro_type_specifier] = STATE(959),
    [sym_layout_specification] = STATE(650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_parameter_declaration_repeat1] = STATE(650),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(1753),
    [anon_sym_precise] = ACTIONS(1759),
    [anon_sym_in] = ACTIONS(1759),
    [anon_sym_out] = ACTIONS(1759),
    [anon_sym_inout] = ACTIONS(1759),
    [anon_sym_uniform] = ACTIONS(1759),
    [anon_sym_shared] = ACTIONS(1759),
    [anon_sym_attribute] = ACTIONS(1759),
    [anon_sym_varying] = ACTIONS(1759),
    [anon_sym_buffer] = ACTIONS(1759),
    [anon_sym_coherent] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_writeonly] = ACTIONS(1759),
    [anon_sym_centroid] = ACTIONS(1759),
    [anon_sym_sample] = ACTIONS(1759),
    [anon_sym_patch] = ACTIONS(1759),
    [anon_sym_smooth] = ACTIONS(1759),
    [anon_sym_flat] = ACTIONS(1759),
    [anon_sym_noperspective] = ACTIONS(1759),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1765),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2254),
    [aux_sym_preproc_def_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token1] = ACTIONS(2254),
    [aux_sym_preproc_if_token2] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2254),
    [sym_preproc_directive] = ACTIONS(2254),
    [anon_sym_subroutine] = ACTIONS(2254),
    [anon_sym_invariant] = ACTIONS(2254),
    [anon_sym_precise] = ACTIONS(2254),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_out] = ACTIONS(2254),
    [anon_sym_inout] = ACTIONS(2254),
    [anon_sym_uniform] = ACTIONS(2254),
    [anon_sym_shared] = ACTIONS(2254),
    [anon_sym_attribute] = ACTIONS(2254),
    [anon_sym_varying] = ACTIONS(2254),
    [anon_sym_buffer] = ACTIONS(2254),
    [anon_sym_coherent] = ACTIONS(2254),
    [anon_sym_readonly] = ACTIONS(2254),
    [anon_sym_writeonly] = ACTIONS(2254),
    [anon_sym_precision] = ACTIONS(2254),
    [anon_sym_highp] = ACTIONS(2254),
    [anon_sym_mediump] = ACTIONS(2254),
    [anon_sym_lowp] = ACTIONS(2254),
    [anon_sym_centroid] = ACTIONS(2254),
    [anon_sym_sample] = ACTIONS(2254),
    [anon_sym_patch] = ACTIONS(2254),
    [anon_sym_smooth] = ACTIONS(2254),
    [anon_sym_flat] = ACTIONS(2254),
    [anon_sym_noperspective] = ACTIONS(2254),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_extern] = ACTIONS(2254),
    [anon_sym___attribute__] = ACTIONS(2254),
    [anon_sym___attribute] = ACTIONS(2254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2256),
    [anon_sym___declspec] = ACTIONS(2254),
    [anon_sym_signed] = ACTIONS(2254),
    [anon_sym_unsigned] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_auto] = ACTIONS(2254),
    [anon_sym_register] = ACTIONS(2254),
    [anon_sym_inline] = ACTIONS(2254),
    [anon_sym___inline] = ACTIONS(2254),
    [anon_sym___inline__] = ACTIONS(2254),
    [anon_sym___forceinline] = ACTIONS(2254),
    [anon_sym_thread_local] = ACTIONS(2254),
    [anon_sym___thread] = ACTIONS(2254),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_constexpr] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_restrict] = ACTIONS(2254),
    [anon_sym___restrict__] = ACTIONS(2254),
    [anon_sym__Atomic] = ACTIONS(2254),
    [anon_sym__Noreturn] = ACTIONS(2254),
    [anon_sym_noreturn] = ACTIONS(2254),
    [anon_sym__Nonnull] = ACTIONS(2254),
    [anon_sym_alignas] = ACTIONS(2254),
    [anon_sym__Alignas] = ACTIONS(2254),
    [sym_primitive_type] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_struct] = ACTIONS(2254),
    [anon_sym_union] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2254),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2254),
    [anon_sym_hitAttributeEXT] = ACTIONS(2254),
    [anon_sym_callableDataEXT] = ACTIONS(2254),
    [anon_sym_callableDataInEXT] = ACTIONS(2254),
    [anon_sym_shaderRecordEXT] = ACTIONS(2254),
    [anon_sym_rayPayloadNV] = ACTIONS(2254),
    [anon_sym_rayPayloadInNV] = ACTIONS(2254),
    [anon_sym_hitAttributeNV] = ACTIONS(2254),
    [anon_sym_callableDataNV] = ACTIONS(2254),
    [anon_sym_callableDataInNV] = ACTIONS(2254),
    [anon_sym_shaderRecordNV] = ACTIONS(2254),
    [anon_sym_layout] = ACTIONS(2254),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2258),
    [aux_sym_preproc_def_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token1] = ACTIONS(2258),
    [aux_sym_preproc_if_token2] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2258),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_subroutine] = ACTIONS(2258),
    [anon_sym_invariant] = ACTIONS(2258),
    [anon_sym_precise] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_out] = ACTIONS(2258),
    [anon_sym_inout] = ACTIONS(2258),
    [anon_sym_uniform] = ACTIONS(2258),
    [anon_sym_shared] = ACTIONS(2258),
    [anon_sym_attribute] = ACTIONS(2258),
    [anon_sym_varying] = ACTIONS(2258),
    [anon_sym_buffer] = ACTIONS(2258),
    [anon_sym_coherent] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_writeonly] = ACTIONS(2258),
    [anon_sym_precision] = ACTIONS(2258),
    [anon_sym_highp] = ACTIONS(2258),
    [anon_sym_mediump] = ACTIONS(2258),
    [anon_sym_lowp] = ACTIONS(2258),
    [anon_sym_centroid] = ACTIONS(2258),
    [anon_sym_sample] = ACTIONS(2258),
    [anon_sym_patch] = ACTIONS(2258),
    [anon_sym_smooth] = ACTIONS(2258),
    [anon_sym_flat] = ACTIONS(2258),
    [anon_sym_noperspective] = ACTIONS(2258),
    [anon_sym___extension__] = ACTIONS(2258),
    [anon_sym_extern] = ACTIONS(2258),
    [anon_sym___attribute__] = ACTIONS(2258),
    [anon_sym___attribute] = ACTIONS(2258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2260),
    [anon_sym___declspec] = ACTIONS(2258),
    [anon_sym_signed] = ACTIONS(2258),
    [anon_sym_unsigned] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_auto] = ACTIONS(2258),
    [anon_sym_register] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2258),
    [anon_sym___inline] = ACTIONS(2258),
    [anon_sym___inline__] = ACTIONS(2258),
    [anon_sym___forceinline] = ACTIONS(2258),
    [anon_sym_thread_local] = ACTIONS(2258),
    [anon_sym___thread] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_constexpr] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_restrict] = ACTIONS(2258),
    [anon_sym___restrict__] = ACTIONS(2258),
    [anon_sym__Atomic] = ACTIONS(2258),
    [anon_sym__Noreturn] = ACTIONS(2258),
    [anon_sym_noreturn] = ACTIONS(2258),
    [anon_sym__Nonnull] = ACTIONS(2258),
    [anon_sym_alignas] = ACTIONS(2258),
    [anon_sym__Alignas] = ACTIONS(2258),
    [sym_primitive_type] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_struct] = ACTIONS(2258),
    [anon_sym_union] = ACTIONS(2258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2258),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2258),
    [anon_sym_hitAttributeEXT] = ACTIONS(2258),
    [anon_sym_callableDataEXT] = ACTIONS(2258),
    [anon_sym_callableDataInEXT] = ACTIONS(2258),
    [anon_sym_shaderRecordEXT] = ACTIONS(2258),
    [anon_sym_rayPayloadNV] = ACTIONS(2258),
    [anon_sym_rayPayloadInNV] = ACTIONS(2258),
    [anon_sym_hitAttributeNV] = ACTIONS(2258),
    [anon_sym_callableDataNV] = ACTIONS(2258),
    [anon_sym_callableDataInNV] = ACTIONS(2258),
    [anon_sym_shaderRecordNV] = ACTIONS(2258),
    [anon_sym_layout] = ACTIONS(2258),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2262),
    [aux_sym_preproc_def_token1] = ACTIONS(2262),
    [aux_sym_preproc_if_token1] = ACTIONS(2262),
    [aux_sym_preproc_if_token2] = ACTIONS(2262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2262),
    [sym_preproc_directive] = ACTIONS(2262),
    [anon_sym_subroutine] = ACTIONS(2262),
    [anon_sym_invariant] = ACTIONS(2262),
    [anon_sym_precise] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_out] = ACTIONS(2262),
    [anon_sym_inout] = ACTIONS(2262),
    [anon_sym_uniform] = ACTIONS(2262),
    [anon_sym_shared] = ACTIONS(2262),
    [anon_sym_attribute] = ACTIONS(2262),
    [anon_sym_varying] = ACTIONS(2262),
    [anon_sym_buffer] = ACTIONS(2262),
    [anon_sym_coherent] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_writeonly] = ACTIONS(2262),
    [anon_sym_precision] = ACTIONS(2262),
    [anon_sym_highp] = ACTIONS(2262),
    [anon_sym_mediump] = ACTIONS(2262),
    [anon_sym_lowp] = ACTIONS(2262),
    [anon_sym_centroid] = ACTIONS(2262),
    [anon_sym_sample] = ACTIONS(2262),
    [anon_sym_patch] = ACTIONS(2262),
    [anon_sym_smooth] = ACTIONS(2262),
    [anon_sym_flat] = ACTIONS(2262),
    [anon_sym_noperspective] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2262),
    [anon_sym_extern] = ACTIONS(2262),
    [anon_sym___attribute__] = ACTIONS(2262),
    [anon_sym___attribute] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2264),
    [anon_sym___declspec] = ACTIONS(2262),
    [anon_sym_signed] = ACTIONS(2262),
    [anon_sym_unsigned] = ACTIONS(2262),
    [anon_sym_long] = ACTIONS(2262),
    [anon_sym_short] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_auto] = ACTIONS(2262),
    [anon_sym_register] = ACTIONS(2262),
    [anon_sym_inline] = ACTIONS(2262),
    [anon_sym___inline] = ACTIONS(2262),
    [anon_sym___inline__] = ACTIONS(2262),
    [anon_sym___forceinline] = ACTIONS(2262),
    [anon_sym_thread_local] = ACTIONS(2262),
    [anon_sym___thread] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_constexpr] = ACTIONS(2262),
    [anon_sym_volatile] = ACTIONS(2262),
    [anon_sym_restrict] = ACTIONS(2262),
    [anon_sym___restrict__] = ACTIONS(2262),
    [anon_sym__Atomic] = ACTIONS(2262),
    [anon_sym__Noreturn] = ACTIONS(2262),
    [anon_sym_noreturn] = ACTIONS(2262),
    [anon_sym__Nonnull] = ACTIONS(2262),
    [anon_sym_alignas] = ACTIONS(2262),
    [anon_sym__Alignas] = ACTIONS(2262),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [anon_sym_struct] = ACTIONS(2262),
    [anon_sym_union] = ACTIONS(2262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2262),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2262),
    [anon_sym_hitAttributeEXT] = ACTIONS(2262),
    [anon_sym_callableDataEXT] = ACTIONS(2262),
    [anon_sym_callableDataInEXT] = ACTIONS(2262),
    [anon_sym_shaderRecordEXT] = ACTIONS(2262),
    [anon_sym_rayPayloadNV] = ACTIONS(2262),
    [anon_sym_rayPayloadInNV] = ACTIONS(2262),
    [anon_sym_hitAttributeNV] = ACTIONS(2262),
    [anon_sym_callableDataNV] = ACTIONS(2262),
    [anon_sym_callableDataInNV] = ACTIONS(2262),
    [anon_sym_shaderRecordNV] = ACTIONS(2262),
    [anon_sym_layout] = ACTIONS(2262),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2262),
    [aux_sym_preproc_def_token1] = ACTIONS(2262),
    [aux_sym_preproc_if_token1] = ACTIONS(2262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2262),
    [sym_preproc_directive] = ACTIONS(2262),
    [anon_sym_subroutine] = ACTIONS(2262),
    [anon_sym_invariant] = ACTIONS(2262),
    [anon_sym_precise] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_out] = ACTIONS(2262),
    [anon_sym_inout] = ACTIONS(2262),
    [anon_sym_uniform] = ACTIONS(2262),
    [anon_sym_shared] = ACTIONS(2262),
    [anon_sym_attribute] = ACTIONS(2262),
    [anon_sym_varying] = ACTIONS(2262),
    [anon_sym_buffer] = ACTIONS(2262),
    [anon_sym_coherent] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_writeonly] = ACTIONS(2262),
    [anon_sym_precision] = ACTIONS(2262),
    [anon_sym_highp] = ACTIONS(2262),
    [anon_sym_mediump] = ACTIONS(2262),
    [anon_sym_lowp] = ACTIONS(2262),
    [anon_sym_centroid] = ACTIONS(2262),
    [anon_sym_sample] = ACTIONS(2262),
    [anon_sym_patch] = ACTIONS(2262),
    [anon_sym_smooth] = ACTIONS(2262),
    [anon_sym_flat] = ACTIONS(2262),
    [anon_sym_noperspective] = ACTIONS(2262),
    [anon_sym___extension__] = ACTIONS(2262),
    [anon_sym_extern] = ACTIONS(2262),
    [anon_sym___attribute__] = ACTIONS(2262),
    [anon_sym___attribute] = ACTIONS(2262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2264),
    [anon_sym___declspec] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_signed] = ACTIONS(2262),
    [anon_sym_unsigned] = ACTIONS(2262),
    [anon_sym_long] = ACTIONS(2262),
    [anon_sym_short] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_auto] = ACTIONS(2262),
    [anon_sym_register] = ACTIONS(2262),
    [anon_sym_inline] = ACTIONS(2262),
    [anon_sym___inline] = ACTIONS(2262),
    [anon_sym___inline__] = ACTIONS(2262),
    [anon_sym___forceinline] = ACTIONS(2262),
    [anon_sym_thread_local] = ACTIONS(2262),
    [anon_sym___thread] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_constexpr] = ACTIONS(2262),
    [anon_sym_volatile] = ACTIONS(2262),
    [anon_sym_restrict] = ACTIONS(2262),
    [anon_sym___restrict__] = ACTIONS(2262),
    [anon_sym__Atomic] = ACTIONS(2262),
    [anon_sym__Noreturn] = ACTIONS(2262),
    [anon_sym_noreturn] = ACTIONS(2262),
    [anon_sym__Nonnull] = ACTIONS(2262),
    [anon_sym_alignas] = ACTIONS(2262),
    [anon_sym__Alignas] = ACTIONS(2262),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [anon_sym_struct] = ACTIONS(2262),
    [anon_sym_union] = ACTIONS(2262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2262),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2262),
    [anon_sym_hitAttributeEXT] = ACTIONS(2262),
    [anon_sym_callableDataEXT] = ACTIONS(2262),
    [anon_sym_callableDataInEXT] = ACTIONS(2262),
    [anon_sym_shaderRecordEXT] = ACTIONS(2262),
    [anon_sym_rayPayloadNV] = ACTIONS(2262),
    [anon_sym_rayPayloadInNV] = ACTIONS(2262),
    [anon_sym_hitAttributeNV] = ACTIONS(2262),
    [anon_sym_callableDataNV] = ACTIONS(2262),
    [anon_sym_callableDataInNV] = ACTIONS(2262),
    [anon_sym_shaderRecordNV] = ACTIONS(2262),
    [anon_sym_layout] = ACTIONS(2262),
  },
  [629] = {
    [sym_type_qualifier] = STATE(632),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1257),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(632),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_RBRACK] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [630] = {
    [sym_type_qualifier] = STATE(856),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1234),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_RBRACK] = ACTIONS(2344),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [sym_type_qualifier] = STATE(856),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1254),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_RBRACK] = ACTIONS(2348),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [632] = {
    [sym_type_qualifier] = STATE(856),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1249),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_RBRACK] = ACTIONS(2352),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [633] = {
    [sym_type_qualifier] = STATE(638),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1240),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(638),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2358),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [634] = {
    [sym_type_qualifier] = STATE(856),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1235),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2360),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_RBRACK] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [635] = {
    [sym_type_qualifier] = STATE(634),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1256),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(634),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_RBRACK] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [636] = {
    [sym_type_qualifier] = STATE(631),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1253),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(631),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_RBRACK] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [637] = {
    [sym_type_qualifier] = STATE(630),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1252),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(630),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [638] = {
    [sym_type_qualifier] = STATE(856),
    [sym_alignas_qualifier] = STATE(904),
    [sym_expression] = STATE(1248),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_array_declarator_repeat1] = STATE(856),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_LPAREN2] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym___extension__] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [anon_sym_const] = ACTIONS(2334),
    [anon_sym_constexpr] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_restrict] = ACTIONS(2334),
    [anon_sym___restrict__] = ACTIONS(2334),
    [anon_sym__Atomic] = ACTIONS(2334),
    [anon_sym__Noreturn] = ACTIONS(2334),
    [anon_sym_noreturn] = ACTIONS(2334),
    [anon_sym__Nonnull] = ACTIONS(2334),
    [anon_sym_alignas] = ACTIONS(2336),
    [anon_sym__Alignas] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_sizeof] = ACTIONS(2248),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [639] = {
    [sym_extension_storage_class] = STATE(639),
    [sym_layout_specification] = STATE(639),
    [aux_sym_declaration_repeat1] = STATE(639),
    [sym_identifier] = ACTIONS(2386),
    [anon_sym_subroutine] = ACTIONS(2388),
    [anon_sym_invariant] = ACTIONS(2388),
    [anon_sym_precise] = ACTIONS(2388),
    [anon_sym_in] = ACTIONS(2388),
    [anon_sym_out] = ACTIONS(2388),
    [anon_sym_inout] = ACTIONS(2388),
    [anon_sym_uniform] = ACTIONS(2388),
    [anon_sym_shared] = ACTIONS(2388),
    [anon_sym_attribute] = ACTIONS(2388),
    [anon_sym_varying] = ACTIONS(2388),
    [anon_sym_buffer] = ACTIONS(2388),
    [anon_sym_coherent] = ACTIONS(2388),
    [anon_sym_readonly] = ACTIONS(2388),
    [anon_sym_writeonly] = ACTIONS(2388),
    [anon_sym_precision] = ACTIONS(2388),
    [anon_sym_highp] = ACTIONS(2388),
    [anon_sym_mediump] = ACTIONS(2388),
    [anon_sym_lowp] = ACTIONS(2388),
    [anon_sym_centroid] = ACTIONS(2388),
    [anon_sym_sample] = ACTIONS(2388),
    [anon_sym_patch] = ACTIONS(2388),
    [anon_sym_smooth] = ACTIONS(2388),
    [anon_sym_flat] = ACTIONS(2388),
    [anon_sym_noperspective] = ACTIONS(2388),
    [anon_sym___extension__] = ACTIONS(2386),
    [anon_sym_extern] = ACTIONS(2386),
    [anon_sym___attribute__] = ACTIONS(2386),
    [anon_sym___attribute] = ACTIONS(2386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2391),
    [anon_sym___declspec] = ACTIONS(2386),
    [anon_sym_signed] = ACTIONS(2386),
    [anon_sym_unsigned] = ACTIONS(2386),
    [anon_sym_long] = ACTIONS(2386),
    [anon_sym_short] = ACTIONS(2386),
    [anon_sym_static] = ACTIONS(2386),
    [anon_sym_auto] = ACTIONS(2386),
    [anon_sym_register] = ACTIONS(2386),
    [anon_sym_inline] = ACTIONS(2386),
    [anon_sym___inline] = ACTIONS(2386),
    [anon_sym___inline__] = ACTIONS(2386),
    [anon_sym___forceinline] = ACTIONS(2386),
    [anon_sym_thread_local] = ACTIONS(2386),
    [anon_sym___thread] = ACTIONS(2386),
    [anon_sym_const] = ACTIONS(2386),
    [anon_sym_constexpr] = ACTIONS(2386),
    [anon_sym_volatile] = ACTIONS(2386),
    [anon_sym_restrict] = ACTIONS(2386),
    [anon_sym___restrict__] = ACTIONS(2386),
    [anon_sym__Atomic] = ACTIONS(2386),
    [anon_sym__Noreturn] = ACTIONS(2386),
    [anon_sym_noreturn] = ACTIONS(2386),
    [anon_sym__Nonnull] = ACTIONS(2386),
    [anon_sym_alignas] = ACTIONS(2386),
    [anon_sym__Alignas] = ACTIONS(2386),
    [sym_primitive_type] = ACTIONS(2386),
    [anon_sym_enum] = ACTIONS(2386),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2393),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2393),
    [anon_sym_hitAttributeEXT] = ACTIONS(2393),
    [anon_sym_callableDataEXT] = ACTIONS(2393),
    [anon_sym_callableDataInEXT] = ACTIONS(2393),
    [anon_sym_shaderRecordEXT] = ACTIONS(2393),
    [anon_sym_rayPayloadNV] = ACTIONS(2393),
    [anon_sym_rayPayloadInNV] = ACTIONS(2393),
    [anon_sym_hitAttributeNV] = ACTIONS(2393),
    [anon_sym_callableDataNV] = ACTIONS(2393),
    [anon_sym_callableDataInNV] = ACTIONS(2393),
    [anon_sym_shaderRecordNV] = ACTIONS(2393),
    [anon_sym_layout] = ACTIONS(2396),
  },
  [640] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1279),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_variadic_parameter] = STATE(2098),
    [sym_parameter_declaration] = STATE(2098),
    [sym_macro_type_specifier] = STATE(959),
    [sym_layout_specification] = STATE(650),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_parameter_declaration_repeat1] = STATE(650),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1751),
    [anon_sym_precise] = ACTIONS(1759),
    [anon_sym_in] = ACTIONS(1759),
    [anon_sym_out] = ACTIONS(1759),
    [anon_sym_inout] = ACTIONS(1759),
    [anon_sym_uniform] = ACTIONS(1759),
    [anon_sym_shared] = ACTIONS(1759),
    [anon_sym_attribute] = ACTIONS(1759),
    [anon_sym_varying] = ACTIONS(1759),
    [anon_sym_buffer] = ACTIONS(1759),
    [anon_sym_coherent] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_writeonly] = ACTIONS(1759),
    [anon_sym_centroid] = ACTIONS(1759),
    [anon_sym_sample] = ACTIONS(1759),
    [anon_sym_patch] = ACTIONS(1759),
    [anon_sym_smooth] = ACTIONS(1759),
    [anon_sym_flat] = ACTIONS(1759),
    [anon_sym_noperspective] = ACTIONS(1759),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1765),
  },
  [641] = {
    [sym_expression] = STATE(1197),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1092),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1092),
    [sym_call_expression] = STATE(1092),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1092),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_TILDE] = ACTIONS(2405),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(2411),
    [anon_sym___extension__] = ACTIONS(2414),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_RBRACK] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_constexpr] = ACTIONS(2131),
    [anon_sym_volatile] = ACTIONS(2131),
    [anon_sym_restrict] = ACTIONS(2131),
    [anon_sym___restrict__] = ACTIONS(2131),
    [anon_sym__Atomic] = ACTIONS(2131),
    [anon_sym__Noreturn] = ACTIONS(2131),
    [anon_sym_noreturn] = ACTIONS(2131),
    [anon_sym__Nonnull] = ACTIONS(2131),
    [anon_sym_alignas] = ACTIONS(2131),
    [anon_sym__Alignas] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2417),
    [anon_sym_PLUS_PLUS] = ACTIONS(2417),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2423),
    [anon_sym___alignof] = ACTIONS(2423),
    [anon_sym__alignof] = ACTIONS(2423),
    [anon_sym_alignof] = ACTIONS(2423),
    [anon_sym__Alignof] = ACTIONS(2423),
    [anon_sym_offsetof] = ACTIONS(2426),
    [anon_sym__Generic] = ACTIONS(2429),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2435),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2441),
    [anon_sym_u_DQUOTE] = ACTIONS(2441),
    [anon_sym_U_DQUOTE] = ACTIONS(2441),
    [anon_sym_u8_DQUOTE] = ACTIONS(2441),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2447),
    [anon_sym_nullptr] = ACTIONS(2447),
    [sym_comment] = ACTIONS(3),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2082),
    [anon_sym_extern] = ACTIONS(2082),
    [anon_sym___attribute__] = ACTIONS(2082),
    [anon_sym___attribute] = ACTIONS(2082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2453),
    [anon_sym___declspec] = ACTIONS(2082),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_static] = ACTIONS(2082),
    [anon_sym_auto] = ACTIONS(2082),
    [anon_sym_register] = ACTIONS(2082),
    [anon_sym_inline] = ACTIONS(2082),
    [anon_sym___inline] = ACTIONS(2082),
    [anon_sym___inline__] = ACTIONS(2082),
    [anon_sym___forceinline] = ACTIONS(2082),
    [anon_sym_thread_local] = ACTIONS(2082),
    [anon_sym___thread] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_constexpr] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_restrict] = ACTIONS(2082),
    [anon_sym___restrict__] = ACTIONS(2082),
    [anon_sym__Atomic] = ACTIONS(2082),
    [anon_sym__Noreturn] = ACTIONS(2082),
    [anon_sym_noreturn] = ACTIONS(2082),
    [anon_sym__Nonnull] = ACTIONS(2082),
    [anon_sym_alignas] = ACTIONS(2082),
    [anon_sym__Alignas] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2082),
    [anon_sym_struct] = ACTIONS(2082),
    [anon_sym_union] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2082),
    [anon_sym_extern] = ACTIONS(2082),
    [anon_sym___attribute__] = ACTIONS(2082),
    [anon_sym___attribute] = ACTIONS(2082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2453),
    [anon_sym___declspec] = ACTIONS(2082),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_static] = ACTIONS(2082),
    [anon_sym_auto] = ACTIONS(2082),
    [anon_sym_register] = ACTIONS(2082),
    [anon_sym_inline] = ACTIONS(2082),
    [anon_sym___inline] = ACTIONS(2082),
    [anon_sym___inline__] = ACTIONS(2082),
    [anon_sym___forceinline] = ACTIONS(2082),
    [anon_sym_thread_local] = ACTIONS(2082),
    [anon_sym___thread] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_constexpr] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_restrict] = ACTIONS(2082),
    [anon_sym___restrict__] = ACTIONS(2082),
    [anon_sym__Atomic] = ACTIONS(2082),
    [anon_sym__Noreturn] = ACTIONS(2082),
    [anon_sym_noreturn] = ACTIONS(2082),
    [anon_sym__Nonnull] = ACTIONS(2082),
    [anon_sym_alignas] = ACTIONS(2082),
    [anon_sym__Alignas] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2082),
    [anon_sym_struct] = ACTIONS(2082),
    [anon_sym_union] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [644] = {
    [sym_expression] = STATE(1176),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_initializer_list] = STATE(1964),
    [sym_initializer_pair] = STATE(1964),
    [sym_subscript_designator] = STATE(1760),
    [sym_subscript_range_designator] = STATE(1760),
    [sym_field_designator] = STATE(1760),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_initializer_pair_repeat1] = STATE(1760),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_subroutine] = ACTIONS(2468),
    [anon_sym_invariant] = ACTIONS(2468),
    [anon_sym_precise] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_out] = ACTIONS(2468),
    [anon_sym_inout] = ACTIONS(2468),
    [anon_sym_uniform] = ACTIONS(2468),
    [anon_sym_shared] = ACTIONS(2468),
    [anon_sym_attribute] = ACTIONS(2468),
    [anon_sym_varying] = ACTIONS(2468),
    [anon_sym_buffer] = ACTIONS(2468),
    [anon_sym_coherent] = ACTIONS(2468),
    [anon_sym_readonly] = ACTIONS(2468),
    [anon_sym_writeonly] = ACTIONS(2468),
    [anon_sym_precision] = ACTIONS(2468),
    [anon_sym_highp] = ACTIONS(2468),
    [anon_sym_mediump] = ACTIONS(2468),
    [anon_sym_lowp] = ACTIONS(2468),
    [anon_sym_centroid] = ACTIONS(2468),
    [anon_sym_sample] = ACTIONS(2468),
    [anon_sym_patch] = ACTIONS(2468),
    [anon_sym_smooth] = ACTIONS(2468),
    [anon_sym_flat] = ACTIONS(2468),
    [anon_sym_noperspective] = ACTIONS(2468),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym___attribute] = ACTIONS(2468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_auto] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym__Nonnull] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2468),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2468),
    [anon_sym_hitAttributeEXT] = ACTIONS(2468),
    [anon_sym_callableDataEXT] = ACTIONS(2468),
    [anon_sym_callableDataInEXT] = ACTIONS(2468),
    [anon_sym_shaderRecordEXT] = ACTIONS(2468),
    [anon_sym_rayPayloadNV] = ACTIONS(2468),
    [anon_sym_rayPayloadInNV] = ACTIONS(2468),
    [anon_sym_hitAttributeNV] = ACTIONS(2468),
    [anon_sym_callableDataNV] = ACTIONS(2468),
    [anon_sym_callableDataInNV] = ACTIONS(2468),
    [anon_sym_shaderRecordNV] = ACTIONS(2468),
    [anon_sym_layout] = ACTIONS(2468),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2082),
    [anon_sym_extern] = ACTIONS(2082),
    [anon_sym___attribute__] = ACTIONS(2082),
    [anon_sym___attribute] = ACTIONS(2082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2453),
    [anon_sym___declspec] = ACTIONS(2082),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_static] = ACTIONS(2082),
    [anon_sym_auto] = ACTIONS(2082),
    [anon_sym_register] = ACTIONS(2082),
    [anon_sym_inline] = ACTIONS(2082),
    [anon_sym___inline] = ACTIONS(2082),
    [anon_sym___inline__] = ACTIONS(2082),
    [anon_sym___forceinline] = ACTIONS(2082),
    [anon_sym_thread_local] = ACTIONS(2082),
    [anon_sym___thread] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_constexpr] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_restrict] = ACTIONS(2082),
    [anon_sym___restrict__] = ACTIONS(2082),
    [anon_sym__Atomic] = ACTIONS(2082),
    [anon_sym__Noreturn] = ACTIONS(2082),
    [anon_sym_noreturn] = ACTIONS(2082),
    [anon_sym__Nonnull] = ACTIONS(2082),
    [anon_sym_alignas] = ACTIONS(2082),
    [anon_sym__Alignas] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2082),
    [anon_sym_struct] = ACTIONS(2082),
    [anon_sym_union] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_subroutine] = ACTIONS(2475),
    [anon_sym_invariant] = ACTIONS(2475),
    [anon_sym_precise] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(2475),
    [anon_sym_out] = ACTIONS(2475),
    [anon_sym_inout] = ACTIONS(2475),
    [anon_sym_uniform] = ACTIONS(2475),
    [anon_sym_shared] = ACTIONS(2475),
    [anon_sym_attribute] = ACTIONS(2475),
    [anon_sym_varying] = ACTIONS(2475),
    [anon_sym_buffer] = ACTIONS(2475),
    [anon_sym_coherent] = ACTIONS(2475),
    [anon_sym_readonly] = ACTIONS(2475),
    [anon_sym_writeonly] = ACTIONS(2475),
    [anon_sym_precision] = ACTIONS(2475),
    [anon_sym_highp] = ACTIONS(2475),
    [anon_sym_mediump] = ACTIONS(2475),
    [anon_sym_lowp] = ACTIONS(2475),
    [anon_sym_centroid] = ACTIONS(2475),
    [anon_sym_sample] = ACTIONS(2475),
    [anon_sym_patch] = ACTIONS(2475),
    [anon_sym_smooth] = ACTIONS(2475),
    [anon_sym_flat] = ACTIONS(2475),
    [anon_sym_noperspective] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2477),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_auto] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [sym_primitive_type] = ACTIONS(2475),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2475),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2475),
    [anon_sym_hitAttributeEXT] = ACTIONS(2475),
    [anon_sym_callableDataEXT] = ACTIONS(2475),
    [anon_sym_callableDataInEXT] = ACTIONS(2475),
    [anon_sym_shaderRecordEXT] = ACTIONS(2475),
    [anon_sym_rayPayloadNV] = ACTIONS(2475),
    [anon_sym_rayPayloadInNV] = ACTIONS(2475),
    [anon_sym_hitAttributeNV] = ACTIONS(2475),
    [anon_sym_callableDataNV] = ACTIONS(2475),
    [anon_sym_callableDataInNV] = ACTIONS(2475),
    [anon_sym_shaderRecordNV] = ACTIONS(2475),
    [anon_sym_layout] = ACTIONS(2475),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2479),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2082),
    [anon_sym_extern] = ACTIONS(2082),
    [anon_sym___attribute__] = ACTIONS(2082),
    [anon_sym___attribute] = ACTIONS(2082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2453),
    [anon_sym___declspec] = ACTIONS(2082),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_static] = ACTIONS(2082),
    [anon_sym_auto] = ACTIONS(2082),
    [anon_sym_register] = ACTIONS(2082),
    [anon_sym_inline] = ACTIONS(2082),
    [anon_sym___inline] = ACTIONS(2082),
    [anon_sym___inline__] = ACTIONS(2082),
    [anon_sym___forceinline] = ACTIONS(2082),
    [anon_sym_thread_local] = ACTIONS(2082),
    [anon_sym___thread] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_constexpr] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_restrict] = ACTIONS(2082),
    [anon_sym___restrict__] = ACTIONS(2082),
    [anon_sym__Atomic] = ACTIONS(2082),
    [anon_sym__Noreturn] = ACTIONS(2082),
    [anon_sym_noreturn] = ACTIONS(2082),
    [anon_sym__Nonnull] = ACTIONS(2082),
    [anon_sym_alignas] = ACTIONS(2082),
    [anon_sym__Alignas] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2082),
    [anon_sym_struct] = ACTIONS(2082),
    [anon_sym_union] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_subroutine] = ACTIONS(2482),
    [anon_sym_invariant] = ACTIONS(2482),
    [anon_sym_precise] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_out] = ACTIONS(2482),
    [anon_sym_inout] = ACTIONS(2482),
    [anon_sym_uniform] = ACTIONS(2482),
    [anon_sym_shared] = ACTIONS(2482),
    [anon_sym_attribute] = ACTIONS(2482),
    [anon_sym_varying] = ACTIONS(2482),
    [anon_sym_buffer] = ACTIONS(2482),
    [anon_sym_coherent] = ACTIONS(2482),
    [anon_sym_readonly] = ACTIONS(2482),
    [anon_sym_writeonly] = ACTIONS(2482),
    [anon_sym_precision] = ACTIONS(2482),
    [anon_sym_highp] = ACTIONS(2482),
    [anon_sym_mediump] = ACTIONS(2482),
    [anon_sym_lowp] = ACTIONS(2482),
    [anon_sym_centroid] = ACTIONS(2482),
    [anon_sym_sample] = ACTIONS(2482),
    [anon_sym_patch] = ACTIONS(2482),
    [anon_sym_smooth] = ACTIONS(2482),
    [anon_sym_flat] = ACTIONS(2482),
    [anon_sym_noperspective] = ACTIONS(2482),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2482),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2482),
    [anon_sym_hitAttributeEXT] = ACTIONS(2482),
    [anon_sym_callableDataEXT] = ACTIONS(2482),
    [anon_sym_callableDataInEXT] = ACTIONS(2482),
    [anon_sym_shaderRecordEXT] = ACTIONS(2482),
    [anon_sym_rayPayloadNV] = ACTIONS(2482),
    [anon_sym_rayPayloadInNV] = ACTIONS(2482),
    [anon_sym_hitAttributeNV] = ACTIONS(2482),
    [anon_sym_callableDataNV] = ACTIONS(2482),
    [anon_sym_callableDataInNV] = ACTIONS(2482),
    [anon_sym_shaderRecordNV] = ACTIONS(2482),
    [anon_sym_layout] = ACTIONS(2482),
  },
  [650] = {
    [sym__declaration_modifiers] = STATE(902),
    [sym__declaration_specifiers] = STATE(1274),
    [sym_attribute_specifier] = STATE(902),
    [sym_attribute_declaration] = STATE(902),
    [sym_ms_declspec_modifier] = STATE(902),
    [sym_storage_class_specifier] = STATE(902),
    [sym_type_qualifier] = STATE(902),
    [sym_alignas_qualifier] = STATE(915),
    [sym_type_specifier] = STATE(931),
    [sym_sized_type_specifier] = STATE(959),
    [sym_enum_specifier] = STATE(959),
    [sym_struct_specifier] = STATE(959),
    [sym_union_specifier] = STATE(959),
    [sym_macro_type_specifier] = STATE(959),
    [sym_layout_specification] = STATE(842),
    [aux_sym__declaration_specifiers_repeat1] = STATE(902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(918),
    [aux_sym_parameter_declaration_repeat1] = STATE(842),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_precise] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_out] = ACTIONS(2486),
    [anon_sym_inout] = ACTIONS(2486),
    [anon_sym_uniform] = ACTIONS(2486),
    [anon_sym_shared] = ACTIONS(2486),
    [anon_sym_attribute] = ACTIONS(2486),
    [anon_sym_varying] = ACTIONS(2486),
    [anon_sym_buffer] = ACTIONS(2486),
    [anon_sym_coherent] = ACTIONS(2486),
    [anon_sym_readonly] = ACTIONS(2486),
    [anon_sym_writeonly] = ACTIONS(2486),
    [anon_sym_centroid] = ACTIONS(2486),
    [anon_sym_sample] = ACTIONS(2486),
    [anon_sym_patch] = ACTIONS(2486),
    [anon_sym_smooth] = ACTIONS(2486),
    [anon_sym_flat] = ACTIONS(2486),
    [anon_sym_noperspective] = ACTIONS(2486),
    [anon_sym___extension__] = ACTIONS(55),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym___attribute] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(51),
    [anon_sym_unsigned] = ACTIONS(51),
    [anon_sym_long] = ACTIONS(51),
    [anon_sym_short] = ACTIONS(51),
    [anon_sym_static] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(53),
    [anon_sym_register] = ACTIONS(53),
    [anon_sym_inline] = ACTIONS(53),
    [anon_sym___inline] = ACTIONS(53),
    [anon_sym___inline__] = ACTIONS(53),
    [anon_sym___forceinline] = ACTIONS(53),
    [anon_sym_thread_local] = ACTIONS(53),
    [anon_sym___thread] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(55),
    [anon_sym_volatile] = ACTIONS(55),
    [anon_sym_restrict] = ACTIONS(55),
    [anon_sym___restrict__] = ACTIONS(55),
    [anon_sym__Atomic] = ACTIONS(55),
    [anon_sym__Noreturn] = ACTIONS(55),
    [anon_sym_noreturn] = ACTIONS(55),
    [anon_sym__Nonnull] = ACTIONS(55),
    [anon_sym_alignas] = ACTIONS(57),
    [anon_sym__Alignas] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_union] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1765),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_subroutine] = ACTIONS(2082),
    [anon_sym_invariant] = ACTIONS(2082),
    [anon_sym_precise] = ACTIONS(2082),
    [anon_sym_in] = ACTIONS(2082),
    [anon_sym_out] = ACTIONS(2082),
    [anon_sym_inout] = ACTIONS(2082),
    [anon_sym_uniform] = ACTIONS(2082),
    [anon_sym_shared] = ACTIONS(2082),
    [anon_sym_attribute] = ACTIONS(2082),
    [anon_sym_varying] = ACTIONS(2082),
    [anon_sym_buffer] = ACTIONS(2082),
    [anon_sym_coherent] = ACTIONS(2082),
    [anon_sym_readonly] = ACTIONS(2082),
    [anon_sym_writeonly] = ACTIONS(2082),
    [anon_sym_precision] = ACTIONS(2082),
    [anon_sym_highp] = ACTIONS(2082),
    [anon_sym_mediump] = ACTIONS(2082),
    [anon_sym_lowp] = ACTIONS(2082),
    [anon_sym_centroid] = ACTIONS(2082),
    [anon_sym_sample] = ACTIONS(2082),
    [anon_sym_patch] = ACTIONS(2082),
    [anon_sym_smooth] = ACTIONS(2082),
    [anon_sym_flat] = ACTIONS(2082),
    [anon_sym_noperspective] = ACTIONS(2082),
    [anon_sym___extension__] = ACTIONS(2082),
    [anon_sym_extern] = ACTIONS(2082),
    [anon_sym___attribute__] = ACTIONS(2082),
    [anon_sym___attribute] = ACTIONS(2082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2453),
    [anon_sym___declspec] = ACTIONS(2082),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_static] = ACTIONS(2082),
    [anon_sym_auto] = ACTIONS(2082),
    [anon_sym_register] = ACTIONS(2082),
    [anon_sym_inline] = ACTIONS(2082),
    [anon_sym___inline] = ACTIONS(2082),
    [anon_sym___inline__] = ACTIONS(2082),
    [anon_sym___forceinline] = ACTIONS(2082),
    [anon_sym_thread_local] = ACTIONS(2082),
    [anon_sym___thread] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_constexpr] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_restrict] = ACTIONS(2082),
    [anon_sym___restrict__] = ACTIONS(2082),
    [anon_sym__Atomic] = ACTIONS(2082),
    [anon_sym__Noreturn] = ACTIONS(2082),
    [anon_sym_noreturn] = ACTIONS(2082),
    [anon_sym__Nonnull] = ACTIONS(2082),
    [anon_sym_alignas] = ACTIONS(2082),
    [anon_sym__Alignas] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2082),
    [anon_sym_struct] = ACTIONS(2082),
    [anon_sym_union] = ACTIONS(2082),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2082),
    [anon_sym_hitAttributeEXT] = ACTIONS(2082),
    [anon_sym_callableDataEXT] = ACTIONS(2082),
    [anon_sym_callableDataInEXT] = ACTIONS(2082),
    [anon_sym_shaderRecordEXT] = ACTIONS(2082),
    [anon_sym_rayPayloadNV] = ACTIONS(2082),
    [anon_sym_rayPayloadInNV] = ACTIONS(2082),
    [anon_sym_hitAttributeNV] = ACTIONS(2082),
    [anon_sym_callableDataNV] = ACTIONS(2082),
    [anon_sym_callableDataInNV] = ACTIONS(2082),
    [anon_sym_shaderRecordNV] = ACTIONS(2082),
    [anon_sym_layout] = ACTIONS(2082),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2491),
    [anon_sym_subroutine] = ACTIONS(2491),
    [anon_sym_invariant] = ACTIONS(2491),
    [anon_sym_precise] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(2491),
    [anon_sym_out] = ACTIONS(2491),
    [anon_sym_inout] = ACTIONS(2491),
    [anon_sym_uniform] = ACTIONS(2491),
    [anon_sym_shared] = ACTIONS(2491),
    [anon_sym_attribute] = ACTIONS(2491),
    [anon_sym_varying] = ACTIONS(2491),
    [anon_sym_buffer] = ACTIONS(2491),
    [anon_sym_coherent] = ACTIONS(2491),
    [anon_sym_readonly] = ACTIONS(2491),
    [anon_sym_writeonly] = ACTIONS(2491),
    [anon_sym_precision] = ACTIONS(2491),
    [anon_sym_highp] = ACTIONS(2491),
    [anon_sym_mediump] = ACTIONS(2491),
    [anon_sym_lowp] = ACTIONS(2491),
    [anon_sym_centroid] = ACTIONS(2491),
    [anon_sym_sample] = ACTIONS(2491),
    [anon_sym_patch] = ACTIONS(2491),
    [anon_sym_smooth] = ACTIONS(2491),
    [anon_sym_flat] = ACTIONS(2491),
    [anon_sym_noperspective] = ACTIONS(2491),
    [anon_sym___extension__] = ACTIONS(2491),
    [anon_sym_extern] = ACTIONS(2491),
    [anon_sym___attribute__] = ACTIONS(2491),
    [anon_sym___attribute] = ACTIONS(2491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2493),
    [anon_sym___declspec] = ACTIONS(2491),
    [anon_sym_signed] = ACTIONS(2491),
    [anon_sym_unsigned] = ACTIONS(2491),
    [anon_sym_long] = ACTIONS(2491),
    [anon_sym_short] = ACTIONS(2491),
    [anon_sym_static] = ACTIONS(2491),
    [anon_sym_auto] = ACTIONS(2491),
    [anon_sym_register] = ACTIONS(2491),
    [anon_sym_inline] = ACTIONS(2491),
    [anon_sym___inline] = ACTIONS(2491),
    [anon_sym___inline__] = ACTIONS(2491),
    [anon_sym___forceinline] = ACTIONS(2491),
    [anon_sym_thread_local] = ACTIONS(2491),
    [anon_sym___thread] = ACTIONS(2491),
    [anon_sym_const] = ACTIONS(2491),
    [anon_sym_constexpr] = ACTIONS(2491),
    [anon_sym_volatile] = ACTIONS(2491),
    [anon_sym_restrict] = ACTIONS(2491),
    [anon_sym___restrict__] = ACTIONS(2491),
    [anon_sym__Atomic] = ACTIONS(2491),
    [anon_sym__Noreturn] = ACTIONS(2491),
    [anon_sym_noreturn] = ACTIONS(2491),
    [anon_sym__Nonnull] = ACTIONS(2491),
    [anon_sym_alignas] = ACTIONS(2491),
    [anon_sym__Alignas] = ACTIONS(2491),
    [sym_primitive_type] = ACTIONS(2491),
    [anon_sym_enum] = ACTIONS(2491),
    [anon_sym_struct] = ACTIONS(2491),
    [anon_sym_union] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2491),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2491),
    [anon_sym_hitAttributeEXT] = ACTIONS(2491),
    [anon_sym_callableDataEXT] = ACTIONS(2491),
    [anon_sym_callableDataInEXT] = ACTIONS(2491),
    [anon_sym_shaderRecordEXT] = ACTIONS(2491),
    [anon_sym_rayPayloadNV] = ACTIONS(2491),
    [anon_sym_rayPayloadInNV] = ACTIONS(2491),
    [anon_sym_hitAttributeNV] = ACTIONS(2491),
    [anon_sym_callableDataNV] = ACTIONS(2491),
    [anon_sym_callableDataInNV] = ACTIONS(2491),
    [anon_sym_shaderRecordNV] = ACTIONS(2491),
    [anon_sym_layout] = ACTIONS(2491),
  },
  [653] = {
    [sym_expression] = STATE(1223),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_initializer_list] = STATE(2113),
    [sym_initializer_pair] = STATE(2113),
    [sym_subscript_designator] = STATE(1760),
    [sym_subscript_range_designator] = STATE(1760),
    [sym_field_designator] = STATE(1760),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_initializer_pair_repeat1] = STATE(1760),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym_expression] = STATE(1223),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_initializer_list] = STATE(2113),
    [sym_initializer_pair] = STATE(2113),
    [sym_subscript_designator] = STATE(1760),
    [sym_subscript_range_designator] = STATE(1760),
    [sym_field_designator] = STATE(1760),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_initializer_pair_repeat1] = STATE(1760),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [sym_expression] = STATE(1223),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_initializer_list] = STATE(2113),
    [sym_initializer_pair] = STATE(2113),
    [sym_subscript_designator] = STATE(1760),
    [sym_subscript_range_designator] = STATE(1760),
    [sym_field_designator] = STATE(1760),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [aux_sym_initializer_pair_repeat1] = STATE(1760),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym_compound_statement] = STATE(2225),
    [sym_expression] = STATE(1182),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2225),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym_compound_statement] = STATE(2328),
    [sym_expression] = STATE(1180),
    [sym__string] = STATE(897),
    [sym_comma_expression] = STATE(2328),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_compound_statement] = STATE(2020),
    [sym_expression] = STATE(1174),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_RPAREN] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [659] = {
    [sym_compound_statement] = STATE(1914),
    [sym_expression] = STATE(1175),
    [sym__string] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_assignment_expression] = STATE(897),
    [sym_pointer_expression] = STATE(1025),
    [sym_unary_expression] = STATE(897),
    [sym_binary_expression] = STATE(897),
    [sym_update_expression] = STATE(897),
    [sym_cast_expression] = STATE(897),
    [sym_sizeof_expression] = STATE(897),
    [sym_alignof_expression] = STATE(897),
    [sym_offsetof_expression] = STATE(897),
    [sym_generic_expression] = STATE(897),
    [sym_subscript_expression] = STATE(1025),
    [sym_call_expression] = STATE(1025),
    [sym_gnu_asm_expression] = STATE(897),
    [sym_extension_expression] = STATE(897),
    [sym_field_expression] = STATE(1025),
    [sym_compound_literal_expression] = STATE(897),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_char_literal] = STATE(897),
    [sym_concatenated_string] = STATE(897),
    [sym_string_literal] = STATE(862),
    [sym_null] = STATE(897),
    [sym_identifier] = ACTIONS(2179),
    [anon_sym_RPAREN] = ACTIONS(2501),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(49),
    [anon_sym_DASH_DASH] = ACTIONS(89),
    [anon_sym_PLUS_PLUS] = ACTIONS(89),
    [anon_sym_sizeof] = ACTIONS(91),
    [anon_sym___alignof__] = ACTIONS(93),
    [anon_sym___alignof] = ACTIONS(93),
    [anon_sym__alignof] = ACTIONS(93),
    [anon_sym_alignof] = ACTIONS(93),
    [anon_sym__Alignof] = ACTIONS(93),
    [anon_sym_offsetof] = ACTIONS(95),
    [anon_sym__Generic] = ACTIONS(97),
    [anon_sym_asm] = ACTIONS(99),
    [anon_sym___asm__] = ACTIONS(99),
    [anon_sym___asm] = ACTIONS(99),
    [sym_number_literal] = ACTIONS(177),
    [anon_sym_L_SQUOTE] = ACTIONS(103),
    [anon_sym_u_SQUOTE] = ACTIONS(103),
    [anon_sym_U_SQUOTE] = ACTIONS(103),
    [anon_sym_u8_SQUOTE] = ACTIONS(103),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_L_DQUOTE] = ACTIONS(105),
    [anon_sym_u_DQUOTE] = ACTIONS(105),
    [anon_sym_U_DQUOTE] = ACTIONS(105),
    [anon_sym_u8_DQUOTE] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(105),
    [sym_true] = ACTIONS(179),
    [sym_false] = ACTIONS(179),
    [anon_sym_NULL] = ACTIONS(109),
    [anon_sym_nullptr] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2503), 1,
      anon_sym_COLON,
    STATE(862), 1,
      sym_string_literal,
    STATE(1222), 1,
      sym_expression,
    STATE(2356), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [113] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2505), 1,
      anon_sym_COLON,
    STATE(862), 1,
      sym_string_literal,
    STATE(1215), 1,
      sym_expression,
    STATE(2223), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(873), 1,
      sym_initializer_list,
    STATE(907), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(873), 1,
      sym_initializer_list,
    STATE(907), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [452] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_SEMI,
    STATE(862), 1,
      sym_string_literal,
    STATE(1181), 1,
      sym_expression,
    STATE(2405), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    STATE(862), 1,
      sym_string_literal,
    STATE(1218), 1,
      sym_expression,
    STATE(2260), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    STATE(862), 1,
      sym_string_literal,
    STATE(1220), 1,
      sym_expression,
    STATE(2266), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2517), 1,
      anon_sym_SEMI,
    STATE(862), 1,
      sym_string_literal,
    STATE(1183), 1,
      sym_expression,
    STATE(2280), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [904] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1210), 1,
      sym_expression,
    STATE(2084), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2519), 1,
      anon_sym_SEMI,
    STATE(862), 1,
      sym_string_literal,
    STATE(1219), 1,
      sym_expression,
    STATE(2342), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1130] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2521), 1,
      anon_sym_SEMI,
    STATE(862), 1,
      sym_string_literal,
    STATE(1221), 1,
      sym_expression,
    STATE(2346), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1243] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    STATE(862), 1,
      sym_string_literal,
    STATE(1191), 1,
      sym_expression,
    STATE(2205), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1356] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1227), 1,
      sym_expression,
    STATE(2131), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1469] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    STATE(862), 1,
      sym_string_literal,
    STATE(1226), 1,
      sym_expression,
    STATE(2362), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1582] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2527), 1,
      anon_sym_SEMI,
    STATE(862), 1,
      sym_string_literal,
    STATE(1187), 1,
      sym_expression,
    STATE(2386), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1695] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2529), 1,
      anon_sym_RPAREN,
    STATE(862), 1,
      sym_string_literal,
    STATE(1228), 1,
      sym_expression,
    STATE(2364), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1808] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2531), 1,
      anon_sym_COLON,
    STATE(862), 1,
      sym_string_literal,
    STATE(1208), 1,
      sym_expression,
    STATE(2268), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1921] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(873), 1,
      sym_initializer_list,
    STATE(907), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2034] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(873), 1,
      sym_initializer_list,
    STATE(1068), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2147] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2545), 1,
      anon_sym_SEMI,
    STATE(862), 1,
      sym_string_literal,
    STATE(1177), 1,
      sym_expression,
    STATE(2409), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2260] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1217), 1,
      sym_expression,
    STATE(2147), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2373] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1190), 1,
      sym_expression,
    STATE(2122), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2547), 1,
      anon_sym_COLON,
    STATE(862), 1,
      sym_string_literal,
    STATE(1185), 1,
      sym_expression,
    STATE(2330), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(873), 1,
      sym_initializer_list,
    STATE(907), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    STATE(862), 1,
      sym_string_literal,
    STATE(1216), 1,
      sym_expression,
    STATE(2219), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2825] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2555), 1,
      anon_sym_SEMI,
    STATE(862), 1,
      sym_string_literal,
    STATE(1193), 1,
      sym_expression,
    STATE(2295), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2938] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2557), 1,
      anon_sym_COLON,
    STATE(862), 1,
      sym_string_literal,
    STATE(1209), 1,
      sym_expression,
    STATE(2182), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3051] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(873), 1,
      sym_initializer_list,
    STATE(1068), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3164] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      anon_sym_RPAREN,
    STATE(862), 1,
      sym_string_literal,
    STATE(1224), 1,
      sym_expression,
    STATE(2360), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3277] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2561), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3387] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2563), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3497] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2565), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3607] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2567), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3717] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2569), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3827] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2571), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3937] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2573), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4047] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2575), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4157] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1169), 1,
      sym_expression,
    STATE(2048), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4267] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2577), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4377] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    ACTIONS(2579), 1,
      anon_sym_RBRACK,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4487] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1245), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4594] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    ACTIONS(2581), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(900), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4701] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1135), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4808] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1004), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4915] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1122), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5022] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1229), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5129] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1243), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5236] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1120), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5343] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1171), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5450] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1242), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5557] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(909), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(901), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5771] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(911), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5878] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2583), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(900), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5985] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1000), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6092] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(998), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6199] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1194), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6306] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1131), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6413] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1133), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6520] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(906), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1139), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6734] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1141), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6841] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1142), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6948] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1143), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7055] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1140), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7162] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1118), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7269] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1119), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7376] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1123), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7483] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1239), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1117), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7697] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1138), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7804] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1258), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7911] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1121), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8018] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1124), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8125] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(906), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8232] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1125), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8339] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1126), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8446] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8553] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1130), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8660] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1023), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8767] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1066), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8874] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1006), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8981] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1010), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9088] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1011), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9195] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1012), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9302] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1015), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9409] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1016), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9516] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1019), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9623] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9730] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1132), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9837] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1021), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9944] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1022), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10051] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(909), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10158] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(909), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10265] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(911), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10372] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2585), 1,
      anon_sym_LPAREN2,
    STATE(900), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10479] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2185), 1,
      anon_sym___extension__,
    ACTIONS(2187), 1,
      anon_sym_sizeof,
    ACTIONS(2533), 1,
      sym_identifier,
    ACTIONS(2535), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(1128), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2181), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2183), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2539), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1032), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10586] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1134), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10693] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1136), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10800] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10907] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1233), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11014] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1127), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11121] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(906), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11228] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(909), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11335] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1186), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11442] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(911), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11549] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2587), 1,
      anon_sym_LPAREN2,
    STATE(900), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11656] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(921), 1,
      sym_string_literal,
    STATE(997), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11763] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1236), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11870] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(901), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11977] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1247), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12084] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1196), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12191] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1198), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12298] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1066), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12405] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1199), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12512] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1200), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12619] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1201), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12726] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1202), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12833] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1203), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12940] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1204), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13047] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1205), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13154] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1206), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13261] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 1,
      anon_sym_const,
    ACTIONS(2193), 1,
      anon_sym_LPAREN2,
    ACTIONS(2199), 1,
      anon_sym_STAR,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    STATE(824), 1,
      sym_string_literal,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2202), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2191), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [13352] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1211), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13459] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1213), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13566] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13673] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1048), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13780] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1049), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13887] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1050), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13994] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1051), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14101] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1052), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14208] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1053), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14315] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1054), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14422] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1055), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14529] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1056), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14636] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1057), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14743] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1065), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14850] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1060), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14957] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2591), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1061), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15064] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1058), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15171] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1244), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15278] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1001), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15385] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(906), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15492] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1002), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15599] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1246), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15706] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1003), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15813] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1230), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15920] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1007), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16027] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1065), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16134] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(2155), 1,
      anon_sym___extension__,
    ACTIONS(2157), 1,
      anon_sym_sizeof,
    ACTIONS(2541), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2151), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2153), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2543), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16241] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1060), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16348] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2593), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1061), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16455] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1008), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16562] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym___extension__,
    ACTIONS(2248), 1,
      anon_sym_sizeof,
    ACTIONS(2322), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1197), 1,
      sym_expression,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(2242), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2244), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2326), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2338), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1092), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16669] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1009), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16776] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1259), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16883] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1173), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1013), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17097] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(1014), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17204] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(91), 1,
      anon_sym_sizeof,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1801), 1,
      anon_sym___extension__,
    ACTIONS(2179), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1189), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1025), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17311] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym___extension__,
    ACTIONS(1789), 1,
      anon_sym_sizeof,
    ACTIONS(2507), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_string_literal,
    STATE(996), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1779), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1781), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2509), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17418] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_offsetof,
    ACTIONS(97), 1,
      anon_sym__Generic,
    ACTIONS(177), 1,
      sym_number_literal,
    ACTIONS(1775), 1,
      sym_identifier,
    ACTIONS(1795), 1,
      anon_sym___extension__,
    ACTIONS(1797), 1,
      anon_sym_sizeof,
    ACTIONS(2549), 1,
      anon_sym_LPAREN2,
    STATE(911), 1,
      sym_expression,
    STATE(921), 1,
      sym_string_literal,
    ACTIONS(109), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(179), 2,
      sym_true,
      sym_false,
    ACTIONS(1791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1793), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2537), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2551), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(93), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(103), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(867), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(897), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17525] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(895), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1438), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [17627] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(875), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1432), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [17729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      sym_identifier,
    STATE(825), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2599), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2597), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    STATE(827), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2605), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2603), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17873] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(872), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1426), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [17975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2607), 1,
      sym_identifier,
    STATE(827), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2614), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2612), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2610), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18047] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(870), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1433), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18149] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(881), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1431), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18251] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(882), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1442), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18353] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(883), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1447), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(887), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1413), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18557] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(888), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1419), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18659] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(890), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1422), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18761] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(893), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1428), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18863] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(894), 1,
      sym_ms_call_modifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1417), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2197), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2191), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2619), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2316), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [19162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2623), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2627), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2636), 1,
      anon_sym_layout,
    STATE(842), 2,
      sym_layout_specification,
      aux_sym_parameter_declaration_repeat1,
    ACTIONS(2631), 18,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
    ACTIONS(2629), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [19360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2641), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2645), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2647), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2649), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2653), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2671), 1,
      anon_sym___declspec,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(2665), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2674), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2657), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(847), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2659), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2662), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2655), 17,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [19696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2679), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2320), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [19824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2683), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2687), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2491), 53,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      anon_sym_layout,
  [20014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2689), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
  [20076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2482), 53,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      anon_sym_layout,
  [20138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2477), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 53,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      anon_sym_layout,
  [20200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      anon_sym_static,
    STATE(904), 1,
      sym_alignas_qualifier,
    ACTIONS(2703), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(856), 2,
      sym_type_qualifier,
      aux_sym_array_declarator_repeat1,
    ACTIONS(2697), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2693), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2695), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [20271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2175), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [20332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2706), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [20393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2171), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [20454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2708), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(2717), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2712), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2714), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2710), 30,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [20582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      sym_identifier,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2724), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2722), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2728), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2732), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2736), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2740), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2191), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2744), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2748), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21061] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1441), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [21152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2752), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21211] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1444), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [21302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2756), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2760), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21420] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1425), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [21511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2764), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2768), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2776), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21747] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1416), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [21838] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1440), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [21929] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1445), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22020] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1414), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22111] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1448), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22202] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1411), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22293] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1439), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22384] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1418), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22475] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1421), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2780), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22625] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1423), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22716] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1436), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22807] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1443), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22898] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1415), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22989] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1430), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23080] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1410), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23171] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1429), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2191), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2784), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23380] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(931), 1,
      sym_type_specifier,
    STATE(1427), 1,
      sym__declaration_specifiers,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(902), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2786), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2788), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23539] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2798), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2800), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23607] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(61), 1,
      anon_sym_enum,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1572), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(918), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(930), 1,
      sym_type_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(51), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(847), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2802), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2131), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2808), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23869] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2812), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2814), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2816), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2820), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24063] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2822), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2824), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [24129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2828), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2830), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2832), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_field_declaration_list,
    STATE(945), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2836), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2834), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_field_declaration_list,
    STATE(949), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2840), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2838), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_EQ,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2844), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(2191), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2131), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
    ACTIONS(2191), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24572] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_field_declaration_list,
    STATE(954), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2848), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2846), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24637] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      sym_identifier,
    ACTIONS(2865), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(957), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2862), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(920), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2860), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2853), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2855), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2858), 21,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2802), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24767] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      sym_identifier,
    ACTIONS(2882), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(965), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2879), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2877), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2870), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2872), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2875), 21,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2724), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2722), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_field_declaration_list,
    STATE(974), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2886), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2884), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2888), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_field_declaration_list,
    STATE(977), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2894), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2892), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2896), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25144] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2902), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(847), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2900), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2175), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25272] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2906), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(847), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2904), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2171), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25400] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2910), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(928), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2908), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25472] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2914), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(926), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2912), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(973), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2918), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2916), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(948), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2922), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2920), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(943), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2926), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2924), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(955), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2930), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2928), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(950), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2934), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2932), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(980), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2938), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2936), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2944), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2942), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2940), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(975), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2949), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2947), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(976), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2953), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2951), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(979), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2957), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2955), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(956), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2961), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2959), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2963), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2967), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2971), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2977), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2975), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2983), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2981), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2985), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2989), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2993), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2999), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2997), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3001), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3007), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3005), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3009), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3013), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3017), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      sym_primitive_type,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2944), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3024), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3021), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(961), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3031), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3029), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3027), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3033), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2205), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2189), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3042), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3040), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3044), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(946), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3050), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3048), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(947), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3058), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3056), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3054), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3062), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3060), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3064), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3068), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(972), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3035), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3033), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3074), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3078), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3082), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3088), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3086), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3092), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3090), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3094), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3098), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3102), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3106), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(983), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3114), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3112), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3110), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3116), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3120), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3124), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3128), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3134), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3132), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28467] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2217), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28530] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28593] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3136), 1,
      anon_sym_SEMI,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2914), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(926), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2912), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [28664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3142), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1596), 1,
      sym__declarator,
    STATE(1705), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3140), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3144), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(994), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [28755] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3152), 1,
      anon_sym_SEMI,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2914), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(926), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2912), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [28826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2223), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28889] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2213), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28952] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(3154), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2221), 1,
      anon_sym_COLON,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29078] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3156), 1,
      anon_sym_SEMI,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2914), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(926), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2912), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [29149] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3142), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1594), 1,
      sym__declarator,
    STATE(1704), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3158), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3160), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [29240] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(1236), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3162), 1,
      anon_sym_SEMI,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2914), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(926), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2912), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [29311] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2812), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29377] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3176), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3180), 1,
      anon_sym_PIPE,
    ACTIONS(3182), 1,
      anon_sym_CARET,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3170), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3168), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29461] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3194), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3198), 1,
      anon_sym_PIPE,
    ACTIONS(3200), 1,
      anon_sym_CARET,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3170), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3168), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29545] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3194), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3198), 1,
      anon_sym_PIPE,
    ACTIONS(3200), 1,
      anon_sym_CARET,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    ACTIONS(3216), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3214), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3212), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29631] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3194), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3198), 1,
      anon_sym_PIPE,
    ACTIONS(3200), 1,
      anon_sym_CARET,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    ACTIONS(3216), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3220), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3218), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29717] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2812), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29781] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3198), 1,
      anon_sym_PIPE,
    ACTIONS(3200), 1,
      anon_sym_CARET,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29863] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3198), 1,
      anon_sym_PIPE,
    ACTIONS(3200), 1,
      anon_sym_CARET,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29943] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3194), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3198), 1,
      anon_sym_PIPE,
    ACTIONS(3200), 1,
      anon_sym_CARET,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    ACTIONS(3216), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3224), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3222), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30029] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3176), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3180), 1,
      anon_sym_PIPE,
    ACTIONS(3182), 1,
      anon_sym_CARET,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    ACTIONS(3226), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3214), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3212), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30115] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3180), 1,
      anon_sym_PIPE,
    ACTIONS(3182), 1,
      anon_sym_CARET,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3200), 1,
      anon_sym_CARET,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 3,
      anon_sym_PIPE,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30275] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3202), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30351] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3204), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30425] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3180), 1,
      anon_sym_PIPE,
    ACTIONS(3182), 1,
      anon_sym_CARET,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3182), 1,
      anon_sym_CARET,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30583] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30659] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3206), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3208), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2812), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30731] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3164), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3210), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3166), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2812), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30799] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30873] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2812), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(3237), 1,
      anon_sym_COLON,
    STATE(944), 1,
      sym_attribute_specifier,
    STATE(1038), 1,
      sym_enumerator_list,
    ACTIONS(3232), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3230), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3228), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_EQ,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3241), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2191), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [31067] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2812), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31135] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2812), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31201] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3176), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3180), 1,
      anon_sym_PIPE,
    ACTIONS(3182), 1,
      anon_sym_CARET,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    ACTIONS(3226), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3220), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3218), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31287] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3176), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3180), 1,
      anon_sym_PIPE,
    ACTIONS(3182), 1,
      anon_sym_CARET,
    ACTIONS(3184), 1,
      anon_sym_AMP,
    ACTIONS(3226), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3172), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3186), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3190), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3224), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3222), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3174), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2812), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31437] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1521), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
    ACTIONS(2191), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [31553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1527), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31614] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1514), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31675] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1518), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31797] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1520), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1513), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_EQ,
    ACTIONS(2844), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [31974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1515), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_attribute_specifier,
    STATE(1039), 1,
      sym_enumerator_list,
    ACTIONS(3247), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3245), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3243), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1523), 1,
      sym_field_declaration_list,
    ACTIONS(2205), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32155] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    ACTIONS(3158), 1,
      anon_sym_RPAREN,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1482), 1,
      sym__declarator,
    STATE(1704), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [32241] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3140), 1,
      anon_sym_RPAREN,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1485), 1,
      sym__declarator,
    STATE(1705), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1036), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1108), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [32327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(970), 1,
      sym_attribute_specifier,
    ACTIONS(3254), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3252), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3250), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(967), 1,
      sym_attribute_specifier,
    ACTIONS(3261), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3257), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(470), 1,
      sym_string_literal,
    ACTIONS(3264), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2896), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(471), 1,
      sym_string_literal,
    ACTIONS(3264), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2896), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(473), 1,
      sym_string_literal,
    ACTIONS(3264), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2896), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(966), 1,
      sym_attribute_specifier,
    ACTIONS(3270), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3268), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3266), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(474), 1,
      sym_string_literal,
    ACTIONS(3264), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2896), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3273), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32745] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3214), 1,
      anon_sym_EQ,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_PIPE,
    ACTIONS(3289), 1,
      anon_sym_CARET,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3301), 1,
      anon_sym_QMARK,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3212), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32828] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32889] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(2810), 1,
      anon_sym_EQ,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_PIPE,
    ACTIONS(3289), 1,
      anon_sym_CARET,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32968] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(2810), 1,
      anon_sym_EQ,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3287), 1,
      anon_sym_PIPE,
    ACTIONS(3289), 1,
      anon_sym_CARET,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33045] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3289), 1,
      anon_sym_CARET,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2810), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33120] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2812), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33193] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2812), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2812), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33333] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33398] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2810), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33461] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3220), 1,
      anon_sym_EQ,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_PIPE,
    ACTIONS(3289), 1,
      anon_sym_CARET,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3301), 1,
      anon_sym_QMARK,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3218), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3224), 1,
      anon_sym_EQ,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_PIPE,
    ACTIONS(3289), 1,
      anon_sym_CARET,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3301), 1,
      anon_sym_QMARK,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3222), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33627] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3170), 1,
      anon_sym_EQ,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_PIPE,
    ACTIONS(3289), 1,
      anon_sym_CARET,
    ACTIONS(3291), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3279), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3293), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3295), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3297), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3281), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3168), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33708] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1567), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1163), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [33785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2830), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2832), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2786), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2788), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1536), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [33980] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1536), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1059), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [34057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2798), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2800), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34116] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2822), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2824), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [34173] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2810), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2812), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1563), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1062), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1165), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [34309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2814), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2816), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1258), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1378), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1346), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1282), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1282), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1350), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1286), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1286), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1258), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1274), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2808), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [34874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2820), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [34920] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LPAREN2,
    ACTIONS(3322), 1,
      anon_sym_LBRACK,
    STATE(953), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3315), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2209), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 27,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [34976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1342), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1354), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1278), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1314), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2828), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [35206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1318), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1318), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1278), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1406), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1326), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_EQ,
    ACTIONS(3241), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2191), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [35486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1326), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1330), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1330), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1350), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_EQ,
    ACTIONS(3325), 1,
      anon_sym_SEMI,
    ACTIONS(2215), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2191), 13,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [35721] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3142), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1594), 1,
      sym__declarator,
    STATE(1704), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3158), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3160), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [35796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3142), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1599), 1,
      sym__declarator,
    STATE(1655), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3327), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3329), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [35871] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3146), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1705), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    ACTIONS(3333), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3335), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1101), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1237), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3140), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [35944] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3146), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1704), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    ACTIONS(3333), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3335), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1238), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3158), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3346), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3343), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3341), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3339), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [36068] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1485), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1107), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1270), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36136] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1525), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1528), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1104), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1269), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36272] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1519), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1265), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36340] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1482), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1266), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36408] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    ACTIONS(3158), 1,
      anon_sym_RPAREN,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1482), 1,
      sym__declarator,
    STATE(1704), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36478] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1594), 1,
      sym__declarator,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1268), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36546] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1596), 1,
      sym__declarator,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1109), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1264), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36614] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1482), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1114), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1266), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36682] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    ACTIONS(3327), 1,
      anon_sym_RPAREN,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1484), 1,
      sym__declarator,
    STATE(1655), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36752] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1594), 1,
      sym__declarator,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1115), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1268), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36820] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1484), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1262), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36888] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1599), 1,
      sym__declarator,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1267), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36956] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1147), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1525), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3148), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1106), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1261), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3146), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [37024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3220), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3371), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    ACTIONS(3385), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3218), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37101] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2812), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [37164] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2812), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [37223] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3214), 1,
      anon_sym___attribute,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3212), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [37300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3224), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3371), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    ACTIONS(3385), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3222), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37377] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3170), 1,
      anon_sym___attribute,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3168), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37452] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2810), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2812), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [37509] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2810), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(2812), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37564] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym___attribute,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37637] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym___attribute,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37708] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3220), 1,
      anon_sym___attribute,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3218), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [37785] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3170), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3371), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3168), 7,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      sym_identifier,
  [37860] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37996] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3214), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3371), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    ACTIONS(3385), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3212), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [38073] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(2812), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38138] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2810), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2812), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [38193] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(2812), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3224), 1,
      anon_sym___attribute,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3222), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [38333] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(2812), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38392] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2810), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(2812), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38449] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3371), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    ACTIONS(3385), 1,
      anon_sym_QMARK,
    ACTIONS(3415), 1,
      aux_sym_preproc_elif_token1,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3413), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [38526] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3371), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [38599] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2812), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [38664] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3371), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [38735] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3373), 1,
      anon_sym_CARET,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [38804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3365), 1,
      anon_sym_SLASH,
    ACTIONS(3375), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2810), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3361), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3363), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3377), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3381), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3383), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [38871] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1459), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38935] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1450), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38999] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1452), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3423), 26,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [39103] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(3427), 1,
      anon_sym_enum,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1255), 1,
      sym_type_specifier,
    STATE(2180), 1,
      sym_type_descriptor,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1164), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3431), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [39207] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1457), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3435), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [39311] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(2145), 1,
      anon_sym_enum,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1255), 1,
      sym_type_specifier,
    STATE(2387), 1,
      sym_type_descriptor,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1168), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39375] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(3427), 1,
      anon_sym_enum,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1255), 1,
      sym_type_specifier,
    STATE(2287), 1,
      sym_type_descriptor,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1164), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3439), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [39479] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(2145), 1,
      anon_sym_enum,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1255), 1,
      sym_type_specifier,
    STATE(2198), 1,
      sym_type_descriptor,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1168), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39543] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1456), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39607] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1460), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39671] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(2145), 1,
      anon_sym_enum,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1255), 1,
      sym_type_specifier,
    STATE(2190), 1,
      sym_type_descriptor,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1168), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3441), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3443), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [39775] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1461), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3445), 26,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [39879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1277), 1,
      sym_type_specifier,
    STATE(1462), 1,
      sym__type_definition_type,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39943] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1537), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [40004] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(3427), 1,
      anon_sym_enum,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1250), 1,
      sym_type_specifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [40065] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1536), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [40126] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1567), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [40187] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(2145), 1,
      anon_sym_enum,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3421), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1273), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1278), 1,
      sym_type_specifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [40248] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      sym_primitive_type,
    ACTIONS(63), 1,
      anon_sym_struct,
    ACTIONS(65), 1,
      anon_sym_union,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(2145), 1,
      anon_sym_enum,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1250), 1,
      sym_type_specifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(959), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [40309] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [40383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(944), 1,
      sym_attribute_specifier,
    STATE(1195), 1,
      sym_enumerator_list,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3230), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(3228), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [40431] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3457), 1,
      anon_sym___attribute,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3455), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [40505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_attribute_specifier,
    STATE(1214), 1,
      sym_enumerator_list,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3245), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3243), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [40551] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    ACTIONS(3461), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    STATE(1983), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40626] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    ACTIONS(3465), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    STATE(1932), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40701] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    ACTIONS(3467), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    STATE(1910), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40776] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    ACTIONS(3471), 1,
      anon_sym_RBRACE,
    STATE(863), 1,
      sym_argument_list,
    STATE(1945), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40851] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3473), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(966), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3268), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3266), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [40963] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3475), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41035] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3477), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41107] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3479), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41179] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3481), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41251] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3483), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41323] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3485), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41395] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3487), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41467] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3489), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41537] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3491), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41609] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      sym_primitive_type,
    ACTIONS(3493), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(965), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2879), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2877), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2870), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2872), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41659] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3413), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [41729] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3495), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [41799] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3497), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41871] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3499), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41943] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3501), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42015] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3503), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(970), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3252), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3250), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [42125] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3212), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42197] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3168), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42267] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2810), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2812), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42319] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42387] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2810), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42645] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2810), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2812), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42705] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2810), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2812), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42761] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2810), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2812), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3531), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42887] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3533), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42959] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3535), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43031] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43101] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3218), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43173] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3539), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43245] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3222), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(967), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3259), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3257), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [43357] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43429] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3543), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43501] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3545), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43571] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3547), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3549), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43715] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3551), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43787] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3553), 1,
      anon_sym_SEMI,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43859] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43931] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3557), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44001] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44073] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      sym_primitive_type,
    ACTIONS(3561), 1,
      sym_identifier,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1272), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2862), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1188), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2853), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2855), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [44123] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3565), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44195] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [44265] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3569), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44337] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3303), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    ACTIONS(3571), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3573), 1,
      anon_sym_RBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44411] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(1779), 1,
      sym__abstract_declarator,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3577), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [44535] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3579), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44604] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_RBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44673] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44742] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2567), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44811] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3583), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44880] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1704), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3158), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [44935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1655), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3327), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [44990] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3585), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45059] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2579), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45128] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(1783), 1,
      sym__abstract_declarator,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3587), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [45183] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3589), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45252] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3591), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3593), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3595), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45459] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3597), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45528] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    ACTIONS(3599), 1,
      anon_sym_RBRACK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45597] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45666] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45735] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(1770), 1,
      sym__abstract_declarator,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3601), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [45790] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45859] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45928] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45997] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46066] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_const,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(1793), 1,
      sym__abstract_declarator,
    ACTIONS(3337), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1241), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3605), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3331), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46121] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46190] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_RBRACK,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 1,
      anon_sym_LPAREN2,
    ACTIONS(3509), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3513), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      anon_sym_CARET,
    ACTIONS(3519), 1,
      anon_sym_AMP,
    ACTIONS(3529), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3505), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3507), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3521), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3527), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46259] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46328] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    ACTIONS(3609), 1,
      anon_sym_COLON,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_SEMI,
    ACTIONS(2197), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2191), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [46433] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1519), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46485] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1483), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46537] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3391), 1,
      anon_sym_SLASH,
    ACTIONS(3393), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3395), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3397), 1,
      anon_sym_PIPE,
    ACTIONS(3399), 1,
      anon_sym_CARET,
    ACTIONS(3401), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_QMARK,
    STATE(863), 1,
      sym_argument_list,
    ACTIONS(2794), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2796), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3387), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3389), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3403), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3407), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3409), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1594), 1,
      sym__declarator,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46655] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1517), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46707] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1484), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46759] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1602), 1,
      sym__declarator,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46811] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1599), 1,
      sym__declarator,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46863] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1525), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46915] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1482), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [46967] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym___based,
    ACTIONS(3611), 1,
      sym_identifier,
    ACTIONS(3617), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1287), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2870), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(2879), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3614), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2872), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2940), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(2944), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3024), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3021), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
  [47055] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym___based,
    ACTIONS(3620), 1,
      sym_identifier,
    ACTIONS(3626), 1,
      sym_primitive_type,
    STATE(915), 1,
      sym_alignas_qualifier,
    STATE(1281), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2853), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(2862), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1271), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3623), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2855), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47104] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3142), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(1522), 1,
      sym__declarator,
    STATE(1616), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1775), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [47160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3633), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3631), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3637), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3635), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3641), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3639), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47280] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(915), 1,
      sym_alignas_qualifier,
    ACTIONS(57), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3645), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1275), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3643), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(55), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47320] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3142), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(1512), 1,
      sym__declarator,
    STATE(1625), 1,
      sym__abstract_declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(2351), 1,
      sym_ms_based_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3647), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1771), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [47376] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1470), 1,
      sym_ms_call_modifier,
    STATE(1751), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3024), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3649), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3021), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3007), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3005), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3042), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3656), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3040), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3134), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3659), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3132), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1291), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3050), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3048), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1289), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3056), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3054), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3062), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3668), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3060), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_LPAREN2,
    STATE(1282), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2189), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2983), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2981), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3035), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3677), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3033), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2977), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3680), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2975), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1283), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3029), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3683), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3027), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1284), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3112), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3686), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3110), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LPAREN2,
    STATE(1154), 1,
      sym_preproc_argument_list,
    ACTIONS(3693), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3689), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3088), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3695), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3086), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1486), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1605), 1,
      sym__declarator,
    STATE(1762), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1988), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47988] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3702), 1,
      anon_sym_RPAREN,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3712), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1317), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48031] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1508), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1739), 1,
      sym__declaration_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1976), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1506), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1623), 1,
      sym__declarator,
    STATE(1763), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1949), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48133] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3716), 1,
      anon_sym_RPAREN,
    ACTIONS(3718), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1308), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48176] = 5,
    ACTIONS(3689), 1,
      anon_sym_LF,
    ACTIONS(3720), 1,
      anon_sym_LPAREN2,
    ACTIONS(3722), 1,
      sym_comment,
    STATE(1405), 1,
      sym_preproc_argument_list,
    ACTIONS(3693), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48209] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1499), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1765), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2023), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1498), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1731), 1,
      sym__declaration_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1969), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48311] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1487), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1789), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2069), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1500), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1615), 1,
      sym__declarator,
    STATE(1765), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2023), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1497), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1730), 1,
      sym__declaration_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1961), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48464] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(3726), 1,
      anon_sym_RPAREN,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3734), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    STATE(2016), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48519] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3734), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3228), 1,
      anon_sym_const,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    STATE(944), 1,
      sym_attribute_specifier,
    STATE(1195), 1,
      sym_enumerator_list,
    ACTIONS(3230), 14,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
  [48615] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1504), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1763), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1949), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48666] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1762), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1988), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48717] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1501), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1724), 1,
      sym__declaration_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2025), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48768] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1503), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1759), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1971), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48819] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1502), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1737), 1,
      sym__declaration_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1942), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48870] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    ACTIONS(3761), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1307), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48913] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1505), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1624), 1,
      sym__declarator,
    STATE(1737), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(1942), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3734), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    STATE(1937), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49019] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1507), 1,
      sym_ms_call_modifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1733), 1,
      sym__declaration_declarator,
    STATE(1758), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2011), 1,
      sym_init_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [49070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3775), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1403), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49110] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3779), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1392), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3781), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1390), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3783), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1383), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2736), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3785), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1361), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3787), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1342), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3789), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1385), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3791), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1349), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49418] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3793), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1387), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3795), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1374), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49498] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3797), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1350), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49538] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3799), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1351), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49578] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3734), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3801), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49628] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3803), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1352), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3805), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1396), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3807), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1384), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3809), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1353), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3811), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1406), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49828] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3813), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1355), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3815), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1380), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3817), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49936] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3821), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1377), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3823), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3829), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3827), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50032] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3831), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1398), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3833), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3837), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3835), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3841), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3839), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3843), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1402), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3839), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50240] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3839), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [50288] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3839), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3841), 1,
      anon_sym_PIPE,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3839), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50380] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3841), 1,
      anon_sym_PIPE,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3839), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [50424] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3845), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1386), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50464] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3841), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3839), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [50506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3847), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1360), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50546] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3849), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1332), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3841), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3839), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50626] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3851), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1395), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3841), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3839), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [50702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3841), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3839), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50736] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3853), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1389), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3855), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1397), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50816] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3857), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1399), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50856] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3859), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1400), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50896] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3861), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1391), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50936] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3863), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1375), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3865), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1376), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3867), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1404), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51056] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3869), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1393), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51096] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_identifier,
    ACTIONS(3767), 1,
      anon_sym_LPAREN2,
    ACTIONS(3769), 1,
      anon_sym_defined,
    ACTIONS(3871), 1,
      sym_number_literal,
    ACTIONS(3771), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3773), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3777), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1407), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51136] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3873), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1347), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      sym_identifier,
    ACTIONS(3704), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_defined,
    ACTIONS(3875), 1,
      sym_number_literal,
    ACTIONS(3708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3710), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3714), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1358), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51216] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LF,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51261] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3841), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51288] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3899), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51333] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3901), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51378] = 3,
    ACTIONS(3435), 1,
      anon_sym_LF,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3433), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51405] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_LF,
    ACTIONS(3829), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51432] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3734), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3903), 1,
      anon_sym_RPAREN,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51481] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_LF,
    ACTIONS(3819), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51508] = 3,
    ACTIONS(3431), 1,
      anon_sym_LF,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3429), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51535] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51580] = 9,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3841), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51619] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3841), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51650] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51695] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_SLASH,
    ACTIONS(3734), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_CARET,
    ACTIONS(3742), 1,
      anon_sym_AMP,
    ACTIONS(3907), 1,
      anon_sym_RPAREN,
    ACTIONS(3728), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3744), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3746), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3748), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3750), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51744] = 3,
    ACTIONS(3443), 1,
      anon_sym_LF,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3441), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51771] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3909), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51816] = 6,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3841), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51849] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3911), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51894] = 11,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3841), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51937] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3913), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51982] = 3,
    ACTIONS(2736), 1,
      anon_sym_LF,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(2734), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52009] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3915), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52054] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3917), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52099] = 10,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3841), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52140] = 7,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3841), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52175] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_LF,
    ACTIONS(3825), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52202] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3919), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52247] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_LF,
    ACTIONS(3837), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52274] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3921), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52319] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3923), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52364] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3925), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52409] = 3,
    ACTIONS(3439), 1,
      anon_sym_LF,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3437), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52436] = 8,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3841), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [52473] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3841), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52502] = 12,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3887), 1,
      anon_sym_PIPE,
    ACTIONS(3889), 1,
      anon_sym_CARET,
    ACTIONS(3891), 1,
      anon_sym_AMP,
    ACTIONS(3927), 1,
      anon_sym_LF,
    ACTIONS(3879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3897), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3881), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3895), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52547] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(1542), 1,
      sym_ms_call_modifier,
    STATE(1725), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52587] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1589), 1,
      sym_ms_call_modifier,
    STATE(1689), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52627] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1570), 1,
      sym_ms_call_modifier,
    STATE(1670), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52667] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3935), 1,
      anon_sym_LBRACK,
    STATE(1453), 1,
      sym_gnu_asm_expression,
    STATE(1511), 1,
      sym_attribute_specifier,
    STATE(1607), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3931), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1454), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3933), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52709] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1571), 1,
      sym_ms_call_modifier,
    STATE(1681), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52749] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1562), 1,
      sym_ms_call_modifier,
    STATE(1721), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52789] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1585), 1,
      sym_ms_call_modifier,
    STATE(1632), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52829] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1555), 1,
      sym_ms_call_modifier,
    STATE(1672), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52869] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1586), 1,
      sym_ms_call_modifier,
    STATE(1637), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52909] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_call_modifier,
    STATE(1685), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52949] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1574), 1,
      sym_ms_call_modifier,
    STATE(1686), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3935), 1,
      anon_sym_LBRACK,
    STATE(1451), 1,
      sym_gnu_asm_expression,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    STATE(1454), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3933), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53025] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1576), 1,
      sym_ms_call_modifier,
    STATE(1690), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53065] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1577), 1,
      sym_ms_call_modifier,
    STATE(1694), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53105] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1578), 1,
      sym_ms_call_modifier,
    STATE(1698), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53145] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1553), 1,
      sym_ms_call_modifier,
    STATE(1635), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53185] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1564), 1,
      sym_ms_call_modifier,
    STATE(1660), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53225] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1566), 1,
      sym_ms_call_modifier,
    STATE(1664), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53265] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1554), 1,
      sym_ms_call_modifier,
    STATE(1650), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53305] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1584), 1,
      sym_ms_call_modifier,
    STATE(1718), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53345] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1556), 1,
      sym_ms_call_modifier,
    STATE(1645), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1587), 1,
      sym_ms_call_modifier,
    STATE(1653), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53425] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1557), 1,
      sym_ms_call_modifier,
    STATE(1692), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53465] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1533), 1,
      sym_ms_call_modifier,
    STATE(1659), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53505] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1531), 1,
      sym_ms_call_modifier,
    STATE(1703), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53545] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1580), 1,
      sym_ms_call_modifier,
    STATE(1719), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53585] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1534), 1,
      sym_ms_call_modifier,
    STATE(1680), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53625] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1582), 1,
      sym_ms_call_modifier,
    STATE(1676), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53665] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1540), 1,
      sym_ms_call_modifier,
    STATE(1742), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53705] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1588), 1,
      sym_ms_call_modifier,
    STATE(1661), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53745] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1565), 1,
      sym_ms_call_modifier,
    STATE(1665), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53785] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1558), 1,
      sym_ms_call_modifier,
    STATE(1716), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53825] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1579), 1,
      sym_ms_call_modifier,
    STATE(1707), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53865] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1559), 1,
      sym_ms_call_modifier,
    STATE(1720), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53905] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1583), 1,
      sym_ms_call_modifier,
    STATE(1712), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53945] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1549), 1,
      sym_ms_call_modifier,
    STATE(1634), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53985] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1560), 1,
      sym_ms_call_modifier,
    STATE(1649), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54025] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN2,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(1729), 1,
      sym__declarator,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(1846), 1,
      sym__abstract_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1592), 1,
      sym_ms_call_modifier,
    STATE(1652), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54109] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1569), 1,
      sym_ms_call_modifier,
    STATE(1657), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54149] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1568), 1,
      sym_ms_call_modifier,
    STATE(1648), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54189] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1801), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1458), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3939), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3937), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54261] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1827), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54302] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3939), 1,
      anon_sym_LBRACK,
    STATE(1511), 1,
      sym_attribute_specifier,
    STATE(1610), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3941), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1458), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3943), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3937), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1455), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3939), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3937), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3945), 1,
      sym_identifier,
    ACTIONS(3950), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1455), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3953), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3948), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54403] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1825), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1799), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1455), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3957), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3955), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54516] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1811), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54557] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1826), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54598] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1821), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1541), 1,
      sym__type_declarator,
    STATE(1805), 1,
      sym__type_definition_declarators,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54680] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    ACTIONS(3959), 1,
      anon_sym_SEMI,
    STATE(1510), 1,
      sym__field_declarator,
    STATE(1852), 1,
      sym__field_declaration_declarator,
    STATE(2240), 1,
      sym_attribute_specifier,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [54722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3963), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3961), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [54750] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    ACTIONS(3968), 1,
      anon_sym_SEMI,
    STATE(1510), 1,
      sym__field_declarator,
    STATE(1843), 1,
      sym__field_declaration_declarator,
    STATE(2305), 1,
      sym_attribute_specifier,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [54792] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    ACTIONS(3970), 1,
      anon_sym_SEMI,
    STATE(1510), 1,
      sym__field_declarator,
    STATE(1877), 1,
      sym__field_declaration_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    STATE(2380), 1,
      sym_attribute_specifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [54834] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    ACTIONS(3972), 1,
      anon_sym_SEMI,
    STATE(1510), 1,
      sym__field_declarator,
    STATE(1889), 1,
      sym__field_declaration_declarator,
    STATE(2155), 1,
      sym_attribute_specifier,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [54876] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    ACTIONS(3974), 1,
      anon_sym_SEMI,
    STATE(1510), 1,
      sym__field_declarator,
    STATE(1837), 1,
      sym__field_declaration_declarator,
    STATE(2197), 1,
      sym_attribute_specifier,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [54918] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1595), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54956] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_STAR,
    ACTIONS(3313), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym_ms_based_modifier,
    ACTIONS(3311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1639), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [54994] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    ACTIONS(3976), 1,
      anon_sym_SEMI,
    STATE(1510), 1,
      sym__field_declarator,
    STATE(1882), 1,
      sym__field_declaration_declarator,
    STATE(2366), 1,
      sym_attribute_specifier,
    STATE(2367), 1,
      sym_ms_based_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [55036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3980), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3978), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LPAREN2,
    STATE(1154), 1,
      sym_preproc_argument_list,
    ACTIONS(3984), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3982), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
  [55090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3935), 1,
      anon_sym_LBRACK,
    STATE(1581), 1,
      sym_gnu_asm_expression,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(99), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    STATE(1543), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3933), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [55123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3986), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3988), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [55146] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(3992), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3994), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3996), 1,
      aux_sym_preproc_elif_token1,
    STATE(1529), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1561), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1766), 1,
      sym_enumerator,
    ACTIONS(3998), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2201), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(2202), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55185] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3996), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4000), 1,
      aux_sym_preproc_if_token2,
    STATE(1572), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1575), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1766), 1,
      sym_enumerator,
    ACTIONS(3998), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2263), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(2265), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(4004), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [55247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(4008), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [55270] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3996), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4010), 1,
      aux_sym_preproc_if_token2,
    STATE(1546), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1547), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1766), 1,
      sym_enumerator,
    ACTIONS(3998), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2297), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(2413), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(3994), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3996), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4012), 1,
      aux_sym_preproc_if_token2,
    STATE(1538), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1539), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1766), 1,
      sym_enumerator,
    ACTIONS(3998), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2306), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(2402), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55348] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4020), 1,
      anon_sym___asm,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4014), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55380] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4024), 1,
      anon_sym___asm,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4022), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55412] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4028), 1,
      anon_sym___asm,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4026), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55444] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4032), 1,
      anon_sym___asm,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4030), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55476] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1647), 1,
      sym__declarator,
    STATE(1728), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1797), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55550] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1728), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4034), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4038), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4042), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4048), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4046), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4052), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4050), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4056), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4054), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55713] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4060), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4064), 1,
      sym_preproc_directive,
    ACTIONS(4066), 1,
      anon_sym_RBRACE,
    ACTIONS(4062), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2088), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(2153), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1496), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [55746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4060), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4064), 1,
      sym_preproc_directive,
    ACTIONS(4068), 1,
      anon_sym_RBRACE,
    ACTIONS(4062), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2132), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(2345), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1591), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [55779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1736), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55816] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1732), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55853] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1743), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55890] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1654), 1,
      sym__declarator,
    STATE(1743), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55927] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1727), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [55964] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1738), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56001] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1726), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56038] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1767), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1663), 1,
      sym__declarator,
    STATE(1738), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56112] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1631), 1,
      sym__declarator,
    STATE(1767), 1,
      sym__declaration_declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1735), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56186] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3698), 1,
      sym_identifier,
    STATE(1509), 1,
      sym_function_declarator,
    STATE(1740), 1,
      sym__declaration_declarator,
    STATE(1772), 1,
      sym__declarator,
    STATE(1804), 1,
      sym__function_declaration_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1593), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4070), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56244] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4078), 1,
      anon_sym___attribute,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1798), 1,
      aux_sym__field_declaration_declarator_repeat1,
    STATE(1829), 1,
      sym_bitfield_clause,
    ACTIONS(4076), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3982), 2,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(4084), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4086), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(4089), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3984), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [56310] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(1474), 1,
      sym_parameter_list,
    ACTIONS(4091), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(1773), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [56344] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4093), 1,
      sym_identifier,
    ACTIONS(4095), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1833), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56378] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4097), 1,
      sym_identifier,
    ACTIONS(4099), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1834), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56412] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4101), 1,
      sym_identifier,
    ACTIONS(4103), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1868), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56446] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4105), 1,
      sym_identifier,
    ACTIONS(4107), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1878), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4111), 1,
      anon_sym___attribute,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4109), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [56510] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4113), 1,
      sym_identifier,
    ACTIONS(4115), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1836), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4119), 1,
      anon_sym___attribute,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4117), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [56574] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4121), 1,
      sym_identifier,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1838), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56608] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4125), 1,
      sym_identifier,
    ACTIONS(4127), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1886), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(1474), 1,
      sym_parameter_list,
    ACTIONS(4129), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(1795), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [56676] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4131), 1,
      sym_identifier,
    ACTIONS(4133), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1876), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56710] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4135), 1,
      sym_identifier,
    ACTIONS(4137), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1867), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4141), 1,
      anon_sym___attribute,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4139), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [56774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4082), 1,
      anon_sym_COLON,
    ACTIONS(4145), 1,
      anon_sym___attribute,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1884), 1,
      sym_bitfield_clause,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4143), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [56808] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(4147), 1,
      sym_identifier,
    ACTIONS(4149), 1,
      anon_sym_SEMI,
    STATE(1781), 1,
      sym__declarator,
    STATE(1847), 1,
      sym_array_declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [56842] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4153), 1,
      anon_sym___attribute,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4151), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [56872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4155), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4157), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4159), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4161), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1702), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2157), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [56901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    ACTIONS(4165), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1844), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1678), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [56955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3992), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    STATE(1561), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2201), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [56986] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1658), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1640), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57044] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4157), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4159), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4173), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4161), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1529), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2202), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [57073] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4177), 1,
      anon_sym___attribute,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4175), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    ACTIONS(4183), 1,
      anon_sym___attribute,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4181), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57131] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4185), 1,
      aux_sym_preproc_if_token2,
    STATE(1693), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2293), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57162] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4157), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4159), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4187), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4161), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1702), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2311), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [57191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1729), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57220] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    ACTIONS(4189), 1,
      anon_sym_COMMA,
    ACTIONS(4193), 1,
      anon_sym___attribute,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1820), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4191), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57253] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(1723), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [57282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3939), 3,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1455), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3937), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [57305] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3353), 1,
      sym_identifier,
    ACTIONS(3355), 1,
      anon_sym_LPAREN2,
    ACTIONS(3357), 1,
      anon_sym_STAR,
    STATE(1526), 1,
      sym__field_declarator,
    STATE(2367), 1,
      sym_ms_based_modifier,
    STATE(1604), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [57334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4197), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4195), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [57357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4199), 1,
      aux_sym_preproc_if_token2,
    STATE(1693), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2239), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4157), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4159), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4201), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4161), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1702), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2250), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [57417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3957), 3,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1455), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3955), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [57440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1722), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57469] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    STATE(1546), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2413), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4157), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4159), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4203), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4161), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1547), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2297), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [57529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4205), 1,
      aux_sym_preproc_if_token2,
    STATE(1572), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2263), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1666), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1691), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57618] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1697), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57647] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1701), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57676] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1711), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57705] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1641), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57734] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1646), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57763] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1628), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4207), 1,
      aux_sym_preproc_if_token2,
    STATE(1693), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2401), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1706), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    ACTIONS(4211), 1,
      anon_sym___attribute,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4209), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1709), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1633), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57939] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1671), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57968] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    ACTIONS(4215), 1,
      anon_sym___attribute,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4213), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1668), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1679), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58055] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1682), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1684), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4217), 1,
      aux_sym_preproc_if_token2,
    STATE(1693), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2374), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [58144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1687), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1688), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58202] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4157), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4159), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4219), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4161), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1702), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2417), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [58231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1695), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1696), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1699), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1675), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58347] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1708), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      sym_identifier,
    ACTIONS(3939), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1548), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3937), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [58401] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1715), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1629), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58459] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1630), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1642), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1644), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1662), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1677), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1700), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58633] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4167), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4221), 1,
      aux_sym_preproc_if_token2,
    STATE(1538), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4171), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2306), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [58664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4223), 1,
      sym_identifier,
    ACTIONS(4226), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4232), 1,
      sym_preproc_directive,
    ACTIONS(4235), 1,
      anon_sym_RBRACE,
    ACTIONS(4229), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2212), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1591), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [58693] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym___based,
    ACTIONS(3138), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    STATE(1683), 1,
      sym__declarator,
    STATE(2273), 1,
      sym_ms_based_modifier,
    STATE(1509), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4239), 1,
      anon_sym___asm,
    ACTIONS(4070), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4237), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [58744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4020), 1,
      anon_sym___attribute,
    STATE(1474), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4014), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58772] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    ACTIONS(4243), 1,
      anon_sym___attribute,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4241), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4032), 1,
      anon_sym___attribute,
    STATE(1474), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4030), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_LBRACK,
    STATE(1881), 1,
      sym_gnu_asm_input_operand,
    STATE(2377), 1,
      sym_string_literal,
    ACTIONS(4245), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [58852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4251), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1464), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4249), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4028), 1,
      anon_sym___attribute,
    STATE(1474), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4026), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_LBRACK,
    STATE(1857), 1,
      sym_gnu_asm_output_operand,
    STATE(2309), 1,
      sym_string_literal,
    ACTIONS(4253), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [58926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym___attribute__,
    ACTIONS(4262), 1,
      anon_sym___attribute,
    ACTIONS(4265), 1,
      anon_sym___asm,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(4257), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [58950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4024), 1,
      anon_sym___attribute,
    STATE(1474), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4022), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4267), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [58995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4271), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4275), 1,
      anon_sym_EQ,
    STATE(386), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym_identifier,
    ACTIONS(4281), 1,
      sym_system_lib_string,
    STATE(2200), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(3943), 1,
      anon_sym___asm,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3941), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [59085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4283), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1978), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4289), 1,
      anon_sym___asm,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(4287), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [59146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4291), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4295), 1,
      sym_identifier,
    ACTIONS(4297), 1,
      sym_system_lib_string,
    STATE(2208), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4301), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4299), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4303), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4275), 1,
      anon_sym_EQ,
    STATE(164), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59247] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4129), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1796), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [59274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(1934), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4309), 1,
      sym_identifier,
    ACTIONS(4311), 1,
      sym_system_lib_string,
    STATE(2363), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      sym_identifier,
    STATE(862), 1,
      sym_string_literal,
    STATE(2017), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4313), 1,
      sym_identifier,
    ACTIONS(4315), 1,
      sym_system_lib_string,
    STATE(2267), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4319), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4317), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN2,
    ACTIONS(2149), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      anon_sym_LBRACK,
    STATE(1752), 1,
      sym_parameter_list,
    STATE(1846), 1,
      sym__abstract_declarator,
    STATE(1768), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
  [59400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4275), 1,
      anon_sym_EQ,
    STATE(431), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4275), 1,
      anon_sym_EQ,
    STATE(336), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59458] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4091), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1774), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [59485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4321), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4327), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4325), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59519] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(335), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(359), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59571] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(361), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59597] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(422), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59623] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(362), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(438), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59675] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(410), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59701] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(393), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4331), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4329), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(363), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4337), 1,
      anon_sym_EQ,
    ACTIONS(4333), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [59787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4339), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(421), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(331), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(364), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4345), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4343), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59897] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(404), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59923] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(427), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(332), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(330), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60001] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(162), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60027] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(333), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60053] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(345), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4349), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4347), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [60095] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(334), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60121] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(366), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(155), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    ACTIONS(4353), 1,
      anon_sym___attribute,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4351), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_COLON,
  [60195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_LBRACK,
    STATE(1959), 1,
      sym_gnu_asm_input_operand,
    STATE(2377), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [60215] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(166), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60241] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(444), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(429), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(406), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(367), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60345] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(368), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(346), 1,
      sym_compound_statement,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60397] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(445), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(443), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60449] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(396), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4357), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4355), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [60491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(138), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4359), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [60533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(139), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(409), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60585] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(397), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4363), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [60627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4369), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4367), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [60643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(415), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60669] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(347), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(369), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(413), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(165), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60773] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(437), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(133), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(134), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60851] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(341), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60877] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(141), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(142), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60929] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(143), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(144), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(145), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61007] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(370), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61033] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(146), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61059] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(322), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61085] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(383), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym_identifier,
    ACTIONS(4376), 1,
      aux_sym_preproc_elif_token1,
    STATE(1693), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
    ACTIONS(4374), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [61133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(147), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(148), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61185] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(149), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(384), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(150), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61263] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(172), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(371), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(430), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym_identifier,
    ACTIONS(4383), 1,
      aux_sym_preproc_elif_token1,
    STATE(1702), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4381), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [61361] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(411), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    ACTIONS(4387), 1,
      anon_sym___attribute,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4385), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_COLON,
  [61409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    ACTIONS(4391), 1,
      anon_sym___attribute,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4389), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_COLON,
  [61431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(344), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(414), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(408), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4395), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4393), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [61551] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(323), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61577] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(353), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4399), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4397), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [61619] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(4401), 1,
      sym_identifier,
    STATE(933), 1,
      sym_field_declaration_list,
    STATE(1812), 1,
      sym_attribute_specifier,
    STATE(1967), 1,
      sym_ms_declspec_modifier,
    ACTIONS(41), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [61645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(356), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(324), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_LBRACK,
    STATE(1975), 1,
      sym_gnu_asm_output_operand,
    STATE(2309), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [61717] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(358), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61769] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(326), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61795] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(343), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61821] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(412), 1,
      sym_compound_statement,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4403), 1,
      anon_sym_RPAREN,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61870] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4407), 1,
      anon_sym_SEMI,
    STATE(1982), 1,
      aux_sym_declaration_repeat2,
    STATE(2041), 1,
      sym_gnu_asm_expression,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [61893] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4080), 1,
      anon_sym_LBRACK,
    ACTIONS(4411), 1,
      anon_sym_RPAREN,
    STATE(1621), 1,
      sym_parameter_list,
    STATE(1545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [61916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4413), 1,
      anon_sym_SEMI,
    STATE(1900), 1,
      sym_gnu_asm_expression,
    STATE(1901), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [61939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4415), 1,
      anon_sym_SEMI,
    STATE(2036), 1,
      sym_gnu_asm_expression,
    STATE(2038), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [61962] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4417), 1,
      anon_sym_SEMI,
    STATE(2035), 1,
      sym_gnu_asm_expression,
    STATE(2053), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [61985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62008] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4421), 1,
      anon_sym_SEMI,
    STATE(1940), 1,
      sym_gnu_asm_expression,
    STATE(1972), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4423), 1,
      anon_sym_SEMI,
    STATE(1993), 1,
      sym_gnu_asm_expression,
    STATE(1998), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4425), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_gnu_asm_expression,
    STATE(2027), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4427), 1,
      anon_sym_SEMI,
    STATE(2045), 1,
      sym_gnu_asm_expression,
    STATE(2046), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym___attribute,
    ACTIONS(4429), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4433), 1,
      anon_sym_SEMI,
    STATE(1917), 1,
      sym_gnu_asm_expression,
    STATE(1936), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62138] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4435), 1,
      anon_sym_SEMI,
    STATE(1909), 1,
      sym_gnu_asm_expression,
    STATE(1911), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62161] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4437), 1,
      anon_sym_SEMI,
    STATE(1960), 1,
      sym_gnu_asm_expression,
    STATE(1962), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4439), 1,
      anon_sym_SEMI,
    STATE(1979), 1,
      sym_gnu_asm_expression,
    STATE(2060), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62207] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4441), 1,
      anon_sym_SEMI,
    STATE(1990), 1,
      sym_gnu_asm_expression,
    STATE(1992), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62230] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4443), 1,
      anon_sym_SEMI,
    STATE(2001), 1,
      sym_gnu_asm_expression,
    STATE(2003), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym___attribute,
    ACTIONS(4445), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4449), 1,
      anon_sym_RPAREN,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62291] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4451), 1,
      anon_sym_SEMI,
    STATE(2004), 1,
      sym_gnu_asm_expression,
    STATE(2007), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_LPAREN2,
    STATE(1757), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4455), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [62331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym___attribute,
    ACTIONS(4457), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym___attribute,
    ACTIONS(4461), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym___attribute,
    ACTIONS(4465), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym___attribute,
    ACTIONS(4469), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym___attribute,
    ACTIONS(4473), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym___attribute,
    ACTIONS(4477), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    ACTIONS(4481), 1,
      anon_sym_RPAREN,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4485), 1,
      anon_sym___attribute,
    ACTIONS(4483), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_LBRACK,
    ACTIONS(4490), 1,
      anon_sym_EQ,
    ACTIONS(4492), 1,
      anon_sym_DOT,
    STATE(1753), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [62478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4497), 1,
      anon_sym___attribute,
    ACTIONS(4495), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 1,
      anon_sym___attribute,
    ACTIONS(4499), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 1,
      anon_sym___attribute,
    ACTIONS(4503), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4507), 1,
      anon_sym_LPAREN2,
    STATE(1764), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4455), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [62540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4275), 1,
      anon_sym_EQ,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4509), 1,
      anon_sym_SEMI,
    STATE(1916), 1,
      sym_gnu_asm_expression,
    STATE(1920), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACK,
    ACTIONS(4511), 1,
      anon_sym_EQ,
    ACTIONS(4513), 1,
      anon_sym_DOT,
    STATE(1753), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [62605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4179), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 1,
      anon_sym_RPAREN,
    STATE(1667), 1,
      sym_parameter_list,
    STATE(1598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4517), 1,
      anon_sym_SEMI,
    STATE(1891), 1,
      aux_sym_declaration_repeat2,
    STATE(2057), 1,
      sym_gnu_asm_expression,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62651] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4519), 1,
      anon_sym_SEMI,
    STATE(1921), 1,
      sym_gnu_asm_expression,
    STATE(1923), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_LPAREN2,
    STATE(1764), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4523), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [62691] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4526), 1,
      anon_sym_SEMI,
    STATE(1938), 1,
      sym_gnu_asm_expression,
    STATE(2021), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_COMMA,
    ACTIONS(4532), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4528), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [62731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    STATE(1918), 1,
      sym_gnu_asm_expression,
    STATE(1927), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [62754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym___attribute,
    ACTIONS(4536), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [62769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4542), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [62783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4544), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4546), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [62819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(1412), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4548), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [62857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4548), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [62875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [62893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(824), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [62907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2211), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [62921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4554), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [62935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4556), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4560), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [62967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    STATE(1420), 1,
      sym_parameter_list,
    STATE(1472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2231), 1,
      sym_string_literal,
    ACTIONS(105), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4566), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4374), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [63047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4568), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4570), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4574), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4560), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    STATE(2082), 1,
      sym_gnu_asm_expression,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4576), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [63107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4542), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4580), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4582), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    STATE(1741), 1,
      sym_parameter_list,
    ACTIONS(4584), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4588), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [63181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym___asm,
    STATE(2141), 1,
      sym_gnu_asm_expression,
    ACTIONS(4409), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4592), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [63235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4596), 1,
      anon_sym___attribute,
    STATE(1823), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4594), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4598), 1,
      anon_sym_SEMI,
    STATE(1815), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2384), 1,
      sym_extension_behavior,
    ACTIONS(4600), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [63282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4602), 1,
      anon_sym_SEMI,
    STATE(1803), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2246), 1,
      sym_extension_behavior,
    ACTIONS(4600), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [63312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4604), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym___asm,
    ACTIONS(4606), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [63342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4610), 1,
      anon_sym_SEMI,
    STATE(1814), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4612), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2312), 1,
      sym_extension_behavior,
    ACTIONS(4600), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [63389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4614), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2358), 1,
      sym_extension_behavior,
    ACTIONS(4600), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [63436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4618), 1,
      anon_sym_SEMI,
    STATE(1818), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(4620), 1,
      sym_identifier,
    STATE(939), 1,
      sym_field_declaration_list,
    STATE(2015), 1,
      sym_ms_declspec_modifier,
  [63472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_COMMA,
    ACTIONS(4627), 1,
      anon_sym___attribute,
    STATE(1813), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4625), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4629), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4631), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4633), 1,
      aux_sym_preproc_if_token2,
    STATE(1766), 1,
      sym_enumerator,
    STATE(1863), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1865), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [63542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    ACTIONS(4637), 1,
      anon_sym_COLON_COLON,
    STATE(2097), 1,
      sym_argument_list,
    ACTIONS(4635), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [63559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4639), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4641), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [63587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_COMMA,
    ACTIONS(4645), 1,
      anon_sym___attribute,
    STATE(1813), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4643), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4647), 1,
      anon_sym_SEMI,
    STATE(1806), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4651), 1,
      anon_sym___attribute,
    STATE(1823), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4649), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_COMMA,
    ACTIONS(4658), 1,
      anon_sym___attribute,
    STATE(1823), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4656), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym___declspec,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(4660), 1,
      sym_identifier,
    STATE(936), 1,
      sym_field_declaration_list,
    STATE(2006), 1,
      sym_ms_declspec_modifier,
  [63674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4662), 1,
      anon_sym_SEMI,
    STATE(1828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4664), 1,
      anon_sym_SEMI,
    STATE(1808), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4666), 1,
      anon_sym_SEMI,
    STATE(1809), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4668), 1,
      anon_sym_SEMI,
    STATE(1601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [63742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4672), 1,
      anon_sym___attribute,
    STATE(1822), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4670), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym___except,
    ACTIONS(4676), 1,
      anon_sym___finally,
    STATE(318), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [63773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4681), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4685), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4099), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [63815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4687), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [63829] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4689), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4691), 1,
      anon_sym_LPAREN,
    ACTIONS(4693), 1,
      sym_preproc_arg,
    STATE(2064), 1,
      sym_preproc_params,
  [63845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [63859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4695), 1,
      anon_sym_SEMI,
    STATE(2210), 1,
      sym_attribute_specifier,
  [63875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4697), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [63889] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_LPAREN,
    ACTIONS(4699), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4701), 1,
      sym_preproc_arg,
    STATE(2072), 1,
      sym_preproc_params,
  [63905] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_LPAREN,
    ACTIONS(4703), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4705), 1,
      sym_preproc_arg,
    STATE(2073), 1,
      sym_preproc_params,
  [63921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4709), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63935] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4711), 1,
      anon_sym_DQUOTE,
    ACTIONS(4713), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4715), 1,
      sym_escape_sequence,
    STATE(1853), 1,
      aux_sym_string_literal_repeat1,
  [63951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4717), 1,
      anon_sym_SEMI,
    STATE(2168), 1,
      sym_attribute_specifier,
  [63967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4719), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym___except,
    ACTIONS(4723), 1,
      anon_sym___finally,
    STATE(208), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [63995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    ACTIONS(4725), 1,
      anon_sym_RPAREN,
    STATE(1741), 1,
      sym_parameter_list,
  [64011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [64025] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4727), 1,
      anon_sym_DQUOTE,
    ACTIONS(4729), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4731), 1,
      sym_escape_sequence,
    STATE(1861), 1,
      aux_sym_string_literal_repeat1,
  [64041] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_LPAREN,
    ACTIONS(4733), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4735), 1,
      sym_preproc_arg,
    STATE(2080), 1,
      sym_preproc_params,
  [64057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4740), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym___except,
    ACTIONS(4744), 1,
      anon_sym___finally,
    STATE(208), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [64085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4746), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      sym_attribute_specifier,
  [64101] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_DQUOTE,
    ACTIONS(4750), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4753), 1,
      sym_escape_sequence,
    STATE(1853), 1,
      aux_sym_string_literal_repeat1,
  [64117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_LPAREN2,
    ACTIONS(4307), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      anon_sym_RPAREN,
    STATE(1741), 1,
      sym_parameter_list,
  [64133] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_LPAREN,
    ACTIONS(4758), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4760), 1,
      sym_preproc_arg,
    STATE(2120), 1,
      sym_preproc_params,
  [64149] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_LPAREN,
    ACTIONS(4762), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4764), 1,
      sym_preproc_arg,
    STATE(2142), 1,
      sym_preproc_params,
  [64165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_COMMA,
    STATE(1880), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4768), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 1,
      sym_identifier,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(4774), 1,
      anon_sym_RPAREN,
    STATE(2059), 1,
      aux_sym_function_definition_repeat1,
  [64195] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4780), 1,
      sym_escape_sequence,
    STATE(1842), 1,
      aux_sym_string_literal_repeat1,
  [64211] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_SQUOTE,
    STATE(1879), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4784), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [64225] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4713), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4715), 1,
      sym_escape_sequence,
    ACTIONS(4786), 1,
      anon_sym_DQUOTE,
    STATE(1853), 1,
      aux_sym_string_literal_repeat1,
  [64241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_COMMA,
    STATE(1862), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4791), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4793), 1,
      aux_sym_preproc_if_token2,
    STATE(1693), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
  [64271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 1,
      anon_sym___except,
    ACTIONS(4797), 1,
      anon_sym___finally,
    STATE(272), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [64285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4799), 1,
      aux_sym_preproc_if_token2,
    STATE(1702), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [64299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    STATE(2143), 1,
      sym_argument_list,
    ACTIONS(4801), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [64313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4107), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [64327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4803), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [64341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym_identifier,
    ACTIONS(4633), 1,
      aux_sym_preproc_if_token2,
    STATE(1863), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2294), 1,
      sym_enumerator,
  [64357] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_DQUOTE,
    ACTIONS(4807), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4809), 1,
      sym_escape_sequence,
    STATE(1875), 1,
      aux_sym_string_literal_repeat1,
  [64373] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4813), 1,
      sym_preproc_arg,
    STATE(2063), 1,
      sym_preproc_params,
  [64389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym_identifier,
    ACTIONS(4815), 1,
      aux_sym_preproc_if_token2,
    STATE(1865), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [64403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(4817), 1,
      sym_identifier,
    ACTIONS(4819), 1,
      anon_sym_RPAREN,
    STATE(1973), 1,
      aux_sym_function_definition_repeat1,
  [64419] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4821), 1,
      anon_sym_SQUOTE,
    STATE(1879), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4784), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [64433] = 5,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4713), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4715), 1,
      sym_escape_sequence,
    ACTIONS(4823), 1,
      anon_sym_DQUOTE,
    STATE(1853), 1,
      aux_sym_string_literal_repeat1,
  [64449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4825), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [64463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4827), 1,
      anon_sym_SEMI,
    STATE(2286), 1,
      sym_attribute_specifier,
  [64479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4829), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [64493] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_SQUOTE,
    STATE(1879), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4833), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [64507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_COMMA,
    STATE(1862), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4836), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 1,
      anon_sym_COMMA,
    STATE(1832), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4838), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4840), 1,
      anon_sym_SEMI,
    STATE(2238), 1,
      sym_attribute_specifier,
  [64551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym___except,
    ACTIONS(4844), 1,
      anon_sym___finally,
    STATE(87), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [64565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym___attribute,
    ACTIONS(4846), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [64577] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_SQUOTE,
    STATE(1879), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4784), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [64591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_SEMI,
    ACTIONS(4070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [64605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(4852), 1,
      sym_identifier,
    ACTIONS(4854), 1,
      anon_sym_RPAREN,
    STATE(2050), 1,
      aux_sym_function_definition_repeat1,
  [64621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      sym_identifier,
    ACTIONS(4858), 1,
      anon_sym_RPAREN,
    STATE(2055), 1,
      aux_sym_function_definition_repeat1,
  [64637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute,
    ACTIONS(3754), 1,
      anon_sym___attribute__,
    ACTIONS(4860), 1,
      anon_sym_SEMI,
    STATE(2196), 1,
      sym_attribute_specifier,
  [64653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_RPAREN,
    ACTIONS(4864), 1,
      anon_sym_COLON,
    STATE(2247), 1,
      sym_gnu_asm_goto_list,
  [64666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4866), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [64688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4870), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4872), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 1,
      sym_identifier,
    ACTIONS(4876), 1,
      anon_sym_shared,
    STATE(1924), 1,
      sym_qualifier,
  [64727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_EQ,
    ACTIONS(4333), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4882), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_RPAREN,
    ACTIONS(4884), 1,
      anon_sym_COMMA,
    STATE(1899), 1,
      aux_sym_argument_list_repeat1,
  [64777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4887), 1,
      anon_sym_SEMI,
    STATE(2043), 1,
      aux_sym_declaration_repeat2,
  [64790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4889), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4891), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4893), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(4895), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [64842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_COMMA,
    ACTIONS(4900), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [64855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_COMMA,
    ACTIONS(4904), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2012), 1,
      aux_sym_attribute_declaration_repeat1,
  [64868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    ACTIONS(4906), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_preproc_argument_list_repeat1,
  [64881] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4909), 1,
      sym_identifier,
    ACTIONS(4911), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4913), 1,
      sym_preproc_arg,
  [64894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4915), 1,
      anon_sym_SEMI,
    STATE(1926), 1,
      aux_sym_declaration_repeat2,
  [64907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    ACTIONS(4917), 1,
      anon_sym_RPAREN,
    STATE(1899), 1,
      aux_sym_argument_list_repeat1,
  [64920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4919), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4921), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_COMMA,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    STATE(1913), 1,
      aux_sym_preproc_params_repeat1,
  [64959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    ACTIONS(3467), 1,
      anon_sym_RPAREN,
    STATE(1910), 1,
      aux_sym_argument_list_repeat1,
  [64972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4928), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [64985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4930), 1,
      anon_sym_SEMI,
    STATE(1903), 1,
      aux_sym_declaration_repeat2,
  [64998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4932), 1,
      anon_sym_SEMI,
    STATE(2024), 1,
      aux_sym_declaration_repeat2,
  [65011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4934), 1,
      anon_sym_SEMI,
    STATE(2037), 1,
      aux_sym_declaration_repeat2,
  [65024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_enumerator_list,
  [65037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4938), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4940), 1,
      anon_sym_SEMI,
    STATE(2019), 1,
      aux_sym_declaration_repeat2,
  [65063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4942), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_COMMA,
    ACTIONS(4948), 1,
      anon_sym_RPAREN,
    STATE(1985), 1,
      aux_sym_layout_qualifiers_repeat1,
  [65102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_COMMA,
    ACTIONS(4950), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2012), 1,
      aux_sym_attribute_declaration_repeat1,
  [65115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4952), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4954), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_COMMA,
    ACTIONS(4959), 1,
      anon_sym_RPAREN,
    STATE(1928), 1,
      aux_sym_generic_expression_repeat1,
  [65154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_COMMA,
    ACTIONS(4964), 1,
      anon_sym_RPAREN,
    STATE(1929), 1,
      aux_sym_parameter_list_repeat1,
  [65167] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4966), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4968), 1,
      anon_sym_LPAREN2,
    STATE(2361), 1,
      sym_preproc_argument_list,
  [65180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      anon_sym_COLON,
    STATE(2039), 1,
      sym_gnu_asm_input_operand_list,
  [65193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    STATE(1899), 1,
      aux_sym_argument_list_repeat1,
  [65206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4980), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4982), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      aux_sym_preproc_argument_list_repeat1,
  [65263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4986), 1,
      anon_sym_SEMI,
    STATE(2010), 1,
      aux_sym_declaration_repeat2,
  [65276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_COMMA,
    ACTIONS(4988), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1906), 1,
      aux_sym_attribute_declaration_repeat1,
  [65289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4990), 1,
      anon_sym_SEMI,
    STATE(1912), 1,
      aux_sym_declaration_repeat2,
  [65302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4992), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(4994), 1,
      anon_sym_SEMI,
    STATE(1966), 1,
      aux_sym_declaration_repeat2,
  [65328] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    STATE(1885), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4996), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [65339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [65348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 1,
      anon_sym_RBRACE,
    ACTIONS(5000), 1,
      anon_sym_COMMA,
    STATE(1965), 1,
      aux_sym_initializer_list_repeat1,
  [65361] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym_identifier,
    ACTIONS(5004), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5006), 1,
      sym_preproc_arg,
  [65374] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_LPAREN2,
    ACTIONS(5008), 1,
      aux_sym_preproc_include_token2,
    STATE(2361), 1,
      sym_preproc_argument_list,
  [65387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 1,
      anon_sym_COMMA,
    ACTIONS(5012), 1,
      anon_sym_RPAREN,
    STATE(1929), 1,
      aux_sym_parameter_list_repeat1,
  [65400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5014), 1,
      anon_sym_SEMI,
    STATE(1935), 1,
      aux_sym_declaration_repeat2,
  [65413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 1,
      sym_identifier,
    ACTIONS(4876), 1,
      anon_sym_shared,
    STATE(2005), 1,
      sym_qualifier,
  [65426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_COMMA,
    ACTIONS(5016), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1925), 1,
      aux_sym_attribute_declaration_repeat1,
  [65439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5018), 1,
      anon_sym_COMMA,
    ACTIONS(5020), 1,
      anon_sym_RPAREN,
    STATE(1968), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [65452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5022), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 1,
      anon_sym_COMMA,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    STATE(1948), 1,
      aux_sym_parameter_list_repeat1,
  [65478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_COLON,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    STATE(2186), 1,
      sym_gnu_asm_goto_list,
  [65491] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_LPAREN2,
    ACTIONS(5028), 1,
      aux_sym_preproc_include_token2,
    STATE(2361), 1,
      sym_preproc_argument_list,
  [65504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    STATE(1904), 1,
      aux_sym_function_definition_repeat1,
  [65517] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    STATE(1874), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(5032), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [65528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5036), 1,
      anon_sym_SEMI,
    STATE(1984), 1,
      aux_sym_declaration_repeat2,
  [65550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5038), 1,
      anon_sym_SEMI,
    STATE(2030), 1,
      aux_sym_declaration_repeat2,
  [65563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5040), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5042), 1,
      anon_sym_COMMA,
    ACTIONS(5044), 1,
      anon_sym_RPAREN,
    STATE(1913), 1,
      aux_sym_preproc_params_repeat1,
  [65589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    ACTIONS(3471), 1,
      anon_sym_RBRACE,
    STATE(1945), 1,
      aux_sym_initializer_list_repeat1,
  [65602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 1,
      anon_sym_RBRACE,
    ACTIONS(5046), 1,
      anon_sym_COMMA,
    STATE(1965), 1,
      aux_sym_initializer_list_repeat1,
  [65615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5049), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(5051), 1,
      sym_identifier,
    STATE(939), 1,
      sym_field_declaration_list,
  [65641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 1,
      anon_sym_COMMA,
    ACTIONS(5056), 1,
      anon_sym_RPAREN,
    STATE(1968), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [65654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5058), 1,
      anon_sym_SEMI,
    STATE(1999), 1,
      aux_sym_declaration_repeat2,
  [65667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_COLON,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      sym_gnu_asm_input_operand_list,
  [65680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5062), 1,
      anon_sym_SEMI,
    STATE(1922), 1,
      aux_sym_declaration_repeat2,
  [65693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5064), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [65719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5066), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5068), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5070), 1,
      anon_sym_SEMI,
    STATE(1994), 1,
      aux_sym_declaration_repeat2,
  [65754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5072), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 1,
      anon_sym_COLON,
    STATE(1931), 1,
      sym_gnu_asm_output_operand_list,
  [65776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5078), 1,
      anon_sym_SEMI,
    STATE(1997), 1,
      aux_sym_declaration_repeat2,
  [65789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_EQ,
    ACTIONS(5080), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65800] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5084), 1,
      sym_identifier,
    ACTIONS(5086), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5088), 1,
      sym_preproc_arg,
  [65813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5090), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    ACTIONS(5092), 1,
      anon_sym_RPAREN,
    STATE(1928), 1,
      aux_sym_generic_expression_repeat1,
  [65839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5094), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_COMMA,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      aux_sym_layout_qualifiers_repeat1,
  [65865] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5098), 1,
      sym_identifier,
    ACTIONS(5100), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5102), 1,
      sym_preproc_arg,
  [65878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_COMMA,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      aux_sym_layout_qualifiers_repeat1,
  [65891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5106), 1,
      anon_sym_SEMI,
    STATE(1898), 1,
      aux_sym_declaration_repeat2,
  [65904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(5108), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_enumerator_list,
  [65917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5110), 1,
      anon_sym_SEMI,
    STATE(2009), 1,
      aux_sym_declaration_repeat2,
  [65930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5114), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5116), 1,
      anon_sym_SEMI,
    STATE(2029), 1,
      aux_sym_declaration_repeat2,
  [65965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5118), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [65978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5042), 1,
      anon_sym_COMMA,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    STATE(1963), 1,
      aux_sym_preproc_params_repeat1,
  [66000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5124), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5126), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5128), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66039] = 4,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_LPAREN2,
    ACTIONS(5130), 1,
      aux_sym_preproc_include_token2,
    STATE(2361), 1,
      sym_preproc_argument_list,
  [66052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5132), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      aux_sym_declaration_repeat2,
  [66065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 1,
      sym_identifier,
    ACTIONS(4876), 1,
      anon_sym_shared,
    STATE(2074), 1,
      sym_qualifier,
  [66078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5134), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5136), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      aux_sym_declaration_repeat2,
  [66104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_COMMA,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
    STATE(1987), 1,
      aux_sym_layout_qualifiers_repeat1,
  [66117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(5140), 1,
      sym_identifier,
    STATE(941), 1,
      sym_field_declaration_list,
  [66130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5142), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_COMMA,
    ACTIONS(5144), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2034), 1,
      aux_sym_attribute_declaration_repeat1,
  [66156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5146), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5148), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5150), 1,
      anon_sym_SEMI,
    STATE(2047), 1,
      aux_sym_declaration_repeat2,
  [66195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5152), 1,
      anon_sym_COMMA,
    ACTIONS(5155), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2012), 1,
      aux_sym_attribute_declaration_repeat1,
  [66208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_RPAREN,
    ACTIONS(5159), 1,
      anon_sym_COLON,
    STATE(1890), 1,
      sym_gnu_asm_clobber_list,
  [66221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5161), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LBRACE,
    ACTIONS(5163), 1,
      sym_identifier,
    STATE(935), 1,
      sym_field_declaration_list,
  [66247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(5165), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      aux_sym_preproc_argument_list_repeat1,
  [66260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 1,
      anon_sym_COLON,
    ACTIONS(5167), 1,
      anon_sym_RPAREN,
    STATE(1970), 1,
      sym_gnu_asm_output_operand_list,
  [66273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5169), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [66286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5171), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_COMMA,
    ACTIONS(3465), 1,
      anon_sym_RPAREN,
    STATE(1932), 1,
      aux_sym_argument_list_repeat1,
  [66312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5173), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      sym_identifier,
    STATE(1043), 1,
      sym_enumerator_list,
  [66338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5177), 1,
      anon_sym_SEMI,
    STATE(1941), 1,
      aux_sym_declaration_repeat2,
  [66351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5179), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5181), 1,
      anon_sym_SEMI,
    STATE(1896), 1,
      aux_sym_declaration_repeat2,
  [66377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5183), 1,
      anon_sym_SEMI,
    STATE(1915), 1,
      aux_sym_declaration_repeat2,
  [66390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5185), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_COMMA,
    ACTIONS(5190), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 1,
      anon_sym_COMMA,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      aux_sym_layout_qualifiers_repeat1,
  [66455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(5201), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      aux_sym_preproc_argument_list_repeat1,
  [66468] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    STATE(1860), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(5203), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_COMMA,
    ACTIONS(5205), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2012), 1,
      aux_sym_attribute_declaration_repeat1,
  [66492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5207), 1,
      anon_sym_SEMI,
    STATE(1902), 1,
      aux_sym_declaration_repeat2,
  [66505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5209), 1,
      anon_sym_SEMI,
    STATE(1893), 1,
      aux_sym_declaration_repeat2,
  [66518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5211), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5213), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_COLON,
    ACTIONS(5215), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_gnu_asm_clobber_list,
  [66557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5018), 1,
      anon_sym_COMMA,
    ACTIONS(5217), 1,
      anon_sym_RPAREN,
    STATE(1952), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [66570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5219), 1,
      anon_sym_SEMI,
    STATE(2042), 1,
      aux_sym_declaration_repeat2,
  [66583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5221), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5223), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_RPAREN,
    ACTIONS(5225), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [66620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 1,
      anon_sym_SEMI,
    STATE(1953), 1,
      aux_sym_declaration_repeat2,
  [66633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5231), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5233), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [66668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5235), 1,
      anon_sym_RPAREN,
    STATE(2051), 1,
      aux_sym_function_definition_repeat1,
  [66681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5235), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [66694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5237), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [66707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5239), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [66716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5241), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5243), 1,
      anon_sym_RPAREN,
    STATE(2056), 1,
      aux_sym_function_definition_repeat1,
  [66742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5243), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [66755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5245), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [66768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5247), 1,
      anon_sym_SEMI,
    STATE(1894), 1,
      aux_sym_declaration_repeat2,
  [66781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5249), 1,
      anon_sym_RPAREN,
    STATE(2018), 1,
      aux_sym_function_definition_repeat1,
  [66794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_COMMA,
    ACTIONS(5249), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_function_definition_repeat1,
  [66807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    ACTIONS(5251), 1,
      anon_sym_SEMI,
    STATE(2028), 1,
      aux_sym_declaration_repeat2,
  [66820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(1864), 1,
      sym_compound_statement,
  [66830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      sym_identifier,
    ACTIONS(5255), 1,
      anon_sym_RPAREN,
  [66840] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5257), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5259), 1,
      sym_preproc_arg,
  [66850] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5261), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5263), 1,
      sym_preproc_arg,
  [66860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    STATE(2159), 1,
      sym_argument_list,
  [66870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2129), 1,
      sym_parenthesized_expression,
  [66880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_compound_statement,
  [66898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [66906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    STATE(283), 1,
      sym_compound_statement,
  [66916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_compound_statement,
  [66926] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5267), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5269), 1,
      sym_preproc_arg,
  [66936] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5271), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5273), 1,
      sym_preproc_arg,
  [66946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 1,
      sym_identifier,
    STATE(1939), 1,
      sym_attribute,
  [66964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(482), 1,
      sym_parenthesized_expression,
  [66974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2130), 1,
      sym_parenthesized_expression,
  [66984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(483), 1,
      sym_parenthesized_expression,
  [66994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(1851), 1,
      sym_compound_statement,
  [67004] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5279), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5281), 1,
      sym_preproc_arg,
  [67014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(1830), 1,
      sym_compound_statement,
  [67024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [67032] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5086), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5088), 1,
      sym_preproc_arg,
  [67042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 1,
      sym_identifier,
    STATE(1951), 1,
      sym_attribute,
  [67060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(491), 1,
      sym_parenthesized_expression,
  [67070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(186), 1,
      sym_compound_statement,
  [67080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_RBRACE,
    ACTIONS(5283), 1,
      anon_sym_COMMA,
  [67090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(497), 1,
      sym_parenthesized_expression,
  [67108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67116] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5285), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5287), 1,
      sym_preproc_arg,
  [67126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2404), 1,
      sym_parenthesized_expression,
  [67136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2071), 1,
      sym_parenthesized_expression,
  [67146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 1,
      anon_sym_LPAREN2,
    STATE(852), 1,
      sym_layout_qualifiers,
  [67156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_compound_statement,
  [67166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [67174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 1,
      sym_identifier,
    STATE(2118), 1,
      sym_attribute,
  [67192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      sym_identifier,
    ACTIONS(5295), 1,
      anon_sym_LPAREN2,
  [67202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LPAREN2,
    STATE(2335), 1,
      sym_argument_list,
  [67212] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5297), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5299), 1,
      sym_preproc_arg,
  [67222] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5301), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5303), 1,
      sym_preproc_arg,
  [67232] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5305), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5307), 1,
      sym_preproc_arg,
  [67242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(510), 1,
      sym_parenthesized_expression,
  [67252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(479), 1,
      sym_parenthesized_expression,
  [67262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2146), 1,
      sym_parenthesized_expression,
  [67272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(480), 1,
      sym_parenthesized_expression,
  [67282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(1883), 1,
      sym_compound_statement,
  [67292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [67308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2163), 1,
      sym_parenthesized_expression,
  [67318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [67326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2096), 1,
      sym_parenthesized_expression,
  [67336] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5313), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5315), 1,
      sym_preproc_arg,
  [67346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2117), 1,
      sym_parenthesized_expression,
  [67356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_compound_statement,
  [67366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [67374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2376), 1,
      sym_parenthesized_expression,
  [67384] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5317), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5319), 1,
      sym_preproc_arg,
  [67394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2145), 1,
      sym_parenthesized_expression,
  [67404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [67412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 1,
      sym_identifier,
    ACTIONS(5323), 1,
      anon_sym_LPAREN2,
  [67422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(477), 1,
      sym_parenthesized_expression,
  [67432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2144), 1,
      sym_parenthesized_expression,
  [67442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_compound_statement,
  [67452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2070), 1,
      sym_parenthesized_expression,
  [67462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(507), 1,
      sym_parenthesized_expression,
  [67472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_compound_statement,
  [67482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    STATE(265), 1,
      sym_compound_statement,
  [67492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [67500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_COMMA,
    ACTIONS(5325), 1,
      anon_sym_RBRACE,
  [67510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(1845), 1,
      sym_compound_statement,
  [67520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_LPAREN2,
    STATE(652), 1,
      sym_layout_qualifiers,
  [67530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5329), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67538] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5331), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5333), 1,
      sym_preproc_arg,
  [67548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_compound_statement,
  [67558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym_compound_statement,
  [67568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
    STATE(484), 1,
      sym_parenthesized_expression,
  [67578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LPAREN2,
    STATE(2408), 1,
      sym_parenthesized_expression,
  [67588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [67596] = 3,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5337), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5339), 1,
      sym_preproc_arg,
  [67606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [67614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_compound_statement,
  [67624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym_compound_statement,
  [67634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      anon_sym_LBRACE,
    STATE(128), 1,
      sym_compound_statement,
  [67644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3545), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [67652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 1,
      sym_identifier,
    STATE(2008), 1,
      sym_attribute,
  [67662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      anon_sym_RPAREN,
  [67669] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5345), 1,
      aux_sym_preproc_include_token2,
  [67676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 1,
      aux_sym_preproc_if_token2,
  [67683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_RPAREN,
  [67690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_RBRACE,
  [67697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym_identifier,
  [67704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      anon_sym_SEMI,
  [67711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_RPAREN,
  [67718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 1,
      aux_sym_preproc_if_token2,
  [67725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5359), 1,
      sym_primitive_type,
  [67732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_RPAREN,
  [67739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      aux_sym_preproc_if_token2,
  [67746] = 2,
    ACTIONS(3435), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3722), 1,
      sym_comment,
  [67753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      sym_identifier,
  [67760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5367), 1,
      anon_sym_SEMI,
  [67767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5369), 1,
      sym_identifier,
  [67774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5371), 1,
      anon_sym_SEMI,
  [67781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5373), 1,
      aux_sym_preproc_if_token2,
  [67788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      aux_sym_preproc_if_token2,
  [67795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_SEMI,
  [67802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5379), 1,
      aux_sym_preproc_if_token2,
  [67809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5381), 1,
      sym_identifier,
  [67816] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5383), 1,
      aux_sym_preproc_include_token2,
  [67823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_SEMI,
  [67830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      anon_sym_RPAREN,
  [67837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      anon_sym_RPAREN,
  [67844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_RPAREN,
  [67851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5389), 1,
      sym_primitive_type,
  [67858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5391), 1,
      anon_sym_SEMI,
  [67865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5393), 1,
      aux_sym_preproc_if_token2,
  [67872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 1,
      aux_sym_preproc_if_token2,
  [67879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_COLON,
  [67886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      aux_sym_preproc_if_token2,
  [67893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_COLON,
  [67900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5401), 1,
      anon_sym_RPAREN,
  [67907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      sym_identifier,
  [67914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 1,
      aux_sym_preproc_if_token2,
  [67921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_RPAREN,
  [67928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      aux_sym_preproc_if_token2,
  [67935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 1,
      anon_sym_RPAREN,
  [67942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_RBRACE,
  [67949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_COMMA,
  [67956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_SEMI,
  [67963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
  [67970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      aux_sym_preproc_if_token2,
  [67977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5419), 1,
      anon_sym_LPAREN2,
  [67984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 1,
      anon_sym_RBRACE,
  [67991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5423), 1,
      anon_sym_SEMI,
  [67998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 1,
      anon_sym_SEMI,
  [68005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 1,
      anon_sym_RPAREN,
  [68012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_RBRACE,
  [68019] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(4966), 1,
      aux_sym_preproc_include_token2,
  [68026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 1,
      aux_sym_preproc_if_token2,
  [68033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5433), 1,
      aux_sym_preproc_if_token2,
  [68040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      sym_identifier,
  [68047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5437), 1,
      sym_identifier,
  [68054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_RPAREN,
  [68061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      sym_identifier,
  [68068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 1,
      aux_sym_preproc_if_token2,
  [68075] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5008), 1,
      aux_sym_preproc_include_token2,
  [68082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5443), 1,
      aux_sym_preproc_if_token2,
  [68089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 1,
      anon_sym_SEMI,
  [68096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym_LPAREN2,
  [68103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_COMMA,
  [68110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5449), 1,
      sym_identifier,
  [68117] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5451), 1,
      aux_sym_preproc_include_token2,
  [68124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_identifier,
  [68131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 1,
      anon_sym_SEMI,
  [68138] = 2,
    ACTIONS(2316), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3722), 1,
      sym_comment,
  [68145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5457), 1,
      aux_sym_preproc_if_token2,
  [68152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_COLON,
  [68159] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5459), 1,
      aux_sym_preproc_include_token2,
  [68166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_RBRACE,
  [68173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5461), 1,
      anon_sym_STAR,
  [68180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_COLON,
  [68187] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5463), 1,
      aux_sym_preproc_include_token2,
  [68194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_RPAREN,
  [68201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5465), 1,
      sym_identifier,
  [68208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5467), 1,
      sym_identifier,
  [68215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5469), 1,
      anon_sym_COLON,
  [68222] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5471), 1,
      aux_sym_preproc_include_token2,
  [68229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym_identifier,
  [68236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_LPAREN2,
  [68243] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5477), 1,
      aux_sym_preproc_include_token2,
  [68250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 1,
      aux_sym_preproc_if_token2,
  [68257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_RPAREN,
  [68264] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5483), 1,
      aux_sym_preproc_include_token2,
  [68271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 1,
      sym_identifier,
  [68278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5487), 1,
      anon_sym_RPAREN,
  [68285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 1,
      anon_sym_SEMI,
  [68292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 1,
      aux_sym_preproc_if_token2,
  [68299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 1,
      anon_sym_SEMI,
  [68306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5495), 1,
      anon_sym_SEMI,
  [68313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 1,
      aux_sym_preproc_if_token2,
  [68320] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5499), 1,
      aux_sym_preproc_include_token2,
  [68327] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5501), 1,
      aux_sym_preproc_include_token2,
  [68334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5503), 1,
      sym_identifier,
  [68341] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5505), 1,
      aux_sym_preproc_include_token2,
  [68348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 1,
      anon_sym_RPAREN,
  [68355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 1,
      anon_sym_SEMI,
  [68362] = 2,
    ACTIONS(3443), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3722), 1,
      sym_comment,
  [68369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 1,
      aux_sym_preproc_if_token2,
  [68376] = 2,
    ACTIONS(2320), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3722), 1,
      sym_comment,
  [68383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      aux_sym_preproc_extension_token1,
  [68390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 1,
      anon_sym_COLON,
  [68397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      sym_identifier,
  [68404] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5517), 1,
      aux_sym_preproc_include_token2,
  [68411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 1,
      anon_sym_RPAREN,
  [68418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 1,
      sym_identifier,
  [68425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 1,
      anon_sym_SEMI,
  [68432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 1,
      anon_sym_SEMI,
  [68439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_RPAREN,
  [68446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
  [68453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      sym_identifier,
  [68460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 1,
      aux_sym_preproc_if_token2,
  [68467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 1,
      aux_sym_preproc_if_token2,
  [68474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 1,
      aux_sym_preproc_if_token2,
  [68481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_RPAREN,
  [68488] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5028), 1,
      aux_sym_preproc_include_token2,
  [68495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_COLON,
  [68502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 1,
      sym_identifier,
  [68509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 1,
      anon_sym_RBRACE,
  [68516] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5539), 1,
      aux_sym_preproc_include_token2,
  [68523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5541), 1,
      anon_sym_RPAREN,
  [68530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 1,
      anon_sym_STAR,
  [68537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_SEMI,
  [68544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 1,
      anon_sym_LPAREN2,
  [68551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3531), 1,
      anon_sym_SEMI,
  [68558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym_SEMI,
  [68565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 1,
      sym_identifier,
  [68572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym_identifier,
  [68579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_SEMI,
  [68586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_SEMI,
  [68593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_RBRACE,
  [68600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 1,
      anon_sym_LPAREN2,
  [68607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 1,
      anon_sym_RPAREN,
  [68614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5559), 1,
      sym_identifier,
  [68621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 1,
      anon_sym_SEMI,
  [68628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym_COLON,
  [68635] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5565), 1,
      aux_sym_preproc_include_token2,
  [68642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5567), 1,
      sym_identifier,
  [68649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 1,
      sym_identifier,
  [68656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 1,
      sym_identifier,
  [68663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_SEMI,
  [68670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 1,
      aux_sym_preproc_if_token2,
  [68677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_COMMA,
  [68684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_SEMI,
  [68691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 1,
      anon_sym_SEMI,
  [68698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      aux_sym_preproc_if_token2,
  [68705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      anon_sym_RBRACE,
  [68712] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5583), 1,
      aux_sym_preproc_include_token2,
  [68719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 1,
      sym_identifier,
  [68726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      anon_sym_RPAREN,
  [68733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 1,
      aux_sym_preproc_if_token2,
  [68740] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5591), 1,
      aux_sym_preproc_include_token2,
  [68747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 1,
      anon_sym_RPAREN,
  [68754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 1,
      anon_sym_SEMI,
  [68761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 1,
      aux_sym_preproc_if_token2,
  [68768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      aux_sym_preproc_if_token2,
  [68775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 1,
      sym_identifier,
  [68782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 1,
      anon_sym_LPAREN2,
  [68789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 1,
      aux_sym_preproc_if_token2,
  [68796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5607), 1,
      aux_sym_preproc_if_token2,
  [68803] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5609), 1,
      aux_sym_preproc_include_token2,
  [68810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5611), 1,
      sym_identifier,
  [68817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SEMI,
  [68824] = 2,
    ACTIONS(3431), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3722), 1,
      sym_comment,
  [68831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 1,
      anon_sym_RPAREN,
  [68838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      sym_identifier,
  [68845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      sym_identifier,
  [68852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5619), 1,
      aux_sym_preproc_if_token2,
  [68859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 1,
      sym_identifier,
  [68866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      aux_sym_preproc_if_token2,
  [68873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 1,
      anon_sym_LPAREN2,
  [68880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5627), 1,
      anon_sym_COLON,
  [68887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 1,
      aux_sym_preproc_if_token2,
  [68894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5631), 1,
      sym_identifier,
  [68901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      sym_identifier,
  [68908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5635), 1,
      anon_sym_LPAREN2,
  [68915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_RPAREN,
  [68922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5637), 1,
      anon_sym_LPAREN2,
  [68929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3487), 1,
      anon_sym_COLON,
  [68936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5639), 1,
      anon_sym_RPAREN,
  [68943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5641), 1,
      aux_sym_preproc_if_token2,
  [68950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5643), 1,
      anon_sym_LPAREN2,
  [68957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5645), 1,
      anon_sym_LPAREN2,
  [68964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 1,
      anon_sym_STAR,
  [68971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5649), 1,
      anon_sym_SEMI,
  [68978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 1,
      anon_sym_SEMI,
  [68985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      aux_sym_preproc_if_token2,
  [68992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 1,
      aux_sym_preproc_extension_token1,
  [68999] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5657), 1,
      aux_sym_preproc_include_token2,
  [69006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5659), 1,
      anon_sym_RPAREN,
  [69013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_SEMI,
  [69020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      sym_identifier,
  [69027] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5663), 1,
      aux_sym_preproc_include_token2,
  [69034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_RBRACE,
  [69041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_SEMI,
  [69048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_while,
  [69055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 1,
      aux_sym_preproc_if_token2,
  [69062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5669), 1,
      anon_sym_SEMI,
  [69069] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5671), 1,
      aux_sym_preproc_include_token2,
  [69076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 1,
      anon_sym_STAR,
  [69083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 1,
      aux_sym_preproc_if_token2,
  [69090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 1,
      anon_sym_RPAREN,
  [69097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 1,
      ts_builtin_sym_end,
  [69104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 1,
      anon_sym_while,
  [69111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_COLON,
  [69118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 1,
      anon_sym_SEMI,
  [69125] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5685), 1,
      aux_sym_preproc_include_token2,
  [69132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 1,
      aux_sym_preproc_if_token2,
  [69139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
  [69146] = 2,
    ACTIONS(3439), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3722), 1,
      sym_comment,
  [69153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_RPAREN,
  [69160] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5130), 1,
      aux_sym_preproc_include_token2,
  [69167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_RPAREN,
  [69174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_LPAREN2,
  [69181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 1,
      anon_sym_SEMI,
  [69188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_STAR,
  [69195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5695), 1,
      aux_sym_preproc_extension_token1,
  [69202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 1,
      anon_sym_SEMI,
  [69209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 1,
      anon_sym_RBRACK,
  [69216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_while,
  [69223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 1,
      anon_sym_RBRACK,
  [69230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5705), 1,
      aux_sym_preproc_if_token2,
  [69237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 1,
      aux_sym_preproc_if_token2,
  [69244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5709), 1,
      sym_identifier,
  [69251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 1,
      anon_sym_SEMI,
  [69258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 1,
      anon_sym_LPAREN2,
  [69265] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5715), 1,
      aux_sym_preproc_include_token2,
  [69272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 1,
      anon_sym_RPAREN,
  [69279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 1,
      anon_sym_SEMI,
  [69286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 1,
      aux_sym_preproc_if_token2,
  [69293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_SEMI,
  [69300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 1,
      aux_sym_preproc_if_token2,
  [69307] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5725), 1,
      aux_sym_preproc_include_token2,
  [69314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 1,
      aux_sym_preproc_extension_token1,
  [69321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_SEMI,
  [69328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_RPAREN,
  [69335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_while,
  [69342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 1,
      sym_identifier,
  [69349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 1,
      anon_sym_SEMI,
  [69356] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5737), 1,
      aux_sym_preproc_include_token2,
  [69363] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5739), 1,
      aux_sym_preproc_include_token2,
  [69370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 1,
      aux_sym_preproc_if_token2,
  [69377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      anon_sym_COLON,
  [69384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 1,
      aux_sym_preproc_if_token2,
  [69391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_SEMI,
  [69398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 1,
      aux_sym_preproc_if_token2,
  [69405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 1,
      anon_sym_RPAREN,
  [69412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 1,
      anon_sym_LPAREN2,
  [69419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 1,
      anon_sym_LPAREN2,
  [69426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 1,
      aux_sym_preproc_if_token2,
  [69433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5757), 1,
      aux_sym_preproc_if_token2,
  [69440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 1,
      anon_sym_SEMI,
  [69447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5761), 1,
      anon_sym_SEMI,
  [69454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_SEMI,
  [69461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 1,
      anon_sym_LPAREN2,
  [69468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5765), 1,
      aux_sym_preproc_if_token2,
  [69475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 1,
      anon_sym_SEMI,
  [69482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_SEMI,
  [69489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 1,
      anon_sym_SEMI,
  [69496] = 2,
    ACTIONS(3722), 1,
      sym_comment,
    ACTIONS(5771), 1,
      aux_sym_preproc_include_token2,
  [69503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3539), 1,
      anon_sym_SEMI,
  [69510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 1,
      aux_sym_preproc_if_token2,
  [69517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 1,
      anon_sym_COLON,
  [69524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 1,
      anon_sym_RPAREN,
  [69531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 1,
      aux_sym_preproc_if_token2,
  [69538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 1,
      aux_sym_preproc_if_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(660)] = 0,
  [SMALL_STATE(661)] = 113,
  [SMALL_STATE(662)] = 226,
  [SMALL_STATE(663)] = 339,
  [SMALL_STATE(664)] = 452,
  [SMALL_STATE(665)] = 565,
  [SMALL_STATE(666)] = 678,
  [SMALL_STATE(667)] = 791,
  [SMALL_STATE(668)] = 904,
  [SMALL_STATE(669)] = 1017,
  [SMALL_STATE(670)] = 1130,
  [SMALL_STATE(671)] = 1243,
  [SMALL_STATE(672)] = 1356,
  [SMALL_STATE(673)] = 1469,
  [SMALL_STATE(674)] = 1582,
  [SMALL_STATE(675)] = 1695,
  [SMALL_STATE(676)] = 1808,
  [SMALL_STATE(677)] = 1921,
  [SMALL_STATE(678)] = 2034,
  [SMALL_STATE(679)] = 2147,
  [SMALL_STATE(680)] = 2260,
  [SMALL_STATE(681)] = 2373,
  [SMALL_STATE(682)] = 2486,
  [SMALL_STATE(683)] = 2599,
  [SMALL_STATE(684)] = 2712,
  [SMALL_STATE(685)] = 2825,
  [SMALL_STATE(686)] = 2938,
  [SMALL_STATE(687)] = 3051,
  [SMALL_STATE(688)] = 3164,
  [SMALL_STATE(689)] = 3277,
  [SMALL_STATE(690)] = 3387,
  [SMALL_STATE(691)] = 3497,
  [SMALL_STATE(692)] = 3607,
  [SMALL_STATE(693)] = 3717,
  [SMALL_STATE(694)] = 3827,
  [SMALL_STATE(695)] = 3937,
  [SMALL_STATE(696)] = 4047,
  [SMALL_STATE(697)] = 4157,
  [SMALL_STATE(698)] = 4267,
  [SMALL_STATE(699)] = 4377,
  [SMALL_STATE(700)] = 4487,
  [SMALL_STATE(701)] = 4594,
  [SMALL_STATE(702)] = 4701,
  [SMALL_STATE(703)] = 4808,
  [SMALL_STATE(704)] = 4915,
  [SMALL_STATE(705)] = 5022,
  [SMALL_STATE(706)] = 5129,
  [SMALL_STATE(707)] = 5236,
  [SMALL_STATE(708)] = 5343,
  [SMALL_STATE(709)] = 5450,
  [SMALL_STATE(710)] = 5557,
  [SMALL_STATE(711)] = 5664,
  [SMALL_STATE(712)] = 5771,
  [SMALL_STATE(713)] = 5878,
  [SMALL_STATE(714)] = 5985,
  [SMALL_STATE(715)] = 6092,
  [SMALL_STATE(716)] = 6199,
  [SMALL_STATE(717)] = 6306,
  [SMALL_STATE(718)] = 6413,
  [SMALL_STATE(719)] = 6520,
  [SMALL_STATE(720)] = 6627,
  [SMALL_STATE(721)] = 6734,
  [SMALL_STATE(722)] = 6841,
  [SMALL_STATE(723)] = 6948,
  [SMALL_STATE(724)] = 7055,
  [SMALL_STATE(725)] = 7162,
  [SMALL_STATE(726)] = 7269,
  [SMALL_STATE(727)] = 7376,
  [SMALL_STATE(728)] = 7483,
  [SMALL_STATE(729)] = 7590,
  [SMALL_STATE(730)] = 7697,
  [SMALL_STATE(731)] = 7804,
  [SMALL_STATE(732)] = 7911,
  [SMALL_STATE(733)] = 8018,
  [SMALL_STATE(734)] = 8125,
  [SMALL_STATE(735)] = 8232,
  [SMALL_STATE(736)] = 8339,
  [SMALL_STATE(737)] = 8446,
  [SMALL_STATE(738)] = 8553,
  [SMALL_STATE(739)] = 8660,
  [SMALL_STATE(740)] = 8767,
  [SMALL_STATE(741)] = 8874,
  [SMALL_STATE(742)] = 8981,
  [SMALL_STATE(743)] = 9088,
  [SMALL_STATE(744)] = 9195,
  [SMALL_STATE(745)] = 9302,
  [SMALL_STATE(746)] = 9409,
  [SMALL_STATE(747)] = 9516,
  [SMALL_STATE(748)] = 9623,
  [SMALL_STATE(749)] = 9730,
  [SMALL_STATE(750)] = 9837,
  [SMALL_STATE(751)] = 9944,
  [SMALL_STATE(752)] = 10051,
  [SMALL_STATE(753)] = 10158,
  [SMALL_STATE(754)] = 10265,
  [SMALL_STATE(755)] = 10372,
  [SMALL_STATE(756)] = 10479,
  [SMALL_STATE(757)] = 10586,
  [SMALL_STATE(758)] = 10693,
  [SMALL_STATE(759)] = 10800,
  [SMALL_STATE(760)] = 10907,
  [SMALL_STATE(761)] = 11014,
  [SMALL_STATE(762)] = 11121,
  [SMALL_STATE(763)] = 11228,
  [SMALL_STATE(764)] = 11335,
  [SMALL_STATE(765)] = 11442,
  [SMALL_STATE(766)] = 11549,
  [SMALL_STATE(767)] = 11656,
  [SMALL_STATE(768)] = 11763,
  [SMALL_STATE(769)] = 11870,
  [SMALL_STATE(770)] = 11977,
  [SMALL_STATE(771)] = 12084,
  [SMALL_STATE(772)] = 12191,
  [SMALL_STATE(773)] = 12298,
  [SMALL_STATE(774)] = 12405,
  [SMALL_STATE(775)] = 12512,
  [SMALL_STATE(776)] = 12619,
  [SMALL_STATE(777)] = 12726,
  [SMALL_STATE(778)] = 12833,
  [SMALL_STATE(779)] = 12940,
  [SMALL_STATE(780)] = 13047,
  [SMALL_STATE(781)] = 13154,
  [SMALL_STATE(782)] = 13261,
  [SMALL_STATE(783)] = 13352,
  [SMALL_STATE(784)] = 13459,
  [SMALL_STATE(785)] = 13566,
  [SMALL_STATE(786)] = 13673,
  [SMALL_STATE(787)] = 13780,
  [SMALL_STATE(788)] = 13887,
  [SMALL_STATE(789)] = 13994,
  [SMALL_STATE(790)] = 14101,
  [SMALL_STATE(791)] = 14208,
  [SMALL_STATE(792)] = 14315,
  [SMALL_STATE(793)] = 14422,
  [SMALL_STATE(794)] = 14529,
  [SMALL_STATE(795)] = 14636,
  [SMALL_STATE(796)] = 14743,
  [SMALL_STATE(797)] = 14850,
  [SMALL_STATE(798)] = 14957,
  [SMALL_STATE(799)] = 15064,
  [SMALL_STATE(800)] = 15171,
  [SMALL_STATE(801)] = 15278,
  [SMALL_STATE(802)] = 15385,
  [SMALL_STATE(803)] = 15492,
  [SMALL_STATE(804)] = 15599,
  [SMALL_STATE(805)] = 15706,
  [SMALL_STATE(806)] = 15813,
  [SMALL_STATE(807)] = 15920,
  [SMALL_STATE(808)] = 16027,
  [SMALL_STATE(809)] = 16134,
  [SMALL_STATE(810)] = 16241,
  [SMALL_STATE(811)] = 16348,
  [SMALL_STATE(812)] = 16455,
  [SMALL_STATE(813)] = 16562,
  [SMALL_STATE(814)] = 16669,
  [SMALL_STATE(815)] = 16776,
  [SMALL_STATE(816)] = 16883,
  [SMALL_STATE(817)] = 16990,
  [SMALL_STATE(818)] = 17097,
  [SMALL_STATE(819)] = 17204,
  [SMALL_STATE(820)] = 17311,
  [SMALL_STATE(821)] = 17418,
  [SMALL_STATE(822)] = 17525,
  [SMALL_STATE(823)] = 17627,
  [SMALL_STATE(824)] = 17729,
  [SMALL_STATE(825)] = 17801,
  [SMALL_STATE(826)] = 17873,
  [SMALL_STATE(827)] = 17975,
  [SMALL_STATE(828)] = 18047,
  [SMALL_STATE(829)] = 18149,
  [SMALL_STATE(830)] = 18251,
  [SMALL_STATE(831)] = 18353,
  [SMALL_STATE(832)] = 18455,
  [SMALL_STATE(833)] = 18557,
  [SMALL_STATE(834)] = 18659,
  [SMALL_STATE(835)] = 18761,
  [SMALL_STATE(836)] = 18863,
  [SMALL_STATE(837)] = 18965,
  [SMALL_STATE(838)] = 19034,
  [SMALL_STATE(839)] = 19098,
  [SMALL_STATE(840)] = 19162,
  [SMALL_STATE(841)] = 19226,
  [SMALL_STATE(842)] = 19290,
  [SMALL_STATE(843)] = 19360,
  [SMALL_STATE(844)] = 19424,
  [SMALL_STATE(845)] = 19488,
  [SMALL_STATE(846)] = 19552,
  [SMALL_STATE(847)] = 19616,
  [SMALL_STATE(848)] = 19696,
  [SMALL_STATE(849)] = 19760,
  [SMALL_STATE(850)] = 19824,
  [SMALL_STATE(851)] = 19888,
  [SMALL_STATE(852)] = 19952,
  [SMALL_STATE(853)] = 20014,
  [SMALL_STATE(854)] = 20076,
  [SMALL_STATE(855)] = 20138,
  [SMALL_STATE(856)] = 20200,
  [SMALL_STATE(857)] = 20271,
  [SMALL_STATE(858)] = 20332,
  [SMALL_STATE(859)] = 20393,
  [SMALL_STATE(860)] = 20454,
  [SMALL_STATE(861)] = 20514,
  [SMALL_STATE(862)] = 20582,
  [SMALL_STATE(863)] = 20648,
  [SMALL_STATE(864)] = 20707,
  [SMALL_STATE(865)] = 20766,
  [SMALL_STATE(866)] = 20825,
  [SMALL_STATE(867)] = 20884,
  [SMALL_STATE(868)] = 20943,
  [SMALL_STATE(869)] = 21002,
  [SMALL_STATE(870)] = 21061,
  [SMALL_STATE(871)] = 21152,
  [SMALL_STATE(872)] = 21211,
  [SMALL_STATE(873)] = 21302,
  [SMALL_STATE(874)] = 21361,
  [SMALL_STATE(875)] = 21420,
  [SMALL_STATE(876)] = 21511,
  [SMALL_STATE(877)] = 21570,
  [SMALL_STATE(878)] = 21629,
  [SMALL_STATE(879)] = 21688,
  [SMALL_STATE(880)] = 21747,
  [SMALL_STATE(881)] = 21838,
  [SMALL_STATE(882)] = 21929,
  [SMALL_STATE(883)] = 22020,
  [SMALL_STATE(884)] = 22111,
  [SMALL_STATE(885)] = 22202,
  [SMALL_STATE(886)] = 22293,
  [SMALL_STATE(887)] = 22384,
  [SMALL_STATE(888)] = 22475,
  [SMALL_STATE(889)] = 22566,
  [SMALL_STATE(890)] = 22625,
  [SMALL_STATE(891)] = 22716,
  [SMALL_STATE(892)] = 22807,
  [SMALL_STATE(893)] = 22898,
  [SMALL_STATE(894)] = 22989,
  [SMALL_STATE(895)] = 23080,
  [SMALL_STATE(896)] = 23171,
  [SMALL_STATE(897)] = 23262,
  [SMALL_STATE(898)] = 23321,
  [SMALL_STATE(899)] = 23380,
  [SMALL_STATE(900)] = 23471,
  [SMALL_STATE(901)] = 23539,
  [SMALL_STATE(902)] = 23607,
  [SMALL_STATE(903)] = 23695,
  [SMALL_STATE(904)] = 23753,
  [SMALL_STATE(905)] = 23811,
  [SMALL_STATE(906)] = 23869,
  [SMALL_STATE(907)] = 23937,
  [SMALL_STATE(908)] = 24005,
  [SMALL_STATE(909)] = 24063,
  [SMALL_STATE(910)] = 24129,
  [SMALL_STATE(911)] = 24187,
  [SMALL_STATE(912)] = 24255,
  [SMALL_STATE(913)] = 24320,
  [SMALL_STATE(914)] = 24385,
  [SMALL_STATE(915)] = 24450,
  [SMALL_STATE(916)] = 24507,
  [SMALL_STATE(917)] = 24572,
  [SMALL_STATE(918)] = 24637,
  [SMALL_STATE(919)] = 24710,
  [SMALL_STATE(920)] = 24767,
  [SMALL_STATE(921)] = 24840,
  [SMALL_STATE(922)] = 24901,
  [SMALL_STATE(923)] = 24966,
  [SMALL_STATE(924)] = 25023,
  [SMALL_STATE(925)] = 25088,
  [SMALL_STATE(926)] = 25144,
  [SMALL_STATE(927)] = 25216,
  [SMALL_STATE(928)] = 25272,
  [SMALL_STATE(929)] = 25344,
  [SMALL_STATE(930)] = 25400,
  [SMALL_STATE(931)] = 25472,
  [SMALL_STATE(932)] = 25544,
  [SMALL_STATE(933)] = 25603,
  [SMALL_STATE(934)] = 25662,
  [SMALL_STATE(935)] = 25721,
  [SMALL_STATE(936)] = 25780,
  [SMALL_STATE(937)] = 25839,
  [SMALL_STATE(938)] = 25898,
  [SMALL_STATE(939)] = 25957,
  [SMALL_STATE(940)] = 26016,
  [SMALL_STATE(941)] = 26075,
  [SMALL_STATE(942)] = 26134,
  [SMALL_STATE(943)] = 26193,
  [SMALL_STATE(944)] = 26247,
  [SMALL_STATE(945)] = 26301,
  [SMALL_STATE(946)] = 26355,
  [SMALL_STATE(947)] = 26413,
  [SMALL_STATE(948)] = 26471,
  [SMALL_STATE(949)] = 26525,
  [SMALL_STATE(950)] = 26579,
  [SMALL_STATE(951)] = 26633,
  [SMALL_STATE(952)] = 26687,
  [SMALL_STATE(953)] = 26741,
  [SMALL_STATE(954)] = 26799,
  [SMALL_STATE(955)] = 26853,
  [SMALL_STATE(956)] = 26907,
  [SMALL_STATE(957)] = 26961,
  [SMALL_STATE(958)] = 27021,
  [SMALL_STATE(959)] = 27079,
  [SMALL_STATE(960)] = 27133,
  [SMALL_STATE(961)] = 27193,
  [SMALL_STATE(962)] = 27251,
  [SMALL_STATE(963)] = 27305,
  [SMALL_STATE(964)] = 27363,
  [SMALL_STATE(965)] = 27421,
  [SMALL_STATE(966)] = 27479,
  [SMALL_STATE(967)] = 27533,
  [SMALL_STATE(968)] = 27587,
  [SMALL_STATE(969)] = 27645,
  [SMALL_STATE(970)] = 27699,
  [SMALL_STATE(971)] = 27753,
  [SMALL_STATE(972)] = 27807,
  [SMALL_STATE(973)] = 27865,
  [SMALL_STATE(974)] = 27919,
  [SMALL_STATE(975)] = 27973,
  [SMALL_STATE(976)] = 28027,
  [SMALL_STATE(977)] = 28081,
  [SMALL_STATE(978)] = 28135,
  [SMALL_STATE(979)] = 28193,
  [SMALL_STATE(980)] = 28247,
  [SMALL_STATE(981)] = 28301,
  [SMALL_STATE(982)] = 28355,
  [SMALL_STATE(983)] = 28409,
  [SMALL_STATE(984)] = 28467,
  [SMALL_STATE(985)] = 28530,
  [SMALL_STATE(986)] = 28593,
  [SMALL_STATE(987)] = 28664,
  [SMALL_STATE(988)] = 28755,
  [SMALL_STATE(989)] = 28826,
  [SMALL_STATE(990)] = 28889,
  [SMALL_STATE(991)] = 28952,
  [SMALL_STATE(992)] = 29015,
  [SMALL_STATE(993)] = 29078,
  [SMALL_STATE(994)] = 29149,
  [SMALL_STATE(995)] = 29240,
  [SMALL_STATE(996)] = 29311,
  [SMALL_STATE(997)] = 29377,
  [SMALL_STATE(998)] = 29461,
  [SMALL_STATE(999)] = 29545,
  [SMALL_STATE(1000)] = 29631,
  [SMALL_STATE(1001)] = 29717,
  [SMALL_STATE(1002)] = 29781,
  [SMALL_STATE(1003)] = 29863,
  [SMALL_STATE(1004)] = 29943,
  [SMALL_STATE(1005)] = 30029,
  [SMALL_STATE(1006)] = 30115,
  [SMALL_STATE(1007)] = 30197,
  [SMALL_STATE(1008)] = 30275,
  [SMALL_STATE(1009)] = 30351,
  [SMALL_STATE(1010)] = 30425,
  [SMALL_STATE(1011)] = 30505,
  [SMALL_STATE(1012)] = 30583,
  [SMALL_STATE(1013)] = 30659,
  [SMALL_STATE(1014)] = 30731,
  [SMALL_STATE(1015)] = 30799,
  [SMALL_STATE(1016)] = 30873,
  [SMALL_STATE(1017)] = 30945,
  [SMALL_STATE(1018)] = 31007,
  [SMALL_STATE(1019)] = 31067,
  [SMALL_STATE(1020)] = 31135,
  [SMALL_STATE(1021)] = 31201,
  [SMALL_STATE(1022)] = 31287,
  [SMALL_STATE(1023)] = 31373,
  [SMALL_STATE(1024)] = 31437,
  [SMALL_STATE(1025)] = 31498,
  [SMALL_STATE(1026)] = 31553,
  [SMALL_STATE(1027)] = 31614,
  [SMALL_STATE(1028)] = 31675,
  [SMALL_STATE(1029)] = 31736,
  [SMALL_STATE(1030)] = 31797,
  [SMALL_STATE(1031)] = 31858,
  [SMALL_STATE(1032)] = 31919,
  [SMALL_STATE(1033)] = 31974,
  [SMALL_STATE(1034)] = 32035,
  [SMALL_STATE(1035)] = 32094,
  [SMALL_STATE(1036)] = 32155,
  [SMALL_STATE(1037)] = 32241,
  [SMALL_STATE(1038)] = 32327,
  [SMALL_STATE(1039)] = 32380,
  [SMALL_STATE(1040)] = 32433,
  [SMALL_STATE(1041)] = 32486,
  [SMALL_STATE(1042)] = 32539,
  [SMALL_STATE(1043)] = 32592,
  [SMALL_STATE(1044)] = 32645,
  [SMALL_STATE(1045)] = 32698,
  [SMALL_STATE(1046)] = 32745,
  [SMALL_STATE(1047)] = 32828,
  [SMALL_STATE(1048)] = 32889,
  [SMALL_STATE(1049)] = 32968,
  [SMALL_STATE(1050)] = 33045,
  [SMALL_STATE(1051)] = 33120,
  [SMALL_STATE(1052)] = 33193,
  [SMALL_STATE(1053)] = 33264,
  [SMALL_STATE(1054)] = 33333,
  [SMALL_STATE(1055)] = 33398,
  [SMALL_STATE(1056)] = 33461,
  [SMALL_STATE(1057)] = 33544,
  [SMALL_STATE(1058)] = 33627,
  [SMALL_STATE(1059)] = 33708,
  [SMALL_STATE(1060)] = 33785,
  [SMALL_STATE(1061)] = 33844,
  [SMALL_STATE(1062)] = 33903,
  [SMALL_STATE(1063)] = 33980,
  [SMALL_STATE(1064)] = 34057,
  [SMALL_STATE(1065)] = 34116,
  [SMALL_STATE(1066)] = 34173,
  [SMALL_STATE(1067)] = 34232,
  [SMALL_STATE(1068)] = 34309,
  [SMALL_STATE(1069)] = 34368,
  [SMALL_STATE(1070)] = 34414,
  [SMALL_STATE(1071)] = 34460,
  [SMALL_STATE(1072)] = 34506,
  [SMALL_STATE(1073)] = 34552,
  [SMALL_STATE(1074)] = 34598,
  [SMALL_STATE(1075)] = 34644,
  [SMALL_STATE(1076)] = 34690,
  [SMALL_STATE(1077)] = 34736,
  [SMALL_STATE(1078)] = 34782,
  [SMALL_STATE(1079)] = 34828,
  [SMALL_STATE(1080)] = 34874,
  [SMALL_STATE(1081)] = 34920,
  [SMALL_STATE(1082)] = 34976,
  [SMALL_STATE(1083)] = 35022,
  [SMALL_STATE(1084)] = 35068,
  [SMALL_STATE(1085)] = 35114,
  [SMALL_STATE(1086)] = 35160,
  [SMALL_STATE(1087)] = 35206,
  [SMALL_STATE(1088)] = 35252,
  [SMALL_STATE(1089)] = 35298,
  [SMALL_STATE(1090)] = 35344,
  [SMALL_STATE(1091)] = 35390,
  [SMALL_STATE(1092)] = 35436,
  [SMALL_STATE(1093)] = 35486,
  [SMALL_STATE(1094)] = 35532,
  [SMALL_STATE(1095)] = 35578,
  [SMALL_STATE(1096)] = 35624,
  [SMALL_STATE(1097)] = 35670,
  [SMALL_STATE(1098)] = 35721,
  [SMALL_STATE(1099)] = 35796,
  [SMALL_STATE(1100)] = 35871,
  [SMALL_STATE(1101)] = 35944,
  [SMALL_STATE(1102)] = 36017,
  [SMALL_STATE(1103)] = 36068,
  [SMALL_STATE(1104)] = 36136,
  [SMALL_STATE(1105)] = 36204,
  [SMALL_STATE(1106)] = 36272,
  [SMALL_STATE(1107)] = 36340,
  [SMALL_STATE(1108)] = 36408,
  [SMALL_STATE(1109)] = 36478,
  [SMALL_STATE(1110)] = 36546,
  [SMALL_STATE(1111)] = 36614,
  [SMALL_STATE(1112)] = 36682,
  [SMALL_STATE(1113)] = 36752,
  [SMALL_STATE(1114)] = 36820,
  [SMALL_STATE(1115)] = 36888,
  [SMALL_STATE(1116)] = 36956,
  [SMALL_STATE(1117)] = 37024,
  [SMALL_STATE(1118)] = 37101,
  [SMALL_STATE(1119)] = 37164,
  [SMALL_STATE(1120)] = 37223,
  [SMALL_STATE(1121)] = 37300,
  [SMALL_STATE(1122)] = 37377,
  [SMALL_STATE(1123)] = 37452,
  [SMALL_STATE(1124)] = 37509,
  [SMALL_STATE(1125)] = 37564,
  [SMALL_STATE(1126)] = 37637,
  [SMALL_STATE(1127)] = 37708,
  [SMALL_STATE(1128)] = 37785,
  [SMALL_STATE(1129)] = 37860,
  [SMALL_STATE(1130)] = 37929,
  [SMALL_STATE(1131)] = 37996,
  [SMALL_STATE(1132)] = 38073,
  [SMALL_STATE(1133)] = 38138,
  [SMALL_STATE(1134)] = 38193,
  [SMALL_STATE(1135)] = 38256,
  [SMALL_STATE(1136)] = 38333,
  [SMALL_STATE(1137)] = 38392,
  [SMALL_STATE(1138)] = 38449,
  [SMALL_STATE(1139)] = 38526,
  [SMALL_STATE(1140)] = 38599,
  [SMALL_STATE(1141)] = 38664,
  [SMALL_STATE(1142)] = 38735,
  [SMALL_STATE(1143)] = 38804,
  [SMALL_STATE(1144)] = 38871,
  [SMALL_STATE(1145)] = 38935,
  [SMALL_STATE(1146)] = 38999,
  [SMALL_STATE(1147)] = 39063,
  [SMALL_STATE(1148)] = 39103,
  [SMALL_STATE(1149)] = 39167,
  [SMALL_STATE(1150)] = 39207,
  [SMALL_STATE(1151)] = 39271,
  [SMALL_STATE(1152)] = 39311,
  [SMALL_STATE(1153)] = 39375,
  [SMALL_STATE(1154)] = 39439,
  [SMALL_STATE(1155)] = 39479,
  [SMALL_STATE(1156)] = 39543,
  [SMALL_STATE(1157)] = 39607,
  [SMALL_STATE(1158)] = 39671,
  [SMALL_STATE(1159)] = 39735,
  [SMALL_STATE(1160)] = 39775,
  [SMALL_STATE(1161)] = 39839,
  [SMALL_STATE(1162)] = 39879,
  [SMALL_STATE(1163)] = 39943,
  [SMALL_STATE(1164)] = 40004,
  [SMALL_STATE(1165)] = 40065,
  [SMALL_STATE(1166)] = 40126,
  [SMALL_STATE(1167)] = 40187,
  [SMALL_STATE(1168)] = 40248,
  [SMALL_STATE(1169)] = 40309,
  [SMALL_STATE(1170)] = 40383,
  [SMALL_STATE(1171)] = 40431,
  [SMALL_STATE(1172)] = 40505,
  [SMALL_STATE(1173)] = 40551,
  [SMALL_STATE(1174)] = 40626,
  [SMALL_STATE(1175)] = 40701,
  [SMALL_STATE(1176)] = 40776,
  [SMALL_STATE(1177)] = 40851,
  [SMALL_STATE(1178)] = 40923,
  [SMALL_STATE(1179)] = 40963,
  [SMALL_STATE(1180)] = 41035,
  [SMALL_STATE(1181)] = 41107,
  [SMALL_STATE(1182)] = 41179,
  [SMALL_STATE(1183)] = 41251,
  [SMALL_STATE(1184)] = 41323,
  [SMALL_STATE(1185)] = 41395,
  [SMALL_STATE(1186)] = 41467,
  [SMALL_STATE(1187)] = 41537,
  [SMALL_STATE(1188)] = 41609,
  [SMALL_STATE(1189)] = 41659,
  [SMALL_STATE(1190)] = 41729,
  [SMALL_STATE(1191)] = 41799,
  [SMALL_STATE(1192)] = 41871,
  [SMALL_STATE(1193)] = 41943,
  [SMALL_STATE(1194)] = 42015,
  [SMALL_STATE(1195)] = 42085,
  [SMALL_STATE(1196)] = 42125,
  [SMALL_STATE(1197)] = 42197,
  [SMALL_STATE(1198)] = 42267,
  [SMALL_STATE(1199)] = 42319,
  [SMALL_STATE(1200)] = 42387,
  [SMALL_STATE(1201)] = 42453,
  [SMALL_STATE(1202)] = 42519,
  [SMALL_STATE(1203)] = 42583,
  [SMALL_STATE(1204)] = 42645,
  [SMALL_STATE(1205)] = 42705,
  [SMALL_STATE(1206)] = 42761,
  [SMALL_STATE(1207)] = 42815,
  [SMALL_STATE(1208)] = 42887,
  [SMALL_STATE(1209)] = 42959,
  [SMALL_STATE(1210)] = 43031,
  [SMALL_STATE(1211)] = 43101,
  [SMALL_STATE(1212)] = 43173,
  [SMALL_STATE(1213)] = 43245,
  [SMALL_STATE(1214)] = 43317,
  [SMALL_STATE(1215)] = 43357,
  [SMALL_STATE(1216)] = 43429,
  [SMALL_STATE(1217)] = 43501,
  [SMALL_STATE(1218)] = 43571,
  [SMALL_STATE(1219)] = 43643,
  [SMALL_STATE(1220)] = 43715,
  [SMALL_STATE(1221)] = 43787,
  [SMALL_STATE(1222)] = 43859,
  [SMALL_STATE(1223)] = 43931,
  [SMALL_STATE(1224)] = 44001,
  [SMALL_STATE(1225)] = 44073,
  [SMALL_STATE(1226)] = 44123,
  [SMALL_STATE(1227)] = 44195,
  [SMALL_STATE(1228)] = 44265,
  [SMALL_STATE(1229)] = 44337,
  [SMALL_STATE(1230)] = 44411,
  [SMALL_STATE(1231)] = 44480,
  [SMALL_STATE(1232)] = 44535,
  [SMALL_STATE(1233)] = 44604,
  [SMALL_STATE(1234)] = 44673,
  [SMALL_STATE(1235)] = 44742,
  [SMALL_STATE(1236)] = 44811,
  [SMALL_STATE(1237)] = 44880,
  [SMALL_STATE(1238)] = 44935,
  [SMALL_STATE(1239)] = 44990,
  [SMALL_STATE(1240)] = 45059,
  [SMALL_STATE(1241)] = 45128,
  [SMALL_STATE(1242)] = 45183,
  [SMALL_STATE(1243)] = 45252,
  [SMALL_STATE(1244)] = 45321,
  [SMALL_STATE(1245)] = 45390,
  [SMALL_STATE(1246)] = 45459,
  [SMALL_STATE(1247)] = 45528,
  [SMALL_STATE(1248)] = 45597,
  [SMALL_STATE(1249)] = 45666,
  [SMALL_STATE(1250)] = 45735,
  [SMALL_STATE(1251)] = 45790,
  [SMALL_STATE(1252)] = 45859,
  [SMALL_STATE(1253)] = 45928,
  [SMALL_STATE(1254)] = 45997,
  [SMALL_STATE(1255)] = 46066,
  [SMALL_STATE(1256)] = 46121,
  [SMALL_STATE(1257)] = 46190,
  [SMALL_STATE(1258)] = 46259,
  [SMALL_STATE(1259)] = 46328,
  [SMALL_STATE(1260)] = 46397,
  [SMALL_STATE(1261)] = 46433,
  [SMALL_STATE(1262)] = 46485,
  [SMALL_STATE(1263)] = 46537,
  [SMALL_STATE(1264)] = 46603,
  [SMALL_STATE(1265)] = 46655,
  [SMALL_STATE(1266)] = 46707,
  [SMALL_STATE(1267)] = 46759,
  [SMALL_STATE(1268)] = 46811,
  [SMALL_STATE(1269)] = 46863,
  [SMALL_STATE(1270)] = 46915,
  [SMALL_STATE(1271)] = 46967,
  [SMALL_STATE(1272)] = 47016,
  [SMALL_STATE(1273)] = 47055,
  [SMALL_STATE(1274)] = 47104,
  [SMALL_STATE(1275)] = 47160,
  [SMALL_STATE(1276)] = 47200,
  [SMALL_STATE(1277)] = 47240,
  [SMALL_STATE(1278)] = 47280,
  [SMALL_STATE(1279)] = 47320,
  [SMALL_STATE(1280)] = 47376,
  [SMALL_STATE(1281)] = 47425,
  [SMALL_STATE(1282)] = 47459,
  [SMALL_STATE(1283)] = 47493,
  [SMALL_STATE(1284)] = 47527,
  [SMALL_STATE(1285)] = 47561,
  [SMALL_STATE(1286)] = 47595,
  [SMALL_STATE(1287)] = 47629,
  [SMALL_STATE(1288)] = 47663,
  [SMALL_STATE(1289)] = 47699,
  [SMALL_STATE(1290)] = 47733,
  [SMALL_STATE(1291)] = 47767,
  [SMALL_STATE(1292)] = 47801,
  [SMALL_STATE(1293)] = 47835,
  [SMALL_STATE(1294)] = 47869,
  [SMALL_STATE(1295)] = 47903,
  [SMALL_STATE(1296)] = 47937,
  [SMALL_STATE(1297)] = 47988,
  [SMALL_STATE(1298)] = 48031,
  [SMALL_STATE(1299)] = 48082,
  [SMALL_STATE(1300)] = 48133,
  [SMALL_STATE(1301)] = 48176,
  [SMALL_STATE(1302)] = 48209,
  [SMALL_STATE(1303)] = 48260,
  [SMALL_STATE(1304)] = 48311,
  [SMALL_STATE(1305)] = 48362,
  [SMALL_STATE(1306)] = 48413,
  [SMALL_STATE(1307)] = 48464,
  [SMALL_STATE(1308)] = 48519,
  [SMALL_STATE(1309)] = 48574,
  [SMALL_STATE(1310)] = 48615,
  [SMALL_STATE(1311)] = 48666,
  [SMALL_STATE(1312)] = 48717,
  [SMALL_STATE(1313)] = 48768,
  [SMALL_STATE(1314)] = 48819,
  [SMALL_STATE(1315)] = 48870,
  [SMALL_STATE(1316)] = 48913,
  [SMALL_STATE(1317)] = 48964,
  [SMALL_STATE(1318)] = 49019,
  [SMALL_STATE(1319)] = 49070,
  [SMALL_STATE(1320)] = 49110,
  [SMALL_STATE(1321)] = 49150,
  [SMALL_STATE(1322)] = 49190,
  [SMALL_STATE(1323)] = 49230,
  [SMALL_STATE(1324)] = 49258,
  [SMALL_STATE(1325)] = 49298,
  [SMALL_STATE(1326)] = 49338,
  [SMALL_STATE(1327)] = 49378,
  [SMALL_STATE(1328)] = 49418,
  [SMALL_STATE(1329)] = 49458,
  [SMALL_STATE(1330)] = 49498,
  [SMALL_STATE(1331)] = 49538,
  [SMALL_STATE(1332)] = 49578,
  [SMALL_STATE(1333)] = 49628,
  [SMALL_STATE(1334)] = 49668,
  [SMALL_STATE(1335)] = 49708,
  [SMALL_STATE(1336)] = 49748,
  [SMALL_STATE(1337)] = 49788,
  [SMALL_STATE(1338)] = 49828,
  [SMALL_STATE(1339)] = 49868,
  [SMALL_STATE(1340)] = 49908,
  [SMALL_STATE(1341)] = 49936,
  [SMALL_STATE(1342)] = 49976,
  [SMALL_STATE(1343)] = 50004,
  [SMALL_STATE(1344)] = 50032,
  [SMALL_STATE(1345)] = 50072,
  [SMALL_STATE(1346)] = 50112,
  [SMALL_STATE(1347)] = 50140,
  [SMALL_STATE(1348)] = 50172,
  [SMALL_STATE(1349)] = 50212,
  [SMALL_STATE(1350)] = 50240,
  [SMALL_STATE(1351)] = 50288,
  [SMALL_STATE(1352)] = 50334,
  [SMALL_STATE(1353)] = 50380,
  [SMALL_STATE(1354)] = 50424,
  [SMALL_STATE(1355)] = 50464,
  [SMALL_STATE(1356)] = 50506,
  [SMALL_STATE(1357)] = 50546,
  [SMALL_STATE(1358)] = 50586,
  [SMALL_STATE(1359)] = 50626,
  [SMALL_STATE(1360)] = 50666,
  [SMALL_STATE(1361)] = 50702,
  [SMALL_STATE(1362)] = 50736,
  [SMALL_STATE(1363)] = 50776,
  [SMALL_STATE(1364)] = 50816,
  [SMALL_STATE(1365)] = 50856,
  [SMALL_STATE(1366)] = 50896,
  [SMALL_STATE(1367)] = 50936,
  [SMALL_STATE(1368)] = 50976,
  [SMALL_STATE(1369)] = 51016,
  [SMALL_STATE(1370)] = 51056,
  [SMALL_STATE(1371)] = 51096,
  [SMALL_STATE(1372)] = 51136,
  [SMALL_STATE(1373)] = 51176,
  [SMALL_STATE(1374)] = 51216,
  [SMALL_STATE(1375)] = 51261,
  [SMALL_STATE(1376)] = 51288,
  [SMALL_STATE(1377)] = 51333,
  [SMALL_STATE(1378)] = 51378,
  [SMALL_STATE(1379)] = 51405,
  [SMALL_STATE(1380)] = 51432,
  [SMALL_STATE(1381)] = 51481,
  [SMALL_STATE(1382)] = 51508,
  [SMALL_STATE(1383)] = 51535,
  [SMALL_STATE(1384)] = 51580,
  [SMALL_STATE(1385)] = 51619,
  [SMALL_STATE(1386)] = 51650,
  [SMALL_STATE(1387)] = 51695,
  [SMALL_STATE(1388)] = 51744,
  [SMALL_STATE(1389)] = 51771,
  [SMALL_STATE(1390)] = 51816,
  [SMALL_STATE(1391)] = 51849,
  [SMALL_STATE(1392)] = 51894,
  [SMALL_STATE(1393)] = 51937,
  [SMALL_STATE(1394)] = 51982,
  [SMALL_STATE(1395)] = 52009,
  [SMALL_STATE(1396)] = 52054,
  [SMALL_STATE(1397)] = 52099,
  [SMALL_STATE(1398)] = 52140,
  [SMALL_STATE(1399)] = 52175,
  [SMALL_STATE(1400)] = 52202,
  [SMALL_STATE(1401)] = 52247,
  [SMALL_STATE(1402)] = 52274,
  [SMALL_STATE(1403)] = 52319,
  [SMALL_STATE(1404)] = 52364,
  [SMALL_STATE(1405)] = 52409,
  [SMALL_STATE(1406)] = 52436,
  [SMALL_STATE(1407)] = 52473,
  [SMALL_STATE(1408)] = 52502,
  [SMALL_STATE(1409)] = 52547,
  [SMALL_STATE(1410)] = 52587,
  [SMALL_STATE(1411)] = 52627,
  [SMALL_STATE(1412)] = 52667,
  [SMALL_STATE(1413)] = 52709,
  [SMALL_STATE(1414)] = 52749,
  [SMALL_STATE(1415)] = 52789,
  [SMALL_STATE(1416)] = 52829,
  [SMALL_STATE(1417)] = 52869,
  [SMALL_STATE(1418)] = 52909,
  [SMALL_STATE(1419)] = 52949,
  [SMALL_STATE(1420)] = 52989,
  [SMALL_STATE(1421)] = 53025,
  [SMALL_STATE(1422)] = 53065,
  [SMALL_STATE(1423)] = 53105,
  [SMALL_STATE(1424)] = 53145,
  [SMALL_STATE(1425)] = 53185,
  [SMALL_STATE(1426)] = 53225,
  [SMALL_STATE(1427)] = 53265,
  [SMALL_STATE(1428)] = 53305,
  [SMALL_STATE(1429)] = 53345,
  [SMALL_STATE(1430)] = 53385,
  [SMALL_STATE(1431)] = 53425,
  [SMALL_STATE(1432)] = 53465,
  [SMALL_STATE(1433)] = 53505,
  [SMALL_STATE(1434)] = 53545,
  [SMALL_STATE(1435)] = 53585,
  [SMALL_STATE(1436)] = 53625,
  [SMALL_STATE(1437)] = 53665,
  [SMALL_STATE(1438)] = 53705,
  [SMALL_STATE(1439)] = 53745,
  [SMALL_STATE(1440)] = 53785,
  [SMALL_STATE(1441)] = 53825,
  [SMALL_STATE(1442)] = 53865,
  [SMALL_STATE(1443)] = 53905,
  [SMALL_STATE(1444)] = 53945,
  [SMALL_STATE(1445)] = 53985,
  [SMALL_STATE(1446)] = 54025,
  [SMALL_STATE(1447)] = 54069,
  [SMALL_STATE(1448)] = 54109,
  [SMALL_STATE(1449)] = 54149,
  [SMALL_STATE(1450)] = 54189,
  [SMALL_STATE(1451)] = 54230,
  [SMALL_STATE(1452)] = 54261,
  [SMALL_STATE(1453)] = 54302,
  [SMALL_STATE(1454)] = 54341,
  [SMALL_STATE(1455)] = 54372,
  [SMALL_STATE(1456)] = 54403,
  [SMALL_STATE(1457)] = 54444,
  [SMALL_STATE(1458)] = 54485,
  [SMALL_STATE(1459)] = 54516,
  [SMALL_STATE(1460)] = 54557,
  [SMALL_STATE(1461)] = 54598,
  [SMALL_STATE(1462)] = 54639,
  [SMALL_STATE(1463)] = 54680,
  [SMALL_STATE(1464)] = 54722,
  [SMALL_STATE(1465)] = 54750,
  [SMALL_STATE(1466)] = 54792,
  [SMALL_STATE(1467)] = 54834,
  [SMALL_STATE(1468)] = 54876,
  [SMALL_STATE(1469)] = 54918,
  [SMALL_STATE(1470)] = 54956,
  [SMALL_STATE(1471)] = 54994,
  [SMALL_STATE(1472)] = 55036,
  [SMALL_STATE(1473)] = 55063,
  [SMALL_STATE(1474)] = 55090,
  [SMALL_STATE(1475)] = 55123,
  [SMALL_STATE(1476)] = 55146,
  [SMALL_STATE(1477)] = 55185,
  [SMALL_STATE(1478)] = 55224,
  [SMALL_STATE(1479)] = 55247,
  [SMALL_STATE(1480)] = 55270,
  [SMALL_STATE(1481)] = 55309,
  [SMALL_STATE(1482)] = 55348,
  [SMALL_STATE(1483)] = 55380,
  [SMALL_STATE(1484)] = 55412,
  [SMALL_STATE(1485)] = 55444,
  [SMALL_STATE(1486)] = 55476,
  [SMALL_STATE(1487)] = 55513,
  [SMALL_STATE(1488)] = 55550,
  [SMALL_STATE(1489)] = 55587,
  [SMALL_STATE(1490)] = 55608,
  [SMALL_STATE(1491)] = 55629,
  [SMALL_STATE(1492)] = 55650,
  [SMALL_STATE(1493)] = 55671,
  [SMALL_STATE(1494)] = 55692,
  [SMALL_STATE(1495)] = 55713,
  [SMALL_STATE(1496)] = 55746,
  [SMALL_STATE(1497)] = 55779,
  [SMALL_STATE(1498)] = 55816,
  [SMALL_STATE(1499)] = 55853,
  [SMALL_STATE(1500)] = 55890,
  [SMALL_STATE(1501)] = 55927,
  [SMALL_STATE(1502)] = 55964,
  [SMALL_STATE(1503)] = 56001,
  [SMALL_STATE(1504)] = 56038,
  [SMALL_STATE(1505)] = 56075,
  [SMALL_STATE(1506)] = 56112,
  [SMALL_STATE(1507)] = 56149,
  [SMALL_STATE(1508)] = 56186,
  [SMALL_STATE(1509)] = 56223,
  [SMALL_STATE(1510)] = 56244,
  [SMALL_STATE(1511)] = 56283,
  [SMALL_STATE(1512)] = 56310,
  [SMALL_STATE(1513)] = 56344,
  [SMALL_STATE(1514)] = 56378,
  [SMALL_STATE(1515)] = 56412,
  [SMALL_STATE(1516)] = 56446,
  [SMALL_STATE(1517)] = 56480,
  [SMALL_STATE(1518)] = 56510,
  [SMALL_STATE(1519)] = 56544,
  [SMALL_STATE(1520)] = 56574,
  [SMALL_STATE(1521)] = 56608,
  [SMALL_STATE(1522)] = 56642,
  [SMALL_STATE(1523)] = 56676,
  [SMALL_STATE(1524)] = 56710,
  [SMALL_STATE(1525)] = 56744,
  [SMALL_STATE(1526)] = 56774,
  [SMALL_STATE(1527)] = 56808,
  [SMALL_STATE(1528)] = 56842,
  [SMALL_STATE(1529)] = 56872,
  [SMALL_STATE(1530)] = 56901,
  [SMALL_STATE(1531)] = 56926,
  [SMALL_STATE(1532)] = 56955,
  [SMALL_STATE(1533)] = 56986,
  [SMALL_STATE(1534)] = 57015,
  [SMALL_STATE(1535)] = 57044,
  [SMALL_STATE(1536)] = 57073,
  [SMALL_STATE(1537)] = 57102,
  [SMALL_STATE(1538)] = 57131,
  [SMALL_STATE(1539)] = 57162,
  [SMALL_STATE(1540)] = 57191,
  [SMALL_STATE(1541)] = 57220,
  [SMALL_STATE(1542)] = 57253,
  [SMALL_STATE(1543)] = 57282,
  [SMALL_STATE(1544)] = 57305,
  [SMALL_STATE(1545)] = 57334,
  [SMALL_STATE(1546)] = 57357,
  [SMALL_STATE(1547)] = 57388,
  [SMALL_STATE(1548)] = 57417,
  [SMALL_STATE(1549)] = 57440,
  [SMALL_STATE(1550)] = 57469,
  [SMALL_STATE(1551)] = 57500,
  [SMALL_STATE(1552)] = 57529,
  [SMALL_STATE(1553)] = 57560,
  [SMALL_STATE(1554)] = 57589,
  [SMALL_STATE(1555)] = 57618,
  [SMALL_STATE(1556)] = 57647,
  [SMALL_STATE(1557)] = 57676,
  [SMALL_STATE(1558)] = 57705,
  [SMALL_STATE(1559)] = 57734,
  [SMALL_STATE(1560)] = 57763,
  [SMALL_STATE(1561)] = 57792,
  [SMALL_STATE(1562)] = 57823,
  [SMALL_STATE(1563)] = 57852,
  [SMALL_STATE(1564)] = 57881,
  [SMALL_STATE(1565)] = 57910,
  [SMALL_STATE(1566)] = 57939,
  [SMALL_STATE(1567)] = 57968,
  [SMALL_STATE(1568)] = 57997,
  [SMALL_STATE(1569)] = 58026,
  [SMALL_STATE(1570)] = 58055,
  [SMALL_STATE(1571)] = 58084,
  [SMALL_STATE(1572)] = 58113,
  [SMALL_STATE(1573)] = 58144,
  [SMALL_STATE(1574)] = 58173,
  [SMALL_STATE(1575)] = 58202,
  [SMALL_STATE(1576)] = 58231,
  [SMALL_STATE(1577)] = 58260,
  [SMALL_STATE(1578)] = 58289,
  [SMALL_STATE(1579)] = 58318,
  [SMALL_STATE(1580)] = 58347,
  [SMALL_STATE(1581)] = 58376,
  [SMALL_STATE(1582)] = 58401,
  [SMALL_STATE(1583)] = 58430,
  [SMALL_STATE(1584)] = 58459,
  [SMALL_STATE(1585)] = 58488,
  [SMALL_STATE(1586)] = 58517,
  [SMALL_STATE(1587)] = 58546,
  [SMALL_STATE(1588)] = 58575,
  [SMALL_STATE(1589)] = 58604,
  [SMALL_STATE(1590)] = 58633,
  [SMALL_STATE(1591)] = 58664,
  [SMALL_STATE(1592)] = 58693,
  [SMALL_STATE(1593)] = 58722,
  [SMALL_STATE(1594)] = 58744,
  [SMALL_STATE(1595)] = 58772,
  [SMALL_STATE(1596)] = 58800,
  [SMALL_STATE(1597)] = 58828,
  [SMALL_STATE(1598)] = 58852,
  [SMALL_STATE(1599)] = 58874,
  [SMALL_STATE(1600)] = 58902,
  [SMALL_STATE(1601)] = 58926,
  [SMALL_STATE(1602)] = 58950,
  [SMALL_STATE(1603)] = 58978,
  [SMALL_STATE(1604)] = 58995,
  [SMALL_STATE(1605)] = 59012,
  [SMALL_STATE(1606)] = 59041,
  [SMALL_STATE(1607)] = 59062,
  [SMALL_STATE(1608)] = 59085,
  [SMALL_STATE(1609)] = 59102,
  [SMALL_STATE(1610)] = 59123,
  [SMALL_STATE(1611)] = 59146,
  [SMALL_STATE(1612)] = 59163,
  [SMALL_STATE(1613)] = 59184,
  [SMALL_STATE(1614)] = 59201,
  [SMALL_STATE(1615)] = 59218,
  [SMALL_STATE(1616)] = 59247,
  [SMALL_STATE(1617)] = 59274,
  [SMALL_STATE(1618)] = 59295,
  [SMALL_STATE(1619)] = 59316,
  [SMALL_STATE(1620)] = 59337,
  [SMALL_STATE(1621)] = 59358,
  [SMALL_STATE(1622)] = 59375,
  [SMALL_STATE(1623)] = 59400,
  [SMALL_STATE(1624)] = 59429,
  [SMALL_STATE(1625)] = 59458,
  [SMALL_STATE(1626)] = 59485,
  [SMALL_STATE(1627)] = 59502,
  [SMALL_STATE(1628)] = 59519,
  [SMALL_STATE(1629)] = 59545,
  [SMALL_STATE(1630)] = 59571,
  [SMALL_STATE(1631)] = 59597,
  [SMALL_STATE(1632)] = 59623,
  [SMALL_STATE(1633)] = 59649,
  [SMALL_STATE(1634)] = 59675,
  [SMALL_STATE(1635)] = 59701,
  [SMALL_STATE(1636)] = 59727,
  [SMALL_STATE(1637)] = 59743,
  [SMALL_STATE(1638)] = 59769,
  [SMALL_STATE(1639)] = 59787,
  [SMALL_STATE(1640)] = 59803,
  [SMALL_STATE(1641)] = 59829,
  [SMALL_STATE(1642)] = 59855,
  [SMALL_STATE(1643)] = 59881,
  [SMALL_STATE(1644)] = 59897,
  [SMALL_STATE(1645)] = 59923,
  [SMALL_STATE(1646)] = 59949,
  [SMALL_STATE(1647)] = 59975,
  [SMALL_STATE(1648)] = 60001,
  [SMALL_STATE(1649)] = 60027,
  [SMALL_STATE(1650)] = 60053,
  [SMALL_STATE(1651)] = 60079,
  [SMALL_STATE(1652)] = 60095,
  [SMALL_STATE(1653)] = 60121,
  [SMALL_STATE(1654)] = 60147,
  [SMALL_STATE(1655)] = 60173,
  [SMALL_STATE(1656)] = 60195,
  [SMALL_STATE(1657)] = 60215,
  [SMALL_STATE(1658)] = 60241,
  [SMALL_STATE(1659)] = 60267,
  [SMALL_STATE(1660)] = 60293,
  [SMALL_STATE(1661)] = 60319,
  [SMALL_STATE(1662)] = 60345,
  [SMALL_STATE(1663)] = 60371,
  [SMALL_STATE(1664)] = 60397,
  [SMALL_STATE(1665)] = 60423,
  [SMALL_STATE(1666)] = 60449,
  [SMALL_STATE(1667)] = 60475,
  [SMALL_STATE(1668)] = 60491,
  [SMALL_STATE(1669)] = 60517,
  [SMALL_STATE(1670)] = 60533,
  [SMALL_STATE(1671)] = 60559,
  [SMALL_STATE(1672)] = 60585,
  [SMALL_STATE(1673)] = 60611,
  [SMALL_STATE(1674)] = 60627,
  [SMALL_STATE(1675)] = 60643,
  [SMALL_STATE(1676)] = 60669,
  [SMALL_STATE(1677)] = 60695,
  [SMALL_STATE(1678)] = 60721,
  [SMALL_STATE(1679)] = 60747,
  [SMALL_STATE(1680)] = 60773,
  [SMALL_STATE(1681)] = 60799,
  [SMALL_STATE(1682)] = 60825,
  [SMALL_STATE(1683)] = 60851,
  [SMALL_STATE(1684)] = 60877,
  [SMALL_STATE(1685)] = 60903,
  [SMALL_STATE(1686)] = 60929,
  [SMALL_STATE(1687)] = 60955,
  [SMALL_STATE(1688)] = 60981,
  [SMALL_STATE(1689)] = 61007,
  [SMALL_STATE(1690)] = 61033,
  [SMALL_STATE(1691)] = 61059,
  [SMALL_STATE(1692)] = 61085,
  [SMALL_STATE(1693)] = 61111,
  [SMALL_STATE(1694)] = 61133,
  [SMALL_STATE(1695)] = 61159,
  [SMALL_STATE(1696)] = 61185,
  [SMALL_STATE(1697)] = 61211,
  [SMALL_STATE(1698)] = 61237,
  [SMALL_STATE(1699)] = 61263,
  [SMALL_STATE(1700)] = 61289,
  [SMALL_STATE(1701)] = 61315,
  [SMALL_STATE(1702)] = 61341,
  [SMALL_STATE(1703)] = 61361,
  [SMALL_STATE(1704)] = 61387,
  [SMALL_STATE(1705)] = 61409,
  [SMALL_STATE(1706)] = 61431,
  [SMALL_STATE(1707)] = 61457,
  [SMALL_STATE(1708)] = 61483,
  [SMALL_STATE(1709)] = 61509,
  [SMALL_STATE(1710)] = 61535,
  [SMALL_STATE(1711)] = 61551,
  [SMALL_STATE(1712)] = 61577,
  [SMALL_STATE(1713)] = 61603,
  [SMALL_STATE(1714)] = 61619,
  [SMALL_STATE(1715)] = 61645,
  [SMALL_STATE(1716)] = 61671,
  [SMALL_STATE(1717)] = 61697,
  [SMALL_STATE(1718)] = 61717,
  [SMALL_STATE(1719)] = 61743,
  [SMALL_STATE(1720)] = 61769,
  [SMALL_STATE(1721)] = 61795,
  [SMALL_STATE(1722)] = 61821,
  [SMALL_STATE(1723)] = 61847,
  [SMALL_STATE(1724)] = 61870,
  [SMALL_STATE(1725)] = 61893,
  [SMALL_STATE(1726)] = 61916,
  [SMALL_STATE(1727)] = 61939,
  [SMALL_STATE(1728)] = 61962,
  [SMALL_STATE(1729)] = 61985,
  [SMALL_STATE(1730)] = 62008,
  [SMALL_STATE(1731)] = 62031,
  [SMALL_STATE(1732)] = 62054,
  [SMALL_STATE(1733)] = 62077,
  [SMALL_STATE(1734)] = 62100,
  [SMALL_STATE(1735)] = 62115,
  [SMALL_STATE(1736)] = 62138,
  [SMALL_STATE(1737)] = 62161,
  [SMALL_STATE(1738)] = 62184,
  [SMALL_STATE(1739)] = 62207,
  [SMALL_STATE(1740)] = 62230,
  [SMALL_STATE(1741)] = 62253,
  [SMALL_STATE(1742)] = 62268,
  [SMALL_STATE(1743)] = 62291,
  [SMALL_STATE(1744)] = 62314,
  [SMALL_STATE(1745)] = 62331,
  [SMALL_STATE(1746)] = 62346,
  [SMALL_STATE(1747)] = 62361,
  [SMALL_STATE(1748)] = 62376,
  [SMALL_STATE(1749)] = 62391,
  [SMALL_STATE(1750)] = 62406,
  [SMALL_STATE(1751)] = 62421,
  [SMALL_STATE(1752)] = 62444,
  [SMALL_STATE(1753)] = 62459,
  [SMALL_STATE(1754)] = 62478,
  [SMALL_STATE(1755)] = 62493,
  [SMALL_STATE(1756)] = 62508,
  [SMALL_STATE(1757)] = 62523,
  [SMALL_STATE(1758)] = 62540,
  [SMALL_STATE(1759)] = 62563,
  [SMALL_STATE(1760)] = 62586,
  [SMALL_STATE(1761)] = 62605,
  [SMALL_STATE(1762)] = 62628,
  [SMALL_STATE(1763)] = 62651,
  [SMALL_STATE(1764)] = 62674,
  [SMALL_STATE(1765)] = 62691,
  [SMALL_STATE(1766)] = 62714,
  [SMALL_STATE(1767)] = 62731,
  [SMALL_STATE(1768)] = 62754,
  [SMALL_STATE(1769)] = 62769,
  [SMALL_STATE(1770)] = 62783,
  [SMALL_STATE(1771)] = 62801,
  [SMALL_STATE(1772)] = 62819,
  [SMALL_STATE(1773)] = 62839,
  [SMALL_STATE(1774)] = 62857,
  [SMALL_STATE(1775)] = 62875,
  [SMALL_STATE(1776)] = 62893,
  [SMALL_STATE(1777)] = 62907,
  [SMALL_STATE(1778)] = 62921,
  [SMALL_STATE(1779)] = 62935,
  [SMALL_STATE(1780)] = 62953,
  [SMALL_STATE(1781)] = 62967,
  [SMALL_STATE(1782)] = 62987,
  [SMALL_STATE(1783)] = 63001,
  [SMALL_STATE(1784)] = 63019,
  [SMALL_STATE(1785)] = 63033,
  [SMALL_STATE(1786)] = 63047,
  [SMALL_STATE(1787)] = 63061,
  [SMALL_STATE(1788)] = 63075,
  [SMALL_STATE(1789)] = 63089,
  [SMALL_STATE(1790)] = 63107,
  [SMALL_STATE(1791)] = 63121,
  [SMALL_STATE(1792)] = 63135,
  [SMALL_STATE(1793)] = 63149,
  [SMALL_STATE(1794)] = 63167,
  [SMALL_STATE(1795)] = 63181,
  [SMALL_STATE(1796)] = 63199,
  [SMALL_STATE(1797)] = 63217,
  [SMALL_STATE(1798)] = 63235,
  [SMALL_STATE(1799)] = 63252,
  [SMALL_STATE(1800)] = 63269,
  [SMALL_STATE(1801)] = 63282,
  [SMALL_STATE(1802)] = 63299,
  [SMALL_STATE(1803)] = 63312,
  [SMALL_STATE(1804)] = 63329,
  [SMALL_STATE(1805)] = 63342,
  [SMALL_STATE(1806)] = 63359,
  [SMALL_STATE(1807)] = 63376,
  [SMALL_STATE(1808)] = 63389,
  [SMALL_STATE(1809)] = 63406,
  [SMALL_STATE(1810)] = 63423,
  [SMALL_STATE(1811)] = 63436,
  [SMALL_STATE(1812)] = 63453,
  [SMALL_STATE(1813)] = 63472,
  [SMALL_STATE(1814)] = 63489,
  [SMALL_STATE(1815)] = 63506,
  [SMALL_STATE(1816)] = 63523,
  [SMALL_STATE(1817)] = 63542,
  [SMALL_STATE(1818)] = 63559,
  [SMALL_STATE(1819)] = 63576,
  [SMALL_STATE(1820)] = 63587,
  [SMALL_STATE(1821)] = 63604,
  [SMALL_STATE(1822)] = 63621,
  [SMALL_STATE(1823)] = 63638,
  [SMALL_STATE(1824)] = 63655,
  [SMALL_STATE(1825)] = 63674,
  [SMALL_STATE(1826)] = 63691,
  [SMALL_STATE(1827)] = 63708,
  [SMALL_STATE(1828)] = 63725,
  [SMALL_STATE(1829)] = 63742,
  [SMALL_STATE(1830)] = 63759,
  [SMALL_STATE(1831)] = 63773,
  [SMALL_STATE(1832)] = 63787,
  [SMALL_STATE(1833)] = 63801,
  [SMALL_STATE(1834)] = 63815,
  [SMALL_STATE(1835)] = 63829,
  [SMALL_STATE(1836)] = 63845,
  [SMALL_STATE(1837)] = 63859,
  [SMALL_STATE(1838)] = 63875,
  [SMALL_STATE(1839)] = 63889,
  [SMALL_STATE(1840)] = 63905,
  [SMALL_STATE(1841)] = 63921,
  [SMALL_STATE(1842)] = 63935,
  [SMALL_STATE(1843)] = 63951,
  [SMALL_STATE(1844)] = 63967,
  [SMALL_STATE(1845)] = 63981,
  [SMALL_STATE(1846)] = 63995,
  [SMALL_STATE(1847)] = 64011,
  [SMALL_STATE(1848)] = 64025,
  [SMALL_STATE(1849)] = 64041,
  [SMALL_STATE(1850)] = 64057,
  [SMALL_STATE(1851)] = 64071,
  [SMALL_STATE(1852)] = 64085,
  [SMALL_STATE(1853)] = 64101,
  [SMALL_STATE(1854)] = 64117,
  [SMALL_STATE(1855)] = 64133,
  [SMALL_STATE(1856)] = 64149,
  [SMALL_STATE(1857)] = 64165,
  [SMALL_STATE(1858)] = 64179,
  [SMALL_STATE(1859)] = 64195,
  [SMALL_STATE(1860)] = 64211,
  [SMALL_STATE(1861)] = 64225,
  [SMALL_STATE(1862)] = 64241,
  [SMALL_STATE(1863)] = 64255,
  [SMALL_STATE(1864)] = 64271,
  [SMALL_STATE(1865)] = 64285,
  [SMALL_STATE(1866)] = 64299,
  [SMALL_STATE(1867)] = 64313,
  [SMALL_STATE(1868)] = 64327,
  [SMALL_STATE(1869)] = 64341,
  [SMALL_STATE(1870)] = 64357,
  [SMALL_STATE(1871)] = 64373,
  [SMALL_STATE(1872)] = 64389,
  [SMALL_STATE(1873)] = 64403,
  [SMALL_STATE(1874)] = 64419,
  [SMALL_STATE(1875)] = 64433,
  [SMALL_STATE(1876)] = 64449,
  [SMALL_STATE(1877)] = 64463,
  [SMALL_STATE(1878)] = 64479,
  [SMALL_STATE(1879)] = 64493,
  [SMALL_STATE(1880)] = 64507,
  [SMALL_STATE(1881)] = 64521,
  [SMALL_STATE(1882)] = 64535,
  [SMALL_STATE(1883)] = 64551,
  [SMALL_STATE(1884)] = 64565,
  [SMALL_STATE(1885)] = 64577,
  [SMALL_STATE(1886)] = 64591,
  [SMALL_STATE(1887)] = 64605,
  [SMALL_STATE(1888)] = 64621,
  [SMALL_STATE(1889)] = 64637,
  [SMALL_STATE(1890)] = 64653,
  [SMALL_STATE(1891)] = 64666,
  [SMALL_STATE(1892)] = 64679,
  [SMALL_STATE(1893)] = 64688,
  [SMALL_STATE(1894)] = 64701,
  [SMALL_STATE(1895)] = 64714,
  [SMALL_STATE(1896)] = 64727,
  [SMALL_STATE(1897)] = 64740,
  [SMALL_STATE(1898)] = 64751,
  [SMALL_STATE(1899)] = 64764,
  [SMALL_STATE(1900)] = 64777,
  [SMALL_STATE(1901)] = 64790,
  [SMALL_STATE(1902)] = 64803,
  [SMALL_STATE(1903)] = 64816,
  [SMALL_STATE(1904)] = 64829,
  [SMALL_STATE(1905)] = 64842,
  [SMALL_STATE(1906)] = 64855,
  [SMALL_STATE(1907)] = 64868,
  [SMALL_STATE(1908)] = 64881,
  [SMALL_STATE(1909)] = 64894,
  [SMALL_STATE(1910)] = 64907,
  [SMALL_STATE(1911)] = 64920,
  [SMALL_STATE(1912)] = 64933,
  [SMALL_STATE(1913)] = 64946,
  [SMALL_STATE(1914)] = 64959,
  [SMALL_STATE(1915)] = 64972,
  [SMALL_STATE(1916)] = 64985,
  [SMALL_STATE(1917)] = 64998,
  [SMALL_STATE(1918)] = 65011,
  [SMALL_STATE(1919)] = 65024,
  [SMALL_STATE(1920)] = 65037,
  [SMALL_STATE(1921)] = 65050,
  [SMALL_STATE(1922)] = 65063,
  [SMALL_STATE(1923)] = 65076,
  [SMALL_STATE(1924)] = 65089,
  [SMALL_STATE(1925)] = 65102,
  [SMALL_STATE(1926)] = 65115,
  [SMALL_STATE(1927)] = 65128,
  [SMALL_STATE(1928)] = 65141,
  [SMALL_STATE(1929)] = 65154,
  [SMALL_STATE(1930)] = 65167,
  [SMALL_STATE(1931)] = 65180,
  [SMALL_STATE(1932)] = 65193,
  [SMALL_STATE(1933)] = 65206,
  [SMALL_STATE(1934)] = 65215,
  [SMALL_STATE(1935)] = 65224,
  [SMALL_STATE(1936)] = 65237,
  [SMALL_STATE(1937)] = 65250,
  [SMALL_STATE(1938)] = 65263,
  [SMALL_STATE(1939)] = 65276,
  [SMALL_STATE(1940)] = 65289,
  [SMALL_STATE(1941)] = 65302,
  [SMALL_STATE(1942)] = 65315,
  [SMALL_STATE(1943)] = 65328,
  [SMALL_STATE(1944)] = 65339,
  [SMALL_STATE(1945)] = 65348,
  [SMALL_STATE(1946)] = 65361,
  [SMALL_STATE(1947)] = 65374,
  [SMALL_STATE(1948)] = 65387,
  [SMALL_STATE(1949)] = 65400,
  [SMALL_STATE(1950)] = 65413,
  [SMALL_STATE(1951)] = 65426,
  [SMALL_STATE(1952)] = 65439,
  [SMALL_STATE(1953)] = 65452,
  [SMALL_STATE(1954)] = 65465,
  [SMALL_STATE(1955)] = 65478,
  [SMALL_STATE(1956)] = 65491,
  [SMALL_STATE(1957)] = 65504,
  [SMALL_STATE(1958)] = 65517,
  [SMALL_STATE(1959)] = 65528,
  [SMALL_STATE(1960)] = 65537,
  [SMALL_STATE(1961)] = 65550,
  [SMALL_STATE(1962)] = 65563,
  [SMALL_STATE(1963)] = 65576,
  [SMALL_STATE(1964)] = 65589,
  [SMALL_STATE(1965)] = 65602,
  [SMALL_STATE(1966)] = 65615,
  [SMALL_STATE(1967)] = 65628,
  [SMALL_STATE(1968)] = 65641,
  [SMALL_STATE(1969)] = 65654,
  [SMALL_STATE(1970)] = 65667,
  [SMALL_STATE(1971)] = 65680,
  [SMALL_STATE(1972)] = 65693,
  [SMALL_STATE(1973)] = 65706,
  [SMALL_STATE(1974)] = 65719,
  [SMALL_STATE(1975)] = 65732,
  [SMALL_STATE(1976)] = 65741,
  [SMALL_STATE(1977)] = 65754,
  [SMALL_STATE(1978)] = 65763,
  [SMALL_STATE(1979)] = 65776,
  [SMALL_STATE(1980)] = 65789,
  [SMALL_STATE(1981)] = 65800,
  [SMALL_STATE(1982)] = 65813,
  [SMALL_STATE(1983)] = 65826,
  [SMALL_STATE(1984)] = 65839,
  [SMALL_STATE(1985)] = 65852,
  [SMALL_STATE(1986)] = 65865,
  [SMALL_STATE(1987)] = 65878,
  [SMALL_STATE(1988)] = 65891,
  [SMALL_STATE(1989)] = 65904,
  [SMALL_STATE(1990)] = 65917,
  [SMALL_STATE(1991)] = 65930,
  [SMALL_STATE(1992)] = 65939,
  [SMALL_STATE(1993)] = 65952,
  [SMALL_STATE(1994)] = 65965,
  [SMALL_STATE(1995)] = 65978,
  [SMALL_STATE(1996)] = 65987,
  [SMALL_STATE(1997)] = 66000,
  [SMALL_STATE(1998)] = 66013,
  [SMALL_STATE(1999)] = 66026,
  [SMALL_STATE(2000)] = 66039,
  [SMALL_STATE(2001)] = 66052,
  [SMALL_STATE(2002)] = 66065,
  [SMALL_STATE(2003)] = 66078,
  [SMALL_STATE(2004)] = 66091,
  [SMALL_STATE(2005)] = 66104,
  [SMALL_STATE(2006)] = 66117,
  [SMALL_STATE(2007)] = 66130,
  [SMALL_STATE(2008)] = 66143,
  [SMALL_STATE(2009)] = 66156,
  [SMALL_STATE(2010)] = 66169,
  [SMALL_STATE(2011)] = 66182,
  [SMALL_STATE(2012)] = 66195,
  [SMALL_STATE(2013)] = 66208,
  [SMALL_STATE(2014)] = 66221,
  [SMALL_STATE(2015)] = 66234,
  [SMALL_STATE(2016)] = 66247,
  [SMALL_STATE(2017)] = 66260,
  [SMALL_STATE(2018)] = 66273,
  [SMALL_STATE(2019)] = 66286,
  [SMALL_STATE(2020)] = 66299,
  [SMALL_STATE(2021)] = 66312,
  [SMALL_STATE(2022)] = 66325,
  [SMALL_STATE(2023)] = 66338,
  [SMALL_STATE(2024)] = 66351,
  [SMALL_STATE(2025)] = 66364,
  [SMALL_STATE(2026)] = 66377,
  [SMALL_STATE(2027)] = 66390,
  [SMALL_STATE(2028)] = 66403,
  [SMALL_STATE(2029)] = 66416,
  [SMALL_STATE(2030)] = 66429,
  [SMALL_STATE(2031)] = 66442,
  [SMALL_STATE(2032)] = 66455,
  [SMALL_STATE(2033)] = 66468,
  [SMALL_STATE(2034)] = 66479,
  [SMALL_STATE(2035)] = 66492,
  [SMALL_STATE(2036)] = 66505,
  [SMALL_STATE(2037)] = 66518,
  [SMALL_STATE(2038)] = 66531,
  [SMALL_STATE(2039)] = 66544,
  [SMALL_STATE(2040)] = 66557,
  [SMALL_STATE(2041)] = 66570,
  [SMALL_STATE(2042)] = 66583,
  [SMALL_STATE(2043)] = 66596,
  [SMALL_STATE(2044)] = 66609,
  [SMALL_STATE(2045)] = 66620,
  [SMALL_STATE(2046)] = 66633,
  [SMALL_STATE(2047)] = 66646,
  [SMALL_STATE(2048)] = 66659,
  [SMALL_STATE(2049)] = 66668,
  [SMALL_STATE(2050)] = 66681,
  [SMALL_STATE(2051)] = 66694,
  [SMALL_STATE(2052)] = 66707,
  [SMALL_STATE(2053)] = 66716,
  [SMALL_STATE(2054)] = 66729,
  [SMALL_STATE(2055)] = 66742,
  [SMALL_STATE(2056)] = 66755,
  [SMALL_STATE(2057)] = 66768,
  [SMALL_STATE(2058)] = 66781,
  [SMALL_STATE(2059)] = 66794,
  [SMALL_STATE(2060)] = 66807,
  [SMALL_STATE(2061)] = 66820,
  [SMALL_STATE(2062)] = 66830,
  [SMALL_STATE(2063)] = 66840,
  [SMALL_STATE(2064)] = 66850,
  [SMALL_STATE(2065)] = 66860,
  [SMALL_STATE(2066)] = 66870,
  [SMALL_STATE(2067)] = 66880,
  [SMALL_STATE(2068)] = 66888,
  [SMALL_STATE(2069)] = 66898,
  [SMALL_STATE(2070)] = 66906,
  [SMALL_STATE(2071)] = 66916,
  [SMALL_STATE(2072)] = 66926,
  [SMALL_STATE(2073)] = 66936,
  [SMALL_STATE(2074)] = 66946,
  [SMALL_STATE(2075)] = 66954,
  [SMALL_STATE(2076)] = 66964,
  [SMALL_STATE(2077)] = 66974,
  [SMALL_STATE(2078)] = 66984,
  [SMALL_STATE(2079)] = 66994,
  [SMALL_STATE(2080)] = 67004,
  [SMALL_STATE(2081)] = 67014,
  [SMALL_STATE(2082)] = 67024,
  [SMALL_STATE(2083)] = 67032,
  [SMALL_STATE(2084)] = 67042,
  [SMALL_STATE(2085)] = 67050,
  [SMALL_STATE(2086)] = 67060,
  [SMALL_STATE(2087)] = 67070,
  [SMALL_STATE(2088)] = 67080,
  [SMALL_STATE(2089)] = 67090,
  [SMALL_STATE(2090)] = 67098,
  [SMALL_STATE(2091)] = 67108,
  [SMALL_STATE(2092)] = 67116,
  [SMALL_STATE(2093)] = 67126,
  [SMALL_STATE(2094)] = 67136,
  [SMALL_STATE(2095)] = 67146,
  [SMALL_STATE(2096)] = 67156,
  [SMALL_STATE(2097)] = 67166,
  [SMALL_STATE(2098)] = 67174,
  [SMALL_STATE(2099)] = 67182,
  [SMALL_STATE(2100)] = 67192,
  [SMALL_STATE(2101)] = 67202,
  [SMALL_STATE(2102)] = 67212,
  [SMALL_STATE(2103)] = 67222,
  [SMALL_STATE(2104)] = 67232,
  [SMALL_STATE(2105)] = 67242,
  [SMALL_STATE(2106)] = 67252,
  [SMALL_STATE(2107)] = 67262,
  [SMALL_STATE(2108)] = 67272,
  [SMALL_STATE(2109)] = 67282,
  [SMALL_STATE(2110)] = 67292,
  [SMALL_STATE(2111)] = 67300,
  [SMALL_STATE(2112)] = 67308,
  [SMALL_STATE(2113)] = 67318,
  [SMALL_STATE(2114)] = 67326,
  [SMALL_STATE(2115)] = 67336,
  [SMALL_STATE(2116)] = 67346,
  [SMALL_STATE(2117)] = 67356,
  [SMALL_STATE(2118)] = 67366,
  [SMALL_STATE(2119)] = 67374,
  [SMALL_STATE(2120)] = 67384,
  [SMALL_STATE(2121)] = 67394,
  [SMALL_STATE(2122)] = 67404,
  [SMALL_STATE(2123)] = 67412,
  [SMALL_STATE(2124)] = 67422,
  [SMALL_STATE(2125)] = 67432,
  [SMALL_STATE(2126)] = 67442,
  [SMALL_STATE(2127)] = 67452,
  [SMALL_STATE(2128)] = 67462,
  [SMALL_STATE(2129)] = 67472,
  [SMALL_STATE(2130)] = 67482,
  [SMALL_STATE(2131)] = 67492,
  [SMALL_STATE(2132)] = 67500,
  [SMALL_STATE(2133)] = 67510,
  [SMALL_STATE(2134)] = 67520,
  [SMALL_STATE(2135)] = 67530,
  [SMALL_STATE(2136)] = 67538,
  [SMALL_STATE(2137)] = 67548,
  [SMALL_STATE(2138)] = 67558,
  [SMALL_STATE(2139)] = 67568,
  [SMALL_STATE(2140)] = 67578,
  [SMALL_STATE(2141)] = 67588,
  [SMALL_STATE(2142)] = 67596,
  [SMALL_STATE(2143)] = 67606,
  [SMALL_STATE(2144)] = 67614,
  [SMALL_STATE(2145)] = 67624,
  [SMALL_STATE(2146)] = 67634,
  [SMALL_STATE(2147)] = 67644,
  [SMALL_STATE(2148)] = 67652,
  [SMALL_STATE(2149)] = 67662,
  [SMALL_STATE(2150)] = 67669,
  [SMALL_STATE(2151)] = 67676,
  [SMALL_STATE(2152)] = 67683,
  [SMALL_STATE(2153)] = 67690,
  [SMALL_STATE(2154)] = 67697,
  [SMALL_STATE(2155)] = 67704,
  [SMALL_STATE(2156)] = 67711,
  [SMALL_STATE(2157)] = 67718,
  [SMALL_STATE(2158)] = 67725,
  [SMALL_STATE(2159)] = 67732,
  [SMALL_STATE(2160)] = 67739,
  [SMALL_STATE(2161)] = 67746,
  [SMALL_STATE(2162)] = 67753,
  [SMALL_STATE(2163)] = 67760,
  [SMALL_STATE(2164)] = 67767,
  [SMALL_STATE(2165)] = 67774,
  [SMALL_STATE(2166)] = 67781,
  [SMALL_STATE(2167)] = 67788,
  [SMALL_STATE(2168)] = 67795,
  [SMALL_STATE(2169)] = 67802,
  [SMALL_STATE(2170)] = 67809,
  [SMALL_STATE(2171)] = 67816,
  [SMALL_STATE(2172)] = 67823,
  [SMALL_STATE(2173)] = 67830,
  [SMALL_STATE(2174)] = 67837,
  [SMALL_STATE(2175)] = 67844,
  [SMALL_STATE(2176)] = 67851,
  [SMALL_STATE(2177)] = 67858,
  [SMALL_STATE(2178)] = 67865,
  [SMALL_STATE(2179)] = 67872,
  [SMALL_STATE(2180)] = 67879,
  [SMALL_STATE(2181)] = 67886,
  [SMALL_STATE(2182)] = 67893,
  [SMALL_STATE(2183)] = 67900,
  [SMALL_STATE(2184)] = 67907,
  [SMALL_STATE(2185)] = 67914,
  [SMALL_STATE(2186)] = 67921,
  [SMALL_STATE(2187)] = 67928,
  [SMALL_STATE(2188)] = 67935,
  [SMALL_STATE(2189)] = 67942,
  [SMALL_STATE(2190)] = 67949,
  [SMALL_STATE(2191)] = 67956,
  [SMALL_STATE(2192)] = 67963,
  [SMALL_STATE(2193)] = 67970,
  [SMALL_STATE(2194)] = 67977,
  [SMALL_STATE(2195)] = 67984,
  [SMALL_STATE(2196)] = 67991,
  [SMALL_STATE(2197)] = 67998,
  [SMALL_STATE(2198)] = 68005,
  [SMALL_STATE(2199)] = 68012,
  [SMALL_STATE(2200)] = 68019,
  [SMALL_STATE(2201)] = 68026,
  [SMALL_STATE(2202)] = 68033,
  [SMALL_STATE(2203)] = 68040,
  [SMALL_STATE(2204)] = 68047,
  [SMALL_STATE(2205)] = 68054,
  [SMALL_STATE(2206)] = 68061,
  [SMALL_STATE(2207)] = 68068,
  [SMALL_STATE(2208)] = 68075,
  [SMALL_STATE(2209)] = 68082,
  [SMALL_STATE(2210)] = 68089,
  [SMALL_STATE(2211)] = 68096,
  [SMALL_STATE(2212)] = 68103,
  [SMALL_STATE(2213)] = 68110,
  [SMALL_STATE(2214)] = 68117,
  [SMALL_STATE(2215)] = 68124,
  [SMALL_STATE(2216)] = 68131,
  [SMALL_STATE(2217)] = 68138,
  [SMALL_STATE(2218)] = 68145,
  [SMALL_STATE(2219)] = 68152,
  [SMALL_STATE(2220)] = 68159,
  [SMALL_STATE(2221)] = 68166,
  [SMALL_STATE(2222)] = 68173,
  [SMALL_STATE(2223)] = 68180,
  [SMALL_STATE(2224)] = 68187,
  [SMALL_STATE(2225)] = 68194,
  [SMALL_STATE(2226)] = 68201,
  [SMALL_STATE(2227)] = 68208,
  [SMALL_STATE(2228)] = 68215,
  [SMALL_STATE(2229)] = 68222,
  [SMALL_STATE(2230)] = 68229,
  [SMALL_STATE(2231)] = 68236,
  [SMALL_STATE(2232)] = 68243,
  [SMALL_STATE(2233)] = 68250,
  [SMALL_STATE(2234)] = 68257,
  [SMALL_STATE(2235)] = 68264,
  [SMALL_STATE(2236)] = 68271,
  [SMALL_STATE(2237)] = 68278,
  [SMALL_STATE(2238)] = 68285,
  [SMALL_STATE(2239)] = 68292,
  [SMALL_STATE(2240)] = 68299,
  [SMALL_STATE(2241)] = 68306,
  [SMALL_STATE(2242)] = 68313,
  [SMALL_STATE(2243)] = 68320,
  [SMALL_STATE(2244)] = 68327,
  [SMALL_STATE(2245)] = 68334,
  [SMALL_STATE(2246)] = 68341,
  [SMALL_STATE(2247)] = 68348,
  [SMALL_STATE(2248)] = 68355,
  [SMALL_STATE(2249)] = 68362,
  [SMALL_STATE(2250)] = 68369,
  [SMALL_STATE(2251)] = 68376,
  [SMALL_STATE(2252)] = 68383,
  [SMALL_STATE(2253)] = 68390,
  [SMALL_STATE(2254)] = 68397,
  [SMALL_STATE(2255)] = 68404,
  [SMALL_STATE(2256)] = 68411,
  [SMALL_STATE(2257)] = 68418,
  [SMALL_STATE(2258)] = 68425,
  [SMALL_STATE(2259)] = 68432,
  [SMALL_STATE(2260)] = 68439,
  [SMALL_STATE(2261)] = 68446,
  [SMALL_STATE(2262)] = 68453,
  [SMALL_STATE(2263)] = 68460,
  [SMALL_STATE(2264)] = 68467,
  [SMALL_STATE(2265)] = 68474,
  [SMALL_STATE(2266)] = 68481,
  [SMALL_STATE(2267)] = 68488,
  [SMALL_STATE(2268)] = 68495,
  [SMALL_STATE(2269)] = 68502,
  [SMALL_STATE(2270)] = 68509,
  [SMALL_STATE(2271)] = 68516,
  [SMALL_STATE(2272)] = 68523,
  [SMALL_STATE(2273)] = 68530,
  [SMALL_STATE(2274)] = 68537,
  [SMALL_STATE(2275)] = 68544,
  [SMALL_STATE(2276)] = 68551,
  [SMALL_STATE(2277)] = 68558,
  [SMALL_STATE(2278)] = 68565,
  [SMALL_STATE(2279)] = 68572,
  [SMALL_STATE(2280)] = 68579,
  [SMALL_STATE(2281)] = 68586,
  [SMALL_STATE(2282)] = 68593,
  [SMALL_STATE(2283)] = 68600,
  [SMALL_STATE(2284)] = 68607,
  [SMALL_STATE(2285)] = 68614,
  [SMALL_STATE(2286)] = 68621,
  [SMALL_STATE(2287)] = 68628,
  [SMALL_STATE(2288)] = 68635,
  [SMALL_STATE(2289)] = 68642,
  [SMALL_STATE(2290)] = 68649,
  [SMALL_STATE(2291)] = 68656,
  [SMALL_STATE(2292)] = 68663,
  [SMALL_STATE(2293)] = 68670,
  [SMALL_STATE(2294)] = 68677,
  [SMALL_STATE(2295)] = 68684,
  [SMALL_STATE(2296)] = 68691,
  [SMALL_STATE(2297)] = 68698,
  [SMALL_STATE(2298)] = 68705,
  [SMALL_STATE(2299)] = 68712,
  [SMALL_STATE(2300)] = 68719,
  [SMALL_STATE(2301)] = 68726,
  [SMALL_STATE(2302)] = 68733,
  [SMALL_STATE(2303)] = 68740,
  [SMALL_STATE(2304)] = 68747,
  [SMALL_STATE(2305)] = 68754,
  [SMALL_STATE(2306)] = 68761,
  [SMALL_STATE(2307)] = 68768,
  [SMALL_STATE(2308)] = 68775,
  [SMALL_STATE(2309)] = 68782,
  [SMALL_STATE(2310)] = 68789,
  [SMALL_STATE(2311)] = 68796,
  [SMALL_STATE(2312)] = 68803,
  [SMALL_STATE(2313)] = 68810,
  [SMALL_STATE(2314)] = 68817,
  [SMALL_STATE(2315)] = 68824,
  [SMALL_STATE(2316)] = 68831,
  [SMALL_STATE(2317)] = 68838,
  [SMALL_STATE(2318)] = 68845,
  [SMALL_STATE(2319)] = 68852,
  [SMALL_STATE(2320)] = 68859,
  [SMALL_STATE(2321)] = 68866,
  [SMALL_STATE(2322)] = 68873,
  [SMALL_STATE(2323)] = 68880,
  [SMALL_STATE(2324)] = 68887,
  [SMALL_STATE(2325)] = 68894,
  [SMALL_STATE(2326)] = 68901,
  [SMALL_STATE(2327)] = 68908,
  [SMALL_STATE(2328)] = 68915,
  [SMALL_STATE(2329)] = 68922,
  [SMALL_STATE(2330)] = 68929,
  [SMALL_STATE(2331)] = 68936,
  [SMALL_STATE(2332)] = 68943,
  [SMALL_STATE(2333)] = 68950,
  [SMALL_STATE(2334)] = 68957,
  [SMALL_STATE(2335)] = 68964,
  [SMALL_STATE(2336)] = 68971,
  [SMALL_STATE(2337)] = 68978,
  [SMALL_STATE(2338)] = 68985,
  [SMALL_STATE(2339)] = 68992,
  [SMALL_STATE(2340)] = 68999,
  [SMALL_STATE(2341)] = 69006,
  [SMALL_STATE(2342)] = 69013,
  [SMALL_STATE(2343)] = 69020,
  [SMALL_STATE(2344)] = 69027,
  [SMALL_STATE(2345)] = 69034,
  [SMALL_STATE(2346)] = 69041,
  [SMALL_STATE(2347)] = 69048,
  [SMALL_STATE(2348)] = 69055,
  [SMALL_STATE(2349)] = 69062,
  [SMALL_STATE(2350)] = 69069,
  [SMALL_STATE(2351)] = 69076,
  [SMALL_STATE(2352)] = 69083,
  [SMALL_STATE(2353)] = 69090,
  [SMALL_STATE(2354)] = 69097,
  [SMALL_STATE(2355)] = 69104,
  [SMALL_STATE(2356)] = 69111,
  [SMALL_STATE(2357)] = 69118,
  [SMALL_STATE(2358)] = 69125,
  [SMALL_STATE(2359)] = 69132,
  [SMALL_STATE(2360)] = 69139,
  [SMALL_STATE(2361)] = 69146,
  [SMALL_STATE(2362)] = 69153,
  [SMALL_STATE(2363)] = 69160,
  [SMALL_STATE(2364)] = 69167,
  [SMALL_STATE(2365)] = 69174,
  [SMALL_STATE(2366)] = 69181,
  [SMALL_STATE(2367)] = 69188,
  [SMALL_STATE(2368)] = 69195,
  [SMALL_STATE(2369)] = 69202,
  [SMALL_STATE(2370)] = 69209,
  [SMALL_STATE(2371)] = 69216,
  [SMALL_STATE(2372)] = 69223,
  [SMALL_STATE(2373)] = 69230,
  [SMALL_STATE(2374)] = 69237,
  [SMALL_STATE(2375)] = 69244,
  [SMALL_STATE(2376)] = 69251,
  [SMALL_STATE(2377)] = 69258,
  [SMALL_STATE(2378)] = 69265,
  [SMALL_STATE(2379)] = 69272,
  [SMALL_STATE(2380)] = 69279,
  [SMALL_STATE(2381)] = 69286,
  [SMALL_STATE(2382)] = 69293,
  [SMALL_STATE(2383)] = 69300,
  [SMALL_STATE(2384)] = 69307,
  [SMALL_STATE(2385)] = 69314,
  [SMALL_STATE(2386)] = 69321,
  [SMALL_STATE(2387)] = 69328,
  [SMALL_STATE(2388)] = 69335,
  [SMALL_STATE(2389)] = 69342,
  [SMALL_STATE(2390)] = 69349,
  [SMALL_STATE(2391)] = 69356,
  [SMALL_STATE(2392)] = 69363,
  [SMALL_STATE(2393)] = 69370,
  [SMALL_STATE(2394)] = 69377,
  [SMALL_STATE(2395)] = 69384,
  [SMALL_STATE(2396)] = 69391,
  [SMALL_STATE(2397)] = 69398,
  [SMALL_STATE(2398)] = 69405,
  [SMALL_STATE(2399)] = 69412,
  [SMALL_STATE(2400)] = 69419,
  [SMALL_STATE(2401)] = 69426,
  [SMALL_STATE(2402)] = 69433,
  [SMALL_STATE(2403)] = 69440,
  [SMALL_STATE(2404)] = 69447,
  [SMALL_STATE(2405)] = 69454,
  [SMALL_STATE(2406)] = 69461,
  [SMALL_STATE(2407)] = 69468,
  [SMALL_STATE(2408)] = 69475,
  [SMALL_STATE(2409)] = 69482,
  [SMALL_STATE(2410)] = 69489,
  [SMALL_STATE(2411)] = 69496,
  [SMALL_STATE(2412)] = 69503,
  [SMALL_STATE(2413)] = 69510,
  [SMALL_STATE(2414)] = 69517,
  [SMALL_STATE(2415)] = 69524,
  [SMALL_STATE(2416)] = 69531,
  [SMALL_STATE(2417)] = 69538,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 16),
  [189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 40),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 16),
  [193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 40),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(551),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1618),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2226),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1354),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2227),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(514),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(540),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1041),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2327),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(968),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2022),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2076),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(804),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2253),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2399),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(679),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2336),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2337),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2236),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(765),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(701),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2275),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2283),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2322),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1744),
  [368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(548),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1606),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2257),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2262),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(256),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1040),
  [498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2414),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2334),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(674),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2177),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2313),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2079),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2349),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(555),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2317),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2279),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(517),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1042),
  [639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(806),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2394),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(485),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2258),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2259),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2285),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2277),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1612),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2184),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2206),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1981),
  [719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(646),
  [737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(405),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(536),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1044),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(26),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2327),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(968),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2022),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2139),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2066),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2105),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(492),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2194),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(664),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2216),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2241),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(765),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(701),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2275),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2283),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2322),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1744),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 8),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 8),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(552),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(540),
  [893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2327),
  [929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(968),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2022),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2076),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2399),
  [956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(679),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2336),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2337),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2236),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(765),
  [977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(701),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2275),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2283),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2322),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1744),
  [992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [1004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [1010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 8),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 8),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(553),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(536),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(646),
  [1038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(26),
  [1050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2139),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2066),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2105),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(492),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2194),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(664),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2216),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2241),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2081),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2292),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(550),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [1096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(256),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [1105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2334),
  [1123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(674),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2177),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2313),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2079),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2349),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(554),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [1152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(517),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [1161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(485),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2258),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2259),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2285),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2277),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [1213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [1216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2124),
  [1219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [1222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2365),
  [1225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2133),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 26),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 26),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 83),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 83),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 28),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 28),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 30),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 30),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 34),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 34),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 48),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 48),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 56),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 56),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 62),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 62),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 64),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 64),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 68),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 68),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 78),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 78),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 48),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 48),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 87),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 87),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 92),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 92),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 93),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 93),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 97),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 97),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 98),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 98),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 78),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 78),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 104),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 104),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 115),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 115),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 118),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 118),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 119),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 119),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 7, 0, 129),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 7, 0, 129),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 27),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 27),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 22),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 22),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 102),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 102),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 103),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 103),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 71),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 71),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_extension, 5, 0, 72),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_extension, 5, 0, 72),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 76),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 76),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 77),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 77),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 122),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 122),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 123),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 123),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 130),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 130),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 131),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 131),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 138),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 138),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 139),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 139),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 99),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 99),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 15),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 15),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 16),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 16),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 16),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 16),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 17),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 17),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 16),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 16),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 47),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 47),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 32),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 32),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 69),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 69),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 70),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 70),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 143),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 143),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 40),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 40),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 16),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 16),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(960),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2325),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2170),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2103),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(538),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [1651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2075),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [1660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2327),
  [1663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(968),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2022),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [1672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [1675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [1678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2278),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [1687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2215),
  [1690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2326),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2254),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 36),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 36),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(989),
  [1812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(522),
  [1815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(752),
  [1818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(752),
  [1821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(769),
  [1824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(254),
  [1827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(704),
  [1830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2148),
  [1833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [1836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2106),
  [1839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2116),
  [1842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(806),
  [1845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2394),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2108),
  [1851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(485),
  [1854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2406),
  [1857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(685),
  [1860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2258),
  [1863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2259),
  [1866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2285),
  [1869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2061),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2277),
  [1875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(765),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(701),
  [1881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2275),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2283),
  [1887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2322),
  [1890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1744),
  [1893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(897),
  [1896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1943),
  [1899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1859),
  [1902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(897),
  [1905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(889),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(985),
  [1915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(117),
  [1918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(28),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2076),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2107),
  [1927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(804),
  [1930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2253),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2078),
  [1936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(509),
  [1939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2399),
  [1942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(679),
  [1945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2336),
  [1948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2337),
  [1951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2236),
  [1954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2109),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2390),
  [1960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(990),
  [1963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(256),
  [1966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(23),
  [1969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2086),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2077),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(768),
  [1978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2414),
  [1981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2090),
  [1984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(508),
  [1987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2334),
  [1990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(674),
  [1993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2165),
  [1996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2177),
  [1999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2313),
  [2002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2079),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2349),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(992),
  [2011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(240),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(26),
  [2017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2139),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2066),
  [2023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(815),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2228),
  [2029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2105),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(492),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2194),
  [2038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(664),
  [2041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2216),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2241),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2389),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2081),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2292),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(984),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2124),
  [2062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(800),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2323),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2128),
  [2071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2365),
  [2074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2133),
  [2077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(960),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [2082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0),
  [2084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(915),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(925),
  [2090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2329),
  [2093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2075),
  [2096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2400),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(918),
  [2102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2327),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(968),
  [2108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2022),
  [2111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(1714),
  [2114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(1824),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [2123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(916),
  [2126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(704),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2193] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0), SHIFT(1155),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [2202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(423),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [2237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 70),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 70),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 71),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 71),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 48),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 48),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 99),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 99),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 48),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 48),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 16),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 16),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 81),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 81),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 73),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 73),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 16),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 16),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 81),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 81),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 73),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 73),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(639),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [2399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1018),
  [2402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(532),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(808),
  [2408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(808),
  [2411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(809),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(813),
  [2417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(810),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(811),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2275),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2283),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2322),
  [2432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1744),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(897),
  [2438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1943),
  [2441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1859),
  [2444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(897),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(889),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2382),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0),
  [2455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2248),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_storage_class, 1, 0, 0),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_storage_class, 1, 0, 0),
  [2472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2172),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_layout_qualifiers, 3, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_layout_qualifiers, 3, 0, 0),
  [2479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2191),
  [2482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_layout_qualifiers, 4, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_layout_qualifiers, 4, 0, 0),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0), SHIFT(2274),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_layout_specification, 2, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_layout_specification, 2, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 0),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 57),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 109),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 86),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 57),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 40),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(827),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 136),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 136),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 128),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 128),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 127),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 127),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, 0, 0),
  [2631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(842),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, 0, 0),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2095),
  [2639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 89),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 89),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 142),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 142),
  [2647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 90),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 90),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [2665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [2668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2075),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2327),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 135),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 135),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 112),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 112),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 113),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 113),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [2700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [2703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [2714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [2717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2327),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 12),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 12),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 36),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 36),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 35),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 35),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 66),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 66),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 11),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 11),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 110),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 110),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 8),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 8),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 6),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 6),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 6),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 6),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(978),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(915),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2327),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(964),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [2872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(915),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2327),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [2904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 13),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 13),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 13),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 13),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 23),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 23),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 55),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 55),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 82),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 82),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(938),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 23),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 23),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 53),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 53),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 6),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 6),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 6),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 6),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 36),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, 0, 36),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 37),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, -1, 37),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 6),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 6),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 51),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 51),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 9),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 9),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 55),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 55),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 53),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 53),
  [3021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [3024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [3027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 13),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 13),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [3037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1155),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 13),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 13),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 36),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 36),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [3054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 37),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 37),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 80),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 80),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [3078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 23),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 23),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 23),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 23),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 23),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 23),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 14),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 14),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, 0, 82),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, 0, 82),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 14),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 14),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 29),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 29),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 67),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 67),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 6),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 6),
  [3232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 6), SHIFT(2329),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 51),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 51),
  [3247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 51), SHIFT(2329),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 23),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 23),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 23), SHIFT(2329),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 80),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 80),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 80), SHIFT(2329),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(2329),
  [3273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [3315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [3318] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1155),
  [3322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1147),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 79),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 79),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 12),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 12),
  [3441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 44),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualifier, 3, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 121),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 0, 124),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 120),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 84),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 85),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 106),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 107),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 63),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 108),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 13),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 13),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1286),
  [3614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1287),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1285),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1293),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1281),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1292),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 73),
  [3631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 13),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 13),
  [3635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [3639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [3643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 13),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 13),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 42),
  [3649] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(938),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 9), SHIFT(938),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 13), SHIFT(938),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 14), SHIFT(938),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 36), SHIFT(1291),
  [3665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 37), SHIFT(1289),
  [3668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(938),
  [3671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1282),
  [3674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 37), SHIFT(938),
  [3677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1295),
  [3680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 36), SHIFT(938),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 13), SHIFT(1283),
  [3686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 14), SHIFT(1284),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(938),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [3756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 6), SHIFT(2176),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 29),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 29),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 2, 0, 33),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 0, 33),
  [3935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 0, 33),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 0, 33),
  [3939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 0, 33),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 3, 0, 33),
  [3943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 3, 0, 33),
  [3945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1473),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [3953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, 0, 33),
  [3957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, 0, 33),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [3988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 40),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [4002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [4006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [4010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 16),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 60),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 60),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 114),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 114),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 91),
  [4028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 91),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 31),
  [4032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 31),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 116),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 116),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [4044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 94),
  [4048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 94),
  [4050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 21),
  [4052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 21),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 21),
  [4056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 21),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, 0, 21),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 1, 0, 21),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [4086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0), REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [4089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 34),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 114),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 5, 1, 114),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 91),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 4, 1, 91),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 68),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 60),
  [4141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 3, 1, 60),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 31),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 31),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 31),
  [4153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 2, 1, 31),
  [4155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 40),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 40),
  [4175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 60),
  [4177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 60),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 114),
  [4183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 114),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 21),
  [4193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 1, 0, 21),
  [4195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [4197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 16),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 16),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 16),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 40),
  [4209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 31),
  [4211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 31),
  [4213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 91),
  [4215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 91),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [4226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1368),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2203),
  [4232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2083),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 0),
  [4239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_declarator, 1, 0, 0),
  [4241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 31),
  [4243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 31),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [4251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [4259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [4262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [4265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [4269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [4273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 116),
  [4285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 116),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 4, 0, 33),
  [4289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 4, 0, 33),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [4293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 94),
  [4301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 94),
  [4303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 21),
  [4305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 21),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 0, 33),
  [4319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 0, 33),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 21),
  [4323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 21),
  [4325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 52),
  [4327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 52),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 20),
  [4331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 20),
  [4333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 5),
  [4335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 5),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 116),
  [4345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 116),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 91),
  [4353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 91),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 33),
  [4357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 33),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [4361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [4363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 94),
  [4365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 94),
  [4367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 21),
  [4369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 21),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [4376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [4378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [4381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [4383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [4385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 60),
  [4387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 60),
  [4389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 31),
  [4391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 31),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 21),
  [4395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 21),
  [4397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [4399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [4431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 33),
  [4447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 33),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [4459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [4463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 116),
  [4467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 116),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 100),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 100),
  [4473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 94),
  [4475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 94),
  [4477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 21),
  [4479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 21),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 19),
  [4485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 19),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [4492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(2230),
  [4495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 74),
  [4497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 74),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [4501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [4503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 21),
  [4505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 21),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [4523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [4532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [4538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 16),
  [4542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 16),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 46),
  [4546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 42),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 34),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 73),
  [4552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 70),
  [4554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 70),
  [4556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 75),
  [4558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [4560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [4562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 43),
  [4564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [4566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 16),
  [4570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 16),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [4574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat2, 2, 0, 31),
  [4578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 71),
  [4580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 71),
  [4582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 99),
  [4588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 99),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, 0, 68),
  [4592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat2, 3, 0, 95),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 49),
  [4596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 2, 0, 49),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 10),
  [4608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_declarator, 1, 0, 10),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [4622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65), SHIFT_REPEAT(1469),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65),
  [4627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 5),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [4643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 49),
  [4645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 2, 0, 49),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, 0, 105),
  [4651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 3, 0, 105),
  [4653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65), SHIFT_REPEAT(1544),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65),
  [4658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 21),
  [4672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 2, 0, 21),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 125), SHIFT_REPEAT(1656),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 125),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 111),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 133),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 126),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [4737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 140), SHIFT_REPEAT(1617),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 140),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [4750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [4753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 88),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [4788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 125), SHIFT_REPEAT(1717),
  [4791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 125),
  [4793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [4801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 50),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [4815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [4833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [4836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 111),
  [4838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 88),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, 0, 31),
  [4848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, 0, 31),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 137),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(668),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2213),
  [4900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(2111),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [4959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [4961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(640),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 132),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 126),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [4998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 101),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [5020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 141),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [5034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 88),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [5046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(655),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 144), SHIFT_REPEAT(2269),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 144),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [5068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 88),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [5072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 145),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [5080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualifier, 1, 0, 0),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 132),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 145),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [5152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2099),
  [5155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [5187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat2, 2, 0, 65), SHIFT_REPEAT(1304),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat2, 2, 0, 65),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_layout_qualifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_layout_qualifiers_repeat1, 2, 0, 0),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [5217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 134),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [5255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [5287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [5291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 5),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1, 0, 0),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [5315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [5329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 134),
  [5331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [5333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [5335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat2, 4, 0, 117),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 50),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [5357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 99),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 70),
  [5395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 99),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 71),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [5413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 40),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 70),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 99),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 70),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 70),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 71),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [5501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_behavior, 1, 0, 0),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [5509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 71),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 71),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [5553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 41),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 41),
  [5581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 16),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [5619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 41),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [5647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 70),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [5679] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [5723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 71),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 99),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [5755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 99),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 41),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 41),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_glsl(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
